#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(crypto_transfer_aead_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_akcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_hash_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_kpp_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_skcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_aead_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_akcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_hash_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_kpp_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_skcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_start, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_stop, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init_and_set, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_exit, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skciphers, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skciphers, "_gpl", "");

SYMBOL_CRC(crypto_transfer_aead_request_to_engine, 0x5e3e4f0e, "_gpl");
SYMBOL_CRC(crypto_transfer_akcipher_request_to_engine, 0x67af4017, "_gpl");
SYMBOL_CRC(crypto_transfer_hash_request_to_engine, 0x6f4b66d7, "_gpl");
SYMBOL_CRC(crypto_transfer_kpp_request_to_engine, 0x46bff2b6, "_gpl");
SYMBOL_CRC(crypto_transfer_skcipher_request_to_engine, 0xcf06a5dc, "_gpl");
SYMBOL_CRC(crypto_finalize_aead_request, 0xd3019c25, "_gpl");
SYMBOL_CRC(crypto_finalize_akcipher_request, 0x28026e6c, "_gpl");
SYMBOL_CRC(crypto_finalize_hash_request, 0xdba0c764, "_gpl");
SYMBOL_CRC(crypto_finalize_kpp_request, 0xb69dda73, "_gpl");
SYMBOL_CRC(crypto_finalize_skcipher_request, 0x9b7a7255, "_gpl");
SYMBOL_CRC(crypto_engine_start, 0x876448d4, "_gpl");
SYMBOL_CRC(crypto_engine_stop, 0xaa83e4e9, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init_and_set, 0xb18f7c5f, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init, 0x37999d0e, "_gpl");
SYMBOL_CRC(crypto_engine_exit, 0xe0d15bde, "_gpl");
SYMBOL_CRC(crypto_engine_register_aead, 0x88753362, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aead, 0xc8b3db0f, "_gpl");
SYMBOL_CRC(crypto_engine_register_aeads, 0xc9adb6ca, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aeads, 0x249a4746, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahash, 0x768f1d81, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahash, 0x243de366, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahashes, 0x7a545d52, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahashes, 0xd2d11e7b, "_gpl");
SYMBOL_CRC(crypto_engine_register_akcipher, 0x1379490c, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_akcipher, 0x8f6ef4f9, "_gpl");
SYMBOL_CRC(crypto_engine_register_kpp, 0x31afae09, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_kpp, 0x153988f2, "_gpl");
SYMBOL_CRC(crypto_engine_register_skcipher, 0xfbd5e366, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skcipher, 0xd20de092, "_gpl");
SYMBOL_CRC(crypto_engine_register_skciphers, 0xa6d41e39, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skciphers, 0xd4cea671, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x453d1707, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0x212c88de, "kthread_create_worker" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0x3f780e90, "sched_set_fifo" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x4e248ede, "crypto_register_aead" },
	{ 0xb8130005, "crypto_unregister_aead" },
	{ 0xd84a298c, "crypto_register_ahash" },
	{ 0xb69d024, "crypto_unregister_ahash" },
	{ 0x32b23e57, "crypto_register_akcipher" },
	{ 0x8c177a3e, "crypto_unregister_akcipher" },
	{ 0x17fdfe08, "crypto_register_kpp" },
	{ 0x941c81f1, "crypto_unregister_kpp" },
	{ 0x9e37a5c8, "crypto_register_skcipher" },
	{ 0xbb359f92, "crypto_unregister_skcipher" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xa2c4d1b8, "kthread_queue_work" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xbd30aa31, "crypto_enqueue_request" },
	{ 0xf9a482f9, "msleep" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0xbb44b8bf, "kthread_destroy_worker" },
	{ 0xa89b6525, "crypto_dequeue_request" },
	{ 0xf2542f76, "crypto_enqueue_request_head" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "34AAA044EF2676298B039B6");
