#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ahci_platform_ops, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_phys, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_phys, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_find_clk, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_clks, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_clks, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_deassert_rsts, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_assert_rsts, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_regulators, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_regulators, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_resources, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_resources, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_get_resources, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_init_host, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_shutdown, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_suspend_host, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_resume_host, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_suspend, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_resume, "_gpl", "");

SYMBOL_CRC(ahci_platform_ops, 0xb5fc5a19, "_gpl");
SYMBOL_CRC(ahci_platform_enable_phys, 0x6eb33638, "_gpl");
SYMBOL_CRC(ahci_platform_disable_phys, 0x1e89c6f6, "_gpl");
SYMBOL_CRC(ahci_platform_find_clk, 0x6fc9a3f5, "_gpl");
SYMBOL_CRC(ahci_platform_enable_clks, 0xbb82df0a, "_gpl");
SYMBOL_CRC(ahci_platform_disable_clks, 0xcbb82fc4, "_gpl");
SYMBOL_CRC(ahci_platform_deassert_rsts, 0xec7e6e7d, "_gpl");
SYMBOL_CRC(ahci_platform_assert_rsts, 0x8674c5a1, "_gpl");
SYMBOL_CRC(ahci_platform_enable_regulators, 0xb277d2a1, "_gpl");
SYMBOL_CRC(ahci_platform_disable_regulators, 0x1ac68dad, "_gpl");
SYMBOL_CRC(ahci_platform_enable_resources, 0xbc3276da, "_gpl");
SYMBOL_CRC(ahci_platform_disable_resources, 0x6ab22f77, "_gpl");
SYMBOL_CRC(ahci_platform_get_resources, 0xfe6f8d43, "_gpl");
SYMBOL_CRC(ahci_platform_init_host, 0xf44b2397, "_gpl");
SYMBOL_CRC(ahci_platform_shutdown, 0x7c9188ab, "_gpl");
SYMBOL_CRC(ahci_platform_suspend_host, 0x6130f9fe, "_gpl");
SYMBOL_CRC(ahci_platform_resume_host, 0xc06967fb, "_gpl");
SYMBOL_CRC(ahci_platform_suspend, 0xbafd752a, "_gpl");
SYMBOL_CRC(ahci_platform_resume, 0x544b2c4c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc8d6d367, "phy_set_mode_ext" },
	{ 0x49631f04, "phy_power_on" },
	{ 0xa507069a, "phy_init" },
	{ 0x14ce27a9, "phy_power_off" },
	{ 0x6d1c219a, "phy_exit" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc3293cf7, "regulator_disable" },
	{ 0x49f707c, "regulator_put" },
	{ 0x37a0cba, "kfree" },
	{ 0x61f81ab3, "__pm_runtime_idle" },
	{ 0x568d4681, "__pm_runtime_disable" },
	{ 0xcbdbeb0a, "devm_of_phy_get" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x5b36a3ec, "of_find_property" },
	{ 0xa4212615, "ata_host_resume" },
	{ 0x115a3c29, "ahci_reset_controller" },
	{ 0x244f1fbe, "ahci_init_controller" },
	{ 0x3cc8f38f, "regulator_enable" },
	{ 0xd706cd02, "platform_get_irq" },
	{ 0x4310ebba, "ahci_save_initial_config" },
	{ 0x602bfdf3, "ahci_set_em_messages" },
	{ 0x42c86b1d, "ata_host_alloc_pinfo" },
	{ 0xbbfffa8f, "ata_dummy_port_ops" },
	{ 0x6e7902da, "platform_get_resource" },
	{ 0x9f2dfcbe, "ata_port_desc" },
	{ 0xea50dad3, "ahci_ignore_sss" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0xffc9d65f, "ahci_reset_em" },
	{ 0xe4577a18, "ahci_print_info" },
	{ 0x750137d8, "ahci_host_activate" },
	{ 0xb34e2c9a, "dma_set_mask" },
	{ 0xf0efe64b, "dma_set_coherent_mask" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x5d2bc42a, "reset_control_rearm" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0x479f7d4b, "clk_bulk_disable" },
	{ 0x63c08029, "clk_bulk_unprepare" },
	{ 0xead5c8e5, "clk_bulk_prepare" },
	{ 0xc7a7e770, "clk_bulk_enable" },
	{ 0x9386a232, "devres_open_group" },
	{ 0x4da76e58, "__devres_alloc_node" },
	{ 0xd1e9d3a, "devres_add" },
	{ 0x14804209, "platform_get_resource_byname" },
	{ 0xa4b92dc4, "devm_platform_ioremap_resource_byname" },
	{ 0x7c1e789c, "devm_clk_bulk_get_all" },
	{ 0x65ad9c1d, "devm_regulator_get" },
	{ 0xe533a845, "of_get_next_child" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x2fa0657b, "of_platform_device_create" },
	{ 0x305ea78d, "of_find_device_by_node" },
	{ 0x527107f5, "regulator_get" },
	{ 0xa33705b7, "of_device_is_available" },
	{ 0xf9ed9452, "of_property_read_variable_u32_array" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0xc4254f2c, "devres_release_group" },
	{ 0x24600a27, "devm_platform_ioremap_resource" },
	{ 0xcdad5507, "devm_reset_control_array_get" },
	{ 0x4b9181dd, "devm_clk_get_optional" },
	{ 0xf693587e, "pm_runtime_enable" },
	{ 0x4f139bf4, "__pm_runtime_resume" },
	{ 0x31cf81e, "devres_remove_group" },
	{ 0xe9d10d9d, "of_node_put" },
	{ 0x6b236b96, "ata_host_suspend" },
	{ 0xd7094a04, "__pm_runtime_set_status" },
	{ 0x7ebf603f, "ahci_ops" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "AFCFA732A21B6242723F671");
