#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3c3b4d52, "set_capacity_and_notify" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xe62f4ba2, "skb_copy_bits" },
	{ 0xc2af5a6, "skb_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x4679fb71, "consume_skb" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x9d5f5eb1, "dev_add_pack" },
	{ 0xac9b54da, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x87ef83ff, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x96848186, "scnprintf" },
	{ 0xf62c387b, "set_user_nice" },
	{ 0x6ec22d7a, "blk_mq_unquiesce_queue" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x6246140a, "blk_mq_quiesce_queue" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x5b66fa60, "seq_lseek" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x3494ac55, "kmem_cache_create" },
	{ 0x966333b, "__blk_mq_alloc_disk" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x82929afa, "blk_mq_alloc_tag_set" },
	{ 0x354b3d7c, "wake_up_process" },
	{ 0x5195dcc3, "skb_queue_purge_reason" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x122c3a7e, "_printk" },
	{ 0x58995cbd, "put_disk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xa916b694, "strnlen" },
	{ 0x95463bb7, "__alloc_skb" },
	{ 0x9f984513, "strrchr" },
	{ 0x136711a4, "skb_queue_tail" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x800473f, "__cond_resched" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0xfeb343d1, "mempool_alloc_noprof" },
	{ 0x7ee7ac5d, "init_net" },
	{ 0x7b196f36, "blk_update_request" },
	{ 0xb6476d61, "skb_pull" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x24d273d1, "add_timer" },
	{ 0x9f66a4ce, "sk_skb_reason_drop" },
	{ 0x858e7897, "set_capacity" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x8e7d5be0, "device_create" },
	{ 0xfdc0adc2, "noop_llseek" },
	{ 0xcc59f66, "dev_remove_pack" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbfe0703a, "skb_push" },
	{ 0x495eed8e, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x6f2c2cc6, "seq_putc" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x2e6fc05a, "class_unregister" },
	{ 0x75f9b1f0, "blk_mq_free_tag_set" },
	{ 0x7cd31eb3, "del_gendisk" },
	{ 0x4cdb9669, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xdcb764ad, "memset" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xa86fbee8, "__pskb_pull_tail" },
	{ 0x7358fb91, "param_ops_string" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x99eabdf8, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x31d75226, "kthread_create_on_node" },
	{ 0x32f1e81b, "seq_read" },
	{ 0x1ac5d3cb, "strcspn" },
	{ 0x13107c3a, "debugfs_create_file" },
	{ 0x6da467cb, "pfn_is_map_memory" },
	{ 0xeacf0ae1, "__dev_queue_xmit" },
	{ 0x4c37d89a, "blk_mq_freeze_queue" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0x2213aa1f, "mempool_create_node_noprof" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xacdd7225, "__register_chrdev" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0xb35e7976, "device_destroy" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x899fbd06, "seq_printf" },
	{ 0x6b53f5f8, "skb_clone" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x7e159051, "blk_mq_unfreeze_queue" },
	{ 0xf141d73f, "blk_mq_start_request" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xa5c872a7, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xa1174443, "blkdev_compat_ptr_ioctl" },
	{ 0xc29bf967, "strspn" },
	{ 0x98cf60b3, "strlen" },
	{ 0xcb74520d, "param_ops_int" },
	{ 0xec6a2ae5, "blk_mq_run_hw_queues" },
	{ 0x3466fede, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0xe820ea6a, "debugfs_create_dir" },
	{ 0xaa3a3bb3, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x309989e7, "kmem_cache_destroy" },
	{ 0xe8ed37ff, "__blk_mq_end_request" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3DFD52641F5DF19BC1A3925");
