#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3c3b4d52, "set_capacity_and_notify" },
	{ 0x51f95ba2, "filp_open" },
	{ 0x3224f7c0, "__blk_alloc_disk" },
	{ 0xa010d55c, "crypto_comp_decompress" },
	{ 0xd277ba66, "flush_dcache_page" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x924c46f8, "zs_unmap_object" },
	{ 0xf847c0d4, "__bio_add_page" },
	{ 0x20978fb9, "idr_find" },
	{ 0x60b73b66, "param_ops_uint" },
	{ 0x6f5d83d7, "crypto_alloc_base" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xac9b54da, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x951a2773, "crypto_has_alg" },
	{ 0x96848186, "scnprintf" },
	{ 0x7cceaf92, "zs_pool_stats" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa764e1ad, "I_BDEV" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x2e8718cd, "crypto_comp_compress" },
	{ 0x6ae101cc, "bio_end_io_acct_remapped" },
	{ 0xcbe56bc2, "zs_get_total_pages" },
	{ 0xc63dce24, "crypto_destroy_tfm" },
	{ 0xff501dad, "__cpuhp_state_remove_instance" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x122c3a7e, "_printk" },
	{ 0x58995cbd, "put_disk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x3cdfbd17, "sync_blockdev" },
	{ 0xa916b694, "strnlen" },
	{ 0x4d0d163d, "copy_page" },
	{ 0x581e9a37, "__free_pages" },
	{ 0xdefd9595, "submit_bio" },
	{ 0x7b973cd6, "bio_start_io_acct" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x287318b1, "bio_endio" },
	{ 0xed8a2d95, "memset64" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x61c3b861, "__cpuhp_setup_state" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x858e7897, "set_capacity" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbcf1f0e6, "zs_create_pool" },
	{ 0x5a921311, "strncmp" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x874dd544, "bio_chain" },
	{ 0x61abf44e, "__cpuhp_state_add_instance" },
	{ 0x2e6fc05a, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x7cd31eb3, "del_gendisk" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x727338f6, "bio_init" },
	{ 0xdcb764ad, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x958df3ac, "zs_free" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0x5da67adc, "zs_compact" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0x5460122a, "file_path" },
	{ 0xf62f6b8b, "filp_close" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x557d1823, "alloc_pages_noprof" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xb29533ee, "zs_malloc" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xc69b7ee5, "zs_destroy_pool" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x98cf60b3, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x27864d57, "memparse" },
	{ 0xd97e0d07, "bio_alloc_bioset" },
	{ 0x5359e8dc, "__kvmalloc_node_noprof" },
	{ 0x53b954a2, "up_read" },
	{ 0xfdd593c1, "submit_bio_wait" },
	{ 0xaa3a3bb3, "class_register" },
	{ 0x7742b904, "__cpuhp_remove_state" },
	{ 0xc341ae6d, "zs_map_object" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0xe275ddc4, "fs_bio_set" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x3d8baf3b, "zs_huge_class_size" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5A854D847C98ECB4C3413D7");
