#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd941f894, "usb_register_driver" },
	{ 0x9181493a, "usb_alloc_urb" },
	{ 0x6254a8e5, "usb_anchor_urb" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa359e790, "usb_submit_urb" },
	{ 0x7b8c32f1, "bt_err" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe3eb2d61, "usb_unanchor_urb" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x1d3f22b7, "usb_free_urb" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x3f4a1fc4, "hci_cmd_sync_cancel" },
	{ 0x37a0cba, "kfree" },
	{ 0x9f66a4ce, "sk_skb_reason_drop" },
	{ 0x248efd3, "kstrtobool_from_user" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x71fca298, "__hci_cmd_sync" },
	{ 0x8922432e, "skb_pull_data" },
	{ 0x718b8b7, "bt_info" },
	{ 0x214e4265, "bt_warn" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x2454ddca, "pm_runtime_allow" },
	{ 0x827d8a32, "__pm_runtime_suspend" },
	{ 0x6e42fcb2, "pm_runtime_forbid" },
	{ 0xb2a00e3, "device_set_wakeup_capable" },
	{ 0xf9a482f9, "msleep" },
	{ 0xb34eab85, "usb_enable_autosuspend" },
	{ 0x53a4e1ba, "btrtl_setup_realtek" },
	{ 0x8f292274, "__hci_cmd_sync_ev" },
	{ 0x7261444d, "__hci_cmd_send" },
	{ 0xb6476d61, "skb_pull" },
	{ 0x683f739f, "hci_devcd_append" },
	{ 0x9af7a081, "hci_devcd_complete" },
	{ 0x34471710, "hci_devcd_init" },
	{ 0x47adcef4, "usb_disable_autosuspend" },
	{ 0xceeeb1c9, "hci_devcd_append_pattern" },
	{ 0xae553c4a, "hci_recv_frame" },
	{ 0x4829a47e, "memcpy" },
	{ 0xd6cc6cc2, "usb_control_msg" },
	{ 0xaa3a99c1, "usb_bulk_msg" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x87ef83ff, "skb_dequeue" },
	{ 0xda5b42df, "pm_wakeup_dev_event" },
	{ 0x8c0215f2, "pm_system_wakeup" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x4d8dc364, "usb_deregister" },
	{ 0x853c4149, "usb_autopm_get_interface" },
	{ 0x6a5e0c0e, "usb_queue_reset_device" },
	{ 0x6d627a58, "gpiod_set_value_cansleep" },
	{ 0xe0cf529c, "usb_autopm_put_interface" },
	{ 0xfdaa1085, "of_match_device" },
	{ 0xcdbf0876, "of_irq_get_byname" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0x4c55545d, "devm_request_threaded_irq" },
	{ 0xbba5bd2b, "device_wakeup_enable" },
	{ 0xdcb764ad, "memset" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x8dceb523, "request_firmware" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x962c8ae1, "usb_kill_anchored_urbs" },
	{ 0xf8e4f31e, "hci_unregister_dev" },
	{ 0x942ddb80, "gpiod_put" },
	{ 0xd1c769a1, "hci_free_dev" },
	{ 0xf09add98, "device_wakeup_disable" },
	{ 0xacf4622f, "usb_driver_release_interface" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x5195dcc3, "skb_queue_purge_reason" },
	{ 0x46fb0ede, "dev_kfree_skb_irq_reason" },
	{ 0x807766ea, "usb_scuttle_anchored_urbs" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x510247dd, "usb_get_from_anchor" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x95463bb7, "__alloc_skb" },
	{ 0xc2af5a6, "skb_put" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x136711a4, "skb_queue_tail" },
	{ 0xc74b6f45, "usb_set_interface" },
	{ 0xa916b694, "strnlen" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xbae2c068, "hci_recv_diag" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xae19f7c7, "hci_alloc_dev_priv" },
	{ 0xa730292, "gpiod_get_optional" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0xdd405fb7, "usb_driver_claim_interface" },
	{ 0xa661489d, "hci_register_dev" },
	{ 0x13107c3a, "debugfs_create_file" },
	{ 0xe135a96e, "usb_match_id" },
	{ 0xc24b4cb1, "btintel_recv_event" },
	{ 0xf8ffaa4c, "btintel_configure_setup" },
	{ 0xd65fc3e0, "btbcm_setup_apple" },
	{ 0xa8a4dd06, "usb_ifnum_to_if" },
	{ 0xb4f210ac, "btbcm_setup_patchram" },
	{ 0xc1e2e390, "btbcm_set_bdaddr" },
	{ 0xf5d0ee1, "btrtl_set_driver_name" },
	{ 0xad413aba, "btrtl_shutdown_realtek" },
	{ 0xe2a6aee, "hci_devcd_register" },
	{ 0xf8c2860e, "of_property_read_variable_u16_array" },
	{ 0x14c5dd46, "param_ops_bool" },
	{ 0x551dfe26, "default_llseek" },
	{ 0x2d938670, "simple_open" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "bluetooth,btrtl,btintel,btbcm");

MODULE_ALIAS("of:N*T*Cusb1286,204e");
MODULE_ALIAS("of:N*T*Cusb1286,204eC*");
MODULE_ALIAS("of:N*T*Cusbcf3,e300");
MODULE_ALIAS("of:N*T*Cusbcf3,e300C*");
MODULE_ALIAS("of:N*T*Cusb4ca,301a");
MODULE_ALIAS("of:N*T*Cusb4ca,301aC*");
MODULE_ALIAS("usb:v*p*d*dcE0dsc01dp01ic*isc*ip*in*");
MODULE_ALIAS("usb:v*p*d*dcE0dsc01dp04ic*isc*ip*in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*icE0isc01ip01in*");
MODULE_ALIAS("usb:v05ACp*d*dc*dsc*dp*icFFisc01ip01in*");
MODULE_ALIAS("usb:v0E8Dp763Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5Cp21E1d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05ACp8213d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05ACp8215d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05ACp8218d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05ACp821Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05ACp821Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05ACp821Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05ACp8281d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v057Cp3800d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04BFp030Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v044Ep3001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v044Ep3002d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BDBp1002d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0C10p0000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v19FFp0239d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v105Bp*d*dc*dsc*dp*icFFisc01ip01in*");
MODULE_ALIAS("usb:v0BB4p*d*dc*dsc*dp*icFFisc01ip01in*");
MODULE_ALIAS("usb:v0489p*d*dc*dsc*dp*icFFisc01ip01in*");
MODULE_ALIAS("usb:v04CAp*d*dc*dsc*dp*icFFisc01ip01in*");
MODULE_ALIAS("usb:v0A5Cp*d*dc*dsc*dp*icFFisc01ip01in*");
MODULE_ALIAS("usb:v0B05p*d*dc*dsc*dp*icFFisc01ip01in*");
MODULE_ALIAS("usb:v050Dp*d*dc*dsc*dp*icFFisc01ip01in*");
MODULE_ALIAS("usb:v13D3p*d*dc*dsc*dp*icFFisc01ip01in*");
MODULE_ALIAS("usb:v413Cp*d*dc*dsc*dp*icFFisc01ip01in*");
MODULE_ALIAS("usb:v0930p*d*dc*dsc*dp*icFFisc01ip01in*");
MODULE_ALIAS("usb:v8087p0A5Ad*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "E9A2783DD49DF048E240151");
