#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hci_uart_tx_wakeup, "_gpl", "");
KSYMTAB_FUNC(hci_uart_register_device_priv, "_gpl", "");
KSYMTAB_FUNC(hci_uart_unregister_device, "_gpl", "");
KSYMTAB_FUNC(h4_recv_buf, "_gpl", "");

SYMBOL_CRC(hci_uart_tx_wakeup, 0x61f93d74, "_gpl");
SYMBOL_CRC(hci_uart_register_device_priv, 0x58f235b2, "_gpl");
SYMBOL_CRC(hci_uart_unregister_device, 0xa4a35964, "_gpl");
SYMBOL_CRC(h4_recv_buf, 0x15dbcbcd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x668e1ac6, "percpu_free_rwsem" },
	{ 0xc60bc27b, "tty_set_termios" },
	{ 0xb86e9579, "is_acpi_device_node" },
	{ 0xf9ce36ad, "percpu_down_write" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0xc2af5a6, "skb_put" },
	{ 0x27653f73, "tty_register_ldisc" },
	{ 0x1aa23130, "serdev_device_set_baudrate" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xd1c769a1, "hci_free_dev" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x87ef83ff, "skb_dequeue" },
	{ 0x5241648, "serdev_device_set_flow_control" },
	{ 0x4829a47e, "memcpy" },
	{ 0xae19f7c7, "hci_alloc_dev_priv" },
	{ 0x37a0cba, "kfree" },
	{ 0x40ed724e, "serdev_device_open" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x46fb0ede, "dev_kfree_skb_irq_reason" },
	{ 0xe807266f, "devm_gpiod_get_optional" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x5195dcc3, "skb_queue_purge_reason" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xe5b363b0, "tty_driver_flush_buffer" },
	{ 0x95463bb7, "__alloc_skb" },
	{ 0xc6cbbc89, "capable" },
	{ 0x136711a4, "skb_queue_tail" },
	{ 0x800473f, "__cond_resched" },
	{ 0x54247765, "percpu_up_write" },
	{ 0xe9564079, "devm_acpi_dev_add_driver_gpios" },
	{ 0xb6476d61, "skb_pull" },
	{ 0x9f66a4ce, "sk_skb_reason_drop" },
	{ 0x197faa1a, "serdev_device_write_flush" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4071b517, "out_of_line_wait_on_bit_timeout" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xbfe0703a, "skb_push" },
	{ 0x3d11fb3f, "n_tty_ioctl_helper" },
	{ 0x3ffe3b9b, "driver_unregister" },
	{ 0x571282d1, "tty_ldisc_flush" },
	{ 0xd6e97b21, "__percpu_init_rwsem" },
	{ 0x914db554, "__serdev_device_driver_register" },
	{ 0xdcb764ad, "memset" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xdbe6aea9, "acpi_match_device" },
	{ 0x1f7c89d6, "serdev_device_set_tiocm" },
	{ 0x718b8b7, "bt_info" },
	{ 0x7b8c32f1, "bt_err" },
	{ 0x97dada4c, "serdev_device_write_buf" },
	{ 0x99eabdf8, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xde8d049e, "tty_unregister_ldisc" },
	{ 0xf8e4f31e, "hci_unregister_dev" },
	{ 0x44bae227, "bit_wait_timeout" },
	{ 0x4f139bf4, "__pm_runtime_resume" },
	{ 0xae553c4a, "hci_recv_frame" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x14c5dd46, "param_ops_bool" },
	{ 0x4a58e077, "serdev_device_close" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x5641485b, "tty_termios_encode_baud_rate" },
	{ 0x902a1384, "__percpu_down_read" },
	{ 0x4ecb6bca, "tty_unthrottle" },
	{ 0x102eda32, "hci_reset_dev" },
	{ 0x15ad86aa, "rcuwait_wake_up" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x827d8a32, "__pm_runtime_suspend" },
	{ 0xa661489d, "hci_register_dev" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x71fca298, "__hci_cmd_sync" },
	{ 0xc1e79586, "of_device_get_match_data" },
	{ 0xf9a482f9, "msleep" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0xf85686bf, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "bluetooth");


MODULE_INFO(srcversion, "1E8955E3BC5DCEC577A4EAC");
