#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(qcom_find_freq, "_gpl", "");
KSYMTAB_FUNC(qcom_find_freq_multi, "_gpl", "");
KSYMTAB_FUNC(qcom_find_freq_floor, "_gpl", "");
KSYMTAB_FUNC(qcom_find_src_index, "_gpl", "");
KSYMTAB_FUNC(qcom_find_cfg_index, "_gpl", "");
KSYMTAB_FUNC(qcom_cc_map, "_gpl", "");
KSYMTAB_FUNC(qcom_pll_set_fsm_mode, "_gpl", "");
KSYMTAB_FUNC(qcom_cc_register_board_clk, "_gpl", "");
KSYMTAB_FUNC(qcom_cc_register_sleep_clk, "_gpl", "");
KSYMTAB_FUNC(qcom_cc_really_probe, "_gpl", "");
KSYMTAB_FUNC(qcom_cc_probe, "_gpl", "");
KSYMTAB_FUNC(qcom_cc_probe_by_index, "_gpl", "");
KSYMTAB_FUNC(clk_is_enabled_regmap, "_gpl", "");
KSYMTAB_FUNC(clk_enable_regmap, "_gpl", "");
KSYMTAB_FUNC(clk_disable_regmap, "_gpl", "");
KSYMTAB_FUNC(devm_clk_register_regmap, "_gpl", "");
KSYMTAB_DATA(clk_alpha_pll_regs, "_gpl", "");
KSYMTAB_FUNC(clk_alpha_pll_configure, "_gpl", "");
KSYMTAB_FUNC(clk_huayra_2290_pll_configure, "_gpl", "");
KSYMTAB_DATA(clk_alpha_pll_fixed_ops, "_gpl", "");
KSYMTAB_DATA(clk_alpha_pll_ops, "_gpl", "");
KSYMTAB_DATA(clk_alpha_pll_huayra_ops, "_gpl", "");
KSYMTAB_DATA(clk_alpha_pll_hwfsm_ops, "_gpl", "");
KSYMTAB_DATA(clk_alpha_pll_fixed_trion_ops, "_gpl", "");
KSYMTAB_DATA(clk_alpha_pll_postdiv_ops, "_gpl", "");
KSYMTAB_DATA(clk_alpha_pll_postdiv_ro_ops, "_gpl", "");
KSYMTAB_FUNC(clk_fabia_pll_configure, "_gpl", "");
KSYMTAB_DATA(clk_alpha_pll_fabia_ops, "_gpl", "");
KSYMTAB_DATA(clk_alpha_pll_fixed_fabia_ops, "_gpl", "");
KSYMTAB_DATA(clk_alpha_pll_postdiv_trion_ops, "_gpl", "");
KSYMTAB_DATA(clk_alpha_pll_postdiv_fabia_ops, "_gpl", "");
KSYMTAB_FUNC(clk_trion_pll_configure, "_gpl", "");
KSYMTAB_DATA(clk_alpha_pll_trion_ops, "_gpl", "");
KSYMTAB_DATA(clk_alpha_pll_lucid_ops, "_gpl", "");
KSYMTAB_DATA(clk_alpha_pll_postdiv_lucid_ops, "_gpl", "");
KSYMTAB_FUNC(clk_agera_pll_configure, "_gpl", "");
KSYMTAB_DATA(clk_alpha_pll_agera_ops, "_gpl", "");
KSYMTAB_DATA(clk_alpha_pll_lucid_5lpe_ops, "_gpl", "");
KSYMTAB_DATA(clk_alpha_pll_fixed_lucid_5lpe_ops, "_gpl", "");
KSYMTAB_DATA(clk_alpha_pll_postdiv_lucid_5lpe_ops, "_gpl", "");
KSYMTAB_FUNC(clk_zonda_pll_configure, "_gpl", "");
KSYMTAB_DATA(clk_alpha_pll_zonda_ops, "_gpl", "");
KSYMTAB_FUNC(clk_lucid_evo_pll_configure, "_gpl", "");
KSYMTAB_FUNC(clk_lucid_ole_pll_configure, "_gpl", "");
KSYMTAB_DATA(clk_alpha_pll_fixed_lucid_evo_ops, "_gpl", "");
KSYMTAB_DATA(clk_alpha_pll_postdiv_lucid_evo_ops, "_gpl", "");
KSYMTAB_DATA(clk_alpha_pll_lucid_evo_ops, "_gpl", "");
KSYMTAB_DATA(clk_alpha_pll_reset_lucid_evo_ops, "_gpl", "");
KSYMTAB_FUNC(clk_rivian_evo_pll_configure, "_gpl", "");
KSYMTAB_DATA(clk_alpha_pll_rivian_evo_ops, "_gpl", "");
KSYMTAB_FUNC(clk_stromer_pll_configure, "_gpl", "");
KSYMTAB_DATA(clk_alpha_pll_stromer_ops, "_gpl", "");
KSYMTAB_DATA(clk_alpha_pll_stromer_plus_ops, "_gpl", "");
KSYMTAB_DATA(clk_pll_ops, "_gpl", "");
KSYMTAB_DATA(clk_pll_vote_ops, "_gpl", "");
KSYMTAB_FUNC(clk_pll_configure_sr, "_gpl", "");
KSYMTAB_FUNC(clk_pll_configure_sr_hpm_lp, "_gpl", "");
KSYMTAB_DATA(clk_pll_sr2_ops, "_gpl", "");
KSYMTAB_DATA(clk_rcg_ops, "_gpl", "");
KSYMTAB_DATA(clk_rcg_floor_ops, "_gpl", "");
KSYMTAB_DATA(clk_rcg_bypass_ops, "_gpl", "");
KSYMTAB_DATA(clk_rcg_bypass2_ops, "_gpl", "");
KSYMTAB_DATA(clk_rcg_pixel_ops, "_gpl", "");
KSYMTAB_DATA(clk_rcg_esc_ops, "_gpl", "");
KSYMTAB_DATA(clk_rcg_lcc_ops, "_gpl", "");
KSYMTAB_DATA(clk_dyn_rcg_ops, "_gpl", "");
KSYMTAB_DATA(clk_rcg2_ops, "_gpl", "");
KSYMTAB_DATA(clk_rcg2_floor_ops, "_gpl", "");
KSYMTAB_DATA(clk_rcg2_fm_ops, "_gpl", "");
KSYMTAB_DATA(clk_rcg2_mux_closest_ops, "_gpl", "");
KSYMTAB_DATA(clk_edp_pixel_ops, "_gpl", "");
KSYMTAB_DATA(clk_byte_ops, "_gpl", "");
KSYMTAB_DATA(clk_byte2_ops, "_gpl", "");
KSYMTAB_DATA(clk_pixel_ops, "_gpl", "");
KSYMTAB_DATA(clk_gfx3d_ops, "_gpl", "");
KSYMTAB_DATA(clk_rcg2_shared_ops, "_gpl", "");
KSYMTAB_DATA(clk_rcg2_shared_no_init_park_ops, "_gpl", "");
KSYMTAB_FUNC(qcom_cc_register_rcg_dfs, "_gpl", "");
KSYMTAB_DATA(clk_dp_ops, "_gpl", "");
KSYMTAB_DATA(clk_branch_ops, "_gpl", "");
KSYMTAB_DATA(clk_branch2_mem_ops, "_gpl", "");
KSYMTAB_DATA(clk_branch2_ops, "_gpl", "");
KSYMTAB_DATA(clk_branch2_aon_ops, "_gpl", "");
KSYMTAB_DATA(clk_branch_simple_ops, "_gpl", "");
KSYMTAB_DATA(clk_branch2_prepare_ops, "_gpl", "");
KSYMTAB_DATA(clk_regmap_div_ops, "_gpl", "");
KSYMTAB_DATA(clk_regmap_div_ro_ops, "_gpl", "");
KSYMTAB_DATA(clk_regmap_mux_closest_ops, "_gpl", "");
KSYMTAB_FUNC(mux_div_set_src_div, "_gpl", "");
KSYMTAB_DATA(clk_regmap_mux_div_ops, "_gpl", "");
KSYMTAB_DATA(clk_regmap_phy_mux_ops, "_gpl", "");
KSYMTAB_DATA(clk_ops_hfpll, "_gpl", "");
KSYMTAB_DATA(qcom_reset_ops, "_gpl", "");
KSYMTAB_FUNC(gdsc_gx_do_nothing_enable, "_gpl", "");

SYMBOL_CRC(qcom_find_freq, 0x787e8234, "_gpl");
SYMBOL_CRC(qcom_find_freq_multi, 0xc8c84cf7, "_gpl");
SYMBOL_CRC(qcom_find_freq_floor, 0x395868a1, "_gpl");
SYMBOL_CRC(qcom_find_src_index, 0x49e28c3c, "_gpl");
SYMBOL_CRC(qcom_find_cfg_index, 0x46896305, "_gpl");
SYMBOL_CRC(qcom_cc_map, 0x4175e33e, "_gpl");
SYMBOL_CRC(qcom_pll_set_fsm_mode, 0x6af41b8b, "_gpl");
SYMBOL_CRC(qcom_cc_register_board_clk, 0x3651bf7d, "_gpl");
SYMBOL_CRC(qcom_cc_register_sleep_clk, 0x2ab4cfb1, "_gpl");
SYMBOL_CRC(qcom_cc_really_probe, 0x081b7a93, "_gpl");
SYMBOL_CRC(qcom_cc_probe, 0xe1cf362e, "_gpl");
SYMBOL_CRC(qcom_cc_probe_by_index, 0x8234ee4b, "_gpl");
SYMBOL_CRC(clk_is_enabled_regmap, 0x7ebcb5c7, "_gpl");
SYMBOL_CRC(clk_enable_regmap, 0x8bf07d19, "_gpl");
SYMBOL_CRC(clk_disable_regmap, 0x898f1a6f, "_gpl");
SYMBOL_CRC(devm_clk_register_regmap, 0xb4f609c5, "_gpl");
SYMBOL_CRC(clk_alpha_pll_regs, 0xcbd49e67, "_gpl");
SYMBOL_CRC(clk_alpha_pll_configure, 0x360cfa89, "_gpl");
SYMBOL_CRC(clk_huayra_2290_pll_configure, 0x73f3f3c4, "_gpl");
SYMBOL_CRC(clk_alpha_pll_fixed_ops, 0xcb2d25f8, "_gpl");
SYMBOL_CRC(clk_alpha_pll_ops, 0x1f88365f, "_gpl");
SYMBOL_CRC(clk_alpha_pll_huayra_ops, 0x1ea782c8, "_gpl");
SYMBOL_CRC(clk_alpha_pll_hwfsm_ops, 0xfbd6578d, "_gpl");
SYMBOL_CRC(clk_alpha_pll_fixed_trion_ops, 0xa0755dc3, "_gpl");
SYMBOL_CRC(clk_alpha_pll_postdiv_ops, 0x7b87fe3e, "_gpl");
SYMBOL_CRC(clk_alpha_pll_postdiv_ro_ops, 0x70156ec0, "_gpl");
SYMBOL_CRC(clk_fabia_pll_configure, 0xd1ade0cf, "_gpl");
SYMBOL_CRC(clk_alpha_pll_fabia_ops, 0x0ae351c4, "_gpl");
SYMBOL_CRC(clk_alpha_pll_fixed_fabia_ops, 0xd98fe91b, "_gpl");
SYMBOL_CRC(clk_alpha_pll_postdiv_trion_ops, 0x7e69e953, "_gpl");
SYMBOL_CRC(clk_alpha_pll_postdiv_fabia_ops, 0x07935d8b, "_gpl");
SYMBOL_CRC(clk_trion_pll_configure, 0x4567c4c5, "_gpl");
SYMBOL_CRC(clk_alpha_pll_trion_ops, 0x7319e51c, "_gpl");
SYMBOL_CRC(clk_alpha_pll_lucid_ops, 0x708a435d, "_gpl");
SYMBOL_CRC(clk_alpha_pll_postdiv_lucid_ops, 0x7dfa4f12, "_gpl");
SYMBOL_CRC(clk_agera_pll_configure, 0x95da1248, "_gpl");
SYMBOL_CRC(clk_alpha_pll_agera_ops, 0xf439f21a, "_gpl");
SYMBOL_CRC(clk_alpha_pll_lucid_5lpe_ops, 0x5c035f38, "_gpl");
SYMBOL_CRC(clk_alpha_pll_fixed_lucid_5lpe_ops, 0x64b8755d, "_gpl");
SYMBOL_CRC(clk_alpha_pll_postdiv_lucid_5lpe_ops, 0x2d293905, "_gpl");
SYMBOL_CRC(clk_zonda_pll_configure, 0x74aa84e0, "_gpl");
SYMBOL_CRC(clk_alpha_pll_zonda_ops, 0xc9cb9fbf, "_gpl");
SYMBOL_CRC(clk_lucid_evo_pll_configure, 0xcc1f1107, "_gpl");
SYMBOL_CRC(clk_lucid_ole_pll_configure, 0x580de750, "_gpl");
SYMBOL_CRC(clk_alpha_pll_fixed_lucid_evo_ops, 0x6d308251, "_gpl");
SYMBOL_CRC(clk_alpha_pll_postdiv_lucid_evo_ops, 0x953b97b7, "_gpl");
SYMBOL_CRC(clk_alpha_pll_lucid_evo_ops, 0x0ed823f3, "_gpl");
SYMBOL_CRC(clk_alpha_pll_reset_lucid_evo_ops, 0x38229fba, "_gpl");
SYMBOL_CRC(clk_rivian_evo_pll_configure, 0x9f4818a5, "_gpl");
SYMBOL_CRC(clk_alpha_pll_rivian_evo_ops, 0xf2522383, "_gpl");
SYMBOL_CRC(clk_stromer_pll_configure, 0x6805bcb2, "_gpl");
SYMBOL_CRC(clk_alpha_pll_stromer_ops, 0x03e7eb9a, "_gpl");
SYMBOL_CRC(clk_alpha_pll_stromer_plus_ops, 0xd846a036, "_gpl");
SYMBOL_CRC(clk_pll_ops, 0x468b22ce, "_gpl");
SYMBOL_CRC(clk_pll_vote_ops, 0x5c3e75ee, "_gpl");
SYMBOL_CRC(clk_pll_configure_sr, 0x6b8e2aa0, "_gpl");
SYMBOL_CRC(clk_pll_configure_sr_hpm_lp, 0x1de81c63, "_gpl");
SYMBOL_CRC(clk_pll_sr2_ops, 0xc0126fe0, "_gpl");
SYMBOL_CRC(clk_rcg_ops, 0x9821a599, "_gpl");
SYMBOL_CRC(clk_rcg_floor_ops, 0x03351dae, "_gpl");
SYMBOL_CRC(clk_rcg_bypass_ops, 0x233e5373, "_gpl");
SYMBOL_CRC(clk_rcg_bypass2_ops, 0xaea28295, "_gpl");
SYMBOL_CRC(clk_rcg_pixel_ops, 0x88c0add9, "_gpl");
SYMBOL_CRC(clk_rcg_esc_ops, 0x9c401604, "_gpl");
SYMBOL_CRC(clk_rcg_lcc_ops, 0xe4d191e1, "_gpl");
SYMBOL_CRC(clk_dyn_rcg_ops, 0x45180f77, "_gpl");
SYMBOL_CRC(clk_rcg2_ops, 0xeec69605, "_gpl");
SYMBOL_CRC(clk_rcg2_floor_ops, 0x94c464a3, "_gpl");
SYMBOL_CRC(clk_rcg2_fm_ops, 0x2a8ded5b, "_gpl");
SYMBOL_CRC(clk_rcg2_mux_closest_ops, 0xb8694bf5, "_gpl");
SYMBOL_CRC(clk_edp_pixel_ops, 0x8e4c395e, "_gpl");
SYMBOL_CRC(clk_byte_ops, 0xe8c0478b, "_gpl");
SYMBOL_CRC(clk_byte2_ops, 0x1d0f06af, "_gpl");
SYMBOL_CRC(clk_pixel_ops, 0xf3bf69c3, "_gpl");
SYMBOL_CRC(clk_gfx3d_ops, 0x45226263, "_gpl");
SYMBOL_CRC(clk_rcg2_shared_ops, 0xa95ed447, "_gpl");
SYMBOL_CRC(clk_rcg2_shared_no_init_park_ops, 0x22a6f9bd, "_gpl");
SYMBOL_CRC(qcom_cc_register_rcg_dfs, 0x30d1e9de, "_gpl");
SYMBOL_CRC(clk_dp_ops, 0xd2ec30a3, "_gpl");
SYMBOL_CRC(clk_branch_ops, 0x4a930432, "_gpl");
SYMBOL_CRC(clk_branch2_mem_ops, 0x8fb72cc6, "_gpl");
SYMBOL_CRC(clk_branch2_ops, 0xaf105ec4, "_gpl");
SYMBOL_CRC(clk_branch2_aon_ops, 0xfafc1469, "_gpl");
SYMBOL_CRC(clk_branch_simple_ops, 0xb3d93f1b, "_gpl");
SYMBOL_CRC(clk_branch2_prepare_ops, 0xea83572b, "_gpl");
SYMBOL_CRC(clk_regmap_div_ops, 0xc0d2ecb0, "_gpl");
SYMBOL_CRC(clk_regmap_div_ro_ops, 0xf84b8d59, "_gpl");
SYMBOL_CRC(clk_regmap_mux_closest_ops, 0x66580ca3, "_gpl");
SYMBOL_CRC(mux_div_set_src_div, 0x59eabda5, "_gpl");
SYMBOL_CRC(clk_regmap_mux_div_ops, 0x1f83275f, "_gpl");
SYMBOL_CRC(clk_regmap_phy_mux_ops, 0x82afa55e, "_gpl");
SYMBOL_CRC(clk_ops_hfpll, 0x93bc2a64, "_gpl");
SYMBOL_CRC(qcom_reset_ops, 0x40981fd4, "_gpl");
SYMBOL_CRC(gdsc_gx_do_nothing_enable, 0x15201922, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9b9fc6d9, "of_genpd_add_provider_onecell" },
	{ 0x3cc8f38f, "regulator_enable" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x24600a27, "devm_platform_ioremap_resource" },
	{ 0xc569d8ce, "__clk_get_name" },
	{ 0xcb824037, "regmap_write" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0xe9d10d9d, "of_node_put" },
	{ 0xb0a0da0c, "rational_best_approximation" },
	{ 0xd654f4c8, "of_genpd_del_provider" },
	{ 0x7693d4eb, "clk_hw_get_rate_range" },
	{ 0xe22b9656, "devm_of_clk_add_hw_provider" },
	{ 0xb82a9624, "devm_clk_hw_register" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb38aefe4, "clk_hw_get_name" },
	{ 0x2e3b2b87, "divider_round_rate_parent" },
	{ 0xacfeea2f, "divider_recalc_rate" },
	{ 0x5c7af82d, "divider_ro_round_rate_parent" },
	{ 0x97462990, "devm_regulator_get_optional" },
	{ 0xd87b5eb4, "clk_hw_get_parent_by_index" },
	{ 0x1389badc, "pm_genpd_init" },
	{ 0xc5bba0f, "__clk_mux_determine_rate_closest" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x35c27328, "clk_fixed_rate_ops" },
	{ 0x693138, "clk_hw_round_rate" },
	{ 0x7730176d, "pm_genpd_add_subdomain" },
	{ 0xbb3d1556, "of_get_child_by_name" },
	{ 0x3f2a3c69, "__clk_determine_rate" },
	{ 0xae9ee64a, "clk_hw_get_rate" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x2933431d, "dev_get_regmap" },
	{ 0x5b36a3ec, "of_find_property" },
	{ 0xdcb764ad, "memset" },
	{ 0xeca45fb, "__devm_regmap_init_mmio_clk" },
	{ 0xc5b345a3, "pm_genpd_remove_subdomain" },
	{ 0x5e798ffb, "divider_get_val" },
	{ 0xae0f18ae, "devm_reset_controller_register" },
	{ 0x3813437, "clk_hw_get_flags" },
	{ 0x184e1d86, "of_prop_next_u32" },
	{ 0x133e2f27, "regmap_read" },
	{ 0x652dec38, "devm_clk_hw_get_clk" },
	{ 0x4af4055, "clk_hw_is_enabled" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x48dc35b4, "clk_hw_get_parent" },
	{ 0x210c9b04, "devm_icc_clk_register" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x207bb5ea, "regmap_update_bits_base" },
	{ 0xc3293cf7, "regulator_disable" },
	{ 0x92f2a8c, "dev_err_probe" },
	{ 0xfe1f1c42, "__devm_add_action" },
	{ 0xaea2c0fd, "clk_fixed_factor_ops" },
	{ 0xc6a4a872, "__clk_is_enabled" },
	{ 0x7e15780a, "of_find_node_opts_by_path" },
	{ 0xf9a482f9, "msleep" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0xe6e6ddee, "clk_hw_get_num_parents" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "icc-clk");


MODULE_INFO(srcversion, "61CE2CC7B33303C037CEC25");
