#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd7f32552, "mbox_send_message" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x3b82c1cf, "platform_driver_unregister" },
	{ 0x9e08197e, "mbox_free_channel" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x96848186, "scnprintf" },
	{ 0x4829a47e, "memcpy" },
	{ 0x4e248ede, "crypto_register_aead" },
	{ 0xb8130005, "crypto_unregister_aead" },
	{ 0x37a0cba, "kfree" },
	{ 0x7237aa40, "crypto_alloc_aead" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xbf829c5, "crypto_aead_setauthsize" },
	{ 0xab469c39, "crypto_aead_decrypt" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0x716265c7, "debugfs_initialized" },
	{ 0xb69d024, "crypto_unregister_ahash" },
	{ 0xc63dce24, "crypto_destroy_tfm" },
	{ 0x122c3a7e, "_printk" },
	{ 0x2479193e, "crypto_authenc_extractkeys" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb0aa812e, "fips_enabled" },
	{ 0x7432b9d2, "crypto_aead_setkey" },
	{ 0x9e37a5c8, "crypto_register_skcipher" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0xaa3d5f21, "crypto_shash_setkey" },
	{ 0x2d938670, "simple_open" },
	{ 0xb78cf7ea, "crypto_aead_encrypt" },
	{ 0x6e7902da, "platform_get_resource" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x495eed8e, "debugfs_remove" },
	{ 0xd84a298c, "crypto_register_ahash" },
	{ 0xa30d5356, "mbox_client_txdone" },
	{ 0xbb359f92, "crypto_unregister_skcipher" },
	{ 0xb75a5d88, "crypto_shash_update" },
	{ 0x434e4aae, "mbox_request_channel" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xdcb764ad, "memset" },
	{ 0xed826b94, "__platform_driver_register" },
	{ 0xa8fb743d, "des_expand_key" },
	{ 0x13107c3a, "debugfs_create_file" },
	{ 0x4ecd0998, "crypto_shash_final" },
	{ 0x9212ea7d, "crypto_shash_finup" },
	{ 0xbfc8b417, "devm_ioremap_resource" },
	{ 0xfe1c9ea5, "sg_pcopy_from_buffer" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x222af7f9, "of_count_phandle_with_args" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0xcb74520d, "param_ops_int" },
	{ 0xc1e79586, "of_device_get_match_data" },
	{ 0x2227c4aa, "crypto_alloc_shash" },
	{ 0xe820ea6a, "debugfs_create_dir" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "authenc,libdes");

MODULE_ALIAS("of:N*T*Cbrcm,spum-crypto");
MODULE_ALIAS("of:N*T*Cbrcm,spum-cryptoC*");
MODULE_ALIAS("of:N*T*Cbrcm,spum-nsp-crypto");
MODULE_ALIAS("of:N*T*Cbrcm,spum-nsp-cryptoC*");
MODULE_ALIAS("of:N*T*Cbrcm,spu2-crypto");
MODULE_ALIAS("of:N*T*Cbrcm,spu2-cryptoC*");
MODULE_ALIAS("of:N*T*Cbrcm,spu2-v2-crypto");
MODULE_ALIAS("of:N*T*Cbrcm,spu2-v2-cryptoC*");

MODULE_INFO(srcversion, "18F1719C32896D632C73F32");
