#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ccp_present, "_gpl", "");
KSYMTAB_FUNC(ccp_version, "_gpl", "");
KSYMTAB_FUNC(ccp_enqueue_cmd, "_gpl", "");

SYMBOL_CRC(ccp_present, 0x04773b60, "_gpl");
SYMBOL_CRC(ccp_version, 0x3a1a3979, "_gpl");
SYMBOL_CRC(ccp_enqueue_cmd, 0x325edb62, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc528a49a, "queued_write_lock_slowpath" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x24600a27, "devm_platform_ioremap_resource" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xb4ff356f, "dma_pool_create" },
	{ 0x60b73b66, "param_ops_uint" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xd0fd7085, "hwrng_unregister" },
	{ 0x3b82c1cf, "platform_driver_unregister" },
	{ 0xc2f92b25, "dma_async_device_unregister" },
	{ 0xd706cd02, "platform_get_irq" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x962f385c, "dmam_alloc_attrs" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xa6613056, "dma_unmap_page_attrs" },
	{ 0x43ba1bed, "__pci_register_driver" },
	{ 0xb68458a1, "pci_disable_msi" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1ece6e0, "dma_release_channel" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0x3494ac55, "kmem_cache_create" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0xe1a350f8, "pci_unregister_driver" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x354b3d7c, "wake_up_process" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xe0c4e14d, "hwrng_register" },
	{ 0x34070452, "dev_driver_string" },
	{ 0xb4c63861, "dma_map_page_attrs" },
	{ 0x7b5a4926, "sha1_zero_message_hash" },
	{ 0x946dd559, "sha224_zero_message_hash" },
	{ 0x5b610b55, "platform_irq_count" },
	{ 0x1000e51, "schedule" },
	{ 0x617c452b, "queued_read_lock_slowpath" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xdc070a1c, "pci_enable_msix_range" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0xe64b6826, "pci_select_bars" },
	{ 0xa9808a3e, "dma_run_dependencies" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x800473f, "__cond_resched" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x57c195cb, "device_get_dma_attr" },
	{ 0xe67c4154, "pcim_iomap_regions" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9373e7d0, "pci_enable_msi" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbc037f7, "kmem_cache_free" },
	{ 0xbac8aeea, "sg_nents_for_len" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x6022f042, "of_match_node" },
	{ 0x4cdb9669, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xdcb764ad, "memset" },
	{ 0xaff5b1dd, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x368181f7, "dmaengine_unmap_put" },
	{ 0xd235061c, "kmem_cache_alloc_noprof" },
	{ 0xdbe6aea9, "acpi_match_device" },
	{ 0x5c2d07dc, "dma_async_device_register" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0xed826b94, "__platform_driver_register" },
	{ 0x31d75226, "kthread_create_on_node" },
	{ 0xf0efe64b, "dma_set_coherent_mask" },
	{ 0xce06599e, "devm_kasprintf" },
	{ 0xc62611e1, "scatterwalk_map_and_copy" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x231754af, "_dev_notice" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x1fa1d95c, "sha256_zero_message_hash" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa989b22e, "dma_async_tx_descriptor_init" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x56470118, "__warn_printk" },
	{ 0x28eda9d3, "pci_disable_msix" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xb34e2c9a, "dma_set_mask" },
	{ 0x5986a5d8, "dma_unmap_sg_attrs" },
	{ 0x38f3d0a0, "pcim_iomap_table" },
	{ 0xad1a4a95, "pcim_enable_device" },
	{ 0x80a095d8, "scatterwalk_ffwd" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x309989e7, "kmem_cache_destroy" },
	{ 0x992d47c0, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00001022d00001537sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d00001456sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d00001468sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d00001486sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d000015DFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d000014CAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d000015C7sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d00001649sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d000017E0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d0000156Esv*sd*bc*sc*i*");
MODULE_ALIAS("of:N*T*Camd,ccp-seattle-v1a");
MODULE_ALIAS("of:N*T*Camd,ccp-seattle-v1aC*");
MODULE_ALIAS("acpi*:AMDI0C00:*");

MODULE_INFO(srcversion, "D4FBB3C4B09D3292164E7A1");
