#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xffb5089c, "pci_save_state" },
	{ 0xf7b32568, "adf_gen4_init_ras_ops" },
	{ 0x62da2708, "adf_gen4_init_thd2arb_map" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0x1f8d82a8, "adf_exit_arb" },
	{ 0xe2c32138, "adf_gen4_init_tl_data" },
	{ 0xf8e34a01, "adf_exit_admin_comms" },
	{ 0x6095eff7, "adf_gen4_get_num_aes" },
	{ 0x2bbebc42, "adf_devmgr_pci_to_accel_dev" },
	{ 0xa7bba7b1, "adf_gen4_enable_ints" },
	{ 0x58255bf4, "adf_err_handler" },
	{ 0x43ba1bed, "__pci_register_driver" },
	{ 0xfd1c298f, "adf_gen4_enable_error_correction" },
	{ 0x1106e63, "adf_gen4_init_device" },
	{ 0x258a421f, "adf_sysfs_init" },
	{ 0xe327f1f1, "adf_gen4_init_dc_ops" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0xb7b7fa6e, "node_states" },
	{ 0xe1a350f8, "pci_unregister_driver" },
	{ 0xa44ee958, "adf_gen4_get_ring_to_svc_map" },
	{ 0x5bd4a1df, "adf_gen4_get_misc_bar_id" },
	{ 0x3b76987c, "adf_gen4_get_sram_bar_id" },
	{ 0x3dea7ab3, "pci_read_config_dword" },
	{ 0x71e1e485, "adf_init_admin_comms" },
	{ 0x1e195187, "adf_dev_down" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf12f393, "adf_dbgfs_init" },
	{ 0x38db17b9, "adf_send_admin_init" },
	{ 0xb6850c58, "adf_sriov_configure" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x72c47a36, "adf_gen4_get_etr_bar_id" },
	{ 0xe64b6826, "pci_select_bars" },
	{ 0xebcaf740, "adf_gen4_init_pf_pfvf_ops" },
	{ 0x5f229e10, "adf_devmgr_add_dev" },
	{ 0xf0b25e71, "adf_isr_resource_free" },
	{ 0x6496512, "adf_reset_flr" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x2c5026c7, "adf_gen4_get_num_accels" },
	{ 0x621de3f9, "adf_gen4_timer_start" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0xc20bb870, "adf_gen4_timer_stop" },
	{ 0xdc88e2a2, "pcim_iomap_regions_request_all" },
	{ 0x2938f6b0, "adf_disable_sriov" },
	{ 0x592911c6, "adf_cfg_dev_remove" },
	{ 0x6759c608, "adf_gen4_handle_pm_interrupt" },
	{ 0x1beaf45c, "adf_gen4_get_heartbeat_clock" },
	{ 0x8e0ab0be, "adf_gen4_get_sku" },
	{ 0xe93bc1f2, "adf_gen4_set_ssm_wdtimer" },
	{ 0x67076550, "adf_gen4_dev_config" },
	{ 0xb80c3089, "adf_dev_up" },
	{ 0xb6c381e8, "adf_isr_resource_alloc" },
	{ 0x2206a1ec, "adf_cfg_dev_add" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0xaff5b1dd, "pci_set_master" },
	{ 0xff33838c, "adf_gen4_set_msix_default_rttable" },
	{ 0xf0efe64b, "dma_set_coherent_mask" },
	{ 0xf0bf8fe5, "adf_gen4_ring_pair_reset" },
	{ 0x8aa62786, "adf_init_arb" },
	{ 0x6d48fb3c, "adf_devmgr_rm_dev" },
	{ 0x2c0f84ec, "adf_gen4_init_hw_csr_ops" },
	{ 0x1d2181f5, "adf_gen4_cfg_dev_init" },
	{ 0x2230d349, "adf_gen4_get_admin_info" },
	{ 0x452e6411, "adf_gen4_get_accel_mask" },
	{ 0xfa6ffd23, "adf_gen4_init_vf_mig_ops" },
	{ 0xb34e2c9a, "dma_set_mask" },
	{ 0x38f3d0a0, "pcim_iomap_table" },
	{ 0x14b5f774, "adf_gen4_enable_pm" },
	{ 0xc57c18f5, "pci_read_config_byte" },
	{ 0x4c051dc4, "adf_gen4_get_arb_info" },
	{ 0xad1a4a95, "pcim_enable_device" },
	{ 0x7bbb2e72, "adf_get_service_enabled" },
	{ 0xb4750d85, "adf_dbgfs_exit" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "intel_qat");

MODULE_ALIAS("pci:v00008086d00004946sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "93D8D5866EB5BDAE07E1375");
