#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x60ae5965, "crypto_skcipher_encrypt" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x3bcbcf7c, "cptvf_hw_ops_get" },
	{ 0xfb83d52b, "otx2_mbox_alloc_msg_rsp" },
	{ 0xd4845a05, "try_module_get" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4c55545d, "devm_request_threaded_irq" },
	{ 0x25fa08f6, "pci_msix_vec_count" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0xbfa7f4ea, "otx2_cptlf_register_misc_interrupts" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xedc724c0, "pci_alloc_irq_vectors" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa6613056, "dma_unmap_page_attrs" },
	{ 0xc3d0f22e, "otx2_cpt_send_ready_msg" },
	{ 0x43ba1bed, "__pci_register_driver" },
	{ 0xfc4684cd, "otx2_cptlf_init" },
	{ 0xa8d2a62d, "otx2_cpt_lf_reset_msg" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x8231bf64, "crypto_register_aeads" },
	{ 0x7237aa40, "crypto_alloc_aead" },
	{ 0xab469c39, "crypto_aead_decrypt" },
	{ 0xbfd79310, "pci_irq_vector" },
	{ 0x4ce4dee3, "crypto_skcipher_setkey" },
	{ 0x74098c17, "otx2_mbox_init" },
	{ 0xe1a350f8, "pci_unregister_driver" },
	{ 0x34070452, "dev_driver_string" },
	{ 0xbf43b09e, "crypto_unregister_aeads" },
	{ 0xc63dce24, "crypto_destroy_tfm" },
	{ 0xb4c63861, "dma_map_page_attrs" },
	{ 0x122c3a7e, "_printk" },
	{ 0x6e4107b2, "otx2_cpt_send_mbox_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x9d56069b, "crypto_skcipher_decrypt" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xddaf1cd7, "otx2_cptlf_shutdown" },
	{ 0xb0aa812e, "fips_enabled" },
	{ 0x1edfef32, "cn10k_cptvf_lmtst_init" },
	{ 0x1f9a9c72, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x48fd13c3, "otx2_cptlf_unregister_done_interrupts" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x7432b9d2, "crypto_aead_setkey" },
	{ 0xb68de3d4, "cn10k_cpt_hw_ctx_clear" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0xb7c0f443, "sort" },
	{ 0xdc88e2a2, "pcim_iomap_regions_request_all" },
	{ 0xb78cf7ea, "crypto_aead_encrypt" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x1dad1987, "crypto_shash_digest" },
	{ 0xb75a5d88, "crypto_shash_update" },
	{ 0x3f8dc92d, "otx2_cptlf_register_done_interrupts" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x5f0b775b, "otx2_cptlf_free_irqs_affinity" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x6eecfaf4, "sg_copy_buffer" },
	{ 0xeba95d29, "crypto_register_skciphers" },
	{ 0xdcb764ad, "memset" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0xaff5b1dd, "pci_set_master" },
	{ 0xccd0cd67, "otx2_cpt_msix_offset_msg" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2c6015f5, "otx2_cpt_detach_rsrcs_msg" },
	{ 0xf0efe64b, "dma_set_coherent_mask" },
	{ 0xc62611e1, "scatterwalk_map_and_copy" },
	{ 0x57ccdd04, "otx2_mbox_destroy" },
	{ 0x404667b0, "dma_free_attrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xb118b708, "otx2_cptlf_set_irqs_affinity" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf3cbced7, "cn10k_cpt_hw_ctx_init" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0xb34e2c9a, "dma_set_mask" },
	{ 0xed689044, "devm_ioremap_wc" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0x24c1c377, "crypto_unregister_skciphers" },
	{ 0x38f3d0a0, "pcim_iomap_table" },
	{ 0xc8d72e04, "otx2_cptlf_unregister_misc_interrupts" },
	{ 0xad1a4a95, "pcim_enable_device" },
	{ 0x2227c4aa, "crypto_alloc_shash" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0xed9829ed, "otx2_mbox_reset" },
	{ 0x8ab64c42, "crypto_shash_export" },
	{ 0x3de05488, "crypto_alloc_skcipher" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "rvu_cptcommon,rvu_mbox");

MODULE_ALIAS("pci:v0000177Dd0000A0FEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000177Dd0000A0F3sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "F9E9F92E4054351C48C213E");
