#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x712a7505, "drm_atomic_helper_check_modeset" },
	{ 0x6caa7ea2, "drm_kms_helper_poll_fini" },
	{ 0xbb2e9e29, "drm_open" },
	{ 0x57055918, "drm_poll" },
	{ 0x24e8df22, "drm_mode_crtc_set_gamma_size" },
	{ 0x88124472, "drm_atomic_helper_commit_modeset_enables" },
	{ 0x4c55545d, "devm_request_threaded_irq" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0xe9d10d9d, "of_node_put" },
	{ 0xf9ed9452, "of_property_read_variable_u32_array" },
	{ 0xc12f0ec8, "drm_kms_helper_poll_init" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x61cd94a9, "devm_platform_get_and_ioremap_resource" },
	{ 0x3b82c1cf, "platform_driver_unregister" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x66278a1, "component_master_add_with_match" },
	{ 0x3ca3a89a, "drm_atomic_helper_disable_plane" },
	{ 0x8c46f712, "drm_crtc_vblank_count" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x64ac67a6, "drm_atomic_helper_shutdown" },
	{ 0x6cb4395c, "drm_atomic_helper_cleanup_planes" },
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0x37a0cba, "kfree" },
	{ 0xc144ff53, "drm_gem_dma_dumb_create_internal" },
	{ 0x54582e83, "drm_writeback_queue_job" },
	{ 0x1a15552b, "drm_atomic_helper_commit_planes" },
	{ 0x5b66fa60, "seq_lseek" },
	{ 0xa4aff612, "drm_writeback_signal_completion" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x744302c, "drm_fb_dma_get_gem_obj" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0xac907ca3, "drmm_mode_config_init" },
	{ 0xb488bd02, "devm_clk_get" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x60687dc4, "drm_add_modes_noedid" },
	{ 0x98118ef5, "drm_crtc_vblank_get" },
	{ 0x7ca2d2ba, "drm_gem_object_lookup" },
	{ 0x40848ba7, "drm_crtc_send_vblank_event" },
	{ 0x95fb09e4, "drm_atomic_helper_commit_modeset_disables" },
	{ 0xd7094a04, "__pm_runtime_set_status" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xb7702e57, "platform_get_irq_byname" },
	{ 0xc06bf752, "drm_fb_dma_get_gem_addr" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xdef642b, "drm_atomic_helper_commit" },
	{ 0x47da703, "drm_atomic_helper_check" },
	{ 0xb183bf2c, "of_reserved_mem_device_release" },
	{ 0xf693587e, "pm_runtime_enable" },
	{ 0x4186d5a6, "__drm_atomic_helper_plane_destroy_state" },
	{ 0x5f2bfaac, "drm_atomic_helper_connector_destroy_state" },
	{ 0xe8ecf988, "drm_gem_mmap" },
	{ 0x43f81957, "clk_round_rate" },
	{ 0xb0740727, "drm_ioctl" },
	{ 0xc43f2a4f, "drm_fbdev_dma_setup" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x2e1ab2ca, "iommu_get_domain_for_dev" },
	{ 0x800473f, "__cond_resched" },
	{ 0x811fb91c, "drm_writeback_connector_init" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xfdaa1085, "of_match_device" },
	{ 0x60a19b90, "__drmm_universal_plane_alloc" },
	{ 0x5562fcee, "drmm_crtc_init_with_planes" },
	{ 0x38f78982, "drm_mode_config_helper_suspend" },
	{ 0x270177ab, "__drm_atomic_helper_connector_reset" },
	{ 0x98b828e5, "__drm_atomic_helper_connector_destroy_state" },
	{ 0xfdc0adc2, "noop_llseek" },
	{ 0x5cbfc99, "drm_read" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0xfe9f72f3, "drm_display_mode_to_videomode" },
	{ 0x3dae3a1d, "drm_crtc_vblank_on" },
	{ 0x49066c90, "drm_gem_fb_create" },
	{ 0xcd8a8182, "drm_gem_fb_get_obj" },
	{ 0x30ea7ad1, "drm_atomic_helper_check_plane_state" },
	{ 0x4f5f869a, "drm_atomic_helper_disable_planes_on_crtc" },
	{ 0x3389abaf, "__drm_atomic_helper_plane_reset" },
	{ 0xfcfd1684, "of_graph_get_remote_node" },
	{ 0x2673f198, "__drm_dev_dbg" },
	{ 0x20f7a8a1, "drm_dev_unregister" },
	{ 0x4ddb2bd3, "__devm_drm_dev_alloc" },
	{ 0xdcb764ad, "memset" },
	{ 0x6c5618ce, "drmm_kmalloc" },
	{ 0x5cdbb5b2, "drm_plane_create_alpha_property" },
	{ 0x84342fb2, "drm_atomic_helper_set_config" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x705bbc14, "of_property_read_variable_u8_array" },
	{ 0x274e4b6a, "__drm_atomic_helper_crtc_duplicate_state" },
	{ 0x29dfd773, "of_reserved_mem_device_init_by_idx" },
	{ 0x6a4a0153, "__drm_atomic_helper_plane_duplicate_state" },
	{ 0xf4d76834, "drm_connector_cleanup" },
	{ 0xed317aae, "drm_get_format_info" },
	{ 0xed826b94, "__platform_driver_register" },
	{ 0x32f1e81b, "seq_read" },
	{ 0x30110d0d, "__drm_atomic_helper_crtc_destroy_state" },
	{ 0x58eb4865, "drm_crtc_enable_color_mgmt" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x513e71f7, "__drm_atomic_helper_connector_duplicate_state" },
	{ 0x13107c3a, "debugfs_create_file" },
	{ 0xbc68693f, "drm_of_component_match_add" },
	{ 0x870c85d3, "component_master_del" },
	{ 0xd69a7a68, "drm_vblank_init" },
	{ 0xbc0d826d, "drm_printf" },
	{ 0x4f139bf4, "__pm_runtime_resume" },
	{ 0xc310b981, "strnstr" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x68c031ce, "component_bind_all" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xb2579555, "drm_crtc_vblank_off" },
	{ 0x56470118, "__warn_printk" },
	{ 0x899fbd06, "seq_printf" },
	{ 0x1c70b7de, "drm_helper_probe_single_connector_modes" },
	{ 0x7275da8b, "drm_plane_create_rotation_property" },
	{ 0xb7c4be8a, "__drm_atomic_helper_crtc_reset" },
	{ 0x414beadc, "of_graph_get_port_by_id" },
	{ 0x77c768b, "drm_crtc_handle_vblank" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xa5c872a7, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x66476727, "drm_atomic_helper_page_flip" },
	{ 0xb67a9e76, "drm_atomic_helper_commit_hw_done" },
	{ 0xd7aaaef5, "drm_mode_config_reset" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0x817cce4, "drm_plane_create_blend_mode_property" },
	{ 0x982d09b3, "drm_format_info_block_height" },
	{ 0x450abac7, "drm_mode_config_helper_resume" },
	{ 0xf140f20, "component_unbind_all" },
	{ 0x3466fede, "single_open" },
	{ 0xc1e79586, "of_device_get_match_data" },
	{ 0x568d4681, "__pm_runtime_disable" },
	{ 0x690b3a83, "drm_atomic_helper_update_plane" },
	{ 0x815588a6, "clk_enable" },
	{ 0xb2c8ce84, "drm_compat_ioctl" },
	{ 0x9e5f6329, "drm_dev_register" },
	{ 0x61f81ab3, "__pm_runtime_idle" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0xcda4e508, "drm_plane_create_color_properties" },
	{ 0xa9bf4986, "drm_release" },
	{ 0x249e10b2, "drm_gem_dma_prime_import_sg_table" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "drm_kms_helper,drm,drm_dma_helper");

MODULE_ALIAS("of:N*T*Carm,mali-dp500");
MODULE_ALIAS("of:N*T*Carm,mali-dp500C*");
MODULE_ALIAS("of:N*T*Carm,mali-dp550");
MODULE_ALIAS("of:N*T*Carm,mali-dp550C*");
MODULE_ALIAS("of:N*T*Carm,mali-dp650");
MODULE_ALIAS("of:N*T*Carm,mali-dp650C*");

MODULE_INFO(srcversion, "E0A66A3F993C21D963FE5B7");
