#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(samsung_dsim_probe, "_gpl", "");
KSYMTAB_FUNC(samsung_dsim_remove, "_gpl", "");
KSYMTAB_DATA(samsung_dsim_pm_ops, "_gpl", "");

SYMBOL_CRC(samsung_dsim_probe, 0x54134365, "_gpl");
SYMBOL_CRC(samsung_dsim_remove, 0x1d51b3fb, "_gpl");
SYMBOL_CRC(samsung_dsim_pm_ops, 0xe091a060, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x61f81ab3, "__pm_runtime_idle" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0xdcb764ad, "memset" },
	{ 0x825971ad, "phy_mipi_dphy_get_default_config_for_hsclk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9ce050be, "drm_mode_copy" },
	{ 0x8e598b4b, "drm_bridge_attach" },
	{ 0xb65dd6be, "gpiod_to_irq" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x942ddb80, "gpiod_put" },
	{ 0xa6d4aefd, "drm_bridge_remove" },
	{ 0x6ad6907b, "of_get_next_available_child" },
	{ 0xe647c55, "of_node_name_eq" },
	{ 0x8ea96c1e, "of_drm_find_panel" },
	{ 0xbcaf56eb, "devm_drm_panel_bridge_add" },
	{ 0xe9d10d9d, "of_node_put" },
	{ 0xa3d21f80, "drm_dev_printk" },
	{ 0x72801fe0, "drm_bridge_add" },
	{ 0x917369df, "of_graph_is_present" },
	{ 0xfcfd1684, "of_graph_get_remote_node" },
	{ 0xe807266f, "devm_gpiod_get_optional" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x2ea02ac1, "of_drm_find_bridge" },
	{ 0x92f2a8c, "dev_err_probe" },
	{ 0x568d4681, "__pm_runtime_disable" },
	{ 0x6d6b21f3, "regulator_bulk_enable" },
	{ 0x815588a6, "clk_enable" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x36d5dce6, "regulator_bulk_disable" },
	{ 0x49631f04, "phy_power_on" },
	{ 0x191aa226, "mipi_dsi_host_unregister" },
	{ 0xa500d43d, "mipi_dsi_host_register" },
	{ 0xed826b94, "__platform_driver_register" },
	{ 0x3b82c1cf, "platform_driver_unregister" },
	{ 0xf9ed9452, "of_property_read_variable_u32_array" },
	{ 0xb488bd02, "devm_clk_get" },
	{ 0x4a64ac99, "of_graph_get_endpoint_by_regs" },
	{ 0xf0e0696d, "of_property_count_elems_of_size" },
	{ 0x122c3a7e, "_printk" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xc1e79586, "of_device_get_match_data" },
	{ 0x31565f22, "devm_regulator_bulk_get" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0x24600a27, "devm_platform_ioremap_resource" },
	{ 0x46d8f1db, "devm_phy_optional_get" },
	{ 0xd706cd02, "platform_get_irq" },
	{ 0x4c55545d, "devm_request_threaded_irq" },
	{ 0xf693587e, "pm_runtime_enable" },
	{ 0x63150e06, "clk_get_parent" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x4f139bf4, "__pm_runtime_resume" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x14ce27a9, "phy_power_off" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x800473f, "__cond_resched" },
	{ 0xa6257a2f, "complete" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x7cc4a5d, "printk_timed_ratelimit" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0x23daa989, "mipi_dsi_create_packet" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xb3b109ef, "pm_runtime_force_suspend" },
	{ 0x3a707c93, "pm_runtime_force_resume" },
	{ 0x3f49881, "drm_atomic_helper_bridge_duplicate_state" },
	{ 0x825f7d1c, "drm_atomic_helper_bridge_destroy_state" },
	{ 0xb891f827, "drm_atomic_helper_bridge_reset" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "drm,drm_kms_helper");

MODULE_ALIAS("of:N*T*Cfsl,imx8mm-mipi-dsim");
MODULE_ALIAS("of:N*T*Cfsl,imx8mm-mipi-dsimC*");
MODULE_ALIAS("of:N*T*Cfsl,imx8mp-mipi-dsim");
MODULE_ALIAS("of:N*T*Cfsl,imx8mp-mipi-dsimC*");

MODULE_INFO(srcversion, "050B927C61CFA3801BAA9E2");
