#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dw_hdmi_set_plugged_cb, "_gpl", "");
KSYMTAB_FUNC(dw_hdmi_set_channel_status, "_gpl", "");
KSYMTAB_FUNC(dw_hdmi_set_sample_width, "_gpl", "");
KSYMTAB_FUNC(dw_hdmi_set_sample_non_pcm, "_gpl", "");
KSYMTAB_FUNC(dw_hdmi_set_sample_rate, "_gpl", "");
KSYMTAB_FUNC(dw_hdmi_set_channel_count, "_gpl", "");
KSYMTAB_FUNC(dw_hdmi_set_channel_allocation, "_gpl", "");
KSYMTAB_FUNC(dw_hdmi_audio_enable, "_gpl", "");
KSYMTAB_FUNC(dw_hdmi_audio_disable, "_gpl", "");
KSYMTAB_FUNC(dw_hdmi_phy_i2c_write, "_gpl", "");
KSYMTAB_FUNC(dw_hdmi_set_high_tmds_clock_ratio, "_gpl", "");
KSYMTAB_FUNC(dw_hdmi_phy_gen2_pddq, "_gpl", "");
KSYMTAB_FUNC(dw_hdmi_phy_gen2_txpwron, "_gpl", "");
KSYMTAB_FUNC(dw_hdmi_phy_gen1_reset, "_gpl", "");
KSYMTAB_FUNC(dw_hdmi_phy_gen2_reset, "_gpl", "");
KSYMTAB_FUNC(dw_hdmi_phy_i2c_set_addr, "_gpl", "");
KSYMTAB_FUNC(dw_hdmi_phy_read_hpd, "_gpl", "");
KSYMTAB_FUNC(dw_hdmi_phy_update_hpd, "_gpl", "");
KSYMTAB_FUNC(dw_hdmi_phy_setup_hpd, "_gpl", "");
KSYMTAB_FUNC(dw_hdmi_setup_rx_sense, "_gpl", "");
KSYMTAB_FUNC(dw_hdmi_bus_fmt_is_420, "_gpl", "");
KSYMTAB_FUNC(dw_hdmi_probe, "_gpl", "");
KSYMTAB_FUNC(dw_hdmi_remove, "_gpl", "");
KSYMTAB_FUNC(dw_hdmi_bind, "_gpl", "");
KSYMTAB_FUNC(dw_hdmi_unbind, "_gpl", "");
KSYMTAB_FUNC(dw_hdmi_resume, "_gpl", "");

SYMBOL_CRC(dw_hdmi_set_plugged_cb, 0x61894210, "_gpl");
SYMBOL_CRC(dw_hdmi_set_channel_status, 0x1461e227, "_gpl");
SYMBOL_CRC(dw_hdmi_set_sample_width, 0x96f3e250, "_gpl");
SYMBOL_CRC(dw_hdmi_set_sample_non_pcm, 0x56f72e25, "_gpl");
SYMBOL_CRC(dw_hdmi_set_sample_rate, 0x8dcd6f43, "_gpl");
SYMBOL_CRC(dw_hdmi_set_channel_count, 0x09340e05, "_gpl");
SYMBOL_CRC(dw_hdmi_set_channel_allocation, 0x2fac9436, "_gpl");
SYMBOL_CRC(dw_hdmi_audio_enable, 0xd8fe547b, "_gpl");
SYMBOL_CRC(dw_hdmi_audio_disable, 0xce27012a, "_gpl");
SYMBOL_CRC(dw_hdmi_phy_i2c_write, 0x7d8a3aee, "_gpl");
SYMBOL_CRC(dw_hdmi_set_high_tmds_clock_ratio, 0xe18552a3, "_gpl");
SYMBOL_CRC(dw_hdmi_phy_gen2_pddq, 0x9b44a60b, "_gpl");
SYMBOL_CRC(dw_hdmi_phy_gen2_txpwron, 0x6712b5a7, "_gpl");
SYMBOL_CRC(dw_hdmi_phy_gen1_reset, 0xc59f9e6f, "_gpl");
SYMBOL_CRC(dw_hdmi_phy_gen2_reset, 0x26d629cd, "_gpl");
SYMBOL_CRC(dw_hdmi_phy_i2c_set_addr, 0x094f6fc5, "_gpl");
SYMBOL_CRC(dw_hdmi_phy_read_hpd, 0xdafa1790, "_gpl");
SYMBOL_CRC(dw_hdmi_phy_update_hpd, 0xf5922009, "_gpl");
SYMBOL_CRC(dw_hdmi_phy_setup_hpd, 0xd6968220, "_gpl");
SYMBOL_CRC(dw_hdmi_setup_rx_sense, 0x2d1c0e80, "_gpl");
SYMBOL_CRC(dw_hdmi_bus_fmt_is_420, 0x98db0c83, "_gpl");
SYMBOL_CRC(dw_hdmi_probe, 0x1b04ad0c, "_gpl");
SYMBOL_CRC(dw_hdmi_remove, 0x4a9b174f, "_gpl");
SYMBOL_CRC(dw_hdmi_bind, 0xae899c66, "_gpl");
SYMBOL_CRC(dw_hdmi_unbind, 0x316212a8, "_gpl");
SYMBOL_CRC(dw_hdmi_resume, 0x42926f4a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xcb824037, "regmap_write" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0x133e2f27, "regmap_read" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xdcb764ad, "memset" },
	{ 0xecf3c608, "drm_hdmi_avi_infoframe_from_display_mode" },
	{ 0xaf4332e, "drm_hdmi_avi_infoframe_quant_range" },
	{ 0x19fd9ca6, "drm_edid_read_ddc" },
	{ 0x98fed39f, "drm_edid_raw" },
	{ 0xa44eb44e, "drm_detect_hdmi_monitor" },
	{ 0xe4116245, "drm_detect_monitor_audio" },
	{ 0x9ce050be, "drm_mode_copy" },
	{ 0xa7914185, "drm_connector_init_with_ddc" },
	{ 0x157b086f, "drm_atomic_helper_connector_reset" },
	{ 0xb8550bfc, "drm_connector_attach_max_bpc_property" },
	{ 0xc0e9d4, "drm_connector_attach_encoder" },
	{ 0x85377110, "cec_fill_conn_info_from_drm" },
	{ 0xb2fe793f, "drm_connector_attach_hdr_output_metadata_property" },
	{ 0x8e598b4b, "drm_bridge_attach" },
	{ 0x90ebf05d, "drm_connector_atomic_hdr_metadata_equal" },
	{ 0x31ee523a, "drm_atomic_get_crtc_state" },
	{ 0xa119eba3, "drm_edid_connector_update" },
	{ 0x132777cd, "drm_edid_connector_add_modes" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0xeae0cd9f, "pinctrl_select_state" },
	{ 0xf9a482f9, "msleep" },
	{ 0xa6d4aefd, "drm_bridge_remove" },
	{ 0x955ba9f0, "platform_device_unregister" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x6f0ecff1, "i2c_del_adapter" },
	{ 0xdeab2af0, "i2c_put_adapter" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x37a0cba, "kfree" },
	{ 0xe7a9ecea, "drm_mode_is_420_only" },
	{ 0xace169b3, "drm_mode_is_420_also" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x3bc5ef6e, "drm_scdc_set_high_tmds_clock_ratio" },
	{ 0x207bb5ea, "regmap_update_bits_base" },
	{ 0xa6257a2f, "complete" },
	{ 0xd7e2cf1f, "drm_scdc_read" },
	{ 0x269df64d, "drm_scdc_write" },
	{ 0xd2b3cbbf, "drm_scdc_set_scrambling" },
	{ 0x3c637c, "drm_hdmi_vendor_infoframe_from_display_mode" },
	{ 0x526eef2c, "hdmi_vendor_infoframe_pack" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0x9b285573, "drm_match_cea_mode" },
	{ 0x65702bd6, "drm_default_rgb_quant_range" },
	{ 0xdd868792, "drm_hdmi_infoframe_set_hdr_metadata" },
	{ 0xe4bc2c2f, "hdmi_drm_infoframe_pack" },
	{ 0xffda9598, "drm_atomic_get_new_connector_for_encoder" },
	{ 0xcac098b6, "drm_helper_hpd_irq_event" },
	{ 0x21691c76, "drm_bridge_hpd_notify" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2691b191, "__of_parse_phandle_with_args" },
	{ 0xf88874fa, "i2c_get_adapter_by_fwnode" },
	{ 0xe9d10d9d, "of_node_put" },
	{ 0xb488bd02, "devm_clk_get" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xfcfd1684, "of_graph_get_remote_node" },
	{ 0x2ea02ac1, "of_drm_find_bridge" },
	{ 0x815588a6, "clk_enable" },
	{ 0xf9ed9452, "of_property_read_variable_u32_array" },
	{ 0x6e7902da, "platform_get_resource" },
	{ 0xbfc8b417, "devm_ioremap_resource" },
	{ 0xeca45fb, "__devm_regmap_init_mmio_clk" },
	{ 0xd706cd02, "platform_get_irq" },
	{ 0x4c55545d, "devm_request_threaded_irq" },
	{ 0x72801fe0, "drm_bridge_add" },
	{ 0x362dcefc, "platform_device_register_full" },
	{ 0x34e68cd3, "devm_pinctrl_get" },
	{ 0xbc0d9667, "pinctrl_lookup_state" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x6dd3f46f, "i2c_add_adapter" },
	{ 0x1f5d4469, "devm_kfree" },
	{ 0x3f49881, "drm_atomic_helper_bridge_duplicate_state" },
	{ 0x825f7d1c, "drm_atomic_helper_bridge_destroy_state" },
	{ 0xb891f827, "drm_atomic_helper_bridge_reset" },
	{ 0x1c70b7de, "drm_helper_probe_single_connector_modes" },
	{ 0xf4d76834, "drm_connector_cleanup" },
	{ 0xc1d28e97, "drm_atomic_helper_connector_duplicate_state" },
	{ 0x5f2bfaac, "drm_atomic_helper_connector_destroy_state" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "drm,drm_kms_helper,cec,drm_display_helper");


MODULE_INFO(srcversion, "F1C29B2F544AAB09E0371B5");
