#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_bridge_connector_init, "_gpl", "");
KSYMTAB_FUNC(drm_dp_dual_mode_read, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_write, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_detect, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_max_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_get_tmds_output, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_set_tmds_output, "", "");
KSYMTAB_FUNC(drm_dp_get_dual_mode_type_name, "", "");
KSYMTAB_FUNC(drm_lspcon_get_mode, "", "");
KSYMTAB_FUNC(drm_lspcon_set_mode, "", "");
KSYMTAB_FUNC(drm_dp_channel_eq_ok, "", "");
KSYMTAB_FUNC(drm_dp_clock_recovery_ok, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_request_voltage, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_request_pre_emphasis, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_tx_ffe_preset, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_lane_channel_eq_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_lane_symbol_locked, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_eq_interlane_align_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_cds_interlane_align_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_link_training_failed, "", "");
KSYMTAB_FUNC(drm_dp_read_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_read_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_read_aux_rd_interval, "", "");
KSYMTAB_FUNC(drm_dp_link_train_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_link_train_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_phy_name, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_link_train_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_link_train_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_link_rate_to_bw_code, "", "");
KSYMTAB_FUNC(drm_dp_bw_code_to_link_rate, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_probe, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_set_powered, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_write, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read_link_status, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read_phy_link_status, "", "");
KSYMTAB_FUNC(drm_dp_downstream_is_type, "", "");
KSYMTAB_FUNC(drm_dp_downstream_is_tmds, "", "");
KSYMTAB_FUNC(drm_dp_send_real_edid_checksum, "", "");
KSYMTAB_FUNC(drm_dp_read_dpcd_caps, "", "");
KSYMTAB_FUNC(drm_dp_read_downstream_info, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_dotclock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_min_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_bpc, "", "");
KSYMTAB_FUNC(drm_dp_downstream_420_passthrough, "", "");
KSYMTAB_FUNC(drm_dp_downstream_444_to_420_conversion, "", "");
KSYMTAB_FUNC(drm_dp_downstream_rgb_to_ycbcr_conversion, "", "");
KSYMTAB_FUNC(drm_dp_downstream_mode, "", "");
KSYMTAB_FUNC(drm_dp_downstream_id, "", "");
KSYMTAB_FUNC(drm_dp_downstream_debug, "", "");
KSYMTAB_FUNC(drm_dp_subconnector_type, "", "");
KSYMTAB_FUNC(drm_dp_set_subconnector_property, "", "");
KSYMTAB_FUNC(drm_dp_read_sink_count_cap, "", "");
KSYMTAB_FUNC(drm_dp_read_sink_count, "", "");
KSYMTAB_FUNC(drm_dp_remote_aux_init, "", "");
KSYMTAB_FUNC(drm_dp_aux_init, "", "");
KSYMTAB_FUNC(drm_dp_aux_register, "", "");
KSYMTAB_FUNC(drm_dp_aux_unregister, "", "");
KSYMTAB_FUNC(drm_dp_psr_setup_time, "", "");
KSYMTAB_FUNC(drm_dp_start_crc, "", "");
KSYMTAB_FUNC(drm_dp_stop_crc, "", "");
KSYMTAB_FUNC(drm_dp_read_desc, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_bpp_incr, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_max_slice_count, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_line_buf_depth, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_supported_input_bpcs, "", "");
KSYMTAB_FUNC(drm_dp_read_lttpr_common_caps, "", "");
KSYMTAB_FUNC(drm_dp_read_lttpr_phy_caps, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_count, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_max_link_rate, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_max_lane_count, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_voltage_swing_level_3_supported, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_pre_emphasis_level_3_supported, "", "");
KSYMTAB_FUNC(drm_dp_get_phy_test_pattern, "", "");
KSYMTAB_FUNC(drm_dp_set_phy_test_pattern, "", "");
KSYMTAB_FUNC(drm_dp_vsc_sdp_log, "", "");
KSYMTAB_FUNC(drm_dp_as_sdp_log, "", "");
KSYMTAB_FUNC(drm_dp_as_sdp_supported, "", "");
KSYMTAB_FUNC(drm_dp_vsc_sdp_supported, "", "");
KSYMTAB_FUNC(drm_dp_vsc_sdp_pack, "", "");
KSYMTAB_FUNC(drm_dp_get_pcon_max_frl_bw, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_prepare, "", "");
KSYMTAB_FUNC(drm_dp_pcon_is_frl_ready, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_configure_1, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_configure_2, "", "");
KSYMTAB_FUNC(drm_dp_pcon_reset_frl_config, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_enable, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_link_active, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_link_mode, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_frl_link_error_count, "", "");
KSYMTAB_FUNC(drm_dp_pcon_enc_is_dsc_1_2, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_max_slices, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_max_slice_width, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_bpp_incr, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_default, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_override_buf, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_override_param, "", "");
KSYMTAB_FUNC(drm_dp_pcon_convert_rgb_to_ycbcr, "", "");
KSYMTAB_FUNC(drm_edp_backlight_set_level, "", "");
KSYMTAB_FUNC(drm_edp_backlight_enable, "", "");
KSYMTAB_FUNC(drm_edp_backlight_disable, "", "");
KSYMTAB_FUNC(drm_edp_backlight_init, "", "");
KSYMTAB_FUNC(drm_panel_dp_aux_backlight, "", "");
KSYMTAB_FUNC(drm_dp_bw_overhead, "", "");
KSYMTAB_FUNC(drm_dp_bw_channel_coding_efficiency, "", "");
KSYMTAB_FUNC(drm_dp_max_dprx_data_rate, "", "");
KSYMTAB_FUNC(drm_dp_mst_get_port_malloc, "", "");
KSYMTAB_FUNC(drm_dp_mst_put_port_malloc, "", "");
KSYMTAB_FUNC(drm_atomic_get_mst_payload_state, "", "");
KSYMTAB_FUNC(drm_dp_mst_connector_late_register, "", "");
KSYMTAB_FUNC(drm_dp_mst_connector_early_unregister, "", "");
KSYMTAB_FUNC(drm_dp_send_power_updown_phy, "", "");
KSYMTAB_FUNC(drm_dp_send_query_stream_enc_status, "", "");
KSYMTAB_FUNC(drm_dp_add_payload_part1, "", "");
KSYMTAB_FUNC(drm_dp_remove_payload_part1, "", "");
KSYMTAB_FUNC(drm_dp_remove_payload_part2, "", "");
KSYMTAB_FUNC(drm_dp_add_payload_part2, "", "");
KSYMTAB_FUNC(drm_dp_get_vc_payload_bw, "", "");
KSYMTAB_FUNC(drm_dp_read_mst_cap, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_set_mst, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_suspend, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_resume, "", "");
KSYMTAB_FUNC(drm_dp_mst_hpd_irq_handle_event, "", "");
KSYMTAB_FUNC(drm_dp_mst_hpd_irq_send_new_request, "", "");
KSYMTAB_FUNC(drm_dp_mst_detect_port, "", "");
KSYMTAB_FUNC(drm_dp_mst_edid_read, "", "");
KSYMTAB_FUNC(drm_dp_mst_get_edid, "", "");
KSYMTAB_FUNC(drm_dp_atomic_find_time_slots, "", "");
KSYMTAB_FUNC(drm_dp_atomic_release_time_slots, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_setup_commit, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_wait_for_dependencies, "", "");
KSYMTAB_FUNC(drm_dp_mst_root_conn_atomic_check, "", "");
KSYMTAB_FUNC(drm_dp_mst_update_slots, "", "");
KSYMTAB_FUNC(drm_dp_check_act_status, "", "");
KSYMTAB_FUNC(drm_dp_calc_pbn_mode, "", "");
KSYMTAB_FUNC(drm_dp_mst_dump_topology, "", "");
KSYMTAB_FUNC(drm_dp_mst_port_downstream_of_parent, "", "");
KSYMTAB_FUNC(drm_dp_mst_add_affected_dsc_crtcs, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_enable_dsc, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_check_mgr, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_check, "", "");
KSYMTAB_DATA(drm_dp_mst_topology_state_funcs, "", "");
KSYMTAB_FUNC(drm_atomic_get_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_init, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_destroy, "", "");
KSYMTAB_FUNC(drm_dp_mst_aux_for_parent, "", "");
KSYMTAB_FUNC(drm_dp_mst_dsc_aux_for_port, "", "");
KSYMTAB_FUNC(drm_dsc_dp_pps_header_init, "", "");
KSYMTAB_FUNC(drm_dsc_dp_rc_buffer_size, "", "");
KSYMTAB_FUNC(drm_dsc_pps_payload_pack, "", "");
KSYMTAB_FUNC(drm_dsc_set_const_params, "", "");
KSYMTAB_FUNC(drm_dsc_set_rc_buf_thresh, "", "");
KSYMTAB_FUNC(drm_dsc_setup_rc_params, "", "");
KSYMTAB_FUNC(drm_dsc_compute_rc_parameters, "", "");
KSYMTAB_FUNC(drm_dsc_get_bpp_int, "", "");
KSYMTAB_FUNC(drm_dsc_initial_scale_value, "", "");
KSYMTAB_FUNC(drm_dsc_flatness_det_thresh, "", "");
KSYMTAB_FUNC(drm_dsc_dump_config, "", "");
KSYMTAB_FUNC(drm_hdcp_check_ksvs_revoked, "_gpl", "");
KSYMTAB_FUNC(drm_connector_attach_content_protection_property, "", "");
KSYMTAB_FUNC(drm_hdcp_update_content_protection, "", "");
KSYMTAB_FUNC(drm_hdmi_infoframe_set_hdr_metadata, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_colorimetry, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_bars, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_content_type, "", "");
KSYMTAB_FUNC(drm_hdmi_compute_mode_clock, "", "");
KSYMTAB_FUNC(drm_scdc_read, "", "");
KSYMTAB_FUNC(drm_scdc_write, "", "");
KSYMTAB_FUNC(drm_scdc_get_scrambling_status, "", "");
KSYMTAB_FUNC(drm_scdc_set_scrambling, "", "");
KSYMTAB_FUNC(drm_scdc_set_high_tmds_clock_ratio, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_hdmi_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_hdmi_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_hdmi_update_infoframes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_hdmi_update_audio_infoframe, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_hdmi_clear_audio_infoframe, "", "");

SYMBOL_CRC(drm_bridge_connector_init, 0x7b4620da, "_gpl");
SYMBOL_CRC(drm_dp_dual_mode_read, 0xfd17c709, "");
SYMBOL_CRC(drm_dp_dual_mode_write, 0x819b4da3, "");
SYMBOL_CRC(drm_dp_dual_mode_detect, 0x9af800e9, "");
SYMBOL_CRC(drm_dp_dual_mode_max_tmds_clock, 0x6e8cbea2, "");
SYMBOL_CRC(drm_dp_dual_mode_get_tmds_output, 0x6e32b604, "");
SYMBOL_CRC(drm_dp_dual_mode_set_tmds_output, 0x888bd6ef, "");
SYMBOL_CRC(drm_dp_get_dual_mode_type_name, 0x5407ae9e, "");
SYMBOL_CRC(drm_lspcon_get_mode, 0x6fd03da0, "");
SYMBOL_CRC(drm_lspcon_set_mode, 0x072ed2fc, "");
SYMBOL_CRC(drm_dp_channel_eq_ok, 0xedcf81ce, "");
SYMBOL_CRC(drm_dp_clock_recovery_ok, 0x8d701329, "");
SYMBOL_CRC(drm_dp_get_adjust_request_voltage, 0xc5c99a79, "");
SYMBOL_CRC(drm_dp_get_adjust_request_pre_emphasis, 0x582f248e, "");
SYMBOL_CRC(drm_dp_get_adjust_tx_ffe_preset, 0xccf54d5e, "");
SYMBOL_CRC(drm_dp_128b132b_lane_channel_eq_done, 0xc8b6a8ae, "");
SYMBOL_CRC(drm_dp_128b132b_lane_symbol_locked, 0xd5a95eae, "");
SYMBOL_CRC(drm_dp_128b132b_eq_interlane_align_done, 0x6a4df8c5, "");
SYMBOL_CRC(drm_dp_128b132b_cds_interlane_align_done, 0x92b9835e, "");
SYMBOL_CRC(drm_dp_128b132b_link_training_failed, 0x6aacee47, "");
SYMBOL_CRC(drm_dp_read_clock_recovery_delay, 0xcc2c85cd, "");
SYMBOL_CRC(drm_dp_read_channel_eq_delay, 0x38994781, "");
SYMBOL_CRC(drm_dp_128b132b_read_aux_rd_interval, 0xaaf71679, "");
SYMBOL_CRC(drm_dp_link_train_clock_recovery_delay, 0x570e4364, "");
SYMBOL_CRC(drm_dp_link_train_channel_eq_delay, 0x43fd73ec, "");
SYMBOL_CRC(drm_dp_phy_name, 0x5a86f411, "");
SYMBOL_CRC(drm_dp_lttpr_link_train_clock_recovery_delay, 0x1709ddcf, "");
SYMBOL_CRC(drm_dp_lttpr_link_train_channel_eq_delay, 0xb366ecb6, "");
SYMBOL_CRC(drm_dp_link_rate_to_bw_code, 0x26815dbc, "");
SYMBOL_CRC(drm_dp_bw_code_to_link_rate, 0x73011db0, "");
SYMBOL_CRC(drm_dp_dpcd_probe, 0xa830e8a8, "");
SYMBOL_CRC(drm_dp_dpcd_set_powered, 0x57d9e34e, "");
SYMBOL_CRC(drm_dp_dpcd_read, 0x9d417740, "");
SYMBOL_CRC(drm_dp_dpcd_write, 0xbda804be, "");
SYMBOL_CRC(drm_dp_dpcd_read_link_status, 0xe529d882, "");
SYMBOL_CRC(drm_dp_dpcd_read_phy_link_status, 0x7d068d4a, "");
SYMBOL_CRC(drm_dp_downstream_is_type, 0xc79ecffb, "");
SYMBOL_CRC(drm_dp_downstream_is_tmds, 0x10beff8d, "");
SYMBOL_CRC(drm_dp_send_real_edid_checksum, 0x51bdb743, "");
SYMBOL_CRC(drm_dp_read_dpcd_caps, 0x6af8cf14, "");
SYMBOL_CRC(drm_dp_read_downstream_info, 0x5289465c, "");
SYMBOL_CRC(drm_dp_downstream_max_dotclock, 0x392a838b, "");
SYMBOL_CRC(drm_dp_downstream_max_tmds_clock, 0x58b909f2, "");
SYMBOL_CRC(drm_dp_downstream_min_tmds_clock, 0x4dd8bc97, "");
SYMBOL_CRC(drm_dp_downstream_max_bpc, 0xe53574d3, "");
SYMBOL_CRC(drm_dp_downstream_420_passthrough, 0xf689ad25, "");
SYMBOL_CRC(drm_dp_downstream_444_to_420_conversion, 0x2fa94ef2, "");
SYMBOL_CRC(drm_dp_downstream_rgb_to_ycbcr_conversion, 0xfb1a7a5a, "");
SYMBOL_CRC(drm_dp_downstream_mode, 0x1911e107, "");
SYMBOL_CRC(drm_dp_downstream_id, 0x531ed97b, "");
SYMBOL_CRC(drm_dp_downstream_debug, 0x772fa4ed, "");
SYMBOL_CRC(drm_dp_subconnector_type, 0xf68741fb, "");
SYMBOL_CRC(drm_dp_set_subconnector_property, 0x7f478df3, "");
SYMBOL_CRC(drm_dp_read_sink_count_cap, 0x74f3d22a, "");
SYMBOL_CRC(drm_dp_read_sink_count, 0xdcdd47da, "");
SYMBOL_CRC(drm_dp_remote_aux_init, 0x2b1de141, "");
SYMBOL_CRC(drm_dp_aux_init, 0x9ba5f0be, "");
SYMBOL_CRC(drm_dp_aux_register, 0x5246a9ae, "");
SYMBOL_CRC(drm_dp_aux_unregister, 0xf690693b, "");
SYMBOL_CRC(drm_dp_psr_setup_time, 0xa1fefe6a, "");
SYMBOL_CRC(drm_dp_start_crc, 0x08a2b539, "");
SYMBOL_CRC(drm_dp_stop_crc, 0x246dcfce, "");
SYMBOL_CRC(drm_dp_read_desc, 0xc46f40a8, "");
SYMBOL_CRC(drm_dp_dsc_sink_bpp_incr, 0xf48bbedf, "");
SYMBOL_CRC(drm_dp_dsc_sink_max_slice_count, 0x829b6048, "");
SYMBOL_CRC(drm_dp_dsc_sink_line_buf_depth, 0x56a663e9, "");
SYMBOL_CRC(drm_dp_dsc_sink_supported_input_bpcs, 0xa843606e, "");
SYMBOL_CRC(drm_dp_read_lttpr_common_caps, 0xac8d06c0, "");
SYMBOL_CRC(drm_dp_read_lttpr_phy_caps, 0x2c3beaf9, "");
SYMBOL_CRC(drm_dp_lttpr_count, 0xaf267620, "");
SYMBOL_CRC(drm_dp_lttpr_max_link_rate, 0x01c4bba9, "");
SYMBOL_CRC(drm_dp_lttpr_max_lane_count, 0x1605d0ed, "");
SYMBOL_CRC(drm_dp_lttpr_voltage_swing_level_3_supported, 0x1b0a1fdc, "");
SYMBOL_CRC(drm_dp_lttpr_pre_emphasis_level_3_supported, 0x76ff6644, "");
SYMBOL_CRC(drm_dp_get_phy_test_pattern, 0xbbef2739, "");
SYMBOL_CRC(drm_dp_set_phy_test_pattern, 0x7c6a3cb3, "");
SYMBOL_CRC(drm_dp_vsc_sdp_log, 0xf013835a, "");
SYMBOL_CRC(drm_dp_as_sdp_log, 0x6c847acf, "");
SYMBOL_CRC(drm_dp_as_sdp_supported, 0x13681c37, "");
SYMBOL_CRC(drm_dp_vsc_sdp_supported, 0x33eff487, "");
SYMBOL_CRC(drm_dp_vsc_sdp_pack, 0xb9234c4d, "");
SYMBOL_CRC(drm_dp_get_pcon_max_frl_bw, 0x7053fa72, "");
SYMBOL_CRC(drm_dp_pcon_frl_prepare, 0xa489cae9, "");
SYMBOL_CRC(drm_dp_pcon_is_frl_ready, 0xaf84f814, "");
SYMBOL_CRC(drm_dp_pcon_frl_configure_1, 0xa4d9aad6, "");
SYMBOL_CRC(drm_dp_pcon_frl_configure_2, 0x3a983007, "");
SYMBOL_CRC(drm_dp_pcon_reset_frl_config, 0x46b7fd0b, "");
SYMBOL_CRC(drm_dp_pcon_frl_enable, 0xc962bf3d, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_link_active, 0xa458c731, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_link_mode, 0x60933003, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_frl_link_error_count, 0x84b6bf40, "");
SYMBOL_CRC(drm_dp_pcon_enc_is_dsc_1_2, 0x59f27ed7, "");
SYMBOL_CRC(drm_dp_pcon_dsc_max_slices, 0xe5360b84, "");
SYMBOL_CRC(drm_dp_pcon_dsc_max_slice_width, 0xc020c0c1, "");
SYMBOL_CRC(drm_dp_pcon_dsc_bpp_incr, 0x4603c416, "");
SYMBOL_CRC(drm_dp_pcon_pps_default, 0xf7285192, "");
SYMBOL_CRC(drm_dp_pcon_pps_override_buf, 0x962af028, "");
SYMBOL_CRC(drm_dp_pcon_pps_override_param, 0x6133a0bb, "");
SYMBOL_CRC(drm_dp_pcon_convert_rgb_to_ycbcr, 0x535a8ab6, "");
SYMBOL_CRC(drm_edp_backlight_set_level, 0x261ebacf, "");
SYMBOL_CRC(drm_edp_backlight_enable, 0x3f8b8295, "");
SYMBOL_CRC(drm_edp_backlight_disable, 0x83ea8c79, "");
SYMBOL_CRC(drm_edp_backlight_init, 0x43e9e8a4, "");
SYMBOL_CRC(drm_panel_dp_aux_backlight, 0x1861ae65, "");
SYMBOL_CRC(drm_dp_bw_overhead, 0x3dc887bf, "");
SYMBOL_CRC(drm_dp_bw_channel_coding_efficiency, 0x0504c682, "");
SYMBOL_CRC(drm_dp_max_dprx_data_rate, 0x0f6b8a63, "");
SYMBOL_CRC(drm_dp_mst_get_port_malloc, 0xa040deb7, "");
SYMBOL_CRC(drm_dp_mst_put_port_malloc, 0x50474f11, "");
SYMBOL_CRC(drm_atomic_get_mst_payload_state, 0x2c028ca6, "");
SYMBOL_CRC(drm_dp_mst_connector_late_register, 0x2f0808af, "");
SYMBOL_CRC(drm_dp_mst_connector_early_unregister, 0xd98eb057, "");
SYMBOL_CRC(drm_dp_send_power_updown_phy, 0x10390cd1, "");
SYMBOL_CRC(drm_dp_send_query_stream_enc_status, 0x16a36108, "");
SYMBOL_CRC(drm_dp_add_payload_part1, 0x124939ab, "");
SYMBOL_CRC(drm_dp_remove_payload_part1, 0x67e912b6, "");
SYMBOL_CRC(drm_dp_remove_payload_part2, 0xb7014ef9, "");
SYMBOL_CRC(drm_dp_add_payload_part2, 0x584346c9, "");
SYMBOL_CRC(drm_dp_get_vc_payload_bw, 0xd37223bb, "");
SYMBOL_CRC(drm_dp_read_mst_cap, 0xf9846817, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_set_mst, 0xfec7a02b, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_suspend, 0x6d586984, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_resume, 0xdbafcb9b, "");
SYMBOL_CRC(drm_dp_mst_hpd_irq_handle_event, 0xe5782698, "");
SYMBOL_CRC(drm_dp_mst_hpd_irq_send_new_request, 0xf559f3d7, "");
SYMBOL_CRC(drm_dp_mst_detect_port, 0xc77b7fca, "");
SYMBOL_CRC(drm_dp_mst_edid_read, 0xe0479094, "");
SYMBOL_CRC(drm_dp_mst_get_edid, 0x00e9dc85, "");
SYMBOL_CRC(drm_dp_atomic_find_time_slots, 0x27548471, "");
SYMBOL_CRC(drm_dp_atomic_release_time_slots, 0xb5586db2, "");
SYMBOL_CRC(drm_dp_mst_atomic_setup_commit, 0x492069f6, "");
SYMBOL_CRC(drm_dp_mst_atomic_wait_for_dependencies, 0x0eb83772, "");
SYMBOL_CRC(drm_dp_mst_root_conn_atomic_check, 0x221aff98, "");
SYMBOL_CRC(drm_dp_mst_update_slots, 0xd70ba8dc, "");
SYMBOL_CRC(drm_dp_check_act_status, 0xf15fe911, "");
SYMBOL_CRC(drm_dp_calc_pbn_mode, 0xa47826e4, "");
SYMBOL_CRC(drm_dp_mst_dump_topology, 0x46fda53d, "");
SYMBOL_CRC(drm_dp_mst_port_downstream_of_parent, 0x6af266f5, "");
SYMBOL_CRC(drm_dp_mst_add_affected_dsc_crtcs, 0x796f598b, "");
SYMBOL_CRC(drm_dp_mst_atomic_enable_dsc, 0x142f48a6, "");
SYMBOL_CRC(drm_dp_mst_atomic_check_mgr, 0xb4bb855d, "");
SYMBOL_CRC(drm_dp_mst_atomic_check, 0xa1cd09ec, "");
SYMBOL_CRC(drm_dp_mst_topology_state_funcs, 0x2d34d2dc, "");
SYMBOL_CRC(drm_atomic_get_mst_topology_state, 0xdedfa6b9, "");
SYMBOL_CRC(drm_atomic_get_old_mst_topology_state, 0x751f32b8, "");
SYMBOL_CRC(drm_atomic_get_new_mst_topology_state, 0x893bebe1, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_init, 0x678a956f, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_destroy, 0xe1b59067, "");
SYMBOL_CRC(drm_dp_mst_aux_for_parent, 0x495574f9, "");
SYMBOL_CRC(drm_dp_mst_dsc_aux_for_port, 0x9501a94f, "");
SYMBOL_CRC(drm_dsc_dp_pps_header_init, 0x648d953b, "");
SYMBOL_CRC(drm_dsc_dp_rc_buffer_size, 0x1a5bf3ca, "");
SYMBOL_CRC(drm_dsc_pps_payload_pack, 0x58d8fcaa, "");
SYMBOL_CRC(drm_dsc_set_const_params, 0x627ba04b, "");
SYMBOL_CRC(drm_dsc_set_rc_buf_thresh, 0x24ada755, "");
SYMBOL_CRC(drm_dsc_setup_rc_params, 0x79008c7e, "");
SYMBOL_CRC(drm_dsc_compute_rc_parameters, 0xfe12bcb9, "");
SYMBOL_CRC(drm_dsc_get_bpp_int, 0xd0e95456, "");
SYMBOL_CRC(drm_dsc_initial_scale_value, 0x95883bb4, "");
SYMBOL_CRC(drm_dsc_flatness_det_thresh, 0xe2468a48, "");
SYMBOL_CRC(drm_dsc_dump_config, 0xeb13b66e, "");
SYMBOL_CRC(drm_hdcp_check_ksvs_revoked, 0x22dbd5fa, "_gpl");
SYMBOL_CRC(drm_connector_attach_content_protection_property, 0x319e2685, "");
SYMBOL_CRC(drm_hdcp_update_content_protection, 0xeeab495a, "");
SYMBOL_CRC(drm_hdmi_infoframe_set_hdr_metadata, 0xdd868792, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_colorimetry, 0x40f8e180, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_bars, 0xb3b68d6c, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_content_type, 0x87b6cc96, "");
SYMBOL_CRC(drm_hdmi_compute_mode_clock, 0x7f3fbad7, "");
SYMBOL_CRC(drm_scdc_read, 0xd7e2cf1f, "");
SYMBOL_CRC(drm_scdc_write, 0x269df64d, "");
SYMBOL_CRC(drm_scdc_get_scrambling_status, 0x02d42019, "");
SYMBOL_CRC(drm_scdc_set_scrambling, 0xd2b3cbbf, "");
SYMBOL_CRC(drm_scdc_set_high_tmds_clock_ratio, 0x3bc5ef6e, "");
SYMBOL_CRC(__drm_atomic_helper_connector_hdmi_reset, 0xcc98ec6f, "");
SYMBOL_CRC(drm_atomic_helper_connector_hdmi_check, 0xa5ae24a7, "");
SYMBOL_CRC(drm_atomic_helper_connector_hdmi_update_infoframes, 0x931b4871, "");
SYMBOL_CRC(drm_atomic_helper_connector_hdmi_update_audio_infoframe, 0x35c29873, "");
SYMBOL_CRC(drm_atomic_helper_connector_hdmi_clear_audio_infoframe, 0xc5bc47aa, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa369b197, "drm_crtc_add_crc_entry" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x72f06cd5, "drm_connector_register" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x63c35977, "drm_atomic_get_private_obj_state" },
	{ 0x2d4c773a, "hdmi_spd_infoframe_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5fafb06f, "__drm_printfn_dbg" },
	{ 0x9ff55164, "drm_bridge_hpd_enable" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x89b8ffcb, "drm_atomic_private_obj_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0x4829a47e, "memcpy" },
	{ 0xecf3c608, "drm_hdmi_avi_infoframe_from_display_mode" },
	{ 0x37a0cba, "kfree" },
	{ 0x5f7137ba, "drm_edid_duplicate" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xd0f57328, "drm_connector_unregister" },
	{ 0xe2964344, "__wake_up" },
	{ 0xb3750192, "drm_edid_valid" },
	{ 0x273b6952, "drm_mode_object_put" },
	{ 0x34070452, "dev_driver_string" },
	{ 0xcedafaa5, "request_firmware_direct" },
	{ 0xa119eba3, "drm_edid_connector_update" },
	{ 0x73c6491f, "drm_bridge_hpd_disable" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x69353664, "__drm_debug" },
	{ 0xebabea96, "__drm_atomic_helper_private_obj_duplicate_state" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x20bd8d86, "drm_atomic_private_obj_fini" },
	{ 0x5f2bfaac, "drm_atomic_helper_connector_destroy_state" },
	{ 0xa916b694, "strnlen" },
	{ 0x28fd78f, "drm_bridge_edid_read" },
	{ 0x70c1777d, "drm_property_create_enum" },
	{ 0xa3d21f80, "drm_dev_printk" },
	{ 0x6f0ecff1, "i2c_del_adapter" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x31ee523a, "drm_atomic_get_crtc_state" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xfb041086, "drm_crtc_wait_one_vblank" },
	{ 0x800473f, "__cond_resched" },
	{ 0x1bd70945, "drm_modeset_lock" },
	{ 0xb3bdf225, "drm_modeset_unlock" },
	{ 0x3759693e, "drm_panel_bridge_set_orientation" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0x132777cd, "drm_edid_connector_add_modes" },
	{ 0x273dc9d6, "drm_hdmi_connector_get_output_format_name" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x55b2bce5, "drm_modeset_lock_single_interruptible" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x6c7eb06e, "drm_kms_helper_connector_hotplug_event" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0xeb801d6, "drm_crtc_commit_wait" },
	{ 0x5fcffe3b, "drm_atomic_get_new_private_obj_state" },
	{ 0xb212dc3e, "drm_edid_dup" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x75a023be, "drmm_connector_init" },
	{ 0x3ad19a41, "drm_object_attach_property" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xea593f6, "hdmi_drm_infoframe_init" },
	{ 0xdebebc2c, "drm_atomic_get_old_private_obj_state" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x2673f198, "__drm_dev_dbg" },
	{ 0xdcb764ad, "memset" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0x6c5618ce, "drmm_kmalloc" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xaeb77b1a, "fwnode_handle_get" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc1d28e97, "drm_atomic_helper_connector_duplicate_state" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0x98fed39f, "drm_edid_raw" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x6dd3f46f, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x291d6817, "drm_object_property_set_value" },
	{ 0xbc0d826d, "drm_printf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa1295ae4, "drm_kms_helper_hotplug_event" },
	{ 0xa6457c89, "hdmi_infoframe_pack" },
	{ 0xc06d8525, "drm_bridge_is_panel" },
	{ 0x5737dbe8, "seq_write" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x899fbd06, "seq_printf" },
	{ 0x1c70b7de, "drm_helper_probe_single_connector_modes" },
	{ 0x65702bd6, "drm_default_rgb_quant_range" },
	{ 0xaf4332e, "drm_hdmi_avi_infoframe_quant_range" },
	{ 0x562689dd, "i2c_transfer" },
	{ 0xc76fdd40, "drm_display_mode_from_cea_vic" },
	{ 0x9b285573, "drm_match_cea_mode" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x157b086f, "drm_atomic_helper_connector_reset" },
	{ 0x6e32dbb4, "drm_sysfs_connector_property_event" },
	{ 0xdd714fc, "drmm_connector_hdmi_init" },
	{ 0x3c637c, "drm_hdmi_vendor_infoframe_from_display_mode" },
	{ 0xcb74520d, "param_ops_int" },
	{ 0x60daadf, "devm_backlight_device_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x3351cd85, "drm_atomic_get_connector_state" },
	{ 0x5e5128bf, "drm_edid_get_monitor_name" },
	{ 0x19fd9ca6, "drm_edid_read_ddc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "drm,drm_kms_helper,backlight");


MODULE_INFO(srcversion, "F2F3D287626C39B1E56A623");
