#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_shmem_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_free, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_put_pages, "", "");
KSYMTAB_FUNC(drm_gem_shmem_pin_locked, "", "");
KSYMTAB_FUNC(drm_gem_shmem_unpin_locked, "", "");
KSYMTAB_FUNC(drm_gem_shmem_pin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_unpin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_madvise, "", "");
KSYMTAB_FUNC(drm_gem_shmem_purge, "", "");
KSYMTAB_FUNC(drm_gem_shmem_dumb_create, "_gpl", "");
KSYMTAB_DATA(drm_gem_shmem_vm_ops, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_mmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_print_info, "", "");
KSYMTAB_FUNC(drm_gem_shmem_get_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_get_pages_sgt, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_prime_import_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_fbdev_shmem_setup, "", "");

SYMBOL_CRC(drm_gem_shmem_create, 0x7f99abda, "_gpl");
SYMBOL_CRC(drm_gem_shmem_free, 0xfbb28c86, "_gpl");
SYMBOL_CRC(drm_gem_shmem_put_pages, 0x6ee29759, "");
SYMBOL_CRC(drm_gem_shmem_pin_locked, 0x0893861c, "");
SYMBOL_CRC(drm_gem_shmem_unpin_locked, 0x6dd930fb, "");
SYMBOL_CRC(drm_gem_shmem_pin, 0x8ac5b8bd, "");
SYMBOL_CRC(drm_gem_shmem_unpin, 0xc9f82642, "");
SYMBOL_CRC(drm_gem_shmem_vmap, 0xd7ea4462, "");
SYMBOL_CRC(drm_gem_shmem_vunmap, 0x70bfe050, "");
SYMBOL_CRC(drm_gem_shmem_madvise, 0x4d798a13, "");
SYMBOL_CRC(drm_gem_shmem_purge, 0xa2583a5f, "");
SYMBOL_CRC(drm_gem_shmem_dumb_create, 0x229315e3, "_gpl");
SYMBOL_CRC(drm_gem_shmem_vm_ops, 0x87722148, "_gpl");
SYMBOL_CRC(drm_gem_shmem_mmap, 0xf23e3791, "_gpl");
SYMBOL_CRC(drm_gem_shmem_print_info, 0x16a0e8f4, "");
SYMBOL_CRC(drm_gem_shmem_get_sg_table, 0x8f9c031a, "_gpl");
SYMBOL_CRC(drm_gem_shmem_get_pages_sgt, 0x413d9e16, "_gpl");
SYMBOL_CRC(drm_gem_shmem_prime_import_sg_table, 0x9e745c60, "_gpl");
SYMBOL_CRC(drm_fbdev_shmem_setup, 0x2df329a3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5f1f0602, "drm_client_register" },
	{ 0xd4845a05, "try_module_get" },
	{ 0x438627b2, "drm_fb_helper_init" },
	{ 0x38f2174b, "drm_fb_helper_debug_enter" },
	{ 0xc6f7e15e, "ww_mutex_lock_interruptible" },
	{ 0x4ae2f637, "vmf_insert_pfn" },
	{ 0xd6f26cec, "drm_gem_get_pages" },
	{ 0xa010dd79, "dma_buf_vmap" },
	{ 0xa1b43474, "drm_client_buffer_vmap" },
	{ 0xe264eaea, "drm_fb_helper_lastclose" },
	{ 0xc17775fb, "drm_fb_helper_setcmap" },
	{ 0xc53aebd3, "drm_fb_helper_alloc_info" },
	{ 0xedcf6c54, "drm_helper_disable_unused_functions" },
	{ 0xa42c601b, "drm_fb_helper_unprepare" },
	{ 0x4e671beb, "dump_page" },
	{ 0x2c91e17c, "vm_get_page_prot" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x40de2244, "drm_fb_helper_fini" },
	{ 0xec55600f, "drm_client_framebuffer_delete" },
	{ 0xcbcc3f22, "drm_client_framebuffer_create" },
	{ 0x931e06ca, "invalidate_mapping_pages" },
	{ 0xc9820bd, "ww_mutex_unlock" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x419c73aa, "drm_fb_helper_deferred_io" },
	{ 0x8378dc8c, "drm_fb_helper_release_info" },
	{ 0x18764fbc, "unmap_mapping_range" },
	{ 0x94961283, "vunmap" },
	{ 0x4a19445b, "dma_buf_mmap" },
	{ 0x37a0cba, "kfree" },
	{ 0xc12d5dc, "drm_driver_legacy_fb_format" },
	{ 0x13375699, "drm_fb_helper_fill_info" },
	{ 0x572108ae, "drm_gem_create_mmap_offset" },
	{ 0xbd12992d, "fb_deferred_io_init" },
	{ 0x68020c61, "fb_deferred_io_cleanup" },
	{ 0xca7988dd, "drm_gem_object_init" },
	{ 0x34070452, "dev_driver_string" },
	{ 0x77e36f63, "drm_fb_helper_hotplug_event" },
	{ 0xa1186750, "fb_sys_write" },
	{ 0x9c358ca1, "sys_imageblit" },
	{ 0xcd860fe3, "drm_fb_helper_damage_range" },
	{ 0xa9823767, "drm_fb_helper_blank" },
	{ 0xc94edb17, "drm_gem_private_object_init" },
	{ 0xe4bbb1b0, "drm_fb_helper_check_var" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9bd4bc67, "drm_fb_helper_damage_area" },
	{ 0x86d7d8d3, "sys_fillrect" },
	{ 0x1f9a9c72, "module_put" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x2c92f911, "drm_client_init" },
	{ 0xb394cd5b, "drm_gem_vm_close" },
	{ 0x3e2f973f, "drm_gem_vm_open" },
	{ 0x85405af6, "drm_fb_helper_prepare" },
	{ 0x57bc19d2, "down_write" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xb034e139, "drm_gem_object_release" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0xc3f628d8, "ww_mutex_lock" },
	{ 0xe0233335, "vmap" },
	{ 0x5bfe36f5, "drm_gem_handle_create" },
	{ 0xcd8a8182, "drm_gem_fb_get_obj" },
	{ 0x2673f198, "__drm_dev_dbg" },
	{ 0x338f7a54, "drm_prime_pages_to_sg" },
	{ 0x17067abf, "fb_deferred_io_mmap" },
	{ 0x73814bf9, "drm_fb_helper_pan_display" },
	{ 0x180ce860, "dma_buf_vunmap" },
	{ 0xc92fc75c, "drm_client_release" },
	{ 0x767565ec, "sys_copyarea" },
	{ 0x8792fc75, "shmem_truncate_range" },
	{ 0xbc0d826d, "drm_printf" },
	{ 0xcd0d4d23, "dma_map_sgtable" },
	{ 0x356103fa, "drm_gem_free_mmap_offset" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb65570ea, "drm_client_buffer_vunmap" },
	{ 0xb24a032c, "fb_sys_read" },
	{ 0x210deaf2, "drm_fb_helper_debug_leave" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x5986a5d8, "dma_unmap_sg_attrs" },
	{ 0x2ace5d43, "drm_fb_helper_initial_config" },
	{ 0xa5cfc8b0, "drm_fb_helper_unregister_info" },
	{ 0xbc8b7f8d, "drm_gem_put_pages" },
	{ 0x8125412a, "drm_gem_private_object_fini" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0xbdc4c8ed, "drm_fb_helper_ioctl" },
	{ 0xc29a439a, "drm_fb_helper_set_par" },
	{ 0x17fc7bfe, "drm_prime_gem_destroy" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "drm,drm_kms_helper");


MODULE_INFO(srcversion, "0A2DBE5C0E15DC70B9E9C60");
