#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_ttm_print_info, "", "");
KSYMTAB_FUNC(drm_gem_ttm_vmap, "", "");
KSYMTAB_FUNC(drm_gem_ttm_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_ttm_mmap, "", "");
KSYMTAB_FUNC(drm_gem_ttm_dumb_map_offset, "", "");
KSYMTAB_FUNC(drm_fbdev_ttm_setup, "", "");

SYMBOL_CRC(drm_gem_ttm_print_info, 0xf04f23e0, "");
SYMBOL_CRC(drm_gem_ttm_vmap, 0x90fdf8b5, "");
SYMBOL_CRC(drm_gem_ttm_vunmap, 0xee118913, "");
SYMBOL_CRC(drm_gem_ttm_mmap, 0x3e28acef, "");
SYMBOL_CRC(drm_gem_ttm_dumb_map_offset, 0xdb2efb12, "");
SYMBOL_CRC(drm_fbdev_ttm_setup, 0x4f5e2275, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5f1f0602, "drm_client_register" },
	{ 0xd4845a05, "try_module_get" },
	{ 0x438627b2, "drm_fb_helper_init" },
	{ 0x38f2174b, "drm_fb_helper_debug_enter" },
	{ 0xe264eaea, "drm_fb_helper_lastclose" },
	{ 0xc17775fb, "drm_fb_helper_setcmap" },
	{ 0xc53aebd3, "drm_fb_helper_alloc_info" },
	{ 0xedcf6c54, "drm_helper_disable_unused_functions" },
	{ 0xa42c601b, "drm_fb_helper_unprepare" },
	{ 0x40de2244, "drm_fb_helper_fini" },
	{ 0xec55600f, "drm_client_framebuffer_delete" },
	{ 0xcbcc3f22, "drm_client_framebuffer_create" },
	{ 0x419c73aa, "drm_fb_helper_deferred_io" },
	{ 0x8378dc8c, "drm_fb_helper_release_info" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc12d5dc, "drm_driver_legacy_fb_format" },
	{ 0x13375699, "drm_fb_helper_fill_info" },
	{ 0xbd12992d, "fb_deferred_io_init" },
	{ 0x68020c61, "fb_deferred_io_cleanup" },
	{ 0x34070452, "dev_driver_string" },
	{ 0x77e36f63, "drm_fb_helper_hotplug_event" },
	{ 0x7ca2d2ba, "drm_gem_object_lookup" },
	{ 0xa1186750, "fb_sys_write" },
	{ 0x9c358ca1, "sys_imageblit" },
	{ 0xcd860fe3, "drm_fb_helper_damage_range" },
	{ 0xa9823767, "drm_fb_helper_blank" },
	{ 0xe4bbb1b0, "drm_fb_helper_check_var" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9bd4bc67, "drm_fb_helper_damage_area" },
	{ 0x86d7d8d3, "sys_fillrect" },
	{ 0x1f9a9c72, "module_put" },
	{ 0x6960a7b, "ttm_bo_vunmap" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x2c92f911, "drm_client_init" },
	{ 0x1a01342e, "drm_print_bits" },
	{ 0x85405af6, "drm_fb_helper_prepare" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf77555cd, "__memcpy_toio" },
	{ 0x2673f198, "__drm_dev_dbg" },
	{ 0x17067abf, "fb_deferred_io_mmap" },
	{ 0x73814bf9, "drm_fb_helper_pan_display" },
	{ 0xe633a4cd, "drm_format_info_bpp" },
	{ 0xc92fc75c, "drm_client_release" },
	{ 0x767565ec, "sys_copyarea" },
	{ 0xbc0d826d, "drm_printf" },
	{ 0x999e8297, "vfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb24a032c, "fb_sys_read" },
	{ 0x210deaf2, "drm_fb_helper_debug_leave" },
	{ 0xbf6fbc3, "ttm_bo_mmap_obj" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x6557d7f0, "drm_client_buffer_vunmap_local" },
	{ 0x2af145ad, "ttm_bo_vmap" },
	{ 0x96358332, "drm_client_buffer_vmap_local" },
	{ 0x2ace5d43, "drm_fb_helper_initial_config" },
	{ 0xa5cfc8b0, "drm_fb_helper_unregister_info" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0xbdc4c8ed, "drm_fb_helper_ioctl" },
	{ 0xc29a439a, "drm_fb_helper_set_par" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "drm,drm_kms_helper,ttm");


MODULE_INFO(srcversion, "66A6C30A95B161197D8C13A");
