#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rcar_lvds_pclk_enable, "_gpl", "");
KSYMTAB_FUNC(rcar_lvds_pclk_disable, "_gpl", "");
KSYMTAB_FUNC(rcar_lvds_dual_link, "_gpl", "");
KSYMTAB_FUNC(rcar_lvds_is_connected, "_gpl", "");

SYMBOL_CRC(rcar_lvds_pclk_enable, 0x8c209ee5, "_gpl");
SYMBOL_CRC(rcar_lvds_pclk_disable, 0x9ea5aa74, "_gpl");
SYMBOL_CRC(rcar_lvds_dual_link, 0x6145c1aa, "_gpl");
SYMBOL_CRC(rcar_lvds_is_connected, 0x090370b2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x556e4390, "clk_get_rate" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0x61f81ab3, "__pm_runtime_idle" },
	{ 0xed826b94, "__platform_driver_register" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xa6d4aefd, "drm_bridge_remove" },
	{ 0x568d4681, "__pm_runtime_disable" },
	{ 0x8e598b4b, "drm_bridge_attach" },
	{ 0x3b82c1cf, "platform_driver_unregister" },
	{ 0xdcb764ad, "memset" },
	{ 0x2691b191, "__of_parse_phandle_with_args" },
	{ 0xfdaa1085, "of_match_device" },
	{ 0x6d5a834, "of_device_is_compatible" },
	{ 0x414beadc, "of_graph_get_port_by_id" },
	{ 0x260efac5, "drm_of_lvds_get_dual_link_pixel_order" },
	{ 0xe9d10d9d, "of_node_put" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x2ea02ac1, "of_drm_find_bridge" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4f139bf4, "__pm_runtime_resume" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xffda9598, "drm_atomic_get_new_connector_for_encoder" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0xc1e79586, "of_device_get_match_data" },
	{ 0xe84ced10, "soc_device_match" },
	{ 0xbf4236c7, "drm_of_find_panel_or_bridge" },
	{ 0xbcaf56eb, "devm_drm_panel_bridge_add" },
	{ 0x24600a27, "devm_platform_ioremap_resource" },
	{ 0xb488bd02, "devm_clk_get" },
	{ 0x7bfd68d, "__devm_reset_control_get" },
	{ 0xf693587e, "pm_runtime_enable" },
	{ 0x72801fe0, "drm_bridge_add" },
	{ 0x92f2a8c, "dev_err_probe" },
	{ 0x3f49881, "drm_atomic_helper_bridge_duplicate_state" },
	{ 0x825f7d1c, "drm_atomic_helper_bridge_destroy_state" },
	{ 0xb891f827, "drm_atomic_helper_bridge_reset" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "drm,drm_kms_helper");

MODULE_ALIAS("of:N*T*Crenesas,r8a7742-lvds");
MODULE_ALIAS("of:N*T*Crenesas,r8a7742-lvdsC*");
MODULE_ALIAS("of:N*T*Crenesas,r8a7743-lvds");
MODULE_ALIAS("of:N*T*Crenesas,r8a7743-lvdsC*");
MODULE_ALIAS("of:N*T*Crenesas,r8a7744-lvds");
MODULE_ALIAS("of:N*T*Crenesas,r8a7744-lvdsC*");
MODULE_ALIAS("of:N*T*Crenesas,r8a774a1-lvds");
MODULE_ALIAS("of:N*T*Crenesas,r8a774a1-lvdsC*");
MODULE_ALIAS("of:N*T*Crenesas,r8a774b1-lvds");
MODULE_ALIAS("of:N*T*Crenesas,r8a774b1-lvdsC*");
MODULE_ALIAS("of:N*T*Crenesas,r8a774c0-lvds");
MODULE_ALIAS("of:N*T*Crenesas,r8a774c0-lvdsC*");
MODULE_ALIAS("of:N*T*Crenesas,r8a774e1-lvds");
MODULE_ALIAS("of:N*T*Crenesas,r8a774e1-lvdsC*");
MODULE_ALIAS("of:N*T*Crenesas,r8a7790-lvds");
MODULE_ALIAS("of:N*T*Crenesas,r8a7790-lvdsC*");
MODULE_ALIAS("of:N*T*Crenesas,r8a7791-lvds");
MODULE_ALIAS("of:N*T*Crenesas,r8a7791-lvdsC*");
MODULE_ALIAS("of:N*T*Crenesas,r8a7793-lvds");
MODULE_ALIAS("of:N*T*Crenesas,r8a7793-lvdsC*");
MODULE_ALIAS("of:N*T*Crenesas,r8a7795-lvds");
MODULE_ALIAS("of:N*T*Crenesas,r8a7795-lvdsC*");
MODULE_ALIAS("of:N*T*Crenesas,r8a7796-lvds");
MODULE_ALIAS("of:N*T*Crenesas,r8a7796-lvdsC*");
MODULE_ALIAS("of:N*T*Crenesas,r8a77961-lvds");
MODULE_ALIAS("of:N*T*Crenesas,r8a77961-lvdsC*");
MODULE_ALIAS("of:N*T*Crenesas,r8a77965-lvds");
MODULE_ALIAS("of:N*T*Crenesas,r8a77965-lvdsC*");
MODULE_ALIAS("of:N*T*Crenesas,r8a77970-lvds");
MODULE_ALIAS("of:N*T*Crenesas,r8a77970-lvdsC*");
MODULE_ALIAS("of:N*T*Crenesas,r8a77980-lvds");
MODULE_ALIAS("of:N*T*Crenesas,r8a77980-lvdsC*");
MODULE_ALIAS("of:N*T*Crenesas,r8a77990-lvds");
MODULE_ALIAS("of:N*T*Crenesas,r8a77990-lvdsC*");
MODULE_ALIAS("of:N*T*Crenesas,r8a77995-lvds");
MODULE_ALIAS("of:N*T*Crenesas,r8a77995-lvdsC*");

MODULE_INFO(srcversion, "20515B926C51551ECEEE85E");
