#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2ce5e10f, "drmm_encoder_init" },
	{ 0xaa3ffb39, "gpiod_get_value_cansleep" },
	{ 0xbb2e9e29, "drm_open" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0x573aa03d, "drm_gem_dma_get_sg_table" },
	{ 0xa0c4cf2b, "rpi_firmware_clk_get_max_rate" },
	{ 0x6bad6cfc, "drm_gem_dma_mmap" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x60bbb124, "dma_fence_signal_locked" },
	{ 0x24600a27, "devm_platform_ioremap_resource" },
	{ 0xc569d8ce, "__clk_get_name" },
	{ 0x57055918, "drm_poll" },
	{ 0xc6f7e15e, "ww_mutex_lock_interruptible" },
	{ 0xd2b3cbbf, "drm_scdc_set_scrambling" },
	{ 0xa6b263c1, "drm_dev_enter" },
	{ 0xa500d43d, "mipi_dsi_host_register" },
	{ 0x24e8df22, "drm_mode_crtc_set_gamma_size" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x72801fe0, "drm_bridge_add" },
	{ 0x88124472, "drm_atomic_helper_commit_modeset_enables" },
	{ 0x4506c655, "bpf_trace_run4" },
	{ 0x38e00646, "drm_syncobj_find" },
	{ 0xf9b6fed4, "drm_atomic_helper_connector_tv_reset" },
	{ 0x20978fb9, "idr_find" },
	{ 0x4c55545d, "devm_request_threaded_irq" },
	{ 0x59a7bc3f, "dma_resv_reserve_fences" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0xe9d10d9d, "of_node_put" },
	{ 0xd62ccf48, "devm_pm_runtime_enable" },
	{ 0xc12f0ec8, "drm_kms_helper_poll_init" },
	{ 0x4b7ebf95, "drm_mm_remove_node" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x3b82c1cf, "platform_driver_unregister" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xba21f268, "drm_atomic_add_affected_planes" },
	{ 0x63c35977, "drm_atomic_get_private_obj_state" },
	{ 0xd706cd02, "platform_get_irq" },
	{ 0x99589ac1, "of_property_match_string" },
	{ 0xf6f11703, "drm_syncobj_find_fence" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb0a0da0c, "rational_best_approximation" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x66278a1, "component_master_add_with_match" },
	{ 0x93b9a682, "trace_raw_output_prep" },
	{ 0x87c8c92f, "dma_fence_match_context" },
	{ 0xae88ca63, "drm_connector_helper_hpd_irq_event" },
	{ 0x3ca3a89a, "drm_atomic_helper_disable_plane" },
	{ 0x74ccc61, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x556be6e0, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x57698a50, "drm_mm_takedown" },
	{ 0x64ac67a6, "drm_atomic_helper_shutdown" },
	{ 0x89b8ffcb, "drm_atomic_private_obj_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xcb6b138, "trace_event_printf" },
	{ 0x6cb4395c, "drm_atomic_helper_cleanup_planes" },
	{ 0xb4032484, "drm_mm_insert_node_in_range" },
	{ 0x23daa989, "mipi_dsi_create_packet" },
	{ 0xdb93d379, "cec_s_phys_addr" },
	{ 0x3ea528ee, "devm_ioremap" },
	{ 0xc9820bd, "ww_mutex_unlock" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0xd0cece88, "drm_mode_create_hdmi_colorspace_property" },
	{ 0x91203d85, "component_compare_dev" },
	{ 0x35c29873, "drm_atomic_helper_connector_hdmi_update_audio_infoframe" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x3f7c8b8f, "trace_event_raw_init" },
	{ 0x4d506369, "drm_mode_object_get" },
	{ 0x4829a47e, "memcpy" },
	{ 0x726ca848, "component_del" },
	{ 0x18764fbc, "unmap_mapping_range" },
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0x1c00cde1, "dma_resv_add_fence" },
	{ 0x888db041, "drm_modeset_lock_init" },
	{ 0x37a0cba, "kfree" },
	{ 0xc144ff53, "drm_gem_dma_dumb_create_internal" },
	{ 0x1f47f93a, "drm_atomic_helper_crtc_destroy_state" },
	{ 0x54582e83, "drm_writeback_queue_job" },
	{ 0xb9cad492, "__drm_atomic_state_free" },
	{ 0x1ece6e0, "dma_release_channel" },
	{ 0x1a15552b, "drm_atomic_helper_commit_planes" },
	{ 0xa4aff612, "drm_writeback_signal_completion" },
	{ 0x384ddb7d, "drm_aperture_remove_conflicting_framebuffers" },
	{ 0xb82a9624, "devm_clk_hw_register" },
	{ 0xdf0635a, "drm_connector_list_iter_begin" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc4e40b90, "bpf_trace_run2" },
	{ 0xe807266f, "devm_gpiod_get_optional" },
	{ 0xe2964344, "__wake_up" },
	{ 0x628c0f8f, "dma_fence_add_callback" },
	{ 0x2140e8a1, "__drm_printfn_seq_file" },
	{ 0x744302c, "drm_fb_dma_get_gem_obj" },
	{ 0x14804209, "platform_get_resource_byname" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x5b334f7d, "rpi_firmware_get" },
	{ 0xac907ca3, "drmm_mode_config_init" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0xb488bd02, "devm_clk_get" },
	{ 0xd7e2cf1f, "drm_scdc_read" },
	{ 0x170e8282, "drm_plane_create_zpos_property" },
	{ 0xb891f827, "drm_atomic_helper_bridge_reset" },
	{ 0x64d11af1, "dma_fence_wait_timeout" },
	{ 0x60687dc4, "drm_add_modes_noedid" },
	{ 0xa6d4aefd, "drm_bridge_remove" },
	{ 0x273b6952, "drm_mode_object_put" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xf23344d9, "drm_gem_handle_delete" },
	{ 0x34070452, "dev_driver_string" },
	{ 0xfb6dfa14, "trace_event_buffer_commit" },
	{ 0xc6c5c854, "of_find_compatible_node" },
	{ 0x98118ef5, "drm_crtc_vblank_get" },
	{ 0x7ca2d2ba, "drm_gem_object_lookup" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0x40848ba7, "drm_crtc_send_vblank_event" },
	{ 0xc0e9d4, "drm_connector_attach_encoder" },
	{ 0x95fb09e4, "drm_atomic_helper_commit_modeset_disables" },
	{ 0xffda9598, "drm_atomic_get_new_connector_for_encoder" },
	{ 0x82843856, "__platform_register_drivers" },
	{ 0xa86ec35d, "devm_snd_soc_register_component" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xa119eba3, "drm_edid_connector_update" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x584782ce, "__drmm_add_action_or_reset" },
	{ 0xb7702e57, "platform_get_irq_byname" },
	{ 0xebabea96, "__drm_atomic_helper_private_obj_duplicate_state" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xdef642b, "drm_atomic_helper_commit" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x8619869e, "put_device" },
	{ 0x47da703, "drm_atomic_helper_check" },
	{ 0x6232ea02, "__drmm_mutex_release" },
	{ 0x20bd8d86, "drm_atomic_private_obj_fini" },
	{ 0x4186d5a6, "__drm_atomic_helper_plane_destroy_state" },
	{ 0x5f2bfaac, "drm_atomic_helper_connector_destroy_state" },
	{ 0x58aba11a, "drm_connector_list_iter_end" },
	{ 0x14bda767, "drm_syncobj_replace_fence" },
	{ 0xe8ecf988, "drm_gem_mmap" },
	{ 0x70c1777d, "drm_property_create_enum" },
	{ 0x3c75fa1e, "dma_resv_get_singleton" },
	{ 0xb0740727, "drm_ioctl" },
	{ 0x3b597bb3, "drm_connector_attach_tv_margin_properties" },
	{ 0xa3d21f80, "drm_dev_printk" },
	{ 0xc43f2a4f, "drm_fbdev_dma_setup" },
	{ 0x31ee523a, "drm_atomic_get_crtc_state" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x800473f, "__cond_resched" },
	{ 0xdf666902, "drm_rotation_simplify" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x1bd70945, "drm_modeset_lock" },
	{ 0xb394cd5b, "drm_gem_vm_close" },
	{ 0x3e2f973f, "drm_gem_vm_open" },
	{ 0x28a7e69b, "drm_dev_unplug" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x4bb807c7, "perf_trace_run_bpf_submit" },
	{ 0x831a225e, "drm_atomic_helper_fake_vblank" },
	{ 0x60a19b90, "__drmm_universal_plane_alloc" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x50c2ae54, "rpi_firmware_property" },
	{ 0x41482d8b, "strndup_user" },
	{ 0x5562fcee, "drmm_crtc_init_with_planes" },
	{ 0xb7c0f443, "sort" },
	{ 0x2bd9d0b2, "debugfs_create_bool" },
	{ 0xcf73375f, "drm_atomic_set_fb_for_plane" },
	{ 0x78ede91f, "of_clk_hw_onecell_get" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0x5ea98470, "of_clk_add_hw_provider" },
	{ 0x2691b191, "__of_parse_phandle_with_args" },
	{ 0x570e16d0, "drm_debugfs_add_file" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xd68f9f2e, "dma_request_chan_by_mask" },
	{ 0x955ba9f0, "platform_device_unregister" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x63e9296, "rpi_firmware_put" },
	{ 0xfdc0adc2, "noop_llseek" },
	{ 0xaacf03c1, "dma_fence_signal" },
	{ 0x5cbfc99, "drm_read" },
	{ 0x132777cd, "drm_edid_connector_add_modes" },
	{ 0x44494c12, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xca701ad0, "drm_connector_attach_colorspace_property" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xcc98ec6f, "__drm_atomic_helper_connector_hdmi_reset" },
	{ 0x642cc440, "dma_alloc_attrs" },
	{ 0x2092327, "trace_event_reg" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0xeb801d6, "drm_crtc_commit_wait" },
	{ 0xd918c5e2, "drm_connector_helper_tv_get_modes" },
	{ 0xa4297ed3, "drm_writeback_connector_init_with_encoder" },
	{ 0x167adfb2, "dma_sync_wait" },
	{ 0x3dae3a1d, "drm_crtc_vblank_on" },
	{ 0x3fdf1204, "drm_gem_objects_lookup" },
	{ 0x5fcffe3b, "drm_atomic_get_new_private_obj_state" },
	{ 0x181422ba, "rpi_firmware_find_node" },
	{ 0xce4d808e, "snd_dmaengine_pcm_prepare_slave_config" },
	{ 0x5bfe36f5, "drm_gem_handle_create" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x5b36a3ec, "of_find_property" },
	{ 0x49066c90, "drm_gem_fb_create" },
	{ 0x30ea7ad1, "drm_atomic_helper_check_plane_state" },
	{ 0x75a023be, "drmm_connector_init" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0xd08d6178, "drm_mode_create_tv_properties" },
	{ 0x3ad19a41, "drm_object_attach_property" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x1c8295b5, "drm_crtc_vblank_put" },
	{ 0xdeb99119, "dma_fence_init" },
	{ 0xdebebc2c, "drm_atomic_get_old_private_obj_state" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0x3389abaf, "__drm_atomic_helper_plane_reset" },
	{ 0x2673f198, "__drm_dev_dbg" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xe480e50b, "drm_atomic_commit" },
	{ 0xf94001a8, "drm_atomic_helper_connector_tv_margins_reset" },
	{ 0x9ce050be, "drm_mode_copy" },
	{ 0x4ddb2bd3, "__devm_drm_dev_alloc" },
	{ 0x434023f5, "drm_atomic_state_alloc" },
	{ 0xdcb764ad, "memset" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0x6c5618ce, "drmm_kmalloc" },
	{ 0xf0517d7a, "drm_mm_init" },
	{ 0xf07268f6, "drm_print_regset32" },
	{ 0x1a411479, "drm_syncobj_free" },
	{ 0x5cdbb5b2, "drm_plane_create_alpha_property" },
	{ 0x84342fb2, "drm_atomic_helper_set_config" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xc3d8137c, "drm_gem_dma_create" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x274e4b6a, "__drm_atomic_helper_crtc_duplicate_state" },
	{ 0x25b1a326, "__drm_puts_seq_file" },
	{ 0xc1d28e97, "drm_atomic_helper_connector_duplicate_state" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0x6a4a0153, "__drm_atomic_helper_plane_duplicate_state" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x8a8c0a73, "drm_gem_dma_vmap" },
	{ 0xf4d76834, "drm_connector_cleanup" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xed826b94, "__platform_driver_register" },
	{ 0x4e689022, "drm_atomic_helper_connector_tv_check" },
	{ 0x7bfd68d, "__devm_reset_control_get" },
	{ 0x2da8d207, "bpf_trace_run3" },
	{ 0x3bc5ef6e, "drm_scdc_set_high_tmds_clock_ratio" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x58eb4865, "drm_crtc_enable_color_mgmt" },
	{ 0x7f3fbad7, "drm_hdmi_compute_mode_clock" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0x75f6e82, "drm_connector_list_iter_next" },
	{ 0x362dcefc, "platform_device_register_full" },
	{ 0x870c85d3, "component_master_del" },
	{ 0x404667b0, "dma_free_attrs" },
	{ 0xd69a7a68, "drm_vblank_init" },
	{ 0xbc0d826d, "drm_printf" },
	{ 0xda2d7a21, "trace_event_buffer_reserve" },
	{ 0x63150e06, "clk_get_parent" },
	{ 0x6d5a834, "of_device_is_compatible" },
	{ 0x825f7d1c, "drm_atomic_helper_bridge_destroy_state" },
	{ 0x4f139bf4, "__pm_runtime_resume" },
	{ 0xdab55259, "component_match_add_release" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x62e1c72, "drm_gem_dma_free" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x47c20f8a, "refcount_dec_not_one" },
	{ 0x63dd255d, "platform_find_device_by_driver" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x68c031ce, "component_bind_all" },
	{ 0x5fe8f5c5, "__of_get_address" },
	{ 0x3ff8bbac, "drm_crtc_vblank_helper_get_vblank_timestamp" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xe1e6d9f9, "drm_atomic_helper_wait_for_flip_done" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xb2579555, "drm_crtc_vblank_off" },
	{ 0x56470118, "__warn_printk" },
	{ 0x191aa226, "mipi_dsi_host_unregister" },
	{ 0x899fbd06, "seq_printf" },
	{ 0x1c70b7de, "drm_helper_probe_single_connector_modes" },
	{ 0x7275da8b, "drm_plane_create_rotation_property" },
	{ 0xb7c4be8a, "__drm_atomic_helper_crtc_reset" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x602bafc7, "drm_modeset_backoff" },
	{ 0x77c768b, "drm_crtc_handle_vblank" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x58182223, "drm_mode_create_tv_margin_properties" },
	{ 0x4488028a, "__drm_printfn_info" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0x25379e73, "clk_set_min_rate" },
	{ 0x8e598b4b, "drm_bridge_attach" },
	{ 0xbcbd49f6, "devm_snd_dmaengine_pcm_register" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x66476727, "drm_atomic_helper_page_flip" },
	{ 0x931b4871, "drm_atomic_helper_connector_hdmi_update_infoframes" },
	{ 0xb67a9e76, "drm_atomic_helper_commit_hw_done" },
	{ 0xd476a309, "drm_connector_attach_broadcast_rgb_property" },
	{ 0x157b086f, "drm_atomic_helper_connector_reset" },
	{ 0x92f2a8c, "dev_err_probe" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xd7aaaef5, "drm_mode_config_reset" },
	{ 0xa5ae24a7, "drm_atomic_helper_connector_hdmi_check" },
	{ 0x817cce4, "drm_plane_create_blend_mode_property" },
	{ 0x827d8a32, "__pm_runtime_suspend" },
	{ 0x6a315fe, "drmm_of_get_bridge" },
	{ 0xfe1f1c42, "__devm_add_action" },
	{ 0x5951752b, "component_add" },
	{ 0xaea2c0fd, "clk_fixed_factor_ops" },
	{ 0xdd714fc, "drmm_connector_hdmi_init" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0xcc328a5c, "reservation_ww_class" },
	{ 0x91930acb, "__pm_runtime_use_autosuspend" },
	{ 0xadbeed61, "mipi_dsi_packet_format_is_long" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x3f49881, "drm_atomic_helper_bridge_duplicate_state" },
	{ 0xf140f20, "component_unbind_all" },
	{ 0xc1e79586, "of_device_get_match_data" },
	{ 0x21ef374c, "try_wait_for_completion" },
	{ 0xef782814, "of_dma_configure_id" },
	{ 0x2d42019, "drm_scdc_get_scrambling_status" },
	{ 0x690b3a83, "drm_atomic_helper_update_plane" },
	{ 0x30d27d32, "of_find_matching_node_and_match" },
	{ 0x5359e8dc, "__kvmalloc_node_noprof" },
	{ 0x815588a6, "clk_enable" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xd0642b55, "platform_unregister_drivers" },
	{ 0xb2c8ce84, "drm_compat_ioctl" },
	{ 0xf07a8744, "devm_snd_soc_register_card" },
	{ 0x9e5f6329, "drm_dev_register" },
	{ 0x6ba1d052, "i2c_find_adapter_by_fwnode" },
	{ 0x61f81ab3, "__pm_runtime_idle" },
	{ 0xfc8747f8, "drm_plane_create_zpos_immutable_property" },
	{ 0x238175f3, "drm_gem_plane_helper_prepare_fb" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0xcda4e508, "drm_plane_create_color_properties" },
	{ 0xa9bf4986, "drm_release" },
	{ 0x19fd9ca6, "drm_edid_read_ddc" },
	{ 0x249e10b2, "drm_gem_dma_prime_import_sg_table" },
	{ 0x59120f7f, "drm_gem_prime_export" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x9714e0bb, "ktime_get_raw" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "drm,drm_dma_helper,drm_display_helper,drm_kms_helper,cec,snd-soc-core");

MODULE_ALIAS("of:N*T*Cbrcm,bcm2711-vc5");
MODULE_ALIAS("of:N*T*Cbrcm,bcm2711-vc5C*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm2835-vc4");
MODULE_ALIAS("of:N*T*Cbrcm,bcm2835-vc4C*");
MODULE_ALIAS("of:N*T*Cbrcm,cygnus-vc4");
MODULE_ALIAS("of:N*T*Cbrcm,cygnus-vc4C*");

MODULE_INFO(srcversion, "1EEC7F057ADE5D4301B96FD");
