#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa369b197, "drm_crtc_add_crc_entry" },
	{ 0xbb2e9e29, "drm_open" },
	{ 0x57055918, "drm_poll" },
	{ 0x18ffc869, "__drm_gem_reset_shadow_plane" },
	{ 0x24e8df22, "drm_mode_crtc_set_gamma_size" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x88124472, "drm_atomic_helper_commit_modeset_enables" },
	{ 0xc4254f2c, "devres_release_group" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x1fdcb67f, "drm_atomic_helper_check_wb_connector_state" },
	{ 0xba21f268, "drm_atomic_add_affected_planes" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x229315e3, "drm_gem_shmem_dumb_create" },
	{ 0x3ca3a89a, "drm_atomic_helper_disable_plane" },
	{ 0x64ac67a6, "drm_atomic_helper_shutdown" },
	{ 0x6cb4395c, "drm_atomic_helper_cleanup_planes" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0x4d506369, "drm_mode_object_get" },
	{ 0x37a0cba, "kfree" },
	{ 0x54582e83, "drm_writeback_queue_job" },
	{ 0x1a15552b, "drm_atomic_helper_commit_planes" },
	{ 0x15ef5468, "drm_crtc_cleanup" },
	{ 0xa4aff612, "drm_writeback_signal_completion" },
	{ 0x4260e85a, "drm_encoder_cleanup" },
	{ 0xac907ca3, "drmm_mode_config_init" },
	{ 0x60687dc4, "drm_add_modes_noedid" },
	{ 0x273b6952, "drm_mode_object_put" },
	{ 0x98118ef5, "drm_crtc_vblank_get" },
	{ 0x40848ba7, "drm_crtc_send_vblank_event" },
	{ 0xc0e9d4, "drm_connector_attach_encoder" },
	{ 0x95fb09e4, "drm_atomic_helper_commit_modeset_disables" },
	{ 0xac9c0468, "drm_crtc_accurate_vblank_count" },
	{ 0xb053adda, "drm_rect_rotate" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xdef642b, "drm_atomic_helper_commit" },
	{ 0x47da703, "drm_atomic_helper_check" },
	{ 0x5f2bfaac, "drm_atomic_helper_connector_destroy_state" },
	{ 0xe8ecf988, "drm_gem_mmap" },
	{ 0xb0740727, "drm_ioctl" },
	{ 0x77471a5c, "drm_gem_fb_vmap" },
	{ 0x31ee523a, "drm_atomic_get_crtc_state" },
	{ 0xdf666902, "drm_rotation_simplify" },
	{ 0x811fb91c, "drm_writeback_connector_init" },
	{ 0x4b68aa28, "drm_connector_init" },
	{ 0x831a225e, "drm_atomic_helper_fake_vblank" },
	{ 0x60a19b90, "__drmm_universal_plane_alloc" },
	{ 0x5562fcee, "drmm_crtc_init_with_planes" },
	{ 0x955ba9f0, "platform_device_unregister" },
	{ 0xfdc0adc2, "noop_llseek" },
	{ 0x5cbfc99, "drm_read" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x9ccd3593, "drm_gem_fb_vunmap" },
	{ 0x3dae3a1d, "drm_crtc_vblank_on" },
	{ 0x9386a232, "devres_open_group" },
	{ 0x69b902a6, "drm_crtc_vblank_crtc" },
	{ 0x49066c90, "drm_gem_fb_create" },
	{ 0x30ea7ad1, "drm_atomic_helper_check_plane_state" },
	{ 0x1c8295b5, "drm_crtc_vblank_put" },
	{ 0x2673f198, "__drm_dev_dbg" },
	{ 0x20f7a8a1, "drm_dev_unregister" },
	{ 0x4ddb2bd3, "__devm_drm_dev_alloc" },
	{ 0x9e745c60, "drm_gem_shmem_prime_import_sg_table" },
	{ 0xdcb764ad, "memset" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0x84342fb2, "drm_atomic_helper_set_config" },
	{ 0x274e4b6a, "__drm_atomic_helper_crtc_duplicate_state" },
	{ 0xc1d28e97, "drm_atomic_helper_connector_duplicate_state" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf4d76834, "drm_connector_cleanup" },
	{ 0xf0efe64b, "dma_set_coherent_mask" },
	{ 0x30110d0d, "__drm_atomic_helper_crtc_destroy_state" },
	{ 0x58eb4865, "drm_crtc_enable_color_mgmt" },
	{ 0xdc1fd150, "drm_encoder_init" },
	{ 0x362dcefc, "platform_device_register_full" },
	{ 0xd69a7a68, "drm_vblank_init" },
	{ 0x474b0787, "drm_debugfs_add_files" },
	{ 0x14c5dd46, "param_ops_bool" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xe1e6d9f9, "drm_atomic_helper_wait_for_flip_done" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xb2579555, "drm_crtc_vblank_off" },
	{ 0x899fbd06, "seq_printf" },
	{ 0x1c70b7de, "drm_helper_probe_single_connector_modes" },
	{ 0x7275da8b, "drm_plane_create_rotation_property" },
	{ 0xb7c4be8a, "__drm_atomic_helper_crtc_reset" },
	{ 0x77c768b, "drm_crtc_handle_vblank" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x66476727, "drm_atomic_helper_page_flip" },
	{ 0xb34e2c9a, "dma_set_mask" },
	{ 0xf2f2c947, "drm_set_preferred_mode" },
	{ 0xb67a9e76, "drm_atomic_helper_commit_hw_done" },
	{ 0x157b086f, "drm_atomic_helper_connector_reset" },
	{ 0xd7aaaef5, "drm_mode_config_reset" },
	{ 0xf07464e4, "hrtimer_forward" },
	{ 0x28eec03c, "__drm_gem_duplicate_shadow_plane_state" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x215f26d0, "__drm_gem_destroy_shadow_plane_state" },
	{ 0x2df329a3, "drm_fbdev_shmem_setup" },
	{ 0xf6a14e79, "drm_crtc_arm_vblank_event" },
	{ 0x690b3a83, "drm_atomic_helper_update_plane" },
	{ 0x3d89608e, "drm_calc_timestamping_constants" },
	{ 0x5359e8dc, "__kvmalloc_node_noprof" },
	{ 0xb2c8ce84, "drm_compat_ioctl" },
	{ 0x9e5f6329, "drm_dev_register" },
	{ 0x238175f3, "drm_gem_plane_helper_prepare_fb" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0xa9bf4986, "drm_release" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "drm,drm_kms_helper,drm_shmem_helper");


MODULE_INFO(srcversion, "67207E31AAA1279510DDA08");
