#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa733da49, "i2c_register_driver" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5b3626f, "i2c_smbus_read_byte" },
	{ 0x10711b56, "__irq_resolve_mapping" },
	{ 0x549525ef, "handle_nested_irq" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1641a478, "i2c_del_driver" },
	{ 0xafea8eeb, "__dev_fwnode_const" },
	{ 0xe6bbe203, "fwnode_property_match_string" },
	{ 0x11f75d2, "device_property_present" },
	{ 0x58ff94b1, "i2c_smbus_write_byte_data" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0x432acced, "i2c_smbus_write_byte" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0xc3293cf7, "regulator_disable" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0xe84d372c, "irq_domain_remove" },
	{ 0x6f2269f2, "i2c_mux_del_adapters" },
	{ 0xf80a3ec7, "device_remove_file" },
	{ 0x55e06866, "i2c_client_get_device_id" },
	{ 0x4d6d78fa, "i2c_mux_alloc" },
	{ 0x65ad9c1d, "devm_regulator_get" },
	{ 0x3cc8f38f, "regulator_enable" },
	{ 0x7bfd68d, "__devm_reset_control_get" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0xe401d208, "device_get_match_data" },
	{ 0x815b2e41, "i2c_get_device_id" },
	{ 0x92f2a8c, "dev_err_probe" },
	{ 0xd80f18f2, "device_property_read_u32_array" },
	{ 0xdcb764ad, "memset" },
	{ 0xfc4de3ac, "irq_domain_simple_ops" },
	{ 0x56795bce, "irq_domain_instantiate" },
	{ 0xe6b16cb1, "handle_simple_irq" },
	{ 0x20a789ac, "irq_set_chip_data" },
	{ 0x23dd3a06, "irq_set_chip_and_handler_name" },
	{ 0x8bef06fe, "irq_create_mapping_affinity" },
	{ 0xe807266f, "devm_gpiod_get_optional" },
	{ 0x6d627a58, "gpiod_set_value_cansleep" },
	{ 0x8480c1bb, "i2c_mux_add_adapter" },
	{ 0x4c55545d, "devm_request_threaded_irq" },
	{ 0x9818813d, "device_create_file" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0xdcf78d6a, "__i2c_smbus_xfer" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "i2c-mux");

MODULE_ALIAS("of:N*T*Cmaxim,max7356");
MODULE_ALIAS("of:N*T*Cmaxim,max7356C*");
MODULE_ALIAS("of:N*T*Cmaxim,max7357");
MODULE_ALIAS("of:N*T*Cmaxim,max7357C*");
MODULE_ALIAS("of:N*T*Cmaxim,max7358");
MODULE_ALIAS("of:N*T*Cmaxim,max7358C*");
MODULE_ALIAS("of:N*T*Cmaxim,max7367");
MODULE_ALIAS("of:N*T*Cmaxim,max7367C*");
MODULE_ALIAS("of:N*T*Cmaxim,max7368");
MODULE_ALIAS("of:N*T*Cmaxim,max7368C*");
MODULE_ALIAS("of:N*T*Cmaxim,max7369");
MODULE_ALIAS("of:N*T*Cmaxim,max7369C*");
MODULE_ALIAS("of:N*T*Cnxp,pca9540");
MODULE_ALIAS("of:N*T*Cnxp,pca9540C*");
MODULE_ALIAS("of:N*T*Cnxp,pca9542");
MODULE_ALIAS("of:N*T*Cnxp,pca9542C*");
MODULE_ALIAS("of:N*T*Cnxp,pca9543");
MODULE_ALIAS("of:N*T*Cnxp,pca9543C*");
MODULE_ALIAS("of:N*T*Cnxp,pca9544");
MODULE_ALIAS("of:N*T*Cnxp,pca9544C*");
MODULE_ALIAS("of:N*T*Cnxp,pca9545");
MODULE_ALIAS("of:N*T*Cnxp,pca9545C*");
MODULE_ALIAS("of:N*T*Cnxp,pca9546");
MODULE_ALIAS("of:N*T*Cnxp,pca9546C*");
MODULE_ALIAS("of:N*T*Cnxp,pca9547");
MODULE_ALIAS("of:N*T*Cnxp,pca9547C*");
MODULE_ALIAS("of:N*T*Cnxp,pca9548");
MODULE_ALIAS("of:N*T*Cnxp,pca9548C*");
MODULE_ALIAS("of:N*T*Cnxp,pca9846");
MODULE_ALIAS("of:N*T*Cnxp,pca9846C*");
MODULE_ALIAS("of:N*T*Cnxp,pca9847");
MODULE_ALIAS("of:N*T*Cnxp,pca9847C*");
MODULE_ALIAS("of:N*T*Cnxp,pca9848");
MODULE_ALIAS("of:N*T*Cnxp,pca9848C*");
MODULE_ALIAS("of:N*T*Cnxp,pca9849");
MODULE_ALIAS("of:N*T*Cnxp,pca9849C*");
MODULE_ALIAS("i2c:max7356");
MODULE_ALIAS("i2c:max7357");
MODULE_ALIAS("i2c:max7358");
MODULE_ALIAS("i2c:max7367");
MODULE_ALIAS("i2c:max7368");
MODULE_ALIAS("i2c:max7369");
MODULE_ALIAS("i2c:pca9540");
MODULE_ALIAS("i2c:pca9542");
MODULE_ALIAS("i2c:pca9543");
MODULE_ALIAS("i2c:pca9544");
MODULE_ALIAS("i2c:pca9545");
MODULE_ALIAS("i2c:pca9546");
MODULE_ALIAS("i2c:pca9547");
MODULE_ALIAS("i2c:pca9548");
MODULE_ALIAS("i2c:pca9846");
MODULE_ALIAS("i2c:pca9847");
MODULE_ALIAS("i2c:pca9848");
MODULE_ALIAS("i2c:pca9849");

MODULE_INFO(srcversion, "314C36DD1807BA28552C51F");
