#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa733da49, "i2c_register_driver" },
	{ 0xb5c09e53, "i2c_smbus_read_byte_data" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x58ff94b1, "i2c_smbus_write_byte_data" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x43882f45, "iio_device_unregister" },
	{ 0x568d4681, "__pm_runtime_disable" },
	{ 0xd7094a04, "__pm_runtime_set_status" },
	{ 0x56d1c71c, "iio_triggered_buffer_cleanup" },
	{ 0x4c4c7cca, "iio_trigger_unregister" },
	{ 0x4f139bf4, "__pm_runtime_resume" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x827d8a32, "__pm_runtime_suspend" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x8f2ccb41, "iio_push_event" },
	{ 0x5e5fd12a, "iio_get_time_ns" },
	{ 0xd095eba2, "iio_trigger_poll" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1641a478, "i2c_del_driver" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0xb86e9579, "is_acpi_device_node" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x37a0cba, "kfree" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x55e06866, "i2c_client_get_device_id" },
	{ 0x2882afa5, "devm_iio_device_alloc" },
	{ 0xfc330840, "devm_regulator_bulk_get_enable" },
	{ 0xf9a482f9, "msleep" },
	{ 0x92f2a8c, "dev_err_probe" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xdf76bbeb, "iio_pollfunc_store_time" },
	{ 0xdfd21c79, "iio_triggered_buffer_setup_ext" },
	{ 0xf693587e, "pm_runtime_enable" },
	{ 0x74ccc61, "pm_runtime_set_autosuspend_delay" },
	{ 0x91930acb, "__pm_runtime_use_autosuspend" },
	{ 0x5a7ab950, "__iio_device_register" },
	{ 0x4c55545d, "devm_request_threaded_irq" },
	{ 0x1d40a65, "iio_read_acpi_mount_matrix" },
	{ 0x23492c9e, "iio_read_mount_matrix" },
	{ 0xdbe6aea9, "acpi_match_device" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9880e469, "iio_device_id" },
	{ 0x54329c2c, "__devm_iio_trigger_alloc" },
	{ 0xacf7437a, "iio_trigger_register" },
	{ 0x67155184, "get_device" },
	{ 0x2b02565, "__module_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf8046dec, "i2c_smbus_read_i2c_block_data_or_emulated" },
	{ 0x6c651a70, "iio_push_to_buffers" },
	{ 0xd21ab39a, "iio_trigger_notify_done" },
	{ 0x95e077b5, "iio_buffer_enabled" },
	{ 0xdb224242, "i2c_smbus_read_word_data" },
	{ 0x2f65a220, "iio_show_mount_matrix" },
	{ 0x7417539d, "iio_read_const_attr" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "industrialio,industrialio-triggered-buffer");

MODULE_ALIAS("of:N*T*Ckionix,kxcjk1013");
MODULE_ALIAS("of:N*T*Ckionix,kxcjk1013C*");
MODULE_ALIAS("of:N*T*Ckionix,kxcj91008");
MODULE_ALIAS("of:N*T*Ckionix,kxcj91008C*");
MODULE_ALIAS("of:N*T*Ckionix,kxtj21009");
MODULE_ALIAS("of:N*T*Ckionix,kxtj21009C*");
MODULE_ALIAS("of:N*T*Ckionix,kxtf9");
MODULE_ALIAS("of:N*T*Ckionix,kxtf9C*");
MODULE_ALIAS("of:N*T*Ckionix,kx023-1025");
MODULE_ALIAS("of:N*T*Ckionix,kx023-1025C*");
MODULE_ALIAS("i2c:kxcjk1013");
MODULE_ALIAS("i2c:kxcj91008");
MODULE_ALIAS("i2c:kxtj21009");
MODULE_ALIAS("i2c:kxtf9");
MODULE_ALIAS("i2c:kx023-1025");
MODULE_ALIAS("i2c:SMO8500");
MODULE_ALIAS("acpi*:KXCJ1013:*");
MODULE_ALIAS("acpi*:KXCJ1008:*");
MODULE_ALIAS("acpi*:KXCJ9000:*");
MODULE_ALIAS("acpi*:KIOX0008:*");
MODULE_ALIAS("acpi*:KIOX0009:*");
MODULE_ALIAS("acpi*:KIOX000A:*");
MODULE_ALIAS("acpi*:KIOX010A:*");
MODULE_ALIAS("acpi*:KIOX020A:*");
MODULE_ALIAS("acpi*:KXTJ1009:*");
MODULE_ALIAS("acpi*:KXJ2109:*");
MODULE_ALIAS("acpi*:SMO8500:*");

MODULE_INFO(srcversion, "F5B12A2744FFC6992FC4998");
