#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcb824037, "regmap_write" },
	{ 0xed826b94, "__platform_driver_register" },
	{ 0x815588a6, "clk_enable" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x3cc8f38f, "regulator_enable" },
	{ 0x955ba9f0, "platform_device_unregister" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0x93aab3ca, "regulator_get_voltage" },
	{ 0x2882afa5, "devm_iio_device_alloc" },
	{ 0x6022f042, "of_match_node" },
	{ 0x24600a27, "devm_platform_ioremap_resource" },
	{ 0x5b36a3ec, "of_find_property" },
	{ 0xd706cd02, "platform_get_irq" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xb488bd02, "devm_clk_get" },
	{ 0x65ad9c1d, "devm_regulator_get" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x5a7ab950, "__iio_device_register" },
	{ 0x43fa3dfb, "of_platform_populate" },
	{ 0xb6bc7862, "device_for_each_child" },
	{ 0x43882f45, "iio_device_unregister" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xc3293cf7, "regulator_disable" },
	{ 0x403825b2, "syscon_regmap_lookup_by_phandle" },
	{ 0x92f2a8c, "dev_err_probe" },
	{ 0x6f23486d, "input_allocate_device" },
	{ 0x92ec28ad, "input_set_abs_params" },
	{ 0x44a18989, "input_register_device" },
	{ 0xb88825d, "input_unregister_device" },
	{ 0xd5bb24ad, "input_free_device" },
	{ 0x86f6553b, "input_event" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x3b82c1cf, "platform_driver_unregister" },
	{ 0xa6257a2f, "complete" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "industrialio");

MODULE_ALIAS("of:N*T*Csamsung,s3c2410-adc");
MODULE_ALIAS("of:N*T*Csamsung,s3c2410-adcC*");
MODULE_ALIAS("of:N*T*Csamsung,s3c2416-adc");
MODULE_ALIAS("of:N*T*Csamsung,s3c2416-adcC*");
MODULE_ALIAS("of:N*T*Csamsung,s3c2440-adc");
MODULE_ALIAS("of:N*T*Csamsung,s3c2440-adcC*");
MODULE_ALIAS("of:N*T*Csamsung,s3c2443-adc");
MODULE_ALIAS("of:N*T*Csamsung,s3c2443-adcC*");
MODULE_ALIAS("of:N*T*Csamsung,s3c6410-adc");
MODULE_ALIAS("of:N*T*Csamsung,s3c6410-adcC*");
MODULE_ALIAS("of:N*T*Csamsung,s5pv210-adc");
MODULE_ALIAS("of:N*T*Csamsung,s5pv210-adcC*");
MODULE_ALIAS("of:N*T*Csamsung,exynos4212-adc");
MODULE_ALIAS("of:N*T*Csamsung,exynos4212-adcC*");
MODULE_ALIAS("of:N*T*Csamsung,exynos-adc-v1");
MODULE_ALIAS("of:N*T*Csamsung,exynos-adc-v1C*");
MODULE_ALIAS("of:N*T*Csamsung,exynos-adc-v2");
MODULE_ALIAS("of:N*T*Csamsung,exynos-adc-v2C*");
MODULE_ALIAS("of:N*T*Csamsung,exynos3250-adc");
MODULE_ALIAS("of:N*T*Csamsung,exynos3250-adcC*");
MODULE_ALIAS("of:N*T*Csamsung,exynos7-adc");
MODULE_ALIAS("of:N*T*Csamsung,exynos7-adcC*");

MODULE_INFO(srcversion, "BBFEBD6896B5B28BC79DC7C");
