#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cros_ec_sensors_push_data, "_gpl", "");
KSYMTAB_FUNC(cros_ec_sensors_core_init, "_gpl", "");
KSYMTAB_FUNC(cros_ec_sensors_core_register, "_gpl", "");
KSYMTAB_FUNC(cros_ec_motion_send_host_cmd, "_gpl", "");
KSYMTAB_DATA(cros_ec_sensors_ext_info, "_gpl", "");
KSYMTAB_FUNC(cros_ec_sensors_read_lpc, "_gpl", "");
KSYMTAB_FUNC(cros_ec_sensors_read_cmd, "_gpl", "");
KSYMTAB_FUNC(cros_ec_sensors_capture, "_gpl", "");
KSYMTAB_FUNC(cros_ec_sensors_core_read, "_gpl", "");
KSYMTAB_FUNC(cros_ec_sensors_core_read_avail, "_gpl", "");
KSYMTAB_FUNC(cros_ec_sensors_core_write, "_gpl", "");
KSYMTAB_DATA(cros_ec_sensors_pm_ops, "_gpl", "");

SYMBOL_CRC(cros_ec_sensors_push_data, 0x665fa676, "_gpl");
SYMBOL_CRC(cros_ec_sensors_core_init, 0xc2f8aac0, "_gpl");
SYMBOL_CRC(cros_ec_sensors_core_register, 0x9c06ea00, "_gpl");
SYMBOL_CRC(cros_ec_motion_send_host_cmd, 0xedce376f, "_gpl");
SYMBOL_CRC(cros_ec_sensors_ext_info, 0x3c6a5b91, "_gpl");
SYMBOL_CRC(cros_ec_sensors_read_lpc, 0x446d1d5f, "_gpl");
SYMBOL_CRC(cros_ec_sensors_read_cmd, 0xc6ca2655, "_gpl");
SYMBOL_CRC(cros_ec_sensors_capture, 0x9971dac4, "_gpl");
SYMBOL_CRC(cros_ec_sensors_core_read, 0x958e667b, "_gpl");
SYMBOL_CRC(cros_ec_sensors_core_read_avail, 0x919ce0c1, "_gpl");
SYMBOL_CRC(cros_ec_sensors_core_write, 0x406fc606, "_gpl");
SYMBOL_CRC(cros_ec_sensors_pm_ops, 0x7c5fda9f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xff25f295, "cros_ec_sensorhub_unregister_push_data" },
	{ 0xf11bafc4, "cros_ec_cmd_xfer_status" },
	{ 0x4829a47e, "memcpy" },
	{ 0x26f6b499, "iio_str_to_fixpoint" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0xdcb764ad, "memset" },
	{ 0x5e5fd12a, "iio_get_time_ns" },
	{ 0x6c651a70, "iio_push_to_buffers" },
	{ 0xd21ab39a, "iio_trigger_notify_done" },
	{ 0x1174e246, "iio_device_claim_buffer_mode" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x54f23b3e, "iio_device_get_clock" },
	{ 0x60e2c57d, "iio_device_release_buffer_mode" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xf9a482f9, "msleep" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x3619d375, "cros_ec_check_features" },
	{ 0xe1bb0a47, "devm_iio_kfifo_buffer_setup_ext" },
	{ 0xa5512353, "iio_device_set_clock" },
	{ 0xc9c4b9e4, "devm_iio_triggered_buffer_setup_ext" },
	{ 0xdf43d0b6, "__devm_iio_device_register" },
	{ 0xd6300ceb, "cros_ec_sensorhub_register_push_data" },
	{ 0xfe1f1c42, "__devm_add_action" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "cros-ec-sensorhub,industrialio,kfifo_buf,industrialio-triggered-buffer");


MODULE_INFO(srcversion, "80ECCC43464F81CBA01BE11");
