#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hid_sensor_power_state, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_remove_trigger, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_setup_trigger, "", "IIO_HID");
KSYMTAB_DATA(hid_sensor_pm_ops, "", "IIO_HID");

SYMBOL_CRC(hid_sensor_power_state, 0xb82d13d5, "");
SYMBOL_CRC(hid_sensor_remove_trigger, 0x412bb428, "");
SYMBOL_CRC(hid_sensor_setup_trigger, 0xb03a3d35, "");
SYMBOL_CRC(hid_sensor_pm_ops, 0x2b3b1307, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd7094a04, "__pm_runtime_set_status" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x4c4c7cca, "iio_trigger_unregister" },
	{ 0x6d1b95b4, "iio_trigger_free" },
	{ 0x56d1c71c, "iio_triggered_buffer_cleanup" },
	{ 0x568d4681, "__pm_runtime_disable" },
	{ 0xe9b5cd05, "hid_sensor_get_report_latency" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x26f6b499, "iio_str_to_fixpoint" },
	{ 0x724db871, "hid_sensor_set_report_latency" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xef57fd0, "hid_sensor_batch_mode_supported" },
	{ 0xdf76bbeb, "iio_pollfunc_store_time" },
	{ 0xdfd21c79, "iio_triggered_buffer_setup_ext" },
	{ 0x9880e469, "iio_device_id" },
	{ 0xdaa426cd, "__iio_trigger_alloc" },
	{ 0xacf7437a, "iio_trigger_register" },
	{ 0x67155184, "get_device" },
	{ 0x2b02565, "__module_get" },
	{ 0x74ccc61, "pm_runtime_set_autosuspend_delay" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xf693587e, "pm_runtime_enable" },
	{ 0x4f139bf4, "__pm_runtime_resume" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x91930acb, "__pm_runtime_use_autosuspend" },
	{ 0x827d8a32, "__pm_runtime_suspend" },
	{ 0x84d7d681, "sensor_hub_device_close" },
	{ 0x504b4b24, "hid_sensor_get_usage_index" },
	{ 0x3157e31b, "sensor_hub_set_feature" },
	{ 0xf5c6def7, "sensor_hub_get_feature" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc7a7441d, "sensor_hub_device_open" },
	{ 0xd7ee0ab7, "hid_sensor_read_poll_value" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "industrialio,industrialio-triggered-buffer,hid-sensor-iio-common");


MODULE_INFO(srcversion, "4925A92A9B7B92364117342");
