#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(st_sensors_debugfs_reg_access, "", "IIO_ST_SENSORS");
KSYMTAB_FUNC(st_sensors_set_odr, "", "IIO_ST_SENSORS");
KSYMTAB_FUNC(st_sensors_set_enable, "", "IIO_ST_SENSORS");
KSYMTAB_FUNC(st_sensors_set_axis_enable, "", "IIO_ST_SENSORS");
KSYMTAB_FUNC(st_sensors_power_enable, "", "IIO_ST_SENSORS");
KSYMTAB_FUNC(st_sensors_dev_name_probe, "", "IIO_ST_SENSORS");
KSYMTAB_FUNC(st_sensors_init_sensor, "", "IIO_ST_SENSORS");
KSYMTAB_FUNC(st_sensors_set_dataready_irq, "", "IIO_ST_SENSORS");
KSYMTAB_FUNC(st_sensors_set_fullscale_by_gain, "", "IIO_ST_SENSORS");
KSYMTAB_FUNC(st_sensors_read_info_raw, "", "IIO_ST_SENSORS");
KSYMTAB_FUNC(st_sensors_get_settings_index, "", "IIO_ST_SENSORS");
KSYMTAB_FUNC(st_sensors_verify_id, "", "IIO_ST_SENSORS");
KSYMTAB_FUNC(st_sensors_sysfs_sampling_frequency_avail, "", "IIO_ST_SENSORS");
KSYMTAB_FUNC(st_sensors_sysfs_scale_avail, "", "IIO_ST_SENSORS");
KSYMTAB_FUNC(st_sensors_trigger_handler, "", "IIO_ST_SENSORS");
KSYMTAB_FUNC(st_sensors_allocate_trigger, "", "IIO_ST_SENSORS");
KSYMTAB_FUNC(st_sensors_validate_device, "", "IIO_ST_SENSORS");

SYMBOL_CRC(st_sensors_debugfs_reg_access, 0xbd5bf2ae, "");
SYMBOL_CRC(st_sensors_set_odr, 0x4dc2c2ca, "");
SYMBOL_CRC(st_sensors_set_enable, 0x78494fa7, "");
SYMBOL_CRC(st_sensors_set_axis_enable, 0xb99264c8, "");
SYMBOL_CRC(st_sensors_power_enable, 0xb4005bf1, "");
SYMBOL_CRC(st_sensors_dev_name_probe, 0xbd1dd38a, "");
SYMBOL_CRC(st_sensors_init_sensor, 0x6b0d2815, "");
SYMBOL_CRC(st_sensors_set_dataready_irq, 0xc4b98ec8, "");
SYMBOL_CRC(st_sensors_set_fullscale_by_gain, 0x68d8e376, "");
SYMBOL_CRC(st_sensors_read_info_raw, 0xf21ac209, "");
SYMBOL_CRC(st_sensors_get_settings_index, 0x2bf9e249, "");
SYMBOL_CRC(st_sensors_verify_id, 0x41340052, "");
SYMBOL_CRC(st_sensors_sysfs_sampling_frequency_avail, 0x8b3fa3c8, "");
SYMBOL_CRC(st_sensors_sysfs_scale_avail, 0x3a8ac723, "");
SYMBOL_CRC(st_sensors_trigger_handler, 0x074d7047, "");
SYMBOL_CRC(st_sensors_allocate_trigger, 0xf3419f4d, "");
SYMBOL_CRC(st_sensors_validate_device, 0x98d579c6, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x11f75d2, "device_property_present" },
	{ 0xcb824037, "regmap_write" },
	{ 0x4c55545d, "devm_request_threaded_irq" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x6c651a70, "iio_push_to_buffers" },
	{ 0x96848186, "scnprintf" },
	{ 0x7ddd6fd6, "iio_device_release_direct_mode" },
	{ 0x37a0cba, "kfree" },
	{ 0x2b02565, "__module_get" },
	{ 0x67155184, "get_device" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd80f18f2, "device_property_read_u32_array" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xc4b48ed, "iio_device_claim_direct_mode" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0xd40f97f4, "irq_get_irq_data" },
	{ 0xbdc29de3, "iio_trigger_poll_nested" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4ff9df8, "iio_trigger_using_own" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xfc330840, "devm_regulator_bulk_get_enable" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0xe401d208, "device_get_match_data" },
	{ 0xb80b710d, "devm_iio_trigger_register" },
	{ 0x5e5fd12a, "iio_get_time_ns" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x133e2f27, "regmap_read" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc867d2cf, "regmap_bulk_read" },
	{ 0x56470118, "__warn_printk" },
	{ 0x207bb5ea, "regmap_update_bits_base" },
	{ 0x92f2a8c, "dev_err_probe" },
	{ 0xd21ab39a, "iio_trigger_notify_done" },
	{ 0x54329c2c, "__devm_iio_trigger_alloc" },
	{ 0xf9a482f9, "msleep" },
	{ 0x9aaacae9, "__dev_fwnode" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "industrialio");


MODULE_INFO(srcversion, "EC1E6D3B10111830EAE300B");
