#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(bmp280_chip_info, "", "IIO_BMP280");
KSYMTAB_DATA(bme280_chip_info, "", "IIO_BMP280");
KSYMTAB_DATA(bmp380_chip_info, "", "IIO_BMP280");
KSYMTAB_DATA(bmp580_chip_info, "", "IIO_BMP280");
KSYMTAB_DATA(bmp180_chip_info, "", "IIO_BMP280");
KSYMTAB_FUNC(bmp280_common_probe, "", "IIO_BMP280");
KSYMTAB_DATA(bmp280_dev_pm_ops, "", "");
KSYMTAB_DATA(bmp180_regmap_config, "", "IIO_BMP280");
KSYMTAB_DATA(bmp280_regmap_config, "", "IIO_BMP280");
KSYMTAB_DATA(bmp380_regmap_config, "", "IIO_BMP280");
KSYMTAB_DATA(bmp580_regmap_config, "", "IIO_BMP280");

SYMBOL_CRC(bmp280_chip_info, 0x6333166c, "");
SYMBOL_CRC(bme280_chip_info, 0x14d637a8, "");
SYMBOL_CRC(bmp380_chip_info, 0xfe3cf71a, "");
SYMBOL_CRC(bmp580_chip_info, 0x06febcac, "");
SYMBOL_CRC(bmp180_chip_info, 0x1f5233b7, "");
SYMBOL_CRC(bmp280_common_probe, 0x6482c544, "");
SYMBOL_CRC(bmp280_dev_pm_ops, 0x6a428969, "");
SYMBOL_CRC(bmp180_regmap_config, 0x69c5375c, "");
SYMBOL_CRC(bmp280_regmap_config, 0x8343ea3e, "");
SYMBOL_CRC(bmp380_regmap_config, 0x6c115cdf, "");
SYMBOL_CRC(bmp580_regmap_config, 0x626de05a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcb824037, "regmap_write" },
	{ 0x4c55545d, "devm_request_threaded_irq" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xac53e259, "gpiod_set_value" },
	{ 0xda9ad425, "devm_nvmem_register" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa6257a2f, "complete" },
	{ 0x74ccc61, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe807266f, "devm_gpiod_get_optional" },
	{ 0xd7094a04, "__pm_runtime_set_status" },
	{ 0xd66c8184, "add_device_randomness" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf693587e, "pm_runtime_enable" },
	{ 0x36d5dce6, "regulator_bulk_disable" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0x800473f, "__cond_resched" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0xd40f97f4, "irq_get_irq_data" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xdf43d0b6, "__devm_iio_device_register" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2882afa5, "devm_iio_device_alloc" },
	{ 0xdcb764ad, "memset" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0x4918009f, "regulator_bulk_set_supply_names" },
	{ 0x6d6b21f3, "regulator_bulk_enable" },
	{ 0x31565f22, "devm_regulator_bulk_get" },
	{ 0x133e2f27, "regmap_read" },
	{ 0xf05f3bb4, "regmap_bulk_write" },
	{ 0x4f139bf4, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc867d2cf, "regmap_bulk_read" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x207bb5ea, "regmap_update_bits_base" },
	{ 0x92f2a8c, "dev_err_probe" },
	{ 0x827d8a32, "__pm_runtime_suspend" },
	{ 0xfe1f1c42, "__devm_add_action" },
	{ 0x91930acb, "__pm_runtime_use_autosuspend" },
	{ 0x568d4681, "__pm_runtime_disable" },
	{ 0x61f81ab3, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "industrialio");


MODULE_INFO(srcversion, "88824F7BB53C61E9BE24ABB");
