#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd890478b, "pin_user_pages_fast" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e3c49, "ib_umem_release" },
	{ 0x1ff8ec9, "pcie_capability_write_word" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x680e3cfd, "__rdma_block_iter_start" },
	{ 0xb4ff356f, "dma_pool_create" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x8344b777, "pci_enable_device" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xedc724c0, "pci_alloc_irq_vectors" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4413fecd, "pci_dev_put" },
	{ 0x6644920a, "mult_to_ib_rate" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xe9e799fc, "ib_ud_header_pack" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x4c2afe3d, "pci_get_device" },
	{ 0xa6613056, "dma_unmap_page_attrs" },
	{ 0xab62888d, "ib_modify_qp_is_ok" },
	{ 0x43ba1bed, "__pci_register_driver" },
	{ 0xcf2a6966, "up" },
	{ 0xedc03953, "iounmap" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x87b4d3f3, "pci_request_regions" },
	{ 0x21e74a21, "remap_pfn_range" },
	{ 0x61373fd2, "__rdma_block_iter_next" },
	{ 0x37a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xbfd79310, "pci_irq_vector" },
	{ 0xa60d807, "_ib_alloc_device" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xe1a350f8, "pci_unregister_driver" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x8d97abff, "rdma_create_ah" },
	{ 0x3dea7ab3, "pci_read_config_dword" },
	{ 0xea4d2949, "ib_unregister_device" },
	{ 0xb4c63861, "dma_map_page_attrs" },
	{ 0x122c3a7e, "_printk" },
	{ 0x3d9ee9f0, "clear_page" },
	{ 0x1000e51, "schedule" },
	{ 0xf079aef4, "ib_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x605d5bfa, "cache_line_size" },
	{ 0x581e9a37, "__free_pages" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0xa9467bec, "ib_unregister_mad_agent" },
	{ 0x800473f, "__cond_resched" },
	{ 0x323e342, "pci_find_capability" },
	{ 0xd89c9131, "ib_post_send_mad" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xbe54d954, "ib_create_send_mad" },
	{ 0xb0a19a6a, "ib_dispatch_event" },
	{ 0xb7852a05, "ib_ud_header_init" },
	{ 0x5ca10ce4, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x32d2a0b9, "ib_get_cached_pkey" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x6626afca, "down" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xde24de12, "ib_umem_get" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf281afe6, "pcix_get_max_mmrbc" },
	{ 0x642cc440, "dma_alloc_attrs" },
	{ 0x40b166d7, "ib_query_port" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x5987bc79, "ib_rate_to_mult" },
	{ 0xf77555cd, "__memcpy_toio" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xdcb764ad, "memset" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xba613732, "unpin_user_page" },
	{ 0xaff5b1dd, "pci_set_master" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe7c033ff, "rdma_destroy_ah_user" },
	{ 0xea01d142, "ib_dealloc_device" },
	{ 0xe26b121, "ib_free_send_mad" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf0efe64b, "dma_set_coherent_mask" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x404667b0, "dma_free_attrs" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x35beca42, "pci_release_regions" },
	{ 0x698b966, "__dma_sync_single_for_device" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x557d1823, "alloc_pages_noprof" },
	{ 0xebaddcc6, "pci_disable_device" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xe56101fe, "pcie_set_readrq" },
	{ 0xad727827, "ib_register_mad_agent" },
	{ 0xb34e2c9a, "dma_set_mask" },
	{ 0x5986a5d8, "dma_unmap_sg_attrs" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xcb74520d, "param_ops_int" },
	{ 0x2151991b, "_dev_printk" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x71e8d353, "pci_free_irq_vectors" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0x3b52594b, "pcix_set_mmrbc" },
	{ 0xee4ade57, "pci_write_config_dword" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0xd948eaef, "ib_set_device_ops" },
	{ 0x992d47c0, "dma_map_sg_attrs" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "ib_uverbs,ib_core");

MODULE_ALIAS("pci:v000015B3d00005A44sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001867d00005A44sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006278sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001867d00006278sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006282sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001867d00006282sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006274sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001867d00006274sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00005E8Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001867d00005E8Csv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "74BAC9A253011E66DDF7278");
