#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3cc8f38f, "regulator_enable" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x4c55545d, "devm_request_threaded_irq" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa6257a2f, "complete" },
	{ 0x27350abb, "i2c_smbus_write_i2c_block_data" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xc111dfd7, "input_mt_sync_frame" },
	{ 0x74ccc61, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x8dceb523, "request_firmware" },
	{ 0x63258ba3, "input_mt_report_slot_state" },
	{ 0x1e80e994, "devm_input_allocate_device" },
	{ 0xb88825d, "input_unregister_device" },
	{ 0x4829a47e, "memcpy" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x36e784a6, "i2c_transfer_buffer_flags" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xd7094a04, "__pm_runtime_set_status" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0xda5b42df, "pm_wakeup_dev_event" },
	{ 0x44a18989, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf693587e, "pm_runtime_enable" },
	{ 0x86c3c516, "i2c_smbus_read_block_data" },
	{ 0xcee212f7, "i2c_smbus_xfer" },
	{ 0x65ad9c1d, "devm_regulator_get" },
	{ 0xa733da49, "i2c_register_driver" },
	{ 0xda609656, "sysfs_unmerge_group" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x2ba7f5b, "input_mt_init_slots" },
	{ 0xac363530, "sysfs_merge_group" },
	{ 0xfb6eedf9, "power_group_name" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xdcb764ad, "memset" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0x86f6553b, "input_event" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x92ec28ad, "input_set_abs_params" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x14ea756b, "input_device_enabled" },
	{ 0x4f139bf4, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf92a031b, "input_alloc_absinfo" },
	{ 0x562689dd, "i2c_transfer" },
	{ 0x58ff94b1, "i2c_smbus_write_byte_data" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xc3293cf7, "regulator_disable" },
	{ 0x827d8a32, "__pm_runtime_suspend" },
	{ 0x72b94a05, "i2c_smbus_read_i2c_block_data" },
	{ 0xfe1f1c42, "__devm_add_action" },
	{ 0x1641a478, "i2c_del_driver" },
	{ 0x98cf60b3, "strlen" },
	{ 0x91930acb, "__pm_runtime_use_autosuspend" },
	{ 0x9a34a2b, "crc_itu_t" },
	{ 0xb5c09e53, "i2c_smbus_read_byte_data" },
	{ 0x568d4681, "__pm_runtime_disable" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "crc-itu-t");

MODULE_ALIAS("of:N*T*Ccypress,cyapa");
MODULE_ALIAS("of:N*T*Ccypress,cyapaC*");
MODULE_ALIAS("acpi*:CYAP0000:*");
MODULE_ALIAS("acpi*:CYAP0001:*");
MODULE_ALIAS("acpi*:CYAP0002:*");
MODULE_ALIAS("i2c:cyapa");

MODULE_INFO(srcversion, "9B05DBBFAD3BD623E1B33DE");
