#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3cc8f38f, "regulator_enable" },
	{ 0x11f75d2, "device_property_present" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x4c55545d, "devm_request_threaded_irq" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xa6257a2f, "complete" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x8dceb523, "request_firmware" },
	{ 0x63258ba3, "input_mt_report_slot_state" },
	{ 0x1e80e994, "devm_input_allocate_device" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x36e784a6, "i2c_transfer_buffer_flags" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xda5b42df, "pm_wakeup_dev_event" },
	{ 0x44a18989, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x86c3c516, "i2c_smbus_read_block_data" },
	{ 0xd80f18f2, "device_property_read_u32_array" },
	{ 0x65ad9c1d, "devm_regulator_get" },
	{ 0x1df3b64f, "i2c_smbus_write_block_data" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0xa733da49, "i2c_register_driver" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x2ba7f5b, "input_mt_init_slots" },
	{ 0xd40f97f4, "irq_get_irq_data" },
	{ 0x432acced, "i2c_smbus_write_byte" },
	{ 0x270e3fa7, "input_set_capability" },
	{ 0x5b3626f, "i2c_smbus_read_byte" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xdcb764ad, "memset" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0x86f6553b, "input_event" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x92ec28ad, "input_set_abs_params" },
	{ 0x45f953f8, "input_mt_report_pointer_emulation" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf92a031b, "input_alloc_absinfo" },
	{ 0x562689dd, "i2c_transfer" },
	{ 0xc3293cf7, "regulator_disable" },
	{ 0x92f2a8c, "dev_err_probe" },
	{ 0xfe1f1c42, "__devm_add_action" },
	{ 0x1641a478, "i2c_del_driver" },
	{ 0xf9a482f9, "msleep" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("of:N*T*Celan,ekth3000");
MODULE_ALIAS("of:N*T*Celan,ekth3000C*");
MODULE_ALIAS("acpi*:ELAN0000:*");
MODULE_ALIAS("acpi*:ELAN0100:*");
MODULE_ALIAS("acpi*:ELAN0600:*");
MODULE_ALIAS("acpi*:ELAN0601:*");
MODULE_ALIAS("acpi*:ELAN0602:*");
MODULE_ALIAS("acpi*:ELAN0603:*");
MODULE_ALIAS("acpi*:ELAN0604:*");
MODULE_ALIAS("acpi*:ELAN0605:*");
MODULE_ALIAS("acpi*:ELAN0606:*");
MODULE_ALIAS("acpi*:ELAN0607:*");
MODULE_ALIAS("acpi*:ELAN0608:*");
MODULE_ALIAS("acpi*:ELAN0609:*");
MODULE_ALIAS("acpi*:ELAN060B:*");
MODULE_ALIAS("acpi*:ELAN060C:*");
MODULE_ALIAS("acpi*:ELAN060F:*");
MODULE_ALIAS("acpi*:ELAN0610:*");
MODULE_ALIAS("acpi*:ELAN0611:*");
MODULE_ALIAS("acpi*:ELAN0612:*");
MODULE_ALIAS("acpi*:ELAN0615:*");
MODULE_ALIAS("acpi*:ELAN0616:*");
MODULE_ALIAS("acpi*:ELAN0617:*");
MODULE_ALIAS("acpi*:ELAN0618:*");
MODULE_ALIAS("acpi*:ELAN0619:*");
MODULE_ALIAS("acpi*:ELAN061A:*");
MODULE_ALIAS("acpi*:ELAN061C:*");
MODULE_ALIAS("acpi*:ELAN061D:*");
MODULE_ALIAS("acpi*:ELAN061E:*");
MODULE_ALIAS("acpi*:ELAN061F:*");
MODULE_ALIAS("acpi*:ELAN0620:*");
MODULE_ALIAS("acpi*:ELAN0621:*");
MODULE_ALIAS("acpi*:ELAN0622:*");
MODULE_ALIAS("acpi*:ELAN0623:*");
MODULE_ALIAS("acpi*:ELAN0624:*");
MODULE_ALIAS("acpi*:ELAN0625:*");
MODULE_ALIAS("acpi*:ELAN0626:*");
MODULE_ALIAS("acpi*:ELAN0627:*");
MODULE_ALIAS("acpi*:ELAN0628:*");
MODULE_ALIAS("acpi*:ELAN0629:*");
MODULE_ALIAS("acpi*:ELAN062A:*");
MODULE_ALIAS("acpi*:ELAN062B:*");
MODULE_ALIAS("acpi*:ELAN062C:*");
MODULE_ALIAS("acpi*:ELAN062D:*");
MODULE_ALIAS("acpi*:ELAN062E:*");
MODULE_ALIAS("acpi*:ELAN062F:*");
MODULE_ALIAS("acpi*:ELAN0631:*");
MODULE_ALIAS("acpi*:ELAN0632:*");
MODULE_ALIAS("acpi*:ELAN0633:*");
MODULE_ALIAS("acpi*:ELAN0634:*");
MODULE_ALIAS("acpi*:ELAN0635:*");
MODULE_ALIAS("acpi*:ELAN0636:*");
MODULE_ALIAS("acpi*:ELAN0637:*");
MODULE_ALIAS("acpi*:ELAN1000:*");
MODULE_ALIAS("i2c:elan_i2c");

MODULE_INFO(srcversion, "7EDF65A6E6B6481913D9CFA");
