#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa733da49, "i2c_register_driver" },
	{ 0xc3293cf7, "regulator_disable" },
	{ 0xcb824037, "regmap_write" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x6d627a58, "gpiod_set_value_cansleep" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x133e2f27, "regmap_read" },
	{ 0x495eed8e, "debugfs_remove" },
	{ 0x37a0cba, "kfree" },
	{ 0xb645273f, "regmap_exit" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xdcb764ad, "memset" },
	{ 0xc867d2cf, "regmap_bulk_read" },
	{ 0x86f6553b, "input_event" },
	{ 0x63258ba3, "input_mt_report_slot_state" },
	{ 0x45f953f8, "input_mt_report_pointer_emulation" },
	{ 0x34c060bb, "touchscreen_report_pos" },
	{ 0x562689dd, "i2c_transfer" },
	{ 0xd80f18f2, "device_property_read_u32_array" },
	{ 0x8d039641, "simple_attr_open" },
	{ 0x1641a478, "i2c_del_driver" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x349cba85, "strchr" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x5505263c, "__regmap_init_i2c" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x3cc8f38f, "regulator_enable" },
	{ 0xf9a482f9, "msleep" },
	{ 0x55e06866, "i2c_client_get_device_id" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0xe401d208, "device_get_match_data" },
	{ 0x65ad9c1d, "devm_regulator_get" },
	{ 0xfe1f1c42, "__devm_add_action" },
	{ 0xe807266f, "devm_gpiod_get_optional" },
	{ 0x1e80e994, "devm_input_allocate_device" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x92ec28ad, "input_set_abs_params" },
	{ 0x4fff5631, "touchscreen_parse_properties" },
	{ 0x2ba7f5b, "input_mt_init_slots" },
	{ 0xd40f97f4, "irq_get_irq_data" },
	{ 0x4c55545d, "devm_request_threaded_irq" },
	{ 0x44a18989, "input_register_device" },
	{ 0x34070452, "dev_driver_string" },
	{ 0xe820ea6a, "debugfs_create_dir" },
	{ 0xa31fb5dd, "debugfs_create_u16" },
	{ 0x13107c3a, "debugfs_create_file" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0x92f2a8c, "dev_err_probe" },
	{ 0x58f864f4, "desc_to_gpio" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x2d938670, "simple_open" },
	{ 0xe7508f4f, "generic_file_llseek" },
	{ 0x8d4d5427, "simple_attr_read" },
	{ 0xd182b51e, "simple_attr_write" },
	{ 0x9295faf0, "simple_attr_release" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("of:N*T*Cedt,edt-ft5206");
MODULE_ALIAS("of:N*T*Cedt,edt-ft5206C*");
MODULE_ALIAS("of:N*T*Cedt,edt-ft5306");
MODULE_ALIAS("of:N*T*Cedt,edt-ft5306C*");
MODULE_ALIAS("of:N*T*Cedt,edt-ft5406");
MODULE_ALIAS("of:N*T*Cedt,edt-ft5406C*");
MODULE_ALIAS("of:N*T*Cedt,edt-ft5506");
MODULE_ALIAS("of:N*T*Cedt,edt-ft5506C*");
MODULE_ALIAS("of:N*T*Cevervision,ev-ft5726");
MODULE_ALIAS("of:N*T*Cevervision,ev-ft5726C*");
MODULE_ALIAS("of:N*T*Cfocaltech,ft5426");
MODULE_ALIAS("of:N*T*Cfocaltech,ft5426C*");
MODULE_ALIAS("of:N*T*Cfocaltech,ft5452");
MODULE_ALIAS("of:N*T*Cfocaltech,ft5452C*");
MODULE_ALIAS("of:N*T*Cfocaltech,ft6236");
MODULE_ALIAS("of:N*T*Cfocaltech,ft6236C*");
MODULE_ALIAS("of:N*T*Cfocaltech,ft8201");
MODULE_ALIAS("of:N*T*Cfocaltech,ft8201C*");
MODULE_ALIAS("of:N*T*Cfocaltech,ft8719");
MODULE_ALIAS("of:N*T*Cfocaltech,ft8719C*");
MODULE_ALIAS("i2c:edt-ft5x06");
MODULE_ALIAS("i2c:edt-ft5506");
MODULE_ALIAS("i2c:ev-ft5726");
MODULE_ALIAS("i2c:ft5452");
MODULE_ALIAS("i2c:ft6236");
MODULE_ALIAS("i2c:ft8201");
MODULE_ALIAS("i2c:ft8719");

MODULE_INFO(srcversion, "A72B3711CF61A3D5BDC230D");
