#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x588e2a39, "dm_register_target" },
	{ 0x48068159, "dm_report_zones" },
	{ 0x122c3a7e, "_printk" },
	{ 0x98cf60b3, "strlen" },
	{ 0x349cba85, "strchr" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xdcb764ad, "memset" },
	{ 0x4829a47e, "memcpy" },
	{ 0x4ce4dee3, "crypto_skcipher_setkey" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x96848186, "scnprintf" },
	{ 0x557d1823, "alloc_pages_noprof" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0x510fd257, "bio_integrity_alloc" },
	{ 0xe19a8459, "bio_integrity_add_page" },
	{ 0xc63dce24, "crypto_destroy_tfm" },
	{ 0x37a0cba, "kfree" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x581e9a37, "__free_pages" },
	{ 0x39c74235, "dm_read_arg_group" },
	{ 0x7d27e504, "dm_shift_arg" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xb75a5d88, "crypto_shash_update" },
	{ 0x8ab64c42, "crypto_shash_export" },
	{ 0x95c63186, "dm_table_get_md" },
	{ 0xbf829c5, "crypto_aead_setauthsize" },
	{ 0x89004f94, "dm_device_name" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x77ddeddf, "dm_unregister_target" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x3de05488, "crypto_alloc_skcipher" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x7237aa40, "crypto_alloc_aead" },
	{ 0x85df9b6c, "strsep" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa3f12f69, "__crypto_xor" },
	{ 0xf54bd711, "dm_per_bio_data" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0x287318b1, "bio_endio" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1dad1987, "crypto_shash_digest" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xe4bbc1dd, "kimage_voffset" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0x5a956b5b, "empty_zero_page" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0x60ae5965, "crypto_skcipher_encrypt" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x2227c4aa, "crypto_alloc_shash" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x1000e51, "schedule" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xed30eb5e, "blk_start_plug" },
	{ 0xece784c2, "rb_first" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xf9d9dad, "dm_submit_bio_remap" },
	{ 0x800473f, "__cond_resched" },
	{ 0x8ea9edee, "blk_finish_plug" },
	{ 0xa873d5b5, "__folio_put" },
	{ 0x4e671beb, "dump_page" },
	{ 0xd97e0d07, "bio_alloc_bioset" },
	{ 0xf847c0d4, "__bio_add_page" },
	{ 0xfeb343d1, "mempool_alloc_noprof" },
	{ 0xd43cb3a, "bio_put" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x525943c4, "bio_alloc_clone" },
	{ 0xb407b7c6, "bio_copy_data" },
	{ 0x4cdb9669, "kthread_stop" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x8349818b, "bioset_exit" },
	{ 0x38e46431, "mempool_exit" },
	{ 0x53126ecc, "__percpu_counter_sum" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0x1b8fa3b5, "dm_put_device" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x545babea, "dm_audit_log_ti" },
	{ 0xffb7c514, "ida_free" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x354b3d7c, "wake_up_process" },
	{ 0xa6257a2f, "complete" },
	{ 0x7408377c, "dm_audit_log_bio" },
	{ 0x7432b9d2, "crypto_aead_setkey" },
	{ 0x11089ac7, "_ctype" },
	{ 0x5a921311, "strncmp" },
	{ 0x74e6f63d, "key_type_user" },
	{ 0x614905ec, "request_key_tag" },
	{ 0x668b19a1, "down_read" },
	{ 0x53b954a2, "up_read" },
	{ 0xe410af2, "key_put" },
	{ 0xcc5ceb20, "key_type_trusted" },
	{ 0xe0b4d651, "key_type_logon" },
	{ 0x759734a9, "key_type_encrypted" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0x9e8cb747, "crypto_alloc_ahash" },
	{ 0x9f984513, "strrchr" },
	{ 0xf7f2bdf8, "dm_table_device_name" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0x6a037cf1, "mempool_kfree" },
	{ 0xd35a6d31, "mempool_kmalloc" },
	{ 0xf2d95916, "mempool_init_noprof" },
	{ 0xae4eb2fd, "bioset_init" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xb9c121ce, "dm_table_get_mode" },
	{ 0x9710e2aa, "dm_get_device" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x31d75226, "kthread_create_on_node" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xf62c387b, "set_user_nice" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x9d56069b, "crypto_skcipher_decrypt" },
	{ 0xb78cf7ea, "crypto_aead_encrypt" },
	{ 0xab469c39, "crypto_aead_decrypt" },
	{ 0x21ef374c, "try_wait_for_completion" },
	{ 0xd8e99ff5, "system_bh_wq" },
	{ 0x1901b718, "bio_associate_blkg" },
	{ 0xf84bedd2, "dm_accept_partial_bio" },
	{ 0x60b73b66, "param_ops_uint" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "trusted");


MODULE_INFO(srcversion, "FF7D4C91CB588B62CA5D738");
