#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(raid5_set_cache_size, "", "");
KSYMTAB_FUNC(r5c_journal_mode_set, "", "");

SYMBOL_CRC(raid5_set_cache_size, 0xca10ed49, "");
SYMBOL_CRC(r5c_journal_mode_set, 0x8c071f59, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x97721a60, "set_disk_ro" },
	{ 0x158a5fd3, "register_md_personality" },
	{ 0xfce0789c, "shrinker_alloc" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xf847c0d4, "__bio_add_page" },
	{ 0xed30eb5e, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x95e89a6c, "md_bitmap_resize" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0xa1e200fc, "md_find_rdev_rcu" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xbe750bf6, "mddev_resume" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4e671beb, "dump_page" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x4fc14926, "md_bitmap_start_sync" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xdfe4bd75, "md_bitmap_cond_end_sync" },
	{ 0x9c69ad12, "queue_limits_stack_bdev" },
	{ 0x35b8003b, "md_error" },
	{ 0xcb312a3f, "async_xor_val_offs" },
	{ 0x952fc03b, "__cpu_present_mask" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x2168c00c, "md_bitmap_startwrite" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x9ece6a98, "md_finish_reshape" },
	{ 0xbdb4fc9d, "__traceiter_block_bio_remap" },
	{ 0x89238cc8, "async_gen_syndrome" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x7cffd853, "md_unregister_thread" },
	{ 0xd8d77e1f, "sync_page_io" },
	{ 0x379897b7, "md_bitmap_close_sync" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xcae8ef0f, "md_free_cloned_bio" },
	{ 0xe2964344, "__wake_up" },
	{ 0x18fb2caf, "cpus_read_unlock" },
	{ 0x3494ac55, "kmem_cache_create" },
	{ 0xa935b788, "kthread_park" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0xb7b7fa6e, "node_states" },
	{ 0xdb62c9ae, "kernfs_notify" },
	{ 0xf4f67952, "shrinker_free" },
	{ 0xff6fb696, "md_wakeup_thread" },
	{ 0xff501dad, "__cpuhp_state_remove_instance" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x122c3a7e, "_printk" },
	{ 0x3d9ee9f0, "clear_page" },
	{ 0x4491a8a3, "md_set_array_sectors" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x18195903, "md_allow_write" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x99498165, "rdev_clear_badblocks" },
	{ 0x41efdeaf, "radix_tree_lookup_slot" },
	{ 0x92d29660, "async_tx_quiesce" },
	{ 0x6ecfbf0d, "md_write_start" },
	{ 0xddb1cd7, "llist_reverse_order" },
	{ 0xa7ff7035, "shrinker_register" },
	{ 0x69049cd2, "radix_tree_replace_slot" },
	{ 0x618911fc, "numa_node" },
	{ 0x7d5fcf11, "async_xor" },
	{ 0x581e9a37, "__free_pages" },
	{ 0x2c98356a, "async_xor_offs" },
	{ 0x8ea9edee, "blk_finish_plug" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xdefd9595, "submit_bio" },
	{ 0xed35c0dc, "sysfs_create_link" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0xf900e832, "kthread_unpark" },
	{ 0x8349818b, "bioset_exit" },
	{ 0x800473f, "__cond_resched" },
	{ 0x8f83e2b4, "md_done_sync" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xfeb343d1, "mempool_alloc_noprof" },
	{ 0xd43cb3a, "bio_put" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x287318b1, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa04f945a, "cpus_read_lock" },
	{ 0x20761276, "md_wait_for_blocked_rdev" },
	{ 0x61c3b861, "__cpuhp_setup_state" },
	{ 0x9f410510, "async_memcpy" },
	{ 0xd6661037, "mddev_update_io_opt" },
	{ 0x600e6eee, "submit_bio_noacct" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf176c274, "mddev_stack_rdev_limits" },
	{ 0xbc037f7, "kmem_cache_free" },
	{ 0x5a921311, "strncmp" },
	{ 0x163df1c5, "mddev_unlock" },
	{ 0x5d85bb62, "__tracepoint_block_unplug" },
	{ 0x874dd544, "bio_chain" },
	{ 0x9db268d3, "__blk_trace_note_message" },
	{ 0xf8829d66, "__traceiter_block_unplug" },
	{ 0xb7a8c8f6, "blkdev_issue_zeroout" },
	{ 0x61abf44e, "__cpuhp_state_add_instance" },
	{ 0x5245cd0e, "async_trigger_callback" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xfa8a21a, "async_raid6_2data_recov" },
	{ 0xef377c83, "bio_add_page" },
	{ 0x8856e074, "md_bitmap_end_sync" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x472222e4, "md_update_sb" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x2edb012e, "sysfs_create_group" },
	{ 0xbb9c0973, "__put_devmap_managed_folio_refs" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x48c093fb, "_atomic_dec_and_lock_irqsave" },
	{ 0x77278a7f, "md_flush_request" },
	{ 0x727338f6, "bio_init" },
	{ 0xbf3c312a, "md_register_thread" },
	{ 0xdcb764ad, "memset" },
	{ 0x525943c4, "bio_alloc_clone" },
	{ 0x804a5b70, "raid6_call" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xd27b25dd, "blk_check_plugged" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xd235061c, "kmem_cache_alloc_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x36b50566, "md_account_bio" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4086a28d, "md_write_inc" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0xe91b8348, "unregister_md_personality" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x102f58d7, "md_bitmap_unplug" },
	{ 0x680667d2, "bio_uninit" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x14c5dd46, "param_ops_bool" },
	{ 0xae4eb2fd, "bioset_init" },
	{ 0xe6e6b684, "md_new_event" },
	{ 0xe67f58ad, "async_syndrome_val" },
	{ 0xe091c977, "list_sort" },
	{ 0xa873d5b5, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xacf7679, "dma_issue_pending_all" },
	{ 0x56470118, "__warn_printk" },
	{ 0x899fbd06, "seq_printf" },
	{ 0x7e3c49e9, "md_write_end" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xab595612, "md_check_recovery" },
	{ 0xc50dde03, "md_bitmap_endwrite" },
	{ 0xe00db6dc, "__tracepoint_block_bio_remap" },
	{ 0x557d1823, "alloc_pages_noprof" },
	{ 0x6aec59c3, "mddev_suspend" },
	{ 0xe8a27667, "queue_limits_commit_update" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x62c09e40, "badblocks_check" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x36370808, "md_init_stacking_limits" },
	{ 0x9f292093, "queue_limits_set" },
	{ 0x1ccf2ce9, "rdev_set_badblocks" },
	{ 0xd97e0d07, "bio_alloc_bioset" },
	{ 0x5359e8dc, "__kvmalloc_node_noprof" },
	{ 0xb22704ae, "async_raid6_datap_recov" },
	{ 0xfdd593c1, "submit_bio_wait" },
	{ 0x7742b904, "__cpuhp_remove_state" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x38e46431, "mempool_exit" },
	{ 0x309989e7, "kmem_cache_destroy" },
	{ 0x7475e266, "bio_split" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x23289d8d, "blkdev_issue_discard" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "async_xor,async_pq,async_tx,async_memcpy,async_raid6_recov,raid6_pq");


MODULE_INFO(srcversion, "8AE43289BEF2682A1759EB0");
