#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(b2c2_flexcop_debug, "_gpl", "");
KSYMTAB_FUNC(flexcop_pass_dmx_data, "", "");
KSYMTAB_FUNC(flexcop_pass_dmx_packets, "", "");
KSYMTAB_FUNC(flexcop_device_kmalloc, "", "");
KSYMTAB_FUNC(flexcop_device_kfree, "", "");
KSYMTAB_FUNC(flexcop_device_initialize, "", "");
KSYMTAB_FUNC(flexcop_device_exit, "", "");
KSYMTAB_FUNC(flexcop_i2c_request, "", "");
KSYMTAB_FUNC(flexcop_sram_set_dest, "", "");
KSYMTAB_FUNC(flexcop_wan_set_speed, "", "");
KSYMTAB_FUNC(flexcop_sram_ctrl, "", "");
KSYMTAB_FUNC(flexcop_eeprom_check_mac_addr, "", "");
KSYMTAB_FUNC(flexcop_dump_reg, "", "");
KSYMTAB_FUNC(flexcop_pid_feed_control, "", "");

SYMBOL_CRC(b2c2_flexcop_debug, 0x66c0289a, "_gpl");
SYMBOL_CRC(flexcop_pass_dmx_data, 0x67bb284c, "");
SYMBOL_CRC(flexcop_pass_dmx_packets, 0xd6d6d4eb, "");
SYMBOL_CRC(flexcop_device_kmalloc, 0xfcf9a405, "");
SYMBOL_CRC(flexcop_device_kfree, 0xe4d561cf, "");
SYMBOL_CRC(flexcop_device_initialize, 0x17c8578e, "");
SYMBOL_CRC(flexcop_device_exit, 0xe58aaec4, "");
SYMBOL_CRC(flexcop_i2c_request, 0x5ccee182, "");
SYMBOL_CRC(flexcop_sram_set_dest, 0x6935045c, "");
SYMBOL_CRC(flexcop_wan_set_speed, 0x7396e3dc, "");
SYMBOL_CRC(flexcop_sram_ctrl, 0xa3529102, "");
SYMBOL_CRC(flexcop_eeprom_check_mac_addr, 0x745d4f18, "");
SYMBOL_CRC(flexcop_dump_reg, 0x9686aeae, "");
SYMBOL_CRC(flexcop_pid_feed_control, 0x96d5b7ac, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb66659eb, "dvb_dmxdev_init" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x8dceb523, "request_firmware" },
	{ 0x3e9436c4, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0xa90d44ff, "dvb_register_adapter" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x18acd31f, "dvb_dmx_swfilter_packets" },
	{ 0x6f0ecff1, "i2c_del_adapter" },
	{ 0x868784cb, "__symbol_get" },
	{ 0x9263a063, "dvb_dmx_release" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x404f63e4, "dvb_net_init" },
	{ 0x8c54b0f8, "dvb_dmx_swfilter" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x8035aa9, "dvb_dmxdev_release" },
	{ 0xc402f539, "param_ops_short" },
	{ 0x8954a8fa, "dvb_frontend_detach" },
	{ 0x6dd3f46f, "i2c_add_adapter" },
	{ 0x2b0203f7, "dvb_net_release" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x5005ed80, "dvb_unregister_frontend" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xa6b645f8, "cx24123_get_tuner_i2c_adapter" },
	{ 0xe5920006, "dvb_register_frontend" },
	{ 0xbdf14b21, "cx24113_agc_callback" },
	{ 0xef8cf4bb, "dvb_unregister_adapter" },
	{ 0x54abe4ff, "dvb_dmx_init" },
	{ 0xcb74520d, "param_ops_int" },
	{ 0x236dc346, "s5h1420_get_tuner_i2c_adapter" },
	{ 0xf9a482f9, "msleep" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "dvb-core,cx24123,cx24113,s5h1420");


MODULE_INFO(srcversion, "4C4280033A9676EC02C54AD");
