#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vb2_dvb_register_bus, "", "");
KSYMTAB_FUNC(vb2_dvb_unregister_bus, "", "");
KSYMTAB_FUNC(vb2_dvb_get_frontend, "", "");
KSYMTAB_FUNC(vb2_dvb_find_frontend, "", "");
KSYMTAB_FUNC(vb2_dvb_alloc_frontend, "", "");
KSYMTAB_FUNC(vb2_dvb_dealloc_frontends, "", "");

SYMBOL_CRC(vb2_dvb_register_bus, 0x26e46612, "");
SYMBOL_CRC(vb2_dvb_unregister_bus, 0xd3f086f7, "");
SYMBOL_CRC(vb2_dvb_get_frontend, 0x429b4b14, "");
SYMBOL_CRC(vb2_dvb_find_frontend, 0x0f4c7f2f, "");
SYMBOL_CRC(vb2_dvb_alloc_frontend, 0x936f0b71, "");
SYMBOL_CRC(vb2_dvb_dealloc_frontends, 0x4172202a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xe5920006, "dvb_register_frontend" },
	{ 0x54abe4ff, "dvb_dmx_init" },
	{ 0xb66659eb, "dvb_dmxdev_init" },
	{ 0x404f63e4, "dvb_net_init" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8954a8fa, "dvb_frontend_detach" },
	{ 0x9263a063, "dvb_dmx_release" },
	{ 0x5005ed80, "dvb_unregister_frontend" },
	{ 0x8035aa9, "dvb_dmxdev_release" },
	{ 0x5a6352ff, "vb2_thread_stop" },
	{ 0x315f44a4, "vb2_thread_start" },
	{ 0x7c5b1508, "vb2_plane_vaddr" },
	{ 0x8c54b0f8, "dvb_dmx_swfilter" },
	{ 0x2b0203f7, "dvb_net_release" },
	{ 0x37a0cba, "kfree" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xef8cf4bb, "dvb_unregister_adapter" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xa90d44ff, "dvb_register_adapter" },
	{ 0xff167ff2, "dvb_create_media_graph" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "dvb-core,videobuf2-common");


MODULE_INFO(srcversion, "55240027A583D6366A813D0");
