#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dvb_generic_open, "", "");
KSYMTAB_FUNC(dvb_generic_release, "", "");
KSYMTAB_FUNC(dvb_generic_ioctl, "", "");
KSYMTAB_FUNC(dvb_register_device, "", "");
KSYMTAB_FUNC(dvb_remove_device, "", "");
KSYMTAB_FUNC(dvb_device_get, "", "");
KSYMTAB_FUNC(dvb_unregister_device, "", "");
KSYMTAB_FUNC(dvb_create_media_graph, "_gpl", "");
KSYMTAB_FUNC(dvb_register_adapter, "", "");
KSYMTAB_FUNC(dvb_unregister_adapter, "", "");
KSYMTAB_FUNC(dvb_module_probe, "_gpl", "");
KSYMTAB_FUNC(dvb_module_release, "_gpl", "");
KSYMTAB_FUNC(dvb_dmxdev_init, "", "");
KSYMTAB_FUNC(dvb_dmxdev_release, "", "");
KSYMTAB_FUNC(dvb_dmx_swfilter_packets, "", "");
KSYMTAB_FUNC(dvb_dmx_swfilter, "", "");
KSYMTAB_FUNC(dvb_dmx_swfilter_204, "", "");
KSYMTAB_FUNC(dvb_dmx_swfilter_raw, "", "");
KSYMTAB_FUNC(dvb_dmx_init, "", "");
KSYMTAB_FUNC(dvb_dmx_release, "", "");
KSYMTAB_FUNC(dvb_ca_en50221_camchange_irq, "", "");
KSYMTAB_FUNC(dvb_ca_en50221_camready_irq, "", "");
KSYMTAB_FUNC(dvb_ca_en50221_frda_irq, "", "");
KSYMTAB_FUNC(dvb_ca_en50221_init, "", "");
KSYMTAB_FUNC(dvb_ca_en50221_release, "", "");
KSYMTAB_FUNC(dvb_frontend_reinitialise, "", "");
KSYMTAB_FUNC(dvb_frontend_sleep_until, "", "");
KSYMTAB_FUNC(dvb_frontend_suspend, "", "");
KSYMTAB_FUNC(dvb_frontend_resume, "", "");
KSYMTAB_FUNC(dvb_register_frontend, "", "");
KSYMTAB_FUNC(dvb_unregister_frontend, "", "");
KSYMTAB_FUNC(dvb_frontend_detach, "", "");
KSYMTAB_FUNC(dvb_net_release, "", "");
KSYMTAB_FUNC(dvb_net_init, "", "");
KSYMTAB_FUNC(dvb_ringbuffer_flush, "", "");
KSYMTAB_FUNC(dvb_ringbuffer_init, "", "");
KSYMTAB_FUNC(dvb_ringbuffer_empty, "", "");
KSYMTAB_FUNC(dvb_ringbuffer_free, "", "");
KSYMTAB_FUNC(dvb_ringbuffer_avail, "", "");
KSYMTAB_FUNC(dvb_ringbuffer_flush_spinlock_wakeup, "", "");
KSYMTAB_FUNC(dvb_ringbuffer_read_user, "", "");
KSYMTAB_FUNC(dvb_ringbuffer_read, "", "");
KSYMTAB_FUNC(dvb_ringbuffer_write, "", "");
KSYMTAB_FUNC(dvb_ringbuffer_write_user, "", "");

SYMBOL_CRC(dvb_generic_open, 0xc9121fb0, "");
SYMBOL_CRC(dvb_generic_release, 0x6a0a5f70, "");
SYMBOL_CRC(dvb_generic_ioctl, 0xb6264aee, "");
SYMBOL_CRC(dvb_register_device, 0x47c36f57, "");
SYMBOL_CRC(dvb_remove_device, 0xe2c925da, "");
SYMBOL_CRC(dvb_device_get, 0xacbde4d6, "");
SYMBOL_CRC(dvb_unregister_device, 0xa8359675, "");
SYMBOL_CRC(dvb_create_media_graph, 0xff167ff2, "_gpl");
SYMBOL_CRC(dvb_register_adapter, 0xa90d44ff, "");
SYMBOL_CRC(dvb_unregister_adapter, 0xef8cf4bb, "");
SYMBOL_CRC(dvb_module_probe, 0xedfaebb8, "_gpl");
SYMBOL_CRC(dvb_module_release, 0x5d4a2633, "_gpl");
SYMBOL_CRC(dvb_dmxdev_init, 0xb66659eb, "");
SYMBOL_CRC(dvb_dmxdev_release, 0x08035aa9, "");
SYMBOL_CRC(dvb_dmx_swfilter_packets, 0x18acd31f, "");
SYMBOL_CRC(dvb_dmx_swfilter, 0x8c54b0f8, "");
SYMBOL_CRC(dvb_dmx_swfilter_204, 0x6a9f708a, "");
SYMBOL_CRC(dvb_dmx_swfilter_raw, 0xa4235824, "");
SYMBOL_CRC(dvb_dmx_init, 0x54abe4ff, "");
SYMBOL_CRC(dvb_dmx_release, 0x9263a063, "");
SYMBOL_CRC(dvb_ca_en50221_camchange_irq, 0x0c9394c4, "");
SYMBOL_CRC(dvb_ca_en50221_camready_irq, 0xaa957d43, "");
SYMBOL_CRC(dvb_ca_en50221_frda_irq, 0x9ec21df5, "");
SYMBOL_CRC(dvb_ca_en50221_init, 0xe645c224, "");
SYMBOL_CRC(dvb_ca_en50221_release, 0x0185695f, "");
SYMBOL_CRC(dvb_frontend_reinitialise, 0x40576f92, "");
SYMBOL_CRC(dvb_frontend_sleep_until, 0x3b93d71a, "");
SYMBOL_CRC(dvb_frontend_suspend, 0x7fa19441, "");
SYMBOL_CRC(dvb_frontend_resume, 0x604999e2, "");
SYMBOL_CRC(dvb_register_frontend, 0xe5920006, "");
SYMBOL_CRC(dvb_unregister_frontend, 0x5005ed80, "");
SYMBOL_CRC(dvb_frontend_detach, 0x8954a8fa, "");
SYMBOL_CRC(dvb_net_release, 0x2b0203f7, "");
SYMBOL_CRC(dvb_net_init, 0x404f63e4, "");
SYMBOL_CRC(dvb_ringbuffer_flush, 0xfb9a826f, "");
SYMBOL_CRC(dvb_ringbuffer_init, 0xebbc2d9b, "");
SYMBOL_CRC(dvb_ringbuffer_empty, 0xb3352dd2, "");
SYMBOL_CRC(dvb_ringbuffer_free, 0xfc6380e5, "");
SYMBOL_CRC(dvb_ringbuffer_avail, 0xe138ce6b, "");
SYMBOL_CRC(dvb_ringbuffer_flush_spinlock_wakeup, 0x6181aec0, "");
SYMBOL_CRC(dvb_ringbuffer_read_user, 0x91a6794b, "");
SYMBOL_CRC(dvb_ringbuffer_read, 0xfb09f39a, "");
SYMBOL_CRC(dvb_ringbuffer_write, 0x2f5cdf80, "");
SYMBOL_CRC(dvb_ringbuffer_write_user, 0xc3f679f9, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xdd58ec30, "media_devnode_remove" },
	{ 0xd4845a05, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x4ea0d643, "eth_header" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xc2af5a6, "skb_put" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x4679fb71, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x49ee7ce3, "unregister_netdev" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x3ebb35fe, "class_destroy" },
	{ 0xcf2a6966, "up" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x4df02057, "crc32_be" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x64cd86f, "eth_validate_addr" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x9d58bf, "ether_setup" },
	{ 0xb4ad9c09, "media_create_intf_link" },
	{ 0x48b02483, "media_create_pad_links" },
	{ 0x354b3d7c, "wake_up_process" },
	{ 0xc06308b4, "media_create_pad_link" },
	{ 0x8fe7fc51, "dev_addr_mod" },
	{ 0xca0eee00, "alloc_netdev_mqs" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xe6dc6ef7, "eth_header_parse" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0x1f9a9c72, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x5f744ec4, "media_device_register_entity" },
	{ 0x800473f, "__cond_resched" },
	{ 0xc5f88650, "cdev_add" },
	{ 0x66d87d38, "symbol_put_addr" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x57bc19d2, "down_write" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0xd6442a53, "i2c_unregister_device" },
	{ 0xb6476d61, "skb_pull" },
	{ 0x24d273d1, "add_timer" },
	{ 0x8e7d5be0, "device_create" },
	{ 0xfdc0adc2, "noop_llseek" },
	{ 0x6626afca, "down" },
	{ 0xd066367f, "class_create" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbfe0703a, "skb_push" },
	{ 0x5a921311, "strncmp" },
	{ 0x1ca4f351, "register_netdev" },
	{ 0x2e9d1dca, "free_netdev" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x7c3d751b, "media_entity_pads_init" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4cdb9669, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd1f902dd, "i2c_new_client_device" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x551dfe26, "default_llseek" },
	{ 0xdcb764ad, "memset" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x51335c0e, "netif_rx" },
	{ 0x5409cff7, "__netdev_alloc_skb" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x668b19a1, "down_read" },
	{ 0xe3c7bd1e, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x31d75226, "kthread_create_on_node" },
	{ 0xda7af216, "media_get_pad_index" },
	{ 0x999e8297, "vfree" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb35e7976, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x8c74dcb9, "media_devnode_create" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0x8fbc2804, "media_device_unregister_entity" },
	{ 0x98cf60b3, "strlen" },
	{ 0xcb74520d, "param_ops_int" },
	{ 0x53b954a2, "up_read" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x858a550d, "cdev_init" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0xfbdecde3, "cdev_del" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "mc");


MODULE_INFO(srcversion, "551143E3C478B00A7C56002");
