#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(bttv_get_pcidev, "", "");
KSYMTAB_FUNC(bttv_gpio_enable, "", "");
KSYMTAB_FUNC(bttv_read_gpio, "", "");
KSYMTAB_FUNC(bttv_write_gpio, "", "");
KSYMTAB_FUNC(bttv_sub_register, "", "");
KSYMTAB_FUNC(bttv_sub_unregister, "", "");

SYMBOL_CRC(bttv_get_pcidev, 0x7964ed08, "");
SYMBOL_CRC(bttv_gpio_enable, 0x11dc4b6d, "");
SYMBOL_CRC(bttv_read_gpio, 0xbcf2d2fb, "");
SYMBOL_CRC(bttv_write_gpio, 0x8ecf4acc, "");
SYMBOL_CRC(bttv_sub_register, 0x8e8d90e2, "");
SYMBOL_CRC(bttv_sub_unregister, 0x8cdd5c4b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaadcd78a, "vb2_queue_init" },
	{ 0x6238315b, "snd_tea575x_g_tuner" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x42dbe8a6, "vb2_dma_sg_memops" },
	{ 0x6c47d509, "v4l2_ctrl_poll" },
	{ 0x589aec05, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x8344b777, "pci_enable_device" },
	{ 0x610adf59, "vb2_ioctl_streamoff" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xc4606fed, "v4l2_ctrl_radio_filter" },
	{ 0xdec5f1bf, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9cdd023b, "i2c_bit_add_bus" },
	{ 0xd1e1268b, "v4l2_ctrl_add_handler" },
	{ 0x9838955f, "device_unregister" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x4c2afe3d, "pci_get_device" },
	{ 0x8dceb523, "request_firmware" },
	{ 0x62cacf0b, "vb2_ops_wait_finish" },
	{ 0x43ba1bed, "__pci_register_driver" },
	{ 0xba5039ee, "v4l2_ctrl_handler_init_class" },
	{ 0xedc03953, "iounmap" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x3e9436c4, "param_array_ops" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x3321f626, "vb2_ioctl_querybuf" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x36e784a6, "i2c_transfer_buffer_flags" },
	{ 0xdc14eda7, "pci_pci_problems" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4ca03189, "v4l2_fh_open" },
	{ 0xe1a350f8, "pci_unregister_driver" },
	{ 0x1035c7c2, "__release_region" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x122c3a7e, "_printk" },
	{ 0x43867472, "v4l2_ctrl_handler_log_status" },
	{ 0x20053120, "v4l2_ctrl_handler_setup" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x66df0226, "video_devdata" },
	{ 0x8619869e, "put_device" },
	{ 0x22fb2b11, "vb2_fop_release" },
	{ 0x54088bd5, "i2c_new_scanned_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xf42aee99, "v4l2_ctrl_find" },
	{ 0x6f0ecff1, "i2c_del_adapter" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xb2a2c3ee, "__v4l2_ctrl_s_ctrl" },
	{ 0x81dd797b, "vb2_plane_cookie" },
	{ 0x800473f, "__cond_resched" },
	{ 0x9818813d, "device_create_file" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x360e27c0, "rc_keyup" },
	{ 0xfd375e39, "vb2_ioctl_dqbuf" },
	{ 0x2efa2c2b, "bus_unregister" },
	{ 0xd1d4513f, "vb2_ioctl_create_bufs" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x23fd324, "tveeprom_read" },
	{ 0xb8b19d5, "v4l2_ctrl_new_custom" },
	{ 0x6ddd1ed9, "rc_keydown_notimeout" },
	{ 0x24d273d1, "add_timer" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xb45345d4, "v4l2_fh_release" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xba13e6ee, "rc_register_device" },
	{ 0x642cc440, "dma_alloc_attrs" },
	{ 0x5a921311, "strncmp" },
	{ 0xe559b8e9, "rc_keydown" },
	{ 0xd493687a, "snd_tea575x_enum_freq_bands" },
	{ 0x7c4430da, "vb2_buffer_done" },
	{ 0x3ffe3b9b, "driver_unregister" },
	{ 0x7c5b1508, "vb2_plane_vaddr" },
	{ 0x2691a73c, "v4l2_ctrl_subscribe_event" },
	{ 0xc09c4ee1, "snd_tea575x_s_hw_freq_seek" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x395d9aa2, "snd_tea575x_set_freq" },
	{ 0x178247a7, "video_unregister_device" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd1f902dd, "i2c_new_client_device" },
	{ 0x3569483a, "vb2_ioctl_qbuf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xeb711e2c, "vb2_fop_mmap" },
	{ 0x65ea0b6f, "device_register" },
	{ 0x681521b3, "rc_free_device" },
	{ 0xdcb764ad, "memset" },
	{ 0xaff5b1dd, "pci_set_master" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xb2b20e1c, "vb2_fop_read" },
	{ 0x2241c173, "v4l2_device_register" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x6dd3f46f, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe929fb13, "rc_allocate_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x404667b0, "dma_free_attrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe2a85e15, "snd_tea575x_hw_init" },
	{ 0xe210c058, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2fd31ec7, "pci_write_config_byte" },
	{ 0x3845cd26, "vb2_ops_wait_prepare" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x73a160e1, "vb2_ioctl_streamon" },
	{ 0x6652fdda, "vb2_fop_poll" },
	{ 0xf2f701c6, "v4l2_ctrl_new_std" },
	{ 0xf2a353ac, "v4l2_i2c_tuner_addrs" },
	{ 0xd9b006d6, "v4l2_ctrl_handler_free" },
	{ 0x2f9fd29b, "v4l2_device_unregister" },
	{ 0xebaddcc6, "pci_disable_device" },
	{ 0x695927d1, "vb2_wait_for_all_buffers" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xb34e2c9a, "dma_set_mask" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0x9505cd0d, "v4l2_subdev_call_wrappers" },
	{ 0x614dd5a, "v4l2_video_std_frame_period" },
	{ 0x912f2c8f, "v4l2_i2c_new_subdev" },
	{ 0xc57c18f5, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0xcb74520d, "param_ops_int" },
	{ 0x20eadeb6, "ip_compute_csum" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0xbc9b47d8, "video_device_release_empty" },
	{ 0x83cf91d, "driver_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4c222b34, "rc_unregister_device" },
	{ 0x781208dd, "v4l2_event_unsubscribe" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xb9cb04c5, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xa3974ad5, "vb2_ioctl_reqbufs" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-v4l2,tea575x,videobuf2-dma-sg,videodev,i2c-algo-bit,videobuf2-common,rc-core,tveeprom");

MODULE_ALIAS("pci:v0000109Ed00000350sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000109Ed00000351sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000109Ed0000036Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000109Ed0000036Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000109Ed0000036Csv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "AB05FC7327E72DAD087FDD6");
