#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(cx18_ext_init, "", "");
KSYMTAB_FUNC(cx18_reset_ir_gpio, "", "");
KSYMTAB_FUNC(cx18_start_v4l2_encode_stream, "", "");
KSYMTAB_FUNC(cx18_stop_v4l2_encode_stream, "", "");
KSYMTAB_FUNC(cx18_claim_stream, "", "");
KSYMTAB_FUNC(cx18_release_stream, "", "");

SYMBOL_CRC(cx18_ext_init, 0xe7addcdf, "");
SYMBOL_CRC(cx18_reset_ir_gpio, 0x2cdea06d, "");
SYMBOL_CRC(cx18_start_v4l2_encode_stream, 0xc16bd3b8, "");
SYMBOL_CRC(cx18_stop_v4l2_encode_stream, 0x74acd190, "");
SYMBOL_CRC(cx18_claim_stream, 0x90496f38, "");
SYMBOL_CRC(cx18_release_stream, 0x616ba8d4, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaadcd78a, "vb2_queue_init" },
	{ 0x72344016, "v4l2_fh_exit" },
	{ 0xb66659eb, "dvb_dmxdev_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x62dc3d4c, "cx2341x_handler_set_busy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x589aec05, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x2670aab4, "vb2_queue_release" },
	{ 0x8344b777, "pci_enable_device" },
	{ 0x610adf59, "vb2_ioctl_streamoff" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x9cdd023b, "i2c_bit_add_bus" },
	{ 0x13080b53, "v4l2_fh_del" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xe0545e8, "v4l2_fh_add" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xa6613056, "dma_unmap_page_attrs" },
	{ 0x62cacf0b, "vb2_ops_wait_finish" },
	{ 0x8dceb523, "request_firmware" },
	{ 0x43ba1bed, "__pci_register_driver" },
	{ 0xba5039ee, "v4l2_ctrl_handler_init_class" },
	{ 0xedc03953, "iounmap" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x3e9436c4, "param_array_ops" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x3321f626, "vb2_ioctl_querybuf" },
	{ 0x4faf9ded, "v4l2_subdev_init" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x5d112304, "__memcpy_fromio" },
	{ 0xd4bda595, "vb2_video_unregister_device" },
	{ 0xe1a350f8, "pci_unregister_driver" },
	{ 0xa90d44ff, "dvb_register_adapter" },
	{ 0x1035c7c2, "__release_region" },
	{ 0x34070452, "dev_driver_string" },
	{ 0xb4c63861, "dma_map_page_attrs" },
	{ 0x122c3a7e, "_printk" },
	{ 0x43867472, "v4l2_ctrl_handler_log_status" },
	{ 0x20053120, "v4l2_ctrl_handler_setup" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x66df0226, "video_devdata" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x54088bd5, "i2c_new_scanned_device" },
	{ 0xfd0e00f4, "cx2341x_handler_setup" },
	{ 0xa916b694, "strnlen" },
	{ 0x6f0ecff1, "i2c_del_adapter" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xb2a2c3ee, "__v4l2_ctrl_s_ctrl" },
	{ 0x800473f, "__cond_resched" },
	{ 0x868784cb, "__symbol_get" },
	{ 0x5ca10ce4, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xfd375e39, "vb2_ioctl_dqbuf" },
	{ 0x9263a063, "dvb_dmx_release" },
	{ 0xd1d4513f, "vb2_ioctl_create_bufs" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa07a37f0, "memchr" },
	{ 0x23fd324, "tveeprom_read" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xefb05b49, "vb2_ioctl_prepare_buf" },
	{ 0x12710965, "v4l2_fh_is_singular" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd399ce1a, "pci_read_config_word" },
	{ 0x7c4430da, "vb2_buffer_done" },
	{ 0x7c5b1508, "vb2_plane_vaddr" },
	{ 0x2691a73c, "v4l2_ctrl_subscribe_event" },
	{ 0x81850ded, "v4l2_fh_init" },
	{ 0x325dff7d, "v4l2_event_pending" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x404f63e4, "dvb_net_init" },
	{ 0x8c54b0f8, "dvb_dmx_swfilter" },
	{ 0x178247a7, "video_unregister_device" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x8035aa9, "dvb_dmxdev_release" },
	{ 0x3569483a, "vb2_ioctl_qbuf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xeb711e2c, "vb2_fop_mmap" },
	{ 0xc402f539, "param_ops_short" },
	{ 0x462aa708, "vb2_vmalloc_memops" },
	{ 0xdcb764ad, "memset" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xb2b20e1c, "vb2_fop_read" },
	{ 0xf7c3ef4e, "__v4l2_device_register_subdev" },
	{ 0x2241c173, "v4l2_device_register" },
	{ 0x8954a8fa, "dvb_frontend_detach" },
	{ 0x7358fb91, "param_ops_string" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2b0203f7, "dvb_net_release" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe210c058, "__video_register_device" },
	{ 0x698b966, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x5005ed80, "dvb_unregister_frontend" },
	{ 0x2fd31ec7, "pci_write_config_byte" },
	{ 0x3845cd26, "vb2_ops_wait_prepare" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x73a160e1, "vb2_ioctl_streamon" },
	{ 0x6652fdda, "vb2_fop_poll" },
	{ 0xf2f701c6, "v4l2_ctrl_new_std" },
	{ 0x3371aa50, "v4l2_ctrl_g_ctrl" },
	{ 0xf0b94d75, "cx2341x_handler_init" },
	{ 0x2b2a781e, "cx2341x_handler_set_50hz" },
	{ 0xd9b006d6, "v4l2_ctrl_handler_free" },
	{ 0x2f9fd29b, "v4l2_device_unregister" },
	{ 0xebaddcc6, "pci_disable_device" },
	{ 0xe5920006, "dvb_register_frontend" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xb34e2c9a, "dma_set_mask" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x9505cd0d, "v4l2_subdev_call_wrappers" },
	{ 0x912f2c8f, "v4l2_i2c_new_subdev" },
	{ 0xc57c18f5, "pci_read_config_byte" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x77358855, "iomem_resource" },
	{ 0xef8cf4bb, "dvb_unregister_adapter" },
	{ 0x54abe4ff, "dvb_dmx_init" },
	{ 0xcb74520d, "param_ops_int" },
	{ 0x349cba85, "strchr" },
	{ 0xf54d522d, "pci_write_config_word" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0xbc9b47d8, "video_device_release_empty" },
	{ 0x781208dd, "v4l2_event_unsubscribe" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xa3974ad5, "vb2_ioctl_reqbufs" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-v4l2,videodev,dvb-core,cx2341x,i2c-algo-bit,tveeprom,videobuf2-common,videobuf2-vmalloc");

MODULE_ALIAS("pci:v000014F1d00005B7Asv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "569B9AFE1F87819F6323A64");
