#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cx88_video_mux, "", "");
KSYMTAB_FUNC(cx88_querycap, "", "");
KSYMTAB_FUNC(cx88_enum_input, "", "");
KSYMTAB_FUNC(cx88_set_freq, "", "");

SYMBOL_CRC(cx88_video_mux, 0x4fc78bc9, "");
SYMBOL_CRC(cx88_querycap, 0x2227c5da, "");
SYMBOL_CRC(cx88_enum_input, 0x86d7e89f, "");
SYMBOL_CRC(cx88_set_freq, 0xc7bcaab1, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaadcd78a, "vb2_queue_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x42dbe8a6, "vb2_dma_sg_memops" },
	{ 0xc827c910, "cx88_reset" },
	{ 0x6c47d509, "v4l2_ctrl_poll" },
	{ 0x589aec05, "video_ioctl2" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xafcf45ad, "cx88_wakeup" },
	{ 0x8344b777, "pci_enable_device" },
	{ 0x610adf59, "vb2_ioctl_streamoff" },
	{ 0x5edb7ae5, "cx88_print_irqbits" },
	{ 0xd1e1268b, "v4l2_ctrl_add_handler" },
	{ 0x1e6734c1, "v4l2_i2c_new_subdev_board" },
	{ 0x1d9392b5, "cx88_set_scale" },
	{ 0x62cacf0b, "vb2_ops_wait_finish" },
	{ 0x43ba1bed, "__pci_register_driver" },
	{ 0x223db000, "cx88_shutdown" },
	{ 0x4d05d942, "cx88_vdev_init" },
	{ 0x3e9436c4, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0x3321f626, "vb2_ioctl_querybuf" },
	{ 0x6cf836c9, "cx88_core_put" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x4ca03189, "v4l2_fh_open" },
	{ 0x904b8696, "cx88_audio_thread" },
	{ 0xb05365e8, "cx88_core_irq" },
	{ 0xe1a350f8, "pci_unregister_driver" },
	{ 0x354b3d7c, "wake_up_process" },
	{ 0xd2020c6f, "cx88_core_get" },
	{ 0xff23fcae, "cx88_get_stereo" },
	{ 0x122c3a7e, "_printk" },
	{ 0x9cb2cab4, "cx88_ir_stop" },
	{ 0x20053120, "v4l2_ctrl_handler_setup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x66df0226, "video_devdata" },
	{ 0xbe5c23d1, "cx88_set_tvnorm" },
	{ 0x22fb2b11, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0xf5ef842e, "v4l_bound_align_image" },
	{ 0xf42aee99, "v4l2_ctrl_find" },
	{ 0xba6b6e57, "cx88_ir_start" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xb2a2c3ee, "__v4l2_ctrl_s_ctrl" },
	{ 0x81dd797b, "vb2_plane_cookie" },
	{ 0xfd375e39, "vb2_ioctl_dqbuf" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x5b58013c, "cx88_risc_buffer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xb45345d4, "v4l2_fh_release" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x1358e872, "cx88_set_stereo" },
	{ 0x7c4430da, "vb2_buffer_done" },
	{ 0x2691a73c, "v4l2_ctrl_subscribe_event" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x178247a7, "video_unregister_device" },
	{ 0x4cdb9669, "kthread_stop" },
	{ 0xd1f902dd, "i2c_new_client_device" },
	{ 0x3569483a, "vb2_ioctl_qbuf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xeb711e2c, "vb2_fop_mmap" },
	{ 0xdcb764ad, "memset" },
	{ 0xaff5b1dd, "pci_set_master" },
	{ 0x8d88137a, "cx88_sram_channels" },
	{ 0xe86ec4af, "cx88_set_tvaudio" },
	{ 0xb2b20e1c, "vb2_fop_read" },
	{ 0x2df50440, "cx88_sram_channel_dump" },
	{ 0x31d75226, "kthread_create_on_node" },
	{ 0x552aa18, "cx88_sram_channel_setup" },
	{ 0x404667b0, "dma_free_attrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xe210c058, "__video_register_device" },
	{ 0x3845cd26, "vb2_ops_wait_prepare" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x73a160e1, "vb2_ioctl_streamon" },
	{ 0x6652fdda, "vb2_fop_poll" },
	{ 0xf2f701c6, "v4l2_ctrl_new_std" },
	{ 0xebaddcc6, "pci_disable_device" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xb34e2c9a, "dma_set_mask" },
	{ 0x912f2c8f, "v4l2_i2c_new_subdev" },
	{ 0xc57c18f5, "pci_read_config_byte" },
	{ 0xcb74520d, "param_ops_int" },
	{ 0xe89cc007, "cx88_newstation" },
	{ 0x781208dd, "v4l2_event_unsubscribe" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xa3974ad5, "vb2_ioctl_reqbufs" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-v4l2,videobuf2-dma-sg,cx88xx,videodev,videobuf2-common");

MODULE_ALIAS("pci:v000014F1d00008800sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "C6F1A478A11DE3C68FF7F31");
