#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cx88_tuner_callback, "", "");
KSYMTAB_FUNC(cx88_setup_xc3028, "_gpl", "");
KSYMTAB_FUNC(cx88_risc_buffer, "", "");
KSYMTAB_FUNC(cx88_risc_databuffer, "", "");
KSYMTAB_DATA(cx88_sram_channels, "", "");
KSYMTAB_FUNC(cx88_sram_channel_setup, "", "");
KSYMTAB_FUNC(cx88_sram_channel_dump, "", "");
KSYMTAB_FUNC(cx88_print_irqbits, "", "");
KSYMTAB_FUNC(cx88_core_irq, "", "");
KSYMTAB_FUNC(cx88_wakeup, "", "");
KSYMTAB_FUNC(cx88_shutdown, "", "");
KSYMTAB_FUNC(cx88_reset, "", "");
KSYMTAB_FUNC(cx88_set_scale, "", "");
KSYMTAB_FUNC(cx88_set_tvnorm, "", "");
KSYMTAB_FUNC(cx88_vdev_init, "", "");
KSYMTAB_FUNC(cx88_core_get, "", "");
KSYMTAB_FUNC(cx88_core_put, "", "");
KSYMTAB_FUNC(cx88_set_tvaudio, "", "");
KSYMTAB_FUNC(cx88_newstation, "", "");
KSYMTAB_FUNC(cx88_get_stereo, "", "");
KSYMTAB_FUNC(cx88_set_stereo, "", "");
KSYMTAB_FUNC(cx88_audio_thread, "", "");
KSYMTAB_FUNC(cx88_dsp_detect_stereo_sap, "", "");
KSYMTAB_FUNC(cx88_ir_start, "", "");
KSYMTAB_FUNC(cx88_ir_stop, "", "");

SYMBOL_CRC(cx88_tuner_callback, 0x6141c8c5, "");
SYMBOL_CRC(cx88_setup_xc3028, 0x4e247e39, "_gpl");
SYMBOL_CRC(cx88_risc_buffer, 0x5b58013c, "");
SYMBOL_CRC(cx88_risc_databuffer, 0x04c79f46, "");
SYMBOL_CRC(cx88_sram_channels, 0x8d88137a, "");
SYMBOL_CRC(cx88_sram_channel_setup, 0x0552aa18, "");
SYMBOL_CRC(cx88_sram_channel_dump, 0x2df50440, "");
SYMBOL_CRC(cx88_print_irqbits, 0x5edb7ae5, "");
SYMBOL_CRC(cx88_core_irq, 0xb05365e8, "");
SYMBOL_CRC(cx88_wakeup, 0xafcf45ad, "");
SYMBOL_CRC(cx88_shutdown, 0x223db000, "");
SYMBOL_CRC(cx88_reset, 0xc827c910, "");
SYMBOL_CRC(cx88_set_scale, 0x1d9392b5, "");
SYMBOL_CRC(cx88_set_tvnorm, 0xbe5c23d1, "");
SYMBOL_CRC(cx88_vdev_init, 0x4d05d942, "");
SYMBOL_CRC(cx88_core_get, 0xd2020c6f, "");
SYMBOL_CRC(cx88_core_put, 0x6cf836c9, "");
SYMBOL_CRC(cx88_set_tvaudio, 0xe86ec4af, "");
SYMBOL_CRC(cx88_newstation, 0xe89cc007, "");
SYMBOL_CRC(cx88_get_stereo, 0xff23fcae, "");
SYMBOL_CRC(cx88_set_stereo, 0x1358e872, "");
SYMBOL_CRC(cx88_audio_thread, 0x904b8696, "");
SYMBOL_CRC(cx88_dsp_detect_stereo_sap, 0xeded74c1, "");
SYMBOL_CRC(cx88_ir_start, 0xba6b6e57, "");
SYMBOL_CRC(cx88_ir_stop, 0x9cb2cab4, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf3251e7b, "v4l2_norm_to_name" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xfe140ae4, "ir_raw_event_handle" },
	{ 0x60b73b66, "param_ops_uint" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9cdd023b, "i2c_bit_add_bus" },
	{ 0xba5039ee, "v4l2_ctrl_handler_init_class" },
	{ 0xedc03953, "iounmap" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x3e9436c4, "param_array_ops" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x36e784a6, "i2c_transfer_buffer_flags" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xdc14eda7, "pci_pci_problems" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xb678366f, "int_sqrt" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa916b694, "strnlen" },
	{ 0xcee212f7, "i2c_smbus_xfer" },
	{ 0x6f0ecff1, "i2c_del_adapter" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x800473f, "__cond_resched" },
	{ 0x360e27c0, "rc_keyup" },
	{ 0x96555037, "__v4l2_ctrl_grab" },
	{ 0xd6442a53, "i2c_unregister_device" },
	{ 0x23fd324, "tveeprom_read" },
	{ 0x6ddd1ed9, "rc_keydown_notimeout" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xba13e6ee, "rc_register_device" },
	{ 0x642cc440, "dma_alloc_attrs" },
	{ 0xe559b8e9, "rc_keydown" },
	{ 0x7c4430da, "vb2_buffer_done" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd1f902dd, "i2c_new_client_device" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x4ddb75e9, "freezing_slow_path" },
	{ 0x681521b3, "rc_free_device" },
	{ 0xdcb764ad, "memset" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0x2241c173, "v4l2_device_register" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe929fb13, "rc_allocate_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2fd31ec7, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf2a353ac, "v4l2_i2c_tuner_addrs" },
	{ 0xd9b006d6, "v4l2_ctrl_handler_free" },
	{ 0x562689dd, "i2c_transfer" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0x2f9fd29b, "v4l2_device_unregister" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0xf07464e4, "hrtimer_forward" },
	{ 0x912f2c8f, "v4l2_i2c_new_subdev" },
	{ 0xc57c18f5, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0xcb74520d, "param_ops_int" },
	{ 0xd0db0e70, "ir_raw_event_store_with_filter" },
	{ 0xb5c09e53, "i2c_smbus_read_byte_data" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0xbc9b47d8, "video_device_release_empty" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4c222b34, "rc_unregister_device" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "videodev,rc-core,i2c-algo-bit,tveeprom,videobuf2-common");


MODULE_INFO(srcversion, "589AC743322CBC1653CD124");
