#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mantis_get_mac, "_gpl", "");
KSYMTAB_FUNC(mantis_gpio_set_bits, "_gpl", "");
KSYMTAB_FUNC(mantis_stream_control, "_gpl", "");
KSYMTAB_FUNC(mantis_uart_init, "_gpl", "");
KSYMTAB_FUNC(mantis_uart_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_dma_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_dma_init, "_gpl", "");
KSYMTAB_FUNC(mantis_pci_init, "_gpl", "");
KSYMTAB_FUNC(mantis_pci_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_i2c_init, "_gpl", "");
KSYMTAB_FUNC(mantis_i2c_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_frontend_power, "_gpl", "");
KSYMTAB_FUNC(mantis_frontend_soft_reset, "_gpl", "");
KSYMTAB_FUNC(mantis_dvb_init, "_gpl", "");
KSYMTAB_FUNC(mantis_dvb_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_ca_init, "_gpl", "");
KSYMTAB_FUNC(mantis_ca_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_input_init, "_gpl", "");
KSYMTAB_FUNC(mantis_input_exit, "_gpl", "");

SYMBOL_CRC(mantis_get_mac, 0xd2f7ce30, "_gpl");
SYMBOL_CRC(mantis_gpio_set_bits, 0xa8cdc123, "_gpl");
SYMBOL_CRC(mantis_stream_control, 0xa2e108f1, "_gpl");
SYMBOL_CRC(mantis_uart_init, 0xc9b216ff, "_gpl");
SYMBOL_CRC(mantis_uart_exit, 0xe3de614c, "_gpl");
SYMBOL_CRC(mantis_dma_exit, 0x73b68864, "_gpl");
SYMBOL_CRC(mantis_dma_init, 0xd85f32d5, "_gpl");
SYMBOL_CRC(mantis_pci_init, 0x35d80ea1, "_gpl");
SYMBOL_CRC(mantis_pci_exit, 0xa829082e, "_gpl");
SYMBOL_CRC(mantis_i2c_init, 0x21f84231, "_gpl");
SYMBOL_CRC(mantis_i2c_exit, 0x631bdd45, "_gpl");
SYMBOL_CRC(mantis_frontend_power, 0x94a2ccff, "_gpl");
SYMBOL_CRC(mantis_frontend_soft_reset, 0x7a3995d4, "_gpl");
SYMBOL_CRC(mantis_dvb_init, 0x5886cbe2, "_gpl");
SYMBOL_CRC(mantis_dvb_exit, 0x1a655496, "_gpl");
SYMBOL_CRC(mantis_ca_init, 0xe779b663, "_gpl");
SYMBOL_CRC(mantis_ca_exit, 0x9647cda4, "_gpl");
SYMBOL_CRC(mantis_input_init, 0xaba26ef4, "_gpl");
SYMBOL_CRC(mantis_input_exit, 0x74443039, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb66659eb, "dvb_dmxdev_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x2f3a5d87, "enable_work" },
	{ 0x8344b777, "pci_enable_device" },
	{ 0xe645c224, "dvb_ca_en50221_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd8e99ff5, "system_bh_wq" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xedc03953, "iounmap" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x3e9436c4, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xa90d44ff, "dvb_register_adapter" },
	{ 0x1035c7c2, "__release_region" },
	{ 0x122c3a7e, "_printk" },
	{ 0x176e4952, "disable_work_sync" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x6f0ecff1, "i2c_del_adapter" },
	{ 0x800473f, "__cond_resched" },
	{ 0x6a9f708a, "dvb_dmx_swfilter_204" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9263a063, "dvb_dmx_release" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x185695f, "dvb_ca_en50221_release" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xba13e6ee, "rc_register_device" },
	{ 0x642cc440, "dma_alloc_attrs" },
	{ 0xe559b8e9, "rc_keydown" },
	{ 0x404f63e4, "dvb_net_init" },
	{ 0x8c54b0f8, "dvb_dmx_swfilter" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x8035aa9, "dvb_dmxdev_release" },
	{ 0xc402f539, "param_ops_short" },
	{ 0x681521b3, "rc_free_device" },
	{ 0xaff5b1dd, "pci_set_master" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x8954a8fa, "dvb_frontend_detach" },
	{ 0x6dd3f46f, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf0efe64b, "dma_set_coherent_mask" },
	{ 0x2b0203f7, "dvb_net_release" },
	{ 0xaa957d43, "dvb_ca_en50221_camready_irq" },
	{ 0xe929fb13, "rc_allocate_device" },
	{ 0x404667b0, "dma_free_attrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x5005ed80, "dvb_unregister_frontend" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xc9394c4, "dvb_ca_en50221_camchange_irq" },
	{ 0x562689dd, "i2c_transfer" },
	{ 0xebaddcc6, "pci_disable_device" },
	{ 0xe5920006, "dvb_register_frontend" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xc57c18f5, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0xef8cf4bb, "dvb_unregister_adapter" },
	{ 0x54abe4ff, "dvb_dmx_init" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4c222b34, "rc_unregister_device" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "dvb-core,rc-core");


MODULE_INFO(srcversion, "39A45134D16E0E2F54BD6EA");
