#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usb_cypress_load_firmware, "", "");
KSYMTAB_FUNC(dvb_usb_get_hexline, "", "");
KSYMTAB_FUNC(dvb_usb_device_init, "", "");
KSYMTAB_FUNC(dvb_usb_device_exit, "", "");
KSYMTAB_FUNC(dvb_usb_generic_rw, "", "");
KSYMTAB_FUNC(dvb_usb_generic_write, "", "");
KSYMTAB_FUNC(dvb_usb_nec_rc_key_to_event, "", "");

SYMBOL_CRC(usb_cypress_load_firmware, 0x7224c565, "");
SYMBOL_CRC(dvb_usb_get_hexline, 0x8b6f5395, "");
SYMBOL_CRC(dvb_usb_device_init, 0xdb7af75e, "");
SYMBOL_CRC(dvb_usb_device_exit, 0xacd48d58, "");
SYMBOL_CRC(dvb_usb_generic_rw, 0x0884b772, "");
SYMBOL_CRC(dvb_usb_generic_write, 0xdde7929e, "");
SYMBOL_CRC(dvb_usb_nec_rc_key_to_event, 0xa7a3fad8, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6f23486d, "input_allocate_device" },
	{ 0xb66659eb, "dvb_dmxdev_init" },
	{ 0x9181493a, "usb_alloc_urb" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x2f618926, "media_device_unregister" },
	{ 0x1d3f22b7, "usb_free_urb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x60eb31e9, "usb_alloc_coherent" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x8dceb523, "request_firmware" },
	{ 0xb88825d, "input_unregister_device" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x284de4e6, "__media_device_register" },
	{ 0x2c256e1f, "input_scancode_to_scalar" },
	{ 0xa90d44ff, "dvb_register_adapter" },
	{ 0xd5bb24ad, "input_free_device" },
	{ 0x122c3a7e, "_printk" },
	{ 0x53c09a97, "usb_clear_halt" },
	{ 0xaa3a99c1, "usb_bulk_msg" },
	{ 0x44a18989, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xa916b694, "strnlen" },
	{ 0xa359e790, "usb_submit_urb" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0x6f0ecff1, "i2c_del_adapter" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xd46c4218, "media_device_cleanup" },
	{ 0x6a9f708a, "dvb_dmx_swfilter_204" },
	{ 0x9263a063, "dvb_dmx_release" },
	{ 0x525a880f, "usb_free_coherent" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xba13e6ee, "rc_register_device" },
	{ 0xd6cc6cc2, "usb_control_msg" },
	{ 0x404f63e4, "dvb_net_init" },
	{ 0x8c54b0f8, "dvb_dmx_swfilter" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x8035aa9, "dvb_dmxdev_release" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x681521b3, "rc_free_device" },
	{ 0xdcb764ad, "memset" },
	{ 0xa4235824, "dvb_dmx_swfilter_raw" },
	{ 0x86f6553b, "input_event" },
	{ 0x8954a8fa, "dvb_frontend_detach" },
	{ 0x6dd3f46f, "i2c_add_adapter" },
	{ 0x2b0203f7, "dvb_net_release" },
	{ 0xe929fb13, "rc_allocate_device" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5005ed80, "dvb_unregister_frontend" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xfd8b9fb9, "usb_kill_urb" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd4f04cd8, "__media_device_usb_init" },
	{ 0xe5920006, "dvb_register_frontend" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xff167ff2, "dvb_create_media_graph" },
	{ 0xef8cf4bb, "dvb_unregister_adapter" },
	{ 0x54abe4ff, "dvb_dmx_init" },
	{ 0xcb74520d, "param_ops_int" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4c222b34, "rc_unregister_device" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "dvb-core,mc,rc-core");


MODULE_INFO(srcversion, "083703896CC43B04798B56C");
