#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(go7007_read_interrupt, "", "");
KSYMTAB_FUNC(go7007_read_addr, "", "");
KSYMTAB_FUNC(go7007_boot_encoder, "", "");
KSYMTAB_FUNC(go7007_register_encoder, "", "");
KSYMTAB_FUNC(go7007_parse_video_stream, "", "");
KSYMTAB_FUNC(go7007_alloc, "", "");
KSYMTAB_FUNC(go7007_update_board, "", "");
KSYMTAB_FUNC(go7007_snd_init, "", "");
KSYMTAB_FUNC(go7007_snd_remove, "", "");

SYMBOL_CRC(go7007_read_interrupt, 0x7de2544e, "");
SYMBOL_CRC(go7007_read_addr, 0x136f8ada, "");
SYMBOL_CRC(go7007_boot_encoder, 0xd957b85e, "");
SYMBOL_CRC(go7007_register_encoder, 0xb40694c5, "");
SYMBOL_CRC(go7007_parse_video_stream, 0x3f48bc12, "");
SYMBOL_CRC(go7007_alloc, 0xd3080112, "");
SYMBOL_CRC(go7007_update_board, 0x4d3177c6, "");
SYMBOL_CRC(go7007_snd_init, 0x104b13e0, "");
SYMBOL_CRC(go7007_snd_remove, 0x62f4dc87, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaadcd78a, "vb2_queue_init" },
	{ 0x589aec05, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x89493239, "v4l2_device_put" },
	{ 0x610adf59, "vb2_ioctl_streamoff" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x4e942b5b, "snd_pcm_new" },
	{ 0x36f128e0, "snd_card_register" },
	{ 0x1e6734c1, "v4l2_i2c_new_subdev_board" },
	{ 0xc17968c4, "snd_card_free" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x8dceb523, "request_firmware" },
	{ 0x62cacf0b, "vb2_ops_wait_finish" },
	{ 0xba5039ee, "v4l2_ctrl_handler_init_class" },
	{ 0x3e9436c4, "param_array_ops" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x3321f626, "vb2_ioctl_querybuf" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x4ca03189, "v4l2_fh_open" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x66df0226, "video_devdata" },
	{ 0x22fb2b11, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0x6f0ecff1, "i2c_del_adapter" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x800473f, "__cond_resched" },
	{ 0xe4496e51, "snd_card_new" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x96555037, "__v4l2_ctrl_grab" },
	{ 0xfd375e39, "vb2_ioctl_dqbuf" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0xb8b19d5, "v4l2_ctrl_new_custom" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x8a2fcc72, "snd_card_free_when_closed" },
	{ 0x7c4430da, "vb2_buffer_done" },
	{ 0x7c5b1508, "vb2_plane_vaddr" },
	{ 0x2691a73c, "v4l2_ctrl_subscribe_event" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x639931b7, "snd_pcm_set_ops" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x470d5fa2, "v4l2_event_subscribe" },
	{ 0x3569483a, "vb2_ioctl_qbuf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xeb711e2c, "vb2_fop_mmap" },
	{ 0xe09e0a7f, "snd_device_new" },
	{ 0x462aa708, "vb2_vmalloc_memops" },
	{ 0x317ae39d, "snd_pcm_set_managed_buffer_all" },
	{ 0xdcb764ad, "memset" },
	{ 0x43674595, "param_ops_charp" },
	{ 0x21e70c9e, "v4l2_ctrl_new_std_menu" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xb2b20e1c, "vb2_fop_read" },
	{ 0x2241c173, "v4l2_device_register" },
	{ 0x6dd3f46f, "i2c_add_adapter" },
	{ 0xcd77be83, "snd_card_disconnect" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x14c5dd46, "param_ops_bool" },
	{ 0xe210c058, "__video_register_device" },
	{ 0x3845cd26, "vb2_ops_wait_prepare" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x73a160e1, "vb2_ioctl_streamon" },
	{ 0x6652fdda, "vb2_fop_poll" },
	{ 0xf2f701c6, "v4l2_ctrl_new_std" },
	{ 0x3371aa50, "v4l2_ctrl_g_ctrl" },
	{ 0xd9b006d6, "v4l2_ctrl_handler_free" },
	{ 0x2f9fd29b, "v4l2_device_unregister" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x9505cd0d, "v4l2_subdev_call_wrappers" },
	{ 0xff76a031, "snd_pcm_period_elapsed" },
	{ 0xa271ebe0, "v4l2_ctrl_log_status" },
	{ 0xd9d075de, "v4l2_event_queue" },
	{ 0xcb74520d, "param_ops_int" },
	{ 0xbc9b47d8, "video_device_release_empty" },
	{ 0xf9a482f9, "msleep" },
	{ 0x781208dd, "v4l2_event_unsubscribe" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0xa3974ad5, "vb2_ioctl_reqbufs" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-v4l2,videodev,snd-pcm,snd,videobuf2-common,videobuf2-vmalloc");


MODULE_INFO(srcversion, "5B5234BB82F944373BA4134");
