#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9181493a, "usb_alloc_urb" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6c47d509, "v4l2_ctrl_poll" },
	{ 0x589aec05, "video_ioctl2" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x1d3f22b7, "usb_free_urb" },
	{ 0x60b73b66, "param_ops_uint" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x60eb31e9, "usb_alloc_coherent" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe0545e8, "v4l2_fh_add" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xd941f894, "usb_register_driver" },
	{ 0xba5039ee, "v4l2_ctrl_handler_init_class" },
	{ 0x3e9436c4, "param_array_ops" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x122c3a7e, "_printk" },
	{ 0x20053120, "v4l2_ctrl_handler_setup" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x836447e1, "usb_put_dev" },
	{ 0xaa3a99c1, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x66df0226, "video_devdata" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xa916b694, "strnlen" },
	{ 0x5a18818f, "usb_get_dev" },
	{ 0xa359e790, "usb_submit_urb" },
	{ 0x6f0ecff1, "i2c_del_adapter" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x800473f, "__cond_resched" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x525a880f, "usb_free_coherent" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xb45345d4, "v4l2_fh_release" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd6cc6cc2, "usb_control_msg" },
	{ 0x2691a73c, "v4l2_ctrl_subscribe_event" },
	{ 0x81850ded, "v4l2_fh_init" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x178247a7, "video_unregister_device" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd1f902dd, "i2c_new_client_device" },
	{ 0x4d8dc364, "usb_deregister" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xdcb764ad, "memset" },
	{ 0x64c66f25, "v4l2_device_disconnect" },
	{ 0x21e70c9e, "v4l2_ctrl_new_std_menu" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xd034392d, "v4l2_match_dv_timings" },
	{ 0x2241c173, "v4l2_device_register" },
	{ 0x6dd3f46f, "i2c_add_adapter" },
	{ 0xa1f6d788, "v4l2_ctrl_activate" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x14c5dd46, "param_ops_bool" },
	{ 0xe210c058, "__video_register_device" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xfd8b9fb9, "usb_kill_urb" },
	{ 0xf2f701c6, "v4l2_ctrl_new_std" },
	{ 0xd9b006d6, "v4l2_ctrl_handler_free" },
	{ 0x2f9fd29b, "v4l2_device_unregister" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xa271ebe0, "v4l2_ctrl_log_status" },
	{ 0xcb74520d, "param_ops_int" },
	{ 0xe8c92ef, "v4l2_ctrl_cluster" },
	{ 0xf9a482f9, "msleep" },
	{ 0x781208dd, "v4l2_event_unsubscribe" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "videodev,v4l2-dv-timings");

MODULE_ALIAS("usb:v2040p4900d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040p4901d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040p4902d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040p4982d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040p4903d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "D86FD15374FD8D382AA54B6");
