#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(v4l2_fwnode_endpoint_parse, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_endpoint_free, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_endpoint_alloc_parse, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_parse_link, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_put_link, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_connector_free, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_connector_parse, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_connector_add_link, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_device_parse, "_gpl", "");
KSYMTAB_FUNC(v4l2_async_register_subdev_sensor, "_gpl", "");

SYMBOL_CRC(v4l2_fwnode_endpoint_parse, 0xdb920667, "_gpl");
SYMBOL_CRC(v4l2_fwnode_endpoint_free, 0x43c49100, "_gpl");
SYMBOL_CRC(v4l2_fwnode_endpoint_alloc_parse, 0xb819165d, "_gpl");
SYMBOL_CRC(v4l2_fwnode_parse_link, 0x3153736f, "_gpl");
SYMBOL_CRC(v4l2_fwnode_put_link, 0x1df22752, "_gpl");
SYMBOL_CRC(v4l2_fwnode_connector_free, 0x612ddce5, "_gpl");
SYMBOL_CRC(v4l2_fwnode_connector_parse, 0x0102ebec, "_gpl");
SYMBOL_CRC(v4l2_fwnode_connector_add_link, 0x53a990c5, "_gpl");
SYMBOL_CRC(v4l2_fwnode_device_parse, 0xec080eb5, "_gpl");
SYMBOL_CRC(v4l2_async_register_subdev_sensor, 0x086acbec, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf3f34fd5, "fwnode_property_read_u32_array" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x442dd3bb, "fwnode_property_present" },
	{ 0x122c3a7e, "_printk" },
	{ 0x9c26c8f1, "fwnode_graph_parse_endpoint" },
	{ 0x37a0cba, "kfree" },
	{ 0x98b4ec72, "fwnode_property_read_string" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9aaacae9, "__dev_fwnode" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0xdcb764ad, "memset" },
	{ 0x2d3c7ab0, "fwnode_property_get_reference_args" },
	{ 0x22c73a0b, "fwnode_get_next_child_node" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xf8994a61, "fwnode_property_read_u64_array" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xb86e9579, "is_acpi_device_node" },
	{ 0x2cfb93a3, "is_acpi_data_node" },
	{ 0x946c9b9b, "__v4l2_async_nf_add_fwnode" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x551206a3, "v4l2_async_subdev_nf_init" },
	{ 0x6f4c43aa, "v4l2_subdev_get_privacy_led" },
	{ 0xbdb30027, "v4l2_async_nf_register" },
	{ 0x5bd63d20, "__v4l2_async_register_subdev" },
	{ 0xa81ddf88, "v4l2_async_nf_unregister" },
	{ 0x9cb27719, "v4l2_subdev_put_privacy_led" },
	{ 0x8d832010, "v4l2_async_nf_cleanup" },
	{ 0x8991755, "fwnode_graph_get_port_parent" },
	{ 0xf87e48d6, "fwnode_graph_get_remote_port_parent" },
	{ 0x81d83723, "fwnode_get_name" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0xba4dbf74, "fwnode_graph_get_remote_endpoint" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "v4l2-async,videodev");


MODULE_INFO(srcversion, "1118A6A1EB4212D5621572D");
