#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(video_device_alloc, "", "");
KSYMTAB_FUNC(video_device_release, "", "");
KSYMTAB_FUNC(video_device_release_empty, "", "");
KSYMTAB_FUNC(video_devdata, "", "");
KSYMTAB_FUNC(v4l2_prio_init, "", "");
KSYMTAB_FUNC(v4l2_prio_change, "", "");
KSYMTAB_FUNC(v4l2_prio_open, "", "");
KSYMTAB_FUNC(v4l2_prio_close, "", "");
KSYMTAB_FUNC(v4l2_prio_max, "", "");
KSYMTAB_FUNC(v4l2_prio_check, "", "");
KSYMTAB_FUNC(__video_register_device, "", "");
KSYMTAB_FUNC(video_unregister_device, "", "");
KSYMTAB_FUNC(video_device_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(__video_device_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(video_device_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(__video_device_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(video_device_pipeline_alloc_start, "_gpl", "");
KSYMTAB_FUNC(video_device_pipeline, "_gpl", "");
KSYMTAB_FUNC(v4l2_norm_to_name, "", "");
KSYMTAB_FUNC(v4l2_video_std_frame_period, "", "");
KSYMTAB_FUNC(v4l2_video_std_construct, "", "");
KSYMTAB_DATA(v4l2_field_names, "", "");
KSYMTAB_DATA(v4l2_type_names, "", "");
KSYMTAB_FUNC(v4l_printk_ioctl, "", "");
KSYMTAB_FUNC(video_ioctl2, "", "");
KSYMTAB_FUNC(v4l2_device_register, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_put, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_set_name, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_disconnect, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_unregister, "_gpl", "");
KSYMTAB_FUNC(__v4l2_device_register_subdev, "_gpl", "");
KSYMTAB_FUNC(__v4l2_device_register_subdev_nodes, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_unregister_subdev, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_init, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_add, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_open, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_del, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_exit, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_release, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_is_singular, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_dequeue, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_queue, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_queue_fh, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_pending, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_wake_all, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_subscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_unsubscribe_all, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_unsubscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_subdev_unsubscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_src_change_event_subscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_src_change_event_subdev_subscribe, "_gpl", "");
KSYMTAB_DATA(v4l2_subdev_call_wrappers, "", "");
KSYMTAB_FUNC(v4l2_subdev_get_fwnode_pad_1_to_1, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_link_validate_default, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_link_validate, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_has_pad_interdep, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_alloc, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_free, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_init_finalize, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_cleanup, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_get_format, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_get_crop, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_get_compose, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_get_interval, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_get_fmt, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_get_frame_interval, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_set_routing, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_next_active_route, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_set_routing_with_fmt, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_routing_find_opposite_end, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_state_get_opposite_stream_format, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_state_xlate_streams, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_routing_validate, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_enable_streams, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_disable_streams, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_s_stream_helper, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_init, "", "");
KSYMTAB_FUNC(v4l2_subdev_notify_event, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_is_streaming, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_get_privacy_led, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_put_privacy_led, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_query_fill, "", "");
KSYMTAB_FUNC(v4l_bound_align_image, "_gpl", "");
KSYMTAB_FUNC(__v4l2_find_nearest_size, "_gpl", "");
KSYMTAB_FUNC(v4l2_g_parm_cap, "_gpl", "");
KSYMTAB_FUNC(v4l2_s_parm_cap, "_gpl", "");
KSYMTAB_FUNC(v4l2_format_info, "", "");
KSYMTAB_FUNC(v4l2_apply_frmsize_constraints, "_gpl", "");
KSYMTAB_FUNC(v4l2_fill_pixfmt_mp, "_gpl", "");
KSYMTAB_FUNC(v4l2_fill_pixfmt, "_gpl", "");
KSYMTAB_FUNC(v4l2_get_link_freq, "_gpl", "");
KSYMTAB_FUNC(v4l2_simplify_fraction, "_gpl", "");
KSYMTAB_FUNC(v4l2_fraction_to_interval, "_gpl", "");
KSYMTAB_FUNC(v4l2_link_freq_to_bitmap, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_equal, "", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_init, "", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_log, "", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_validate, "", "");
KSYMTAB_FUNC(v4l2_ctrl_notify, "", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_init_class, "", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_free, "", "");
KSYMTAB_FUNC(v4l2_ctrl_find, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_custom, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std_menu_items, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std_compound, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_int_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_add_handler, "", "");
KSYMTAB_FUNC(v4l2_ctrl_radio_filter, "", "");
KSYMTAB_FUNC(v4l2_ctrl_cluster, "", "");
KSYMTAB_FUNC(v4l2_ctrl_auto_cluster, "", "");
KSYMTAB_FUNC(v4l2_ctrl_activate, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_grab, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_handler_setup, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_setup, "", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_log_status, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_fwnode_properties, "", "");
KSYMTAB_FUNC(v4l2_g_ext_ctrls, "", "");
KSYMTAB_FUNC(v4l2_try_ext_ctrls, "", "");
KSYMTAB_FUNC(v4l2_s_ext_ctrls, "", "");
KSYMTAB_FUNC(v4l2_g_ctrl, "", "");
KSYMTAB_FUNC(v4l2_s_ctrl, "", "");
KSYMTAB_FUNC(v4l2_ctrl_g_ctrl, "", "");
KSYMTAB_FUNC(v4l2_ctrl_g_ctrl_int64, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl_int64, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl_string, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl_compound, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_modify_range, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_modify_dimensions, "", "");
KSYMTAB_FUNC(v4l2_query_ext_ctrl, "", "");
KSYMTAB_FUNC(v4l2_queryctrl, "", "");
KSYMTAB_FUNC(v4l2_querymenu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_log_status, "", "");
KSYMTAB_FUNC(v4l2_ctrl_subdev_log_status, "", "");
KSYMTAB_FUNC(v4l2_ctrl_replace, "", "");
KSYMTAB_FUNC(v4l2_ctrl_merge, "", "");
KSYMTAB_DATA(v4l2_ctrl_sub_ev_ops, "", "");
KSYMTAB_FUNC(v4l2_ctrl_subscribe_event, "", "");
KSYMTAB_FUNC(v4l2_ctrl_subdev_subscribe_event, "", "");
KSYMTAB_FUNC(v4l2_ctrl_poll, "", "");
KSYMTAB_FUNC(v4l2_ctrl_request_hdl_find, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_request_hdl_ctrl_find, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_request_complete, "", "");
KSYMTAB_FUNC(v4l2_ctrl_request_setup, "", "");
KSYMTAB_FUNC(v4l2_ctrl_get_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_get_int_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_get_name, "", "");
KSYMTAB_FUNC(v4l2_ctrl_fill, "", "");
KSYMTAB_FUNC(v4l2_compat_ioctl32, "_gpl", "");
KSYMTAB_FUNC(v4l2_mc_create_media_graph, "_gpl", "");
KSYMTAB_FUNC(v4l_enable_media_source, "_gpl", "");
KSYMTAB_FUNC(v4l_disable_media_source, "_gpl", "");
KSYMTAB_FUNC(v4l_vb2q_enable_media_source, "_gpl", "");
KSYMTAB_FUNC(v4l2_create_fwnode_links_to_pad, "_gpl", "");
KSYMTAB_FUNC(v4l2_create_fwnode_links, "_gpl", "");
KSYMTAB_FUNC(v4l2_pipeline_pm_get, "_gpl", "");
KSYMTAB_FUNC(v4l2_pipeline_pm_put, "_gpl", "");
KSYMTAB_FUNC(v4l2_pipeline_link_notify, "_gpl", "");
KSYMTAB_FUNC(v4l2_spi_subdev_init, "_gpl", "");
KSYMTAB_FUNC(v4l2_spi_new_subdev, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_buf_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_buf_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_buf_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_buf_queue, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_buf_queue, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_buf_queue, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_dqbuf, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_dqbuf, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_dqbuf, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_qbuf, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_qbuf, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_qbuf, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_subdev_set_name, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_subdev_init, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_new_subdev_board, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_new_subdev, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_subdev_addr, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_tuner_addrs, "_gpl", "");

SYMBOL_CRC(video_device_alloc, 0xf2f1f4ef, "");
SYMBOL_CRC(video_device_release, 0x3640ed43, "");
SYMBOL_CRC(video_device_release_empty, 0xbc9b47d8, "");
SYMBOL_CRC(video_devdata, 0x66df0226, "");
SYMBOL_CRC(v4l2_prio_init, 0xb77b0159, "");
SYMBOL_CRC(v4l2_prio_change, 0x3bdd0f94, "");
SYMBOL_CRC(v4l2_prio_open, 0x2342f1ae, "");
SYMBOL_CRC(v4l2_prio_close, 0xcda04a5b, "");
SYMBOL_CRC(v4l2_prio_max, 0x8106095a, "");
SYMBOL_CRC(v4l2_prio_check, 0x16244fe5, "");
SYMBOL_CRC(__video_register_device, 0xe210c058, "");
SYMBOL_CRC(video_unregister_device, 0x178247a7, "");
SYMBOL_CRC(video_device_pipeline_start, 0x0a07f90f, "_gpl");
SYMBOL_CRC(__video_device_pipeline_start, 0x12423d29, "_gpl");
SYMBOL_CRC(video_device_pipeline_stop, 0x2f184745, "_gpl");
SYMBOL_CRC(__video_device_pipeline_stop, 0xbb172c16, "_gpl");
SYMBOL_CRC(video_device_pipeline_alloc_start, 0xabc45dcc, "_gpl");
SYMBOL_CRC(video_device_pipeline, 0xd3967008, "_gpl");
SYMBOL_CRC(v4l2_norm_to_name, 0xf3251e7b, "");
SYMBOL_CRC(v4l2_video_std_frame_period, 0x0614dd5a, "");
SYMBOL_CRC(v4l2_video_std_construct, 0xe2b92059, "");
SYMBOL_CRC(v4l2_field_names, 0x3adbd595, "");
SYMBOL_CRC(v4l2_type_names, 0x123959a1, "");
SYMBOL_CRC(v4l_printk_ioctl, 0xbc5671dc, "");
SYMBOL_CRC(video_ioctl2, 0x589aec05, "");
SYMBOL_CRC(v4l2_device_register, 0x2241c173, "_gpl");
SYMBOL_CRC(v4l2_device_put, 0x89493239, "_gpl");
SYMBOL_CRC(v4l2_device_set_name, 0x2d96b208, "_gpl");
SYMBOL_CRC(v4l2_device_disconnect, 0x64c66f25, "_gpl");
SYMBOL_CRC(v4l2_device_unregister, 0x2f9fd29b, "_gpl");
SYMBOL_CRC(__v4l2_device_register_subdev, 0xf7c3ef4e, "_gpl");
SYMBOL_CRC(__v4l2_device_register_subdev_nodes, 0x9e4c44a2, "_gpl");
SYMBOL_CRC(v4l2_device_unregister_subdev, 0xe379766b, "_gpl");
SYMBOL_CRC(v4l2_fh_init, 0x81850ded, "_gpl");
SYMBOL_CRC(v4l2_fh_add, 0x0e0545e8, "_gpl");
SYMBOL_CRC(v4l2_fh_open, 0x4ca03189, "_gpl");
SYMBOL_CRC(v4l2_fh_del, 0x13080b53, "_gpl");
SYMBOL_CRC(v4l2_fh_exit, 0x72344016, "_gpl");
SYMBOL_CRC(v4l2_fh_release, 0xb45345d4, "_gpl");
SYMBOL_CRC(v4l2_fh_is_singular, 0x12710965, "_gpl");
SYMBOL_CRC(v4l2_event_dequeue, 0xf3e5fe26, "_gpl");
SYMBOL_CRC(v4l2_event_queue, 0xd9d075de, "_gpl");
SYMBOL_CRC(v4l2_event_queue_fh, 0xa7b98f39, "_gpl");
SYMBOL_CRC(v4l2_event_pending, 0x325dff7d, "_gpl");
SYMBOL_CRC(v4l2_event_wake_all, 0x08a81ab7, "_gpl");
SYMBOL_CRC(v4l2_event_subscribe, 0x470d5fa2, "_gpl");
SYMBOL_CRC(v4l2_event_unsubscribe_all, 0x6b612d8a, "_gpl");
SYMBOL_CRC(v4l2_event_unsubscribe, 0x781208dd, "_gpl");
SYMBOL_CRC(v4l2_event_subdev_unsubscribe, 0xf4c5a290, "_gpl");
SYMBOL_CRC(v4l2_src_change_event_subscribe, 0x29daed03, "_gpl");
SYMBOL_CRC(v4l2_src_change_event_subdev_subscribe, 0x2afebe71, "_gpl");
SYMBOL_CRC(v4l2_subdev_call_wrappers, 0x9505cd0d, "");
SYMBOL_CRC(v4l2_subdev_get_fwnode_pad_1_to_1, 0x1b117c66, "_gpl");
SYMBOL_CRC(v4l2_subdev_link_validate_default, 0xc78a0f2c, "_gpl");
SYMBOL_CRC(v4l2_subdev_link_validate, 0x6aad4acf, "_gpl");
SYMBOL_CRC(v4l2_subdev_has_pad_interdep, 0x89ca442f, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_alloc, 0x0ed5d487, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_free, 0x5719b093, "_gpl");
SYMBOL_CRC(__v4l2_subdev_init_finalize, 0xb92285d4, "_gpl");
SYMBOL_CRC(v4l2_subdev_cleanup, 0xfe78fcc4, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_get_format, 0x9bf74d1c, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_get_crop, 0x806aab09, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_get_compose, 0xfc536090, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_get_interval, 0xa9a00331, "_gpl");
SYMBOL_CRC(v4l2_subdev_get_fmt, 0x87f0b655, "_gpl");
SYMBOL_CRC(v4l2_subdev_get_frame_interval, 0xcc799666, "_gpl");
SYMBOL_CRC(v4l2_subdev_set_routing, 0x359a69d0, "_gpl");
SYMBOL_CRC(__v4l2_subdev_next_active_route, 0x180f326c, "_gpl");
SYMBOL_CRC(v4l2_subdev_set_routing_with_fmt, 0x094af793, "_gpl");
SYMBOL_CRC(v4l2_subdev_routing_find_opposite_end, 0x2776e4eb, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_get_opposite_stream_format, 0x6a276aa6, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_xlate_streams, 0x3b441620, "_gpl");
SYMBOL_CRC(v4l2_subdev_routing_validate, 0x7c97ed5d, "_gpl");
SYMBOL_CRC(v4l2_subdev_enable_streams, 0x1cd85e7e, "_gpl");
SYMBOL_CRC(v4l2_subdev_disable_streams, 0xffbe1f24, "_gpl");
SYMBOL_CRC(v4l2_subdev_s_stream_helper, 0xccf98785, "_gpl");
SYMBOL_CRC(v4l2_subdev_init, 0x4faf9ded, "");
SYMBOL_CRC(v4l2_subdev_notify_event, 0x3212bc5f, "_gpl");
SYMBOL_CRC(v4l2_subdev_is_streaming, 0x90883a06, "_gpl");
SYMBOL_CRC(v4l2_subdev_get_privacy_led, 0x6f4c43aa, "_gpl");
SYMBOL_CRC(v4l2_subdev_put_privacy_led, 0x9cb27719, "_gpl");
SYMBOL_CRC(v4l2_ctrl_query_fill, 0x89e3897d, "");
SYMBOL_CRC(v4l_bound_align_image, 0xf5ef842e, "_gpl");
SYMBOL_CRC(__v4l2_find_nearest_size, 0xe2822320, "_gpl");
SYMBOL_CRC(v4l2_g_parm_cap, 0xa9ce457f, "_gpl");
SYMBOL_CRC(v4l2_s_parm_cap, 0xe985b419, "_gpl");
SYMBOL_CRC(v4l2_format_info, 0x35ff98bf, "");
SYMBOL_CRC(v4l2_apply_frmsize_constraints, 0x9fef35ac, "_gpl");
SYMBOL_CRC(v4l2_fill_pixfmt_mp, 0x6e9acc41, "_gpl");
SYMBOL_CRC(v4l2_fill_pixfmt, 0xcc501597, "_gpl");
SYMBOL_CRC(v4l2_get_link_freq, 0x2133336c, "_gpl");
SYMBOL_CRC(v4l2_simplify_fraction, 0xad5c3c93, "_gpl");
SYMBOL_CRC(v4l2_fraction_to_interval, 0x5074e573, "_gpl");
SYMBOL_CRC(v4l2_link_freq_to_bitmap, 0x23877a09, "_gpl");
SYMBOL_CRC(v4l2_ctrl_type_op_equal, 0x16643550, "");
SYMBOL_CRC(v4l2_ctrl_type_op_init, 0x8d48a6c3, "");
SYMBOL_CRC(v4l2_ctrl_type_op_log, 0xd33af1fe, "");
SYMBOL_CRC(v4l2_ctrl_type_op_validate, 0x2bcbe711, "");
SYMBOL_CRC(v4l2_ctrl_notify, 0x6a102112, "");
SYMBOL_CRC(v4l2_ctrl_handler_init_class, 0xba5039ee, "");
SYMBOL_CRC(v4l2_ctrl_handler_free, 0xd9b006d6, "");
SYMBOL_CRC(v4l2_ctrl_find, 0xf42aee99, "");
SYMBOL_CRC(v4l2_ctrl_new_custom, 0x0b8b19d5, "");
SYMBOL_CRC(v4l2_ctrl_new_std, 0xf2f701c6, "");
SYMBOL_CRC(v4l2_ctrl_new_std_menu, 0x21e70c9e, "");
SYMBOL_CRC(v4l2_ctrl_new_std_menu_items, 0x13b7ecc1, "");
SYMBOL_CRC(v4l2_ctrl_new_std_compound, 0x58dc00da, "");
SYMBOL_CRC(v4l2_ctrl_new_int_menu, 0x7bb5d88c, "");
SYMBOL_CRC(v4l2_ctrl_add_handler, 0xd1e1268b, "");
SYMBOL_CRC(v4l2_ctrl_radio_filter, 0xc4606fed, "");
SYMBOL_CRC(v4l2_ctrl_cluster, 0x0e8c92ef, "");
SYMBOL_CRC(v4l2_ctrl_auto_cluster, 0xf0d802f0, "");
SYMBOL_CRC(v4l2_ctrl_activate, 0xa1f6d788, "");
SYMBOL_CRC(__v4l2_ctrl_grab, 0x96555037, "");
SYMBOL_CRC(__v4l2_ctrl_handler_setup, 0xad97a990, "_gpl");
SYMBOL_CRC(v4l2_ctrl_handler_setup, 0x20053120, "");
SYMBOL_CRC(v4l2_ctrl_handler_log_status, 0x43867472, "");
SYMBOL_CRC(v4l2_ctrl_new_fwnode_properties, 0x0f55f79b, "");
SYMBOL_CRC(v4l2_g_ext_ctrls, 0x39d1f52d, "");
SYMBOL_CRC(v4l2_try_ext_ctrls, 0x672a418c, "");
SYMBOL_CRC(v4l2_s_ext_ctrls, 0x039a5960, "");
SYMBOL_CRC(v4l2_g_ctrl, 0x6bcee0e2, "");
SYMBOL_CRC(v4l2_s_ctrl, 0xf72d77ef, "");
SYMBOL_CRC(v4l2_ctrl_g_ctrl, 0x3371aa50, "");
SYMBOL_CRC(v4l2_ctrl_g_ctrl_int64, 0x14789487, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl, 0xb2a2c3ee, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl_int64, 0xcac76db5, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl_string, 0x0781df7d, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl_compound, 0x494e8c01, "");
SYMBOL_CRC(__v4l2_ctrl_modify_range, 0x1761c869, "");
SYMBOL_CRC(__v4l2_ctrl_modify_dimensions, 0x8be2d116, "");
SYMBOL_CRC(v4l2_query_ext_ctrl, 0x5109ec9a, "");
SYMBOL_CRC(v4l2_queryctrl, 0xc69ca068, "");
SYMBOL_CRC(v4l2_querymenu, 0xf54d655e, "");
SYMBOL_CRC(v4l2_ctrl_log_status, 0xa271ebe0, "");
SYMBOL_CRC(v4l2_ctrl_subdev_log_status, 0xf5e8c0c4, "");
SYMBOL_CRC(v4l2_ctrl_replace, 0xf50fecbc, "");
SYMBOL_CRC(v4l2_ctrl_merge, 0x082737e8, "");
SYMBOL_CRC(v4l2_ctrl_sub_ev_ops, 0xcaa8bee5, "");
SYMBOL_CRC(v4l2_ctrl_subscribe_event, 0x2691a73c, "");
SYMBOL_CRC(v4l2_ctrl_subdev_subscribe_event, 0x1a8a3f99, "");
SYMBOL_CRC(v4l2_ctrl_poll, 0x6c47d509, "");
SYMBOL_CRC(v4l2_ctrl_request_hdl_find, 0xbee66166, "_gpl");
SYMBOL_CRC(v4l2_ctrl_request_hdl_ctrl_find, 0x09bf3a9a, "_gpl");
SYMBOL_CRC(v4l2_ctrl_request_complete, 0xa1876080, "");
SYMBOL_CRC(v4l2_ctrl_request_setup, 0x8116c0d5, "");
SYMBOL_CRC(v4l2_ctrl_get_menu, 0x315de2cf, "");
SYMBOL_CRC(v4l2_ctrl_get_int_menu, 0xd16d9c01, "");
SYMBOL_CRC(v4l2_ctrl_get_name, 0x32d43420, "");
SYMBOL_CRC(v4l2_ctrl_fill, 0x3b86cd9a, "");
SYMBOL_CRC(v4l2_compat_ioctl32, 0xf2721d96, "_gpl");
SYMBOL_CRC(v4l2_mc_create_media_graph, 0x408b18ff, "_gpl");
SYMBOL_CRC(v4l_enable_media_source, 0xf92c9f61, "_gpl");
SYMBOL_CRC(v4l_disable_media_source, 0x2cf1f603, "_gpl");
SYMBOL_CRC(v4l_vb2q_enable_media_source, 0x2dbe23dd, "_gpl");
SYMBOL_CRC(v4l2_create_fwnode_links_to_pad, 0x540eaa01, "_gpl");
SYMBOL_CRC(v4l2_create_fwnode_links, 0x1d284dc1, "_gpl");
SYMBOL_CRC(v4l2_pipeline_pm_get, 0x10d2d2c3, "_gpl");
SYMBOL_CRC(v4l2_pipeline_pm_put, 0x96163912, "_gpl");
SYMBOL_CRC(v4l2_pipeline_link_notify, 0xd976739f, "_gpl");
SYMBOL_CRC(v4l2_spi_subdev_init, 0x0c91607a, "_gpl");
SYMBOL_CRC(v4l2_spi_new_subdev, 0x1646d88d, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_buf_done, 0xb48cf8aa, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_buf_done, 0xbb690e41, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_buf_done, 0x2ae0877b, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_buf_queue, 0xe0b98a71, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_buf_queue, 0xbad898d3, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_buf_queue, 0x11f3044c, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_dqbuf, 0x2b6856cd, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_dqbuf, 0xecc235fc, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_dqbuf, 0x6ce1c95c, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_qbuf, 0xdef3dffd, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_qbuf, 0x39fae265, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_qbuf, 0xe5a33113, "_gpl");
SYMBOL_CRC(v4l2_i2c_subdev_set_name, 0x00305d16, "_gpl");
SYMBOL_CRC(v4l2_i2c_subdev_init, 0x3ffbacc5, "_gpl");
SYMBOL_CRC(v4l2_i2c_new_subdev_board, 0x1e6734c1, "_gpl");
SYMBOL_CRC(v4l2_i2c_new_subdev, 0x912f2c8f, "_gpl");
SYMBOL_CRC(v4l2_i2c_subdev_addr, 0x8cc1bdee, "_gpl");
SYMBOL_CRC(v4l2_i2c_tuner_addrs, 0xf2a353ac, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdd58ec30, "media_devnode_remove" },
	{ 0xd4845a05, "try_module_get" },
	{ 0xa0a6cc8, "media_request_object_find" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x79cd2c0f, "media_request_object_init" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x7f5faa59, "led_sysfs_enable" },
	{ 0xdec5f1bf, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xba4dbf74, "fwnode_graph_get_remote_endpoint" },
	{ 0x93b9a682, "trace_raw_output_prep" },
	{ 0xafe57db3, "spi_unregister_device" },
	{ 0x9838955f, "device_unregister" },
	{ 0x556be6e0, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xcb6b138, "trace_event_printf" },
	{ 0xa028594e, "media_request_object_unbind" },
	{ 0x73be7063, "led_put" },
	{ 0xfc090426, "led_trigger_remove" },
	{ 0x7e0e485b, "fwnode_graph_get_next_endpoint" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x3f7c8b8f, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0xff8a2206, "media_request_object_complete" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x8991755, "fwnode_graph_get_port_parent" },
	{ 0xc4e40b90, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x67155184, "get_device" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0xb4ad9c09, "media_create_intf_link" },
	{ 0xc06308b4, "media_create_pad_link" },
	{ 0xfb6dfa14, "trace_event_buffer_commit" },
	{ 0xd0dae69d, "device_match_fwnode" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xb42281b9, "__media_pipeline_stop" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x8619869e, "put_device" },
	{ 0x54088bd5, "i2c_new_scanned_device" },
	{ 0x1595c776, "media_pad_pipeline" },
	{ 0xa916b694, "strnlen" },
	{ 0xf66db97, "media_request_object_put" },
	{ 0x1f9a9c72, "module_put" },
	{ 0xa2221e72, "media_pipeline_alloc_start" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x5f744ec4, "media_device_register_entity" },
	{ 0x80e98234, "media_request_get_by_fd" },
	{ 0x800473f, "__cond_resched" },
	{ 0xc5f88650, "cdev_add" },
	{ 0xd22f3095, "led_get" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x4bb807c7, "perf_trace_run_bpf_submit" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0xd6442a53, "i2c_unregister_device" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x3a35b8f5, "media_request_put" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x477ee4e8, "spi_new_device" },
	{ 0x2092327, "trace_event_reg" },
	{ 0x539e6f66, "media_request_object_bind" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x2e6fc05a, "class_unregister" },
	{ 0xabb8a985, "media_graph_walk_next" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd1f902dd, "i2c_new_client_device" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x65ea0b6f, "device_register" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xcd9210b7, "media_pipeline_start" },
	{ 0x9a630a40, "media_pipeline_stop" },
	{ 0xdcb764ad, "memset" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xda7af216, "media_get_pad_index" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xda2d7a21, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x6b49a0c, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xe9f7bc9f, "led_set_brightness" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xc5684abf, "media_graph_walk_start" },
	{ 0x8c74dcb9, "media_devnode_create" },
	{ 0x92f2a8c, "dev_err_probe" },
	{ 0xe023b107, "media_entity_get_fwnode_pad" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0x8fbc2804, "media_device_unregister_entity" },
	{ 0x98cf60b3, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x5359e8dc, "__kvmalloc_node_noprof" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x6fe98027, "__media_pipeline_start" },
	{ 0xaa3a3bb3, "class_register" },
	{ 0xb4d44374, "led_sysfs_disable" },
	{ 0xb2e6acc5, "media_entity_find_link" },
	{ 0x9aaacae9, "__dev_fwnode" },
	{ 0x83012dcb, "pci_bus_type" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0xfbdecde3, "cdev_del" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xa2bb6acd, "cdev_alloc" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "mc");


MODULE_INFO(srcversion, "162A8688E74215E37F34629");
