#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rtsx_pci_start_run, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_write_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_read_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_write_phy_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_read_phy_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_stop_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_add_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_send_cmd_no_wait, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_send_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_transfer_data, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_dma_map_sg, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_dma_unmap_sg, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_dma_transfer, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_read_ppbuf, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_write_ppbuf, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_pull_ctl_enable, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_pull_ctl_disable, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_switch_clock, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_power_on, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_power_off, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_exclusive_check, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_switch_output_voltage, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_exist, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_complete_unfinished_transfer, "_gpl", "");

SYMBOL_CRC(rtsx_pci_start_run, 0xc4bae1c3, "_gpl");
SYMBOL_CRC(rtsx_pci_write_register, 0x5a1e001e, "_gpl");
SYMBOL_CRC(rtsx_pci_read_register, 0xbdabba47, "_gpl");
SYMBOL_CRC(rtsx_pci_write_phy_register, 0xa02ac9e6, "_gpl");
SYMBOL_CRC(rtsx_pci_read_phy_register, 0x167bc57e, "_gpl");
SYMBOL_CRC(rtsx_pci_stop_cmd, 0xc2843aac, "_gpl");
SYMBOL_CRC(rtsx_pci_add_cmd, 0x24e1ddf1, "_gpl");
SYMBOL_CRC(rtsx_pci_send_cmd_no_wait, 0x81f8a055, "_gpl");
SYMBOL_CRC(rtsx_pci_send_cmd, 0x1fe84297, "_gpl");
SYMBOL_CRC(rtsx_pci_transfer_data, 0x08206391, "_gpl");
SYMBOL_CRC(rtsx_pci_dma_map_sg, 0x944f3d2d, "_gpl");
SYMBOL_CRC(rtsx_pci_dma_unmap_sg, 0x358f0ae3, "_gpl");
SYMBOL_CRC(rtsx_pci_dma_transfer, 0x6c4a62f4, "_gpl");
SYMBOL_CRC(rtsx_pci_read_ppbuf, 0x7afef4eb, "_gpl");
SYMBOL_CRC(rtsx_pci_write_ppbuf, 0xe4c4fd56, "_gpl");
SYMBOL_CRC(rtsx_pci_card_pull_ctl_enable, 0x343d493b, "_gpl");
SYMBOL_CRC(rtsx_pci_card_pull_ctl_disable, 0x9b7487bd, "_gpl");
SYMBOL_CRC(rtsx_pci_switch_clock, 0xfef4ef0f, "_gpl");
SYMBOL_CRC(rtsx_pci_card_power_on, 0xce8b6429, "_gpl");
SYMBOL_CRC(rtsx_pci_card_power_off, 0x73089e05, "_gpl");
SYMBOL_CRC(rtsx_pci_card_exclusive_check, 0xc1718504, "_gpl");
SYMBOL_CRC(rtsx_pci_switch_output_voltage, 0xcf5a0159, "_gpl");
SYMBOL_CRC(rtsx_pci_card_exist, 0xe5378294, "_gpl");
SYMBOL_CRC(rtsx_pci_complete_unfinished_transfer, 0x465320ec, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1514a3b, "free_irq" },
	{ 0xd853fe12, "pcie_capability_read_word" },
	{ 0x907c5b4f, "pci_find_ext_capability" },
	{ 0x8344b777, "pci_enable_device" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xa6257a2f, "complete" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x43ba1bed, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0xb68458a1, "pci_disable_msi" },
	{ 0x87b4d3f3, "pci_request_regions" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0xe1a350f8, "pci_unregister_driver" },
	{ 0x3dea7ab3, "pci_read_config_dword" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0xc6284701, "pm_schedule_suspend" },
	{ 0x4c8d9de8, "pci_intx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x9373e7d0, "pci_enable_msi" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x954f099c, "idr_preload" },
	{ 0xa1cc32d8, "pcie_capability_clear_and_set_word_locked" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x642cc440, "dma_alloc_attrs" },
	{ 0x72e302ca, "mfd_add_devices" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xaff5b1dd, "pci_set_master" },
	{ 0x6e42fcb2, "pm_runtime_forbid" },
	{ 0x404667b0, "dma_free_attrs" },
	{ 0x2454ddca, "pm_runtime_allow" },
	{ 0x4f139bf4, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x14c5dd46, "param_ops_bool" },
	{ 0x35beca42, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2fd31ec7, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xebaddcc6, "pci_disable_device" },
	{ 0x9a4a6fb2, "mfd_remove_devices" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xb34e2c9a, "dma_set_mask" },
	{ 0x5986a5d8, "dma_unmap_sg_attrs" },
	{ 0xc57c18f5, "pci_read_config_byte" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0x61f81ab3, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xee4ade57, "pci_write_config_dword" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x992d47c0, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000010ECd00005209sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005229sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005289sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005227sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd0000522Asv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005249sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005287sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005286sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd0000524Asv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd0000525Asv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005260sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005261sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005228sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005264sv*sd*bcFFsc*i*");

MODULE_INFO(srcversion, "050048C027DA0CDA8F3F936");
