#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc4e3a104, "mmc_run_bkops" },
	{ 0x97721a60, "set_disk_ro" },
	{ 0x1b9c05a0, "mmc_unregister_driver" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x8d039641, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xbebaed22, "debugfs_attr_write" },
	{ 0xe9d10d9d, "of_node_put" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xac9b54da, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x2205dd34, "mmc_cqe_post_req" },
	{ 0x98df6f92, "cdev_device_del" },
	{ 0x88327042, "mmc_calc_max_discard" },
	{ 0x74ccc61, "pm_runtime_set_autosuspend_delay" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xebc5b483, "mmc_get_card" },
	{ 0x1dd6b99f, "mmc_can_erase" },
	{ 0xb7c116dc, "mmc_card_alternative_gpt_sector" },
	{ 0x3b9c57bf, "device_initialize" },
	{ 0x6ec22d7a, "blk_mq_unquiesce_queue" },
	{ 0x7a63f771, "mmc_sanitize" },
	{ 0x6246140a, "blk_mq_quiesce_queue" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x8a527b77, "mmc_erase_group_aligned" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x67155184, "get_device" },
	{ 0x1f15463d, "blk_mq_end_request" },
	{ 0x966333b, "__blk_mq_alloc_disk" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x82929afa, "blk_mq_alloc_tag_set" },
	{ 0xd7094a04, "__pm_runtime_set_status" },
	{ 0x122c3a7e, "_printk" },
	{ 0x58995cbd, "put_disk" },
	{ 0xc1e2cc0b, "cdev_device_add" },
	{ 0x1000e51, "schedule" },
	{ 0x33f52d60, "__mmc_claim_host" },
	{ 0xe533a845, "of_get_next_child" },
	{ 0x82bcda5e, "mmc_start_request" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x5f84ee87, "blk_execute_rq" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x8619869e, "put_device" },
	{ 0xf693587e, "pm_runtime_enable" },
	{ 0xcdfbcb3d, "blk_mq_free_request" },
	{ 0xc6cbbc89, "capable" },
	{ 0x854cf770, "mmc_cmdq_enable" },
	{ 0x800473f, "__cond_resched" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0x579acfde, "debugfs_attr_read" },
	{ 0xdd67d2df, "mmc_prepare_busy_cmd" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x2efa2c2b, "bus_unregister" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x7b196f36, "blk_update_request" },
	{ 0xac9c6a30, "debugfs_create_file_unsafe" },
	{ 0x24eef9d8, "string_get_size" },
	{ 0x9295faf0, "simple_attr_release" },
	{ 0x858e7897, "set_capacity" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x495eed8e, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xa5be0c32, "mmc_set_data_timeout" },
	{ 0x3bb02124, "__blk_rq_map_sg" },
	{ 0xc05276ba, "blk_mq_alloc_request" },
	{ 0xffb7c514, "ida_free" },
	{ 0xdd8be419, "mmc_retune_pause" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x75f9b1f0, "blk_mq_free_tag_set" },
	{ 0x7cd31eb3, "del_gendisk" },
	{ 0x9c4725f6, "mmc_cqe_recovery" },
	{ 0xcfe2cb28, "mmc_can_secure_erase_trim" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x1dd027cf, "mmc_poll_for_busy" },
	{ 0x23de8441, "mmc_detect_card_removed" },
	{ 0x551dfe26, "default_llseek" },
	{ 0xdcb764ad, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x96b0714d, "mmc_wait_for_req" },
	{ 0xfa2f7637, "mmc_release_host" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x6402d694, "mmc_switch" },
	{ 0x29600a67, "nonseekable_open" },
	{ 0x77bddba9, "mmc_get_ext_csd" },
	{ 0x232054be, "mmc_register_driver" },
	{ 0x4b3c4fcc, "mmc_cqe_start_req" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xea5e10bb, "blk_mq_complete_request" },
	{ 0x13107c3a, "debugfs_create_file" },
	{ 0xc7e0105b, "dma_get_merge_boundary" },
	{ 0x3e80bb4f, "mmc_can_trim" },
	{ 0x6bd0862, "__mmc_poll_for_busy" },
	{ 0xc6c9b110, "mmc_app_cmd" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x6d5a834, "of_device_is_compatible" },
	{ 0x4f139bf4, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x54dae842, "mmc_put_card" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x5640f7b6, "mmc_retune_release" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xb07a5691, "mmc_cmdq_disable" },
	{ 0x136c5829, "mmc_erase" },
	{ 0x1eecd677, "mmc_wait_for_cmd" },
	{ 0xa7ee9eaa, "mmc_hw_reset" },
	{ 0xf141d73f, "blk_mq_start_request" },
	{ 0x65350617, "__mmc_send_status" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xf49ba3d4, "mmc_send_status" },
	{ 0x91930acb, "__pm_runtime_use_autosuspend" },
	{ 0xcb74520d, "param_ops_int" },
	{ 0xec6a2ae5, "blk_mq_run_hw_queues" },
	{ 0x568d4681, "__pm_runtime_disable" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xbc208516, "blk_mq_requeue_request" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x858a550d, "cdev_init" },
	{ 0x8b6b4b48, "blk_queue_rq_timeout" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x9a4123f, "mmc_retune_unpause" },
	{ 0xb9cb04c5, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe8ed37ff, "__blk_mq_end_request" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6C4CFC17AA92E15DC5274BD");
