#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2339b02e, "sdhci_end_tuning" },
	{ 0xffb5089c, "pci_save_state" },
	{ 0x266307bb, "sdhci_set_bus_width" },
	{ 0x907c5b4f, "pci_find_ext_capability" },
	{ 0xb86e9579, "is_acpi_device_node" },
	{ 0xb2a00e3, "device_set_wakeup_capable" },
	{ 0x20812d0c, "sdhci_send_tuning" },
	{ 0x514d2002, "sdhci_cqe_irq" },
	{ 0x8391ff7b, "sdhci_start_signal_voltage_switch" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0x6c7c57c3, "mmc_gpiod_request_cd" },
	{ 0xf61234f3, "cqhci_init" },
	{ 0xedc724c0, "pci_alloc_irq_vectors" },
	{ 0xe61cf90f, "dev_pm_qos_expose_latency_tolerance" },
	{ 0x4413fecd, "pci_dev_put" },
	{ 0x74ccc61, "pm_runtime_set_autosuspend_delay" },
	{ 0x4c2afe3d, "pci_get_device" },
	{ 0x43ba1bed, "__pci_register_driver" },
	{ 0x3830856e, "__sdhci_read_caps" },
	{ 0x4829a47e, "memcpy" },
	{ 0xa8fb585e, "sdhci_set_uhs_signaling" },
	{ 0xf8c024e0, "cqhci_irq" },
	{ 0x37a0cba, "kfree" },
	{ 0x6a5a6c6c, "sdhci_reset" },
	{ 0xf58177c9, "sdhci_calc_clk" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x3cda949, "sdhci_enable_clk" },
	{ 0xcfd729a4, "pci_set_power_state" },
	{ 0xbfd79310, "pci_irq_vector" },
	{ 0x51e88ebc, "mmc_gpio_set_cd_wake" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0xe1a350f8, "pci_unregister_driver" },
	{ 0x3dea7ab3, "pci_read_config_dword" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd80f18f2, "device_property_read_u32_array" },
	{ 0x2b54f44a, "acpi_device_fix_up_power_extended" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0xa91a2714, "mmc_gpio_get_cd" },
	{ 0xb6d7437e, "sdhci_suspend_host" },
	{ 0xf09add98, "device_wakeup_disable" },
	{ 0x800473f, "__cond_resched" },
	{ 0x323e342, "pci_find_capability" },
	{ 0x6fe54262, "sdhci_runtime_resume_host" },
	{ 0xe67c4154, "pcim_iomap_regions" },
	{ 0x8737bb2f, "pci_clear_master" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x45bdfbfd, "sdhci_runtime_suspend_host" },
	{ 0xbba5bd2b, "device_wakeup_enable" },
	{ 0x8d7c1ad6, "sdhci_setup_host" },
	{ 0x4a2c5625, "sdhci_set_ios" },
	{ 0x655fe73e, "sdhci_dumpregs" },
	{ 0x7733bda2, "sdhci_cqe_disable" },
	{ 0xd399ce1a, "pci_read_config_word" },
	{ 0x4e8e4e1e, "__sdhci_add_host" },
	{ 0x5b36a3ec, "of_find_property" },
	{ 0xf95acd75, "sdhci_reset_tuning" },
	{ 0xf4c96d30, "sdhci_abort_tuning" },
	{ 0x4656f3ed, "pci_restore_state" },
	{ 0x5b9953b2, "sdhci_set_clock" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0xaff5b1dd, "pci_set_master" },
	{ 0xe0987cd6, "sdhci_get_ro" },
	{ 0x46dbcf10, "sdhci_start_tuning" },
	{ 0x7dc555af, "sdhci_execute_tuning" },
	{ 0xe600b50b, "cqhci_deactivate" },
	{ 0x1f44c474, "sdhci_free_host" },
	{ 0xd5f4880b, "sdhci_add_host" },
	{ 0x6e42fcb2, "pm_runtime_forbid" },
	{ 0x78ddb76b, "dmi_match" },
	{ 0x2454ddca, "pm_runtime_allow" },
	{ 0x4f139bf4, "__pm_runtime_resume" },
	{ 0x8045fb09, "debugfs_create_x32" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd3d01466, "dev_pm_qos_hide_latency_tolerance" },
	{ 0x2fd31ec7, "pci_write_config_byte" },
	{ 0x5aecd988, "sdhci_cleanup_host" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe8215f2b, "sdhci_resume_host" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x495205b8, "sdhci_alloc_host" },
	{ 0x6b1cbe3d, "mmc_send_tuning" },
	{ 0xe6d002d0, "sdhci_cqe_enable" },
	{ 0x38f3d0a0, "pcim_iomap_table" },
	{ 0x827d8a32, "__pm_runtime_suspend" },
	{ 0xeec1919a, "sdhci_get_cd_nogpio" },
	{ 0xc57c18f5, "pci_read_config_byte" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0x91930acb, "__pm_runtime_use_autosuspend" },
	{ 0xad1a4a95, "pcim_enable_device" },
	{ 0xf54d522d, "pci_write_config_word" },
	{ 0x71e8d353, "pci_free_irq_vectors" },
	{ 0xaf684abc, "sdhci_set_power" },
	{ 0xf9a482f9, "msleep" },
	{ 0xee4ade57, "pci_write_config_dword" },
	{ 0x12a920ba, "sdhci_remove_host" },
	{ 0x12a496c1, "sdhci_enable_v4_mode" },
	{ 0x4a172208, "cqhci_resume" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "sdhci,cqhci");

MODULE_ALIAS("pci:v00001180d00000822sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001180d00000843sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001180d0000E822sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001180d0000E823sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001524d00000550sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001524d00000551sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001524d00000750sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001524d00000751sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000011ABd00004101sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000197Bd00002381sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000197Bd00002382sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000197Bd00002391sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000197Bd00002392sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001148d00008000sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001106d000095D0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010ECd00005250sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008A7sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000807sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000808sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000084Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000820sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000821sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000822sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000823sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000824sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00008809sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000880Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000F14sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000F15sv00001093sd00007884bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000F15sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000F16sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000F50sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002294sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002295sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002296sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008F9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008FAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008FBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008E5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008E6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001190sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009D2Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009D2Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009D2Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000019DBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000018DBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000ACCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000AD0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000ACAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001ACCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001AD0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001ACAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005ACCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005AD0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005ACAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000031CCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000031D0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000031CAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009DC4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009DF5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A375sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000034C4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000034F8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004B47sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004B48sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000002C4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000002F5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000006F5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004DC4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004DF8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000098C4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000098F8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000054C4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001217d00008120sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001217d00008220sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001217d00008221sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001217d00008320sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001217d00008321sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001217d00008520sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001217d00008420sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001217d00008421sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001217d00008620sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001217d00008621sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001217d00009860sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001217d00009861sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001217d00009862sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001217d00009863sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000016E6d00000670sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000016C3d0000C202sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000017A0d00009750sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000017A0d00009755sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000017A0d0000E763sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000017A0d00009767sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d*sv*sd*bc08sc05i*");
MODULE_ALIAS("pci:v*d*sv*sd*bc08sc05i*");

MODULE_INFO(srcversion, "A7013F5C4DE1FC020EE4F66");
