#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sdhci_dumpregs, "_gpl", "");
KSYMTAB_FUNC(sdhci_enable_v4_mode, "_gpl", "");
KSYMTAB_FUNC(sdhci_reset, "_gpl", "");
KSYMTAB_FUNC(sdhci_adma_write_desc, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_data_timeout_irq, "_gpl", "");
KSYMTAB_FUNC(__sdhci_set_timeout, "_gpl", "");
KSYMTAB_FUNC(sdhci_switch_external_dma, "_gpl", "");
KSYMTAB_FUNC(sdhci_calc_clk, "_gpl", "");
KSYMTAB_FUNC(sdhci_enable_clk, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_clock, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_power_noreg, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_power, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_power_and_bus_voltage, "_gpl", "");
KSYMTAB_FUNC(sdhci_request, "_gpl", "");
KSYMTAB_FUNC(sdhci_request_atomic, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_bus_width, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_uhs_signaling, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_ios, "_gpl", "");
KSYMTAB_FUNC(sdhci_get_cd_nogpio, "_gpl", "");
KSYMTAB_FUNC(sdhci_get_ro, "_gpl", "");
KSYMTAB_FUNC(sdhci_enable_sdio_irq, "_gpl", "");
KSYMTAB_FUNC(sdhci_start_signal_voltage_switch, "_gpl", "");
KSYMTAB_FUNC(sdhci_start_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_end_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_reset_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_abort_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_send_tuning, "_gpl", "");
KSYMTAB_FUNC(__sdhci_execute_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_execute_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_suspend_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_resume_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_runtime_suspend_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_runtime_resume_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_cqe_enable, "_gpl", "");
KSYMTAB_FUNC(sdhci_cqe_disable, "_gpl", "");
KSYMTAB_FUNC(sdhci_cqe_irq, "_gpl", "");
KSYMTAB_FUNC(sdhci_alloc_host, "_gpl", "");
KSYMTAB_FUNC(__sdhci_read_caps, "_gpl", "");
KSYMTAB_FUNC(sdhci_setup_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_cleanup_host, "_gpl", "");
KSYMTAB_FUNC(__sdhci_add_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_add_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_remove_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_free_host, "_gpl", "");

SYMBOL_CRC(sdhci_dumpregs, 0x655fe73e, "_gpl");
SYMBOL_CRC(sdhci_enable_v4_mode, 0x12a496c1, "_gpl");
SYMBOL_CRC(sdhci_reset, 0x6a5a6c6c, "_gpl");
SYMBOL_CRC(sdhci_adma_write_desc, 0x207cc766, "_gpl");
SYMBOL_CRC(sdhci_set_data_timeout_irq, 0x21ba5c09, "_gpl");
SYMBOL_CRC(__sdhci_set_timeout, 0xdc5dbc35, "_gpl");
SYMBOL_CRC(sdhci_switch_external_dma, 0xb716e757, "_gpl");
SYMBOL_CRC(sdhci_calc_clk, 0xf58177c9, "_gpl");
SYMBOL_CRC(sdhci_enable_clk, 0x03cda949, "_gpl");
SYMBOL_CRC(sdhci_set_clock, 0x5b9953b2, "_gpl");
SYMBOL_CRC(sdhci_set_power_noreg, 0x4d0893bd, "_gpl");
SYMBOL_CRC(sdhci_set_power, 0xaf684abc, "_gpl");
SYMBOL_CRC(sdhci_set_power_and_bus_voltage, 0x7c56d16f, "_gpl");
SYMBOL_CRC(sdhci_request, 0xf092c9b7, "_gpl");
SYMBOL_CRC(sdhci_request_atomic, 0x7b4c9da5, "_gpl");
SYMBOL_CRC(sdhci_set_bus_width, 0x266307bb, "_gpl");
SYMBOL_CRC(sdhci_set_uhs_signaling, 0xa8fb585e, "_gpl");
SYMBOL_CRC(sdhci_set_ios, 0x4a2c5625, "_gpl");
SYMBOL_CRC(sdhci_get_cd_nogpio, 0xeec1919a, "_gpl");
SYMBOL_CRC(sdhci_get_ro, 0xe0987cd6, "_gpl");
SYMBOL_CRC(sdhci_enable_sdio_irq, 0x6e3a6da7, "_gpl");
SYMBOL_CRC(sdhci_start_signal_voltage_switch, 0x8391ff7b, "_gpl");
SYMBOL_CRC(sdhci_start_tuning, 0x46dbcf10, "_gpl");
SYMBOL_CRC(sdhci_end_tuning, 0x2339b02e, "_gpl");
SYMBOL_CRC(sdhci_reset_tuning, 0xf95acd75, "_gpl");
SYMBOL_CRC(sdhci_abort_tuning, 0xf4c96d30, "_gpl");
SYMBOL_CRC(sdhci_send_tuning, 0x20812d0c, "_gpl");
SYMBOL_CRC(__sdhci_execute_tuning, 0x7dbe5e74, "_gpl");
SYMBOL_CRC(sdhci_execute_tuning, 0x7dc555af, "_gpl");
SYMBOL_CRC(sdhci_suspend_host, 0xb6d7437e, "_gpl");
SYMBOL_CRC(sdhci_resume_host, 0xe8215f2b, "_gpl");
SYMBOL_CRC(sdhci_runtime_suspend_host, 0x45bdfbfd, "_gpl");
SYMBOL_CRC(sdhci_runtime_resume_host, 0x6fe54262, "_gpl");
SYMBOL_CRC(sdhci_cqe_enable, 0xe6d002d0, "_gpl");
SYMBOL_CRC(sdhci_cqe_disable, 0x7733bda2, "_gpl");
SYMBOL_CRC(sdhci_cqe_irq, 0x514d2002, "_gpl");
SYMBOL_CRC(sdhci_alloc_host, 0x495205b8, "_gpl");
SYMBOL_CRC(__sdhci_read_caps, 0x3830856e, "_gpl");
SYMBOL_CRC(sdhci_setup_host, 0x8d7c1ad6, "_gpl");
SYMBOL_CRC(sdhci_cleanup_host, 0x5aecd988, "_gpl");
SYMBOL_CRC(__sdhci_add_host, 0x4e8e4e1e, "_gpl");
SYMBOL_CRC(sdhci_add_host, 0xd5f4880b, "_gpl");
SYMBOL_CRC(sdhci_remove_host, 0x12a920ba, "_gpl");
SYMBOL_CRC(sdhci_free_host, 0x1f44c474, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x122c3a7e, "_printk" },
	{ 0x992d47c0, "dma_map_sg_attrs" },
	{ 0x698b966, "__dma_sync_single_for_device" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0x5986a5d8, "dma_unmap_sg_attrs" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x4829a47e, "memcpy" },
	{ 0xce18e5f2, "__dma_sync_sg_for_cpu" },
	{ 0x95a908ee, "mmc_alloc_host" },
	{ 0xdcb764ad, "memset" },
	{ 0x404667b0, "dma_free_attrs" },
	{ 0xc3293cf7, "regulator_disable" },
	{ 0x1ab35ddf, "mmc_free_host" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xb4c63861, "dma_map_page_attrs" },
	{ 0x1f5d4469, "devm_kfree" },
	{ 0x34070452, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7f16d3b3, "mmc_request_done" },
	{ 0x800473f, "__cond_resched" },
	{ 0x5ca10ce4, "__dma_sync_single_for_cpu" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0x7c1c3168, "sg_miter_next" },
	{ 0x23a087a2, "sg_miter_stop" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x1d684c00, "mmc_retune_timer_stop" },
	{ 0xaa309cf, "synchronize_hardirq" },
	{ 0x1c070bd8, "mmc_regulator_set_ocr" },
	{ 0x25ef08f5, "mmc_send_abort_tuning" },
	{ 0xa91a2714, "mmc_gpio_get_cd" },
	{ 0xfcdd3ded, "mmc_can_gpio_cd" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x81e4beca, "led_classdev_register_ext" },
	{ 0x2c8051e3, "mmc_add_host" },
	{ 0xc7d2b07a, "led_classdev_unregister" },
	{ 0x4d1d5f77, "mmc_remove_host" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x5b88c6e9, "mmc_can_gpio_ro" },
	{ 0x317fcce8, "mmc_gpio_get_ro" },
	{ 0xe9e95e18, "mmc_regulator_set_vqmmc" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe4da3676, "device_property_read_u64_array" },
	{ 0x5fe4f359, "regulator_is_supported_voltage" },
	{ 0x56f1d139, "regulator_get_current_limit" },
	{ 0xf0efe64b, "dma_set_coherent_mask" },
	{ 0x642cc440, "dma_alloc_attrs" },
	{ 0x3cc8f38f, "regulator_enable" },
	{ 0x2d72e2ed, "mmc_regulator_get_supply" },
	{ 0xc180ffdb, "dma_max_mapping_size" },
	{ 0xb34e2c9a, "dma_set_mask" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x5bd69b0c, "sg_miter_start" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x94d8056, "mmc_detect_change" },
	{ 0xe100baf8, "mmc_command_done" },
	{ 0xe2964344, "__wake_up" },
	{ 0xc2686773, "sdio_signal_irq" },
	{ 0x60b73b66, "param_ops_uint" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F7E2BC1EC3453CAF9EDC791");
