#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tmio_mmc_enable_mmc_irqs, "_gpl", "");
KSYMTAB_FUNC(tmio_mmc_disable_mmc_irqs, "_gpl", "");
KSYMTAB_FUNC(tmio_mmc_do_data_irq, "_gpl", "");
KSYMTAB_FUNC(tmio_mmc_irq, "_gpl", "");
KSYMTAB_FUNC(tmio_mmc_host_alloc, "_gpl", "");
KSYMTAB_FUNC(tmio_mmc_host_free, "_gpl", "");
KSYMTAB_FUNC(tmio_mmc_host_probe, "_gpl", "");
KSYMTAB_FUNC(tmio_mmc_host_remove, "_gpl", "");
KSYMTAB_FUNC(tmio_mmc_host_runtime_suspend, "_gpl", "");
KSYMTAB_FUNC(tmio_mmc_host_runtime_resume, "_gpl", "");

SYMBOL_CRC(tmio_mmc_enable_mmc_irqs, 0xba9cb75d, "_gpl");
SYMBOL_CRC(tmio_mmc_disable_mmc_irqs, 0x88c3c3d4, "_gpl");
SYMBOL_CRC(tmio_mmc_do_data_irq, 0x376e1103, "_gpl");
SYMBOL_CRC(tmio_mmc_irq, 0x378f2335, "_gpl");
SYMBOL_CRC(tmio_mmc_host_alloc, 0xe4814bdf, "_gpl");
SYMBOL_CRC(tmio_mmc_host_free, 0xb6f34443, "_gpl");
SYMBOL_CRC(tmio_mmc_host_probe, 0x4c93cb2e, "_gpl");
SYMBOL_CRC(tmio_mmc_host_remove, 0x6fcd794f, "_gpl");
SYMBOL_CRC(tmio_mmc_host_runtime_suspend, 0x6f5c46fe, "_gpl");
SYMBOL_CRC(tmio_mmc_host_runtime_resume, 0x6231057e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4829a47e, "memcpy" },
	{ 0x1ab35ddf, "mmc_free_host" },
	{ 0x24600a27, "devm_platform_ioremap_resource" },
	{ 0x95a908ee, "mmc_alloc_host" },
	{ 0x72868442, "mmc_of_parse" },
	{ 0x5b36a3ec, "of_find_property" },
	{ 0x4f139bf4, "__pm_runtime_resume" },
	{ 0xa635bd6a, "dev_pm_qos_hide_latency_limit" },
	{ 0x4d1d5f77, "mmc_remove_host" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x568d4681, "__pm_runtime_disable" },
	{ 0x91930acb, "__pm_runtime_use_autosuspend" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xd8e99ff5, "system_bh_wq" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x827d8a32, "__pm_runtime_suspend" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc3293cf7, "regulator_disable" },
	{ 0x1c070bd8, "mmc_regulator_set_ocr" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3cc8f38f, "regulator_enable" },
	{ 0x7f16d3b3, "mmc_request_done" },
	{ 0x2d72e2ed, "mmc_regulator_get_supply" },
	{ 0x6c7c57c3, "mmc_gpiod_request_cd" },
	{ 0xc180ffdb, "dma_max_mapping_size" },
	{ 0x5b88c6e9, "mmc_can_gpio_ro" },
	{ 0x317fcce8, "mmc_gpio_get_ro" },
	{ 0xfcdd3ded, "mmc_can_gpio_cd" },
	{ 0xa91a2714, "mmc_gpio_get_cd" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd7094a04, "__pm_runtime_set_status" },
	{ 0x74ccc61, "pm_runtime_set_autosuspend_delay" },
	{ 0xf693587e, "pm_runtime_enable" },
	{ 0x2c8051e3, "mmc_add_host" },
	{ 0xbeee6928, "dev_pm_qos_expose_latency_limit" },
	{ 0x61f81ab3, "__pm_runtime_idle" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x122c3a7e, "_printk" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x94d8056, "mmc_detect_change" },
	{ 0x354b3d7c, "wake_up_process" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "8897D8420CA6550D6B9D074");
