#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(mtd_table_mutex, "_gpl", "");
KSYMTAB_FUNC(__mtd_next_device, "_gpl", "");
KSYMTAB_FUNC(mtd_check_expert_analysis_mode, "_gpl", "");
KSYMTAB_FUNC(mtd_wunit_to_pairing_info, "_gpl", "");
KSYMTAB_FUNC(mtd_pairing_info_to_wunit, "_gpl", "");
KSYMTAB_FUNC(mtd_pairing_groups, "_gpl", "");
KSYMTAB_FUNC(mtd_device_parse_register, "_gpl", "");
KSYMTAB_FUNC(mtd_device_unregister, "_gpl", "");
KSYMTAB_FUNC(register_mtd_user, "_gpl", "");
KSYMTAB_FUNC(unregister_mtd_user, "_gpl", "");
KSYMTAB_FUNC(get_mtd_device, "_gpl", "");
KSYMTAB_FUNC(__get_mtd_device, "_gpl", "");
KSYMTAB_FUNC(of_get_mtd_device_by_node, "_gpl", "");
KSYMTAB_FUNC(get_mtd_device_nm, "_gpl", "");
KSYMTAB_FUNC(put_mtd_device, "_gpl", "");
KSYMTAB_FUNC(__put_mtd_device, "_gpl", "");
KSYMTAB_FUNC(mtd_erase, "_gpl", "");
KSYMTAB_FUNC(mtd_point, "_gpl", "");
KSYMTAB_FUNC(mtd_unpoint, "_gpl", "");
KSYMTAB_FUNC(mtd_get_unmapped_area, "_gpl", "");
KSYMTAB_FUNC(mtd_read, "_gpl", "");
KSYMTAB_FUNC(mtd_write, "_gpl", "");
KSYMTAB_FUNC(mtd_panic_write, "_gpl", "");
KSYMTAB_FUNC(mtd_read_oob, "_gpl", "");
KSYMTAB_FUNC(mtd_write_oob, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_ecc, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_free, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_find_eccregion, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_get_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_set_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_get_databytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_set_databytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_count_freebytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_count_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_get_fact_prot_info, "_gpl", "");
KSYMTAB_FUNC(mtd_read_fact_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_get_user_prot_info, "_gpl", "");
KSYMTAB_FUNC(mtd_read_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_write_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_lock_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_erase_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_lock, "_gpl", "");
KSYMTAB_FUNC(mtd_unlock, "_gpl", "");
KSYMTAB_FUNC(mtd_is_locked, "_gpl", "");
KSYMTAB_FUNC(mtd_block_isreserved, "_gpl", "");
KSYMTAB_FUNC(mtd_block_isbad, "_gpl", "");
KSYMTAB_FUNC(mtd_block_markbad, "_gpl", "");
KSYMTAB_FUNC(mtd_writev, "_gpl", "");
KSYMTAB_FUNC(mtd_kmalloc_up_to, "_gpl", "");
KSYMTAB_FUNC(get_tree_mtd, "_gpl", "");
KSYMTAB_FUNC(kill_mtd_super, "_gpl", "");
KSYMTAB_FUNC(mtd_concat_create, "", "");
KSYMTAB_FUNC(mtd_concat_destroy, "", "");
KSYMTAB_FUNC(mtd_add_partition, "_gpl", "");
KSYMTAB_FUNC(mtd_del_partition, "_gpl", "");
KSYMTAB_FUNC(__register_mtd_parser, "_gpl", "");
KSYMTAB_FUNC(deregister_mtd_parser, "_gpl", "");
KSYMTAB_FUNC(mtd_get_device_size, "_gpl", "");

SYMBOL_CRC(mtd_table_mutex, 0x50dabc2f, "_gpl");
SYMBOL_CRC(__mtd_next_device, 0xc1265f52, "_gpl");
SYMBOL_CRC(mtd_check_expert_analysis_mode, 0xb7075882, "_gpl");
SYMBOL_CRC(mtd_wunit_to_pairing_info, 0x2e7c3c94, "_gpl");
SYMBOL_CRC(mtd_pairing_info_to_wunit, 0x0725c122, "_gpl");
SYMBOL_CRC(mtd_pairing_groups, 0x631dfce9, "_gpl");
SYMBOL_CRC(mtd_device_parse_register, 0x28d03e92, "_gpl");
SYMBOL_CRC(mtd_device_unregister, 0xc5daa7de, "_gpl");
SYMBOL_CRC(register_mtd_user, 0x451c4c76, "_gpl");
SYMBOL_CRC(unregister_mtd_user, 0x585141bb, "_gpl");
SYMBOL_CRC(get_mtd_device, 0x23696817, "_gpl");
SYMBOL_CRC(__get_mtd_device, 0x5a0cef4a, "_gpl");
SYMBOL_CRC(of_get_mtd_device_by_node, 0x58ce6cdc, "_gpl");
SYMBOL_CRC(get_mtd_device_nm, 0x2d6ad3d3, "_gpl");
SYMBOL_CRC(put_mtd_device, 0x9ff2762c, "_gpl");
SYMBOL_CRC(__put_mtd_device, 0x33616014, "_gpl");
SYMBOL_CRC(mtd_erase, 0x19bbd54c, "_gpl");
SYMBOL_CRC(mtd_point, 0x1dbd1f03, "_gpl");
SYMBOL_CRC(mtd_unpoint, 0x0b34fb52, "_gpl");
SYMBOL_CRC(mtd_get_unmapped_area, 0x2286bf1a, "_gpl");
SYMBOL_CRC(mtd_read, 0xc8fec477, "_gpl");
SYMBOL_CRC(mtd_write, 0x9ddfa866, "_gpl");
SYMBOL_CRC(mtd_panic_write, 0x6470ea9c, "_gpl");
SYMBOL_CRC(mtd_read_oob, 0x9665138a, "_gpl");
SYMBOL_CRC(mtd_write_oob, 0xa8cd5a6a, "_gpl");
SYMBOL_CRC(mtd_ooblayout_ecc, 0x0ed93191, "_gpl");
SYMBOL_CRC(mtd_ooblayout_free, 0xb6944ce6, "_gpl");
SYMBOL_CRC(mtd_ooblayout_find_eccregion, 0xab71fbc9, "_gpl");
SYMBOL_CRC(mtd_ooblayout_get_eccbytes, 0x32932e14, "_gpl");
SYMBOL_CRC(mtd_ooblayout_set_eccbytes, 0x6fde8bc6, "_gpl");
SYMBOL_CRC(mtd_ooblayout_get_databytes, 0x2efa7d2b, "_gpl");
SYMBOL_CRC(mtd_ooblayout_set_databytes, 0x60e3ecf0, "_gpl");
SYMBOL_CRC(mtd_ooblayout_count_freebytes, 0xf514f9b7, "_gpl");
SYMBOL_CRC(mtd_ooblayout_count_eccbytes, 0xd48a52c9, "_gpl");
SYMBOL_CRC(mtd_get_fact_prot_info, 0x7f48a259, "_gpl");
SYMBOL_CRC(mtd_read_fact_prot_reg, 0x7e7feaaf, "_gpl");
SYMBOL_CRC(mtd_get_user_prot_info, 0x8a426169, "_gpl");
SYMBOL_CRC(mtd_read_user_prot_reg, 0x7b788df8, "_gpl");
SYMBOL_CRC(mtd_write_user_prot_reg, 0x96b68809, "_gpl");
SYMBOL_CRC(mtd_lock_user_prot_reg, 0xec2ac2a7, "_gpl");
SYMBOL_CRC(mtd_erase_user_prot_reg, 0xaac22746, "_gpl");
SYMBOL_CRC(mtd_lock, 0x132cbe04, "_gpl");
SYMBOL_CRC(mtd_unlock, 0x19c15066, "_gpl");
SYMBOL_CRC(mtd_is_locked, 0xc93533a4, "_gpl");
SYMBOL_CRC(mtd_block_isreserved, 0xb2ef9e38, "_gpl");
SYMBOL_CRC(mtd_block_isbad, 0xe90dd142, "_gpl");
SYMBOL_CRC(mtd_block_markbad, 0x13333dbe, "_gpl");
SYMBOL_CRC(mtd_writev, 0x4e96d427, "_gpl");
SYMBOL_CRC(mtd_kmalloc_up_to, 0x58ed4538, "_gpl");
SYMBOL_CRC(get_tree_mtd, 0x084919a1, "_gpl");
SYMBOL_CRC(kill_mtd_super, 0xe34a662e, "_gpl");
SYMBOL_CRC(mtd_concat_create, 0x8a749991, "");
SYMBOL_CRC(mtd_concat_destroy, 0x33b2d2a9, "");
SYMBOL_CRC(mtd_add_partition, 0xe834f580, "_gpl");
SYMBOL_CRC(mtd_del_partition, 0x1a43ce04, "_gpl");
SYMBOL_CRC(__register_mtd_parser, 0x10354a47, "_gpl");
SYMBOL_CRC(deregister_mtd_parser, 0x21bb3274, "_gpl");
SYMBOL_CRC(mtd_get_device_size, 0xde09ae21, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf6847f95, "generic_shutdown_super" },
	{ 0xd4845a05, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x20978fb9, "idr_find" },
	{ 0xe9d10d9d, "of_node_put" },
	{ 0x1eeb59d2, "sget_dev" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x1caede22, "bdi_unregister" },
	{ 0xdec5f1bf, "dev_set_name" },
	{ 0xb05f53a5, "of_get_compatible_child" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xd5ec1fc3, "bdi_register" },
	{ 0x8591d7d5, "ledtrig_mtd_activity" },
	{ 0xaf3f69d8, "of_node_name_prefix" },
	{ 0x9838955f, "device_unregister" },
	{ 0xa11e3371, "nvmem_unregister" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x61d0ab1e, "of_node_get" },
	{ 0x8ae484ab, "logfc" },
	{ 0x1b9611c7, "sysfs_remove_files" },
	{ 0x2b02565, "__module_get" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xd66c8184, "add_device_randomness" },
	{ 0x122c3a7e, "_printk" },
	{ 0xb6f4982c, "bdi_put" },
	{ 0xe533a845, "of_get_next_child" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x8619869e, "put_device" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xc6cbbc89, "capable" },
	{ 0x1f9a9c72, "module_put" },
	{ 0xac1a55be, "unregister_reboot_notifier" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xbb3d1556, "of_get_child_by_name" },
	{ 0x2bd9d0b2, "debugfs_create_bool" },
	{ 0x44f12496, "of_prop_next_string" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x8e7d5be0, "device_create" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x495eed8e, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xf3c4ce5, "fixed_size_llseek" },
	{ 0xdbcbd433, "of_property_read_string" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x5b36a3ec, "of_find_property" },
	{ 0x2e6fc05a, "class_unregister" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x82e7beb2, "bdi_alloc" },
	{ 0x65ea0b6f, "device_register" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xdcb764ad, "memset" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x6d5a834, "of_device_is_compatible" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xacdd7225, "__register_chrdev" },
	{ 0x5737dbe8, "seq_write" },
	{ 0xb35e7976, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe225b8f6, "remove_proc_entry" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xb8de1db2, "sysfs_create_files" },
	{ 0x56470118, "__warn_printk" },
	{ 0x899fbd06, "seq_printf" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0x99f59030, "deactivate_locked_super" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x9fed5e, "of_alias_get_id" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x92f2a8c, "dev_err_probe" },
	{ 0x9ef52c28, "proc_create_single_data" },
	{ 0x4997ec09, "nvmem_register" },
	{ 0x98cf60b3, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xe820ea6a, "debugfs_create_dir" },
	{ 0x43fa3dfb, "of_platform_populate" },
	{ 0x5359e8dc, "__kvmalloc_node_noprof" },
	{ 0xaa3a3bb3, "class_register" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E452B3061DCCC9009330C8D");
