#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nanddev_isbad, "_gpl", "");
KSYMTAB_FUNC(nanddev_markbad, "_gpl", "");
KSYMTAB_FUNC(nanddev_isreserved, "_gpl", "");
KSYMTAB_FUNC(nanddev_mtd_erase, "_gpl", "");
KSYMTAB_FUNC(nanddev_mtd_max_bad_blocks, "_gpl", "");
KSYMTAB_FUNC(nanddev_ecc_engine_init, "_gpl", "");
KSYMTAB_FUNC(nanddev_ecc_engine_cleanup, "_gpl", "");
KSYMTAB_FUNC(nanddev_init, "_gpl", "");
KSYMTAB_FUNC(nanddev_cleanup, "_gpl", "");
KSYMTAB_FUNC(nanddev_bbt_init, "_gpl", "");
KSYMTAB_FUNC(nanddev_bbt_cleanup, "_gpl", "");
KSYMTAB_FUNC(nanddev_bbt_update, "_gpl", "");
KSYMTAB_FUNC(nanddev_bbt_get_block_status, "_gpl", "");
KSYMTAB_FUNC(nanddev_bbt_set_block_status, "_gpl", "");
KSYMTAB_FUNC(nand_ecc_init_ctx, "", "");
KSYMTAB_FUNC(nand_ecc_cleanup_ctx, "", "");
KSYMTAB_FUNC(nand_ecc_prepare_io_req, "", "");
KSYMTAB_FUNC(nand_ecc_finish_io_req, "", "");
KSYMTAB_FUNC(nand_get_small_page_ooblayout, "_gpl", "");
KSYMTAB_FUNC(nand_get_large_page_ooblayout, "_gpl", "");
KSYMTAB_FUNC(nand_get_large_page_hamming_ooblayout, "_gpl", "");
KSYMTAB_FUNC(of_get_nand_ecc_user_config, "", "");
KSYMTAB_FUNC(nand_ecc_is_strong_enough, "", "");
KSYMTAB_FUNC(nand_ecc_init_req_tweaking, "_gpl", "");
KSYMTAB_FUNC(nand_ecc_cleanup_req_tweaking, "_gpl", "");
KSYMTAB_FUNC(nand_ecc_tweak_req, "_gpl", "");
KSYMTAB_FUNC(nand_ecc_restore_req, "_gpl", "");
KSYMTAB_FUNC(nand_ecc_get_sw_engine, "", "");
KSYMTAB_FUNC(nand_ecc_get_on_die_hw_engine, "", "");
KSYMTAB_FUNC(nand_ecc_register_on_host_hw_engine, "", "");
KSYMTAB_FUNC(nand_ecc_unregister_on_host_hw_engine, "", "");
KSYMTAB_FUNC(nand_ecc_get_on_host_hw_engine, "", "");
KSYMTAB_FUNC(nand_ecc_put_on_host_hw_engine, "", "");
KSYMTAB_FUNC(ecc_sw_hamming_calculate, "", "");
KSYMTAB_FUNC(nand_ecc_sw_hamming_calculate, "", "");
KSYMTAB_FUNC(ecc_sw_hamming_correct, "", "");
KSYMTAB_FUNC(nand_ecc_sw_hamming_correct, "", "");
KSYMTAB_FUNC(nand_ecc_sw_hamming_init_ctx, "", "");
KSYMTAB_FUNC(nand_ecc_sw_hamming_cleanup_ctx, "", "");
KSYMTAB_FUNC(nand_ecc_sw_hamming_get_engine, "", "");
KSYMTAB_FUNC(nand_ecc_sw_bch_calculate, "", "");
KSYMTAB_FUNC(nand_ecc_sw_bch_correct, "", "");
KSYMTAB_FUNC(nand_ecc_sw_bch_init_ctx, "", "");
KSYMTAB_FUNC(nand_ecc_sw_bch_cleanup_ctx, "", "");
KSYMTAB_FUNC(nand_ecc_sw_bch_get_engine, "", "");

SYMBOL_CRC(nanddev_isbad, 0xed8cf8f8, "_gpl");
SYMBOL_CRC(nanddev_markbad, 0x49f9b8b2, "_gpl");
SYMBOL_CRC(nanddev_isreserved, 0x1e024d53, "_gpl");
SYMBOL_CRC(nanddev_mtd_erase, 0xdde83d9e, "_gpl");
SYMBOL_CRC(nanddev_mtd_max_bad_blocks, 0x491e989a, "_gpl");
SYMBOL_CRC(nanddev_ecc_engine_init, 0x85456b69, "_gpl");
SYMBOL_CRC(nanddev_ecc_engine_cleanup, 0xe9e0bfcf, "_gpl");
SYMBOL_CRC(nanddev_init, 0x924b8a9f, "_gpl");
SYMBOL_CRC(nanddev_cleanup, 0x717698ae, "_gpl");
SYMBOL_CRC(nanddev_bbt_init, 0xef93c18b, "_gpl");
SYMBOL_CRC(nanddev_bbt_cleanup, 0x0bf773a3, "_gpl");
SYMBOL_CRC(nanddev_bbt_update, 0xb0ccb6ba, "_gpl");
SYMBOL_CRC(nanddev_bbt_get_block_status, 0x75470be0, "_gpl");
SYMBOL_CRC(nanddev_bbt_set_block_status, 0xc591c82a, "_gpl");
SYMBOL_CRC(nand_ecc_init_ctx, 0x7aadb662, "");
SYMBOL_CRC(nand_ecc_cleanup_ctx, 0x39c418f8, "");
SYMBOL_CRC(nand_ecc_prepare_io_req, 0x47181255, "");
SYMBOL_CRC(nand_ecc_finish_io_req, 0x54bec272, "");
SYMBOL_CRC(nand_get_small_page_ooblayout, 0x1cc2d215, "_gpl");
SYMBOL_CRC(nand_get_large_page_ooblayout, 0xc26b58c8, "_gpl");
SYMBOL_CRC(nand_get_large_page_hamming_ooblayout, 0x5092f1a9, "_gpl");
SYMBOL_CRC(of_get_nand_ecc_user_config, 0x07f3bf85, "");
SYMBOL_CRC(nand_ecc_is_strong_enough, 0xfd62eaea, "");
SYMBOL_CRC(nand_ecc_init_req_tweaking, 0x8254d55f, "_gpl");
SYMBOL_CRC(nand_ecc_cleanup_req_tweaking, 0x974e4180, "_gpl");
SYMBOL_CRC(nand_ecc_tweak_req, 0x414013fd, "_gpl");
SYMBOL_CRC(nand_ecc_restore_req, 0xad91504e, "_gpl");
SYMBOL_CRC(nand_ecc_get_sw_engine, 0x5aa103b0, "");
SYMBOL_CRC(nand_ecc_get_on_die_hw_engine, 0xc1e0b06a, "");
SYMBOL_CRC(nand_ecc_register_on_host_hw_engine, 0xd8a06857, "");
SYMBOL_CRC(nand_ecc_unregister_on_host_hw_engine, 0x462a28be, "");
SYMBOL_CRC(nand_ecc_get_on_host_hw_engine, 0x6419464a, "");
SYMBOL_CRC(nand_ecc_put_on_host_hw_engine, 0x6fabd612, "");
SYMBOL_CRC(ecc_sw_hamming_calculate, 0xff4351b0, "");
SYMBOL_CRC(nand_ecc_sw_hamming_calculate, 0xb4d000d3, "");
SYMBOL_CRC(ecc_sw_hamming_correct, 0xe6db989b, "");
SYMBOL_CRC(nand_ecc_sw_hamming_correct, 0x763c0252, "");
SYMBOL_CRC(nand_ecc_sw_hamming_init_ctx, 0x1f4fa416, "");
SYMBOL_CRC(nand_ecc_sw_hamming_cleanup_ctx, 0x7fa5aad7, "");
SYMBOL_CRC(nand_ecc_sw_hamming_get_engine, 0x29a24220, "");
SYMBOL_CRC(nand_ecc_sw_bch_calculate, 0x4730382c, "");
SYMBOL_CRC(nand_ecc_sw_bch_correct, 0xd4d4b2a9, "");
SYMBOL_CRC(nand_ecc_sw_bch_init_ctx, 0x6420ff80, "");
SYMBOL_CRC(nand_ecc_sw_bch_cleanup_ctx, 0xb76a969c, "");
SYMBOL_CRC(nand_ecc_sw_bch_get_engine, 0xd7d0c735, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x44ade54d, "platform_device_put" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xe9d10d9d, "of_node_put" },
	{ 0xf9ed9452, "of_property_read_variable_u32_array" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x305ea78d, "of_find_device_by_node" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x6fde8bc6, "mtd_ooblayout_set_eccbytes" },
	{ 0x67155184, "get_device" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8619869e, "put_device" },
	{ 0xb7075882, "mtd_check_expert_analysis_mode" },
	{ 0x2691b191, "__of_parse_phandle_with_args" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0xdbcbd433, "of_property_read_string" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x5b36a3ec, "of_find_property" },
	{ 0xd3e3481, "bch_free" },
	{ 0xdcb764ad, "memset" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xd48a52c9, "mtd_ooblayout_count_eccbytes" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x860a2eab, "bch_decode" },
	{ 0x1a267fa8, "bch_init" },
	{ 0x32932e14, "mtd_ooblayout_get_eccbytes" },
	{ 0xc303f52, "bch_encode" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "mtd,bch");


MODULE_INFO(srcversion, "C8CC18D47CCA8CBC7F50A06");
