#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nand_extract_bits, "_gpl", "");
KSYMTAB_FUNC(nand_select_target, "_gpl", "");
KSYMTAB_FUNC(nand_deselect_target, "_gpl", "");
KSYMTAB_FUNC(nand_soft_waitrdy, "_gpl", "");
KSYMTAB_FUNC(nand_gpio_waitrdy, "_gpl", "");
KSYMTAB_FUNC(nand_read_page_op, "_gpl", "");
KSYMTAB_FUNC(nand_change_read_column_op, "_gpl", "");
KSYMTAB_FUNC(nand_read_oob_op, "_gpl", "");
KSYMTAB_FUNC(nand_prog_page_begin_op, "_gpl", "");
KSYMTAB_FUNC(nand_prog_page_end_op, "_gpl", "");
KSYMTAB_FUNC(nand_prog_page_op, "_gpl", "");
KSYMTAB_FUNC(nand_change_write_column_op, "_gpl", "");
KSYMTAB_FUNC(nand_readid_op, "_gpl", "");
KSYMTAB_FUNC(nand_status_op, "_gpl", "");
KSYMTAB_FUNC(nand_exit_status_op, "_gpl", "");
KSYMTAB_FUNC(nand_erase_op, "_gpl", "");
KSYMTAB_FUNC(nand_reset_op, "_gpl", "");
KSYMTAB_FUNC(nand_read_data_op, "_gpl", "");
KSYMTAB_FUNC(nand_write_data_op, "_gpl", "");
KSYMTAB_FUNC(nand_op_parser_exec_op, "_gpl", "");
KSYMTAB_FUNC(nand_subop_get_addr_start_off, "_gpl", "");
KSYMTAB_FUNC(nand_subop_get_num_addr_cyc, "_gpl", "");
KSYMTAB_FUNC(nand_subop_get_data_start_off, "_gpl", "");
KSYMTAB_FUNC(nand_subop_get_data_len, "_gpl", "");
KSYMTAB_FUNC(nand_reset, "_gpl", "");
KSYMTAB_FUNC(nand_check_erased_ecc_chunk, "", "");
KSYMTAB_FUNC(nand_read_page_raw, "", "");
KSYMTAB_FUNC(nand_monolithic_read_page_raw, "", "");
KSYMTAB_FUNC(nand_read_page_hwecc_oob_first, "_gpl", "");
KSYMTAB_FUNC(nand_read_oob_std, "", "");
KSYMTAB_FUNC(nand_write_oob_std, "", "");
KSYMTAB_FUNC(nand_write_page_raw, "", "");
KSYMTAB_FUNC(nand_monolithic_write_page_raw, "", "");
KSYMTAB_FUNC(nand_decode_ext_id, "_gpl", "");
KSYMTAB_FUNC(rawnand_dt_parse_gpio_cs, "", "");
KSYMTAB_FUNC(rawnand_sw_hamming_init, "", "");
KSYMTAB_FUNC(rawnand_sw_hamming_calculate, "", "");
KSYMTAB_FUNC(rawnand_sw_hamming_correct, "", "");
KSYMTAB_FUNC(rawnand_sw_hamming_cleanup, "", "");
KSYMTAB_FUNC(rawnand_sw_bch_init, "", "");
KSYMTAB_FUNC(rawnand_sw_bch_correct, "", "");
KSYMTAB_FUNC(rawnand_sw_bch_cleanup, "", "");
KSYMTAB_FUNC(nand_ecc_choose_conf, "_gpl", "");
KSYMTAB_FUNC(nand_scan_with_ids, "", "");
KSYMTAB_FUNC(nand_cleanup, "_gpl", "");
KSYMTAB_FUNC(nand_wait_ready, "_gpl", "");
KSYMTAB_FUNC(nand_get_set_features_notsupp, "", "");
KSYMTAB_FUNC(nand_create_bbt, "", "");

SYMBOL_CRC(nand_extract_bits, 0x11091291, "_gpl");
SYMBOL_CRC(nand_select_target, 0x7f442b37, "_gpl");
SYMBOL_CRC(nand_deselect_target, 0x377e319a, "_gpl");
SYMBOL_CRC(nand_soft_waitrdy, 0xffec4cc7, "_gpl");
SYMBOL_CRC(nand_gpio_waitrdy, 0x6221edf6, "_gpl");
SYMBOL_CRC(nand_read_page_op, 0x6044908f, "_gpl");
SYMBOL_CRC(nand_change_read_column_op, 0x9bf08bcf, "_gpl");
SYMBOL_CRC(nand_read_oob_op, 0xf571388b, "_gpl");
SYMBOL_CRC(nand_prog_page_begin_op, 0x426c4d11, "_gpl");
SYMBOL_CRC(nand_prog_page_end_op, 0x3aab9e1d, "_gpl");
SYMBOL_CRC(nand_prog_page_op, 0xb8597331, "_gpl");
SYMBOL_CRC(nand_change_write_column_op, 0x6fa90819, "_gpl");
SYMBOL_CRC(nand_readid_op, 0x1000b986, "_gpl");
SYMBOL_CRC(nand_status_op, 0xf4349ae3, "_gpl");
SYMBOL_CRC(nand_exit_status_op, 0xf1987241, "_gpl");
SYMBOL_CRC(nand_erase_op, 0x7987e705, "_gpl");
SYMBOL_CRC(nand_reset_op, 0xe85e233e, "_gpl");
SYMBOL_CRC(nand_read_data_op, 0x5575709c, "_gpl");
SYMBOL_CRC(nand_write_data_op, 0x61d8831e, "_gpl");
SYMBOL_CRC(nand_op_parser_exec_op, 0x3c1a733a, "_gpl");
SYMBOL_CRC(nand_subop_get_addr_start_off, 0x2d368c4c, "_gpl");
SYMBOL_CRC(nand_subop_get_num_addr_cyc, 0x5632e63d, "_gpl");
SYMBOL_CRC(nand_subop_get_data_start_off, 0xd41ff2ac, "_gpl");
SYMBOL_CRC(nand_subop_get_data_len, 0xd3c672b8, "_gpl");
SYMBOL_CRC(nand_reset, 0xaa51c83c, "_gpl");
SYMBOL_CRC(nand_check_erased_ecc_chunk, 0x8ecbb3b8, "");
SYMBOL_CRC(nand_read_page_raw, 0xacbfb64b, "");
SYMBOL_CRC(nand_monolithic_read_page_raw, 0xdf357294, "");
SYMBOL_CRC(nand_read_page_hwecc_oob_first, 0xd4ec9569, "_gpl");
SYMBOL_CRC(nand_read_oob_std, 0x21cd31d7, "");
SYMBOL_CRC(nand_write_oob_std, 0xfb45a93f, "");
SYMBOL_CRC(nand_write_page_raw, 0xced0a483, "");
SYMBOL_CRC(nand_monolithic_write_page_raw, 0x9bfe2ccc, "");
SYMBOL_CRC(nand_decode_ext_id, 0x1edd243d, "_gpl");
SYMBOL_CRC(rawnand_dt_parse_gpio_cs, 0xc08f259c, "");
SYMBOL_CRC(rawnand_sw_hamming_init, 0x2f09010a, "");
SYMBOL_CRC(rawnand_sw_hamming_calculate, 0x5f043c26, "");
SYMBOL_CRC(rawnand_sw_hamming_correct, 0xe9763e50, "");
SYMBOL_CRC(rawnand_sw_hamming_cleanup, 0x0f5c613c, "");
SYMBOL_CRC(rawnand_sw_bch_init, 0x84cf7dc8, "");
SYMBOL_CRC(rawnand_sw_bch_correct, 0xfbe4ab39, "");
SYMBOL_CRC(rawnand_sw_bch_cleanup, 0xfdf74b52, "");
SYMBOL_CRC(nand_ecc_choose_conf, 0x8706e459, "_gpl");
SYMBOL_CRC(nand_scan_with_ids, 0x4fccfdb5, "");
SYMBOL_CRC(nand_cleanup, 0xd53d7623, "_gpl");
SYMBOL_CRC(nand_wait_ready, 0xfac93957, "_gpl");
SYMBOL_CRC(nand_get_set_features_notsupp, 0xdf23126e, "");
SYMBOL_CRC(nand_create_bbt, 0x5eef0d9a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaa3ffb39, "gpiod_get_value_cansleep" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x9665138a, "mtd_read_oob" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0xf9ed9452, "of_property_read_variable_u32_array" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0xe8b38b34, "gpiod_count" },
	{ 0x717698ae, "nanddev_cleanup" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5092f1a9, "nand_get_large_page_hamming_ooblayout" },
	{ 0x4829a47e, "memcpy" },
	{ 0xc26b58c8, "nand_get_large_page_ooblayout" },
	{ 0x37a0cba, "kfree" },
	{ 0x90d9f547, "gpiod_get_index_optional" },
	{ 0x1f4fa416, "nand_ecc_sw_hamming_init_ctx" },
	{ 0x924b8a9f, "nanddev_init" },
	{ 0xd4d4b2a9, "nand_ecc_sw_bch_correct" },
	{ 0xb76a969c, "nand_ecc_sw_bch_cleanup_ctx" },
	{ 0x6fde8bc6, "mtd_ooblayout_set_eccbytes" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0x122c3a7e, "_printk" },
	{ 0xb4d000d3, "nand_ecc_sw_hamming_calculate" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb7075882, "mtd_check_expert_analysis_mode" },
	{ 0x7fa5aad7, "nand_ecc_sw_hamming_cleanup_ctx" },
	{ 0x800473f, "__cond_resched" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x6420ff80, "nand_ecc_sw_bch_init_ctx" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0xfd62eaea, "nand_ecc_is_strong_enough" },
	{ 0xa8cd5a6a, "mtd_write_oob" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x1cc2d215, "nand_get_small_page_ooblayout" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7f3bf85, "of_get_nand_ecc_user_config" },
	{ 0x5a921311, "strncmp" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0x763c0252, "nand_ecc_sw_hamming_correct" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0xf0e0696d, "of_property_count_elems_of_size" },
	{ 0xdbcbd433, "of_property_read_string" },
	{ 0x5b36a3ec, "of_find_property" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xc8fec477, "mtd_read" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xf514f9b7, "mtd_ooblayout_count_freebytes" },
	{ 0x6fcb87a1, "touch_softlockup_watchdog" },
	{ 0xdcb764ad, "memset" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x89031544, "of_property_read_u64_index" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x60e3ecf0, "mtd_ooblayout_set_databytes" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x6da467cb, "pfn_is_map_memory" },
	{ 0x999e8297, "vfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xdf8c695a, "__ndelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xab71fbc9, "mtd_ooblayout_find_eccregion" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x2efa7d2b, "mtd_ooblayout_get_databytes" },
	{ 0x81188c30, "match_string" },
	{ 0x32932e14, "mtd_ooblayout_get_eccbytes" },
	{ 0x491e989a, "nanddev_mtd_max_bad_blocks" },
	{ 0x4730382c, "nand_ecc_sw_bch_calculate" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "mtd,nandcore");


MODULE_INFO(srcversion, "CEDAE5265053F303681C2CB");
