#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(spi_nor_scan, "_gpl", "");

SYMBOL_CRC(spi_nor_scan, 0x05322fd7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9cfbbfb5, "spi_mem_driver_register_with_owner" },
	{ 0xd4845a05, "try_module_get" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0xce7df11, "spi_mem_dirmap_read" },
	{ 0xc5daa7de, "mtd_device_unregister" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xf2f04ec4, "spi_mem_exec_op" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x6d627a58, "gpiod_set_value_cansleep" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x5b66fa60, "seq_lseek" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe807266f, "devm_gpiod_get_optional" },
	{ 0xe2964344, "__wake_up" },
	{ 0x28d03e92, "mtd_device_parse_register" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1f9a9c72, "module_put" },
	{ 0x800473f, "__cond_resched" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xcc876e05, "devm_kmemdup" },
	{ 0x1f5d4469, "devm_kfree" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0xb7c0f443, "sort" },
	{ 0x24eef9d8, "string_get_size" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x65e0d6d7, "memory_read_from_buffer" },
	{ 0x495eed8e, "debugfs_remove" },
	{ 0x6f2c2cc6, "seq_putc" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0xdbcbd433, "of_property_read_string" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x5b36a3ec, "of_find_property" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x1dac142b, "spi_mem_dirmap_write" },
	{ 0x466651b4, "spi_mem_driver_unregister" },
	{ 0xdcb764ad, "memset" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x32f1e81b, "seq_read" },
	{ 0x13107c3a, "debugfs_create_file" },
	{ 0x6da467cb, "pfn_is_map_memory" },
	{ 0x12d5980a, "spi_mem_get_name" },
	{ 0xe806fdf5, "devm_spi_mem_dirmap_create" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x5737dbe8, "seq_write" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x899fbd06, "seq_printf" },
	{ 0x78b7537, "spi_mem_adjust_op_size" },
	{ 0x61942225, "devm_krealloc" },
	{ 0xa5c872a7, "single_release" },
	{ 0xbd961a68, "spi_mem_supports_op" },
	{ 0x17b54fce, "__seq_puts" },
	{ 0xfe1f1c42, "__devm_add_action" },
	{ 0x3466fede, "single_open" },
	{ 0xe820ea6a, "debugfs_create_dir" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "mtd");

MODULE_ALIAS("spi:spi-nor");
MODULE_ALIAS("spi:s25sl064a");
MODULE_ALIAS("spi:w25x16");
MODULE_ALIAS("spi:m25p10");
MODULE_ALIAS("spi:m25px64");
MODULE_ALIAS("spi:at25df321a");
MODULE_ALIAS("spi:at25df641");
MODULE_ALIAS("spi:at26df081a");
MODULE_ALIAS("spi:mx25l4005a");
MODULE_ALIAS("spi:mx25l1606e");
MODULE_ALIAS("spi:mx25l6405d");
MODULE_ALIAS("spi:mx25l12805d");
MODULE_ALIAS("spi:mx25l25635e");
MODULE_ALIAS("spi:mx66l51235l");
MODULE_ALIAS("spi:n25q064");
MODULE_ALIAS("spi:n25q128a11");
MODULE_ALIAS("spi:n25q128a13");
MODULE_ALIAS("spi:n25q512a");
MODULE_ALIAS("spi:s25fl256s1");
MODULE_ALIAS("spi:s25fl512s");
MODULE_ALIAS("spi:s25sl12801");
MODULE_ALIAS("spi:s25fl008k");
MODULE_ALIAS("spi:s25fl064k");
MODULE_ALIAS("spi:sst25vf040b");
MODULE_ALIAS("spi:sst25vf016b");
MODULE_ALIAS("spi:sst25vf032b");
MODULE_ALIAS("spi:sst25wf040");
MODULE_ALIAS("spi:m25p40");
MODULE_ALIAS("spi:m25p80");
MODULE_ALIAS("spi:m25p16");
MODULE_ALIAS("spi:m25p32");
MODULE_ALIAS("spi:m25p64");
MODULE_ALIAS("spi:m25p128");
MODULE_ALIAS("spi:w25x80");
MODULE_ALIAS("spi:w25x32");
MODULE_ALIAS("spi:w25q32");
MODULE_ALIAS("spi:w25q32dw");
MODULE_ALIAS("spi:w25q80bl");
MODULE_ALIAS("spi:w25q128");
MODULE_ALIAS("spi:w25q256");
MODULE_ALIAS("spi:m25p05-nonjedec");
MODULE_ALIAS("spi:m25p10-nonjedec");
MODULE_ALIAS("spi:m25p20-nonjedec");
MODULE_ALIAS("spi:m25p40-nonjedec");
MODULE_ALIAS("spi:m25p80-nonjedec");
MODULE_ALIAS("spi:m25p16-nonjedec");
MODULE_ALIAS("spi:m25p32-nonjedec");
MODULE_ALIAS("spi:m25p64-nonjedec");
MODULE_ALIAS("spi:m25p128-nonjedec");
MODULE_ALIAS("spi:mr25h128");
MODULE_ALIAS("spi:mr25h256");
MODULE_ALIAS("spi:mr25h10");
MODULE_ALIAS("spi:mr25h40");
MODULE_ALIAS("of:N*T*Cjedec,spi-nor");
MODULE_ALIAS("of:N*T*Cjedec,spi-norC*");

MODULE_INFO(srcversion, "D915B1FEA445D2CF00B2130");
