#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(can_put_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_free_echo_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canfd_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canxl_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_err_skb, "_gpl", "");
KSYMTAB_FUNC(can_dropped_invalid_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_state_str, "_gpl", "");
KSYMTAB_FUNC(can_state_get_by_berr_counter, "_gpl", "");
KSYMTAB_FUNC(can_change_state, "_gpl", "");
KSYMTAB_FUNC(can_bus_off, "_gpl", "");
KSYMTAB_FUNC(alloc_candev_mqs, "_gpl", "");
KSYMTAB_FUNC(free_candev, "_gpl", "");
KSYMTAB_FUNC(can_change_mtu, "_gpl", "");
KSYMTAB_FUNC(can_eth_ioctl_hwts, "", "");
KSYMTAB_FUNC(can_ethtool_op_get_ts_info_hwts, "", "");
KSYMTAB_FUNC(open_candev, "_gpl", "");
KSYMTAB_FUNC(of_can_transceiver, "_gpl", "");
KSYMTAB_FUNC(close_candev, "_gpl", "");
KSYMTAB_FUNC(register_candev, "_gpl", "");
KSYMTAB_FUNC(unregister_candev, "_gpl", "");
KSYMTAB_FUNC(safe_candev_priv, "_gpl", "");
KSYMTAB_FUNC(can_fd_dlc2len, "_gpl", "");
KSYMTAB_FUNC(can_fd_len2dlc, "_gpl", "");
KSYMTAB_FUNC(can_skb_get_frame_len, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_irq_offload_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_irq_offload_fifo, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_queue_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_get_echo_skb_queue_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_queue_tail, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_get_echo_skb_queue_tail, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_irq_finish, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_threaded_irq_finish, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_add_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_add_fifo, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_add_manual, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_enable, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_del, "_gpl", "");

SYMBOL_CRC(can_put_echo_skb, 0x0244efd4, "_gpl");
SYMBOL_CRC(can_get_echo_skb, 0xe529f632, "_gpl");
SYMBOL_CRC(can_free_echo_skb, 0x2c068059, "_gpl");
SYMBOL_CRC(alloc_can_skb, 0x0eb3085e, "_gpl");
SYMBOL_CRC(alloc_canfd_skb, 0xb5def6d0, "_gpl");
SYMBOL_CRC(alloc_canxl_skb, 0xe896f685, "_gpl");
SYMBOL_CRC(alloc_can_err_skb, 0x871da0cd, "_gpl");
SYMBOL_CRC(can_dropped_invalid_skb, 0xcfc393e4, "_gpl");
SYMBOL_CRC(can_get_state_str, 0x10d892eb, "_gpl");
SYMBOL_CRC(can_state_get_by_berr_counter, 0x7e789556, "_gpl");
SYMBOL_CRC(can_change_state, 0x014e07dd, "_gpl");
SYMBOL_CRC(can_bus_off, 0x09ddad07, "_gpl");
SYMBOL_CRC(alloc_candev_mqs, 0x596a9971, "_gpl");
SYMBOL_CRC(free_candev, 0x9e0a114d, "_gpl");
SYMBOL_CRC(can_change_mtu, 0x2fb7146c, "_gpl");
SYMBOL_CRC(can_eth_ioctl_hwts, 0x7861814a, "");
SYMBOL_CRC(can_ethtool_op_get_ts_info_hwts, 0xe13d9380, "");
SYMBOL_CRC(open_candev, 0x2573d3af, "_gpl");
SYMBOL_CRC(of_can_transceiver, 0x92e9e137, "_gpl");
SYMBOL_CRC(close_candev, 0x0fe07dfd, "_gpl");
SYMBOL_CRC(register_candev, 0x9f7484fa, "_gpl");
SYMBOL_CRC(unregister_candev, 0xf021d3fb, "_gpl");
SYMBOL_CRC(safe_candev_priv, 0xd2600b27, "_gpl");
SYMBOL_CRC(can_fd_dlc2len, 0xf12d9387, "_gpl");
SYMBOL_CRC(can_fd_len2dlc, 0x6047ede6, "_gpl");
SYMBOL_CRC(can_skb_get_frame_len, 0x626b52f0, "_gpl");
SYMBOL_CRC(can_rx_offload_irq_offload_timestamp, 0xde75de1e, "_gpl");
SYMBOL_CRC(can_rx_offload_irq_offload_fifo, 0x68c643e3, "_gpl");
SYMBOL_CRC(can_rx_offload_queue_timestamp, 0xedca3eab, "_gpl");
SYMBOL_CRC(can_rx_offload_get_echo_skb_queue_timestamp, 0x7a9a7d4a, "_gpl");
SYMBOL_CRC(can_rx_offload_queue_tail, 0x709e73d7, "_gpl");
SYMBOL_CRC(can_rx_offload_get_echo_skb_queue_tail, 0x15e95576, "_gpl");
SYMBOL_CRC(can_rx_offload_irq_finish, 0x04b029e5, "_gpl");
SYMBOL_CRC(can_rx_offload_threaded_irq_finish, 0x617a9e4d, "_gpl");
SYMBOL_CRC(can_rx_offload_add_timestamp, 0xbe317f72, "_gpl");
SYMBOL_CRC(can_rx_offload_add_fifo, 0x55bbc357, "_gpl");
SYMBOL_CRC(can_rx_offload_add_manual, 0xf2bba263, "_gpl");
SYMBOL_CRC(can_rx_offload_enable, 0x0c268749, "_gpl");
SYMBOL_CRC(can_rx_offload_del, 0xf4af322e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe9d10d9d, "of_node_put" },
	{ 0xc2af5a6, "skb_put" },
	{ 0xac53e259, "gpiod_set_value" },
	{ 0xeffe1416, "skb_tstamp_tx" },
	{ 0xf9ed9452, "of_property_read_variable_u32_array" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x4679fb71, "consume_skb" },
	{ 0xbdc26b3b, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x49ee7ce3, "unregister_netdev" },
	{ 0x87ef83ff, "skb_dequeue" },
	{ 0xeb16b253, "rtnl_link_register" },
	{ 0x3ac8793, "netdev_warn" },
	{ 0xe807266f, "devm_gpiod_get_optional" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x12e92ab7, "__netif_napi_del" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0x492fdb70, "netdev_err" },
	{ 0x5195dcc3, "skb_queue_purge_reason" },
	{ 0xdb5b677b, "napi_complete_done" },
	{ 0xca0eee00, "alloc_netdev_mqs" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x6f7d2f61, "__napi_schedule" },
	{ 0xd80f18f2, "device_property_read_u32_array" },
	{ 0xbb3d1556, "of_get_child_by_name" },
	{ 0x8241aab5, "rtnl_link_unregister" },
	{ 0x9f66a4ce, "sk_skb_reason_drop" },
	{ 0xad0c171b, "napi_enable" },
	{ 0xf24849a9, "netif_receive_skb" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0x1ca4f351, "register_netdev" },
	{ 0x2e9d1dca, "free_netdev" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xdcb764ad, "memset" },
	{ 0x1ca93263, "sock_efree" },
	{ 0x51335c0e, "netif_rx" },
	{ 0x5409cff7, "__netdev_alloc_skb" },
	{ 0x99eabdf8, "skb_trim" },
	{ 0xe3c7bd1e, "__dynamic_netdev_dbg" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc9ad94d3, "netif_carrier_off" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x6b53f5f8, "skb_clone" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xaa985d4e, "netif_carrier_on" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x92f2a8c, "dev_err_probe" },
	{ 0xc25a42ab, "napi_schedule_prep" },
	{ 0xd7c7d5c, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x4e62ef2c, "skb_clone_tx_timestamp" },
	{ 0x3932f94, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "74FF1D223C0325A4972BC10");
