#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(b53_imp_vlan_setup, "", "");
KSYMTAB_FUNC(b53_enable_port, "", "");
KSYMTAB_FUNC(b53_disable_port, "", "");
KSYMTAB_FUNC(b53_brcm_hdr_setup, "", "");
KSYMTAB_FUNC(b53_configure_vlan, "", "");
KSYMTAB_FUNC(b53_get_strings, "", "");
KSYMTAB_FUNC(b53_get_ethtool_stats, "", "");
KSYMTAB_FUNC(b53_get_ethtool_phy_stats, "", "");
KSYMTAB_FUNC(b53_get_sset_count, "", "");
KSYMTAB_FUNC(b53_setup_devlink_resources, "", "");
KSYMTAB_FUNC(b53_port_event, "", "");
KSYMTAB_FUNC(b53_vlan_filtering, "", "");
KSYMTAB_FUNC(b53_vlan_add, "", "");
KSYMTAB_FUNC(b53_vlan_del, "", "");
KSYMTAB_FUNC(b53_fdb_add, "", "");
KSYMTAB_FUNC(b53_fdb_del, "", "");
KSYMTAB_FUNC(b53_fdb_dump, "", "");
KSYMTAB_FUNC(b53_mdb_add, "", "");
KSYMTAB_FUNC(b53_mdb_del, "", "");
KSYMTAB_FUNC(b53_br_join, "", "");
KSYMTAB_FUNC(b53_br_leave, "", "");
KSYMTAB_FUNC(b53_br_set_stp_state, "", "");
KSYMTAB_FUNC(b53_br_fast_age, "", "");
KSYMTAB_FUNC(b53_br_flags_pre, "", "");
KSYMTAB_FUNC(b53_br_flags, "", "");
KSYMTAB_FUNC(b53_get_tag_protocol, "", "");
KSYMTAB_FUNC(b53_mirror_add, "", "");
KSYMTAB_FUNC(b53_mirror_del, "", "");
KSYMTAB_FUNC(b53_eee_init, "", "");
KSYMTAB_FUNC(b53_get_mac_eee, "", "");
KSYMTAB_FUNC(b53_set_mac_eee, "", "");
KSYMTAB_FUNC(b53_switch_alloc, "", "");
KSYMTAB_FUNC(b53_switch_detect, "", "");
KSYMTAB_FUNC(b53_switch_register, "", "");

SYMBOL_CRC(b53_imp_vlan_setup, 0xba1343d3, "");
SYMBOL_CRC(b53_enable_port, 0xc869bfe4, "");
SYMBOL_CRC(b53_disable_port, 0x934d325c, "");
SYMBOL_CRC(b53_brcm_hdr_setup, 0xa3f7e990, "");
SYMBOL_CRC(b53_configure_vlan, 0x2342d76f, "");
SYMBOL_CRC(b53_get_strings, 0xd424c7f4, "");
SYMBOL_CRC(b53_get_ethtool_stats, 0x142d2cdf, "");
SYMBOL_CRC(b53_get_ethtool_phy_stats, 0x9f4046e4, "");
SYMBOL_CRC(b53_get_sset_count, 0x85cc00dc, "");
SYMBOL_CRC(b53_setup_devlink_resources, 0x49203c27, "");
SYMBOL_CRC(b53_port_event, 0xc3209049, "");
SYMBOL_CRC(b53_vlan_filtering, 0x8ab6dd69, "");
SYMBOL_CRC(b53_vlan_add, 0xe08154e9, "");
SYMBOL_CRC(b53_vlan_del, 0x1e7771fa, "");
SYMBOL_CRC(b53_fdb_add, 0xb256be20, "");
SYMBOL_CRC(b53_fdb_del, 0x85f03079, "");
SYMBOL_CRC(b53_fdb_dump, 0x3956cd49, "");
SYMBOL_CRC(b53_mdb_add, 0xbfee71a3, "");
SYMBOL_CRC(b53_mdb_del, 0x559e722b, "");
SYMBOL_CRC(b53_br_join, 0xd8524a8b, "");
SYMBOL_CRC(b53_br_leave, 0x227eb56b, "");
SYMBOL_CRC(b53_br_set_stp_state, 0x11458252, "");
SYMBOL_CRC(b53_br_fast_age, 0x0e520c99, "");
SYMBOL_CRC(b53_br_flags_pre, 0xcedcbdbe, "");
SYMBOL_CRC(b53_br_flags, 0xdbb39b74, "");
SYMBOL_CRC(b53_get_tag_protocol, 0x83426d12, "");
SYMBOL_CRC(b53_mirror_add, 0x901228ea, "");
SYMBOL_CRC(b53_mirror_del, 0x13bc7e51, "");
SYMBOL_CRC(b53_eee_init, 0xb78e35f5, "");
SYMBOL_CRC(b53_get_mac_eee, 0xdfd232fe, "");
SYMBOL_CRC(b53_set_mac_eee, 0xaec84d22, "");
SYMBOL_CRC(b53_switch_alloc, 0x3bec708b, "");
SYMBOL_CRC(b53_switch_detect, 0xa43aefa4, "");
SYMBOL_CRC(b53_switch_register, 0x181f31a7, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd5136a50, "dsa_devlink_resources_unregister" },
	{ 0x1511e698, "dsa_devlink_resource_register" },
	{ 0x3be1662a, "dsa_devlink_resource_occ_get_register" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x1fb541eb, "mdiobus_get_phy" },
	{ 0x94b8a590, "phy_ethtool_get_stats" },
	{ 0xc0a96baf, "phy_ethtool_get_sset_count" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xc119dde9, "phy_ethtool_get_strings" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xdcb764ad, "memset" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x1e743875, "dsa_port_phylink_mac_change" },
	{ 0xa797fb0, "phy_init_eee" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0xd403ef27, "gpio_to_desc" },
	{ 0xf4113819, "gpiod_set_raw_value" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0x162c96a3, "dsa_register_switch" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "36CACD47A5F279D94DAC1E3");
