#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(mt7530_switch_ops, "_gpl", "");
KSYMTAB_DATA(mt753x_table, "_gpl", "");
KSYMTAB_FUNC(mt7530_probe_common, "_gpl", "");
KSYMTAB_FUNC(mt7530_remove_common, "_gpl", "");

SYMBOL_CRC(mt7530_switch_ops, 0x2fb0aeb4, "_gpl");
SYMBOL_CRC(mt753x_table, 0x38db4440, "_gpl");
SYMBOL_CRC(mt7530_probe_common, 0x2bb5f8f6, "_gpl");
SYMBOL_CRC(mt7530_remove_common, 0x77f5750c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x7e15f6e8, "mdiobus_c45_write_nested" },
	{ 0xa70579c4, "mdiobus_c45_read_nested" },
	{ 0xfc747034, "mdiobus_write_nested" },
	{ 0xdd8a098d, "mdiobus_read_nested" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0xc1e79586, "of_device_get_match_data" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x133e2f27, "regmap_read" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x20a789ac, "irq_set_chip_data" },
	{ 0xe6b16cb1, "handle_simple_irq" },
	{ 0x23dd3a06, "irq_set_chip_and_handler_name" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xdcb764ad, "memset" },
	{ 0x2691b191, "__of_parse_phandle_with_args" },
	{ 0x10711b56, "__irq_resolve_mapping" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0xbb3d1556, "of_get_child_by_name" },
	{ 0xa33705b7, "of_device_is_available" },
	{ 0xf521073a, "devm_mdiobus_alloc_size" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x365a0b33, "__devm_of_mdiobus_register" },
	{ 0xe9d10d9d, "of_node_put" },
	{ 0x8bef06fe, "irq_create_mapping_affinity" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xe84d372c, "irq_domain_remove" },
	{ 0xcf1a4abf, "dsa_unregister_switch" },
	{ 0xcb824037, "regmap_write" },
	{ 0x549525ef, "handle_nested_irq" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x800473f, "__cond_resched" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x207bb5ea, "regmap_update_bits_base" },
	{ 0xd4ca5261, "gpiochip_get_data" },
	{ 0xa797fb0, "phy_init_eee" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0xd3a78853, "phy_driver_is_genphy" },
	{ 0x5b36a3ec, "of_find_property" },
	{ 0xb71ade69, "of_irq_get" },
	{ 0x56795bce, "irq_domain_instantiate" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x6d627a58, "gpiod_set_value_cansleep" },
	{ 0xe533a845, "of_get_next_child" },
	{ 0x6d5a834, "of_device_is_compatible" },
	{ 0xf9ed9452, "of_property_read_variable_u32_array" },
	{ 0x67d2a14e, "devm_gpiochip_add_data_with_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xfe8ef611, "regulator_set_voltage" },
	{ 0x3cc8f38f, "regulator_enable" },
	{ 0x95cabc80, "of_get_phy_mode" },
	{ 0xc450cd70, "irq_domain_xlate_onecell" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "551B7E450E552C07CD335CF");
