#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(t3_l2t_send_slow, "", "");
KSYMTAB_FUNC(t3_l2t_send_event, "", "");
KSYMTAB_FUNC(t3_l2e_free, "", "");
KSYMTAB_FUNC(t3_l2t_get, "", "");
KSYMTAB_FUNC(cxgb3_register_client, "", "");
KSYMTAB_FUNC(cxgb3_unregister_client, "", "");
KSYMTAB_FUNC(cxgb3_free_atid, "", "");
KSYMTAB_FUNC(cxgb3_free_stid, "", "");
KSYMTAB_FUNC(cxgb3_insert_tid, "", "");
KSYMTAB_FUNC(cxgb3_queue_tid_release, "", "");
KSYMTAB_FUNC(cxgb3_remove_tid, "", "");
KSYMTAB_FUNC(cxgb3_alloc_atid, "", "");
KSYMTAB_FUNC(cxgb3_alloc_stid, "", "");
KSYMTAB_FUNC(dev2t3cdev, "", "");
KSYMTAB_FUNC(t3_register_cpl_handler, "", "");
KSYMTAB_FUNC(cxgb3_ofld_send, "", "");

SYMBOL_CRC(t3_l2t_send_slow, 0xbf656474, "");
SYMBOL_CRC(t3_l2t_send_event, 0x1a4fb6bf, "");
SYMBOL_CRC(t3_l2e_free, 0x06680ece, "");
SYMBOL_CRC(t3_l2t_get, 0xd2556e58, "");
SYMBOL_CRC(cxgb3_register_client, 0xef6598fb, "");
SYMBOL_CRC(cxgb3_unregister_client, 0xa634df57, "");
SYMBOL_CRC(cxgb3_free_atid, 0x25bcc79c, "");
SYMBOL_CRC(cxgb3_free_stid, 0x5099a1e7, "");
SYMBOL_CRC(cxgb3_insert_tid, 0xe39975ad, "");
SYMBOL_CRC(cxgb3_queue_tid_release, 0x047ca92f, "");
SYMBOL_CRC(cxgb3_remove_tid, 0x5017eabd, "");
SYMBOL_CRC(cxgb3_alloc_atid, 0x93471e0d, "");
SYMBOL_CRC(cxgb3_alloc_stid, 0x745a8567, "");
SYMBOL_CRC(dev2t3cdev, 0xf7aa0f65, "");
SYMBOL_CRC(t3_register_cpl_handler, 0x7b909984, "");
SYMBOL_CRC(cxgb3_ofld_send, 0x996079fb, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc528a49a, "queued_write_lock_slowpath" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xf7f5887d, "alloc_etherdev_mqs" },
	{ 0xffb5089c, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xd853fe12, "pcie_capability_read_word" },
	{ 0xffdc8235, "napi_gro_frags" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x1ff8ec9, "pcie_capability_write_word" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xe62f4ba2, "skb_copy_bits" },
	{ 0x501adb05, "pci_read_vpd" },
	{ 0x8344b777, "pci_enable_device" },
	{ 0xc2af5a6, "skb_put" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0xe712cab5, "netdev_update_features" },
	{ 0x4679fb71, "consume_skb" },
	{ 0xbdc26b3b, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4e671beb, "dump_page" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x49ee7ce3, "unregister_netdev" },
	{ 0x9a409be7, "napi_get_frags" },
	{ 0xa6613056, "dma_unmap_page_attrs" },
	{ 0x8dceb523, "request_firmware" },
	{ 0x43ba1bed, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0xb68458a1, "pci_disable_msi" },
	{ 0x87b4d3f3, "pci_request_regions" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x64cd86f, "eth_validate_addr" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0xe1a350f8, "pci_unregister_driver" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x34070452, "dev_driver_string" },
	{ 0x8fe7fc51, "dev_addr_mod" },
	{ 0xffceeeb5, "eth_type_trans" },
	{ 0xb4c63861, "dma_map_page_attrs" },
	{ 0xdb5b677b, "napi_complete_done" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x617c452b, "queued_read_lock_slowpath" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x3e17f466, "mdio_set_flag" },
	{ 0x6f7d2f61, "__napi_schedule" },
	{ 0xdc070a1c, "pci_enable_msix_range" },
	{ 0xebc22b38, "pci_write_vpd_any" },
	{ 0xa916b694, "strnlen" },
	{ 0x95463bb7, "__alloc_skb" },
	{ 0x581e9a37, "__free_pages" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0xecb7ae28, "napi_gro_receive" },
	{ 0xc6cbbc89, "capable" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x323e342, "pci_find_capability" },
	{ 0xb4998856, "_dev_alert" },
	{ 0x5ca10ce4, "__dma_sync_single_for_cpu" },
	{ 0x9373e7d0, "pci_enable_msi" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0xb6476d61, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x82013be2, "netif_set_real_num_tx_queues" },
	{ 0x9f66a4ce, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x2eadb402, "netif_set_real_num_rx_queues" },
	{ 0x5ed9b051, "arp_send" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x8578142c, "pci_write_vpd" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x642cc440, "dma_alloc_attrs" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0xd399ce1a, "pci_read_config_word" },
	{ 0xad0c171b, "napi_enable" },
	{ 0xf24849a9, "netif_receive_skb" },
	{ 0x1ca4f351, "register_netdev" },
	{ 0x2e9d1dca, "free_netdev" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x2edb012e, "sysfs_create_group" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbb9c0973, "__put_devmap_managed_folio_refs" },
	{ 0xfb7b1730, "ethtool_op_get_link" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xfc943800, "netif_tx_stop_all_queues" },
	{ 0x4656f3ed, "pci_restore_state" },
	{ 0x69f2e923, "netif_tx_wake_queue" },
	{ 0xdcb764ad, "memset" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0xaff5b1dd, "pci_set_master" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x51335c0e, "netif_rx" },
	{ 0xbd707a5e, "__neigh_event_send" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf0efe64b, "dma_set_coherent_mask" },
	{ 0xe5561d7c, "sysfs_remove_group" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x274dc2b, "netif_get_num_default_rss_queues" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x426eff70, "neigh_destroy" },
	{ 0x404667b0, "dma_free_attrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x35beca42, "pci_release_regions" },
	{ 0x698b966, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xdaceb7a6, "mdio_mii_ioctl" },
	{ 0xa3b7f5ee, "netdev_master_upper_dev_get_rcu" },
	{ 0xa873d5b5, "__folio_put" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc9ad94d3, "netif_carrier_off" },
	{ 0xf153da65, "__vlan_find_dev_deep_rcu" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xaa985d4e, "netif_carrier_on" },
	{ 0x28eda9d3, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x557d1823, "alloc_pages_noprof" },
	{ 0xebaddcc6, "pci_disable_device" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xb34e2c9a, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x65070d00, "vlan_dev_vlan_id" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0xc25a42ab, "napi_schedule_prep" },
	{ 0xdb763fe2, "napi_disable" },
	{ 0xd7c7d5c, "dev_kfree_skb_any_reason" },
	{ 0xcb74520d, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0x5359e8dc, "__kvmalloc_node_noprof" },
	{ 0x4f73028d, "__kfree_skb" },
	{ 0xf9a482f9, "msleep" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x3932f94, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "mdio");

MODULE_ALIAS("pci:v00001425d00000020sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000022sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000023sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000024sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000025sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000026sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000030sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000031sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000032sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000035sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000036sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000037sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "41097D3F5BE9D508D0BB550");
