#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(be_roce_mcc_cmd, "", "");
KSYMTAB_FUNC(be_roce_register_driver, "", "");
KSYMTAB_FUNC(be_roce_unregister_driver, "", "");

SYMBOL_CRC(be_roce_mcc_cmd, 0x4e2e10d2, "");
SYMBOL_CRC(be_roce_register_driver, 0x4604ccc5, "");
SYMBOL_CRC(be_roce_unregister_driver, 0x6485a106, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf7f5887d, "alloc_etherdev_mqs" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xffb5089c, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xab90cd8a, "__skb_pad" },
	{ 0xffdc8235, "napi_gro_frags" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xe62f4ba2, "skb_copy_bits" },
	{ 0x60b73b66, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x8344b777, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x7665356a, "param_ops_ushort" },
	{ 0x4679fb71, "consume_skb" },
	{ 0x41ba7aeb, "pci_iomap" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xbdc26b3b, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x317d8b6b, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4e671beb, "dump_page" },
	{ 0x17a0aa31, "ndo_dflt_bridge_getlink" },
	{ 0x49ee7ce3, "unregister_netdev" },
	{ 0x9a409be7, "napi_get_frags" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xa6613056, "dma_unmap_page_attrs" },
	{ 0x8dceb523, "request_firmware" },
	{ 0x43ba1bed, "__pci_register_driver" },
	{ 0xa8eea8b1, "pci_num_vf" },
	{ 0x87b4d3f3, "pci_request_regions" },
	{ 0x7c709594, "___pskb_trim" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x515824d8, "alloc_cpumask_var_node" },
	{ 0xf5268dbd, "pci_sriov_get_totalvfs" },
	{ 0x64cd86f, "eth_validate_addr" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xbc6b983b, "udp_tunnel_nic_ops" },
	{ 0x12e92ab7, "__netif_napi_del" },
	{ 0xf6cc8099, "netif_tx_unlock" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xe1a350f8, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xf4ee861a, "pskb_expand_head" },
	{ 0x34070452, "dev_driver_string" },
	{ 0x8fe7fc51, "dev_addr_mod" },
	{ 0xffceeeb5, "eth_type_trans" },
	{ 0x3dea7ab3, "pci_read_config_dword" },
	{ 0xb4c63861, "dma_map_page_attrs" },
	{ 0xdb5b677b, "napi_complete_done" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6f7d2f61, "__napi_schedule" },
	{ 0xdc070a1c, "pci_enable_msix_range" },
	{ 0xa916b694, "strnlen" },
	{ 0xbafc27ae, "netif_device_detach" },
	{ 0xc8d16490, "__hw_addr_unsync_dev" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0xbe714ee0, "netif_device_attach" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x5ca10ce4, "__dma_sync_single_for_cpu" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0xcea4261d, "__irq_apply_affinity_hint" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0xab70dae4, "softnet_data" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x82013be2, "netif_set_real_num_tx_queues" },
	{ 0x9f66a4ce, "sk_skb_reason_drop" },
	{ 0x2eadb402, "netif_set_real_num_rx_queues" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbfe0703a, "skb_push" },
	{ 0x642cc440, "dma_alloc_attrs" },
	{ 0xad0c171b, "napi_enable" },
	{ 0xf24849a9, "netif_receive_skb" },
	{ 0x1ca4f351, "register_netdev" },
	{ 0x2e9d1dca, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbb9c0973, "__put_devmap_managed_folio_refs" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xfb7b1730, "ethtool_op_get_link" },
	{ 0x95de0e37, "netif_set_xps_queue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x9663604d, "pci_iounmap" },
	{ 0x4656f3ed, "pci_restore_state" },
	{ 0x69f2e923, "netif_tx_wake_queue" },
	{ 0xdcb764ad, "memset" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0xaff5b1dd, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xa86fbee8, "__pskb_pull_tail" },
	{ 0x9e9af7c7, "netif_tx_lock" },
	{ 0x5409cff7, "__netdev_alloc_skb" },
	{ 0xbdc8c686, "free_cpumask_var" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf0efe64b, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x274dc2b, "netif_get_num_default_rss_queues" },
	{ 0x404667b0, "dma_free_attrs" },
	{ 0xf82e02c6, "pci_enable_wake" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x35beca42, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xa873d5b5, "__folio_put" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc9ad94d3, "netif_carrier_off" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x6b53f5f8, "skb_clone" },
	{ 0xb3c1ea16, "__hw_addr_sync_dev" },
	{ 0xf9b662f8, "pci_disable_sriov" },
	{ 0xaa985d4e, "netif_carrier_on" },
	{ 0x28eda9d3, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x557d1823, "alloc_pages_noprof" },
	{ 0xebaddcc6, "pci_disable_device" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xb34e2c9a, "dma_set_mask" },
	{ 0xc198c6bd, "netif_set_tso_max_size" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0xc25a42ab, "napi_schedule_prep" },
	{ 0x7bc85d2e, "pci_sriov_set_totalvfs" },
	{ 0x98cf60b3, "strlen" },
	{ 0xdb763fe2, "napi_disable" },
	{ 0xd7c7d5c, "dev_kfree_skb_any_reason" },
	{ 0x2151991b, "_dev_printk" },
	{ 0x9e95fede, "pci_enable_sriov" },
	{ 0xf9a482f9, "msleep" },
	{ 0xee4ade57, "pci_write_config_dword" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x3932f94, "netdev_info" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000019A2d00000211sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000700sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000221sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000710sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000E220sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000E228sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd00000720sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd00000728sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "299CB9E24C251ADA4AF4B1A");
