#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(i40e_client_device_register, "_gpl", "");
KSYMTAB_FUNC(i40e_client_device_unregister, "_gpl", "");

SYMBOL_CRC(i40e_client_device_register, 0x67588f1e, "_gpl");
SYMBOL_CRC(i40e_client_device_unregister, 0x68a4fa98, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92cb609e, "__tracepoint_xdp_exception" },
	{ 0x3620bc61, "xsk_tx_completed" },
	{ 0x845f920a, "napi_alloc_skb" },
	{ 0xf7f5887d, "alloc_etherdev_mqs" },
	{ 0xffb5089c, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xd853fe12, "pcie_capability_read_word" },
	{ 0xbaedacc7, "device_set_wakeup_enable" },
	{ 0xab90cd8a, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x26bdef41, "flow_rule_match_enc_keyid" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x907c5b4f, "pci_find_ext_capability" },
	{ 0x9161142d, "bpf_prog_put" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x22e015ca, "xp_dma_map" },
	{ 0xa7ba2111, "devlink_unregister" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xe62f4ba2, "skb_copy_bits" },
	{ 0x60b73b66, "param_ops_uint" },
	{ 0x495231ea, "mul_u64_u64_div_u64" },
	{ 0xdbaa67a4, "pci_request_selected_regions" },
	{ 0x64efd98d, "pci_release_selected_regions" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0x4288d82c, "pci_wake_from_d3" },
	{ 0x8344b777, "pci_enable_device" },
	{ 0xeffe1416, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x9c9173b7, "auxiliary_device_init" },
	{ 0xdc6c9cfa, "pci_enable_device_mem" },
	{ 0x4679fb71, "consume_skb" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xbdc26b3b, "netif_napi_add_weight" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x17241b23, "xsk_tx_peek_release_desc_batch" },
	{ 0x317d8b6b, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x93b9a682, "trace_raw_output_prep" },
	{ 0xc8089c04, "bpf_warn_invalid_xdp_action" },
	{ 0x17a0aa31, "ndo_dflt_bridge_getlink" },
	{ 0x49ee7ce3, "unregister_netdev" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0xdc969dad, "xdp_convert_zc_to_xdp_frame" },
	{ 0xca1b34d1, "xdp_features_set_redirect_target" },
	{ 0x556be6e0, "__trace_trigger_soft_disabled" },
	{ 0x4c2afe3d, "pci_get_device" },
	{ 0xa6613056, "dma_unmap_page_attrs" },
	{ 0x8dceb523, "request_firmware" },
	{ 0xcb6b138, "trace_event_printf" },
	{ 0x76fd3e27, "trace_print_bitmask_seq" },
	{ 0x96848186, "scnprintf" },
	{ 0xf7370f56, "system_state" },
	{ 0x43ba1bed, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0xa8eea8b1, "pci_num_vf" },
	{ 0xa06aee8e, "flow_rule_match_eth_addrs" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0xd7162b1c, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xb68458a1, "pci_disable_msi" },
	{ 0xe414fb5b, "ptp_clock_index" },
	{ 0x3f7c8b8f, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xbb400bfc, "devlink_alloc_ns" },
	{ 0xbac910ae, "devlink_register" },
	{ 0xbdae928c, "xdp_do_redirect" },
	{ 0x48832e1d, "devlink_free" },
	{ 0x64cd86f, "eth_validate_addr" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc4e40b90, "bpf_trace_run2" },
	{ 0x3ac8793, "netdev_warn" },
	{ 0xbc6b983b, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xcfd729a4, "pci_set_power_state" },
	{ 0x148653, "vsnprintf" },
	{ 0x94451f3c, "flow_rule_match_ipv4_addrs" },
	{ 0x12e92ab7, "__netif_napi_del" },
	{ 0x981ae878, "bpf_trace_run8" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xe1a350f8, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x492fdb70, "netdev_err" },
	{ 0xf4ee861a, "pskb_expand_head" },
	{ 0x34070452, "dev_driver_string" },
	{ 0xd7a0e1f6, "pci_restore_msi_state" },
	{ 0xfb6dfa14, "trace_event_buffer_commit" },
	{ 0x8fe7fc51, "dev_addr_mod" },
	{ 0x4c437cda, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xafc892e2, "ptp_find_pin" },
	{ 0xffceeeb5, "eth_type_trans" },
	{ 0xb4c63861, "dma_map_page_attrs" },
	{ 0x3bd4797b, "irq_set_affinity_notifier" },
	{ 0xdb5b677b, "napi_complete_done" },
	{ 0xd7b909d4, "__alloc_pages_noprof" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x90013ea6, "priv_to_devlink" },
	{ 0xc037dde3, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x8619869e, "put_device" },
	{ 0x6f7d2f61, "__napi_schedule" },
	{ 0xcb2f7df5, "ipv6_skip_exthdr" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xdc070a1c, "pci_enable_msix_range" },
	{ 0xb31e1254, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x618911fc, "numa_node" },
	{ 0x581e9a37, "__free_pages" },
	{ 0xc8d16490, "__hw_addr_unsync_dev" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0xecb7ae28, "napi_gro_receive" },
	{ 0xc68451e9, "xdp_features_clear_redirect_target" },
	{ 0xe64b6826, "pci_select_bars" },
	{ 0x32a2c60a, "netdev_pick_tx" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x2021f502, "xp_raw_get_dma" },
	{ 0x40346e26, "eth_get_headlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xcdf474a9, "xdp_rxq_info_is_reg" },
	{ 0xaeeec582, "flow_block_cb_setup_simple" },
	{ 0x60195b48, "flow_rule_match_basic" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x5ca10ce4, "__dma_sync_single_for_cpu" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x9373e7d0, "pci_enable_msi" },
	{ 0x4bb807c7, "perf_trace_run_bpf_submit" },
	{ 0xcea4261d, "__irq_apply_affinity_hint" },
	{ 0x276f0145, "devlink_port_unregister" },
	{ 0x1f5d4469, "devm_kfree" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x7ee7ac5d, "init_net" },
	{ 0xab70dae4, "softnet_data" },
	{ 0x2d938670, "simple_open" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xacce839d, "cpu_bit_bitmap" },
	{ 0xd6553172, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xf79c4542, "ptp_clock_register" },
	{ 0x4185e2eb, "ethtool_intersect_link_masks" },
	{ 0x90794060, "__traceiter_xdp_exception" },
	{ 0x82013be2, "netif_set_real_num_tx_queues" },
	{ 0xb521cebf, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x2eadb402, "netif_set_real_num_rx_queues" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x642cc440, "dma_alloc_attrs" },
	{ 0x495eed8e, "debugfs_remove" },
	{ 0xd399ce1a, "pci_read_config_word" },
	{ 0xad0c171b, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x1ae1b6b6, "xsk_clear_rx_need_wakeup" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x33273102, "xsk_uses_need_wakeup" },
	{ 0x1ca4f351, "register_netdev" },
	{ 0x2092327, "trace_event_reg" },
	{ 0xffb7c514, "ida_free" },
	{ 0x2e9d1dca, "free_netdev" },
	{ 0x1f89f564, "xsk_get_pool_from_qid" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xfb7b1730, "ethtool_op_get_link" },
	{ 0x145c8336, "eth_platform_get_mac_address" },
	{ 0x95de0e37, "netif_set_xps_queue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xfc943800, "netif_tx_stop_all_queues" },
	{ 0x4656f3ed, "pci_restore_state" },
	{ 0x69f2e923, "netif_tx_wake_queue" },
	{ 0x61401cd3, "device_del" },
	{ 0xd81b8685, "netdev_set_sb_channel" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xdcb764ad, "memset" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0x34a5fc2e, "flow_rule_match_ports" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xb436ba7a, "ptp_clock_event" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0x30132990, "netif_schedule_queue" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xaff5b1dd, "pci_set_master" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x41f14d64, "flow_rule_match_ipv6_addrs" },
	{ 0x424e572b, "netdev_set_tc_queue" },
	{ 0x90c0cf53, "ptp_clock_unregister" },
	{ 0xa86fbee8, "__pskb_pull_tail" },
	{ 0x70756c, "xp_dma_unmap" },
	{ 0xe3c7bd1e, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2a87e246, "netdev_unbind_sb_channel" },
	{ 0xf0efe64b, "dma_set_coherent_mask" },
	{ 0x2da8d207, "bpf_trace_run3" },
	{ 0x889213d8, "__page_frag_cache_drain" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x2cbf4ff6, "ipv6_find_hdr" },
	{ 0xd6d1e1e8, "netdev_bind_sb_channel_queue" },
	{ 0x13107c3a, "debugfs_create_file" },
	{ 0x43a8d207, "xsk_set_tx_need_wakeup" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xb82bcc6f, "netdev_reset_tc" },
	{ 0x404667b0, "dma_free_attrs" },
	{ 0xda2d7a21, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x698b966, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x58fcbc7d, "call_netdevice_notifiers" },
	{ 0x8bddc3ec, "xp_set_rxq_info" },
	{ 0x36380d70, "flow_rule_match_vlan" },
	{ 0xfd8ae64d, "xdp_rxq_info_unreg" },
	{ 0x2495b0bd, "napi_build_skb" },
	{ 0xd2adf171, "__xdp_rxq_info_reg" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc9ad94d3, "netif_carrier_off" },
	{ 0xb6226fbe, "devlink_priv" },
	{ 0xb3c1ea16, "__hw_addr_sync_dev" },
	{ 0xca12fd75, "devlink_port_register_with_ops" },
	{ 0xf9b662f8, "pci_disable_sriov" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xaa985d4e, "netif_carrier_on" },
	{ 0x7d8bf959, "netdev_set_num_tc" },
	{ 0x373b0d5, "dql_reset" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x28eda9d3, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xbd4127f8, "dev_uc_add_excl" },
	{ 0xebaddcc6, "pci_disable_device" },
	{ 0x3a77ba0c, "xp_free" },
	{ 0x41291fa1, "dev_mc_add_excl" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x51155c7f, "dev_uc_add" },
	{ 0xb34e2c9a, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x6c3c3dc, "_dev_crit" },
	{ 0x1ee00c75, "libie_rx_pt_lut" },
	{ 0xfc138b47, "skb_add_rx_frag_netmem" },
	{ 0x4fb8e731, "xdp_master_redirect" },
	{ 0x9da672ca, "__napi_schedule_irqoff" },
	{ 0xc25a42ab, "napi_schedule_prep" },
	{ 0x708b295, "napi_consume_skb" },
	{ 0xc57c18f5, "pci_read_config_byte" },
	{ 0xf5436c71, "xp_alloc_batch" },
	{ 0x98cf60b3, "strlen" },
	{ 0xdb763fe2, "napi_disable" },
	{ 0xd7c7d5c, "dev_kfree_skb_any_reason" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x349cba85, "strchr" },
	{ 0xe820ea6a, "debugfs_create_dir" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0xb13c99f9, "flow_rule_match_control" },
	{ 0x9e95fede, "pci_enable_sriov" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x4e62ef2c, "skb_clone_tx_timestamp" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe4373252, "ethtool_op_get_ts_info" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x3932f94, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x7073737c, "pci_get_dsn" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "libie");

MODULE_ALIAS("pci:v00008086d00001572sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001574sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001580sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001581sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001583sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001584sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001585sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000DD2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001586sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001589sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015FFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000104Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000104Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037CEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037CFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000DDAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001587sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001588sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000CF8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000D58sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000158Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000158Bsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "73E8CDB0B0480C59DAD28D1");
