#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ice_xdp_locking_key, "", "");
KSYMTAB_FUNC(ice_add_rdma_qset, "_gpl", "");
KSYMTAB_FUNC(ice_del_rdma_qset, "_gpl", "");
KSYMTAB_FUNC(ice_rdma_request_reset, "_gpl", "");
KSYMTAB_FUNC(ice_rdma_update_vsi_filter, "_gpl", "");
KSYMTAB_FUNC(ice_get_qos_params, "_gpl", "");

SYMBOL_CRC(ice_xdp_locking_key, 0x965ff908, "");
SYMBOL_CRC(ice_add_rdma_qset, 0x417d24e6, "_gpl");
SYMBOL_CRC(ice_del_rdma_qset, 0xcedf3ae5, "_gpl");
SYMBOL_CRC(ice_rdma_request_reset, 0x4360f120, "_gpl");
SYMBOL_CRC(ice_rdma_update_vsi_filter, 0x44531211, "_gpl");
SYMBOL_CRC(ice_get_qos_params, 0xf990a57e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92cb609e, "__tracepoint_xdp_exception" },
	{ 0x3620bc61, "xsk_tx_completed" },
	{ 0x845f920a, "napi_alloc_skb" },
	{ 0xf7f5887d, "alloc_etherdev_mqs" },
	{ 0x26dd815e, "netdev_lower_get_next" },
	{ 0xc5c80f8, "flow_block_cb_lookup" },
	{ 0xffb5089c, "pci_save_state" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x705185bd, "devl_rate_leaf_create" },
	{ 0xbaedacc7, "device_set_wakeup_enable" },
	{ 0xab90cd8a, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6a4d3b4f, "devl_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x26bdef41, "flow_rule_match_enc_keyid" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x907c5b4f, "pci_find_ext_capability" },
	{ 0x212c88de, "kthread_create_worker" },
	{ 0x9161142d, "bpf_prog_put" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xaec2135b, "devl_region_create" },
	{ 0x22e015ca, "xp_dma_map" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xe62f4ba2, "skb_copy_bits" },
	{ 0x20978fb9, "idr_find" },
	{ 0x4c55545d, "devm_request_threaded_irq" },
	{ 0x148e1244, "kthread_cancel_delayed_work_sync" },
	{ 0x98079fa1, "dpll_device_change_ntf" },
	{ 0x495231ea, "mul_u64_u64_div_u64" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0x4288d82c, "pci_wake_from_d3" },
	{ 0xeffe1416, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x154b6fe3, "call_switchdev_notifiers" },
	{ 0x2df638ab, "flow_indr_dev_register" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x7053a53f, "firmware_request_nowarn" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xabdeeb7e, "ethtool_forced_speed_maps_init" },
	{ 0x9c9173b7, "auxiliary_device_init" },
	{ 0xdc6c9cfa, "pci_enable_device_mem" },
	{ 0x4679fb71, "consume_skb" },
	{ 0xf86f560, "kthread_delayed_work_timer_fn" },
	{ 0xe25b9861, "flow_rule_match_enc_ip" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xedc724c0, "pci_alloc_irq_vectors" },
	{ 0x3ecfedaa, "flow_rule_match_l2tpv3" },
	{ 0xbdc26b3b, "netif_napi_add_weight" },
	{ 0xec72f321, "dpll_pin_change_ntf" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x17241b23, "xsk_tx_peek_release_desc_batch" },
	{ 0x317d8b6b, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x962f385c, "dmam_alloc_attrs" },
	{ 0x93b9a682, "trace_raw_output_prep" },
	{ 0x6a3c918, "devl_lock" },
	{ 0x4413fecd, "pci_dev_put" },
	{ 0xa6b23849, "xp_fill_cb" },
	{ 0xc8089c04, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x17a0aa31, "ndo_dflt_bridge_getlink" },
	{ 0x49ee7ce3, "unregister_netdev" },
	{ 0x1e24d6cf, "dpll_device_put" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0x7292c5f, "dpll_pin_unregister" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xca1b34d1, "xdp_features_set_redirect_target" },
	{ 0x556be6e0, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x4c2afe3d, "pci_get_device" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0xa6613056, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x8dceb523, "request_firmware" },
	{ 0xcb6b138, "trace_event_printf" },
	{ 0x33794fe8, "dev_uc_del" },
	{ 0xf7370f56, "system_state" },
	{ 0xf8e92c44, "flow_rule_match_cvlan" },
	{ 0x43ba1bed, "__pci_register_driver" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x72c7464, "gnss_insert_raw" },
	{ 0xa8eea8b1, "pci_num_vf" },
	{ 0xa06aee8e, "flow_rule_match_eth_addrs" },
	{ 0xd7162b1c, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xe414fb5b, "ptp_clock_index" },
	{ 0x3f7c8b8f, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x7453c690, "xp_can_alloc" },
	{ 0x37a0cba, "kfree" },
	{ 0xbb400bfc, "devlink_alloc_ns" },
	{ 0x3d519a85, "devl_rate_leaf_destroy" },
	{ 0xbdae928c, "xdp_do_redirect" },
	{ 0x48832e1d, "devlink_free" },
	{ 0x64cd86f, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc4e40b90, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xab66dd1f, "devl_rate_node_create" },
	{ 0x3ac8793, "netdev_warn" },
	{ 0xbc6b983b, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xcfd729a4, "pci_set_power_state" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe5bbe7d7, "devl_rate_nodes_destroy" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xbfd79310, "pci_irq_vector" },
	{ 0x94451f3c, "flow_rule_match_ipv4_addrs" },
	{ 0x12e92ab7, "__netif_napi_del" },
	{ 0x931ee13, "dpll_pin_on_pin_unregister" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0x66f61d0f, "netdev_state_change" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xe1a350f8, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x492fdb70, "netdev_err" },
	{ 0xf4ee861a, "pskb_expand_head" },
	{ 0x22f2b3f5, "switchdev_handle_port_attr_set" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x389b64a2, "static_key_count" },
	{ 0x5ed8ed22, "devlink_flash_update_status_notify" },
	{ 0x34070452, "dev_driver_string" },
	{ 0xd7a0e1f6, "pci_restore_msi_state" },
	{ 0xfb6dfa14, "trace_event_buffer_commit" },
	{ 0xefacdc1b, "xdp_return_buff" },
	{ 0x8fe7fc51, "dev_addr_mod" },
	{ 0x4c437cda, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xffceeeb5, "eth_type_trans" },
	{ 0x12ae9fe6, "auxiliary_driver_unregister" },
	{ 0xb4c63861, "dma_map_page_attrs" },
	{ 0xdb5b677b, "napi_complete_done" },
	{ 0xe97b6d5, "switchdev_handle_port_obj_del" },
	{ 0xd7b909d4, "__alloc_pages_noprof" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x90013ea6, "priv_to_devlink" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf865d28c, "dpll_pin_get" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xc037dde3, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x8619869e, "put_device" },
	{ 0xfe96fee4, "devm_free_irq" },
	{ 0x7f52071a, "net_dim" },
	{ 0x6f7d2f61, "__napi_schedule" },
	{ 0xcb2f7df5, "ipv6_skip_exthdr" },
	{ 0xb31e1254, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x98ff62d9, "flow_rule_match_enc_ipv4_addrs" },
	{ 0xbafc27ae, "netif_device_detach" },
	{ 0x618911fc, "numa_node" },
	{ 0x581e9a37, "__free_pages" },
	{ 0xc8d16490, "__hw_addr_unsync_dev" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0xecb7ae28, "napi_gro_receive" },
	{ 0xbe714ee0, "netif_device_attach" },
	{ 0xc68451e9, "xdp_features_clear_redirect_target" },
	{ 0x32a2c60a, "netdev_pick_tx" },
	{ 0x4d66aa96, "flow_indr_dev_unregister" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x2021f502, "xp_raw_get_dma" },
	{ 0x40346e26, "eth_get_headlen" },
	{ 0xa69c42c8, "pci_iov_virtfn_devfn" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0xcdf474a9, "xdp_rxq_info_is_reg" },
	{ 0xa5967325, "flow_rule_match_enc_opts" },
	{ 0xaeeec582, "flow_block_cb_setup_simple" },
	{ 0x800473f, "__cond_resched" },
	{ 0x289d2ff, "pci_msix_can_alloc_dyn" },
	{ 0x60195b48, "flow_rule_match_basic" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xd913cd71, "dev_open" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0xe67c4154, "pcim_iomap_regions" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0x462c5c15, "vlan_dev_real_dev" },
	{ 0x8737bb2f, "pci_clear_master" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x5ca10ce4, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xcc876e05, "devm_kmemdup" },
	{ 0x93042c72, "pci_msix_free_irq" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x4bb807c7, "perf_trace_run_bpf_submit" },
	{ 0xcea4261d, "__irq_apply_affinity_hint" },
	{ 0x8c25764, "devlink_flash_update_timeout_notify" },
	{ 0x1f5d4469, "devm_kfree" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x7ee7ac5d, "init_net" },
	{ 0xab70dae4, "softnet_data" },
	{ 0x2d938670, "simple_open" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xd6553172, "xdp_return_frame" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xf79c4542, "ptp_clock_register" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0xf136cf72, "hwmon_device_register_with_info" },
	{ 0x90794060, "__traceiter_xdp_exception" },
	{ 0x82013be2, "netif_set_real_num_tx_queues" },
	{ 0xb521cebf, "__auxiliary_device_add" },
	{ 0x66076014, "pldmfw_op_pci_match_record" },
	{ 0xc16be39d, "iter_div_u64_rem" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x2eadb402, "netif_set_real_num_rx_queues" },
	{ 0xc1c9b4cc, "flow_indr_block_cb_alloc" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6aa6c3b8, "devl_port_register_with_ops" },
	{ 0x164afb59, "pci_wait_for_pending_transaction" },
	{ 0x6565cba7, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf702585a, "pci_device_is_present" },
	{ 0x495eed8e, "debugfs_remove" },
	{ 0xd399ce1a, "pci_read_config_word" },
	{ 0x5cacf14f, "pcie_flr" },
	{ 0xad0c171b, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x1ae1b6b6, "xsk_clear_rx_need_wakeup" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0xab330afc, "dcbnl_ieee_notify" },
	{ 0x33273102, "xsk_uses_need_wakeup" },
	{ 0x1ca4f351, "register_netdev" },
	{ 0x3be3fb26, "dev_mc_del" },
	{ 0x2092327, "trace_event_reg" },
	{ 0x5cede0a7, "xdp_flush_frame_bulk" },
	{ 0x7a3f16a2, "devl_region_destroy" },
	{ 0x2e9d1dca, "free_netdev" },
	{ 0x1f89f564, "xsk_get_pool_from_qid" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0x2dd0e7fa, "devl_params_register" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xfb7b1730, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x95de0e37, "netif_set_xps_queue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0xfc943800, "netif_tx_stop_all_queues" },
	{ 0x4656f3ed, "pci_restore_state" },
	{ 0xdc0f8a86, "bpf_trace_run1" },
	{ 0x69f2e923, "netif_tx_wake_queue" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x61401cd3, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xd553910f, "dcb_getapp" },
	{ 0x7bf6122c, "dmam_free_coherent" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xdcb764ad, "memset" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0x34a5fc2e, "flow_rule_match_ports" },
	{ 0xe859c8a6, "gnss_allocate_device" },
	{ 0x98612478, "dpll_netdev_pin_set" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xb436ba7a, "ptp_clock_event" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0x30132990, "netif_schedule_queue" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xaff5b1dd, "pci_set_master" },
	{ 0x30ffbe31, "dpll_device_unregister" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x41f14d64, "flow_rule_match_ipv6_addrs" },
	{ 0x424e572b, "netdev_set_tc_queue" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x119b43c0, "devl_params_unregister" },
	{ 0x90c0cf53, "ptp_clock_unregister" },
	{ 0xa86fbee8, "__pskb_pull_tail" },
	{ 0x70756c, "xp_dma_unmap" },
	{ 0xc040b2ac, "dpll_pin_put" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0xdef46aee, "switchdev_handle_port_obj_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf3076911, "devl_unlock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xe3c7bd1e, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf0efe64b, "dma_set_coherent_mask" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0xce06599e, "devm_kasprintf" },
	{ 0x745a981, "xa_erase" },
	{ 0x1ccbde70, "flow_rule_match_pppoe" },
	{ 0xac219ddd, "flow_rule_match_enc_control" },
	{ 0x2da8d207, "bpf_trace_run3" },
	{ 0x32f1e81b, "seq_read" },
	{ 0x889213d8, "__page_frag_cache_drain" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x231754af, "_dev_notice" },
	{ 0xaf309758, "gnss_deregister_device" },
	{ 0x13107c3a, "debugfs_create_file" },
	{ 0xdc3de425, "rps_may_expire_flow" },
	{ 0xf466761e, "metadata_dst_free" },
	{ 0x43a8d207, "xsk_set_tx_need_wakeup" },
	{ 0xeacf0ae1, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xb82bcc6f, "netdev_reset_tc" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x28839c12, "rhashtable_init_noprof" },
	{ 0xda2d7a21, "trace_event_buffer_reserve" },
	{ 0xbb44b8bf, "kthread_destroy_worker" },
	{ 0x8602d4ec, "flow_rule_match_enc_ipv6_addrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x513be302, "flow_rule_match_enc_ports" },
	{ 0x79e8c6b3, "xdp_return_frame_bulk" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x392d5a11, "dpll_netdev_pin_clear" },
	{ 0x82d13cbc, "netif_queue_set_napi" },
	{ 0x698b966, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x58fcbc7d, "call_netdevice_notifiers" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xc5c34e64, "devl_assert_locked" },
	{ 0x9ec7f4f3, "pcie_print_link_status" },
	{ 0x8bddc3ec, "xp_set_rxq_info" },
	{ 0x36380d70, "flow_rule_match_vlan" },
	{ 0x1ed36880, "devl_port_unregister" },
	{ 0xfd8ae64d, "xdp_rxq_info_unreg" },
	{ 0x8d3e0394, "pci_dev_get" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x2495b0bd, "napi_build_skb" },
	{ 0xa3b7f5ee, "netdev_master_upper_dev_get_rcu" },
	{ 0xd2adf171, "__xdp_rxq_info_reg" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x75351a76, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc9ad94d3, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x899fbd06, "seq_printf" },
	{ 0x6ad9f778, "dpll_pin_register" },
	{ 0xc83f05b4, "gnss_register_device" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb6226fbe, "devlink_priv" },
	{ 0xe0419ac4, "kstrtos16" },
	{ 0xb3c1ea16, "__hw_addr_sync_dev" },
	{ 0xf9b662f8, "pci_disable_sriov" },
	{ 0xe7031002, "pldmfw_flash_image" },
	{ 0x7b859c89, "kthread_queue_delayed_work" },
	{ 0xd1fba8ff, "metadata_dst_alloc" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x8500f07e, "dst_release" },
	{ 0xaa985d4e, "netif_carrier_on" },
	{ 0x7d8bf959, "netdev_set_num_tc" },
	{ 0xe896767, "dpll_device_register" },
	{ 0x373b0d5, "dql_reset" },
	{ 0x6321f225, "hwmon_device_unregister" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xbd4127f8, "dev_uc_add_excl" },
	{ 0x3a77ba0c, "xp_free" },
	{ 0x41291fa1, "dev_mc_add_excl" },
	{ 0x846b782c, "gnss_put_device" },
	{ 0xa5c872a7, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xb34e2c9a, "dma_set_mask" },
	{ 0x5e9bb2e, "__auxiliary_driver_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc198c6bd, "netif_set_tso_max_size" },
	{ 0x3bc09ab, "__skb_flow_dissect" },
	{ 0x65070d00, "vlan_dev_vlan_id" },
	{ 0xd3be9856, "pci_msix_alloc_irq_at" },
	{ 0x1ee00c75, "libie_rx_pt_lut" },
	{ 0xfc138b47, "skb_add_rx_frag_netmem" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x38f3d0a0, "pcim_iomap_table" },
	{ 0x4fb8e731, "xdp_master_redirect" },
	{ 0xfe1f1c42, "__devm_add_action" },
	{ 0x4818c095, "dpll_pin_on_pin_register" },
	{ 0xc25a42ab, "napi_schedule_prep" },
	{ 0x708b295, "napi_consume_skb" },
	{ 0xc57c18f5, "pci_read_config_byte" },
	{ 0xf5436c71, "xp_alloc_batch" },
	{ 0x98cf60b3, "strlen" },
	{ 0xdb763fe2, "napi_disable" },
	{ 0xd7c7d5c, "dev_kfree_skb_any_reason" },
	{ 0xe5254b18, "dcb_ieee_delapp" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xcb74520d, "param_ops_int" },
	{ 0x3466fede, "single_open" },
	{ 0xad1a4a95, "pcim_enable_device" },
	{ 0x170d34ce, "devl_register" },
	{ 0x349cba85, "strchr" },
	{ 0xe820ea6a, "debugfs_create_dir" },
	{ 0x71e8d353, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xb13c99f9, "flow_rule_match_control" },
	{ 0x703822a6, "flow_rule_match_ip" },
	{ 0x9e95fede, "pci_enable_sriov" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x336fc8a1, "dpll_device_get" },
	{ 0x4e62ef2c, "skb_clone_tx_timestamp" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x3e632955, "dcb_ieee_setapp" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe4373252, "ethtool_op_get_ts_info" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x3932f94, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x7073737c, "pci_get_dsn" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "gnss,libie");

MODULE_ALIAS("pci:v00008086d00001591sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001592sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001593sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001599sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000159Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000159Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001890sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001891sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001892sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001893sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001894sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001897sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001898sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001899sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000189Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000151Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001888sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000579Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000579Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000579Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000579Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012DDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012DAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012DEsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "A0C0FFE7DC677AA49715966");
