#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x43ba1bed, "__pci_register_driver" },
	{ 0x3dea7ab3, "pci_read_config_dword" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xa6613056, "dma_unmap_page_attrs" },
	{ 0x4679fb71, "consume_skb" },
	{ 0xbaedacc7, "device_set_wakeup_enable" },
	{ 0xdcb764ad, "memset" },
	{ 0x5d112304, "__memcpy_fromio" },
	{ 0x323e342, "pci_find_capability" },
	{ 0xf54d522d, "pci_write_config_word" },
	{ 0xd399ce1a, "pci_read_config_word" },
	{ 0x4829a47e, "memcpy" },
	{ 0xee4ade57, "pci_write_config_dword" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xe1a350f8, "pci_unregister_driver" },
	{ 0xf7f5887d, "alloc_etherdev_mqs" },
	{ 0xbdc26b3b, "netif_napi_add_weight" },
	{ 0x8fe7fc51, "dev_addr_mod" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xb4c63861, "dma_map_page_attrs" },
	{ 0x9f43a51d, "netdev_printk" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xd7c7d5c, "dev_kfree_skb_any_reason" },
	{ 0xab90cd8a, "__skb_pad" },
	{ 0xe3c7bd1e, "__dynamic_netdev_dbg" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0x34070452, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xaa985d4e, "netif_carrier_on" },
	{ 0x69f2e923, "netif_tx_wake_queue" },
	{ 0x3932f94, "netdev_info" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0x30132990, "netif_schedule_queue" },
	{ 0x9e9af7c7, "netif_tx_lock" },
	{ 0xf6cc8099, "netif_tx_unlock" },
	{ 0x373b0d5, "dql_reset" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0x5409cff7, "__netdev_alloc_skb" },
	{ 0xc2af5a6, "skb_put" },
	{ 0xffceeeb5, "eth_type_trans" },
	{ 0x5ca10ce4, "__dma_sync_single_for_cpu" },
	{ 0x698b966, "__dma_sync_single_for_device" },
	{ 0xc9ad94d3, "netif_carrier_off" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x122c3a7e, "_printk" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x49ee7ce3, "unregister_netdev" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x35beca42, "pci_release_regions" },
	{ 0xebaddcc6, "pci_disable_device" },
	{ 0x2e9d1dca, "free_netdev" },
	{ 0xedc03953, "iounmap" },
	{ 0x37a0cba, "kfree" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf77555cd, "__memcpy_toio" },
	{ 0x6600d181, "netdev_notice" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0xc25a42ab, "napi_schedule_prep" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x6f7d2f61, "__napi_schedule" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xdb763fe2, "napi_disable" },
	{ 0x404667b0, "dma_free_attrs" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x3ac8793, "netdev_warn" },
	{ 0x4288d82c, "pci_wake_from_d3" },
	{ 0xcfd729a4, "pci_set_power_state" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xecb7ae28, "napi_gro_receive" },
	{ 0xdb5b677b, "napi_complete_done" },
	{ 0x642cc440, "dma_alloc_attrs" },
	{ 0xad0c171b, "napi_enable" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x492fdb70, "netdev_err" },
	{ 0x6565cba7, "dev_close" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0x87b4d3f3, "pci_request_regions" },
	{ 0xaff5b1dd, "pci_set_master" },
	{ 0xb34e2c9a, "dma_set_mask" },
	{ 0xf0efe64b, "dma_set_coherent_mask" },
	{ 0x98cf60b3, "strlen" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x1ca4f351, "register_netdev" },
	{ 0x8344b777, "pci_enable_device" },
	{ 0x64cd86f, "eth_validate_addr" },
	{ 0xfb7b1730, "ethtool_op_get_link" },
	{ 0xcb74520d, "param_ops_int" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000010B7d00001700sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010B7d000080EBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001148d00004300sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001148d00004320sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001186d00004B01sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001186d00004C00sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001186d00004302sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000011ABd00004320sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000011ABd00005005sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001371d0000434Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001737d00001064sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001737d00001032sv*sd00000015bc*sc*i*");

MODULE_INFO(srcversion, "8B1238DA497AD28A0AC48F6");
