#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mlx4_buf_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_buf_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_db_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_db_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_alloc_hwq_res, "_gpl", "");
KSYMTAB_FUNC(mlx4_free_hwq_res, "_gpl", "");
KSYMTAB_FUNC(__mlx4_cmd, "_gpl", "");
KSYMTAB_FUNC(mlx4_alloc_cmd_mailbox, "_gpl", "");
KSYMTAB_FUNC(mlx4_free_cmd_mailbox, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_active_ports, "_gpl", "");
KSYMTAB_FUNC(mlx4_slave_convert_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slave_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slaves_pport, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slaves_pport_actv, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_rate, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_slave_default_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_spoofchk, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_vf_config, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_link_state, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_counter_stats, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_vf_stats, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_smi_enabled, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_get_enable_smi_admin, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_set_enable_smi_admin, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_modify, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_resize, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_gen_pkey_eqe, "", "");
KSYMTAB_FUNC(mlx4_gen_guid_change_eqe, "", "");
KSYMTAB_FUNC(mlx4_gen_port_state_change_eqe, "", "");
KSYMTAB_FUNC(mlx4_get_slave_port_state, "", "");
KSYMTAB_FUNC(set_and_calc_slave_port_state, "", "");
KSYMTAB_FUNC(mlx4_gen_slaves_port_mgt_ev, "", "");
KSYMTAB_FUNC(mlx4_test_async, "", "");
KSYMTAB_FUNC(mlx4_test_interrupt, "", "");
KSYMTAB_FUNC(mlx4_is_eq_vector_valid, "", "");
KSYMTAB_FUNC(mlx4_get_eqs_per_port, "", "");
KSYMTAB_FUNC(mlx4_is_eq_shared, "", "");
KSYMTAB_FUNC(mlx4_get_cpu_rmap, "", "");
KSYMTAB_FUNC(mlx4_assign_eq, "", "");
KSYMTAB_FUNC(mlx4_eq_get_irq, "", "");
KSYMTAB_FUNC(mlx4_release_eq, "", "");
KSYMTAB_FUNC(mlx4_choose_vector, "", "");
KSYMTAB_FUNC(mlx4_release_vector, "", "");
KSYMTAB_FUNC(mlx4_get_slave_pkey_gid_tbl_len, "", "");
KSYMTAB_FUNC(mlx4_INIT_PORT, "_gpl", "");
KSYMTAB_FUNC(mlx4_CLOSE_PORT, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_dev_retrieval, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_vxlan_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_roce_v2_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_query_diag_counters, "", "");
KSYMTAB_FUNC(mlx4_wol_read, "_gpl", "");
KSYMTAB_FUNC(mlx4_wol_write, "_gpl", "");
KSYMTAB_FUNC(mlx4_ACCESS_PTYS_REG, "_gpl", "");
KSYMTAB_FUNC(get_phv_bit, "", "");
KSYMTAB_FUNC(set_phv_bit, "", "");
KSYMTAB_FUNC(mlx4_get_is_vlan_offload_disabled, "", "");
KSYMTAB_FUNC(mlx4_replace_zero_macs, "_gpl", "");
KSYMTAB_FUNC(mlx4_SET_PORT_PRIO2TC, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_SCHEDULER, "", "");
KSYMTAB_FUNC(mlx4_ALLOCATE_VPP_get, "", "");
KSYMTAB_FUNC(mlx4_ALLOCATE_VPP_set, "", "");
KSYMTAB_FUNC(mlx4_SET_VPORT_QOS_get, "", "");
KSYMTAB_FUNC(mlx4_SET_VPORT_QOS_set, "", "");
KSYMTAB_FUNC(mlx4_register_auxiliary_driver, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_auxiliary_driver, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_event_notifier, "", "");
KSYMTAB_FUNC(mlx4_unregister_event_notifier, "", "");
KSYMTAB_FUNC(mlx4_get_devlink_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_parav_qkey, "", "");
KSYMTAB_FUNC(mlx4_sync_pkey_table, "", "");
KSYMTAB_FUNC(mlx4_put_slave_node_guid, "", "");
KSYMTAB_FUNC(mlx4_get_slave_node_guid, "", "");
KSYMTAB_FUNC(mlx4_is_slave_active, "", "");
KSYMTAB_FUNC(mlx4_handle_eth_header_mcast_prio, "", "");
KSYMTAB_FUNC(mlx4_queue_bond_work, "", "");
KSYMTAB_FUNC(mlx4_read_clock, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_internal_clock_params, "_gpl", "");
KSYMTAB_FUNC(mlx4_counter_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_counter_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_default_counter_index, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_admin_guid, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_admin_guid, "_gpl", "");
KSYMTAB_FUNC(mlx4_map_sw_to_hw_steering_mode, "_gpl", "");
KSYMTAB_FUNC(mlx4_map_sw_to_hw_steering_id, "_gpl", "");
KSYMTAB_FUNC(mlx4_hw_rule_sz, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_tunnel_steer_add, "", "");
KSYMTAB_FUNC(mlx4_FLOW_STEERING_IB_UC_QP_RANGE, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_steer_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_steer_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_init, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_cleanup, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_addr, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_get_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_write_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_put_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_change_pd, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_change_access, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_rereg_mem_cleanup, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_rereg_mem_write, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_enable, "_gpl", "");
KSYMTAB_FUNC(mlx4_write_mtt, "_gpl", "");
KSYMTAB_FUNC(mlx4_buf_write_mtt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_enable, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_SYNC_TPT, "_gpl", "");
KSYMTAB_FUNC(mlx4_pd_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_pd_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_xrcd_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_xrcd_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_uar_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_uar_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_bf_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_bf_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_find_cached_mac, "_gpl", "");
KSYMTAB_FUNC(__mlx4_register_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_base_qpn, "_gpl", "");
KSYMTAB_FUNC(__mlx4_unregister_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_mac, "_gpl", "");
KSYMTAB_FUNC(__mlx4_replace_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_find_cached_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_base_gid_ix, "_gpl", "");
KSYMTAB_FUNC(mlx4_SET_PORT_general, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_qpn_calc, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_user_mtu, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_user_mac, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_fcs_check, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_VXLAN, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_BEACON, "", "");
KSYMTAB_FUNC(mlx4_SET_MCAST_FLTR, "", "");
KSYMTAB_FUNC(mlx4_get_slave_from_roce_gid, "", "");
KSYMTAB_FUNC(mlx4_get_roce_gid_from_slave, "", "");
KSYMTAB_FUNC(mlx4_get_module_info, "", "");
KSYMTAB_FUNC(mlx4_max_tc, "", "");
KSYMTAB_FUNC(mlx4_put_qp, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_modify, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_reserve_range, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_release_range, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_update_qp, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_query, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_to_ready, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_arm, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_query, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_lookup, "_gpl", "");

SYMBOL_CRC(mlx4_buf_alloc, 0x34435171, "_gpl");
SYMBOL_CRC(mlx4_buf_free, 0xb11c8f34, "_gpl");
SYMBOL_CRC(mlx4_db_alloc, 0x6c1c9533, "_gpl");
SYMBOL_CRC(mlx4_db_free, 0x52febeee, "_gpl");
SYMBOL_CRC(mlx4_alloc_hwq_res, 0x7cae2bf4, "_gpl");
SYMBOL_CRC(mlx4_free_hwq_res, 0x59674d8c, "_gpl");
SYMBOL_CRC(__mlx4_cmd, 0x2c8307fa, "_gpl");
SYMBOL_CRC(mlx4_alloc_cmd_mailbox, 0x6fb0285f, "_gpl");
SYMBOL_CRC(mlx4_free_cmd_mailbox, 0x427bd437, "_gpl");
SYMBOL_CRC(mlx4_get_active_ports, 0x8d657b68, "_gpl");
SYMBOL_CRC(mlx4_slave_convert_port, 0x0a6d3136, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slave_port, 0x2532756b, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slaves_pport, 0xe74be97c, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slaves_pport_actv, 0x619a9782, "_gpl");
SYMBOL_CRC(mlx4_set_vf_mac, 0xb1bb279a, "_gpl");
SYMBOL_CRC(mlx4_set_vf_vlan, 0xc9e5c789, "_gpl");
SYMBOL_CRC(mlx4_set_vf_rate, 0x9b5d417f, "_gpl");
SYMBOL_CRC(mlx4_get_slave_default_vlan, 0x995d40f0, "_gpl");
SYMBOL_CRC(mlx4_set_vf_spoofchk, 0x2cbc5ced, "_gpl");
SYMBOL_CRC(mlx4_get_vf_config, 0xcb3bc2d4, "_gpl");
SYMBOL_CRC(mlx4_set_vf_link_state, 0x546883a5, "_gpl");
SYMBOL_CRC(mlx4_get_counter_stats, 0x12703a0c, "_gpl");
SYMBOL_CRC(mlx4_get_vf_stats, 0x93ebe15d, "_gpl");
SYMBOL_CRC(mlx4_vf_smi_enabled, 0xd7749ebd, "_gpl");
SYMBOL_CRC(mlx4_vf_get_enable_smi_admin, 0xc8e438b8, "_gpl");
SYMBOL_CRC(mlx4_vf_set_enable_smi_admin, 0xc35630a9, "_gpl");
SYMBOL_CRC(mlx4_cq_modify, 0x1602f7ed, "_gpl");
SYMBOL_CRC(mlx4_cq_resize, 0xe559866c, "_gpl");
SYMBOL_CRC(mlx4_cq_alloc, 0x0facb70a, "_gpl");
SYMBOL_CRC(mlx4_cq_free, 0x701eff2e, "_gpl");
SYMBOL_CRC(mlx4_gen_pkey_eqe, 0xf12382f6, "");
SYMBOL_CRC(mlx4_gen_guid_change_eqe, 0xf0d5ae1a, "");
SYMBOL_CRC(mlx4_gen_port_state_change_eqe, 0x683c1211, "");
SYMBOL_CRC(mlx4_get_slave_port_state, 0x0ddf8862, "");
SYMBOL_CRC(set_and_calc_slave_port_state, 0x6d5d0420, "");
SYMBOL_CRC(mlx4_gen_slaves_port_mgt_ev, 0xd1ff327b, "");
SYMBOL_CRC(mlx4_test_async, 0x257fbad8, "");
SYMBOL_CRC(mlx4_test_interrupt, 0x9c5d9b32, "");
SYMBOL_CRC(mlx4_is_eq_vector_valid, 0x4ba6808f, "");
SYMBOL_CRC(mlx4_get_eqs_per_port, 0xdea1a1c6, "");
SYMBOL_CRC(mlx4_is_eq_shared, 0x74027c8b, "");
SYMBOL_CRC(mlx4_get_cpu_rmap, 0xc97eb057, "");
SYMBOL_CRC(mlx4_assign_eq, 0x42344140, "");
SYMBOL_CRC(mlx4_eq_get_irq, 0xe529ba4d, "");
SYMBOL_CRC(mlx4_release_eq, 0xf3bae767, "");
SYMBOL_CRC(mlx4_choose_vector, 0xdc04e23e, "");
SYMBOL_CRC(mlx4_release_vector, 0xb44505ac, "");
SYMBOL_CRC(mlx4_get_slave_pkey_gid_tbl_len, 0x4504ea8f, "");
SYMBOL_CRC(mlx4_INIT_PORT, 0x602e202d, "_gpl");
SYMBOL_CRC(mlx4_CLOSE_PORT, 0xc7c30114, "_gpl");
SYMBOL_CRC(mlx4_config_dev_retrieval, 0x3b13a738, "_gpl");
SYMBOL_CRC(mlx4_config_vxlan_port, 0x3ee4b889, "_gpl");
SYMBOL_CRC(mlx4_config_roce_v2_port, 0x612fe227, "_gpl");
SYMBOL_CRC(mlx4_query_diag_counters, 0x198003ad, "");
SYMBOL_CRC(mlx4_wol_read, 0x3897e891, "_gpl");
SYMBOL_CRC(mlx4_wol_write, 0x9d625303, "_gpl");
SYMBOL_CRC(mlx4_ACCESS_PTYS_REG, 0x67caab3f, "_gpl");
SYMBOL_CRC(get_phv_bit, 0xbd41b98a, "");
SYMBOL_CRC(set_phv_bit, 0xefe92c6a, "");
SYMBOL_CRC(mlx4_get_is_vlan_offload_disabled, 0xb2e4436b, "");
SYMBOL_CRC(mlx4_replace_zero_macs, 0xd83f344a, "_gpl");
SYMBOL_CRC(mlx4_SET_PORT_PRIO2TC, 0xa20d5887, "");
SYMBOL_CRC(mlx4_SET_PORT_SCHEDULER, 0xe3554acb, "");
SYMBOL_CRC(mlx4_ALLOCATE_VPP_get, 0x3ed7d960, "");
SYMBOL_CRC(mlx4_ALLOCATE_VPP_set, 0x45a1ac85, "");
SYMBOL_CRC(mlx4_SET_VPORT_QOS_get, 0xabdd13ca, "");
SYMBOL_CRC(mlx4_SET_VPORT_QOS_set, 0x8bd5753d, "");
SYMBOL_CRC(mlx4_register_auxiliary_driver, 0xa7bf78b8, "_gpl");
SYMBOL_CRC(mlx4_unregister_auxiliary_driver, 0xce58d232, "_gpl");
SYMBOL_CRC(mlx4_register_event_notifier, 0x706deb5e, "");
SYMBOL_CRC(mlx4_unregister_event_notifier, 0x6297e36e, "");
SYMBOL_CRC(mlx4_get_devlink_port, 0x9531c921, "_gpl");
SYMBOL_CRC(mlx4_get_parav_qkey, 0x035ddc6d, "");
SYMBOL_CRC(mlx4_sync_pkey_table, 0x93df7403, "");
SYMBOL_CRC(mlx4_put_slave_node_guid, 0x819928fe, "");
SYMBOL_CRC(mlx4_get_slave_node_guid, 0x2e82d959, "");
SYMBOL_CRC(mlx4_is_slave_active, 0xc0ab5845, "");
SYMBOL_CRC(mlx4_handle_eth_header_mcast_prio, 0x7fdde0b4, "");
SYMBOL_CRC(mlx4_queue_bond_work, 0xe2000bfc, "");
SYMBOL_CRC(mlx4_read_clock, 0xc61f109a, "_gpl");
SYMBOL_CRC(mlx4_get_internal_clock_params, 0xb2e61ff0, "_gpl");
SYMBOL_CRC(mlx4_counter_alloc, 0x2e69d53b, "_gpl");
SYMBOL_CRC(mlx4_counter_free, 0xa323dcd7, "_gpl");
SYMBOL_CRC(mlx4_get_default_counter_index, 0x2f413076, "_gpl");
SYMBOL_CRC(mlx4_set_admin_guid, 0x24d5d64e, "_gpl");
SYMBOL_CRC(mlx4_get_admin_guid, 0x80fb2cc1, "_gpl");
SYMBOL_CRC(mlx4_map_sw_to_hw_steering_mode, 0x1173fbbe, "_gpl");
SYMBOL_CRC(mlx4_map_sw_to_hw_steering_id, 0x0c093429, "_gpl");
SYMBOL_CRC(mlx4_hw_rule_sz, 0xfb99092f, "_gpl");
SYMBOL_CRC(mlx4_flow_attach, 0x5a8da1b9, "_gpl");
SYMBOL_CRC(mlx4_flow_detach, 0x2c235c9b, "_gpl");
SYMBOL_CRC(mlx4_tunnel_steer_add, 0x720f1d93, "");
SYMBOL_CRC(mlx4_FLOW_STEERING_IB_UC_QP_RANGE, 0xc02758a7, "_gpl");
SYMBOL_CRC(mlx4_multicast_attach, 0x444e0e87, "_gpl");
SYMBOL_CRC(mlx4_multicast_detach, 0x28fe8742, "_gpl");
SYMBOL_CRC(mlx4_flow_steer_promisc_add, 0x0af6ad27, "_gpl");
SYMBOL_CRC(mlx4_flow_steer_promisc_remove, 0xc4e744ab, "_gpl");
SYMBOL_CRC(mlx4_unicast_attach, 0xe884016e, "_gpl");
SYMBOL_CRC(mlx4_unicast_detach, 0xdc2170c3, "_gpl");
SYMBOL_CRC(mlx4_multicast_promisc_add, 0x82926334, "_gpl");
SYMBOL_CRC(mlx4_multicast_promisc_remove, 0xbff5beba, "_gpl");
SYMBOL_CRC(mlx4_unicast_promisc_add, 0xb76db4e8, "_gpl");
SYMBOL_CRC(mlx4_unicast_promisc_remove, 0xd81dce8e, "_gpl");
SYMBOL_CRC(mlx4_mtt_init, 0x18ef4863, "_gpl");
SYMBOL_CRC(mlx4_mtt_cleanup, 0x1f5adda8, "_gpl");
SYMBOL_CRC(mlx4_mtt_addr, 0x26e97b37, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_get_mpt, 0xcd88d6e4, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_write_mpt, 0x7c562978, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_put_mpt, 0x1d6a7be3, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_change_pd, 0x8a0506a2, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_change_access, 0x7d76d11f, "_gpl");
SYMBOL_CRC(mlx4_mr_alloc, 0xad4127e6, "_gpl");
SYMBOL_CRC(mlx4_mr_free, 0x8c4a120e, "_gpl");
SYMBOL_CRC(mlx4_mr_rereg_mem_cleanup, 0x9ebb13b0, "_gpl");
SYMBOL_CRC(mlx4_mr_rereg_mem_write, 0x9da20f21, "_gpl");
SYMBOL_CRC(mlx4_mr_enable, 0x85aa5b55, "_gpl");
SYMBOL_CRC(mlx4_write_mtt, 0xcdc84899, "_gpl");
SYMBOL_CRC(mlx4_buf_write_mtt, 0xdde85add, "_gpl");
SYMBOL_CRC(mlx4_mw_alloc, 0xf126ba2c, "_gpl");
SYMBOL_CRC(mlx4_mw_enable, 0x6823f297, "_gpl");
SYMBOL_CRC(mlx4_mw_free, 0xadf38b7d, "_gpl");
SYMBOL_CRC(mlx4_SYNC_TPT, 0xa8aff734, "_gpl");
SYMBOL_CRC(mlx4_pd_alloc, 0x67e7db0e, "_gpl");
SYMBOL_CRC(mlx4_pd_free, 0xd537da6f, "_gpl");
SYMBOL_CRC(mlx4_xrcd_alloc, 0x8b34e7f8, "_gpl");
SYMBOL_CRC(mlx4_xrcd_free, 0xb6311bd7, "_gpl");
SYMBOL_CRC(mlx4_uar_alloc, 0xebaa9a21, "_gpl");
SYMBOL_CRC(mlx4_uar_free, 0x6c25d25f, "_gpl");
SYMBOL_CRC(mlx4_bf_alloc, 0x3a3a05f0, "_gpl");
SYMBOL_CRC(mlx4_bf_free, 0xb91f5978, "_gpl");
SYMBOL_CRC(mlx4_find_cached_mac, 0x8e360118, "_gpl");
SYMBOL_CRC(__mlx4_register_mac, 0xfd8724cd, "_gpl");
SYMBOL_CRC(mlx4_register_mac, 0x08ad5fb1, "_gpl");
SYMBOL_CRC(mlx4_get_base_qpn, 0xba7b1947, "_gpl");
SYMBOL_CRC(__mlx4_unregister_mac, 0x414b72ec, "_gpl");
SYMBOL_CRC(mlx4_unregister_mac, 0xb3003607, "_gpl");
SYMBOL_CRC(__mlx4_replace_mac, 0x92fc7211, "_gpl");
SYMBOL_CRC(mlx4_find_cached_vlan, 0x3508eeed, "_gpl");
SYMBOL_CRC(mlx4_register_vlan, 0xd9f1a782, "_gpl");
SYMBOL_CRC(mlx4_unregister_vlan, 0x7545f63f, "_gpl");
SYMBOL_CRC(mlx4_get_base_gid_ix, 0x41bd8611, "_gpl");
SYMBOL_CRC(mlx4_SET_PORT_general, 0x4e264992, "");
SYMBOL_CRC(mlx4_SET_PORT_qpn_calc, 0x5a7e9847, "");
SYMBOL_CRC(mlx4_SET_PORT_user_mtu, 0xf1c82ea7, "");
SYMBOL_CRC(mlx4_SET_PORT_user_mac, 0x09c58e06, "");
SYMBOL_CRC(mlx4_SET_PORT_fcs_check, 0xc35cd341, "");
SYMBOL_CRC(mlx4_SET_PORT_VXLAN, 0x984bdb6f, "");
SYMBOL_CRC(mlx4_SET_PORT_BEACON, 0x162d99d3, "");
SYMBOL_CRC(mlx4_SET_MCAST_FLTR, 0xfb523167, "");
SYMBOL_CRC(mlx4_get_slave_from_roce_gid, 0x0bfdcd03, "");
SYMBOL_CRC(mlx4_get_roce_gid_from_slave, 0x29763b52, "");
SYMBOL_CRC(mlx4_get_module_info, 0x55fa740f, "");
SYMBOL_CRC(mlx4_max_tc, 0xde745a15, "");
SYMBOL_CRC(mlx4_put_qp, 0xf4b0999f, "_gpl");
SYMBOL_CRC(mlx4_qp_modify, 0x7d4877d2, "_gpl");
SYMBOL_CRC(mlx4_qp_reserve_range, 0xdea1cf81, "_gpl");
SYMBOL_CRC(mlx4_qp_release_range, 0xca3e2019, "_gpl");
SYMBOL_CRC(mlx4_qp_alloc, 0x7010573b, "_gpl");
SYMBOL_CRC(mlx4_update_qp, 0x94952166, "_gpl");
SYMBOL_CRC(mlx4_qp_remove, 0xb2296eca, "_gpl");
SYMBOL_CRC(mlx4_qp_free, 0xacd8b102, "_gpl");
SYMBOL_CRC(mlx4_qp_query, 0x1a8f3779, "_gpl");
SYMBOL_CRC(mlx4_qp_to_ready, 0xac871522, "_gpl");
SYMBOL_CRC(mlx4_srq_alloc, 0x5725cbb5, "_gpl");
SYMBOL_CRC(mlx4_srq_free, 0xacae1148, "_gpl");
SYMBOL_CRC(mlx4_srq_arm, 0xa7258149, "_gpl");
SYMBOL_CRC(mlx4_srq_query, 0x3dec49d8, "_gpl");
SYMBOL_CRC(mlx4_srq_lookup, 0x83f46ddf, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe914e41e, "strcpy" },
	{ 0xffb5089c, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x1ff8ec9, "pcie_capability_write_word" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xaec2135b, "devl_region_create" },
	{ 0xa7ba2111, "devlink_unregister" },
	{ 0xb4ff356f, "dma_pool_create" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x8344b777, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x9c9173b7, "auxiliary_device_init" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3023d67d, "devlink_region_snapshot_id_get" },
	{ 0x6a3c918, "devl_lock" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xca9360b5, "rb_next" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x96848186, "scnprintf" },
	{ 0x43ba1bed, "__pci_register_driver" },
	{ 0xcf2a6966, "up" },
	{ 0xedc03953, "iounmap" },
	{ 0xa8eea8b1, "pci_num_vf" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x3e9436c4, "param_array_ops" },
	{ 0x87b4d3f3, "pci_request_regions" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xbb400bfc, "devlink_alloc_ns" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x515824d8, "alloc_cpumask_var_node" },
	{ 0xf5268dbd, "pci_sriov_get_totalvfs" },
	{ 0xbac910ae, "devlink_register" },
	{ 0x36c1f8d0, "devlink_port_type_clear" },
	{ 0x48832e1d, "devlink_free" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xa00622dd, "param_ops_byte" },
	{ 0x67155184, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb7b7fa6e, "node_states" },
	{ 0xe1a350f8, "pci_unregister_driver" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0x3dea7ab3, "pci_read_config_dword" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x12ae9fe6, "auxiliary_driver_unregister" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0xd7b909d4, "__alloc_pages_noprof" },
	{ 0x122c3a7e, "_printk" },
	{ 0x2a06842b, "devlink_region_snapshot_id_put" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x90013ea6, "priv_to_devlink" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b9997fb, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x8619869e, "put_device" },
	{ 0x605d5bfa, "cache_line_size" },
	{ 0xdc070a1c, "pci_enable_msix_range" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x618911fc, "numa_node" },
	{ 0x581e9a37, "__free_pages" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x800473f, "__cond_resched" },
	{ 0x9818813d, "device_create_file" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x6972e413, "__bitmap_weight_and" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x5ca10ce4, "__dma_sync_single_for_cpu" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xcea4261d, "__irq_apply_affinity_hint" },
	{ 0x57bc19d2, "down_write" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x7ee7ac5d, "init_net" },
	{ 0xce807a25, "up_write" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x949b5176, "devlink_region_snapshot_create" },
	{ 0xb521cebf, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x6626afca, "down" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6aa6c3b8, "devl_port_register_with_ops" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x642cc440, "dma_alloc_attrs" },
	{ 0xd399ce1a, "pci_read_config_word" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x7a3f16a2, "devl_region_destroy" },
	{ 0xffb7c514, "ida_free" },
	{ 0xf1e046cc, "panic" },
	{ 0x2dd0e7fa, "devl_params_register" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x4656f3ed, "pci_restore_state" },
	{ 0x61401cd3, "device_del" },
	{ 0x7c340d57, "devl_param_driverinit_value_set" },
	{ 0xdcb764ad, "memset" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0xf71fdfdc, "__kmalloc_cache_node_noprof" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xaff5b1dd, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd3752c27, "atomic_notifier_call_chain" },
	{ 0x119b43c0, "devl_params_unregister" },
	{ 0xece784c2, "rb_first" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xf3076911, "devl_unlock" },
	{ 0xbdc8c686, "free_cpumask_var" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf0efe64b, "dma_set_coherent_mask" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x404667b0, "dma_free_attrs" },
	{ 0x7181db30, "atomic_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x14c5dd46, "param_ops_bool" },
	{ 0x35beca42, "pci_release_regions" },
	{ 0x698b966, "__dma_sync_single_for_device" },
	{ 0xc5c34e64, "devl_assert_locked" },
	{ 0x9ec7f4f3, "pcie_print_link_status" },
	{ 0x1ed36880, "devl_port_unregister" },
	{ 0x3fc2bbf2, "devl_param_driverinit_value_get" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb6226fbe, "devlink_priv" },
	{ 0xf9b662f8, "pci_disable_sriov" },
	{ 0x28eda9d3, "pci_disable_msix" },
	{ 0x557d1823, "alloc_pages_noprof" },
	{ 0xebaddcc6, "pci_disable_device" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xb34e2c9a, "dma_set_mask" },
	{ 0x5e9bb2e, "__auxiliary_driver_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5986a5d8, "dma_unmap_sg_attrs" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x98cf60b3, "strlen" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xcb74520d, "param_ops_int" },
	{ 0x2151991b, "_dev_printk" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0x5359e8dc, "__kvmalloc_node_noprof" },
	{ 0x9e95fede, "pci_enable_sriov" },
	{ 0x53b954a2, "up_read" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0xee4ade57, "pci_write_config_dword" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0xf80a3ec7, "device_remove_file" },
	{ 0x992d47c0, "dma_map_sg_attrs" },
	{ 0x68f807d2, "devl_param_value_changed" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000015B3d00006340sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000634Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006354sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006732sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000673Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006368sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006750sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006372sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000675Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006764sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006746sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000676Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001002sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001003sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001004sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001005sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001006sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001007sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001008sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001009sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001010sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "C83615B78AB2D103E2BB582");
