#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x43ba1bed, "__pci_register_driver" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x373b0d5, "dql_reset" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa6613056, "dma_unmap_page_attrs" },
	{ 0x4679fb71, "consume_skb" },
	{ 0x404667b0, "dma_free_attrs" },
	{ 0x37a0cba, "kfree" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xe1a350f8, "pci_unregister_driver" },
	{ 0x4829a47e, "memcpy" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x28eda9d3, "pci_disable_msix" },
	{ 0xb68458a1, "pci_disable_msi" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xc25a42ab, "napi_schedule_prep" },
	{ 0x6f7d2f61, "__napi_schedule" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xc2af5a6, "skb_put" },
	{ 0xffceeeb5, "eth_type_trans" },
	{ 0xecb7ae28, "napi_gro_receive" },
	{ 0xd7c7d5c, "dev_kfree_skb_any_reason" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xdc070a1c, "pci_enable_msix_range" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x9373e7d0, "pci_enable_msi" },
	{ 0x3932f94, "netdev_info" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x5409cff7, "__netdev_alloc_skb" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xb4c63861, "dma_map_page_attrs" },
	{ 0x9f66a4ce, "sk_skb_reason_drop" },
	{ 0x34070452, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbaedacc7, "device_set_wakeup_enable" },
	{ 0x4e62ef2c, "skb_clone_tx_timestamp" },
	{ 0xab70dae4, "softnet_data" },
	{ 0xeffe1416, "skb_tstamp_tx" },
	{ 0xe3c7bd1e, "__dynamic_netdev_dbg" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf7f5887d, "alloc_etherdev_mqs" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x8344b777, "pci_enable_device" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x2e9d1dca, "free_netdev" },
	{ 0xaff5b1dd, "pci_set_master" },
	{ 0x87b4d3f3, "pci_request_regions" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0x35beca42, "pci_release_regions" },
	{ 0xebaddcc6, "pci_disable_device" },
	{ 0x122c3a7e, "_printk" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0x642cc440, "dma_alloc_attrs" },
	{ 0xbdc26b3b, "netif_napi_add_weight" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x8fe7fc51, "dev_addr_mod" },
	{ 0x1ca4f351, "register_netdev" },
	{ 0xc9ad94d3, "netif_carrier_off" },
	{ 0xb34e2c9a, "dma_set_mask" },
	{ 0xedc03953, "iounmap" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0xf0efe64b, "dma_set_coherent_mask" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0xaa985d4e, "netif_carrier_on" },
	{ 0x49ee7ce3, "unregister_netdev" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0x30132990, "netif_schedule_queue" },
	{ 0x69f2e923, "netif_tx_wake_queue" },
	{ 0x3ac8793, "netdev_warn" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0xdb5b677b, "napi_complete_done" },
	{ 0xdb763fe2, "napi_disable" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xbafc27ae, "netif_device_detach" },
	{ 0xf7370f56, "system_state" },
	{ 0x4288d82c, "pci_wake_from_d3" },
	{ 0xcfd729a4, "pci_set_power_state" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0x9e9af7c7, "netif_tx_lock" },
	{ 0xf6cc8099, "netif_tx_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xad0c171b, "napi_enable" },
	{ 0xdcb764ad, "memset" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xbe714ee0, "netif_device_attach" },
	{ 0xee4ade57, "pci_write_config_dword" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x14c5dd46, "param_ops_bool" },
	{ 0xcb74520d, "param_ops_int" },
	{ 0x64cd86f, "eth_validate_addr" },
	{ 0xfb7b1730, "ethtool_op_get_link" },
	{ 0xe4373252, "ethtool_op_get_ts_info" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000010DEd000001C3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd00000066sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd000000D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd00000086sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd0000008Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd000000E6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd000000DFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd00000056sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd00000057sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd00000037sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd00000038sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd00000268sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd00000269sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd00000372sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd00000373sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd000003E5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd000003E6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd000003EEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd000003EFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd00000450sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd00000451sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd00000452sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd00000453sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd0000054Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd0000054Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd0000054Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd0000054Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd000007DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd000007DDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd000007DEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd000007DFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd00000760sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd00000761sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd00000762sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd00000763sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd00000AB0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd00000AB1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd00000AB2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd00000AB3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd00000D7Dsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "18A6A07E7AA190B2EE0BD1E");
