#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(qede_rdma_register_driver, "", "");
KSYMTAB_FUNC(qede_rdma_unregister_driver, "", "");

SYMBOL_CRC(qede_rdma_register_driver, 0xa516b8f7, "");
SYMBOL_CRC(qede_rdma_unregister_driver, 0x147cc8ab, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92cb609e, "__tracepoint_xdp_exception" },
	{ 0xf7f5887d, "alloc_etherdev_mqs" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x4dc827d4, "qed_get_eth_ops" },
	{ 0x9161142d, "bpf_prog_put" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xe62f4ba2, "skb_copy_bits" },
	{ 0x60b73b66, "param_ops_uint" },
	{ 0x1e2cb1ca, "ethtool_rx_flow_rule_destroy" },
	{ 0xc2af5a6, "skb_put" },
	{ 0xeffe1416, "skb_tstamp_tx" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xabdeeb7e, "ethtool_forced_speed_maps_init" },
	{ 0x4679fb71, "consume_skb" },
	{ 0xbdc26b3b, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc8089c04, "bpf_warn_invalid_xdp_action" },
	{ 0x49ee7ce3, "unregister_netdev" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xa6613056, "dma_unmap_page_attrs" },
	{ 0xf7370f56, "system_state" },
	{ 0x43ba1bed, "__pci_register_driver" },
	{ 0xa8eea8b1, "pci_num_vf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xe414fb5b, "ptp_clock_index" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xbdae928c, "xdp_do_redirect" },
	{ 0x64cd86f, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xbc6b983b, "udp_tunnel_nic_ops" },
	{ 0x94451f3c, "flow_rule_match_ipv4_addrs" },
	{ 0x12e92ab7, "__netif_napi_del" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xe1a350f8, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x492fdb70, "netdev_err" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x34070452, "dev_driver_string" },
	{ 0x8fe7fc51, "dev_addr_mod" },
	{ 0x4c437cda, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xffceeeb5, "eth_type_trans" },
	{ 0xb4c63861, "dma_map_page_attrs" },
	{ 0xdb5b677b, "napi_complete_done" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0xbafc27ae, "netif_device_detach" },
	{ 0x581e9a37, "__free_pages" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0xecb7ae28, "napi_gro_receive" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0x32a2c60a, "netdev_pick_tx" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xcdf474a9, "xdp_rxq_info_is_reg" },
	{ 0xaeeec582, "flow_block_cb_setup_simple" },
	{ 0x60195b48, "flow_rule_match_basic" },
	{ 0x91f5e5f3, "build_skb" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0xab70dae4, "softnet_data" },
	{ 0xd6553172, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xf79c4542, "ptp_clock_register" },
	{ 0x90794060, "__traceiter_xdp_exception" },
	{ 0x82013be2, "netif_set_real_num_tx_queues" },
	{ 0x2eadb402, "netif_set_real_num_rx_queues" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4f2bd9c6, "ethtool_rx_flow_rule_create" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x642cc440, "dma_alloc_attrs" },
	{ 0xad0c171b, "napi_enable" },
	{ 0x9eeeef48, "qed_put_eth_ops" },
	{ 0x1ca4f351, "register_netdev" },
	{ 0x2e9d1dca, "free_netdev" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x69f2e923, "netif_tx_wake_queue" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xdcb764ad, "memset" },
	{ 0x34a5fc2e, "flow_rule_match_ports" },
	{ 0x30132990, "netif_schedule_queue" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x41f14d64, "flow_rule_match_ipv6_addrs" },
	{ 0x424e572b, "netdev_set_tc_queue" },
	{ 0x90c0cf53, "ptp_clock_unregister" },
	{ 0xa86fbee8, "__pskb_pull_tail" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0x5409cff7, "__netdev_alloc_skb" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x274dc2b, "netif_get_num_default_rss_queues" },
	{ 0xdc3de425, "rps_may_expire_flow" },
	{ 0xb82bcc6f, "netdev_reset_tc" },
	{ 0x404667b0, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x698b966, "__dma_sync_single_for_device" },
	{ 0x56212663, "bpf_prog_add" },
	{ 0xfd8ae64d, "xdp_rxq_info_unreg" },
	{ 0xd2adf171, "__xdp_rxq_info_reg" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc9ad94d3, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb6226fbe, "devlink_priv" },
	{ 0x73df202d, "tcp_gro_complete" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xaa985d4e, "netif_carrier_on" },
	{ 0x7d8bf959, "netdev_set_num_tc" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x557d1823, "alloc_pages_noprof" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xfc138b47, "skb_add_rx_frag_netmem" },
	{ 0x4fb8e731, "xdp_master_redirect" },
	{ 0x9da672ca, "__napi_schedule_irqoff" },
	{ 0xc25a42ab, "napi_schedule_prep" },
	{ 0xdb763fe2, "napi_disable" },
	{ 0xd7c7d5c, "dev_kfree_skb_any_reason" },
	{ 0x349cba85, "strchr" },
	{ 0xb13c99f9, "flow_rule_match_control" },
	{ 0x4e62ef2c, "skb_clone_tx_timestamp" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x3e632955, "dcb_ieee_setapp" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "qed");

MODULE_ALIAS("pci:v00001077d00001634sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00001666sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00001636sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00001644sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00001654sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00001656sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00001664sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008070sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008090sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "74BB1F13F8CDB0D866EB508");
