#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0xcb824037, "regmap_write" },
	{ 0xed826b94, "__platform_driver_register" },
	{ 0x479f7d4b, "clk_bulk_disable" },
	{ 0x63c08029, "clk_bulk_unprepare" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xead5c8e5, "clk_bulk_prepare" },
	{ 0xc7a7e770, "clk_bulk_enable" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0x51d0534d, "devm_clk_bulk_get_optional" },
	{ 0xb488bd02, "devm_clk_get" },
	{ 0x92f2a8c, "dev_err_probe" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0x7062ebbf, "of_clk_get" },
	{ 0x3b82c1cf, "platform_driver_unregister" },
	{ 0x95cabc80, "of_get_phy_mode" },
	{ 0x6e7902da, "platform_get_resource" },
	{ 0x65ad9c1d, "devm_regulator_get" },
	{ 0xdbcbd433, "of_property_read_string" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf9ed9452, "of_property_read_variable_u32_array" },
	{ 0x403825b2, "syscon_regmap_lookup_by_phandle" },
	{ 0x5b36a3ec, "of_find_property" },
	{ 0xa6b289fe, "__of_reset_control_get" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x61f81ab3, "__pm_runtime_idle" },
	{ 0xc3293cf7, "regulator_disable" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x3a6ddc38, "stmmac_suspend" },
	{ 0xbd29c923, "stmmac_dvr_remove" },
	{ 0x3cc8f38f, "regulator_enable" },
	{ 0x4f139bf4, "__pm_runtime_resume" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0xf9a482f9, "msleep" },
	{ 0x51d036d1, "stmmac_resume" },
	{ 0xdcb764ad, "memset" },
	{ 0xc1e79586, "of_device_get_match_data" },
	{ 0x8e2d3321, "stmmac_get_platform_resources" },
	{ 0x1626b6d2, "devm_stmmac_probe_config_dt" },
	{ 0x371a758d, "stmmac_dvr_probe" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "stmmac,stmmac-platform");

MODULE_ALIAS("of:N*T*Crockchip,px30-gmac");
MODULE_ALIAS("of:N*T*Crockchip,px30-gmacC*");
MODULE_ALIAS("of:N*T*Crockchip,rk3128-gmac");
MODULE_ALIAS("of:N*T*Crockchip,rk3128-gmacC*");
MODULE_ALIAS("of:N*T*Crockchip,rk3228-gmac");
MODULE_ALIAS("of:N*T*Crockchip,rk3228-gmacC*");
MODULE_ALIAS("of:N*T*Crockchip,rk3288-gmac");
MODULE_ALIAS("of:N*T*Crockchip,rk3288-gmacC*");
MODULE_ALIAS("of:N*T*Crockchip,rk3308-gmac");
MODULE_ALIAS("of:N*T*Crockchip,rk3308-gmacC*");
MODULE_ALIAS("of:N*T*Crockchip,rk3328-gmac");
MODULE_ALIAS("of:N*T*Crockchip,rk3328-gmacC*");
MODULE_ALIAS("of:N*T*Crockchip,rk3366-gmac");
MODULE_ALIAS("of:N*T*Crockchip,rk3366-gmacC*");
MODULE_ALIAS("of:N*T*Crockchip,rk3368-gmac");
MODULE_ALIAS("of:N*T*Crockchip,rk3368-gmacC*");
MODULE_ALIAS("of:N*T*Crockchip,rk3399-gmac");
MODULE_ALIAS("of:N*T*Crockchip,rk3399-gmacC*");
MODULE_ALIAS("of:N*T*Crockchip,rk3568-gmac");
MODULE_ALIAS("of:N*T*Crockchip,rk3568-gmacC*");
MODULE_ALIAS("of:N*T*Crockchip,rk3588-gmac");
MODULE_ALIAS("of:N*T*Crockchip,rk3588-gmacC*");
MODULE_ALIAS("of:N*T*Crockchip,rv1108-gmac");
MODULE_ALIAS("of:N*T*Crockchip,rv1108-gmacC*");
MODULE_ALIAS("of:N*T*Crockchip,rv1126-gmac");
MODULE_ALIAS("of:N*T*Crockchip,rv1126-gmacC*");

MODULE_INFO(srcversion, "3D8AAE61F3D8CA157D1CD04");
