#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x631297fe, "__spi_register_driver" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf675d3ba, "ieee802154_xmit_complete" },
	{ 0x37a0cba, "kfree" },
	{ 0xb8dede6d, "ieee802154_xmit_error" },
	{ 0x25ef6cae, "ieee802154_xmit_hw_error" },
	{ 0xa6257a2f, "complete" },
	{ 0xdcb764ad, "memset" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0x3ffe3b9b, "driver_unregister" },
	{ 0x5409cff7, "__netdev_alloc_skb" },
	{ 0xc2af5a6, "skb_put" },
	{ 0x4829a47e, "memcpy" },
	{ 0x1529dd70, "ieee802154_rx_irqsafe" },
	{ 0x133e2f27, "regmap_read" },
	{ 0xac53e259, "gpiod_set_value" },
	{ 0x207bb5ea, "regmap_update_bits_base" },
	{ 0xb82e2426, "ieee802154_unregister_hw" },
	{ 0x29f0c2b3, "ieee802154_free_hw" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcb824037, "regmap_write" },
	{ 0x21e8c8a1, "spi_async" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xd40f97f4, "irq_get_irq_data" },
	{ 0xf4e934af, "device_property_read_u8_array" },
	{ 0xe807266f, "devm_gpiod_get_optional" },
	{ 0x2b1787f9, "gpiod_set_consumer_name" },
	{ 0x6d627a58, "gpiod_set_value_cansleep" },
	{ 0xc127a141, "ieee802154_alloc_hw" },
	{ 0x51b1a1ee, "__devm_regmap_init_spi" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x4c55545d, "devm_request_threaded_irq" },
	{ 0x214ecc63, "ieee802154_register_hw" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "mac802154,regmap-spi");

MODULE_ALIAS("spi:at86rf230");
MODULE_ALIAS("spi:at86rf231");
MODULE_ALIAS("spi:at86rf233");
MODULE_ALIAS("spi:at86rf212");
MODULE_ALIAS("of:N*T*Catmel,at86rf230");
MODULE_ALIAS("of:N*T*Catmel,at86rf230C*");
MODULE_ALIAS("of:N*T*Catmel,at86rf231");
MODULE_ALIAS("of:N*T*Catmel,at86rf231C*");
MODULE_ALIAS("of:N*T*Catmel,at86rf233");
MODULE_ALIAS("of:N*T*Catmel,at86rf233C*");
MODULE_ALIAS("of:N*T*Catmel,at86rf212");
MODULE_ALIAS("of:N*T*Catmel,at86rf212C*");

MODULE_INFO(srcversion, "D99D1359A332AE50BA019F3");
