#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ipvlan_count_rx, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_new, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_delete, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_setup, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_register, "_gpl", "");

SYMBOL_CRC(ipvlan_count_rx, 0xef42585c, "_gpl");
SYMBOL_CRC(ipvlan_link_new, 0xb9d6cfed, "_gpl");
SYMBOL_CRC(ipvlan_link_delete, 0xfb5faee3, "_gpl");
SYMBOL_CRC(ipvlan_link_setup, 0x41417328, "_gpl");
SYMBOL_CRC(ipvlan_link_register, 0x54eb4697, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbab1bfca, "__do_once_done" },
	{ 0x5191bb5, "ip6_route_input_lookup" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x7b4b0a4d, "dev_pre_changeaddr_notify" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x66730462, "dev_mc_sync" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xb3780453, "netdev_is_rx_handler_busy" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xe712cab5, "netdev_update_features" },
	{ 0x4679fb71, "consume_skb" },
	{ 0xa45a8701, "ip6_local_out" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x91fae72f, "dev_uc_sync" },
	{ 0xeb16b253, "rtnl_link_register" },
	{ 0x4238f76b, "netif_inherit_tso_max" },
	{ 0xf90680c7, "eth_header_cache" },
	{ 0x37a0cba, "kfree" },
	{ 0xc6ae011, "ip_route_output_flow" },
	{ 0x77a07d84, "unregister_netdevice_queue" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xcf32175f, "dev_uc_unsync" },
	{ 0x9d58bf, "ether_setup" },
	{ 0x492fdb70, "netdev_err" },
	{ 0x6438bc1d, "netdev_upper_dev_link" },
	{ 0x8f0d0005, "register_pernet_subsys" },
	{ 0x8fe7fc51, "dev_addr_mod" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xe6dc6ef7, "eth_header_parse" },
	{ 0xd8fd808d, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x97c19d4b, "eth_header_cache_update" },
	{ 0x6a8b6574, "nf_register_net_hooks" },
	{ 0x39ed8622, "ip6_route_output_flags" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x861ee69d, "ip_route_input_noref" },
	{ 0x800473f, "__cond_resched" },
	{ 0xa247b83b, "__dev_get_by_index" },
	{ 0x8241aab5, "rtnl_link_unregister" },
	{ 0xb6476d61, "skb_pull" },
	{ 0x9f66a4ce, "sk_skb_reason_drop" },
	{ 0x59732ff4, "netif_stacked_transfer_operstate" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x682ff282, "netdev_upper_dev_unlink" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0xffb7c514, "ida_free" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x1d3b79dd, "ns_capable" },
	{ 0xd60aca78, "nf_unregister_net_hooks" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfb7b1730, "ethtool_op_get_link" },
	{ 0x3e80f4d8, "__ethtool_get_link_ksettings" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xe7e13a1f, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xdcb764ad, "memset" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xa86fbee8, "__pskb_pull_tail" },
	{ 0x51335c0e, "netif_rx" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x568a342c, "skb_scrub_packet" },
	{ 0x47c65bfc, "unregister_inet6addr_validator_notifier" },
	{ 0xeacf0ae1, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x83fb1e0, "vlan_vid_add" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x58fcbc7d, "call_netdevice_notifiers" },
	{ 0x39e98831, "vlan_vid_del" },
	{ 0x35e80359, "dev_set_allmulti" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x6b53f5f8, "skb_clone" },
	{ 0x8500f07e, "dst_release" },
	{ 0xf04e9898, "netdev_rx_handler_register" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xab63baa5, "unregister_inetaddr_validator_notifier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x9bc32fad, "ip_local_out" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x5257ac49, "eth_header_parse_protocol" },
	{ 0xc32c71af, "register_inetaddr_validator_notifier" },
	{ 0xb3e6625c, "dev_mc_unsync" },
	{ 0xfea5c8f4, "dev_change_flags" },
	{ 0x86bb688f, "netdev_core_stats_inc" },
	{ 0x8c85a1ff, "dev_forward_skb" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0xa77bfd29, "register_inet6addr_validator_notifier" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xec0e8314, "register_netdevice" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A817537E82AF1F004482E0B");
