#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(xgene_mdio_rd_mac, "", "");
KSYMTAB_FUNC(xgene_mdio_wr_mac, "", "");
KSYMTAB_FUNC(xgene_mdio_rgmii_read, "", "");
KSYMTAB_FUNC(xgene_mdio_rgmii_write, "", "");
KSYMTAB_FUNC(xgene_enet_phy_register, "", "");

SYMBOL_CRC(xgene_mdio_rd_mac, 0x9d8491f3, "");
SYMBOL_CRC(xgene_mdio_wr_mac, 0xc8c15342, "");
SYMBOL_CRC(xgene_mdio_rgmii_read, 0x8d6ec4ea, "");
SYMBOL_CRC(xgene_mdio_rgmii_write, 0x0a3ef87f, "");
SYMBOL_CRC(xgene_enet_phy_register, 0xe9062d40, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc8bf7923, "get_phy_device" },
	{ 0x9ab83086, "phy_device_register" },
	{ 0x8a6a9830, "phy_device_free" },
	{ 0xed826b94, "__platform_driver_register" },
	{ 0xab686963, "mdiobus_unregister" },
	{ 0xb7df6e1a, "mdiobus_free" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x3b82c1cf, "platform_driver_unregister" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe1c8ab97, "acpi_fetch_acpi_dev" },
	{ 0xe93e59ff, "acpi_dev_get_property" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x122c3a7e, "_printk" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0xb86e9579, "is_acpi_device_node" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xe401d208, "device_get_match_data" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0x24600a27, "devm_platform_ioremap_resource" },
	{ 0xb488bd02, "devm_clk_get" },
	{ 0x468b22d, "mdiobus_alloc_size" },
	{ 0xab6e3c0f, "__of_mdiobus_register" },
	{ 0xb0478643, "__mdiobus_register" },
	{ 0xec2b8a42, "acpi_walk_namespace" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("acpi*:APMC0D65:*");
MODULE_ALIAS("acpi*:APMC0D66:*");
MODULE_ALIAS("of:N*T*Capm,xgene-mdio-rgmii");
MODULE_ALIAS("of:N*T*Capm,xgene-mdio-rgmiiC*");
MODULE_ALIAS("of:N*T*Capm,xgene-mdio-xfi");
MODULE_ALIAS("of:N*T*Capm,xgene-mdio-xfiC*");

MODULE_INFO(srcversion, "FB278D93E2F8CBE905D8873");
