#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x705185bd, "devl_rate_leaf_create" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6a4d3b4f, "devl_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x651876c0, "bpf_offload_dev_netdev_register" },
	{ 0xaec2135b, "devl_region_create" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x9fb41842, "netdev_offload_xstats_report_delta" },
	{ 0x3f14ae4e, "netif_set_real_num_queues" },
	{ 0xadb19534, "eth_mac_addr" },
	{ 0xc2af5a6, "skb_put" },
	{ 0xeffe1416, "skb_tstamp_tx" },
	{ 0x6a76e187, "devlink_fmsg_binary_pair_put" },
	{ 0x86871b40, "devlink_info_version_stored_put_ext" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x7e626fce, "register_fib_notifier" },
	{ 0xb8f882d6, "debugfs_real_fops" },
	{ 0x4679fb71, "consume_skb" },
	{ 0xbdc26b3b, "netif_napi_add_weight" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x9d43a157, "devlink_fmsg_u32_pair_put" },
	{ 0x3023d67d, "devlink_region_snapshot_id_get" },
	{ 0x8e50f0bc, "devlink_fmsg_arr_pair_nest_end" },
	{ 0x6a3c918, "devl_lock" },
	{ 0x9838955f, "device_unregister" },
	{ 0x35190c94, "debugfs_create_symlink" },
	{ 0x87ef83ff, "skb_dequeue" },
	{ 0xa31fb5dd, "debugfs_create_u16" },
	{ 0x96848186, "scnprintf" },
	{ 0xeb16b253, "rtnl_link_register" },
	{ 0xd2d88506, "netdev_offload_xstats_report_used" },
	{ 0xd7162b1c, "devlink_port_attrs_set" },
	{ 0x802f3392, "rtnl_offload_xstats_notify" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0x4829a47e, "memcpy" },
	{ 0x5d5a87b9, "psample_sample_packet" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xbb400bfc, "devlink_alloc_ns" },
	{ 0x3d519a85, "devl_rate_leaf_destroy" },
	{ 0xf8c3f39f, "devlink_fmsg_obj_nest_end" },
	{ 0x5b66fa60, "seq_lseek" },
	{ 0xba6a8b08, "page_pool_destroy" },
	{ 0x48832e1d, "devlink_free" },
	{ 0x64cd86f, "eth_validate_addr" },
	{ 0x530e0f8c, "devl_health_reporter_destroy" },
	{ 0xbc6b983b, "udp_tunnel_nic_ops" },
	{ 0xe5bbe7d7, "devl_rate_nodes_destroy" },
	{ 0x12e92ab7, "__netif_napi_del" },
	{ 0x77a07d84, "unregister_netdevice_queue" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x248efd3, "kstrtobool_from_user" },
	{ 0x9d58bf, "ether_setup" },
	{ 0x492fdb70, "netdev_err" },
	{ 0xa9af1a16, "netdev_offload_xstats_enabled" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xc1070983, "register_netdevice_notifier_net" },
	{ 0x5ed8ed22, "devlink_flash_update_status_notify" },
	{ 0x5195dcc3, "skb_queue_purge_reason" },
	{ 0x8fe7fc51, "dev_addr_mod" },
	{ 0xdb5b677b, "napi_complete_done" },
	{ 0xca0eee00, "alloc_netdev_mqs" },
	{ 0x122c3a7e, "_printk" },
	{ 0x2a06842b, "devlink_region_snapshot_id_put" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x92082cf7, "fib6_info_hw_flags_set" },
	{ 0x90013ea6, "priv_to_devlink" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x28ae05a1, "nexthop_res_grp_activity_update" },
	{ 0x8619869e, "put_device" },
	{ 0x6f7d2f61, "__napi_schedule" },
	{ 0x5dc79505, "devl_resource_size_get" },
	{ 0xe11be1b1, "devl_resource_occ_get_unregister" },
	{ 0x95463bb7, "__alloc_skb" },
	{ 0x99557baa, "devlink_is_reload_failed" },
	{ 0x2b9b3a95, "devl_resource_register" },
	{ 0xc4b84cf8, "bpf_verifier_log_write" },
	{ 0x136711a4, "skb_queue_tail" },
	{ 0x7fcc1f2e, "devlink_fmsg_bool_pair_put" },
	{ 0x92bd31db, "devlink_net" },
	{ 0x5a01e8ab, "free_fib_info" },
	{ 0x6d6767fe, "devl_health_reporter_create" },
	{ 0xaeeec582, "flow_block_cb_setup_simple" },
	{ 0x800473f, "__cond_resched" },
	{ 0x4b27d977, "devlink_fmsg_arr_pair_nest_start" },
	{ 0x352ec68b, "bpf_offload_dev_destroy" },
	{ 0xa247b83b, "__dev_get_by_index" },
	{ 0x8241aab5, "rtnl_link_unregister" },
	{ 0x461dfab1, "devlink_fmsg_pair_nest_start" },
	{ 0x2efa2c2b, "bus_unregister" },
	{ 0x8c25764, "devlink_flash_update_timeout_notify" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x2bd9d0b2, "debugfs_create_bool" },
	{ 0x2d938670, "simple_open" },
	{ 0x949b5176, "devlink_region_snapshot_create" },
	{ 0x8ec9aec2, "devlink_fmsg_u8_pair_put" },
	{ 0xea03c881, "dev_get_by_index" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6aa6c3b8, "devl_port_register_with_ops" },
	{ 0x929e4028, "devlink_fmsg_u32_put" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x495eed8e, "debugfs_remove" },
	{ 0xad0c171b, "napi_enable" },
	{ 0x11156b9c, "unregister_netdevice_notifier_net" },
	{ 0xf24849a9, "netif_receive_skb" },
	{ 0x331b6c12, "unregister_fib_notifier" },
	{ 0x2c59cd39, "psample_group_get" },
	{ 0x7a3f16a2, "devl_region_destroy" },
	{ 0x574348ab, "debugfs_create_u64" },
	{ 0xffb7c514, "ida_free" },
	{ 0x3ffe3b9b, "driver_unregister" },
	{ 0x2e9d1dca, "free_netdev" },
	{ 0x2dd0e7fa, "devl_params_register" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xba72ef4b, "page_pool_put_unrefed_netmem" },
	{ 0x8c9e54d3, "devlink_info_version_running_put_ext" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x65ea0b6f, "device_register" },
	{ 0xc76ddced, "devl_trylock" },
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0xc9a0b1e3, "page_pool_create" },
	{ 0x7c340d57, "devl_param_driverinit_value_set" },
	{ 0xdcb764ad, "memset" },
	{ 0xf9ca2eb4, "kstrtoint_from_user" },
	{ 0x18f967de, "devl_trap_policers_unregister" },
	{ 0x42cc9637, "debugfs_create_u32_array" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x45e4d6cf, "devl_resources_unregister" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0xb4863b72, "devlink_fmsg_u64_pair_put" },
	{ 0x30d94f20, "devl_trap_groups_register" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x4419dde5, "debugfs_create_u32" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xa709c835, "fib6_info_destroy_rcu" },
	{ 0x119b43c0, "devl_params_unregister" },
	{ 0x470ce88b, "nexthop_set_hw_flags" },
	{ 0xc84a4bc5, "devlink_trap_report" },
	{ 0xa0994320, "devlink_fmsg_obj_nest_start" },
	{ 0x55cc4448, "fib_alias_hw_flags_set" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9bb21bb0, "devl_traps_register" },
	{ 0xf3076911, "devl_unlock" },
	{ 0xe3c7bd1e, "__dynamic_netdev_dbg" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x32f1e81b, "seq_read" },
	{ 0xcd8e1166, "__put_net" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xef078394, "xdp_attachment_setup" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x13107c3a, "debugfs_create_file" },
	{ 0x28839c12, "rhashtable_init_noprof" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0x9384c769, "psample_group_put" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x82d13cbc, "netif_queue_set_napi" },
	{ 0x1ed36880, "devl_port_unregister" },
	{ 0x87ec261d, "page_pool_alloc_pages" },
	{ 0x3fc2bbf2, "devl_param_driverinit_value_get" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc9ad94d3, "netif_carrier_off" },
	{ 0x899fbd06, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb6226fbe, "devlink_priv" },
	{ 0xf8b3043c, "bpf_offload_dev_netdev_unregister" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xc7684240, "unregister_nexthop_notifier" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xab15a79a, "nexthop_bucket_set_hw_flags" },
	{ 0xe183d7a3, "register_nexthop_notifier" },
	{ 0xa5c872a7, "single_release" },
	{ 0x1b6314fd, "in_aton" },
	{ 0x5211c02e, "__dev_forward_skb" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x6137b6cd, "devlink_fmsg_string_pair_put" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xb3c59365, "bpf_offload_dev_create" },
	{ 0x1f563160, "bpf_offload_dev_priv" },
	{ 0x818616aa, "devl_resource_occ_get_register" },
	{ 0xc25a42ab, "napi_schedule_prep" },
	{ 0xa924297d, "devlink_fmsg_pair_nest_end" },
	{ 0x98cf60b3, "strlen" },
	{ 0xdb763fe2, "napi_disable" },
	{ 0xd7c7d5c, "dev_kfree_skb_any_reason" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x18e924cf, "devl_trap_policers_register" },
	{ 0x3466fede, "single_open" },
	{ 0x170d34ce, "devl_register" },
	{ 0xe820ea6a, "debugfs_create_dir" },
	{ 0xe7508f4f, "generic_file_llseek" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x5359e8dc, "__kvmalloc_node_noprof" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xb8c8d355, "netdev_offload_xstats_push_delta" },
	{ 0x4e62ef2c, "skb_clone_tx_timestamp" },
	{ 0x83cf91d, "driver_register" },
	{ 0x95b08404, "get_net_ns_by_fd" },
	{ 0x8422a939, "devl_trap_groups_unregister" },
	{ 0xf9a482f9, "msleep" },
	{ 0x5b3ce758, "devl_traps_unregister" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x3932f94, "netdev_info" },
	{ 0xb9cb04c5, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xec0e8314, "register_netdevice" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "psample");


MODULE_INFO(srcversion, "D0C5D261281FC0A36838CB1");
