#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(xpcs_get_an_mode, "_gpl", "");
KSYMTAB_FUNC(xpcs_get_interfaces, "_gpl", "");
KSYMTAB_FUNC(xpcs_config_eee, "_gpl", "");
KSYMTAB_FUNC(xpcs_do_config, "_gpl", "");
KSYMTAB_FUNC(xpcs_link_up, "_gpl", "");
KSYMTAB_FUNC(xpcs_create_mdiodev, "_gpl", "");
KSYMTAB_FUNC(xpcs_create_fwnode, "_gpl", "");
KSYMTAB_FUNC(xpcs_destroy, "_gpl", "");

SYMBOL_CRC(xpcs_get_an_mode, 0x6c4cd062, "_gpl");
SYMBOL_CRC(xpcs_get_interfaces, 0xc60efb0f, "_gpl");
SYMBOL_CRC(xpcs_config_eee, 0xf5112116, "_gpl");
SYMBOL_CRC(xpcs_do_config, 0x23eed12b, "_gpl");
SYMBOL_CRC(xpcs_link_up, 0xc91ab124, "_gpl");
SYMBOL_CRC(xpcs_create_mdiodev, 0x3dde184f, "_gpl");
SYMBOL_CRC(xpcs_create_fwnode, 0xffe29594, "_gpl");
SYMBOL_CRC(xpcs_destroy, 0xbf90702a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1471dbae, "mdiobus_c45_modify_changed" },
	{ 0x571dff42, "mdiobus_c45_read" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0xd62ccf48, "devm_pm_runtime_enable" },
	{ 0x3b82c1cf, "platform_driver_unregister" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x479f7d4b, "clk_bulk_disable" },
	{ 0xc8ad4615, "phylink_resolve_c73" },
	{ 0x37a0cba, "kfree" },
	{ 0x63c08029, "clk_bulk_unprepare" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x14804209, "platform_get_resource_byname" },
	{ 0x67155184, "get_device" },
	{ 0x529a4dcc, "fwnode_mdio_find_device" },
	{ 0xb488bd02, "devm_clk_get" },
	{ 0xd7ed180c, "mdiobus_c45_write" },
	{ 0xd7094a04, "__pm_runtime_set_status" },
	{ 0x9bd74203, "device_set_node" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd80f18f2, "device_property_read_u32_array" },
	{ 0xb5a7482e, "mdio_device_register" },
	{ 0xef29fcdd, "clk_bulk_put" },
	{ 0xc7a7e770, "clk_bulk_enable" },
	{ 0x800473f, "__cond_resched" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xd23ec52a, "phylink_mii_c45_pcs_get_state" },
	{ 0x658fc643, "mdio_device_create" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0xe401d208, "device_get_match_data" },
	{ 0xaeb77b1a, "fwnode_handle_get" },
	{ 0xc0632f95, "phylink_mii_c22_pcs_encode_advertisement" },
	{ 0xf521073a, "devm_mdiobus_alloc_size" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xed826b94, "__platform_driver_register" },
	{ 0x206a71d3, "fwnode_device_is_available" },
	{ 0x4f139bf4, "__pm_runtime_resume" },
	{ 0xbfc8b417, "devm_ioremap_resource" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x8aabc0f5, "clk_bulk_get_optional" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x8264c293, "phylink_mii_c22_pcs_decode_state" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x7c22d946, "__devm_mdiobus_register" },
	{ 0xead5c8e5, "clk_bulk_prepare" },
	{ 0x92f2a8c, "dev_err_probe" },
	{ 0xd2b7792b, "mdio_device_free" },
	{ 0x815588a6, "clk_enable" },
	{ 0x61f81ab3, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0x9aaacae9, "__dev_fwnode" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("of:N*T*Csnps,dw-xpcs");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcsC*");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen1-3g");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen1-3gC*");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen2-3g");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen2-3gC*");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen2-6g");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen2-6gC*");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen4-3g");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen4-3gC*");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen4-6g");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen4-6gC*");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen5-10g");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen5-10gC*");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen5-12g");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen5-12gC*");

MODULE_INFO(srcversion, "1BA9AE7B6E22236DC40DFE3");
