#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__bcm_phy_write_exp, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_write_exp, "_gpl", "");
KSYMTAB_FUNC(__bcm_phy_read_exp, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_read_exp, "_gpl", "");
KSYMTAB_FUNC(__bcm_phy_modify_exp, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_modify_exp, "_gpl", "");
KSYMTAB_FUNC(bcm54xx_auxctl_read, "_gpl", "");
KSYMTAB_FUNC(bcm54xx_auxctl_write, "", "");
KSYMTAB_FUNC(bcm_phy_write_misc, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_read_misc, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_ack_intr, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_config_intr, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_handle_interrupt, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_read_shadow, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_write_shadow, "_gpl", "");
KSYMTAB_FUNC(__bcm_phy_read_rdb, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_read_rdb, "_gpl", "");
KSYMTAB_FUNC(__bcm_phy_write_rdb, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_write_rdb, "_gpl", "");
KSYMTAB_FUNC(__bcm_phy_modify_rdb, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_modify_rdb, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_enable_apd, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_set_eee, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_downshift_get, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_downshift_set, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_get_sset_count, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_get_strings, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_get_stats, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_r_rc_cal_reset, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_28nm_a0b0_afe_config_init, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_enable_jumbo, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_cable_test_start, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_cable_test_get_status, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_cable_test_start_rdb, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_cable_test_get_status_rdb, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_set_wol, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_get_wol, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_wol_isr, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_led_brightness_set, "_gpl", "");
KSYMTAB_FUNC(bcm_setup_lre_master_slave, "_gpl", "");
KSYMTAB_FUNC(bcm_config_lre_aneg, "_gpl", "");
KSYMTAB_FUNC(bcm_config_lre_advert, "_gpl", "");

SYMBOL_CRC(__bcm_phy_write_exp, 0xabffb3ac, "_gpl");
SYMBOL_CRC(bcm_phy_write_exp, 0x0f7c65d6, "_gpl");
SYMBOL_CRC(__bcm_phy_read_exp, 0x4a8b3a7f, "_gpl");
SYMBOL_CRC(bcm_phy_read_exp, 0xff5effe2, "_gpl");
SYMBOL_CRC(__bcm_phy_modify_exp, 0xfeaa57cc, "_gpl");
SYMBOL_CRC(bcm_phy_modify_exp, 0x469a638b, "_gpl");
SYMBOL_CRC(bcm54xx_auxctl_read, 0xb1ebe03c, "_gpl");
SYMBOL_CRC(bcm54xx_auxctl_write, 0x7de050a2, "");
SYMBOL_CRC(bcm_phy_write_misc, 0xe11ba566, "_gpl");
SYMBOL_CRC(bcm_phy_read_misc, 0x3702c01e, "_gpl");
SYMBOL_CRC(bcm_phy_ack_intr, 0xc894827e, "_gpl");
SYMBOL_CRC(bcm_phy_config_intr, 0x51a0a7bb, "_gpl");
SYMBOL_CRC(bcm_phy_handle_interrupt, 0x3a33d776, "_gpl");
SYMBOL_CRC(bcm_phy_read_shadow, 0x2064ccc6, "_gpl");
SYMBOL_CRC(bcm_phy_write_shadow, 0x9ddc9cbd, "_gpl");
SYMBOL_CRC(__bcm_phy_read_rdb, 0xa85e7ced, "_gpl");
SYMBOL_CRC(bcm_phy_read_rdb, 0x1d8bb970, "_gpl");
SYMBOL_CRC(__bcm_phy_write_rdb, 0x970ee468, "_gpl");
SYMBOL_CRC(bcm_phy_write_rdb, 0x338d3212, "_gpl");
SYMBOL_CRC(__bcm_phy_modify_rdb, 0xed4b7583, "_gpl");
SYMBOL_CRC(bcm_phy_modify_rdb, 0x557b41c4, "_gpl");
SYMBOL_CRC(bcm_phy_enable_apd, 0x635d7a42, "_gpl");
SYMBOL_CRC(bcm_phy_set_eee, 0xfa4f78f0, "_gpl");
SYMBOL_CRC(bcm_phy_downshift_get, 0x56f33141, "_gpl");
SYMBOL_CRC(bcm_phy_downshift_set, 0x96aad7ae, "_gpl");
SYMBOL_CRC(bcm_phy_get_sset_count, 0x0f4ef904, "_gpl");
SYMBOL_CRC(bcm_phy_get_strings, 0x12fb1e41, "_gpl");
SYMBOL_CRC(bcm_phy_get_stats, 0xcff50945, "_gpl");
SYMBOL_CRC(bcm_phy_r_rc_cal_reset, 0x738b56dd, "_gpl");
SYMBOL_CRC(bcm_phy_28nm_a0b0_afe_config_init, 0x1ca9a6bb, "_gpl");
SYMBOL_CRC(bcm_phy_enable_jumbo, 0xbd95d413, "_gpl");
SYMBOL_CRC(bcm_phy_cable_test_start, 0xfebbe499, "_gpl");
SYMBOL_CRC(bcm_phy_cable_test_get_status, 0xca12b53e, "_gpl");
SYMBOL_CRC(bcm_phy_cable_test_start_rdb, 0xcd7470ad, "_gpl");
SYMBOL_CRC(bcm_phy_cable_test_get_status_rdb, 0x34d85b79, "_gpl");
SYMBOL_CRC(bcm_phy_set_wol, 0x84365d36, "_gpl");
SYMBOL_CRC(bcm_phy_get_wol, 0xddcedce2, "_gpl");
SYMBOL_CRC(bcm_phy_wol_isr, 0xa0f0ddfd, "_gpl");
SYMBOL_CRC(bcm_phy_led_brightness_set, 0x11ede611, "_gpl");
SYMBOL_CRC(bcm_setup_lre_master_slave, 0x6eaed9b8, "_gpl");
SYMBOL_CRC(bcm_config_lre_aneg, 0x33ad008e, "_gpl");
SYMBOL_CRC(bcm_config_lre_advert, 0x6440ff6e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xad83cfb7, "mdiobus_write" },
	{ 0x3d4f5621, "mdiobus_read" },
	{ 0x2e3092aa, "phy_trigger_machine" },
	{ 0x3e70a397, "phy_error" },
	{ 0xc9b97586, "phy_read_mmd" },
	{ 0x70173deb, "phy_write_mmd" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x2568f557, "phy_modify_changed" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0xe974f811, "genphy_config_eee_advert" },
	{ 0x872f1ed8, "genphy_check_and_restart_aneg" },
	{ 0x27f10053, "phy_modify" },
	{ 0x64b610cd, "__mdiobus_write" },
	{ 0x25fc5c1a, "__mdiobus_read" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe688c778, "ethnl_cable_test_result" },
	{ 0x6ec39045, "ethnl_cable_test_fault_length" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xdcb764ad, "memset" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "07F6330A68B82FE942CF8DA");
