#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9ad43fc5, "phy_drivers_register" },
	{ 0x82cf631a, "genphy_suspend" },
	{ 0x3d4f5621, "mdiobus_read" },
	{ 0xcc98d94, "genphy_resume" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x70173deb, "phy_write_mmd" },
	{ 0xad83cfb7, "mdiobus_write" },
	{ 0x1bd0c66b, "genphy_read_status" },
	{ 0x27f10053, "phy_modify" },
	{ 0xfec7c124, "genphy_read_abilities" },
	{ 0xf9ed9452, "of_property_read_variable_u32_array" },
	{ 0xc9b97586, "phy_read_mmd" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2e3092aa, "phy_trigger_machine" },
	{ 0x3e70a397, "phy_error" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x8450f433, "ptp_find_pin_unlocked" },
	{ 0xb436ba7a, "ptp_clock_event" },
	{ 0x561dbae5, "ptp_cancel_worker_sync" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0xe414fb5b, "ptp_clock_index" },
	{ 0x9f66a4ce, "sk_skb_reason_drop" },
	{ 0x752522ff, "ptp_msg_is_sync" },
	{ 0x136711a4, "skb_queue_tail" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x64b610cd, "__mdiobus_write" },
	{ 0x25fc5c1a, "__mdiobus_read" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x800473f, "__cond_resched" },
	{ 0xe688c778, "ethnl_cable_test_result" },
	{ 0x6ec39045, "ethnl_cable_test_fault_length" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xa8b07360, "phy_drivers_unregister" },
	{ 0xc50189ea, "genphy_restart_aneg" },
	{ 0x67f3f0fb, "__genphy_config_aneg" },
	{ 0x1479a216, "phy_eee_cap1_features" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xa1aeab4d, "phy_modify_mmd" },
	{ 0xbe4c4d23, "phy_init_hw" },
	{ 0x840db7dc, "ptp_parse_header" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x51335c0e, "netif_rx" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xbfe0703a, "skb_push" },
	{ 0xb14dbed6, "ptp_classify_raw" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x9116067c, "ptp_schedule_worker" },
	{ 0x5195dcc3, "skb_queue_purge_reason" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0xdcb764ad, "memset" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf79c4542, "ptp_clock_register" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0x97c5a8ac, "devm_phy_package_join" },
	{ 0xe807266f, "devm_gpiod_get_optional" },
	{ 0x2b1787f9, "gpiod_set_consumer_name" },
	{ 0x6d627a58, "gpiod_set_value_cansleep" },
	{ 0xafc892e2, "ptp_find_pin" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x122c3a7e, "_printk" },
	{ 0x5b36a3ec, "of_find_property" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0x8a28a4a0, "devm_clk_get_optional_enabled" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xf9a482f9, "msleep" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0x5770b312, "skb_complete_tx_timestamp" },
	{ 0x37a0cba, "kfree" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x4118dec3, "genphy_soft_reset" },
	{ 0x90ad7855, "genphy_read_mmd_unsupported" },
	{ 0xed1ffa2d, "genphy_write_mmd_unsupported" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("mdio:????????????0010000101100001000?");
MODULE_ALIAS("mdio:????????00100010000101100010????");
MODULE_ALIAS("mdio:????????00100010000101100100????");
MODULE_ALIAS("mdio:????????0010001000010110000110??");
MODULE_ALIAS("mdio:????????00100010000101110010????");
MODULE_ALIAS("mdio:????????001000100001010101010101");
MODULE_ALIAS("mdio:????????001000100001010101010110");
MODULE_ALIAS("mdio:????????00100010000101010001????");
MODULE_ALIAS("mdio:????????00100010000101010101????");
MODULE_ALIAS("mdio:????????00100010000101010111????");
MODULE_ALIAS("mdio:????????00100010000101010110????");
MODULE_ALIAS("mdio:????????00001110011100100011????");
MODULE_ALIAS("mdio:????????00100010000101000011????");
MODULE_ALIAS("mdio:????????00100010000101100011????");
MODULE_ALIAS("mdio:????????00100010000101100110????");
MODULE_ALIAS("mdio:????????00100010000101100111????");
MODULE_ALIAS("mdio:????????00100010000101100101????");

MODULE_INFO(srcversion, "1BC1F973D3F0863B5947015");
