#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(at803x_debug_reg_read, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_mask, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_write, "_gpl", "");
KSYMTAB_FUNC(at803x_set_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_get_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_ack_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_config_intr, "_gpl", "");
KSYMTAB_FUNC(at803x_handle_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_read_specific_status, "_gpl", "");
KSYMTAB_FUNC(at803x_config_mdix, "_gpl", "");
KSYMTAB_FUNC(at803x_prepare_config_aneg, "_gpl", "");
KSYMTAB_FUNC(at803x_read_status, "_gpl", "");
KSYMTAB_FUNC(at803x_get_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_set_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_fault_length, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_start, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_wait_for_completion, "_gpl", "");
KSYMTAB_FUNC(qca808x_cable_test_get_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_enable, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_brightness_set, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_blink_set, "_gpl", "");

SYMBOL_CRC(at803x_debug_reg_read, 0xda69e6b9, "_gpl");
SYMBOL_CRC(at803x_debug_reg_mask, 0xefe7fe59, "_gpl");
SYMBOL_CRC(at803x_debug_reg_write, 0x5696e51a, "_gpl");
SYMBOL_CRC(at803x_set_wol, 0xe47c3c08, "_gpl");
SYMBOL_CRC(at803x_get_wol, 0xd7c8bf44, "_gpl");
SYMBOL_CRC(at803x_ack_interrupt, 0x77c372ca, "_gpl");
SYMBOL_CRC(at803x_config_intr, 0xd1963953, "_gpl");
SYMBOL_CRC(at803x_handle_interrupt, 0x7ded4d6f, "_gpl");
SYMBOL_CRC(at803x_read_specific_status, 0xc17d484f, "_gpl");
SYMBOL_CRC(at803x_config_mdix, 0xe53f72ac, "_gpl");
SYMBOL_CRC(at803x_prepare_config_aneg, 0x2ebbc252, "_gpl");
SYMBOL_CRC(at803x_read_status, 0xa269f534, "_gpl");
SYMBOL_CRC(at803x_get_tunable, 0x325cdf25, "_gpl");
SYMBOL_CRC(at803x_set_tunable, 0x7d0c0e9c, "_gpl");
SYMBOL_CRC(at803x_cdt_fault_length, 0xede3878a, "_gpl");
SYMBOL_CRC(at803x_cdt_start, 0xca82e6c7, "_gpl");
SYMBOL_CRC(at803x_cdt_wait_for_completion, 0x463296d5, "_gpl");
SYMBOL_CRC(qca808x_cable_test_get_status, 0x436a2894, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_enable, 0x240b3927, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_status, 0x391dacc5, "_gpl");
SYMBOL_CRC(qca808x_led_reg_brightness_set, 0xebacca40, "_gpl");
SYMBOL_CRC(qca808x_led_reg_blink_set, 0x997f0bfa, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xad83cfb7, "mdiobus_write" },
	{ 0x3d4f5621, "mdiobus_read" },
	{ 0x70173deb, "phy_write_mmd" },
	{ 0x27f10053, "phy_modify" },
	{ 0x2e3092aa, "phy_trigger_machine" },
	{ 0x3e70a397, "phy_error" },
	{ 0x2568f557, "phy_modify_changed" },
	{ 0x7bb9064d, "genphy_update_link" },
	{ 0xe90e1fd6, "genphy_read_lpa" },
	{ 0x52403a28, "phy_resolve_aneg_pause" },
	{ 0xbe4c4d23, "phy_init_hw" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x800473f, "__cond_resched" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0xc9b97586, "phy_read_mmd" },
	{ 0xe688c778, "ethnl_cable_test_result" },
	{ 0x6ec39045, "ethnl_cable_test_fault_length" },
	{ 0xa1aeab4d, "phy_modify_mmd" },
	{ 0x4118dec3, "genphy_soft_reset" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "7713A75A3D1ED6CE6391A77");
