#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ppp_register_net_channel, "", "");
KSYMTAB_FUNC(ppp_register_channel, "", "");
KSYMTAB_FUNC(ppp_unregister_channel, "", "");
KSYMTAB_FUNC(ppp_channel_index, "", "");
KSYMTAB_FUNC(ppp_unit_number, "", "");
KSYMTAB_FUNC(ppp_dev_name, "", "");
KSYMTAB_FUNC(ppp_input, "", "");
KSYMTAB_FUNC(ppp_input_error, "", "");
KSYMTAB_FUNC(ppp_output_wakeup, "", "");
KSYMTAB_FUNC(ppp_register_compressor, "", "");
KSYMTAB_FUNC(ppp_unregister_compressor, "", "");

SYMBOL_CRC(ppp_register_net_channel, 0x6979be1a, "");
SYMBOL_CRC(ppp_register_channel, 0xafad18f8, "");
SYMBOL_CRC(ppp_unregister_channel, 0xf7422ab4, "");
SYMBOL_CRC(ppp_channel_index, 0xa86b17fb, "");
SYMBOL_CRC(ppp_unit_number, 0x3e2f860c, "");
SYMBOL_CRC(ppp_dev_name, 0x28b4b315, "");
SYMBOL_CRC(ppp_input, 0x175f8864, "");
SYMBOL_CRC(ppp_input_error, 0x106a4814, "");
SYMBOL_CRC(ppp_output_wakeup, 0xef719533, "");
SYMBOL_CRC(ppp_register_compressor, 0xfdae4346, "");
SYMBOL_CRC(ppp_unregister_compressor, 0x95d5759f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x95463bb7, "__alloc_skb" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x9f66a4ce, "sk_skb_reason_drop" },
	{ 0x4679fb71, "consume_skb" },
	{ 0xc2af5a6, "skb_put" },
	{ 0xb6476d61, "skb_pull" },
	{ 0x492fdb70, "netdev_err" },
	{ 0x77a07d84, "unregister_netdevice_queue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x20978fb9, "idr_find" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x22180f30, "netdev_name_in_use" },
	{ 0xec0e8314, "register_netdevice" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x1d3b79dd, "ns_capable" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x122c3a7e, "_printk" },
	{ 0x311e6281, "register_pernet_device" },
	{ 0xacdd7225, "__register_chrdev" },
	{ 0xaa3a3bb3, "class_register" },
	{ 0xeb16b253, "rtnl_link_register" },
	{ 0x8e7d5be0, "device_create" },
	{ 0x59f2589b, "unregister_pernet_device" },
	{ 0x2e6fc05a, "class_unregister" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x8241aab5, "rtnl_link_unregister" },
	{ 0xb35e7976, "device_destroy" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x102bb9f3, "bpf_prog_create" },
	{ 0x37a0cba, "kfree" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xc36d5e18, "fget" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x97b585fb, "fput" },
	{ 0x4829a47e, "memcpy" },
	{ 0x136711a4, "skb_queue_tail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x617c452b, "queued_read_lock_slowpath" },
	{ 0xd4845a05, "try_module_get" },
	{ 0x5409cff7, "__netdev_alloc_skb" },
	{ 0x74b8e674, "slhc_toss" },
	{ 0xa86fbee8, "__pskb_pull_tail" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x9f43a51d, "netdev_printk" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x1000e51, "schedule" },
	{ 0x87ef83ff, "skb_dequeue" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x47c6dbd0, "iov_iter_init" },
	{ 0xe0a547c9, "skb_copy_datagram_iter" },
	{ 0xdcb764ad, "memset" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xe2964344, "__wake_up" },
	{ 0x1f9a9c72, "module_put" },
	{ 0x2a928918, "slhc_free" },
	{ 0x5195dcc3, "skb_queue_purge_reason" },
	{ 0x3190c2f9, "bpf_prog_destroy" },
	{ 0x2e9d1dca, "free_netdev" },
	{ 0xcd8e1166, "__put_net" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xc528a49a, "queued_write_lock_slowpath" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xbfe0703a, "skb_push" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xdcdc0040, "slhc_compress" },
	{ 0x69f2e923, "netif_tx_wake_queue" },
	{ 0xf85686bf, "skb_queue_head" },
	{ 0x568a342c, "skb_scrub_packet" },
	{ 0xf4ee861a, "pskb_expand_head" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xe62f4ba2, "skb_copy_bits" },
	{ 0xf36f42a9, "slhc_uncompress" },
	{ 0x43f9ebc8, "slhc_remember" },
	{ 0x99eabdf8, "skb_trim" },
	{ 0xdc82e11, "skb_pull_rcsum" },
	{ 0x51335c0e, "netif_rx" },
	{ 0xca0eee00, "alloc_netdev_mqs" },
	{ 0x15f90688, "slhc_init" },
	{ 0x668b19a1, "down_read" },
	{ 0x53b954a2, "up_read" },
	{ 0x14c5dd46, "param_ops_bool" },
	{ 0xfdc0adc2, "noop_llseek" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "slhc");


MODULE_INFO(srcversion, "BB3A49C4C88642D800430A9");
