#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf4ee861a, "pskb_expand_head" },
	{ 0xbfe0703a, "skb_push" },
	{ 0xa86fbee8, "__pskb_pull_tail" },
	{ 0xd7c7d5c, "dev_kfree_skb_any_reason" },
	{ 0x7f587095, "usbnet_read_cmd" },
	{ 0xa86a1546, "usbnet_read_cmd_nopm" },
	{ 0x3ac8793, "netdev_warn" },
	{ 0xaefc24f6, "usbnet_write_cmd" },
	{ 0x82270c22, "usbnet_write_cmd_nopm" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x145c8336, "eth_platform_get_mac_address" },
	{ 0x3932f94, "netdev_info" },
	{ 0x8fe7fc51, "dev_addr_mod" },
	{ 0xe3c7bd1e, "__dynamic_netdev_dbg" },
	{ 0xa0b12434, "mii_ethtool_set_link_ksettings" },
	{ 0xd2163758, "mii_ethtool_get_link_ksettings" },
	{ 0x54fe50d5, "generic_mii_ioctl" },
	{ 0xd941f894, "usb_register_driver" },
	{ 0x121cc775, "usbnet_disconnect" },
	{ 0x4d8dc364, "usb_deregister" },
	{ 0xd024e181, "usbnet_write_cmd_async" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xe3bb7ea1, "usbnet_link_change" },
	{ 0x99eabdf8, "skb_trim" },
	{ 0x5409cff7, "__netdev_alloc_skb" },
	{ 0xc2af5a6, "skb_put" },
	{ 0x4829a47e, "memcpy" },
	{ 0x86a65159, "usbnet_skb_return" },
	{ 0xb6476d61, "skb_pull" },
	{ 0x37a0cba, "kfree" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xf9a482f9, "msleep" },
	{ 0x492fdb70, "netdev_err" },
	{ 0x2695e57, "usbnet_suspend" },
	{ 0x228d77b5, "usbnet_update_max_qlen" },
	{ 0x8f37cc8, "mii_ethtool_gset" },
	{ 0x46040f0b, "mii_nway_restart" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xaa985d4e, "netif_carrier_on" },
	{ 0xdcb764ad, "memset" },
	{ 0x733fe9cd, "usbnet_resume" },
	{ 0xc09bfa75, "usbnet_get_endpoints" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xc198c6bd, "netif_set_tso_max_size" },
	{ 0x98f6e08b, "usbnet_probe" },
	{ 0x78bb5f9, "usbnet_open" },
	{ 0xcd8477e5, "usbnet_stop" },
	{ 0xbb9df51a, "usbnet_start_xmit" },
	{ 0x64cd86f, "eth_validate_addr" },
	{ 0xa3316c90, "usbnet_tx_timeout" },
	{ 0x11bae7a4, "dev_get_tstats64" },
	{ 0xe0bfbb3b, "usbnet_get_msglevel" },
	{ 0xc48cb194, "usbnet_set_msglevel" },
	{ 0xfa7a1bee, "usbnet_nway_reset" },
	{ 0xfb7b1730, "ethtool_op_get_link" },
	{ 0xe4373252, "ethtool_op_get_ts_info" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "usbnet");

MODULE_ALIAS("usb:v0B95p1790d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v0B95p178Ad*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v04B4p3610d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v2001p4A00d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v0DF6p0072d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v04E8pA100d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v17EFp304Bd*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v050Dp0128d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v0930p0A13d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v0711p0179d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v07C9p000Ed*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v07C9p000Fd*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v07C9p0010d*dc*dsc*dp*icFFiscFFip00in*");

MODULE_INFO(srcversion, "E4BEF6D15D44F81FF22E01D");
