#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cdc_ncm_change_mtu, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_bind_common, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_unbind, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_select_altsetting, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_fill_tx_frame, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_tx_fixup, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_nth16, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_nth32, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_ndp16, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_ndp32, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_fixup, "_gpl", "");

SYMBOL_CRC(cdc_ncm_change_mtu, 0x9e421d1b, "_gpl");
SYMBOL_CRC(cdc_ncm_bind_common, 0x4c0fff58, "_gpl");
SYMBOL_CRC(cdc_ncm_unbind, 0x9cdf653d, "_gpl");
SYMBOL_CRC(cdc_ncm_select_altsetting, 0x49ffa0ee, "_gpl");
SYMBOL_CRC(cdc_ncm_fill_tx_frame, 0x9bbd50b9, "_gpl");
SYMBOL_CRC(cdc_ncm_tx_fixup, 0xf205f92c, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_nth16, 0xa4ecd4af, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_nth32, 0xa4b6e029, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_ndp16, 0xbb106979, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_ndp32, 0xb325b139, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_fixup, 0xaa4e59eb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xd7c7d5c, "dev_kfree_skb_any_reason" },
	{ 0x37a0cba, "kfree" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xacf4622f, "usb_driver_release_interface" },
	{ 0xc1cbc6ce, "usb_altnum_to_altsetting" },
	{ 0xe3c7bd1e, "__dynamic_netdev_dbg" },
	{ 0xd941f894, "usb_register_driver" },
	{ 0x4d8dc364, "usb_deregister" },
	{ 0xe3bb7ea1, "usbnet_link_change" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0x228d77b5, "usbnet_update_max_qlen" },
	{ 0xb86a54ab, "usbnet_unlink_rx_urbs" },
	{ 0xaefc24f6, "usbnet_write_cmd" },
	{ 0x9e9af7c7, "netif_tx_lock" },
	{ 0xbb9df51a, "usbnet_start_xmit" },
	{ 0xf6cc8099, "netif_tx_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x3c96fa2f, "hrtimer_active" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0x7f587095, "usbnet_read_cmd" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x5409cff7, "__netdev_alloc_skb" },
	{ 0xc2af5a6, "skb_put" },
	{ 0x4829a47e, "memcpy" },
	{ 0x86a65159, "usbnet_skb_return" },
	{ 0xdcb764ad, "memset" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xc1608025, "cdc_parse_cdc_header" },
	{ 0xa8a4dd06, "usb_ifnum_to_if" },
	{ 0xdd405fb7, "usb_driver_claim_interface" },
	{ 0xc74b6f45, "usb_set_interface" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x682b49, "usbnet_get_ethernet_addr" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x95463bb7, "__alloc_skb" },
	{ 0xbde2dbd2, "usbnet_manage_power" },
	{ 0xd527b01f, "usbnet_cdc_update_filter" },
	{ 0x78bb5f9, "usbnet_open" },
	{ 0xcd8477e5, "usbnet_stop" },
	{ 0x452f353c, "usbnet_set_rx_mode" },
	{ 0xadb19534, "eth_mac_addr" },
	{ 0x64cd86f, "eth_validate_addr" },
	{ 0xa3316c90, "usbnet_tx_timeout" },
	{ 0x11bae7a4, "dev_get_tstats64" },
	{ 0xe6c277df, "usbnet_get_drvinfo" },
	{ 0xe0bfbb3b, "usbnet_get_msglevel" },
	{ 0xc48cb194, "usbnet_set_msglevel" },
	{ 0xfa7a1bee, "usbnet_nway_reset" },
	{ 0xe538fbcb, "usbnet_get_link" },
	{ 0xe4373252, "ethtool_op_get_ts_info" },
	{ 0xb446287b, "usbnet_get_link_ksettings_internal" },
	{ 0x98f6e08b, "usbnet_probe" },
	{ 0x121cc775, "usbnet_disconnect" },
	{ 0x2695e57, "usbnet_suspend" },
	{ 0x733fe9cd, "usbnet_resume" },
	{ 0x14c5dd46, "param_ops_bool" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "usbnet,cdc_ether");

MODULE_ALIAS("usb:v05ACp12A8d*dc*dsc*dp*ic*isc*ip*in02*");
MODULE_ALIAS("usb:v05ACp12A8d*dc*dsc*dp*ic*isc*ip*in04*");
MODULE_ALIAS("usb:v05ACp12ABd*dc*dsc*dp*ic*isc*ip*in02*");
MODULE_ALIAS("usb:v05ACp12ABd*dc*dsc*dp*ic*isc*ip*in04*");
MODULE_ALIAS("usb:v0BDBp*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1BC7p0036d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp81BBd*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp81BCd*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v0930p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1519p0443d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1546p1010d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v17E9p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc0Dip00in*");

MODULE_INFO(srcversion, "D3DE83AE5D5E875CFE14D00");
