#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rtl8152_get_version, "_gpl", "");

SYMBOL_CRC(rtl8152_get_version, 0x0637814e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xd6cc6cc2, "usb_control_msg" },
	{ 0x37a0cba, "kfree" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0x7e96ef69, "usb_register_device_driver" },
	{ 0xd941f894, "usb_register_driver" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x6a5e0c0e, "usb_queue_reset_device" },
	{ 0x3ac8793, "netdev_warn" },
	{ 0x4829a47e, "memcpy" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xdb763fe2, "napi_disable" },
	{ 0xad0c171b, "napi_enable" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x492fdb70, "netdev_err" },
	{ 0x853c4149, "usb_autopm_get_interface" },
	{ 0xe0cf529c, "usb_autopm_put_interface" },
	{ 0x46040f0b, "mii_nway_restart" },
	{ 0x2227c4aa, "crypto_alloc_shash" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x1dad1987, "crypto_shash_digest" },
	{ 0xc63dce24, "crypto_destroy_tfm" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4d8dc364, "usb_deregister" },
	{ 0x546b27b, "usb_deregister_device_driver" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xdcb764ad, "memset" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x49ee7ce3, "unregister_netdev" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x2e9d1dca, "free_netdev" },
	{ 0x1d3f22b7, "usb_free_urb" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xbb9c0973, "__put_devmap_managed_folio_refs" },
	{ 0xa873d5b5, "__folio_put" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x4e671beb, "dump_page" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4679fb71, "consume_skb" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8fe7fc51, "dev_addr_mod" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xf9a482f9, "msleep" },
	{ 0xfd8b9fb9, "usb_kill_urb" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0xe62f4ba2, "skb_copy_bits" },
	{ 0xf4ee861a, "pskb_expand_head" },
	{ 0xd7c7d5c, "dev_kfree_skb_any_reason" },
	{ 0x9e9af7c7, "netif_tx_lock" },
	{ 0xf6cc8099, "netif_tx_unlock" },
	{ 0x1f9f594e, "usb_autopm_get_interface_async" },
	{ 0xa359e790, "usb_submit_urb" },
	{ 0xba9c2f08, "__skb_gso_segment" },
	{ 0xc037dde3, "skb_checksum_help" },
	{ 0x69f2e923, "netif_tx_wake_queue" },
	{ 0xa0e38902, "usb_autopm_put_interface_async" },
	{ 0xf71fdfdc, "__kmalloc_cache_node_noprof" },
	{ 0x557d1823, "alloc_pages_noprof" },
	{ 0x9181493a, "usb_alloc_urb" },
	{ 0x581e9a37, "__free_pages" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x6600d181, "netdev_notice" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xbafc27ae, "netif_device_detach" },
	{ 0xda5b42df, "pm_wakeup_dev_event" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xf44f852a, "phy_check_valid" },
	{ 0xbaedacc7, "device_set_wakeup_enable" },
	{ 0x8dceb523, "request_firmware" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xc6cbbc89, "capable" },
	{ 0xc2c5802, "work_busy" },
	{ 0xc9ad94d3, "netif_carrier_off" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0xc25a42ab, "napi_schedule_prep" },
	{ 0x6f7d2f61, "__napi_schedule" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xaa985d4e, "netif_carrier_on" },
	{ 0x3932f94, "netdev_info" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x4e62ef2c, "skb_clone_tx_timestamp" },
	{ 0x136711a4, "skb_queue_tail" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xeffe1416, "skb_tstamp_tx" },
	{ 0xd2163758, "mii_ethtool_get_link_ksettings" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x5a921311, "strncmp" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xe3c7bd1e, "__dynamic_netdev_dbg" },
	{ 0x145c8336, "eth_platform_get_mac_address" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x3bc887c0, "dev_set_mac_address" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xed065a16, "usb_reset_device" },
	{ 0xf7f5887d, "alloc_etherdev_mqs" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xc198c6bd, "netif_set_tso_max_size" },
	{ 0xbdc26b3b, "netif_napi_add_weight" },
	{ 0x1ca4f351, "register_netdev" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x93c7edeb, "usb_find_common_endpoints" },
	{ 0xfc29c918, "usb_enable_lpm" },
	{ 0xbe714ee0, "netif_device_attach" },
	{ 0xecb7ae28, "napi_gro_receive" },
	{ 0x845f920a, "napi_alloc_skb" },
	{ 0xc2af5a6, "skb_put" },
	{ 0xffceeeb5, "eth_type_trans" },
	{ 0xfc138b47, "skb_add_rx_frag_netmem" },
	{ 0xffdc8235, "napi_gro_frags" },
	{ 0x9a409be7, "napi_get_frags" },
	{ 0xdb5b677b, "napi_complete_done" },
	{ 0x64cd86f, "eth_validate_addr" },
	{ 0xfb7b1730, "ethtool_op_get_link" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("usb:v0BDAp8050d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BDAp8053d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BDAp8152d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BDAp8153d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BDAp8155d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BDAp8156d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v045Ep07ABd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v045Ep07C6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v045Ep0927d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v045Ep0C5Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04E8pA101d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17EFp304Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17EFp3054d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17EFp3062d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17EFp3069d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17EFp3082d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17EFp7205d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17EFp720Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17EFp7214d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17EFp721Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17EFpA387d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p0041d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0955p09FFd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2357p0601d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001pB301d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p1976d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "655ECAEC61CE8BA9F8865B3");
