#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rndis_status, "_gpl", "");
KSYMTAB_FUNC(rndis_command, "_gpl", "");
KSYMTAB_FUNC(generic_rndis_bind, "_gpl", "");
KSYMTAB_FUNC(rndis_unbind, "_gpl", "");
KSYMTAB_FUNC(rndis_rx_fixup, "_gpl", "");
KSYMTAB_FUNC(rndis_tx_fixup, "_gpl", "");

SYMBOL_CRC(rndis_status, 0xb82df3fe, "_gpl");
SYMBOL_CRC(rndis_command, 0x0991100b, "_gpl");
SYMBOL_CRC(generic_rndis_bind, 0x34da0474, "_gpl");
SYMBOL_CRC(rndis_unbind, 0x41e09604, "_gpl");
SYMBOL_CRC(rndis_rx_fixup, 0xd3002911, "_gpl");
SYMBOL_CRC(rndis_tx_fixup, 0xbb021489, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd6cc6cc2, "usb_control_msg" },
	{ 0xdcb764ad, "memset" },
	{ 0x2317184f, "usb_interrupt_msg" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x3db8f703, "usbnet_generic_cdc_bind" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0xacf4622f, "usb_driver_release_interface" },
	{ 0x37a0cba, "kfree" },
	{ 0xe3c7bd1e, "__dynamic_netdev_dbg" },
	{ 0x8fe7fc51, "dev_addr_mod" },
	{ 0xb6476d61, "skb_pull" },
	{ 0x99eabdf8, "skb_trim" },
	{ 0xdae70849, "usbnet_cdc_zte_rx_fixup" },
	{ 0x6b53f5f8, "skb_clone" },
	{ 0x86a65159, "usbnet_skb_return" },
	{ 0xfae4eec, "skb_copy_expand" },
	{ 0xd7c7d5c, "dev_kfree_skb_any_reason" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xd941f894, "usb_register_driver" },
	{ 0x4d8dc364, "usb_deregister" },
	{ 0x6613c834, "usbnet_cdc_unbind" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x98f6e08b, "usbnet_probe" },
	{ 0x121cc775, "usbnet_disconnect" },
	{ 0x2695e57, "usbnet_suspend" },
	{ 0x733fe9cd, "usbnet_resume" },
	{ 0x78bb5f9, "usbnet_open" },
	{ 0xcd8477e5, "usbnet_stop" },
	{ 0xbb9df51a, "usbnet_start_xmit" },
	{ 0xadb19534, "eth_mac_addr" },
	{ 0x64cd86f, "eth_validate_addr" },
	{ 0xa3316c90, "usbnet_tx_timeout" },
	{ 0x11bae7a4, "dev_get_tstats64" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "cdc_ether,usbnet");

MODULE_ALIAS("usb:v1630p0042d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v238Bp*d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v19D2p*d*dc*dsc*dp*icE0isc01ip03in*");
MODULE_ALIAS("usb:v19D2p*d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*icEFisc01ip01in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*icE0isc01ip03in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*icEFisc04ip01in*");

MODULE_INFO(srcversion, "3B05777579B45683A4B889E");
