#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usbnet_get_endpoints, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_ethernet_addr, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_start, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_skb_return, "_gpl", "");
KSYMTAB_FUNC(usbnet_update_max_qlen, "_gpl", "");
KSYMTAB_FUNC(usbnet_change_mtu, "_gpl", "");
KSYMTAB_FUNC(usbnet_defer_kevent, "_gpl", "");
KSYMTAB_FUNC(usbnet_pause_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_purge_paused_rxq, "_gpl", "");
KSYMTAB_FUNC(usbnet_unlink_rx_urbs, "_gpl", "");
KSYMTAB_FUNC(usbnet_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_open, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_internal, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link, "_gpl", "");
KSYMTAB_FUNC(usbnet_nway_reset, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_drvinfo, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_rx_mode, "_gpl", "");
KSYMTAB_FUNC(usbnet_tx_timeout, "_gpl", "");
KSYMTAB_FUNC(usbnet_start_xmit, "_gpl", "");
KSYMTAB_FUNC(usbnet_disconnect, "_gpl", "");
KSYMTAB_FUNC(usbnet_probe, "_gpl", "");
KSYMTAB_FUNC(usbnet_suspend, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume, "_gpl", "");
KSYMTAB_FUNC(usbnet_device_suggests_idle, "", "");
KSYMTAB_FUNC(usbnet_manage_power, "", "");
KSYMTAB_FUNC(usbnet_link_change, "", "");
KSYMTAB_FUNC(usbnet_read_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_read_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_async, "_gpl", "");

SYMBOL_CRC(usbnet_get_endpoints, 0xc09bfa75, "_gpl");
SYMBOL_CRC(usbnet_get_ethernet_addr, 0x00682b49, "_gpl");
SYMBOL_CRC(usbnet_status_start, 0x0325de5e, "_gpl");
SYMBOL_CRC(usbnet_status_stop, 0x29257b47, "_gpl");
SYMBOL_CRC(usbnet_skb_return, 0x86a65159, "_gpl");
SYMBOL_CRC(usbnet_update_max_qlen, 0x228d77b5, "_gpl");
SYMBOL_CRC(usbnet_change_mtu, 0x9f0d297c, "_gpl");
SYMBOL_CRC(usbnet_defer_kevent, 0x4b9d33db, "_gpl");
SYMBOL_CRC(usbnet_pause_rx, 0x4b19d19f, "_gpl");
SYMBOL_CRC(usbnet_resume_rx, 0x8ecdfd34, "_gpl");
SYMBOL_CRC(usbnet_purge_paused_rxq, 0xd8accc03, "_gpl");
SYMBOL_CRC(usbnet_unlink_rx_urbs, 0xb86a54ab, "_gpl");
SYMBOL_CRC(usbnet_stop, 0xcd8477e5, "_gpl");
SYMBOL_CRC(usbnet_open, 0x078bb5f9, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_mii, 0xa2ae5374, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_internal, 0xb446287b, "_gpl");
SYMBOL_CRC(usbnet_set_link_ksettings_mii, 0x465fece1, "_gpl");
SYMBOL_CRC(usbnet_get_link, 0xe538fbcb, "_gpl");
SYMBOL_CRC(usbnet_nway_reset, 0xfa7a1bee, "_gpl");
SYMBOL_CRC(usbnet_get_drvinfo, 0xe6c277df, "_gpl");
SYMBOL_CRC(usbnet_get_msglevel, 0xe0bfbb3b, "_gpl");
SYMBOL_CRC(usbnet_set_msglevel, 0xc48cb194, "_gpl");
SYMBOL_CRC(usbnet_set_rx_mode, 0x452f353c, "_gpl");
SYMBOL_CRC(usbnet_tx_timeout, 0xa3316c90, "_gpl");
SYMBOL_CRC(usbnet_start_xmit, 0xbb9df51a, "_gpl");
SYMBOL_CRC(usbnet_disconnect, 0x121cc775, "_gpl");
SYMBOL_CRC(usbnet_probe, 0x98f6e08b, "_gpl");
SYMBOL_CRC(usbnet_suspend, 0x02695e57, "_gpl");
SYMBOL_CRC(usbnet_resume, 0x733fe9cd, "_gpl");
SYMBOL_CRC(usbnet_device_suggests_idle, 0xaed4a378, "");
SYMBOL_CRC(usbnet_manage_power, 0xbde2dbd2, "");
SYMBOL_CRC(usbnet_link_change, 0xe3bb7ea1, "");
SYMBOL_CRC(usbnet_read_cmd, 0x7f587095, "_gpl");
SYMBOL_CRC(usbnet_write_cmd, 0xaefc24f6, "_gpl");
SYMBOL_CRC(usbnet_read_cmd_nopm, 0xa86a1546, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_nopm, 0x82270c22, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_async, 0xd024e181, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc74b6f45, "usb_set_interface" },
	{ 0xab14b5d3, "usb_string" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x8fe7fc51, "dev_addr_mod" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xe3c7bd1e, "__dynamic_netdev_dbg" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x5195dcc3, "skb_queue_purge_reason" },
	{ 0xa359e790, "usb_submit_urb" },
	{ 0x492fdb70, "netdev_err" },
	{ 0xd2163758, "mii_ethtool_get_link_ksettings" },
	{ 0xa0b12434, "mii_ethtool_set_link_ksettings" },
	{ 0x46040f0b, "mii_nway_restart" },
	{ 0xa0e38902, "usb_autopm_put_interface_async" },
	{ 0x37a0cba, "kfree" },
	{ 0x1d3f22b7, "usb_free_urb" },
	{ 0x49ee7ce3, "unregister_netdev" },
	{ 0x4679fb71, "consume_skb" },
	{ 0x510247dd, "usb_get_from_anchor" },
	{ 0xfd8b9fb9, "usb_kill_urb" },
	{ 0x2e9d1dca, "free_netdev" },
	{ 0x3932f94, "netdev_info" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xd6cc6cc2, "usb_control_msg" },
	{ 0x4829a47e, "memcpy" },
	{ 0x853c4149, "usb_autopm_get_interface" },
	{ 0xe0cf529c, "usb_autopm_put_interface" },
	{ 0x9181493a, "usb_alloc_urb" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x22858e7d, "mii_link_ok" },
	{ 0xfb7b1730, "ethtool_op_get_link" },
	{ 0xaa985d4e, "netif_carrier_on" },
	{ 0xc9ad94d3, "netif_carrier_off" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xc1e7bd92, "usb_get_urb" },
	{ 0x859f18cc, "usb_unlink_urb" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xbafc27ae, "netif_device_detach" },
	{ 0xbe714ee0, "netif_device_attach" },
	{ 0x89b690bf, "skb_defer_rx_timestamp" },
	{ 0x51335c0e, "netif_rx" },
	{ 0xffceeeb5, "eth_type_trans" },
	{ 0x136711a4, "skb_queue_tail" },
	{ 0xf7f5887d, "alloc_etherdev_mqs" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xdcb764ad, "memset" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x1ca4f351, "register_netdev" },
	{ 0xf693587e, "pm_runtime_enable" },
	{ 0x53767a05, "usb_check_bulk_endpoints" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x87ef83ff, "skb_dequeue" },
	{ 0x4e62ef2c, "skb_clone_tx_timestamp" },
	{ 0x1f9f594e, "usb_autopm_get_interface_async" },
	{ 0xd7c7d5c, "dev_kfree_skb_any_reason" },
	{ 0xeffe1416, "skb_tstamp_tx" },
	{ 0x6254a8e5, "usb_anchor_urb" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x5409cff7, "__netdev_alloc_skb" },
	{ 0x69f2e923, "netif_tx_wake_queue" },
	{ 0xe2964344, "__wake_up" },
	{ 0x5ae25592, "usb_autopm_get_interface_no_resume" },
	{ 0xc2af5a6, "skb_put" },
	{ 0x53c09a97, "usb_clear_halt" },
	{ 0xadb19534, "eth_mac_addr" },
	{ 0x64cd86f, "eth_validate_addr" },
	{ 0xe4373252, "ethtool_op_get_ts_info" },
	{ 0xcb74520d, "param_ops_int" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E35A8C8CA570AD854258909");
