#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vxlan_fdb_find_uc, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_replay, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(vxlan_dev_create, "_gpl", "");

SYMBOL_CRC(vxlan_fdb_find_uc, 0xb3aa7258, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0x54ffaba8, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0x6fec8714, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0x5c4bf041, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0xd888499, "__skb_checksum_complete" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xe62f4ba2, "skb_copy_bits" },
	{ 0xb2a60d30, "__nlmsg_put" },
	{ 0x18bc3b5e, "netdev_adjacent_change_commit" },
	{ 0xadb19534, "eth_mac_addr" },
	{ 0xc2af5a6, "skb_put" },
	{ 0x154b6fe3, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x5c171c7c, "ip6_dst_hoplimit" },
	{ 0x7665356a, "param_ops_ushort" },
	{ 0x4679fb71, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x60714e08, "nla_put_64bit" },
	{ 0x52e1ca5, "udp_sock_create4" },
	{ 0x17b09a89, "udp_tunnel6_xmit_skb" },
	{ 0xeb16b253, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x714924e8, "__unregister_nexthop_notifier" },
	{ 0x4238f76b, "netif_inherit_tso_max" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x64cd86f, "eth_validate_addr" },
	{ 0x9137c6a, "gro_cells_init" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xbbe343eb, "rtnl_create_link" },
	{ 0x77a07d84, "unregister_netdevice_queue" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xe586169f, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x9d58bf, "ether_setup" },
	{ 0xb193b55e, "udp_tunnel_drop_rx_port" },
	{ 0x6438bc1d, "netdev_upper_dev_link" },
	{ 0xf4ee861a, "pskb_expand_head" },
	{ 0x8f0d0005, "register_pernet_subsys" },
	{ 0x8fe7fc51, "dev_addr_mod" },
	{ 0xffceeeb5, "eth_type_trans" },
	{ 0x2d86ebff, "nla_put_nohdr" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0x95463bb7, "__alloc_skb" },
	{ 0x1e6fa1d0, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x55d6d74e, "eth_gro_complete" },
	{ 0x7205ae70, "rtnl_set_sk_err" },
	{ 0xef623641, "eth_gro_receive" },
	{ 0xc4b146dd, "rtnl_configure_link" },
	{ 0xb8768ac1, "skb_tunnel_check_pmtu" },
	{ 0x8b63e6a8, "udp_tunnel_dst_lookup" },
	{ 0xb42f6ced, "rtnl_unicast" },
	{ 0xbba3a616, "peernet2id" },
	{ 0x52b549a, "__skb_get_hash_net" },
	{ 0xc71add3d, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0xa247b83b, "__dev_get_by_index" },
	{ 0x8241aab5, "rtnl_link_unregister" },
	{ 0x6474338, "ipv6_stub" },
	{ 0xb6476d61, "skb_pull" },
	{ 0x5e76cfdb, "gro_find_complete_by_type" },
	{ 0x9f66a4ce, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xfffcb06b, "dev_get_by_index_rcu" },
	{ 0xd1ab323f, "gro_cells_receive" },
	{ 0xbfe0703a, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0x682ff282, "netdev_upper_dev_unlink" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0x2e9d1dca, "free_netdev" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xbec2d34e, "ip_mc_join_group" },
	{ 0xa8709ea4, "udp_tunnel_push_rx_port" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9f8c5901, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfb7b1730, "ethtool_op_get_link" },
	{ 0x81e31ea2, "nexthop_find_by_id" },
	{ 0xbddb9ec2, "arp_create" },
	{ 0x3e80f4d8, "__ethtool_get_link_ksettings" },
	{ 0xf80298c0, "netdev_adjacent_change_prepare" },
	{ 0x47f260cd, "rtnl_register_module" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xe7e13a1f, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0xdcb764ad, "memset" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0xd37cfb5a, "netdev_adjacent_change_abort" },
	{ 0xc9972ac8, "udp_tunnel_sock_release" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x94a36aa7, "udp_tunnel6_dst_lookup" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xbb2780a, "__iptunnel_pull_header" },
	{ 0xa86fbee8, "__pskb_pull_tail" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x51335c0e, "netif_rx" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0xa6e60717, "setup_udp_tunnel_sock" },
	{ 0x51d6b22d, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x99eabdf8, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xe3c7bd1e, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x568a342c, "skb_scrub_packet" },
	{ 0xe2ad4d5c, "nexthop_select_path" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xf466761e, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x426eff70, "neigh_destroy" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x28839c12, "rhashtable_init_noprof" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x14c5dd46, "param_ops_bool" },
	{ 0xc78308cd, "udp_tun_rx_dst" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x7820d7f5, "rtnl_notify" },
	{ 0x18486a4e, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x1638a5e4, "__netif_rx" },
	{ 0x6b53f5f8, "skb_clone" },
	{ 0xd1fba8ff, "metadata_dst_alloc" },
	{ 0x8500f07e, "dst_release" },
	{ 0x32844c58, "arp_tbl" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0x688405ad, "udp_tunnel_notify_del_rx_port" },
	{ 0xe183d7a3, "register_nexthop_notifier" },
	{ 0x6008234d, "ip_mc_leave_group" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x81fac5cb, "gro_find_receive_by_type" },
	{ 0x86bb688f, "netdev_core_stats_inc" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x3932f94, "netdev_info" },
	{ 0xdf62a4bf, "neigh_lookup" },
	{ 0x231a085c, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xec0e8314, "register_netdevice" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "22D5A6E39F29B1F437404C4");
