#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc528a49a, "queued_write_lock_slowpath" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xe62f4ba2, "skb_copy_bits" },
	{ 0xc2af5a6, "skb_put" },
	{ 0xadae6df8, "blake2s_final" },
	{ 0xbcc15e75, "ktime_get_coarse_with_offset" },
	{ 0x5c171c7c, "ip6_dst_hoplimit" },
	{ 0x4679fb71, "consume_skb" },
	{ 0xbdc26b3b, "netif_napi_add_weight" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4a5a8811, "curve25519_null_point" },
	{ 0x60714e08, "nla_put_64bit" },
	{ 0x52e1ca5, "udp_sock_create4" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x41702720, "dst_cache_set_ip4" },
	{ 0x17b09a89, "udp_tunnel6_xmit_skb" },
	{ 0xeb16b253, "rtnl_link_register" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0x6a14d3af, "unregister_random_vmfork_notifier" },
	{ 0xad50ffb0, "ip_tunnel_header_ops" },
	{ 0x6fe3a147, "genlmsg_put" },
	{ 0x7c709594, "___pskb_trim" },
	{ 0x4829a47e, "memcpy" },
	{ 0x6c713da5, "chacha20poly1305_encrypt_sg_inplace" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xc6ae011, "ip_route_output_flow" },
	{ 0x12e92ab7, "__netif_napi_del" },
	{ 0x3494ac55, "kmem_cache_create" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xa3cefaa0, "blake2s_update" },
	{ 0xf4ee861a, "pskb_expand_head" },
	{ 0xdb5b677b, "napi_complete_done" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0x147c3f2e, "chacha20poly1305_encrypt" },
	{ 0xc037dde3, "skb_checksum_help" },
	{ 0x617c452b, "queued_read_lock_slowpath" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6f7d2f61, "__napi_schedule" },
	{ 0xb4799e3e, "sk_clear_memalloc" },
	{ 0xa916b694, "strnlen" },
	{ 0x95463bb7, "__alloc_skb" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xecb7ae28, "napi_gro_receive" },
	{ 0x136711a4, "skb_queue_tail" },
	{ 0x51a62b6d, "icmpv6_ndo_send" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0x800473f, "__cond_resched" },
	{ 0x52b549a, "__skb_get_hash_net" },
	{ 0x8241aab5, "rtnl_link_unregister" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x6474338, "ipv6_stub" },
	{ 0x939afdd4, "inet_confirm_addr" },
	{ 0xb6476d61, "skb_pull" },
	{ 0x9f66a4ce, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xea03c881, "dev_get_by_index" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbfe0703a, "skb_push" },
	{ 0xbc037f7, "kmem_cache_free" },
	{ 0xad0c171b, "napi_enable" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0x350bc9af, "icmp_ndo_send" },
	{ 0x916491ac, "chacha20poly1305_decrypt_sg_inplace" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x2e9d1dca, "free_netdev" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x1d3b79dd, "ns_capable" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x59f2589b, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xce15a526, "xchacha20poly1305_encrypt" },
	{ 0x7fdeed2c, "security_sk_classify_flow" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x521c7102, "xchacha20poly1305_decrypt" },
	{ 0xb39b05f9, "sk_set_memalloc" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xdcb764ad, "memset" },
	{ 0x6eb04f46, "register_random_vmfork_notifier" },
	{ 0x5120bdcb, "kfree_skb_list_reason" },
	{ 0xc9972ac8, "udp_tunnel_sock_release" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xd235061c, "kmem_cache_alloc_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xa86fbee8, "__pskb_pull_tail" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0xa6e60717, "setup_udp_tunnel_sock" },
	{ 0x51d6b22d, "udp_sock_create6" },
	{ 0xe4262c6, "__siphash_unaligned" },
	{ 0x7e6fdbfc, "curve25519_base_point" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0x99eabdf8, "skb_trim" },
	{ 0x8ce14d8, "skb_cow_data" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x568a342c, "skb_scrub_packet" },
	{ 0xcd8e1166, "__put_net" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x794bfcdd, "dst_cache_get_ip6" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0xd2993b21, "dst_cache_get_ip4" },
	{ 0xc20134e7, "chacha20poly1305_decrypt" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x3b240a6b, "dst_cache_set_ip6" },
	{ 0x66d64928, "pskb_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x18486a4e, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc9ad94d3, "netif_carrier_off" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xe900068a, "dev_get_by_name" },
	{ 0x6b53f5f8, "skb_clone" },
	{ 0x8500f07e, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x9e0fa5ae, "hsiphash_3u32" },
	{ 0x3bc09ab, "__skb_flow_dissect" },
	{ 0xf3ba733b, "genl_unregister_family" },
	{ 0x30acfde9, "hsiphash_2u32" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0xd0342df8, "ipv6_chk_addr" },
	{ 0xc25a42ab, "napi_schedule_prep" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xdb763fe2, "napi_disable" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x742578a5, "wait_for_random_bytes" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x4d01f16e, "ip_tunnel_parse_protocol" },
	{ 0x6ad33698, "genl_register_family" },
	{ 0x5359e8dc, "__kvmalloc_node_noprof" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xa96a58df, "skb_to_sgvec" },
	{ 0xba9c2f08, "__skb_gso_segment" },
	{ 0x53b954a2, "up_read" },
	{ 0x311e6281, "register_pernet_device" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x12627f15, "curve25519_generic" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x3a4f9d28, "rng_is_initialized" },
	{ 0x9858f364, "get_random_u8" },
	{ 0x309989e7, "kmem_cache_destroy" },
	{ 0x71b6cf94, "dst_cache_reset_now" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xec0e8314, "register_netdevice" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "libcurve25519-generic,udp_tunnel,ip6_udp_tunnel,libchacha20poly1305");


MODULE_INFO(srcversion, "F88B55D7A043334DD055A5B");
