#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(p54_parse_eeprom, "_gpl", "");
KSYMTAB_FUNC(p54_read_eeprom, "_gpl", "");
KSYMTAB_FUNC(p54_parse_firmware, "_gpl", "");
KSYMTAB_FUNC(p54_free_skb, "_gpl", "");
KSYMTAB_FUNC(p54_rx, "_gpl", "");
KSYMTAB_FUNC(p54_init_common, "_gpl", "");
KSYMTAB_FUNC(p54_register_common, "_gpl", "");
KSYMTAB_FUNC(p54_free_common, "_gpl", "");
KSYMTAB_FUNC(p54_unregister_common, "_gpl", "");

SYMBOL_CRC(p54_parse_eeprom, 0xcb4501ce, "_gpl");
SYMBOL_CRC(p54_read_eeprom, 0xd455eb24, "_gpl");
SYMBOL_CRC(p54_parse_firmware, 0x10bf975e, "_gpl");
SYMBOL_CRC(p54_free_skb, 0xb6d507cc, "_gpl");
SYMBOL_CRC(p54_rx, 0x0b52c78a, "_gpl");
SYMBOL_CRC(p54_init_common, 0x4f317bf8, "_gpl");
SYMBOL_CRC(p54_register_common, 0x9567204b, "_gpl");
SYMBOL_CRC(p54_free_common, 0x282050ee, "_gpl");
SYMBOL_CRC(p54_unregister_common, 0xb26882d0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc2af5a6, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x4679fb71, "consume_skb" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x87ef83ff, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xdb9f7425, "ieee80211_free_hw" },
	{ 0x4829a47e, "memcpy" },
	{ 0xfb2ad75f, "ieee80211_beacon_loss" },
	{ 0x3ca27412, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0xc7d2b07a, "led_classdev_unregister" },
	{ 0xa443a193, "ieee80211_register_hw" },
	{ 0xeb296f65, "ieee80211_emulate_change_chanctx" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xd13274b4, "ieee80211_get_hdrlen_from_skb" },
	{ 0x1fcd5e4c, "__ieee80211_get_radio_led_name" },
	{ 0x52ecbc75, "crc_ccitt" },
	{ 0xd4d281cf, "ieee80211_wake_queue" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x2245647f, "__ieee80211_get_tx_led_name" },
	{ 0x5195dcc3, "skb_queue_purge_reason" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x8be56097, "ieee80211_handle_wake_tx_queue" },
	{ 0xdfc275f, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xa916b694, "strnlen" },
	{ 0x8dab2d37, "__ieee80211_get_rx_led_name" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0x136711a4, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x55692e7d, "ieee80211_queue_delayed_work" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0xb7c0f443, "sort" },
	{ 0xb6476d61, "skb_pull" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbfe0703a, "skb_push" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x26a0a846, "ieee80211_free_txskb" },
	{ 0x81e4beca, "led_classdev_register_ext" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2935d794, "ieee80211_alloc_hw_nm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xdcb764ad, "memset" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0xf853f470, "ieee80211_emulate_add_chanctx" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xd29d3445, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x7bd7df1b, "ieee80211_stop_queue" },
	{ 0x5409cff7, "__netdev_alloc_skb" },
	{ 0x99eabdf8, "skb_trim" },
	{ 0x6568ce44, "skb_unlink" },
	{ 0xf13765e4, "wiphy_rfkill_set_hw_state_reason" },
	{ 0xc5953ef1, "__ieee80211_get_assoc_led_name" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x14c5dd46, "param_ops_bool" },
	{ 0xc4b210c0, "ieee80211_unregister_hw" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xcce31ff9, "ieee80211_beacon_get_tim" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xd7c7d5c, "dev_kfree_skb_any_reason" },
	{ 0x2151991b, "_dev_printk" },
	{ 0xbd616535, "ieee80211_emulate_remove_chanctx" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0xf0782b49, "ieee80211_rx_irqsafe" },
	{ 0xf85686bf, "skb_queue_head" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "C1FE7481AB18C588612452C");
