#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(lbs_cmd_copyback, "_gpl", "");
KSYMTAB_FUNC(lbs_host_sleep_cfg, "_gpl", "");
KSYMTAB_FUNC(__lbs_cmd, "_gpl", "");
KSYMTAB_DATA(lbs_debug, "_gpl", "");
KSYMTAB_FUNC(lbs_host_to_card_done, "_gpl", "");
KSYMTAB_FUNC(lbs_suspend, "_gpl", "");
KSYMTAB_FUNC(lbs_resume, "_gpl", "");
KSYMTAB_FUNC(lbs_add_card, "_gpl", "");
KSYMTAB_FUNC(lbs_remove_card, "_gpl", "");
KSYMTAB_FUNC(lbs_start_card, "_gpl", "");
KSYMTAB_FUNC(lbs_stop_card, "_gpl", "");
KSYMTAB_FUNC(lbs_queue_event, "_gpl", "");
KSYMTAB_FUNC(lbs_notify_command_response, "_gpl", "");
KSYMTAB_FUNC(lbs_process_rxed_packet, "_gpl", "");
KSYMTAB_FUNC(lbs_send_tx_feedback, "_gpl", "");
KSYMTAB_FUNC(lbs_get_firmware_async, "_gpl", "");
KSYMTAB_FUNC(lbs_get_firmware, "_gpl", "");

SYMBOL_CRC(lbs_cmd_copyback, 0x68e9fc0e, "_gpl");
SYMBOL_CRC(lbs_host_sleep_cfg, 0xcaf9dbc1, "_gpl");
SYMBOL_CRC(__lbs_cmd, 0x2c6de679, "_gpl");
SYMBOL_CRC(lbs_debug, 0xf64277de, "_gpl");
SYMBOL_CRC(lbs_host_to_card_done, 0x442f97de, "_gpl");
SYMBOL_CRC(lbs_suspend, 0xaa8f4aa2, "_gpl");
SYMBOL_CRC(lbs_resume, 0xe81abb5b, "_gpl");
SYMBOL_CRC(lbs_add_card, 0x6222a34d, "_gpl");
SYMBOL_CRC(lbs_remove_card, 0xa17eb787, "_gpl");
SYMBOL_CRC(lbs_start_card, 0x201b47e5, "_gpl");
SYMBOL_CRC(lbs_stop_card, 0x718d13f9, "_gpl");
SYMBOL_CRC(lbs_queue_event, 0x2005b9b8, "_gpl");
SYMBOL_CRC(lbs_notify_command_response, 0xf5efc685, "_gpl");
SYMBOL_CRC(lbs_process_rxed_packet, 0x160b49e5, "_gpl");
SYMBOL_CRC(lbs_send_tx_feedback, 0x633202e5, "_gpl");
SYMBOL_CRC(lbs_get_firmware_async, 0x6909e13f, "_gpl");
SYMBOL_CRC(lbs_get_firmware, 0xe043bfec, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x557d0ea1, "cfg80211_scan_done" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x4679fb71, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x49ee7ce3, "unregister_netdev" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x8dceb523, "request_firmware" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x3ca27412, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x64cd86f, "eth_validate_addr" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x46fb0ede, "dev_kfree_skb_irq_reason" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0xaa5d929b, "cfg80211_disconnected" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x9d58bf, "ether_setup" },
	{ 0x492fdb70, "netdev_err" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xf4ee861a, "pskb_expand_head" },
	{ 0x354b3d7c, "wake_up_process" },
	{ 0x8fe7fc51, "dev_addr_mod" },
	{ 0xffceeeb5, "eth_type_trans" },
	{ 0xca0eee00, "alloc_netdev_mqs" },
	{ 0x4945b134, "wiphy_new_nm" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0xfdb9953, "wiphy_register" },
	{ 0xa916b694, "strnlen" },
	{ 0x4d3e2151, "cfg80211_put_bss" },
	{ 0xbafc27ae, "netif_device_detach" },
	{ 0xbe714ee0, "netif_device_attach" },
	{ 0xd403a9e, "ieee80211_get_channel_khz" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x800473f, "__cond_resched" },
	{ 0x9818813d, "device_create_file" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0xebc437ff, "cfg80211_ibss_joined" },
	{ 0xd7ff39d2, "request_firmware_nowait" },
	{ 0x2d938670, "simple_open" },
	{ 0xb6476d61, "skb_pull" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x9f66a4ce, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x94630eb5, "cfg80211_michael_mic_failure" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbfe0703a, "skb_push" },
	{ 0x495eed8e, "debugfs_remove" },
	{ 0x1ca4f351, "register_netdev" },
	{ 0x42f158d, "wiphy_unregister" },
	{ 0x2e9d1dca, "free_netdev" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4cdb9669, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x69f2e923, "netif_tx_wake_queue" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xdcb764ad, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x51335c0e, "netif_rx" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x484c74dc, "netdev_alert" },
	{ 0x31d75226, "kthread_create_on_node" },
	{ 0x13107c3a, "debugfs_create_file" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc9ad94d3, "netif_carrier_off" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xaa985d4e, "netif_carrier_on" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xea3339c, "cfg80211_inform_bss_data" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x98cf60b3, "strlen" },
	{ 0xd7c7d5c, "dev_kfree_skb_any_reason" },
	{ 0x5cba2be4, "ieee80211_bss_get_elem" },
	{ 0xcb74520d, "param_ops_int" },
	{ 0xe820ea6a, "debugfs_create_dir" },
	{ 0xe7508f4f, "generic_file_llseek" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x11e1190f, "cfg80211_connect_done" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x664a493d, "__cfg80211_get_bss" },
	{ 0xd923a37, "wiphy_free" },
	{ 0x9a3264cb, "ieee80211_get_num_supported_channels" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x3932f94, "netdev_info" },
	{ 0xf80a3ec7, "device_remove_file" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "cfg80211");


MODULE_INFO(srcversion, "A3596BD07EF50ECA056B278");
