#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mwifiex_queue_main_work, "_gpl", "");
KSYMTAB_FUNC(mwifiex_main_process, "_gpl", "");
KSYMTAB_FUNC(mwifiex_multi_chan_resync, "_gpl", "");
KSYMTAB_FUNC(mwifiex_upload_device_dump, "_gpl", "");
KSYMTAB_FUNC(mwifiex_drv_info_dump, "_gpl", "");
KSYMTAB_FUNC(mwifiex_prepare_fw_dump_info, "_gpl", "");
KSYMTAB_FUNC(mwifiex_shutdown_sw, "_gpl", "");
KSYMTAB_FUNC(mwifiex_reinit_sw, "_gpl", "");
KSYMTAB_FUNC(mwifiex_add_card, "_gpl", "");
KSYMTAB_FUNC(mwifiex_remove_card, "_gpl", "");
KSYMTAB_FUNC(_mwifiex_dbg, "_gpl", "");
KSYMTAB_FUNC(mwifiex_dnld_fw, "_gpl", "");
KSYMTAB_FUNC(mwifiex_process_hs_config, "_gpl", "");
KSYMTAB_FUNC(mwifiex_process_sleep_confirm_resp, "_gpl", "");
KSYMTAB_FUNC(mwifiex_init_shutdown_fw, "_gpl", "");
KSYMTAB_FUNC(mwifiex_alloc_dma_align_buf, "_gpl", "");
KSYMTAB_FUNC(mwifiex_fw_dump_event, "_gpl", "");
KSYMTAB_FUNC(mwifiex_handle_rx_packet, "_gpl", "");
KSYMTAB_FUNC(mwifiex_write_data_complete, "_gpl", "");
KSYMTAB_FUNC(mwifiex_deauthenticate_all, "_gpl", "");
KSYMTAB_FUNC(mwifiex_cancel_hs, "_gpl", "");
KSYMTAB_FUNC(mwifiex_enable_hs, "_gpl", "");
KSYMTAB_FUNC(mwifiex_disable_auto_ds, "_gpl", "");
KSYMTAB_FUNC(mwifiex_add_virtual_intf, "_gpl", "");
KSYMTAB_FUNC(mwifiex_del_virtual_intf, "_gpl", "");

SYMBOL_CRC(mwifiex_queue_main_work, 0x326a2590, "_gpl");
SYMBOL_CRC(mwifiex_main_process, 0xed34e844, "_gpl");
SYMBOL_CRC(mwifiex_multi_chan_resync, 0x8e3fe7c7, "_gpl");
SYMBOL_CRC(mwifiex_upload_device_dump, 0x7964b670, "_gpl");
SYMBOL_CRC(mwifiex_drv_info_dump, 0xd06af487, "_gpl");
SYMBOL_CRC(mwifiex_prepare_fw_dump_info, 0x4ffe2717, "_gpl");
SYMBOL_CRC(mwifiex_shutdown_sw, 0x6019eee6, "_gpl");
SYMBOL_CRC(mwifiex_reinit_sw, 0xdf8fc8c7, "_gpl");
SYMBOL_CRC(mwifiex_add_card, 0xa68dd769, "_gpl");
SYMBOL_CRC(mwifiex_remove_card, 0x35c7f26d, "_gpl");
SYMBOL_CRC(_mwifiex_dbg, 0x5200b464, "_gpl");
SYMBOL_CRC(mwifiex_dnld_fw, 0x7b0e755f, "_gpl");
SYMBOL_CRC(mwifiex_process_hs_config, 0x3ebc6d65, "_gpl");
SYMBOL_CRC(mwifiex_process_sleep_confirm_resp, 0x44533685, "_gpl");
SYMBOL_CRC(mwifiex_init_shutdown_fw, 0x7bbd42d1, "_gpl");
SYMBOL_CRC(mwifiex_alloc_dma_align_buf, 0xd4dad9f3, "_gpl");
SYMBOL_CRC(mwifiex_fw_dump_event, 0xafe6a394, "_gpl");
SYMBOL_CRC(mwifiex_handle_rx_packet, 0x85f7fc68, "_gpl");
SYMBOL_CRC(mwifiex_write_data_complete, 0x02afc952, "_gpl");
SYMBOL_CRC(mwifiex_deauthenticate_all, 0x0c54305a, "_gpl");
SYMBOL_CRC(mwifiex_cancel_hs, 0x860989ce, "_gpl");
SYMBOL_CRC(mwifiex_enable_hs, 0x67ed4146, "_gpl");
SYMBOL_CRC(mwifiex_disable_auto_ds, 0xaa1c1d94, "_gpl");
SYMBOL_CRC(mwifiex_add_virtual_intf, 0x56cc08b9, "_gpl");
SYMBOL_CRC(mwifiex_del_virtual_intf, 0x3dee6110, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3303aa7, "cfg80211_sched_scan_results" },
	{ 0xd75b123c, "skb_complete_wifi_ack" },
	{ 0x8d1e8e52, "cfg80211_mgmt_tx_status_ext" },
	{ 0xbaedacc7, "device_set_wakeup_enable" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb2a00e3, "device_set_wakeup_capable" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4c55545d, "devm_request_threaded_irq" },
	{ 0x60b73b66, "param_ops_uint" },
	{ 0xc2af5a6, "skb_put" },
	{ 0xf9ed9452, "of_property_read_variable_u32_array" },
	{ 0xe6cb6d40, "cfg80211_chandef_dfs_required" },
	{ 0x557d0ea1, "cfg80211_scan_done" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xcaabeb4, "cfg80211_sched_scan_stopped" },
	{ 0x7665356a, "param_ops_ushort" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xe5edf9c8, "cfg80211_remain_on_channel_expired" },
	{ 0x45cdf590, "cfg80211_cac_event" },
	{ 0x87ef83ff, "skb_dequeue" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xdba1ea2f, "cfg80211_register_netdevice" },
	{ 0x8dceb523, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x470b50dd, "ieee80211_amsdu_to_8023s" },
	{ 0x2a32a35d, "cfg80211_ref_bss" },
	{ 0x8c0215f2, "pm_system_wakeup" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3ca27412, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x64cd86f, "eth_validate_addr" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x538f32f2, "cfg80211_chandef_valid" },
	{ 0x2bc4739b, "cfg80211_new_sta" },
	{ 0x248efd3, "kstrtobool_from_user" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0xaa5d929b, "cfg80211_disconnected" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x9d58bf, "ether_setup" },
	{ 0x8fe7fc51, "dev_addr_mod" },
	{ 0xffceeeb5, "eth_type_trans" },
	{ 0xca0eee00, "alloc_netdev_mqs" },
	{ 0x4945b134, "wiphy_new_nm" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf74e4ea3, "cfg80211_ready_on_channel" },
	{ 0xda5b42df, "pm_wakeup_dev_event" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x875a6c8c, "cfg80211_classify8021d" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0xfdb9953, "wiphy_register" },
	{ 0xa916b694, "strnlen" },
	{ 0x4d3e2151, "cfg80211_put_bss" },
	{ 0xbafc27ae, "netif_device_detach" },
	{ 0xc797b162, "cfg80211_ch_switch_notify" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0xbe714ee0, "netif_device_attach" },
	{ 0x47cfd825, "kstrtouint_from_user" },
	{ 0x136711a4, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xd403a9e, "ieee80211_get_channel_khz" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0xc9a15bf2, "__cfg80211_radar_event" },
	{ 0xad2e6ebd, "cfg80211_tdls_oper_request" },
	{ 0xf09add98, "device_wakeup_disable" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x800473f, "__cond_resched" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xcc876e05, "devm_kmemdup" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0xbba5bd2b, "device_wakeup_enable" },
	{ 0xebc437ff, "cfg80211_ibss_joined" },
	{ 0xd7ff39d2, "request_firmware_nowait" },
	{ 0x2d938670, "simple_open" },
	{ 0xb6476d61, "skb_pull" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x9f66a4ce, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xf3c58dbc, "wiphy_apply_custom_regulatory" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x94630eb5, "cfg80211_michael_mic_failure" },
	{ 0x6565cba7, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbfe0703a, "skb_push" },
	{ 0x495eed8e, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x2f360eda, "cfg80211_del_sta_sinfo" },
	{ 0x42f158d, "wiphy_unregister" },
	{ 0x2e9d1dca, "free_netdev" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x7253b13d, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x11089ac7, "_ctype" },
	{ 0xfc943800, "netif_tx_stop_all_queues" },
	{ 0x69f2e923, "netif_tx_wake_queue" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xdcb764ad, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x43674595, "param_ops_charp" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x705bbc14, "of_property_read_variable_u8_array" },
	{ 0x51335c0e, "netif_rx" },
	{ 0x5409cff7, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x99eabdf8, "skb_trim" },
	{ 0x6568ce44, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6080985f, "cfg80211_sched_scan_stopped_locked" },
	{ 0x198be0db, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0x13107c3a, "debugfs_create_file" },
	{ 0xb72f8fec, "cfg80211_unregister_wdev" },
	{ 0x999e8297, "vfree" },
	{ 0xff81fc1e, "cfg80211_rx_mgmt_ext" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x14c5dd46, "param_ops_bool" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc9ad94d3, "netif_carrier_off" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x4d611cf3, "skb_copy" },
	{ 0x6b53f5f8, "skb_clone" },
	{ 0xaa985d4e, "netif_carrier_on" },
	{ 0x23026b4b, "cfg80211_chandef_create" },
	{ 0xb07ffd6, "cfg80211_report_wowlan_wakeup" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xea3339c, "cfg80211_inform_bss_data" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x1d8af63f, "irq_of_parse_and_map" },
	{ 0x98cf60b3, "strlen" },
	{ 0x1879fcbd, "bridge_tunnel_header" },
	{ 0xd7c7d5c, "dev_kfree_skb_any_reason" },
	{ 0x5cba2be4, "ieee80211_bss_get_elem" },
	{ 0xcb74520d, "param_ops_int" },
	{ 0xe820ea6a, "debugfs_create_dir" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x11e1190f, "cfg80211_connect_done" },
	{ 0x664a493d, "__cfg80211_get_bss" },
	{ 0xd923a37, "wiphy_free" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xa1e874bd, "cfg80211_cqm_rssi_notify" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf85686bf, "skb_queue_head" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "cfg80211");


MODULE_INFO(srcversion, "F4967E14E3A15B31037D9E3");
