#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt76_connac_mcu_start_firmware, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_patch_sem_ctrl, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_start_patch, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_init_download, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_channel_domain, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_mac_enable, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_vif_ps, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_rts_thresh, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_beacon_loss_iter, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_add_nested_tlv, "_gpl", "");
KSYMTAB_FUNC(__mt76_connac_mcu_alloc_sta_req, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_alloc_wtbl_req, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_bss_omac_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_basic_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_uapsd, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_hdr_trans_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_update_hdr_trans, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_update_hdr_trans, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_generic_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_he_tlv_v2, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_get_phy_mode_v2, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_smps_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_ht_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_cmd, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_ba_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_uni_add_dev, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_ba_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_wed_update, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_ba, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_get_phy_mode, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_get_phy_mode_ext, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_get_he_phy_cap, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_get_eht_phy_cap, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_uni_set_chctx, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_uni_add_bss, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_hw_scan, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_cancel_hw_scan, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sched_scan_req, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sched_scan_enable, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_chip_config, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_deep_sleep, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_sta_state_dp, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_coredump_event, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_get_ch_power, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_rate_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_update_arp_filter, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_p2p_oppps, "_gpl", "");
KSYMTAB_DATA(mt76_connac_wowlan_support, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_update_gtk_rekey, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_gtk_rekey, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_suspend_mode, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_wow_ctrl, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_hif_suspend, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_suspend_iter, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_reg_rr, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_reg_wr, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_add_key, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_bss_ext_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_bss_basic_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_pm, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_restart, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_rdd_cmd, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_load_ram, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_load_patch, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mcu_fill_message, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_gen_ppe_thresh, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_pm_wake, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_power_save_sched, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_free_pending_tx_skbs, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_pm_queue_skb, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_pm_dequeue_skbs, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_write_hw_txp, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_txp_skb_unmap, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_init_tx_queues, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_tx_rate_val, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_write_txwi, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_fill_txs, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_add_txs_skb, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_decode_he_radiotap, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_reverse_frag0_hdr_trans, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_fill_rx_rate, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_tx_check_aggr, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_txwi_free, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_tx_token_put, "_gpl", "");
KSYMTAB_FUNC(mt76_connac3_mac_decode_he_radiotap, "_gpl", "");
KSYMTAB_FUNC(mt76_connac3_mac_decode_eht_radiotap, "_gpl", "");

SYMBOL_CRC(mt76_connac_mcu_start_firmware, 0x2a5bf4cb, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_patch_sem_ctrl, 0xb4d03773, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_start_patch, 0x8d0f6bd9, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_init_download, 0xf70e89f5, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_channel_domain, 0xa01ef002, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_mac_enable, 0x6a18c36f, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_vif_ps, 0x50894032, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_rts_thresh, 0x5e46da98, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_beacon_loss_iter, 0xf188283e, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_add_nested_tlv, 0x16577e76, "_gpl");
SYMBOL_CRC(__mt76_connac_mcu_alloc_sta_req, 0x9bd61da2, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_alloc_wtbl_req, 0x535bf1f3, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_bss_omac_tlv, 0x26f6e04d, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_basic_tlv, 0x80abe0cf, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_uapsd, 0xbc7819fd, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_hdr_trans_tlv, 0x2f538817, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_update_hdr_trans, 0xa8cfeb93, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_update_hdr_trans, 0x2d5fe94e, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_generic_tlv, 0x0a780c57, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_he_tlv_v2, 0x2087250d, "_gpl");
SYMBOL_CRC(mt76_connac_get_phy_mode_v2, 0xcb418c5d, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_tlv, 0x150f6c28, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_smps_tlv, 0x6adb3788, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_ht_tlv, 0xe5ce6900, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_cmd, 0x053a6c86, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_ba_tlv, 0x78a73091, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_uni_add_dev, 0x912bd40b, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_ba_tlv, 0x50bce907, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_wed_update, 0x4ff0d91b, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_ba, 0x5a21024a, "_gpl");
SYMBOL_CRC(mt76_connac_get_phy_mode, 0xf3512cc9, "_gpl");
SYMBOL_CRC(mt76_connac_get_phy_mode_ext, 0x3d51a3fa, "_gpl");
SYMBOL_CRC(mt76_connac_get_he_phy_cap, 0xe9b50dc3, "_gpl");
SYMBOL_CRC(mt76_connac_get_eht_phy_cap, 0x4f057de0, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_uni_set_chctx, 0xec9bc4c9, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_uni_add_bss, 0xaa77b5ff, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_hw_scan, 0xa9267a35, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_cancel_hw_scan, 0xc3af7e69, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sched_scan_req, 0x9dba3d36, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sched_scan_enable, 0x04c2962b, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_chip_config, 0x7002a851, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_deep_sleep, 0x554d6472, "_gpl");
SYMBOL_CRC(mt76_connac_sta_state_dp, 0x5bb54d5d, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_coredump_event, 0x33f8870a, "_gpl");
SYMBOL_CRC(mt76_connac_get_ch_power, 0x967fd7cb, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_rate_txpower, 0x878cd64d, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_update_arp_filter, 0x203f8b37, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_p2p_oppps, 0xd3bd9c61, "_gpl");
SYMBOL_CRC(mt76_connac_wowlan_support, 0x908ca40c, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_update_gtk_rekey, 0x9a72fb63, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_gtk_rekey, 0xdfc2694b, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_suspend_mode, 0xe51f952d, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_wow_ctrl, 0x6843c40f, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_hif_suspend, 0x0f780191, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_suspend_iter, 0xf3ccbe22, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_reg_rr, 0xb8b6181e, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_reg_wr, 0x2524dda4, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_add_key, 0xcd55e8ca, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_bss_ext_tlv, 0x2455cc7e, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_bss_basic_tlv, 0xc12c50d1, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_pm, 0x7028a120, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_restart, 0x9f419970, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_rdd_cmd, 0x2339383a, "_gpl");
SYMBOL_CRC(mt76_connac2_load_ram, 0xa226b8b2, "_gpl");
SYMBOL_CRC(mt76_connac2_load_patch, 0x8bb8aec8, "_gpl");
SYMBOL_CRC(mt76_connac2_mcu_fill_message, 0x6d717334, "_gpl");
SYMBOL_CRC(mt76_connac_gen_ppe_thresh, 0x0a25337f, "_gpl");
SYMBOL_CRC(mt76_connac_pm_wake, 0xc949209d, "_gpl");
SYMBOL_CRC(mt76_connac_power_save_sched, 0x197ebd16, "_gpl");
SYMBOL_CRC(mt76_connac_free_pending_tx_skbs, 0x200609de, "_gpl");
SYMBOL_CRC(mt76_connac_pm_queue_skb, 0x6e084823, "_gpl");
SYMBOL_CRC(mt76_connac_pm_dequeue_skbs, 0x3dffe72b, "_gpl");
SYMBOL_CRC(mt76_connac_tx_complete_skb, 0x0be305f6, "_gpl");
SYMBOL_CRC(mt76_connac_write_hw_txp, 0x33a4c598, "_gpl");
SYMBOL_CRC(mt76_connac_txp_skb_unmap, 0xa6d93a69, "_gpl");
SYMBOL_CRC(mt76_connac_init_tx_queues, 0xf7277a80, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_tx_rate_val, 0x53621012, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_write_txwi, 0x60d342cc, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_fill_txs, 0xc93fc1f8, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_add_txs_skb, 0xe9907a25, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_decode_he_radiotap, 0xfda87fdb, "_gpl");
SYMBOL_CRC(mt76_connac2_reverse_frag0_hdr_trans, 0x615c11cf, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_fill_rx_rate, 0x2f44a80c, "_gpl");
SYMBOL_CRC(mt76_connac2_tx_check_aggr, 0x9ccaeb2e, "_gpl");
SYMBOL_CRC(mt76_connac2_txwi_free, 0xe34561d4, "_gpl");
SYMBOL_CRC(mt76_connac2_tx_token_put, 0xe49d2105, "_gpl");
SYMBOL_CRC(mt76_connac3_mac_decode_he_radiotap, 0x832d78c3, "_gpl");
SYMBOL_CRC(mt76_connac3_mac_decode_eht_radiotap, 0x5ddaf1e5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xeb8e2378, "mt76_tx_status_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0xc2af5a6, "skb_put" },
	{ 0x57674fd7, "__sw_hweight16" },
	{ 0x4679fb71, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1efdc7fc, "mt76_tx_status_skb_get" },
	{ 0x53f32243, "mt76_tx_status_lock" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xa6613056, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x8dceb523, "request_firmware" },
	{ 0xcdee2b03, "mt76_get_rate" },
	{ 0x2f0e65e1, "ieee80211_start_tx_ba_session" },
	{ 0x4829a47e, "memcpy" },
	{ 0xfb2ad75f, "ieee80211_beacon_loss" },
	{ 0x6d0cdc56, "__mt76_tx_complete_skb" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xd13274b4, "ieee80211_get_hdrlen_from_skb" },
	{ 0x354b3d7c, "wake_up_process" },
	{ 0x6269d570, "ieee80211_find_sta" },
	{ 0xb68fbba4, "mt76_calculate_default_rate" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xbfb322d2, "mt76_tx" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0x800473f, "__cond_resched" },
	{ 0x62a5cd5d, "mt76_init_queue" },
	{ 0xe0eed0cd, "mt76_tx_status_skb_done" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1f5d4469, "devm_kfree" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0xb6476d61, "skb_pull" },
	{ 0x525360e5, "mt76_mcu_skb_send_and_get_msg" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0xbfe0703a, "skb_push" },
	{ 0xbfbbbf9, "ieee80211_wake_queues" },
	{ 0xb8238587, "mt76_mcu_send_and_get_msg" },
	{ 0x74818240, "ieee80211_iter_keys_rcu" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x885f6ba6, "__mt76_mcu_msg_alloc" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xdcb764ad, "memset" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x7fd00d78, "__mt76_mcu_send_firmware" },
	{ 0x9d044308, "ieee80211_stop_queues" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6b5609a3, "mt76_get_rate_power_limits" },
	{ 0x6157449c, "ieee80211_scan_completed" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x30ff3e25, "mt76_get_sar_power" },
	{ 0xa234b50f, "mt76_put_txwi" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x1879fcbd, "bridge_tunnel_header" },
	{ 0xd7c7d5c, "dev_kfree_skb_any_reason" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "mt76,mac80211,cfg80211");


MODULE_INFO(srcversion, "18D0BEC37D5DB20EAF0A570");
