#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt76x0_chip_onoff, "_gpl", "");
KSYMTAB_FUNC(mt76x0_mac_stop, "_gpl", "");
KSYMTAB_FUNC(mt76x0_init_hardware, "_gpl", "");
KSYMTAB_FUNC(mt76x0_register_device, "_gpl", "");
KSYMTAB_FUNC(mt76x0_set_sar_specs, "_gpl", "");
KSYMTAB_FUNC(mt76x0_config, "_gpl", "");
KSYMTAB_FUNC(mt76x0_phy_calibrate, "_gpl", "");

SYMBOL_CRC(mt76x0_chip_onoff, 0x33738a79, "_gpl");
SYMBOL_CRC(mt76x0_mac_stop, 0x3b37f223, "_gpl");
SYMBOL_CRC(mt76x0_init_hardware, 0x7111e71a, "_gpl");
SYMBOL_CRC(mt76x0_register_device, 0x918a4299, "_gpl");
SYMBOL_CRC(mt76x0_set_sar_specs, 0x0285c4d9, "_gpl");
SYMBOL_CRC(mt76x0_config, 0xec818418, "_gpl");
SYMBOL_CRC(mt76x0_phy_calibrate, 0xf0dfe8e4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd6511315, "mt76_init_sar_power" },
	{ 0x6045fd91, "mt76x02_phy_adjust_vga_gain" },
	{ 0xcf346c57, "mt76x02_phy_dfs_adjust_agc" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x538f32f2, "cfg80211_chandef_valid" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0x2583b828, "mt76x02_mac_shared_key_setup" },
	{ 0xbd63abeb, "mt76x02_ext_pa_enabled" },
	{ 0xe2322bdd, "mt76x02_get_efuse_data" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0xa9663af0, "mt76x02_get_rx_gain" },
	{ 0x75fef85d, "mt76x02_add_rate_power_offset" },
	{ 0x55692e7d, "ieee80211_queue_delayed_work" },
	{ 0xdf190f7f, "mt76_eeprom_init" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0xba33e6af, "mt76x02_mac_setaddr" },
	{ 0xa37a5b74, "mt76_register_device" },
	{ 0x296eb20c, "mt76x02_phy_set_bw" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xa63861f1, "mt76x02_phy_set_band" },
	{ 0x17381c4c, "mt76_set_channel" },
	{ 0xe216406b, "mt76x02_init_device" },
	{ 0xbfbbbf9, "ieee80211_wake_queues" },
	{ 0xe9abc2bd, "mt76x02_eeprom_parse_hw_cap" },
	{ 0x61b8bd8e, "mt76x02_phy_set_rxpath" },
	{ 0x472f57bb, "mt76x02_edcca_init" },
	{ 0xe3a4458e, "mt76_eeprom_override" },
	{ 0xac8e27e9, "mt76x02_get_lna_gain" },
	{ 0x93cc390f, "mt76x02_init_debugfs" },
	{ 0xdcb764ad, "memset" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0x9d044308, "ieee80211_stop_queues" },
	{ 0x4519adaf, "mt76x02_mac_cc_reset" },
	{ 0x89a2b8e1, "mt76x02_init_agc_gain" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xd83bfe09, "mt76_txq_schedule_all" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x379fa6bc, "____mt76_poll_msec" },
	{ 0xe4d2581d, "mt76x02_dfs_init_params" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xf7df1001, "mt76x02_config_mac_addr_list" },
	{ 0x30ff3e25, "mt76_get_sar_power" },
	{ 0xe7cfda0e, "mt76x02_eeprom_copy" },
	{ 0x9c35e82a, "mt76x02_mcu_calibrate" },
	{ 0xf7fa1ec3, "mt76x02_mcu_function_select" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x7a93d061, "mt76x02_phy_set_txpower" },
	{ 0xad5d3ba8, "mt76x02_get_max_rate_power" },
	{ 0xeb683d2a, "mt76x02_mac_wcid_setup" },
	{ 0xbfa70823, "__mt76_poll" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x4522a8bd, "mt76x02_phy_set_txdac" },
	{ 0x93c479bc, "mt76x02_limit_rate_power" },
	{ 0x5ea61cf4, "mt76_get_min_avg_rssi" },
	{ 0x5bd84fd5, "mt76x02_rates" },
	{ 0xf9a482f9, "msleep" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "mt76,mt76x02-lib,cfg80211,mac80211");


MODULE_INFO(srcversion, "CE2DD35AF09A8753CBEF0D2");
