#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(mt76x02_rates, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_device, "_gpl", "");
KSYMTAB_FUNC(mt76x02_configure_filter, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_add, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_remove, "_gpl", "");
KSYMTAB_FUNC(mt76x02_add_interface, "_gpl", "");
KSYMTAB_FUNC(mt76x02_remove_interface, "_gpl", "");
KSYMTAB_FUNC(mt76x02_ampdu_action, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_key, "_gpl", "");
KSYMTAB_FUNC(mt76x02_conf_tx, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_tx_ackto, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_coverage_class, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_rts_threshold, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_rate_tbl_update, "_gpl", "");
KSYMTAB_FUNC(mt76x02_remove_hdr_pad, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_ps, "_gpl", "");
KSYMTAB_FUNC(mt76x02_bss_info_changed, "_gpl", "");
KSYMTAB_FUNC(mt76x02_config_mac_addr_list, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_reset_counters, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_shared_key_setup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_wcid_setup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_write_txwi, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_setaddr, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_update_channel, "_gpl", "");
KSYMTAB_FUNC(mt76x02_edcca_init, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_cc_reset, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_parse_response, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_msg_send, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_function_select, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_set_radio_state, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_calibrate, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_cleanup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_ethtool_fwver, "_gpl", "");
KSYMTAB_FUNC(mt76x02_eeprom_copy, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_efuse_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02_eeprom_parse_hw_cap, "_gpl", "");
KSYMTAB_FUNC(mt76x02_ext_pa_enabled, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_rx_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_lna_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_rxpath, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_txdac, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_max_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x02_limit_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x02_add_rate_power_offset, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_bw, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_band, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_adjust_vga_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_agc_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02e_init_beacon_config, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dma_init, "_gpl", "");
KSYMTAB_FUNC(mt76x02_rx_poll_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_irq_handler, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dma_disable, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_start, "_gpl", "");
KSYMTAB_FUNC(mt76x02_reconfig_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx, "_gpl", "");
KSYMTAB_FUNC(mt76x02_queue_rx_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_set_txpwr_auto, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_status_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_prepare_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_debugfs, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_dfs_adjust_agc, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dfs_init_params, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_set_beacon, "_gpl", "");
KSYMTAB_FUNC(mt76x02_resync_beacon_timer, "_gpl", "");
KSYMTAB_FUNC(mt76x02_update_beacon_iter, "_gpl", "");
KSYMTAB_FUNC(mt76x02_enqueue_buffered_bc, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_beacon_config, "_gpl", "");

SYMBOL_CRC(mt76x02_rates, 0x5bd84fd5, "_gpl");
SYMBOL_CRC(mt76x02_init_device, 0xe216406b, "_gpl");
SYMBOL_CRC(mt76x02_configure_filter, 0x5f52626f, "_gpl");
SYMBOL_CRC(mt76x02_sta_add, 0x986980e3, "_gpl");
SYMBOL_CRC(mt76x02_sta_remove, 0xcfd75ffd, "_gpl");
SYMBOL_CRC(mt76x02_add_interface, 0xba4c1a11, "_gpl");
SYMBOL_CRC(mt76x02_remove_interface, 0x67c39931, "_gpl");
SYMBOL_CRC(mt76x02_ampdu_action, 0x9c7f848d, "_gpl");
SYMBOL_CRC(mt76x02_set_key, 0x878be121, "_gpl");
SYMBOL_CRC(mt76x02_conf_tx, 0x33d35f12, "_gpl");
SYMBOL_CRC(mt76x02_set_tx_ackto, 0xf9329c8b, "_gpl");
SYMBOL_CRC(mt76x02_set_coverage_class, 0x1cc3a0d2, "_gpl");
SYMBOL_CRC(mt76x02_set_rts_threshold, 0xa3d397e2, "_gpl");
SYMBOL_CRC(mt76x02_sta_rate_tbl_update, 0xb55b9f72, "_gpl");
SYMBOL_CRC(mt76x02_remove_hdr_pad, 0x508d86ee, "_gpl");
SYMBOL_CRC(mt76x02_sw_scan_complete, 0xc7fe7306, "_gpl");
SYMBOL_CRC(mt76x02_sta_ps, 0x3a667fe7, "_gpl");
SYMBOL_CRC(mt76x02_bss_info_changed, 0x04976cf2, "_gpl");
SYMBOL_CRC(mt76x02_config_mac_addr_list, 0xf7df1001, "_gpl");
SYMBOL_CRC(mt76x02_mac_reset_counters, 0x6ddf4ef6, "_gpl");
SYMBOL_CRC(mt76x02_mac_shared_key_setup, 0x2583b828, "_gpl");
SYMBOL_CRC(mt76x02_mac_wcid_setup, 0xeb683d2a, "_gpl");
SYMBOL_CRC(mt76x02_mac_write_txwi, 0xdcdd429f, "_gpl");
SYMBOL_CRC(mt76x02_mac_setaddr, 0xba33e6af, "_gpl");
SYMBOL_CRC(mt76x02_tx_complete_skb, 0x613fda91, "_gpl");
SYMBOL_CRC(mt76x02_update_channel, 0xe81ce1f8, "_gpl");
SYMBOL_CRC(mt76x02_edcca_init, 0x472f57bb, "_gpl");
SYMBOL_CRC(mt76x02_mac_cc_reset, 0x4519adaf, "_gpl");
SYMBOL_CRC(mt76x02_mcu_parse_response, 0x20efbaf6, "_gpl");
SYMBOL_CRC(mt76x02_mcu_msg_send, 0xa2c0333b, "_gpl");
SYMBOL_CRC(mt76x02_mcu_function_select, 0xf7fa1ec3, "_gpl");
SYMBOL_CRC(mt76x02_mcu_set_radio_state, 0xfa51eea8, "_gpl");
SYMBOL_CRC(mt76x02_mcu_calibrate, 0x9c35e82a, "_gpl");
SYMBOL_CRC(mt76x02_mcu_cleanup, 0x37626fa5, "_gpl");
SYMBOL_CRC(mt76x02_set_ethtool_fwver, 0xc0daed8a, "_gpl");
SYMBOL_CRC(mt76x02_eeprom_copy, 0xe7cfda0e, "_gpl");
SYMBOL_CRC(mt76x02_get_efuse_data, 0xe2322bdd, "_gpl");
SYMBOL_CRC(mt76x02_eeprom_parse_hw_cap, 0xe9abc2bd, "_gpl");
SYMBOL_CRC(mt76x02_ext_pa_enabled, 0xbd63abeb, "_gpl");
SYMBOL_CRC(mt76x02_get_rx_gain, 0xa9663af0, "_gpl");
SYMBOL_CRC(mt76x02_get_lna_gain, 0xac8e27e9, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_rxpath, 0x61b8bd8e, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_txdac, 0x4522a8bd, "_gpl");
SYMBOL_CRC(mt76x02_get_max_rate_power, 0xad5d3ba8, "_gpl");
SYMBOL_CRC(mt76x02_limit_rate_power, 0x93c479bc, "_gpl");
SYMBOL_CRC(mt76x02_add_rate_power_offset, 0x75fef85d, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_txpower, 0x7a93d061, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_bw, 0x296eb20c, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_band, 0xa63861f1, "_gpl");
SYMBOL_CRC(mt76x02_phy_adjust_vga_gain, 0x6045fd91, "_gpl");
SYMBOL_CRC(mt76x02_init_agc_gain, 0x89a2b8e1, "_gpl");
SYMBOL_CRC(mt76x02e_init_beacon_config, 0xda5a910d, "_gpl");
SYMBOL_CRC(mt76x02_dma_init, 0x8c5faf24, "_gpl");
SYMBOL_CRC(mt76x02_rx_poll_complete, 0x186a3396, "_gpl");
SYMBOL_CRC(mt76x02_irq_handler, 0x91d5b9ee, "_gpl");
SYMBOL_CRC(mt76x02_dma_disable, 0xc06d7a80, "_gpl");
SYMBOL_CRC(mt76x02_mac_start, 0x6d92bd28, "_gpl");
SYMBOL_CRC(mt76x02_reconfig_complete, 0x54548489, "_gpl");
SYMBOL_CRC(mt76x02_tx, 0x3b0dba26, "_gpl");
SYMBOL_CRC(mt76x02_queue_rx_skb, 0x05debbf2, "_gpl");
SYMBOL_CRC(mt76x02_tx_set_txpwr_auto, 0x96b4946d, "_gpl");
SYMBOL_CRC(mt76x02_tx_status_data, 0xd00856c5, "_gpl");
SYMBOL_CRC(mt76x02_tx_prepare_skb, 0x1603f983, "_gpl");
SYMBOL_CRC(mt76x02_init_debugfs, 0x93cc390f, "_gpl");
SYMBOL_CRC(mt76x02_phy_dfs_adjust_agc, 0xcf346c57, "_gpl");
SYMBOL_CRC(mt76x02_dfs_init_params, 0xe4d2581d, "_gpl");
SYMBOL_CRC(mt76x02_mac_set_beacon, 0x9e62115f, "_gpl");
SYMBOL_CRC(mt76x02_resync_beacon_timer, 0x069f79e2, "_gpl");
SYMBOL_CRC(mt76x02_update_beacon_iter, 0xd13a79bb, "_gpl");
SYMBOL_CRC(mt76x02_enqueue_buffered_bc, 0xafdc437f, "_gpl");
SYMBOL_CRC(mt76x02_init_beacon_config, 0xfb82f3cf, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa05ffc58, "ieee80211_sta_register_airtime" },
	{ 0xf47639c, "__traceiter_mac_txdone" },
	{ 0x411f7768, "mt76_dma_rx_poll" },
	{ 0xeb8e2378, "mt76_tx_status_unlock" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x8d039641, "simple_attr_open" },
	{ 0xbebaed22, "debugfs_attr_write" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0x4679fb71, "consume_skb" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xbdc26b3b, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x1efdc7fc, "mt76_tx_status_skb_get" },
	{ 0x93b9a682, "trace_raw_output_prep" },
	{ 0x53f32243, "mt76_tx_status_lock" },
	{ 0x87ef83ff, "skb_dequeue" },
	{ 0x556be6e0, "__trace_trigger_soft_disabled" },
	{ 0xcb6b138, "trace_event_printf" },
	{ 0x8573b30d, "mt76_csa_check" },
	{ 0x4eaa32a8, "mt76_tx_status_skb_add" },
	{ 0x9d28c26e, "__tracepoint_mac_txdone" },
	{ 0x8ccc2e9b, "__traceiter_dev_irq" },
	{ 0x10bf9025, "mt76_tx_check_agg_ssn" },
	{ 0xf5ac16e8, "ieee80211_tx_status_ext" },
	{ 0x91fcaa9a, "mt76_stop_tx_queues" },
	{ 0x7c709594, "___pskb_trim" },
	{ 0x3f7c8b8f, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x6d0cdc56, "__mt76_tx_complete_skb" },
	{ 0x5b66fa60, "seq_lseek" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x1ecbd4ec, "ieee80211_restart_hw" },
	{ 0xc4e40b90, "bpf_trace_run2" },
	{ 0xd13274b4, "ieee80211_get_hdrlen_from_skb" },
	{ 0xa935b788, "kthread_park" },
	{ 0xd0c73f59, "mt76_mcu_rx_event" },
	{ 0xfdee55aa, "mt76_wcid_init" },
	{ 0xb51e25fa, "mt76_tx_status_check" },
	{ 0x354b3d7c, "wake_up_process" },
	{ 0xfb6dfa14, "trace_event_buffer_commit" },
	{ 0x405a3670, "ieee80211_get_buffered_bc" },
	{ 0xdb5b677b, "napi_complete_done" },
	{ 0x40f0d125, "ieee80211_get_tx_rates" },
	{ 0x670757ee, "ieee80211_send_bar" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb9b06042, "debugfs_create_devm_seqfile" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xbfb322d2, "mt76_tx" },
	{ 0x6f7d2f61, "__napi_schedule" },
	{ 0xc806fe62, "mt76_csa_finish" },
	{ 0xa916b694, "strnlen" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x31bb8ac8, "mt76_wcid_key_setup" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0xb783af47, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x5cbe99e2, "mt76_rx" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xf900e832, "kthread_unpark" },
	{ 0xd0ac1d95, "mt76_phy_dfs_state" },
	{ 0x7a1208f2, "wiphy_to_ieee80211_hw" },
	{ 0x62a5cd5d, "mt76_init_queue" },
	{ 0x579acfde, "debugfs_attr_read" },
	{ 0x5ba75fe, "__mt76_sta_remove" },
	{ 0xe0eed0cd, "mt76_tx_status_skb_done" },
	{ 0x55692e7d, "ieee80211_queue_delayed_work" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x4bb807c7, "perf_trace_run_bpf_submit" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x2bd9d0b2, "debugfs_create_bool" },
	{ 0xb6476d61, "skb_pull" },
	{ 0x9295faf0, "simple_attr_release" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbfe0703a, "skb_push" },
	{ 0xad0c171b, "napi_enable" },
	{ 0x6f2c2cc6, "seq_putc" },
	{ 0x2092327, "trace_event_reg" },
	{ 0x7e92311b, "mt76_update_survey" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xc6634315, "mt76_ac_to_hwq" },
	{ 0xbfbbbf9, "ieee80211_wake_queues" },
	{ 0xb8238587, "mt76_mcu_send_and_get_msg" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x74818240, "ieee80211_iter_keys_rcu" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x885f6ba6, "__mt76_mcu_msg_alloc" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x6553c966, "mt76_set_irq_mask" },
	{ 0xdc0f8a86, "bpf_trace_run1" },
	{ 0xdcb764ad, "memset" },
	{ 0xd346b5c2, "ieee80211_calc_tx_airtime" },
	{ 0x4419dde5, "debugfs_create_u32" },
	{ 0xc15b19e7, "mt76_seq_puts_array" },
	{ 0x9d044308, "ieee80211_stop_queues" },
	{ 0xbd462b55, "__kfifo_init" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb608bb75, "__tracepoint_dev_irq" },
	{ 0x32f1e81b, "seq_read" },
	{ 0x7f92d328, "mt76_mcu_get_response" },
	{ 0x13107c3a, "debugfs_create_file" },
	{ 0xda2d7a21, "trace_event_buffer_reserve" },
	{ 0xc466477d, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xd83bfe09, "mt76_txq_schedule_all" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xa4c26431, "mt76_rx_aggr_start" },
	{ 0x5737dbe8, "seq_write" },
	{ 0x379fa6bc, "____mt76_poll_msec" },
	{ 0x899fbd06, "seq_printf" },
	{ 0xcce31ff9, "ieee80211_beacon_get_tim" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x4df8f2cf, "mt76_wcid_cleanup" },
	{ 0x1eb713b4, "ieee80211_radar_detected" },
	{ 0xa5c872a7, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xb3d11248, "mt76_queues_read" },
	{ 0x8423c241, "mt76_register_debugfs_fops" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xc25a42ab, "napi_schedule_prep" },
	{ 0xdb763fe2, "napi_disable" },
	{ 0xd7c7d5c, "dev_kfree_skb_any_reason" },
	{ 0xbfa70823, "__mt76_poll" },
	{ 0xefd5ad9c, "mt76_rx_aggr_stop" },
	{ 0x554ab118, "debugfs_create_u8" },
	{ 0x3466fede, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xb5ba9d16, "mt76_dma_attach" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "mac80211,mt76,cfg80211");


MODULE_INFO(srcversion, "B773B00FC05F55337E6216B");
