#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt76x02u_mcu_fw_reset, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_mcu_fw_send_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_init_mcu, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_mac_start, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_tx_prepare_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_init_beacon_config, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_exit_beacon_config, "_gpl", "");

SYMBOL_CRC(mt76x02u_mcu_fw_reset, 0x446c48ba, "_gpl");
SYMBOL_CRC(mt76x02u_mcu_fw_send_data, 0x23cdf940, "_gpl");
SYMBOL_CRC(mt76x02u_init_mcu, 0x9a915334, "_gpl");
SYMBOL_CRC(mt76x02u_tx_complete_skb, 0x629e0bd1, "_gpl");
SYMBOL_CRC(mt76x02u_mac_start, 0xce464042, "_gpl");
SYMBOL_CRC(mt76x02u_tx_prepare_skb, 0xd905ab10, "_gpl");
SYMBOL_CRC(mt76x02u_init_beacon_config, 0x9f02f6fe, "_gpl");
SYMBOL_CRC(mt76x02u_exit_beacon_config, 0x6406d69b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd13a79bb, "mt76x02_update_beacon_iter" },
	{ 0xafdc437f, "mt76x02_enqueue_buffered_bc" },
	{ 0x508d86ee, "mt76x02_remove_hdr_pad" },
	{ 0xc2af5a6, "skb_put" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x4679fb71, "consume_skb" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x69f79e2, "mt76x02_resync_beacon_timer" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x20efbaf6, "mt76x02_mcu_parse_response" },
	{ 0x8573b30d, "mt76_csa_check" },
	{ 0x4eaa32a8, "mt76_tx_status_skb_add" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe07d5d7, "mt76u_single_wr" },
	{ 0x6d0cdc56, "__mt76_tx_complete_skb" },
	{ 0x6ddf4ef6, "mt76x02_mac_reset_counters" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd13274b4, "ieee80211_get_hdrlen_from_skb" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0xaa3a99c1, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc806fe62, "mt76_csa_finish" },
	{ 0x95463bb7, "__alloc_skb" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0xb6476d61, "skb_pull" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbfe0703a, "skb_push" },
	{ 0xfb82f3cf, "mt76x02_init_beacon_config" },
	{ 0x885f6ba6, "__mt76_mcu_msg_alloc" },
	{ 0xdcdd429f, "mt76x02_mac_write_txwi" },
	{ 0xdcb764ad, "memset" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0xc466477d, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf74a0483, "mt76u_vendor_request" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xd22c2ce, "mt76_skb_adjust_pad" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0x9e62115f, "mt76x02_mac_set_beacon" },
	{ 0x3c96fa2f, "hrtimer_active" },
	{ 0xbfa70823, "__mt76_poll" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "mt76x02-lib,mt76,mt76-usb,cfg80211,mac80211");


MODULE_INFO(srcversion, "9E000E79562F8A49393B891");
