#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8c5faf24, "mt76x02_dma_init" },
	{ 0xffb5089c, "pci_save_state" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x4c55545d, "devm_request_threaded_irq" },
	{ 0x6c9db67e, "pci_choose_state" },
	{ 0xc0daed8a, "mt76x02_set_ethtool_fwver" },
	{ 0x96b4946d, "mt76x02_tx_set_txpwr_auto" },
	{ 0x878be121, "mt76x02_set_key" },
	{ 0x20efbaf6, "mt76x02_mcu_parse_response" },
	{ 0x76c8b606, "mt76_release_buffered_frames" },
	{ 0x8dceb523, "request_firmware" },
	{ 0x8a62077d, "mt76_get_txpower" },
	{ 0x43ba1bed, "__pci_register_driver" },
	{ 0x6c69f3c8, "mt76_write_mac_initvals" },
	{ 0xbbc2272c, "mt76x2_reset_wlan" },
	{ 0xe73724cc, "mt76x2_mcu_set_channel" },
	{ 0xc06d7a80, "mt76x02_dma_disable" },
	{ 0xfa51eea8, "mt76x02_mcu_set_radio_state" },
	{ 0x382733fc, "mt76_wake_tx_queue" },
	{ 0xda5a910d, "mt76x02e_init_beacon_config" },
	{ 0xb9209a6e, "mt76_get_antenna" },
	{ 0x6897849a, "mt76_set_stream_caps" },
	{ 0xd74faca7, "mt76x2_apply_gain_adj" },
	{ 0xeb296f65, "ieee80211_emulate_change_chanctx" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xcfd729a4, "pci_set_power_state" },
	{ 0x3a667fe7, "mt76x02_sta_ps" },
	{ 0xb0b2d21d, "mt76x2_set_sar_specs" },
	{ 0xb55b9f72, "mt76x02_sta_rate_tbl_update" },
	{ 0xa935b788, "kthread_park" },
	{ 0x11a6c021, "mt76_dma_cleanup" },
	{ 0xe1a350f8, "pci_unregister_driver" },
	{ 0x54548489, "mt76x02_reconfig_complete" },
	{ 0x609095f7, "mt76_alloc_device" },
	{ 0x354b3d7c, "wake_up_process" },
	{ 0x2583b828, "mt76x02_mac_shared_key_setup" },
	{ 0xbd63abeb, "mt76x02_ext_pa_enabled" },
	{ 0x1cc3a0d2, "mt76x02_set_coverage_class" },
	{ 0xffc3f3e2, "mt76x2_mac_stop" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf9329c8b, "mt76x02_set_tx_ackto" },
	{ 0xe81ce1f8, "mt76x02_update_channel" },
	{ 0x6f7d2f61, "__napi_schedule" },
	{ 0x90827043, "mt76x2_configure_tx_delay" },
	{ 0x87095fa1, "mt76_pci_disable_aspm" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0x5f52626f, "mt76x02_configure_filter" },
	{ 0x24a2889b, "mt76_free_device" },
	{ 0x5debbf2, "mt76x02_queue_rx_skb" },
	{ 0xf900e832, "kthread_unpark" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xe67c4154, "pcim_iomap_regions" },
	{ 0x55692e7d, "ieee80211_queue_delayed_work" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x186a3396, "mt76x02_rx_poll_complete" },
	{ 0xba33e6af, "mt76x02_mac_setaddr" },
	{ 0xa37a5b74, "mt76_register_device" },
	{ 0x2139d5f4, "mt76_set_tim" },
	{ 0xc7fe7306, "mt76x02_sw_scan_complete" },
	{ 0x296eb20c, "mt76x02_phy_set_bw" },
	{ 0x91d5b9ee, "mt76x02_irq_handler" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xa63861f1, "mt76x02_phy_set_band" },
	{ 0x17381c4c, "mt76_set_channel" },
	{ 0xe216406b, "mt76x02_init_device" },
	{ 0xad0c171b, "napi_enable" },
	{ 0x3b0dba26, "mt76x02_tx" },
	{ 0x6ca29c73, "mt76_mmio_init" },
	{ 0xbfbbbf9, "ieee80211_wake_queues" },
	{ 0xcfd75ffd, "mt76x02_sta_remove" },
	{ 0x472f57bb, "mt76x02_edcca_init" },
	{ 0x23c5149a, "mt76x2_eeprom_init" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x986980e3, "mt76x02_sta_add" },
	{ 0x5057326b, "mt76_unregister_device" },
	{ 0x684bf562, "mt76x2_mcu_load_cr" },
	{ 0x4656f3ed, "pci_restore_state" },
	{ 0x1ab4ac3a, "mt76x2_init_txpower" },
	{ 0x93cc390f, "mt76x02_init_debugfs" },
	{ 0x26b2413e, "mt76_get_survey" },
	{ 0xf853f470, "ieee80211_emulate_add_chanctx" },
	{ 0xaff5b1dd, "pci_set_master" },
	{ 0xd29d3445, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x38b5dd96, "mt76x2_mcu_init_gain" },
	{ 0xa3d397e2, "mt76x02_set_rts_threshold" },
	{ 0x613fda91, "mt76x02_tx_complete_skb" },
	{ 0x70eed9eb, "mt76_sta_state" },
	{ 0xa2c0333b, "mt76x02_mcu_msg_send" },
	{ 0xc1aba3b4, "mt76x2_phy_tssi_compensate" },
	{ 0x9d044308, "ieee80211_stop_queues" },
	{ 0x4519adaf, "mt76x02_mac_cc_reset" },
	{ 0x4976cf2, "mt76x02_bss_info_changed" },
	{ 0x89a2b8e1, "mt76x02_init_agc_gain" },
	{ 0x8ba89eb2, "mt76x2_phy_update_channel_gain" },
	{ 0xf82e02c6, "pci_enable_wake" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xd83bfe09, "mt76_txq_schedule_all" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xba4c1a11, "mt76x02_add_interface" },
	{ 0x379fa6bc, "____mt76_poll_msec" },
	{ 0xe4d2581d, "mt76x02_dfs_init_params" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xf7df1001, "mt76x02_config_mac_addr_list" },
	{ 0x30ff3e25, "mt76_get_sar_power" },
	{ 0x1603f983, "mt76x02_tx_prepare_skb" },
	{ 0x37626fa5, "mt76x02_mcu_cleanup" },
	{ 0x9c7f848d, "mt76x02_ampdu_action" },
	{ 0x9c35e82a, "mt76x02_mcu_calibrate" },
	{ 0x33d35f12, "mt76x02_conf_tx" },
	{ 0xf7fa1ec3, "mt76x02_mcu_function_select" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xb34e2c9a, "dma_set_mask" },
	{ 0x347b70dc, "mt76_sw_scan" },
	{ 0x4846c22d, "mt76_sta_pre_rcu_remove" },
	{ 0x38f3d0a0, "pcim_iomap_table" },
	{ 0x3e0c4a3d, "mt76x2_get_temp_comp" },
	{ 0xeb683d2a, "mt76x02_mac_wcid_setup" },
	{ 0xc25a42ab, "napi_schedule_prep" },
	{ 0xdb763fe2, "napi_disable" },
	{ 0xbfa70823, "__mt76_poll" },
	{ 0x8a577633, "mt76x2_read_rx_gain" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xad1a4a95, "pcim_enable_device" },
	{ 0x8eba16a7, "mt76x2_phy_set_txpower_regs" },
	{ 0x7e7a4e84, "mt76x2_phy_set_txpower" },
	{ 0xbd616535, "ieee80211_emulate_remove_chanctx" },
	{ 0x5bd84fd5, "mt76x02_rates" },
	{ 0x6d92bd28, "mt76x02_mac_start" },
	{ 0x67c39931, "mt76x02_remove_interface" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "mt76x02-lib,mt76,mt76x2-common,mac80211");

MODULE_ALIAS("pci:v000014C3d00007662sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014C3d00007612sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014C3d00007602sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "F45EF92C2C4249D6E80A246");
