#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x9181493a, "usb_alloc_urb" },
	{ 0xab90cd8a, "__skb_pad" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x8d039641, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x1d3f22b7, "usb_free_urb" },
	{ 0x4506c655, "bpf_trace_run4" },
	{ 0xbebaed22, "debugfs_attr_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0xc2af5a6, "skb_put" },
	{ 0x60eb31e9, "usb_alloc_coherent" },
	{ 0x4679fb71, "consume_skb" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xa6257a2f, "complete" },
	{ 0x4e671beb, "dump_page" },
	{ 0x93b9a682, "trace_raw_output_prep" },
	{ 0x6b8bf149, "netif_receive_skb_list" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x556be6e0, "__trace_trigger_soft_disabled" },
	{ 0xdb9f7425, "ieee80211_free_hw" },
	{ 0x8dceb523, "request_firmware" },
	{ 0xcb6b138, "trace_event_printf" },
	{ 0xd941f894, "usb_register_driver" },
	{ 0xf5ac16e8, "ieee80211_tx_status_ext" },
	{ 0x3f7c8b8f, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x5b66fa60, "seq_lseek" },
	{ 0xa443a193, "ieee80211_register_hw" },
	{ 0xeb296f65, "ieee80211_emulate_change_chanctx" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc4e40b90, "bpf_trace_run2" },
	{ 0xd13274b4, "ieee80211_get_hdrlen_from_skb" },
	{ 0xd4d281cf, "ieee80211_wake_queue" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0xf4ee861a, "pskb_expand_head" },
	{ 0xfb6dfa14, "trace_event_buffer_commit" },
	{ 0xd84797f, "ieee80211_tx_status_skb" },
	{ 0x40f0d125, "ieee80211_get_tx_rates" },
	{ 0x8be56097, "ieee80211_handle_wake_tx_queue" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0xd7b909d4, "__alloc_pages_noprof" },
	{ 0x670757ee, "ieee80211_send_bar" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x836447e1, "usb_put_dev" },
	{ 0xaa3a99c1, "usb_bulk_msg" },
	{ 0xed065a16, "usb_reset_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xa916b694, "strnlen" },
	{ 0x5a18818f, "usb_get_dev" },
	{ 0x95463bb7, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0x581e9a37, "__free_pages" },
	{ 0xa359e790, "usb_submit_urb" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0xb783af47, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x579acfde, "debugfs_attr_read" },
	{ 0x55692e7d, "ieee80211_queue_delayed_work" },
	{ 0xcc876e05, "devm_kmemdup" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x4bb807c7, "perf_trace_run_bpf_submit" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x525a880f, "usb_free_coherent" },
	{ 0xb6476d61, "skb_pull" },
	{ 0x9295faf0, "simple_attr_release" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbfe0703a, "skb_push" },
	{ 0xd6cc6cc2, "usb_control_msg" },
	{ 0x6f2c2cc6, "seq_putc" },
	{ 0x84c52940, "usb_poison_urb" },
	{ 0x2092327, "trace_event_reg" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xbfbbbf9, "ieee80211_wake_queues" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbb9c0973, "__put_devmap_managed_folio_refs" },
	{ 0x26a0a846, "ieee80211_free_txskb" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2935d794, "ieee80211_alloc_hw_nm" },
	{ 0x4d8dc364, "usb_deregister" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x1dc6e4cc, "bpf_trace_run9" },
	{ 0x84e8d8e6, "ieee80211_rx_list" },
	{ 0xdcb764ad, "memset" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0xf853f470, "ieee80211_emulate_add_chanctx" },
	{ 0x4419dde5, "debugfs_create_u32" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xd29d3445, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x7bd7df1b, "ieee80211_stop_queue" },
	{ 0x9d044308, "ieee80211_stop_queues" },
	{ 0x99eabdf8, "skb_trim" },
	{ 0x2da8d207, "bpf_trace_run3" },
	{ 0x32f1e81b, "seq_read" },
	{ 0x13107c3a, "debugfs_create_file" },
	{ 0xda2d7a21, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xc4b210c0, "ieee80211_unregister_hw" },
	{ 0x5737dbe8, "seq_write" },
	{ 0xa873d5b5, "__folio_put" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xfd8b9fb9, "usb_kill_urb" },
	{ 0x56470118, "__warn_printk" },
	{ 0x899fbd06, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xa5c872a7, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x264525d6, "firmware_request_cache" },
	{ 0xfc138b47, "skb_add_rx_frag_netmem" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x554ab118, "debugfs_create_u8" },
	{ 0x3466fede, "single_open" },
	{ 0xe820ea6a, "debugfs_create_dir" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xbd616535, "ieee80211_emulate_remove_chanctx" },
	{ 0xf9a482f9, "msleep" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");

MODULE_ALIAS("usb:v0B05p17D3d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E8Dp760Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E8Dp760Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13D3p3431d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13D3p3434d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp7601d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp760Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp760Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp760Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp760Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p3D04d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2717p4106d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2955p0001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2955p1001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2955p1003d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2A5Fp1000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7392p7710d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "F3BBB191BAAF2A78F3DAFE5");
