#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd941f894, "usb_register_driver" },
	{ 0xde7ab811, "rt2x00usb_probe" },
	{ 0x4829a47e, "memcpy" },
	{ 0x99eabdf8, "skb_trim" },
	{ 0x4679fb71, "consume_skb" },
	{ 0xa359e790, "usb_submit_urb" },
	{ 0x4d8dc364, "usb_deregister" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xfcdccf64, "rt2x00usb_vendor_req_buff_lock" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x91b1fb9c, "rt2x00usb_vendor_request" },
	{ 0x30f4f93c, "rt2x00lib_set_mac_address" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0x87d225e5, "rt2x00usb_vendor_request_buff" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0xbfe0703a, "skb_push" },
	{ 0x38e92b15, "rt2x00debug_dump_frame" },
	{ 0xf9a482f9, "msleep" },
	{ 0xce0fc368, "rt2x00usb_disable_radio" },
	{ 0xea9fe9ed, "rt2x00usb_disconnect" },
	{ 0x52fa00f5, "rt2x00usb_suspend" },
	{ 0x2a2c058e, "rt2x00usb_resume" },
	{ 0x9659160e, "rt2x00usb_initialize" },
	{ 0xa0a6550e, "rt2x00usb_uninitialize" },
	{ 0xfa5bcc11, "rt2x00usb_clear_entry" },
	{ 0x7d8b0dc4, "rt2x00usb_watchdog" },
	{ 0x88b53a3f, "rt2x00usb_kick_queue" },
	{ 0xe3d4a2bb, "rt2x00usb_flush_queue" },
	{ 0xb6b67be8, "rt2x00mac_tx" },
	{ 0xa16cc687, "rt2x00mac_start" },
	{ 0x9a62fc6a, "rt2x00mac_stop" },
	{ 0x10a62560, "rt2x00mac_add_interface" },
	{ 0x5df7c5e0, "rt2x00mac_remove_interface" },
	{ 0xc2303d6b, "rt2x00mac_config" },
	{ 0x79fdfef1, "rt2x00mac_bss_info_changed" },
	{ 0x83a36327, "rt2x00mac_configure_filter" },
	{ 0x2418af58, "rt2x00mac_set_tim" },
	{ 0x307b3d04, "rt2x00mac_set_key" },
	{ 0xa4815c7c, "rt2x00mac_sw_scan_start" },
	{ 0xd70c2046, "rt2x00mac_sw_scan_complete" },
	{ 0x2e57dedd, "rt2x00mac_get_stats" },
	{ 0x89fdf6f9, "rt2x00mac_conf_tx" },
	{ 0x39a7e670, "rt2x00mac_rfkill_poll" },
	{ 0x27f418b5, "rt2x00mac_flush" },
	{ 0x6cf99585, "rt2x00mac_set_antenna" },
	{ 0xb7e49879, "rt2x00mac_get_antenna" },
	{ 0xce3970c, "rt2x00mac_get_ringparam" },
	{ 0x8a49fe8c, "rt2x00mac_tx_frames_pending" },
	{ 0xf853f470, "ieee80211_emulate_add_chanctx" },
	{ 0xbd616535, "ieee80211_emulate_remove_chanctx" },
	{ 0xeb296f65, "ieee80211_emulate_change_chanctx" },
	{ 0xd29d3445, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x8be56097, "ieee80211_handle_wake_tx_queue" },
	{ 0x14c5dd46, "param_ops_bool" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "rt2x00usb,rt2x00lib,mac80211");

MODULE_ALIAS("usb:v0B05p1706d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p1707d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp7050d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp7051d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p000Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p0011d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p001Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v14B2p3C02d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p3C00d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1044p8001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1044p8007d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06F8pE000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p005Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0066d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0067d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p008Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0097d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6861d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6865d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6869d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp1706d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp2570d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp9020d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v079Bp004Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0681p3C06d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0707pEE13d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v114Bp0110d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0769p11F3d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0EB0p9020d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0F88p3012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v5A57p0260d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "0234C22C669DF15F609D12B");
