#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rt2x00lib_get_bssidx, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_beacondone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_pretbtt, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_dmastart, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_dmadone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_txdone_nomatch, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_txdone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_txdone_noinfo, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_rxdone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_set_mac_address, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_probe_dev, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_remove_dev, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_suspend, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_resume, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_tx, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_start, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_stop, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_reconfig_complete, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_add_interface, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_remove_interface, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_config, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_configure_filter, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_set_tim, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_set_key, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_sw_scan_start, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_get_stats, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_bss_info_changed, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_conf_tx, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_rfkill_poll, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_flush, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_set_antenna, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_get_antenna, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_get_ringparam, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_tx_frames_pending, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_map_txskb, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_unmap_skb, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_for_each_entry, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_get_entry, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_pause_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_unpause_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_start_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_stop_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_flush_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_start_queues, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_stop_queues, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_flush_queues, "_gpl", "");
KSYMTAB_FUNC(rt2x00debug_dump_frame, "_gpl", "");

SYMBOL_CRC(rt2x00lib_get_bssidx, 0xee85d80b, "_gpl");
SYMBOL_CRC(rt2x00lib_beacondone, 0x1669ed1e, "_gpl");
SYMBOL_CRC(rt2x00lib_pretbtt, 0xfe58cad4, "_gpl");
SYMBOL_CRC(rt2x00lib_dmastart, 0x1c8ec6fd, "_gpl");
SYMBOL_CRC(rt2x00lib_dmadone, 0x70aa4c9a, "_gpl");
SYMBOL_CRC(rt2x00lib_txdone_nomatch, 0xdf65dfbd, "_gpl");
SYMBOL_CRC(rt2x00lib_txdone, 0xf3ec0ad0, "_gpl");
SYMBOL_CRC(rt2x00lib_txdone_noinfo, 0xa21f2856, "_gpl");
SYMBOL_CRC(rt2x00lib_rxdone, 0xbdb000e4, "_gpl");
SYMBOL_CRC(rt2x00lib_set_mac_address, 0x30f4f93c, "_gpl");
SYMBOL_CRC(rt2x00lib_probe_dev, 0x24ddebf4, "_gpl");
SYMBOL_CRC(rt2x00lib_remove_dev, 0xde025dc1, "_gpl");
SYMBOL_CRC(rt2x00lib_suspend, 0xf443d2cb, "_gpl");
SYMBOL_CRC(rt2x00lib_resume, 0x2538d81b, "_gpl");
SYMBOL_CRC(rt2x00mac_tx, 0xb6b67be8, "_gpl");
SYMBOL_CRC(rt2x00mac_start, 0xa16cc687, "_gpl");
SYMBOL_CRC(rt2x00mac_stop, 0x9a62fc6a, "_gpl");
SYMBOL_CRC(rt2x00mac_reconfig_complete, 0xd2188db9, "_gpl");
SYMBOL_CRC(rt2x00mac_add_interface, 0x10a62560, "_gpl");
SYMBOL_CRC(rt2x00mac_remove_interface, 0x5df7c5e0, "_gpl");
SYMBOL_CRC(rt2x00mac_config, 0xc2303d6b, "_gpl");
SYMBOL_CRC(rt2x00mac_configure_filter, 0x83a36327, "_gpl");
SYMBOL_CRC(rt2x00mac_set_tim, 0x2418af58, "_gpl");
SYMBOL_CRC(rt2x00mac_set_key, 0x307b3d04, "_gpl");
SYMBOL_CRC(rt2x00mac_sw_scan_start, 0xa4815c7c, "_gpl");
SYMBOL_CRC(rt2x00mac_sw_scan_complete, 0xd70c2046, "_gpl");
SYMBOL_CRC(rt2x00mac_get_stats, 0x2e57dedd, "_gpl");
SYMBOL_CRC(rt2x00mac_bss_info_changed, 0x79fdfef1, "_gpl");
SYMBOL_CRC(rt2x00mac_conf_tx, 0x89fdf6f9, "_gpl");
SYMBOL_CRC(rt2x00mac_rfkill_poll, 0x39a7e670, "_gpl");
SYMBOL_CRC(rt2x00mac_flush, 0x27f418b5, "_gpl");
SYMBOL_CRC(rt2x00mac_set_antenna, 0x6cf99585, "_gpl");
SYMBOL_CRC(rt2x00mac_get_antenna, 0xb7e49879, "_gpl");
SYMBOL_CRC(rt2x00mac_get_ringparam, 0x0ce3970c, "_gpl");
SYMBOL_CRC(rt2x00mac_tx_frames_pending, 0x8a49fe8c, "_gpl");
SYMBOL_CRC(rt2x00queue_map_txskb, 0x521b1297, "_gpl");
SYMBOL_CRC(rt2x00queue_unmap_skb, 0x1256c762, "_gpl");
SYMBOL_CRC(rt2x00queue_for_each_entry, 0x4eaebcc1, "_gpl");
SYMBOL_CRC(rt2x00queue_get_entry, 0x8cca7b2d, "_gpl");
SYMBOL_CRC(rt2x00queue_pause_queue, 0x9e40ffa9, "_gpl");
SYMBOL_CRC(rt2x00queue_unpause_queue, 0x5f839ece, "_gpl");
SYMBOL_CRC(rt2x00queue_start_queue, 0xb7282d38, "_gpl");
SYMBOL_CRC(rt2x00queue_stop_queue, 0x53cebeae, "_gpl");
SYMBOL_CRC(rt2x00queue_flush_queue, 0xa07ecbc6, "_gpl");
SYMBOL_CRC(rt2x00queue_start_queues, 0x0c5c9e8f, "_gpl");
SYMBOL_CRC(rt2x00queue_stop_queues, 0x15d44e6d, "_gpl");
SYMBOL_CRC(rt2x00queue_flush_queues, 0x2b0eb013, "_gpl");
SYMBOL_CRC(rt2x00debug_dump_frame, 0x38e92b15, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xd4845a05, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xcc0e7274, "ieee80211_iterate_interfaces" },
	{ 0xc2af5a6, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x4679fb71, "consume_skb" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x87ef83ff, "skb_dequeue" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xa6613056, "dma_unmap_page_attrs" },
	{ 0x8dceb523, "request_firmware" },
	{ 0x6a25d18b, "led_classdev_suspend" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0xf5ac16e8, "ieee80211_tx_status_ext" },
	{ 0x6a5e11bc, "debugfs_create_blob" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xc7d2b07a, "led_classdev_unregister" },
	{ 0xa443a193, "ieee80211_register_hw" },
	{ 0x357336bc, "__ieee80211_create_tpt_led_trigger" },
	{ 0x1ecbd4ec, "ieee80211_restart_hw" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xd13274b4, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0xd4d281cf, "ieee80211_wake_queue" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0x5195dcc3, "skb_queue_purge_reason" },
	{ 0x34070452, "dev_driver_string" },
	{ 0xd84797f, "ieee80211_tx_status_skb" },
	{ 0x405a3670, "ieee80211_get_buffered_bc" },
	{ 0xb4c63861, "dma_map_page_attrs" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xa916b694, "strnlen" },
	{ 0x95463bb7, "__alloc_skb" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0x7a7db114, "of_get_mac_address" },
	{ 0x136711a4, "skb_queue_tail" },
	{ 0x1f9a9c72, "module_put" },
	{ 0x800473f, "__cond_resched" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x55692e7d, "ieee80211_queue_delayed_work" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x2d938670, "simple_open" },
	{ 0x5f7f08de, "ieee80211_ctstoself_get" },
	{ 0xb6476d61, "skb_pull" },
	{ 0x3939f8f0, "rfkill_pause_polling" },
	{ 0x9f66a4ce, "sk_skb_reason_drop" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbfe0703a, "skb_push" },
	{ 0x495eed8e, "debugfs_remove" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x26a0a846, "ieee80211_free_txskb" },
	{ 0x81e4beca, "led_classdev_register_ext" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x551dfe26, "default_llseek" },
	{ 0xdcb764ad, "memset" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0x4419dde5, "debugfs_create_u32" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x7bd7df1b, "ieee80211_stop_queue" },
	{ 0x5409cff7, "__netdev_alloc_skb" },
	{ 0x9d044308, "ieee80211_stop_queues" },
	{ 0x99eabdf8, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf13765e4, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x3a35edb, "wiphy_rfkill_start_polling" },
	{ 0x13107c3a, "debugfs_create_file" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc466477d, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x64454b14, "led_classdev_resume" },
	{ 0xc4b210c0, "ieee80211_unregister_hw" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xcce31ff9, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xa4f2e3fb, "ieee80211_rts_get" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x2f266e04, "ieee80211_queue_work" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x98cf60b3, "strlen" },
	{ 0xd7c7d5c, "dev_kfree_skb_any_reason" },
	{ 0xe820ea6a, "debugfs_create_dir" },
	{ 0xe7508f4f, "generic_file_llseek" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0xdcad7bca, "ieee80211_rx_napi" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211,rfkill");


MODULE_INFO(srcversion, "28CFE432FCAFF3C2CF4BB33");
