#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd941f894, "usb_register_driver" },
	{ 0xde7ab811, "rt2x00usb_probe" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x5ef24266, "rt2x00usb_regbusy_read" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xfcdccf64, "rt2x00usb_vendor_req_buff_lock" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x87d225e5, "rt2x00usb_vendor_request_buff" },
	{ 0x4829a47e, "memcpy" },
	{ 0xb6476d61, "skb_pull" },
	{ 0x99eabdf8, "skb_trim" },
	{ 0x4d8dc364, "usb_deregister" },
	{ 0x9a34a2b, "crc_itu_t" },
	{ 0xd819a524, "crc_itu_t_table" },
	{ 0x91b1fb9c, "rt2x00usb_vendor_request" },
	{ 0x30f4f93c, "rt2x00lib_set_mac_address" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0xf9a482f9, "msleep" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0x89fdf6f9, "rt2x00mac_conf_tx" },
	{ 0xce0fc368, "rt2x00usb_disable_radio" },
	{ 0xbfe0703a, "skb_push" },
	{ 0x38e92b15, "rt2x00debug_dump_frame" },
	{ 0xab90cd8a, "__skb_pad" },
	{ 0x4679fb71, "consume_skb" },
	{ 0xea9fe9ed, "rt2x00usb_disconnect" },
	{ 0x52fa00f5, "rt2x00usb_suspend" },
	{ 0x2a2c058e, "rt2x00usb_resume" },
	{ 0x9659160e, "rt2x00usb_initialize" },
	{ 0xa0a6550e, "rt2x00usb_uninitialize" },
	{ 0xfa5bcc11, "rt2x00usb_clear_entry" },
	{ 0x7d8b0dc4, "rt2x00usb_watchdog" },
	{ 0x88b53a3f, "rt2x00usb_kick_queue" },
	{ 0xe3d4a2bb, "rt2x00usb_flush_queue" },
	{ 0xb6b67be8, "rt2x00mac_tx" },
	{ 0xa16cc687, "rt2x00mac_start" },
	{ 0x9a62fc6a, "rt2x00mac_stop" },
	{ 0x10a62560, "rt2x00mac_add_interface" },
	{ 0x5df7c5e0, "rt2x00mac_remove_interface" },
	{ 0xc2303d6b, "rt2x00mac_config" },
	{ 0x79fdfef1, "rt2x00mac_bss_info_changed" },
	{ 0x83a36327, "rt2x00mac_configure_filter" },
	{ 0x2418af58, "rt2x00mac_set_tim" },
	{ 0x307b3d04, "rt2x00mac_set_key" },
	{ 0xa4815c7c, "rt2x00mac_sw_scan_start" },
	{ 0xd70c2046, "rt2x00mac_sw_scan_complete" },
	{ 0x2e57dedd, "rt2x00mac_get_stats" },
	{ 0x39a7e670, "rt2x00mac_rfkill_poll" },
	{ 0x27f418b5, "rt2x00mac_flush" },
	{ 0x6cf99585, "rt2x00mac_set_antenna" },
	{ 0xb7e49879, "rt2x00mac_get_antenna" },
	{ 0xce3970c, "rt2x00mac_get_ringparam" },
	{ 0x8a49fe8c, "rt2x00mac_tx_frames_pending" },
	{ 0xf853f470, "ieee80211_emulate_add_chanctx" },
	{ 0xbd616535, "ieee80211_emulate_remove_chanctx" },
	{ 0xeb296f65, "ieee80211_emulate_change_chanctx" },
	{ 0xd29d3445, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x8be56097, "ieee80211_handle_wake_tx_queue" },
	{ 0x14c5dd46, "param_ops_bool" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "rt2x00usb,crc-itu-t,rt2x00lib,mac80211");

MODULE_ALIAS("usb:v07B8pB21Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07B8pB21Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07B8pB21Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07B8pB21Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07B8pB21Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v14B2p3C10d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp9021d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0EB0p9021d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v18C5p0002d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1690p0722d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p1723d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p1724d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp7050d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp705Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp905Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp905Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1631pC019d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v08DDp0120d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p00D8d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p00D9d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p00E6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p00F4d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0116d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0119d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0137d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v178Dp02BEd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1371p9022d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1371p9032d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v14B2p3C22d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07AAp002Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07D1p3C03d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07D1p3C04d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07D1p3C06d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07D1p3C07d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7392p7318d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7392p7618d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1740p3701d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15A9p0004d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1044p8008d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1044p800Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1472p0009d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06F8pE002d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06F8pE010d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06F8pE020d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p0020d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p0023d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p0028d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p4600d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6877d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6874d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0pA861d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0pA874d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B75p7318d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04BBp093Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp2573d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp2671d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0812p3101d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v18E8p6196d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v18E8p6229d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v18E8p6238d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04E8p4471d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1740p7100d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DF6p0024d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DF6p0027d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DF6p002Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DF6p90ACd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DF6p9712d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0769p31F3d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v6933p5001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0471p200Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2019pAB01d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2019pAB50d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7167p3840d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0CDEp001Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0586p3415d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "BC0364D8018CDCF58BF4576");
