#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dm_restorepowerindex, "_gpl", "");
KSYMTAB_FUNC(dm_writepowerindex, "_gpl", "");
KSYMTAB_FUNC(dm_savepowerindex, "_gpl", "");
KSYMTAB_FUNC(rtl92c_dm_write_dig, "", "");
KSYMTAB_FUNC(rtl92c_dm_init_edca_turbo, "", "");
KSYMTAB_FUNC(rtl92c_dm_check_txpower_tracking, "", "");
KSYMTAB_FUNC(rtl92c_dm_init_rate_adaptive_mask, "", "");
KSYMTAB_FUNC(rtl92c_dm_rf_saving, "", "");
KSYMTAB_FUNC(rtl92c_dm_init, "", "");
KSYMTAB_FUNC(rtl92c_dm_watchdog, "", "");
KSYMTAB_FUNC(rtl92c_bt_rssi_state_change, "", "");
KSYMTAB_FUNC(rtl92c_dm_bt_coexist, "", "");
KSYMTAB_FUNC(rtl92c_download_fw, "", "");
KSYMTAB_FUNC(rtl92c_fill_h2c_cmd, "", "");
KSYMTAB_FUNC(rtl92c_firmware_selfreset, "", "");
KSYMTAB_FUNC(rtl92c_set_fw_pwrmode_cmd, "", "");
KSYMTAB_FUNC(rtl92c_set_fw_rsvdpagepkt, "", "");
KSYMTAB_FUNC(rtl92c_set_fw_joinbss_report_cmd, "", "");
KSYMTAB_FUNC(rtl92c_set_p2p_ps_offload_cmd, "_gpl", "");
KSYMTAB_FUNC(rtl92c_phy_query_bb_reg, "", "");
KSYMTAB_FUNC(rtl92c_phy_set_bb_reg, "", "");
KSYMTAB_FUNC(_rtl92c_phy_fw_rf_serial_read, "", "");
KSYMTAB_FUNC(_rtl92c_phy_fw_rf_serial_write, "", "");
KSYMTAB_FUNC(_rtl92c_phy_rf_serial_read, "", "");
KSYMTAB_FUNC(_rtl92c_phy_rf_serial_write, "", "");
KSYMTAB_FUNC(rtl92c_phy_rf_config, "", "");
KSYMTAB_FUNC(_rtl92c_phy_bb8192c_config_parafile, "", "");
KSYMTAB_FUNC(_rtl92c_store_pwrindex_diffrate_offset, "", "");
KSYMTAB_FUNC(_rtl92c_phy_init_bb_rf_register_definition, "", "");
KSYMTAB_FUNC(rtl92c_phy_set_txpower_level, "", "");
KSYMTAB_FUNC(rtl92c_phy_update_txpower_dbm, "", "");
KSYMTAB_FUNC(_rtl92c_phy_dbm_to_txpwr_idx, "", "");
KSYMTAB_FUNC(_rtl92c_phy_txpwr_idx_to_dbm, "", "");
KSYMTAB_FUNC(rtl92c_phy_set_bw_mode, "", "");
KSYMTAB_FUNC(rtl92c_phy_sw_chnl_callback, "", "");
KSYMTAB_FUNC(rtl92c_phy_sw_chnl, "", "");
KSYMTAB_FUNC(rtl8192_phy_check_is_legal_rfpath, "", "");
KSYMTAB_FUNC(rtl92c_phy_iq_calibrate, "", "");
KSYMTAB_FUNC(rtl92c_phy_lc_calibrate, "", "");
KSYMTAB_FUNC(rtl92c_phy_ap_calibrate, "", "");
KSYMTAB_FUNC(rtl92c_phy_set_rfpath_switch, "", "");
KSYMTAB_FUNC(rtl92c_phy_set_io_cmd, "", "");
KSYMTAB_FUNC(rtl92c_phy_set_io, "", "");
KSYMTAB_FUNC(rtl92ce_phy_set_rf_on, "", "");
KSYMTAB_FUNC(_rtl92c_phy_set_rf_sleep, "", "");

SYMBOL_CRC(dm_restorepowerindex, 0xacc652c1, "_gpl");
SYMBOL_CRC(dm_writepowerindex, 0x8fe05c9f, "_gpl");
SYMBOL_CRC(dm_savepowerindex, 0x2c859669, "_gpl");
SYMBOL_CRC(rtl92c_dm_write_dig, 0x66e90a95, "");
SYMBOL_CRC(rtl92c_dm_init_edca_turbo, 0x7bb8f099, "");
SYMBOL_CRC(rtl92c_dm_check_txpower_tracking, 0x1d1f643e, "");
SYMBOL_CRC(rtl92c_dm_init_rate_adaptive_mask, 0xe4d402ab, "");
SYMBOL_CRC(rtl92c_dm_rf_saving, 0xa0b34322, "");
SYMBOL_CRC(rtl92c_dm_init, 0xb5104d0e, "");
SYMBOL_CRC(rtl92c_dm_watchdog, 0x52774e12, "");
SYMBOL_CRC(rtl92c_bt_rssi_state_change, 0xc95ffd7b, "");
SYMBOL_CRC(rtl92c_dm_bt_coexist, 0x46f5b816, "");
SYMBOL_CRC(rtl92c_download_fw, 0x7628f9ee, "");
SYMBOL_CRC(rtl92c_fill_h2c_cmd, 0xa6073fe2, "");
SYMBOL_CRC(rtl92c_firmware_selfreset, 0x62b28dc0, "");
SYMBOL_CRC(rtl92c_set_fw_pwrmode_cmd, 0x0d740972, "");
SYMBOL_CRC(rtl92c_set_fw_rsvdpagepkt, 0x4ed2e4b5, "");
SYMBOL_CRC(rtl92c_set_fw_joinbss_report_cmd, 0xd4bb438b, "");
SYMBOL_CRC(rtl92c_set_p2p_ps_offload_cmd, 0x3dcd72bf, "_gpl");
SYMBOL_CRC(rtl92c_phy_query_bb_reg, 0x860dc5ae, "");
SYMBOL_CRC(rtl92c_phy_set_bb_reg, 0x9eb91b3f, "");
SYMBOL_CRC(_rtl92c_phy_fw_rf_serial_read, 0xa03334ad, "");
SYMBOL_CRC(_rtl92c_phy_fw_rf_serial_write, 0x52b0879e, "");
SYMBOL_CRC(_rtl92c_phy_rf_serial_read, 0x829fb05f, "");
SYMBOL_CRC(_rtl92c_phy_rf_serial_write, 0x673a0fa8, "");
SYMBOL_CRC(rtl92c_phy_rf_config, 0xeb28af28, "");
SYMBOL_CRC(_rtl92c_phy_bb8192c_config_parafile, 0x17204a53, "");
SYMBOL_CRC(_rtl92c_store_pwrindex_diffrate_offset, 0xb74e7b6e, "");
SYMBOL_CRC(_rtl92c_phy_init_bb_rf_register_definition, 0x98dc2e80, "");
SYMBOL_CRC(rtl92c_phy_set_txpower_level, 0x23d8e59b, "");
SYMBOL_CRC(rtl92c_phy_update_txpower_dbm, 0x72303840, "");
SYMBOL_CRC(_rtl92c_phy_dbm_to_txpwr_idx, 0x545195fa, "");
SYMBOL_CRC(_rtl92c_phy_txpwr_idx_to_dbm, 0xe9b8709a, "");
SYMBOL_CRC(rtl92c_phy_set_bw_mode, 0xc693b2cc, "");
SYMBOL_CRC(rtl92c_phy_sw_chnl_callback, 0x33d449e3, "");
SYMBOL_CRC(rtl92c_phy_sw_chnl, 0x0ce97436, "");
SYMBOL_CRC(rtl8192_phy_check_is_legal_rfpath, 0x7ffb4a3b, "");
SYMBOL_CRC(rtl92c_phy_iq_calibrate, 0xf384b5d8, "");
SYMBOL_CRC(rtl92c_phy_lc_calibrate, 0xca76e2f8, "");
SYMBOL_CRC(rtl92c_phy_ap_calibrate, 0xcf7b79a5, "");
SYMBOL_CRC(rtl92c_phy_set_rfpath_switch, 0x9355c2c9, "");
SYMBOL_CRC(rtl92c_phy_set_io_cmd, 0xceca6e84, "");
SYMBOL_CRC(rtl92c_phy_set_io, 0x766bff2c, "");
SYMBOL_CRC(rtl92ce_phy_set_rf_on, 0x59083ff8, "");
SYMBOL_CRC(_rtl92c_phy_set_rf_sleep, 0xb46ffff8, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc2af5a6, "skb_put" },
	{ 0x6dbd9ce4, "rtl_fw_block_write" },
	{ 0x4829a47e, "memcpy" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xea65d735, "rtl_cmd_send_packet" },
	{ 0xe0b3d95c, "rtl_fw_page_write" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xdcb764ad, "memset" },
	{ 0x5409cff7, "__netdev_alloc_skb" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x77427f76, "rtl_dm_diginit" },
	{ 0x2e5382f9, "rtl_fill_dummy" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "rtlwifi");


MODULE_INFO(srcversion, "B08EAA805B0AB0630BCBC30");
