#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cw1200_core_probe, "_gpl", "");
KSYMTAB_FUNC(cw1200_core_release, "_gpl", "");
KSYMTAB_FUNC(cw1200_irq_handler, "_gpl", "");
KSYMTAB_FUNC(cw1200_can_suspend, "_gpl", "");

SYMBOL_CRC(cw1200_core_probe, 0x9e92a918, "_gpl");
SYMBOL_CRC(cw1200_core_release, 0x6d16dc45, "_gpl");
SYMBOL_CRC(cw1200_irq_handler, 0x045eb1a2, "_gpl");
SYMBOL_CRC(cw1200_can_suspend, 0x56f966c6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbb8d5f22, "ieee80211_connection_loss" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc2af5a6, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x4679fb71, "consume_skb" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x87ef83ff, "skb_dequeue" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xdb9f7425, "ieee80211_free_hw" },
	{ 0xc5825cea, "ieee80211_probereq_get" },
	{ 0x8dceb523, "request_firmware" },
	{ 0xcf2a6966, "up" },
	{ 0x952fc03b, "__cpu_present_mask" },
	{ 0x3e9436c4, "param_array_ops" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xbb615689, "ieee80211_nullfunc_get" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x5b66fa60, "seq_lseek" },
	{ 0xbbc2b896, "ieee80211_pspoll_get" },
	{ 0xa443a193, "ieee80211_register_hw" },
	{ 0xeb296f65, "ieee80211_emulate_change_chanctx" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0xa00622dd, "param_ops_byte" },
	{ 0xd4d281cf, "ieee80211_wake_queue" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0x5195dcc3, "skb_queue_purge_reason" },
	{ 0xd84797f, "ieee80211_tx_status_skb" },
	{ 0x6269d570, "ieee80211_find_sta" },
	{ 0x8be56097, "ieee80211_handle_wake_tx_queue" },
	{ 0x122c3a7e, "_printk" },
	{ 0xaeb9a917, "ieee80211_get_key_rx_seq" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x12c2d041, "ieee80211_sta_set_buffered" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x4d3e2151, "cfg80211_put_bss" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0x136711a4, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x800473f, "__cond_resched" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x2d938670, "simple_open" },
	{ 0xb6476d61, "skb_pull" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x6626afca, "down" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbfe0703a, "skb_push" },
	{ 0x495eed8e, "debugfs_remove" },
	{ 0x6f2c2cc6, "seq_putc" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2935d794, "ieee80211_alloc_hw_nm" },
	{ 0xe9ffc063, "down_trylock" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x551dfe26, "default_llseek" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xdcb764ad, "memset" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0xf853f470, "ieee80211_emulate_add_chanctx" },
	{ 0x43674595, "param_ops_charp" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xd29d3445, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x7bd7df1b, "ieee80211_stop_queue" },
	{ 0x5409cff7, "__netdev_alloc_skb" },
	{ 0x99eabdf8, "skb_trim" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x32f1e81b, "seq_read" },
	{ 0x13107c3a, "debugfs_create_file" },
	{ 0x6157449c, "ieee80211_scan_completed" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xc4b210c0, "ieee80211_unregister_hw" },
	{ 0x5737dbe8, "seq_write" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x899fbd06, "seq_printf" },
	{ 0xcce31ff9, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x54ab5a99, "ieee80211_cqm_rssi_notify" },
	{ 0xa5c872a7, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5cba2be4, "ieee80211_bss_get_elem" },
	{ 0xcb74520d, "param_ops_int" },
	{ 0x3466fede, "single_open" },
	{ 0xe820ea6a, "debugfs_create_dir" },
	{ 0xbd616535, "ieee80211_emulate_remove_chanctx" },
	{ 0x664a493d, "__cfg80211_get_bss" },
	{ 0xf9a482f9, "msleep" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0xf0782b49, "ieee80211_rx_irqsafe" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "E02ED8CB012C9EEF808790C");
