#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wlcore_set_key, "_gpl", "");
KSYMTAB_FUNC(wlcore_alloc_hw, "_gpl", "");
KSYMTAB_FUNC(wlcore_free_hw, "_gpl", "");
KSYMTAB_FUNC(wlcore_probe, "_gpl", "");
KSYMTAB_FUNC(wlcore_remove, "_gpl", "");
KSYMTAB_DATA(wl12xx_debug_level, "_gpl", "");
KSYMTAB_FUNC(wl1271_cmd_send, "_gpl", "");
KSYMTAB_FUNC(wlcore_cmd_wait_for_event_or_timeout, "_gpl", "");
KSYMTAB_FUNC(wlcore_get_native_channel_type, "_gpl", "");
KSYMTAB_FUNC(wl1271_cmd_test, "_gpl", "");
KSYMTAB_FUNC(wl1271_cmd_configure, "_gpl", "");
KSYMTAB_FUNC(wl1271_cmd_data_path, "_gpl", "");
KSYMTAB_FUNC(wl12xx_cmd_build_probe_req, "_gpl", "");
KSYMTAB_FUNC(wlcore_cmd_generic_cfg, "_gpl", "");
KSYMTAB_FUNC(wlcore_disable_interrupts, "_gpl", "");
KSYMTAB_FUNC(wlcore_disable_interrupts_nosync, "_gpl", "");
KSYMTAB_FUNC(wlcore_enable_interrupts, "_gpl", "");
KSYMTAB_FUNC(wlcore_synchronize_interrupts, "_gpl", "");
KSYMTAB_FUNC(wlcore_translate_addr, "_gpl", "");
KSYMTAB_FUNC(wlcore_set_partition, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_fw_logger, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_rssi_trigger, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_soft_gemini_sense, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_sched_scan_completed, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_ba_rx_constraint, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_channel_switch, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_dummy_packet, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_max_tx_failure, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_inactive_sta, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_roc_complete, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_beacon_loss, "_gpl", "");
KSYMTAB_FUNC(wl1271_free_tx_id, "", "");
KSYMTAB_FUNC(wl12xx_is_dummy_packet, "", "");
KSYMTAB_FUNC(wlcore_calc_packet_alignment, "", "");
KSYMTAB_FUNC(wlcore_tx_complete, "", "");
KSYMTAB_FUNC(wl1271_tx_flush, "_gpl", "");
KSYMTAB_FUNC(wl1271_tx_min_rate_get, "_gpl", "");
KSYMTAB_FUNC(wl1271_acx_sleep_auth, "_gpl", "");
KSYMTAB_FUNC(wl12xx_acx_mem_cfg, "_gpl", "");
KSYMTAB_FUNC(wl1271_acx_init_mem_config, "_gpl", "");
KSYMTAB_FUNC(wl1271_acx_pm_config, "_gpl", "");
KSYMTAB_FUNC(wl1271_acx_set_ht_capabilities, "_gpl", "");
KSYMTAB_FUNC(wlcore_boot_upload_firmware, "_gpl", "");
KSYMTAB_FUNC(wlcore_boot_upload_nvs, "_gpl", "");
KSYMTAB_FUNC(wlcore_boot_run_firmware, "_gpl", "");
KSYMTAB_FUNC(wl1271_format_buffer, "_gpl", "");
KSYMTAB_FUNC(wl1271_debugfs_update_stats, "_gpl", "");
KSYMTAB_FUNC(wlcore_set_scan_chan_params, "_gpl", "");
KSYMTAB_FUNC(wlcore_scan_sched_scan_ssid_list, "_gpl", "");
KSYMTAB_FUNC(wlcore_scan_sched_scan_results, "_gpl", "");

SYMBOL_CRC(wlcore_set_key, 0x5f2da752, "_gpl");
SYMBOL_CRC(wlcore_alloc_hw, 0xd2aca7da, "_gpl");
SYMBOL_CRC(wlcore_free_hw, 0x67482ff2, "_gpl");
SYMBOL_CRC(wlcore_probe, 0x01b61992, "_gpl");
SYMBOL_CRC(wlcore_remove, 0xdb7d4278, "_gpl");
SYMBOL_CRC(wl12xx_debug_level, 0x06d3b27e, "_gpl");
SYMBOL_CRC(wl1271_cmd_send, 0x563b5176, "_gpl");
SYMBOL_CRC(wlcore_cmd_wait_for_event_or_timeout, 0xb0ff8204, "_gpl");
SYMBOL_CRC(wlcore_get_native_channel_type, 0x20351125, "_gpl");
SYMBOL_CRC(wl1271_cmd_test, 0x48fbf8c6, "_gpl");
SYMBOL_CRC(wl1271_cmd_configure, 0x102566d9, "_gpl");
SYMBOL_CRC(wl1271_cmd_data_path, 0x020217ac, "_gpl");
SYMBOL_CRC(wl12xx_cmd_build_probe_req, 0x20344faa, "_gpl");
SYMBOL_CRC(wlcore_cmd_generic_cfg, 0xf5026a30, "_gpl");
SYMBOL_CRC(wlcore_disable_interrupts, 0x557af09a, "_gpl");
SYMBOL_CRC(wlcore_disable_interrupts_nosync, 0xd9305173, "_gpl");
SYMBOL_CRC(wlcore_enable_interrupts, 0x7447cf22, "_gpl");
SYMBOL_CRC(wlcore_synchronize_interrupts, 0x8ce4198a, "_gpl");
SYMBOL_CRC(wlcore_translate_addr, 0xd0f66293, "_gpl");
SYMBOL_CRC(wlcore_set_partition, 0x3c1148f5, "_gpl");
SYMBOL_CRC(wlcore_event_fw_logger, 0x590d835f, "_gpl");
SYMBOL_CRC(wlcore_event_rssi_trigger, 0xe8511535, "_gpl");
SYMBOL_CRC(wlcore_event_soft_gemini_sense, 0x50a3c478, "_gpl");
SYMBOL_CRC(wlcore_event_sched_scan_completed, 0x3ac60d31, "_gpl");
SYMBOL_CRC(wlcore_event_ba_rx_constraint, 0xef7a5ec0, "_gpl");
SYMBOL_CRC(wlcore_event_channel_switch, 0xe404f8a1, "_gpl");
SYMBOL_CRC(wlcore_event_dummy_packet, 0x5b177db5, "_gpl");
SYMBOL_CRC(wlcore_event_max_tx_failure, 0x24e2f9e4, "_gpl");
SYMBOL_CRC(wlcore_event_inactive_sta, 0x39f96a62, "_gpl");
SYMBOL_CRC(wlcore_event_roc_complete, 0xe587bc55, "_gpl");
SYMBOL_CRC(wlcore_event_beacon_loss, 0x8e32e595, "_gpl");
SYMBOL_CRC(wl1271_free_tx_id, 0xd0378ced, "");
SYMBOL_CRC(wl12xx_is_dummy_packet, 0xda06407b, "");
SYMBOL_CRC(wlcore_calc_packet_alignment, 0xcd4f3000, "");
SYMBOL_CRC(wlcore_tx_complete, 0xa333db76, "");
SYMBOL_CRC(wl1271_tx_flush, 0xc61eecb8, "_gpl");
SYMBOL_CRC(wl1271_tx_min_rate_get, 0x07bf98d1, "_gpl");
SYMBOL_CRC(wl1271_acx_sleep_auth, 0x9a051aa4, "_gpl");
SYMBOL_CRC(wl12xx_acx_mem_cfg, 0x3cf2cfe4, "_gpl");
SYMBOL_CRC(wl1271_acx_init_mem_config, 0xc77ecda2, "_gpl");
SYMBOL_CRC(wl1271_acx_pm_config, 0x73f80c36, "_gpl");
SYMBOL_CRC(wl1271_acx_set_ht_capabilities, 0xa100c336, "_gpl");
SYMBOL_CRC(wlcore_boot_upload_firmware, 0xb032d84d, "_gpl");
SYMBOL_CRC(wlcore_boot_upload_nvs, 0x0157de5d, "_gpl");
SYMBOL_CRC(wlcore_boot_run_firmware, 0x6a73e372, "_gpl");
SYMBOL_CRC(wl1271_format_buffer, 0x85498cd1, "_gpl");
SYMBOL_CRC(wl1271_debugfs_update_stats, 0xfd4faece, "_gpl");
SYMBOL_CRC(wlcore_set_scan_chan_params, 0xedce1c61, "_gpl");
SYMBOL_CRC(wlcore_scan_sched_scan_ssid_list, 0x4d078b17, "_gpl");
SYMBOL_CRC(wlcore_scan_sched_scan_results, 0xcb79f02b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1514a3b, "free_irq" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xbb8d5f22, "ieee80211_connection_loss" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb2a00e3, "device_set_wakeup_capable" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xcc0e7274, "ieee80211_iterate_interfaces" },
	{ 0x74dd884e, "ieee80211_sched_scan_stopped" },
	{ 0x60b73b66, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x5ad4611c, "ieee80211_chswitch_done" },
	{ 0xc2af5a6, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x4679fb71, "consume_skb" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x87ef83ff, "skb_dequeue" },
	{ 0x74ccc61, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xdb9f7425, "ieee80211_free_hw" },
	{ 0xc5825cea, "ieee80211_probereq_get" },
	{ 0x8dceb523, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x7aaf8703, "ieee80211_ap_probereq_get" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xbb615689, "ieee80211_nullfunc_get" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xbbc2b896, "ieee80211_pspoll_get" },
	{ 0xa443a193, "ieee80211_register_hw" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x1ecbd4ec, "ieee80211_restart_hw" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xd13274b4, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe154c03d, "dev_pm_set_dedicated_wake_irq" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x38407ec8, "ieee80211_stop_rx_ba_session" },
	{ 0xd4d281cf, "ieee80211_wake_queue" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x1a629346, "device_create_bin_file" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xd84797f, "ieee80211_tx_status_skb" },
	{ 0x6269d570, "ieee80211_find_sta" },
	{ 0x8be56097, "ieee80211_handle_wake_tx_queue" },
	{ 0x122c3a7e, "_printk" },
	{ 0xda5b42df, "pm_wakeup_dev_event" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0xf693587e, "pm_runtime_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0xf7d31de9, "kstrtoul_from_user" },
	{ 0x136711a4, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xf09add98, "device_wakeup_disable" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x9818813d, "device_create_file" },
	{ 0x7a1208f2, "wiphy_to_ieee80211_hw" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x55692e7d, "ieee80211_queue_delayed_work" },
	{ 0x2fb07f0, "ieee80211_proberesp_get" },
	{ 0xbba5bd2b, "device_wakeup_enable" },
	{ 0xd7ff39d2, "request_firmware_nowait" },
	{ 0x2d938670, "simple_open" },
	{ 0xb6476d61, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x6e7902da, "platform_get_resource" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x9b8785e, "ieee80211_remain_on_channel_expired" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbfe0703a, "skb_push" },
	{ 0x495eed8e, "debugfs_remove" },
	{ 0xc9237575, "no_seek_end_llseek" },
	{ 0xbfbbbf9, "ieee80211_wake_queues" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x865852cd, "ieee80211_report_low_ack" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x26a0a846, "ieee80211_free_txskb" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x2935d794, "ieee80211_alloc_hw_nm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x551dfe26, "default_llseek" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xdcb764ad, "memset" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x43674595, "param_ops_charp" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x7bd7df1b, "ieee80211_stop_queue" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x5409cff7, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x2ba82024, "ieee80211_ready_on_channel" },
	{ 0x9d044308, "ieee80211_stop_queues" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x99eabdf8, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8afb6669, "ieee80211_cqm_beacon_loss_notify" },
	{ 0x13107c3a, "debugfs_create_file" },
	{ 0x999e8297, "vfree" },
	{ 0xb5cc5acc, "ieee80211_sched_scan_results" },
	{ 0x4f139bf4, "__pm_runtime_resume" },
	{ 0x6157449c, "ieee80211_scan_completed" },
	{ 0xc466477d, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0xd7863847, "dev_pm_clear_wake_irq" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x3a707c93, "pm_runtime_force_resume" },
	{ 0xc4b210c0, "ieee80211_unregister_hw" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xcce31ff9, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x54ab5a99, "ieee80211_cqm_rssi_notify" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x827d8a32, "__pm_runtime_suspend" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x2f266e04, "ieee80211_queue_work" },
	{ 0x91930acb, "__pm_runtime_use_autosuspend" },
	{ 0x497bb3fd, "ieee80211_sta_ps_transition" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xcb74520d, "param_ops_int" },
	{ 0x568d4681, "__pm_runtime_disable" },
	{ 0xe820ea6a, "debugfs_create_dir" },
	{ 0xe7508f4f, "generic_file_llseek" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xb3b109ef, "pm_runtime_force_suspend" },
	{ 0x61f81ab3, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0xbb2eb4ac, "device_remove_bin_file" },
	{ 0xf80a3ec7, "device_remove_file" },
	{ 0xe4c787fb, "ieee80211_csa_finish" },
	{ 0xf85686bf, "skb_queue_head" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xdcad7bca, "ieee80211_rx_napi" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "9ABC1192ED56FDAFC44DB0F");
