#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wwan_get_debugfs_dir, "_gpl", "");
KSYMTAB_FUNC(wwan_put_debugfs_dir, "_gpl", "");
KSYMTAB_FUNC(wwan_create_port, "_gpl", "");
KSYMTAB_FUNC(wwan_remove_port, "_gpl", "");
KSYMTAB_FUNC(wwan_port_rx, "_gpl", "");
KSYMTAB_FUNC(wwan_port_txon, "_gpl", "");
KSYMTAB_FUNC(wwan_port_txoff, "_gpl", "");
KSYMTAB_FUNC(wwan_port_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(wwan_register_ops, "_gpl", "");
KSYMTAB_FUNC(wwan_unregister_ops, "_gpl", "");

SYMBOL_CRC(wwan_get_debugfs_dir, 0xb1a1e3d0, "_gpl");
SYMBOL_CRC(wwan_put_debugfs_dir, 0x59189cdd, "_gpl");
SYMBOL_CRC(wwan_create_port, 0xe88db1ac, "_gpl");
SYMBOL_CRC(wwan_remove_port, 0xb74c31cd, "_gpl");
SYMBOL_CRC(wwan_port_rx, 0xf0544251, "_gpl");
SYMBOL_CRC(wwan_port_txon, 0x3d9bbf75, "_gpl");
SYMBOL_CRC(wwan_port_txoff, 0x4dff61e5, "_gpl");
SYMBOL_CRC(wwan_port_get_drvdata, 0x526bcf2a, "_gpl");
SYMBOL_CRC(wwan_register_ops, 0x02a96995, "_gpl");
SYMBOL_CRC(wwan_unregister_ops, 0x67a2c062, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xd0ac450b, "class_dev_iter_next" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb2a60d30, "__nlmsg_put" },
	{ 0xc2af5a6, "skb_put" },
	{ 0xdec5f1bf, "dev_set_name" },
	{ 0x4679fb71, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9838955f, "device_unregister" },
	{ 0x87ef83ff, "skb_dequeue" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xeb16b253, "rtnl_link_register" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x37a0cba, "kfree" },
	{ 0xb6bc7862, "device_for_each_child" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xbbe343eb, "rtnl_create_link" },
	{ 0x77a07d84, "unregister_netdevice_queue" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x5195dcc3, "skb_queue_purge_reason" },
	{ 0xca0eee00, "alloc_netdev_mqs" },
	{ 0x97832342, "class_dev_iter_exit" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x8619869e, "put_device" },
	{ 0x95463bb7, "__alloc_skb" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0x136711a4, "skb_queue_tail" },
	{ 0xc4b146dd, "rtnl_configure_link" },
	{ 0x54b50667, "compat_ptr_ioctl" },
	{ 0x800473f, "__cond_resched" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8241aab5, "rtnl_link_unregister" },
	{ 0x7ee7ac5d, "init_net" },
	{ 0xb6476d61, "skb_pull" },
	{ 0x9f66a4ce, "sk_skb_reason_drop" },
	{ 0xfdc0adc2, "noop_llseek" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x495eed8e, "debugfs_remove" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0xffb7c514, "ida_free" },
	{ 0x2e9d1dca, "free_netdev" },
	{ 0x2e6fc05a, "class_unregister" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd682dfb1, "class_dev_iter_init" },
	{ 0x65ea0b6f, "device_register" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xdcb764ad, "memset" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xacdd7225, "__register_chrdev" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x51d96502, "stream_open" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xe983bed9, "device_find_child_by_name" },
	{ 0x98cf60b3, "strlen" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xe820ea6a, "debugfs_create_dir" },
	{ 0xaa3a3bb3, "class_register" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0xf85686bf, "skb_queue_head" },
	{ 0xda4e1eea, "class_find_device" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xec0e8314, "register_netdevice" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "B1CEB566240C810BC30A880");
