#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvdimm_bus_lock, "", "");
KSYMTAB_FUNC(nvdimm_bus_unlock, "", "");
KSYMTAB_FUNC(is_nvdimm_bus_locked, "", "");
KSYMTAB_FUNC(devm_nvdimm_memremap, "_gpl", "");
KSYMTAB_FUNC(nd_fletcher64, "_gpl", "");
KSYMTAB_FUNC(to_nd_desc, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm_bus_dev, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_add_badrange, "_gpl", "");
KSYMTAB_FUNC(nd_device_notify, "", "");
KSYMTAB_FUNC(nvdimm_region_notify, "_gpl", "");
KSYMTAB_FUNC(nvdimm_clear_poison, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm_bus, "_gpl", "");
KSYMTAB_FUNC(nvdimm_to_bus, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_register, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_unregister, "_gpl", "");
KSYMTAB_FUNC(nd_synchronize, "_gpl", "");
KSYMTAB_FUNC(nd_device_register, "", "");
KSYMTAB_FUNC(nd_device_unregister, "", "");
KSYMTAB_FUNC(__nd_driver_register, "", "");
KSYMTAB_FUNC(nvdimm_check_and_set_ro, "", "");
KSYMTAB_FUNC(nd_cmd_dimm_desc, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_bus_desc, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_in_size, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_out_size, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm, "_gpl", "");
KSYMTAB_FUNC(to_ndd, "", "");
KSYMTAB_FUNC(nvdimm_name, "_gpl", "");
KSYMTAB_FUNC(nvdimm_kobj, "_gpl", "");
KSYMTAB_FUNC(nvdimm_cmd_mask, "_gpl", "");
KSYMTAB_FUNC(nvdimm_provider_data, "_gpl", "");
KSYMTAB_FUNC(__nvdimm_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_delete, "_gpl", "");
KSYMTAB_FUNC(nvdimm_security_setup_events, "_gpl", "");
KSYMTAB_FUNC(nvdimm_in_overwrite, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_check_dimm_count, "_gpl", "");
KSYMTAB_FUNC(register_nvdimm_pmu, "_gpl", "");
KSYMTAB_FUNC(unregister_nvdimm_pmu, "_gpl", "");
KSYMTAB_FUNC(to_nd_region, "_gpl", "");
KSYMTAB_FUNC(nd_region_dev, "_gpl", "");
KSYMTAB_FUNC(nd_region_provider_data, "_gpl", "");
KSYMTAB_FUNC(nd_region_to_nstype, "", "");
KSYMTAB_FUNC(nd_region_acquire_lane, "", "");
KSYMTAB_FUNC(nd_region_release_lane, "", "");
KSYMTAB_FUNC(nvdimm_pmem_region_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_volatile_region_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_region_delete, "_gpl", "");
KSYMTAB_FUNC(nvdimm_flush, "_gpl", "");
KSYMTAB_FUNC(nvdimm_has_flush, "_gpl", "");
KSYMTAB_FUNC(nvdimm_has_cache, "_gpl", "");
KSYMTAB_FUNC(is_nvdimm_sync, "_gpl", "");
KSYMTAB_FUNC(pmem_should_map_pages, "", "");
KSYMTAB_FUNC(pmem_sector_size, "", "");
KSYMTAB_FUNC(nvdimm_namespace_disk_name, "", "");
KSYMTAB_FUNC(nd_dev_to_uuid, "", "");
KSYMTAB_FUNC(nvdimm_namespace_capacity, "", "");
KSYMTAB_FUNC(nvdimm_namespace_locked, "", "");
KSYMTAB_FUNC(nvdimm_namespace_common_probe, "", "");
KSYMTAB_FUNC(devm_namespace_enable, "_gpl", "");
KSYMTAB_FUNC(devm_namespace_disable, "_gpl", "");
KSYMTAB_FUNC(badrange_init, "_gpl", "");
KSYMTAB_FUNC(badrange_add, "_gpl", "");
KSYMTAB_FUNC(badrange_forget, "_gpl", "");
KSYMTAB_FUNC(nvdimm_badblocks_populate, "_gpl", "");
KSYMTAB_FUNC(nd_sb_checksum, "", "");
KSYMTAB_FUNC(to_nd_btt, "", "");
KSYMTAB_FUNC(is_nd_btt, "", "");
KSYMTAB_FUNC(nd_btt_arena_is_valid, "", "");
KSYMTAB_FUNC(nd_btt_version, "", "");
KSYMTAB_FUNC(nd_btt_probe, "", "");
KSYMTAB_FUNC(to_nd_pfn, "", "");
KSYMTAB_FUNC(is_nd_pfn, "", "");
KSYMTAB_FUNC(nd_pfn_validate, "", "");
KSYMTAB_FUNC(nd_pfn_probe, "", "");
KSYMTAB_FUNC(nvdimm_setup_pfn, "_gpl", "");
KSYMTAB_FUNC(to_nd_dax, "", "");
KSYMTAB_FUNC(is_nd_dax, "", "");
KSYMTAB_FUNC(nd_dax_probe, "", "");

SYMBOL_CRC(nvdimm_bus_lock, 0x69f3f761, "");
SYMBOL_CRC(nvdimm_bus_unlock, 0x91a98ab8, "");
SYMBOL_CRC(is_nvdimm_bus_locked, 0xbb01eb1e, "");
SYMBOL_CRC(devm_nvdimm_memremap, 0x50ef7b82, "_gpl");
SYMBOL_CRC(nd_fletcher64, 0xaf076aec, "_gpl");
SYMBOL_CRC(to_nd_desc, 0x7f6a23e8, "_gpl");
SYMBOL_CRC(to_nvdimm_bus_dev, 0x5b6f00be, "_gpl");
SYMBOL_CRC(nvdimm_bus_add_badrange, 0xa6e4e113, "_gpl");
SYMBOL_CRC(nd_device_notify, 0xe5905f1d, "");
SYMBOL_CRC(nvdimm_region_notify, 0x39db30c4, "_gpl");
SYMBOL_CRC(nvdimm_clear_poison, 0xf446769c, "_gpl");
SYMBOL_CRC(to_nvdimm_bus, 0x97e95bc0, "_gpl");
SYMBOL_CRC(nvdimm_to_bus, 0xbc53d37b, "_gpl");
SYMBOL_CRC(nvdimm_bus_register, 0x5d8af0c8, "_gpl");
SYMBOL_CRC(nvdimm_bus_unregister, 0xa4c5a02e, "_gpl");
SYMBOL_CRC(nd_synchronize, 0x7d00c65b, "_gpl");
SYMBOL_CRC(nd_device_register, 0x777b8579, "");
SYMBOL_CRC(nd_device_unregister, 0xc346ea72, "");
SYMBOL_CRC(__nd_driver_register, 0x21815617, "");
SYMBOL_CRC(nvdimm_check_and_set_ro, 0x09b0d749, "");
SYMBOL_CRC(nd_cmd_dimm_desc, 0xb501b2df, "_gpl");
SYMBOL_CRC(nd_cmd_bus_desc, 0xa01a8d9b, "_gpl");
SYMBOL_CRC(nd_cmd_in_size, 0x02ae7c48, "_gpl");
SYMBOL_CRC(nd_cmd_out_size, 0x58a4b9c7, "_gpl");
SYMBOL_CRC(to_nvdimm, 0xb7cf8370, "_gpl");
SYMBOL_CRC(to_ndd, 0x13108099, "");
SYMBOL_CRC(nvdimm_name, 0x14bf7420, "_gpl");
SYMBOL_CRC(nvdimm_kobj, 0xc083f1b1, "_gpl");
SYMBOL_CRC(nvdimm_cmd_mask, 0x25cc35f8, "_gpl");
SYMBOL_CRC(nvdimm_provider_data, 0x767c9fdd, "_gpl");
SYMBOL_CRC(__nvdimm_create, 0xf650583b, "_gpl");
SYMBOL_CRC(nvdimm_delete, 0x2735e5dc, "_gpl");
SYMBOL_CRC(nvdimm_security_setup_events, 0xcedeefe7, "_gpl");
SYMBOL_CRC(nvdimm_in_overwrite, 0x186b8db8, "_gpl");
SYMBOL_CRC(nvdimm_bus_check_dimm_count, 0x91cf14fb, "_gpl");
SYMBOL_CRC(register_nvdimm_pmu, 0x0e03ff36, "_gpl");
SYMBOL_CRC(unregister_nvdimm_pmu, 0x8902ea8b, "_gpl");
SYMBOL_CRC(to_nd_region, 0x2e8760ff, "_gpl");
SYMBOL_CRC(nd_region_dev, 0x158d4aa9, "_gpl");
SYMBOL_CRC(nd_region_provider_data, 0x557cb738, "_gpl");
SYMBOL_CRC(nd_region_to_nstype, 0x669850ff, "");
SYMBOL_CRC(nd_region_acquire_lane, 0xa6f68f42, "");
SYMBOL_CRC(nd_region_release_lane, 0x5de4b662, "");
SYMBOL_CRC(nvdimm_pmem_region_create, 0x5342da16, "_gpl");
SYMBOL_CRC(nvdimm_volatile_region_create, 0xae3dcb4c, "_gpl");
SYMBOL_CRC(nvdimm_region_delete, 0xd3bf2bf1, "_gpl");
SYMBOL_CRC(nvdimm_flush, 0xb32d3c39, "_gpl");
SYMBOL_CRC(nvdimm_has_flush, 0x2e66eae4, "_gpl");
SYMBOL_CRC(nvdimm_has_cache, 0xb70ba8e8, "_gpl");
SYMBOL_CRC(is_nvdimm_sync, 0x1e7c938a, "_gpl");
SYMBOL_CRC(pmem_should_map_pages, 0xbc755a46, "");
SYMBOL_CRC(pmem_sector_size, 0x53f6e5c0, "");
SYMBOL_CRC(nvdimm_namespace_disk_name, 0x91398653, "");
SYMBOL_CRC(nd_dev_to_uuid, 0x78998beb, "");
SYMBOL_CRC(nvdimm_namespace_capacity, 0x73e4be16, "");
SYMBOL_CRC(nvdimm_namespace_locked, 0xd735d6c7, "");
SYMBOL_CRC(nvdimm_namespace_common_probe, 0x82b7f8bf, "");
SYMBOL_CRC(devm_namespace_enable, 0xb6c77a0d, "_gpl");
SYMBOL_CRC(devm_namespace_disable, 0x2235f57e, "_gpl");
SYMBOL_CRC(badrange_init, 0x11e06ee9, "_gpl");
SYMBOL_CRC(badrange_add, 0x2e08226d, "_gpl");
SYMBOL_CRC(badrange_forget, 0x82092899, "_gpl");
SYMBOL_CRC(nvdimm_badblocks_populate, 0x2c508237, "_gpl");
SYMBOL_CRC(nd_sb_checksum, 0x499f0ecf, "");
SYMBOL_CRC(to_nd_btt, 0x721fb20c, "");
SYMBOL_CRC(is_nd_btt, 0xa96f2af0, "");
SYMBOL_CRC(nd_btt_arena_is_valid, 0x2eb574c5, "");
SYMBOL_CRC(nd_btt_version, 0xb5407091, "");
SYMBOL_CRC(nd_btt_probe, 0xc60de160, "");
SYMBOL_CRC(to_nd_pfn, 0x86d69cc7, "");
SYMBOL_CRC(is_nd_pfn, 0x7f3e07ac, "");
SYMBOL_CRC(nd_pfn_validate, 0xff114c9f, "");
SYMBOL_CRC(nd_pfn_probe, 0xb1c079c5, "");
SYMBOL_CRC(nvdimm_setup_pfn, 0x23617b9e, "_gpl");
SYMBOL_CRC(to_nd_dax, 0x300427da, "");
SYMBOL_CRC(is_nd_dax, 0x4431b37b, "");
SYMBOL_CRC(nd_dax_probe, 0x4d1a1846, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x97721a60, "set_disk_ro" },
	{ 0xe914e41e, "strcpy" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xd4845a05, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0x36ac09ca, "devm_memremap" },
	{ 0xdec5f1bf, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xe3a24c79, "badblocks_set" },
	{ 0x9838955f, "device_unregister" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x4d95d6d1, "memcpy_flushcache" },
	{ 0xf474c21c, "bitmap_print_to_pagebuf" },
	{ 0xedc03953, "iounmap" },
	{ 0x3b9c57bf, "device_initialize" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0xe65706e0, "badblocks_exit" },
	{ 0xb6bc7862, "device_for_each_child" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x67155184, "get_device" },
	{ 0x4d924f20, "memremap" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0xdb62c9ae, "kernfs_notify" },
	{ 0x1035c7c2, "__release_region" },
	{ 0x34070452, "dev_driver_string" },
	{ 0x8df9dd10, "guid_null" },
	{ 0xaf20b3d2, "__devm_request_region" },
	{ 0x5a956b5b, "empty_zero_page" },
	{ 0xff501dad, "__cpuhp_state_remove_instance" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x8619869e, "put_device" },
	{ 0xe1e56bb5, "badblocks_show" },
	{ 0x759734a9, "key_type_encrypted" },
	{ 0x618911fc, "numa_node" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0x1f9a9c72, "module_put" },
	{ 0x54b50667, "compat_ptr_ioctl" },
	{ 0xed8a8b79, "perf_pmu_migrate_context" },
	{ 0x800473f, "__cond_resched" },
	{ 0xb09ca5d4, "perf_pmu_register" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xe410af2, "key_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xfbb7344, "memremap_compat_align" },
	{ 0x2efa2c2b, "bus_unregister" },
	{ 0x49608959, "migrate_disable" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0xb7c0f443, "sort" },
	{ 0x61c3b861, "__cpuhp_setup_state" },
	{ 0x4e1643f4, "devm_memunmap" },
	{ 0xacce839d, "cpu_bit_bitmap" },
	{ 0x61373533, "device_add" },
	{ 0x5c309e65, "hibernate_quiet_exec" },
	{ 0xfdc0adc2, "noop_llseek" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe4bbc1dd, "kimage_voffset" },
	{ 0x5a52bc6c, "kernfs_find_and_get_ns" },
	{ 0x9e9fdd9d, "memunmap" },
	{ 0x5a921311, "strncmp" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0xffb7c514, "ida_free" },
	{ 0x3ffe3b9b, "driver_unregister" },
	{ 0x61abf44e, "__cpuhp_state_add_instance" },
	{ 0x96aec4fb, "perf_pmu_unregister" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x2e6fc05a, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x2859ab, "device_find_child" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xdcb764ad, "memset" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xd68c5a1f, "adjust_resource" },
	{ 0x5500532d, "kill_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x14c5dd46, "param_ops_bool" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0xfd9f02a3, "__devm_release_region" },
	{ 0x614905ec, "request_key_tag" },
	{ 0x82fe1732, "kernfs_put" },
	{ 0xacdd7225, "__register_chrdev" },
	{ 0x6f7766ca, "cpu_all_bits" },
	{ 0xb35e7976, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x62c09e40, "badblocks_check" },
	{ 0xfe1f1c42, "__devm_add_action" },
	{ 0x2c635527, "arch_invalidate_pmem" },
	{ 0xf6a28554, "region_intersects" },
	{ 0x5644af35, "badblocks_clear" },
	{ 0xe8fe4371, "devm_init_badblocks" },
	{ 0x98cf60b3, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x1dc6c93b, "lookup_user_key" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0x5359e8dc, "__kvmalloc_node_noprof" },
	{ 0x53b954a2, "up_read" },
	{ 0x83cf91d, "driver_register" },
	{ 0xaa3a3bb3, "class_register" },
	{ 0x7742b904, "__cpuhp_remove_state" },
	{ 0x3abde4ed, "node_to_cpumask_map" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xb9cb04c5, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C9B95D41F7D31404DC6266F");
