#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvdimm_namespace_attach_btt, "", "");
KSYMTAB_FUNC(nvdimm_namespace_detach_btt, "", "");

SYMBOL_CRC(nvdimm_namespace_attach_btt, 0x0fa7bcb5, "");
SYMBOL_CRC(nvdimm_namespace_detach_btt, 0xba0fe740, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcb27a7e9, "bio_integrity_prep" },
	{ 0x3224f7c0, "__blk_alloc_disk" },
	{ 0xd277ba66, "flush_dcache_page" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xac9b54da, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xb6c77a0d, "devm_namespace_enable" },
	{ 0xa31fb5dd, "debugfs_create_u16" },
	{ 0x2e8760ff, "to_nd_region" },
	{ 0x37a0cba, "kfree" },
	{ 0x499f0ecf, "nd_sb_checksum" },
	{ 0x2eb574c5, "nd_btt_arena_is_valid" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0x6ae101cc, "bio_end_io_acct_remapped" },
	{ 0x34070452, "dev_driver_string" },
	{ 0x5a956b5b, "empty_zero_page" },
	{ 0x58995cbd, "put_disk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x931f6e47, "debugfs_create_x64" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x78998beb, "nd_dev_to_uuid" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0x7b973cd6, "bio_start_io_acct" },
	{ 0x800473f, "__cond_resched" },
	{ 0x287318b1, "bio_endio" },
	{ 0x5de4b662, "nd_region_release_lane" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x858e7897, "set_capacity" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe4bbc1dd, "kimage_voffset" },
	{ 0x495eed8e, "debugfs_remove" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x7cd31eb3, "del_gendisk" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x612bfd89, "errno_to_blk_status" },
	{ 0x721fb20c, "to_nd_btt" },
	{ 0xa6f68f42, "nd_region_acquire_lane" },
	{ 0xdcb764ad, "memset" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0x4419dde5, "debugfs_create_u32" },
	{ 0x91398653, "nvdimm_namespace_disk_name" },
	{ 0x8045fb09, "debugfs_create_x32" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x73e4be16, "nvdimm_namespace_capacity" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9b0d749, "nvdimm_check_and_set_ro" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x62c09e40, "badblocks_check" },
	{ 0xb5407091, "nd_btt_version" },
	{ 0xe820ea6a, "debugfs_create_dir" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "libnvdimm");


MODULE_INFO(srcversion, "806BB1C85795060480D6B52");
