#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(admin_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_io_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_wq, "_gpl", "");
KSYMTAB_DATA(nvme_reset_wq, "_gpl", "");
KSYMTAB_DATA(nvme_delete_wq, "_gpl", "");
KSYMTAB_FUNC(nvme_try_sched_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_reset_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_delete_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_rq, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_batch_req, "_gpl", "");
KSYMTAB_FUNC(nvme_host_path_error, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_request, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_admin_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_change_ctrl_state, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_put_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_init_request, "_gpl", "");
KSYMTAB_FUNC(nvme_fail_nonready_command, "_gpl", "");
KSYMTAB_FUNC(__nvme_check_ready, "_gpl", "");
KSYMTAB_FUNC(nvme_cleanup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_setup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_execute_rq, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(__nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_command_effects, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_start, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_end, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_stop_keep_alive, "_gpl", "");
KSYMTAB_FUNC(nvme_set_features, "_gpl", "");
KSYMTAB_FUNC(nvme_get_features, "_gpl", "");
KSYMTAB_FUNC(nvme_set_queue_count, "_gpl", "");
KSYMTAB_FUNC(nvme_disable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_enable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl_finish, "_gpl", "");
KSYMTAB_FUNC(nvme_find_get_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_remove_namespaces, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_async_event, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_stop_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_start_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_uninit_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_add_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_mark_namespaces_dead, "_gpl", "");
KSYMTAB_FUNC(nvme_unfreeze, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze_timeout, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_start_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_ctrl_from_file, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_DATA(nvme_dev_attrs_group, "_gpl", "");
KSYMTAB_FUNC(nvme_get_opcode_str, "_gpl", "");
KSYMTAB_FUNC(nvme_get_admin_opcode_str, "_gpl", "");
KSYMTAB_FUNC(nvme_get_fabrics_opcode_str, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nvme_sq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(nvme_mpath_start_request, "_gpl", "");
KSYMTAB_FUNC(nvme_should_fail, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_negotiate, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_wait, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_stop, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_free, "_gpl", "");

SYMBOL_CRC(admin_timeout, 0xd45434ee, "_gpl");
SYMBOL_CRC(nvme_io_timeout, 0x813cf212, "_gpl");
SYMBOL_CRC(nvme_wq, 0x64b62862, "_gpl");
SYMBOL_CRC(nvme_reset_wq, 0x49224181, "_gpl");
SYMBOL_CRC(nvme_delete_wq, 0xd58bbbcb, "_gpl");
SYMBOL_CRC(nvme_try_sched_reset, 0x1f053883, "_gpl");
SYMBOL_CRC(nvme_reset_ctrl, 0xdbf35932, "_gpl");
SYMBOL_CRC(nvme_delete_ctrl, 0x254c086b, "_gpl");
SYMBOL_CRC(nvme_complete_rq, 0x10f8a2ac, "_gpl");
SYMBOL_CRC(nvme_complete_batch_req, 0xfef1e58d, "_gpl");
SYMBOL_CRC(nvme_host_path_error, 0x877db3df, "_gpl");
SYMBOL_CRC(nvme_cancel_request, 0x8abe9d6a, "_gpl");
SYMBOL_CRC(nvme_cancel_tagset, 0x6a03b9d4, "_gpl");
SYMBOL_CRC(nvme_cancel_admin_tagset, 0x612d95f5, "_gpl");
SYMBOL_CRC(nvme_change_ctrl_state, 0x791e5430, "_gpl");
SYMBOL_CRC(nvme_wait_reset, 0x70cada9d, "_gpl");
SYMBOL_CRC(nvme_put_ns, 0xd8d7e591, "_gpl");
SYMBOL_CRC(nvme_init_request, 0x353eefff, "_gpl");
SYMBOL_CRC(nvme_fail_nonready_command, 0xf9bcfab2, "_gpl");
SYMBOL_CRC(__nvme_check_ready, 0xcb6cb158, "_gpl");
SYMBOL_CRC(nvme_cleanup_cmd, 0x61beab00, "_gpl");
SYMBOL_CRC(nvme_setup_cmd, 0x76b96d0a, "_gpl");
SYMBOL_CRC(nvme_execute_rq, 0xd9eb99d1, "_gpl");
SYMBOL_CRC(__nvme_submit_sync_cmd, 0x585ac45b, "_gpl");
SYMBOL_CRC(nvme_submit_sync_cmd, 0xfcb4abeb, "_gpl");
SYMBOL_CRC(nvme_command_effects, 0xafb999a0, "_gpl");
SYMBOL_CRC(nvme_passthru_start, 0x9bdd688a, "_gpl");
SYMBOL_CRC(nvme_passthru_end, 0xef7045f0, "_gpl");
SYMBOL_CRC(nvme_stop_keep_alive, 0x8008cdee, "_gpl");
SYMBOL_CRC(nvme_set_features, 0x529e765a, "_gpl");
SYMBOL_CRC(nvme_get_features, 0x39314aa7, "_gpl");
SYMBOL_CRC(nvme_set_queue_count, 0x036489fe, "_gpl");
SYMBOL_CRC(nvme_disable_ctrl, 0x920712c0, "_gpl");
SYMBOL_CRC(nvme_enable_ctrl, 0xf09ac404, "_gpl");
SYMBOL_CRC(nvme_init_ctrl_finish, 0xed210050, "_gpl");
SYMBOL_CRC(nvme_find_get_ns, 0x4e582a6a, "_gpl");
SYMBOL_CRC(nvme_remove_namespaces, 0x9902c816, "_gpl");
SYMBOL_CRC(nvme_complete_async_event, 0xbeb98dde, "_gpl");
SYMBOL_CRC(nvme_alloc_admin_tag_set, 0x518604a6, "_gpl");
SYMBOL_CRC(nvme_remove_admin_tag_set, 0x8dd36563, "_gpl");
SYMBOL_CRC(nvme_alloc_io_tag_set, 0x8ac8bc35, "_gpl");
SYMBOL_CRC(nvme_remove_io_tag_set, 0x515d4214, "_gpl");
SYMBOL_CRC(nvme_stop_ctrl, 0xfbf77ced, "_gpl");
SYMBOL_CRC(nvme_start_ctrl, 0xacdee294, "_gpl");
SYMBOL_CRC(nvme_uninit_ctrl, 0x9204441d, "_gpl");
SYMBOL_CRC(nvme_init_ctrl, 0xe03084a2, "_gpl");
SYMBOL_CRC(nvme_add_ctrl, 0xf5760521, "_gpl");
SYMBOL_CRC(nvme_mark_namespaces_dead, 0x8d7e942e, "_gpl");
SYMBOL_CRC(nvme_unfreeze, 0x697d9c0e, "_gpl");
SYMBOL_CRC(nvme_wait_freeze_timeout, 0x20546e41, "_gpl");
SYMBOL_CRC(nvme_wait_freeze, 0x79150467, "_gpl");
SYMBOL_CRC(nvme_start_freeze, 0xb08afa28, "_gpl");
SYMBOL_CRC(nvme_quiesce_io_queues, 0xcd45e58e, "_gpl");
SYMBOL_CRC(nvme_unquiesce_io_queues, 0x74c739a9, "_gpl");
SYMBOL_CRC(nvme_quiesce_admin_queue, 0x1fda6784, "_gpl");
SYMBOL_CRC(nvme_unquiesce_admin_queue, 0x4a7af29c, "_gpl");
SYMBOL_CRC(nvme_sync_io_queues, 0x7950c0d2, "_gpl");
SYMBOL_CRC(nvme_sync_queues, 0xd2b96e77, "_gpl");
SYMBOL_CRC(nvme_ctrl_from_file, 0x1b853334, "_gpl");
SYMBOL_CRC(nvme_dev_attrs_group, 0x615623d3, "_gpl");
SYMBOL_CRC(nvme_get_opcode_str, 0xedb8efd2, "_gpl");
SYMBOL_CRC(nvme_get_admin_opcode_str, 0xe1edd5b5, "_gpl");
SYMBOL_CRC(nvme_get_fabrics_opcode_str, 0xa7b9633b, "_gpl");
SYMBOL_CRC(__tracepoint_nvme_sq, 0x27fcbedb, "_gpl");
SYMBOL_CRC(__traceiter_nvme_sq, 0x73bd9814, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nvme_sq, 0x11abc494, "_gpl");
SYMBOL_CRC(nvme_mpath_start_request, 0xf0270f35, "_gpl");
SYMBOL_CRC(nvme_should_fail, 0x59a5b73a, "_gpl");
SYMBOL_CRC(nvme_auth_negotiate, 0x52bd3c16, "_gpl");
SYMBOL_CRC(nvme_auth_wait, 0x7dd784c8, "_gpl");
SYMBOL_CRC(nvme_auth_init_ctrl, 0x7c8e24db, "_gpl");
SYMBOL_CRC(nvme_auth_stop, 0x9c3b51bc, "_gpl");
SYMBOL_CRC(nvme_auth_free, 0x5d91dd23, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3c3b4d52, "set_capacity_and_notify" },
	{ 0x1901b718, "bio_associate_blkg" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x97721a60, "set_disk_ro" },
	{ 0x3224f7c0, "__blk_alloc_disk" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xd4845a05, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd376fc66, "bio_integrity_map_user" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x4ac17cb8, "device_remove_file_self" },
	{ 0x60b73b66, "param_ops_uint" },
	{ 0x9308ab62, "param_ops_ulong" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xdec5f1bf, "dev_set_name" },
	{ 0x63a70cca, "bio_split_to_limits" },
	{ 0xfe13a601, "trace_seq_printf" },
	{ 0xe61cf90f, "dev_pm_qos_expose_latency_tolerance" },
	{ 0xac9b54da, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x93b9a682, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xef5712ec, "blk_mq_tagset_wait_completed_request" },
	{ 0x98df6f92, "cdev_device_del" },
	{ 0x556be6e0, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x9c69ad12, "queue_limits_stack_bdev" },
	{ 0xcb6b138, "trace_event_printf" },
	{ 0xf9edc603, "nvme_auth_transform_key" },
	{ 0xdc894f1a, "should_fail" },
	{ 0x3b9c57bf, "device_initialize" },
	{ 0x6ec22d7a, "blk_mq_unquiesce_queue" },
	{ 0x6246140a, "blk_mq_quiesce_queue" },
	{ 0x3f7c8b8f, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0xd52c8540, "nvme_auth_gen_shared_secret" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xbdb4fc9d, "__traceiter_block_bio_remap" },
	{ 0x37419d37, "__traceiter_block_bio_complete" },
	{ 0xa8694ecd, "kblockd_schedule_work" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc4e40b90, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xff8dcfb0, "disk_uevent" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x5eea036f, "synchronize_srcu" },
	{ 0xa00622dd, "param_ops_byte" },
	{ 0x3494ac55, "kmem_cache_create" },
	{ 0x67155184, "get_device" },
	{ 0x1f15463d, "blk_mq_end_request" },
	{ 0x966333b, "__blk_mq_alloc_disk" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0xb7b7fa6e, "node_states" },
	{ 0x9f329706, "blk_mq_delay_kick_requeue_list" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x82929afa, "blk_mq_alloc_tag_set" },
	{ 0x82881279, "blk_rq_is_poll" },
	{ 0xfb6dfa14, "trace_event_buffer_commit" },
	{ 0xc63dce24, "crypto_destroy_tfm" },
	{ 0x5566284a, "trace_seq_putc" },
	{ 0x122c3a7e, "_printk" },
	{ 0x58995cbd, "put_disk" },
	{ 0x3d2eb23f, "crypto_alloc_kpp" },
	{ 0xc1e2cc0b, "cdev_device_add" },
	{ 0x58258d28, "dev_pm_qos_update_user_latency_tolerance" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8fe50355, "nvme_auth_free_key" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x5f84ee87, "blk_execute_rq" },
	{ 0x8619869e, "put_device" },
	{ 0xfaf1b2da, "blk_mq_unquiesce_tagset" },
	{ 0xa916b694, "strnlen" },
	{ 0xcdfbcb3d, "blk_mq_free_request" },
	{ 0x618911fc, "numa_node" },
	{ 0x581e9a37, "__free_pages" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0x43513e6, "blk_rq_map_kern" },
	{ 0xc6cbbc89, "capable" },
	{ 0x1f9a9c72, "module_put" },
	{ 0xed35c0dc, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xff12175a, "nvme_auth_gen_pubkey" },
	{ 0x54b50667, "compat_ptr_ioctl" },
	{ 0x800473f, "__cond_resched" },
	{ 0x515e0fb, "blk_rq_poll" },
	{ 0x46c47fb6, "__node_distance" },
	{ 0x8acb4fa0, "blk_mq_quiesce_tagset" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xfeb343d1, "mempool_alloc_noprof" },
	{ 0xe410af2, "key_put" },
	{ 0xdd058624, "kobject_uevent_env" },
	{ 0x287318b1, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xeda6e663, "init_srcu_struct" },
	{ 0x4bb807c7, "perf_trace_run_bpf_submit" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x67508f60, "blk_revalidate_disk_zones" },
	{ 0x2bd9d0b2, "debugfs_create_bool" },
	{ 0xaa3d5f21, "crypto_shash_setkey" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x61373533, "device_add" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xea7eb77c, "blk_rq_map_user_io" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x5ef57105, "sysfs_remove_link" },
	{ 0x42f727cf, "blk_execute_rq_nowait" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x3a2d14ef, "__srcu_read_lock" },
	{ 0xf136cf72, "hwmon_device_register_with_info" },
	{ 0x858e7897, "set_capacity" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x600e6eee, "submit_bio_noacct" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x581cf5e, "blk_sync_queue" },
	{ 0x463696fa, "bdev_start_io_acct" },
	{ 0x495eed8e, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x674c5bc1, "nvme_auth_hmac_name" },
	{ 0x2092327, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xade129bd, "blk_mq_alloc_request_hctx" },
	{ 0xcd129dbc, "__io_uring_cmd_do_in_task" },
	{ 0xc05276ba, "blk_mq_alloc_request" },
	{ 0xffb7c514, "ida_free" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xb75a5d88, "crypto_shash_update" },
	{ 0x2e6fc05a, "class_unregister" },
	{ 0x75f9b1f0, "blk_mq_free_tag_set" },
	{ 0x7cd31eb3, "del_gendisk" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe81b53a6, "cleanup_srcu_struct" },
	{ 0x51641162, "opal_unlock_from_suspend" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x22e5d1de, "nvme_auth_augmented_challenge" },
	{ 0x60b66a68, "blk_set_stacking_limits" },
	{ 0x77939da3, "blk_mq_freeze_queue_wait_timeout" },
	{ 0x7bf07bb3, "blk_put_queue" },
	{ 0xdc0f8a86, "bpf_trace_run1" },
	{ 0x61401cd3, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x815fda83, "sed_ioctl" },
	{ 0xdcb764ad, "memset" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0xf71fdfdc, "__kmalloc_cache_node_noprof" },
	{ 0x2c4f2e35, "__vmalloc_noprof" },
	{ 0xcc28451d, "blk_mq_wait_quiesce_done" },
	{ 0x43674595, "param_ops_charp" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x51873876, "nvme_auth_get_seqnum" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x67439331, "debugfs_create_x16" },
	{ 0x8fcc4da2, "io_uring_cmd_done" },
	{ 0xae5953, "blk_rq_unmap_user" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xcbfb33e4, "init_opal_dev" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x28da7fd0, "nvme_auth_generate_key" },
	{ 0x745a981, "xa_erase" },
	{ 0x2da8d207, "bpf_trace_run3" },
	{ 0xc9bb48ac, "nvme_auth_dhgroup_name" },
	{ 0xcde77bcc, "free_opal_dev" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xea5e10bb, "blk_mq_complete_request" },
	{ 0x4c37d89a, "blk_mq_freeze_queue" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xda2d7a21, "trace_event_buffer_reserve" },
	{ 0x4ecd0998, "crypto_shash_final" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x2213aa1f, "mempool_create_node_noprof" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x14c5dd46, "param_ops_bool" },
	{ 0xa24f2bf5, "blk_mq_destroy_queue" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x2740688b, "blk_freeze_queue_start" },
	{ 0xd3d01466, "dev_pm_qos_hide_latency_tolerance" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x3ce623e5, "disk_live" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xa6ef1a3a, "blk_mq_alloc_queue" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2ccb56cb, "__tracepoint_block_bio_complete" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xd69fd17, "__srcu_read_unlock" },
	{ 0x6321f225, "hwmon_device_unregister" },
	{ 0xe00db6dc, "__tracepoint_block_bio_remap" },
	{ 0x7e159051, "blk_mq_unfreeze_queue" },
	{ 0x557d1823, "alloc_pages_noprof" },
	{ 0x10ddcc8c, "blk_mq_tagset_busy_iter" },
	{ 0xf0ccf2d4, "nvme_auth_dhgroup_kpp" },
	{ 0xe8a27667, "queue_limits_commit_update" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xa1174443, "blkdev_compat_ptr_ioctl" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x3b8613ae, "blk_rq_map_user_iov" },
	{ 0xbfcd24b4, "setup_fault_attr" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x7e1b1a68, "blk_mark_disk_dead" },
	{ 0x98cf60b3, "strlen" },
	{ 0x789f2b4f, "io_uring_cmd_import_fixed" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x2227c4aa, "crypto_alloc_shash" },
	{ 0xbf43477c, "blk_mq_freeze_queue_wait" },
	{ 0xe820ea6a, "debugfs_create_dir" },
	{ 0xc59d761e, "nvme_auth_gen_privkey" },
	{ 0x7b9479d, "fault_create_debugfs_attr" },
	{ 0x5359e8dc, "__kvmalloc_node_noprof" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xbc208516, "blk_mq_requeue_request" },
	{ 0xaa3a3bb3, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x858a550d, "cdev_init" },
	{ 0xfbaed7e, "bdev_end_io_acct" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x8b208a3, "blk_steal_bios" },
	{ 0x309989e7, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "nvme-auth");


MODULE_INFO(srcversion, "BE0FCE2D1F4AEC337FD1CD3");
