#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvmf_get_address, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_read32, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_read64, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_write32, "_gpl", "");
KSYMTAB_FUNC(nvmf_subsystem_reset, "_gpl", "");
KSYMTAB_FUNC(nvmf_connect_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvmf_connect_io_queue, "_gpl", "");
KSYMTAB_FUNC(nvmf_should_reconnect, "_gpl", "");
KSYMTAB_FUNC(nvmf_register_transport, "_gpl", "");
KSYMTAB_FUNC(nvmf_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(nvmf_set_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvmf_map_queues, "_gpl", "");
KSYMTAB_FUNC(nvmf_ip_options_match, "_gpl", "");
KSYMTAB_FUNC(nvmf_free_options, "_gpl", "");

SYMBOL_CRC(nvmf_get_address, 0x0f4e7f51, "_gpl");
SYMBOL_CRC(nvmf_reg_read32, 0x70f347d2, "_gpl");
SYMBOL_CRC(nvmf_reg_read64, 0x77e2a235, "_gpl");
SYMBOL_CRC(nvmf_reg_write32, 0x744e8377, "_gpl");
SYMBOL_CRC(nvmf_subsystem_reset, 0xd0ee28ce, "_gpl");
SYMBOL_CRC(nvmf_connect_admin_queue, 0xc30a735f, "_gpl");
SYMBOL_CRC(nvmf_connect_io_queue, 0x6eb5c874, "_gpl");
SYMBOL_CRC(nvmf_should_reconnect, 0xfaca5536, "_gpl");
SYMBOL_CRC(nvmf_register_transport, 0x365e86fe, "_gpl");
SYMBOL_CRC(nvmf_unregister_transport, 0xe41948aa, "_gpl");
SYMBOL_CRC(nvmf_set_io_queues, 0xb7924a2e, "_gpl");
SYMBOL_CRC(nvmf_map_queues, 0xf8873eaf, "_gpl");
SYMBOL_CRC(nvmf_ip_options_match, 0xffccddef, "_gpl");
SYMBOL_CRC(nvmf_free_options, 0x3e367bfa, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd4845a05, "try_module_get" },
	{ 0x58f09138, "misc_deregister" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x96848186, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8619869e, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0x1f9a9c72, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xe410af2, "key_put" },
	{ 0x69e683de, "uuid_gen" },
	{ 0x57bc19d2, "down_write" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0x4e3567f7, "match_int" },
	{ 0x8e7d5be0, "device_create" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0x6f2c2cc6, "seq_putc" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x2e6fc05a, "class_unregister" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x585ac45b, "__nvme_submit_sync_cmd" },
	{ 0x1f053883, "nvme_try_sched_reset" },
	{ 0xdcb764ad, "memset" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0xedd818fe, "misc_register" },
	{ 0x7dd784c8, "nvme_auth_wait" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x32f1e81b, "seq_read" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x5737dbe8, "seq_write" },
	{ 0x44e9a829, "match_token" },
	{ 0xb35e7976, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x899fbd06, "seq_printf" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xacf4d843, "match_strdup" },
	{ 0xa5c872a7, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x70cada9d, "nvme_wait_reset" },
	{ 0x17b54fce, "__seq_puts" },
	{ 0x98cf60b3, "strlen" },
	{ 0x3466fede, "single_open" },
	{ 0x53b954a2, "up_read" },
	{ 0xaa3a3bb3, "class_register" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x52bd3c16, "nvme_auth_negotiate" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "nvme-core");


MODULE_INFO(srcversion, "7F5FC7155C025DF1C8B4CFF");
