#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvmet_fc_register_targetport, "_gpl", "");
KSYMTAB_FUNC(nvmet_fc_invalidate_host, "_gpl", "");
KSYMTAB_FUNC(nvmet_fc_unregister_targetport, "_gpl", "");
KSYMTAB_FUNC(nvmet_fc_rcv_ls_req, "_gpl", "");
KSYMTAB_FUNC(nvmet_fc_rcv_fcp_req, "_gpl", "");
KSYMTAB_FUNC(nvmet_fc_rcv_fcp_abort, "_gpl", "");

SYMBOL_CRC(nvmet_fc_register_targetport, 0x14e4f487, "_gpl");
SYMBOL_CRC(nvmet_fc_invalidate_host, 0x4a013682, "_gpl");
SYMBOL_CRC(nvmet_fc_unregister_targetport, 0x9ef76d99, "_gpl");
SYMBOL_CRC(nvmet_fc_rcv_ls_req, 0x0b98123d, "_gpl");
SYMBOL_CRC(nvmet_fc_rcv_fcp_req, 0x7bfa9497, "_gpl");
SYMBOL_CRC(nvmet_fc_rcv_fcp_abort, 0x6ff62dab, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe1fd3b33, "nvmet_req_complete" },
	{ 0xa6613056, "dma_unmap_page_attrs" },
	{ 0xfba7ddd2, "match_u64" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x67155184, "get_device" },
	{ 0x34070452, "dev_driver_string" },
	{ 0xb1f310d, "nvmet_sq_destroy" },
	{ 0xb4c63861, "dma_map_page_attrs" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8619869e, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x5e934fc7, "sgl_alloc" },
	{ 0x181750ce, "nvmet_unregister_transport" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0xf35ee1ac, "nvmet_req_init" },
	{ 0x5ca10ce4, "__dma_sync_single_for_cpu" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xcd2fc68c, "nvmet_register_transport" },
	{ 0x5a921311, "strncmp" },
	{ 0xffb7c514, "ida_free" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xdcb764ad, "memset" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x6bc1204b, "nvmet_sq_init" },
	{ 0x698b966, "__dma_sync_single_for_device" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5986a5d8, "dma_unmap_sg_attrs" },
	{ 0x7f62eaa4, "sgl_free" },
	{ 0x3e0ef07a, "nvmet_wq" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x992d47c0, "dma_map_sg_attrs" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "nvmet");


MODULE_INFO(srcversion, "B5E7D319A9BA78A38F20E86");
