#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x9c7bd44a, "vmbus_sendpacket" },
	{ 0x37a0cba, "kfree" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa6257a2f, "complete" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x4c7da850, "pci_create_slot" },
	{ 0x122c3a7e, "_printk" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3c0e8050, "hyperv_pcpu_input_arg" },
	{ 0xf61c6b74, "hv_do_hypercall" },
	{ 0x89b406b9, "irq_chip_unmask_parent" },
	{ 0x871b3f14, "pci_msi_unmask_irq" },
	{ 0xe80d97f2, "pci_msi_mask_irq" },
	{ 0xbb06fc3d, "irq_chip_mask_parent" },
	{ 0x896f1b4d, "vmbus_allocate_mmio" },
	{ 0x27cdca93, "pci_add_resource" },
	{ 0x31e2e77f, "vmbus_free_mmio" },
	{ 0xda5e37ae, "irq_domain_get_irq_data" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x80463f88, "irq_domain_reset_irq_data" },
	{ 0xfa810972, "irq_domain_free_irqs_parent" },
	{ 0xae01aadf, "vmbus_driver_unregister" },
	{ 0xfb921e00, "hvpci_block_ops" },
	{ 0xdcb764ad, "memset" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0xb7b7fa6e, "node_states" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x7bf414ef, "irq_domain_alloc_irqs_parent" },
	{ 0x5d08e3d7, "irq_domain_set_hwirq_and_chip" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x952fc03b, "__cpu_present_mask" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xacce839d, "cpu_bit_bitmap" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x90a9d8cc, "hv_is_hyperv_initialized" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc46aa119, "__irq_domain_alloc_fwnode" },
	{ 0xb6569534, "acpi_irq_create_hierarchy" },
	{ 0xff1922dd, "__vmbus_driver_register" },
	{ 0x54ad9fca, "irq_domain_free_fwnode" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x78381d09, "pci_get_domain_bus_and_slot" },
	{ 0xddbeeecc, "pci_lock_rescan_remove" },
	{ 0x62ab40f4, "pci_stop_and_remove_bus_device" },
	{ 0x4413fecd, "pci_dev_put" },
	{ 0x5790e7a0, "pci_unlock_rescan_remove" },
	{ 0xb3f19a29, "pci_destroy_slot" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x8a665bfa, "numa_nearest_node" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x77794f6c, "msi_desc_to_pci_dev" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xd3011ae7, "pci_scan_child_bus" },
	{ 0xe904d1a7, "vmbus_sendpacket_getid" },
	{ 0xe00c8a4c, "vmbus_request_addr_match" },
	{ 0x509b321e, "vmbus_next_request_id" },
	{ 0x541031fd, "vmbus_request_addr" },
	{ 0xecdce549, "vmbus_open" },
	{ 0x54163263, "vmbus_close" },
	{ 0x6eb47f6d, "pci_walk_bus" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xedc03953, "iounmap" },
	{ 0xe84d372c, "irq_domain_remove" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x44ec3b53, "pci_stop_root_bus" },
	{ 0xb21e59ef, "pci_remove_root_bus" },
	{ 0xb858ffe0, "devm_pci_alloc_host_bridge" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x8106324e, "pci_msi_create_irq_domain" },
	{ 0x5f61fdf1, "pci_scan_root_bus_bridge" },
	{ 0xdc75842e, "pci_bus_assign_resources" },
	{ 0x96c0c238, "pci_bus_add_devices" },
	{ 0x17931f4c, "vmbus_recvpacket_raw" },
	{ 0x9a8479fb, "__vmbus_request_addr_match" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x3eb0c2a8, "cpumask_next_wrap" },
	{ 0xb6cb556a, "_find_first_and_bit" },
	{ 0xe3feba56, "tasklet_unlock_spin_wait" },
	{ 0x21ef374c, "try_wait_for_completion" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x3fae6ab0, "hv_vp_index" },
	{ 0xc180d407, "msi_lock_descs" },
	{ 0x4b364716, "msi_domain_first_desc" },
	{ 0x3ff3a15a, "msi_next_desc" },
	{ 0xd40f97f4, "irq_get_irq_data" },
	{ 0x8561dc76, "msi_unlock_descs" },
	{ 0x932b7820, "irq_chip_eoi_parent" },
	{ 0x211e902a, "irq_chip_set_affinity_parent" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "hv_vmbus,pci-hyperv-intf");

MODULE_ALIAS("vmbus:1df6c444444400449d52802e27ede19f");

MODULE_INFO(srcversion, "5852BC00DD0D6A24B9EC98D");
