#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sun4i_usb_phy_set_squelch_detect, "_gpl", "");

SYMBOL_CRC(sun4i_usb_phy_set_squelch_detect, 0xbc7cb655, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xed826b94, "__platform_driver_register" },
	{ 0xfe96fee4, "devm_free_irq" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x6b81c38b, "power_supply_unreg_notifier" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc1e79586, "of_device_get_match_data" },
	{ 0xa4b92dc4, "devm_platform_ioremap_resource_byname" },
	{ 0xe807266f, "devm_gpiod_get_optional" },
	{ 0x5b36a3ec, "of_find_property" },
	{ 0xf05e5aa1, "devm_power_supply_get_by_phandle" },
	{ 0x53f703d8, "of_usb_get_dr_mode_by_phy" },
	{ 0x875b4acf, "devm_extcon_dev_allocate" },
	{ 0xc6ccacb8, "devm_extcon_dev_register" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x97462990, "devm_regulator_get_optional" },
	{ 0xb488bd02, "devm_clk_get" },
	{ 0x4b9181dd, "devm_clk_get_optional" },
	{ 0x7bfd68d, "__devm_reset_control_get" },
	{ 0xa25174d8, "devm_phy_create" },
	{ 0xb65dd6be, "gpiod_to_irq" },
	{ 0x4c55545d, "devm_request_threaded_irq" },
	{ 0x136209db, "power_supply_reg_notifier" },
	{ 0x60d96c6c, "__devm_of_phy_provider_register" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3b82c1cf, "platform_driver_unregister" },
	{ 0x3cc8f38f, "regulator_enable" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xc3293cf7, "regulator_disable" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xaa3ffb39, "gpiod_get_value_cansleep" },
	{ 0xa9d9f9a7, "power_supply_get_property" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x89423f4b, "extcon_set_state_sync" },
	{ 0xf9a482f9, "msleep" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("of:N*T*Callwinner,sun4i-a10-usb-phy");
MODULE_ALIAS("of:N*T*Callwinner,sun4i-a10-usb-phyC*");
MODULE_ALIAS("of:N*T*Callwinner,sun5i-a13-usb-phy");
MODULE_ALIAS("of:N*T*Callwinner,sun5i-a13-usb-phyC*");
MODULE_ALIAS("of:N*T*Callwinner,sun6i-a31-usb-phy");
MODULE_ALIAS("of:N*T*Callwinner,sun6i-a31-usb-phyC*");
MODULE_ALIAS("of:N*T*Callwinner,sun7i-a20-usb-phy");
MODULE_ALIAS("of:N*T*Callwinner,sun7i-a20-usb-phyC*");
MODULE_ALIAS("of:N*T*Callwinner,sun8i-a23-usb-phy");
MODULE_ALIAS("of:N*T*Callwinner,sun8i-a23-usb-phyC*");
MODULE_ALIAS("of:N*T*Callwinner,sun8i-a33-usb-phy");
MODULE_ALIAS("of:N*T*Callwinner,sun8i-a33-usb-phyC*");
MODULE_ALIAS("of:N*T*Callwinner,sun8i-a83t-usb-phy");
MODULE_ALIAS("of:N*T*Callwinner,sun8i-a83t-usb-phyC*");
MODULE_ALIAS("of:N*T*Callwinner,sun8i-h3-usb-phy");
MODULE_ALIAS("of:N*T*Callwinner,sun8i-h3-usb-phyC*");
MODULE_ALIAS("of:N*T*Callwinner,sun8i-r40-usb-phy");
MODULE_ALIAS("of:N*T*Callwinner,sun8i-r40-usb-phyC*");
MODULE_ALIAS("of:N*T*Callwinner,sun8i-v3s-usb-phy");
MODULE_ALIAS("of:N*T*Callwinner,sun8i-v3s-usb-phyC*");
MODULE_ALIAS("of:N*T*Callwinner,sun20i-d1-usb-phy");
MODULE_ALIAS("of:N*T*Callwinner,sun20i-d1-usb-phyC*");
MODULE_ALIAS("of:N*T*Callwinner,sun50i-a64-usb-phy");
MODULE_ALIAS("of:N*T*Callwinner,sun50i-a64-usb-phyC*");
MODULE_ALIAS("of:N*T*Callwinner,sun50i-h6-usb-phy");
MODULE_ALIAS("of:N*T*Callwinner,sun50i-h6-usb-phyC*");
MODULE_ALIAS("of:N*T*Callwinner,sun50i-h616-usb-phy");
MODULE_ALIAS("of:N*T*Callwinner,sun50i-h616-usb-phyC*");
MODULE_ALIAS("of:N*T*Callwinner,suniv-f1c100s-usb-phy");
MODULE_ALIAS("of:N*T*Callwinner,suniv-f1c100s-usb-phyC*");

MODULE_INFO(srcversion, "F1BA53FD8102709873CC1C8");
