#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x207bb5ea, "regmap_update_bits_base" },
	{ 0xed826b94, "__platform_driver_register" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x72103e9c, "of_clk_del_provider" },
	{ 0x7757b51a, "clk_unregister" },
	{ 0xcdbf0876, "of_irq_get_byname" },
	{ 0x4c55545d, "devm_request_threaded_irq" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x3b82c1cf, "platform_driver_unregister" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xcb824037, "regmap_write" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x133e2f27, "regmap_read" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0x2ca523bf, "extcon_get_state" },
	{ 0x89423f4b, "extcon_set_state_sync" },
	{ 0x2f0d9053, "usb_otg_state_string" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x53f703d8, "of_usb_get_dr_mode_by_phy" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf2d1b30f, "devm_extcon_register_notifier" },
	{ 0x5b36a3ec, "of_find_property" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0x88c69e1e, "syscon_node_to_regmap" },
	{ 0x403825b2, "syscon_regmap_lookup_by_phandle" },
	{ 0x6d5a834, "of_device_is_compatible" },
	{ 0xe6734a7e, "of_property_read_u32_index" },
	{ 0xf0e0696d, "of_property_count_elems_of_size" },
	{ 0xe401d208, "device_get_match_data" },
	{ 0xd4f441ee, "platform_get_irq_optional" },
	{ 0x2f76df5c, "extcon_get_edev_by_phandle" },
	{ 0x7bfd68d, "__devm_reset_control_get" },
	{ 0x8a28a4a0, "devm_clk_get_optional_enabled" },
	{ 0xdcb764ad, "memset" },
	{ 0xdbcbd433, "of_property_read_string" },
	{ 0xc569d8ce, "__clk_get_name" },
	{ 0xbd9e899e, "clk_register" },
	{ 0xd99afddf, "of_clk_src_simple_get" },
	{ 0x47b3cbf9, "of_clk_add_provider" },
	{ 0xfe1f1c42, "__devm_add_action" },
	{ 0x6ad6907b, "of_get_next_available_child" },
	{ 0xe647c55, "of_node_name_eq" },
	{ 0xa25174d8, "devm_phy_create" },
	{ 0x875b4acf, "devm_extcon_dev_allocate" },
	{ 0xc6ccacb8, "devm_extcon_dev_register" },
	{ 0x92f2a8c, "dev_err_probe" },
	{ 0xe9d10d9d, "of_node_put" },
	{ 0x40fcfe4c, "of_phy_simple_xlate" },
	{ 0x60d96c6c, "__devm_of_phy_provider_register" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("of:N*T*Crockchip,px30-usb2phy");
MODULE_ALIAS("of:N*T*Crockchip,px30-usb2phyC*");
MODULE_ALIAS("of:N*T*Crockchip,rk3128-usb2phy");
MODULE_ALIAS("of:N*T*Crockchip,rk3128-usb2phyC*");
MODULE_ALIAS("of:N*T*Crockchip,rk3228-usb2phy");
MODULE_ALIAS("of:N*T*Crockchip,rk3228-usb2phyC*");
MODULE_ALIAS("of:N*T*Crockchip,rk3308-usb2phy");
MODULE_ALIAS("of:N*T*Crockchip,rk3308-usb2phyC*");
MODULE_ALIAS("of:N*T*Crockchip,rk3328-usb2phy");
MODULE_ALIAS("of:N*T*Crockchip,rk3328-usb2phyC*");
MODULE_ALIAS("of:N*T*Crockchip,rk3366-usb2phy");
MODULE_ALIAS("of:N*T*Crockchip,rk3366-usb2phyC*");
MODULE_ALIAS("of:N*T*Crockchip,rk3399-usb2phy");
MODULE_ALIAS("of:N*T*Crockchip,rk3399-usb2phyC*");
MODULE_ALIAS("of:N*T*Crockchip,rk3568-usb2phy");
MODULE_ALIAS("of:N*T*Crockchip,rk3568-usb2phyC*");
MODULE_ALIAS("of:N*T*Crockchip,rk3588-usb2phy");
MODULE_ALIAS("of:N*T*Crockchip,rk3588-usb2phyC*");
MODULE_ALIAS("of:N*T*Crockchip,rv1108-usb2phy");
MODULE_ALIAS("of:N*T*Crockchip,rv1108-usb2phyC*");

MODULE_INFO(srcversion, "0A138B98EE2A9EC902B1772");
