#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb86e9579, "is_acpi_device_node" },
	{ 0xfad0e8dd, "fwnode_typec_switch_get" },
	{ 0x714396f8, "typec_partner_set_pd_revision" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xc244071, "typec_register_partner" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0xa9f70bf, "typec_port_register_altmode" },
	{ 0x3b82c1cf, "platform_driver_unregister" },
	{ 0x86521d45, "typec_switch_put" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xeafc1eb8, "typec_find_port_power_role" },
	{ 0xfc8df340, "typec_mux_put" },
	{ 0x4829a47e, "memcpy" },
	{ 0x5e58de86, "fwnode_usb_role_switch_get" },
	{ 0x8bda2df3, "cros_usbpd_register_notify" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0x9332b455, "fwnode_typec_mux_get" },
	{ 0x3619d375, "cros_ec_check_features" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xee257410, "typec_partner_register_altmode" },
	{ 0x8d93797f, "typec_partner_set_num_altmodes" },
	{ 0x8ae699dc, "typec_unregister_partner" },
	{ 0x62eb8095, "typec_set_pwr_opmode" },
	{ 0xd2fa1286, "typec_switch_set" },
	{ 0xf3f34fd5, "fwnode_property_read_u32_array" },
	{ 0x8ad200f3, "typec_set_orientation" },
	{ 0xff3ef56a, "typec_unregister_cable" },
	{ 0x1f5d4469, "devm_kfree" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0xdbb9142a, "typec_set_vconn_role" },
	{ 0xd5474690, "usb_role_switch_set_role" },
	{ 0x81a518b8, "usb_power_delivery_register_capabilities" },
	{ 0x672f4550, "typec_register_plug" },
	{ 0x1369ac49, "usb_power_delivery_unregister" },
	{ 0xcbe8f973, "typec_altmode_attention" },
	{ 0xeee9f1b3, "typec_set_data_role" },
	{ 0xc9fd634a, "usb_role_switch_put" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x9049491e, "typec_find_port_data_role" },
	{ 0xe679efde, "typec_altmode_vdm" },
	{ 0xc3d1b261, "typec_unregister_port" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x4029ed4d, "device_get_child_node_count" },
	{ 0xdcb764ad, "memset" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0x2d1e301d, "typec_find_power_role" },
	{ 0xf038b93b, "typec_register_port" },
	{ 0x9d4953ea, "typec_plug_set_num_altmodes" },
	{ 0xcfa2677a, "typec_retimer_put" },
	{ 0xc6f40de9, "typec_partner_set_usb_power_delivery" },
	{ 0x26db444e, "typec_unregister_plug" },
	{ 0xed826b94, "__platform_driver_register" },
	{ 0xda0fc2ca, "typec_plug_register_altmode" },
	{ 0xb0b618a0, "fwnode_find_reference" },
	{ 0x98b4ec72, "fwnode_property_read_string" },
	{ 0xcec49581, "typec_unregister_altmode" },
	{ 0x39d99ae4, "typec_register_cable" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x51f4518, "typec_retimer_set" },
	{ 0xc93f02f5, "usb_power_delivery_unregister_capabilities" },
	{ 0xec0a49e7, "typec_partner_set_identity" },
	{ 0x6b3d9465, "typec_mux_set" },
	{ 0xa68685cf, "fwnode_typec_retimer_get" },
	{ 0xf7173714, "typec_set_pwr_role" },
	{ 0xc517d4e6, "typec_match_altmode" },
	{ 0xdd7834a9, "typec_partner_usb_power_delivery_register" },
	{ 0x92f2a8c, "dev_err_probe" },
	{ 0x3938b6f8, "device_get_next_child_node" },
	{ 0xd54f4657, "cros_ec_cmd" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "typec,cros_usbpd_notify");

MODULE_ALIAS("acpi*:GOOG0014:*");
MODULE_ALIAS("of:N*T*Cgoogle,cros-ec-typec");
MODULE_ALIAS("of:N*T*Cgoogle,cros-ec-typecC*");

MODULE_INFO(srcversion, "A5DABE250B07CAEC1903256");
