#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(rpmsg_class, "", "");
KSYMTAB_FUNC(rpmsg_create_channel, "", "");
KSYMTAB_FUNC(rpmsg_release_channel, "", "");
KSYMTAB_FUNC(rpmsg_create_ept, "", "");
KSYMTAB_FUNC(rpmsg_destroy_ept, "", "");
KSYMTAB_FUNC(rpmsg_send, "", "");
KSYMTAB_FUNC(rpmsg_sendto, "", "");
KSYMTAB_FUNC(rpmsg_send_offchannel, "", "");
KSYMTAB_FUNC(rpmsg_trysend, "", "");
KSYMTAB_FUNC(rpmsg_trysendto, "", "");
KSYMTAB_FUNC(rpmsg_poll, "", "");
KSYMTAB_FUNC(rpmsg_trysend_offchannel, "", "");
KSYMTAB_FUNC(rpmsg_set_flow_control, "_gpl", "");
KSYMTAB_FUNC(rpmsg_get_mtu, "", "");
KSYMTAB_FUNC(rpmsg_find_device, "", "");
KSYMTAB_FUNC(rpmsg_register_device_override, "", "");
KSYMTAB_FUNC(rpmsg_register_device, "", "");
KSYMTAB_FUNC(rpmsg_unregister_device, "", "");
KSYMTAB_FUNC(__register_rpmsg_driver, "", "");
KSYMTAB_FUNC(unregister_rpmsg_driver, "", "");

SYMBOL_CRC(rpmsg_class, 0x9146de86, "");
SYMBOL_CRC(rpmsg_create_channel, 0x966671ac, "");
SYMBOL_CRC(rpmsg_release_channel, 0x5ade8422, "");
SYMBOL_CRC(rpmsg_create_ept, 0x06bd0905, "");
SYMBOL_CRC(rpmsg_destroy_ept, 0x146f6c7f, "");
SYMBOL_CRC(rpmsg_send, 0x6e973c30, "");
SYMBOL_CRC(rpmsg_sendto, 0xa3950658, "");
SYMBOL_CRC(rpmsg_send_offchannel, 0x42897fd8, "");
SYMBOL_CRC(rpmsg_trysend, 0x3192e103, "");
SYMBOL_CRC(rpmsg_trysendto, 0x884df9ea, "");
SYMBOL_CRC(rpmsg_poll, 0xe884a9ce, "");
SYMBOL_CRC(rpmsg_trysend_offchannel, 0xcde7c98f, "");
SYMBOL_CRC(rpmsg_set_flow_control, 0x46ff3383, "_gpl");
SYMBOL_CRC(rpmsg_get_mtu, 0xea9fe886, "");
SYMBOL_CRC(rpmsg_find_device, 0x1722fb83, "");
SYMBOL_CRC(rpmsg_register_device_override, 0xcec036db, "");
SYMBOL_CRC(rpmsg_register_device, 0x13fdd69f, "");
SYMBOL_CRC(rpmsg_unregister_device, 0x3c2c6622, "");
SYMBOL_CRC(__register_rpmsg_driver, 0x3851fc09, "");
SYMBOL_CRC(unregister_rpmsg_driver, 0x31dbae69, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x2859ab, "device_find_child" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x5a921311, "strncmp" },
	{ 0xfdaa1085, "of_match_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x1ac5d3cb, "strcspn" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x98cf60b3, "strlen" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xdcb764ad, "memset" },
	{ 0xdec5f1bf, "dev_set_name" },
	{ 0x3b9c57bf, "device_initialize" },
	{ 0x95b1529a, "driver_set_override" },
	{ 0x61373533, "device_add" },
	{ 0x8619869e, "put_device" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x9838955f, "device_unregister" },
	{ 0x83cf91d, "driver_register" },
	{ 0x3ffe3b9b, "driver_unregister" },
	{ 0xaa3a3bb3, "class_register" },
	{ 0xb9cb04c5, "bus_register" },
	{ 0x122c3a7e, "_printk" },
	{ 0x3ebb35fe, "class_destroy" },
	{ 0x2efa2c2b, "bus_unregister" },
	{ 0x80531c15, "of_device_uevent_modalias" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x6adbd763, "of_device_modalias" },
	{ 0x896eabf4, "dev_pm_domain_detach" },
	{ 0x5e6baffe, "dev_pm_domain_attach" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6B950788EA1B7C82C3DBF18");
