#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x122c3a7e, "_printk" },
	{ 0x77aba601, "cxgbi_iscsi_init" },
	{ 0xd9eaee2a, "cxgb4_register_uld" },
	{ 0x93b3fc74, "register_dcbevent_notifier" },
	{ 0x8d2b2924, "cxgbi_device_unregister" },
	{ 0x374869f4, "cxgbi_sock_rcv_wr_ack" },
	{ 0x4f73028d, "__kfree_skb" },
	{ 0xdd5227d5, "cxgb4_ofld_send" },
	{ 0x9f66a4ce, "sk_skb_reason_drop" },
	{ 0xa6257a2f, "complete" },
	{ 0x6a0076b, "cxgbi_sock_rcv_close_conn_rpl" },
	{ 0x767c0518, "cxgbi_sock_rcv_abort_rpl" },
	{ 0x41821d91, "cxgbi_sock_rcv_peer_close" },
	{ 0x86497eb6, "cxgbi_ddp_ppm_setup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x62944864, "cxgbi_device_register" },
	{ 0x226853a, "cxgbi_device_portmap_create" },
	{ 0x37255850, "cxgbi_hbas_add" },
	{ 0x9b33e0d7, "unregister_dcbevent_notifier" },
	{ 0xf1a5528, "cxgb4_unregister_uld" },
	{ 0x7fdb6004, "cxgbi_device_unregister_all" },
	{ 0xa61833ed, "cxgbi_iscsi_cleanup" },
	{ 0x7ee7ac5d, "init_net" },
	{ 0xea03c881, "dev_get_by_index" },
	{ 0x285d7939, "cxgbi_device_find_by_netdev_rcu" },
	{ 0x70ef8e52, "iscsi_conn_failure" },
	{ 0x1f9a9c72, "module_put" },
	{ 0x1f993373, "cxgb4_remove_tid" },
	{ 0x1b9d82aa, "cxgbi_sock_fail_act_open" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x37a0cba, "kfree" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x4bcbdd78, "cxgbi_sock_free_cpl_skbs" },
	{ 0xfe28b9d2, "cxgbi_sock_purge_wr_queue" },
	{ 0xa816f6fd, "cxgb4_l2t_release" },
	{ 0x60eadb7f, "cxgb4_clip_release" },
	{ 0xe207e1a6, "cxgb4_free_atid" },
	{ 0x95463bb7, "__alloc_skb" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xdcb764ad, "memset" },
	{ 0x8319f739, "cxgbi_ddp_set_one_ppod" },
	{ 0x29a88745, "cxgbi_sock_skb_entail" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x94b748d5, "cxgb4_l2t_send" },
	{ 0x7c709594, "___pskb_trim" },
	{ 0xbe7c9fdf, "cxgbi_conn_pdu_ready" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x1ddcbd14, "cxgbi_sock_established" },
	{ 0xd4c1459e, "cxgbi_conn_tx_open" },
	{ 0xca18d55c, "cxgbi_sock_closed" },
	{ 0xd4d9880b, "cxgbi_sock_act_open_req_arp_failure" },
	{ 0x27c9203d, "cxgb4_select_ntuple" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x9798a0a6, "cxgb4_alloc_atid" },
	{ 0x489088d7, "cxgb4_l2t_get" },
	{ 0xd69a0294, "cxgb4_best_mtu" },
	{ 0x86245834, "cxgb4_port_chan" },
	{ 0x10521f6c, "cxgb4_port_idx" },
	{ 0xd4845a05, "try_module_get" },
	{ 0x426eff70, "neigh_destroy" },
	{ 0xbd707a5e, "__neigh_event_send" },
	{ 0xf0299c83, "dcb_ieee_getapp_mask" },
	{ 0xd7c2e7d1, "cxgb4_clip_get" },
	{ 0xd553910f, "dcb_getapp" },
	{ 0x1bf32316, "cxgb4_pktgl_to_skb" },
	{ 0x1a69f089, "cxgbi_create_session" },
	{ 0x63a6e091, "cxgbi_destroy_session" },
	{ 0x2d27ce02, "cxgbi_create_conn" },
	{ 0x13e26b07, "iscsi_conn_unbind" },
	{ 0x56aa2673, "cxgbi_bind_conn" },
	{ 0x52129062, "iscsi_conn_start" },
	{ 0xbdf99768, "iscsi_conn_stop" },
	{ 0xc0a6069a, "iscsi_tcp_conn_teardown" },
	{ 0xde839073, "cxgbi_set_conn_param" },
	{ 0xb155dd51, "cxgbi_get_ep_param" },
	{ 0x51e5fded, "iscsi_conn_get_param" },
	{ 0x3e1ce73f, "iscsi_session_get_param" },
	{ 0x9a4b43bc, "cxgbi_get_host_param" },
	{ 0x8860caed, "cxgbi_set_host_param" },
	{ 0xfb4baabb, "iscsi_conn_send_pdu" },
	{ 0x27cc0a63, "cxgbi_get_conn_stats" },
	{ 0x56de543, "iscsi_tcp_task_init" },
	{ 0x1c17872b, "iscsi_tcp_task_xmit" },
	{ 0x2432e1b3, "cxgbi_cleanup_task" },
	{ 0xcc26fad5, "cxgbi_conn_alloc_pdu" },
	{ 0xf8ff01f8, "cxgbi_conn_xmit_pdu" },
	{ 0x3390f66, "cxgbi_conn_init_pdu" },
	{ 0xfdef709a, "cxgbi_parse_pdu_itt" },
	{ 0x2c9bd9f7, "iscsi_session_recovery_timedout" },
	{ 0x7ff3044, "cxgbi_ep_connect" },
	{ 0x70126e6b, "cxgbi_ep_poll" },
	{ 0x8b68d07c, "cxgbi_ep_disconnect" },
	{ 0xef346615, "cxgbi_attr_is_visible" },
	{ 0x593e0e0e, "iscsi_queuecommand" },
	{ 0x91926296, "iscsi_eh_abort" },
	{ 0x931c5028, "iscsi_eh_device_reset" },
	{ 0xcd9ede55, "iscsi_eh_recover_target" },
	{ 0x563054e7, "iscsi_target_alloc" },
	{ 0xd40cfad9, "scsi_change_queue_depth" },
	{ 0xd8211876, "iscsi_eh_cmd_timed_out" },
	{ 0x7665356a, "param_ops_ushort" },
	{ 0x60b73b66, "param_ops_uint" },
	{ 0xcb74520d, "param_ops_int" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "libcxgbi,cxgb4,libiscsi,libiscsi_tcp");


MODULE_INFO(srcversion, "4E0025AE3FC5F365D2C0C5C");
