#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa49aee4, "scsi_done" },
	{ 0x354e104, "scsi_dma_unmap" },
	{ 0xedc03953, "iounmap" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0x122c3a7e, "_printk" },
	{ 0x404667b0, "dma_free_attrs" },
	{ 0x642cc440, "dma_alloc_attrs" },
	{ 0x43ba1bed, "__pci_register_driver" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd40cfad9, "scsi_change_queue_depth" },
	{ 0xe1a350f8, "pci_unregister_driver" },
	{ 0xe2964344, "__wake_up" },
	{ 0xb3eca644, "scsi_dma_map" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xf9a482f9, "msleep" },
	{ 0xad9ce40d, "scsi_remove_host" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x35beca42, "pci_release_regions" },
	{ 0xebaddcc6, "pci_disable_device" },
	{ 0xaaba074a, "scsi_host_put" },
	{ 0xdcb764ad, "memset" },
	{ 0x8344b777, "pci_enable_device" },
	{ 0xaff5b1dd, "pci_set_master" },
	{ 0xb34e2c9a, "dma_set_mask" },
	{ 0x87b4d3f3, "pci_request_regions" },
	{ 0xa16167cd, "scsi_host_alloc" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x888653ec, "scsi_add_host_with_dma" },
	{ 0xba644add, "scsi_scan_host" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x800473f, "__cond_resched" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xf77555cd, "__memcpy_toio" },
	{ 0x5d112304, "__memcpy_fromio" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00001103d00003220sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001103d00003320sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001103d00003410sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001103d00003510sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001103d00003511sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001103d00003520sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001103d00003521sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001103d00003522sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001103d00003530sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001103d00003540sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001103d00003560sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001103d00004210sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001103d00004211sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001103d00004310sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001103d00004311sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001103d00004320sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001103d00004321sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001103d00004322sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001103d00004400sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001103d00003120sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001103d00003122sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001103d00003020sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001103d00004520sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001103d00004522sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001103d00003610sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001103d00003611sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001103d00003620sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001103d00003622sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001103d00003640sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001103d00003660sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001103d00003680sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001103d00003690sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "454CD1B6F2F00EF0FA4FC33");
