#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc528a49a, "queued_write_lock_slowpath" },
	{ 0xb3eca644, "scsi_dma_map" },
	{ 0x5b63862, "param_ops_ullong" },
	{ 0xffb5089c, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x974655ec, "fc_attach_transport" },
	{ 0x907c5b4f, "pci_find_ext_capability" },
	{ 0x58f09138, "misc_deregister" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x60b73b66, "param_ops_uint" },
	{ 0xb4ff356f, "dma_pool_create" },
	{ 0x9308ab62, "param_ops_ulong" },
	{ 0xdbaa67a4, "pci_request_selected_regions" },
	{ 0x64efd98d, "pci_release_selected_regions" },
	{ 0x8a9cf5a7, "nvme_fc_set_remoteport_devloss" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x2d569990, "__iowrite32_copy_full" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xdc6c9cfa, "pci_enable_device_mem" },
	{ 0x923fc54a, "bsg_job_done" },
	{ 0x3eb0c2a8, "cpumask_next_wrap" },
	{ 0xedc724c0, "pci_alloc_irq_vectors" },
	{ 0x82f3f5e5, "fc_remote_port_add" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xad9ce40d, "scsi_remove_host" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xc666a132, "crc_t10dif" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x6dd04304, "__kmalloc_node_noprof" },
	{ 0xa89cf1e8, "scsi_build_sense" },
	{ 0x3e33ac54, "nvme_fc_rescan_remoteport" },
	{ 0x8dceb523, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x1fbd432b, "fc_remove_host" },
	{ 0x43ba1bed, "__pci_register_driver" },
	{ 0xf62c387b, "set_user_nice" },
	{ 0x952fc03b, "__cpu_present_mask" },
	{ 0x46a28e7a, "sysfs_create_bin_file" },
	{ 0xedc03953, "iounmap" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xb68458a1, "pci_disable_msi" },
	{ 0x3e9436c4, "param_array_ops" },
	{ 0x4829a47e, "memcpy" },
	{ 0x354e104, "scsi_dma_unmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xd35a6d31, "mempool_kmalloc" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf4ababae, "fc_eh_timed_out" },
	{ 0xe2964344, "__wake_up" },
	{ 0xbfd79310, "pci_irq_vector" },
	{ 0xa00622dd, "param_ops_byte" },
	{ 0x21c51664, "__scsi_iterate_devices" },
	{ 0xadb8f970, "pci_try_set_mwi" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xbb0e18a6, "nvme_fc_rcv_ls_req" },
	{ 0xb7b7fa6e, "node_states" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0x5d112304, "__memcpy_fromio" },
	{ 0xe1a350f8, "pci_unregister_driver" },
	{ 0x354b3d7c, "wake_up_process" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x1c4e31ef, "irq_set_affinity" },
	{ 0x6a037cf1, "mempool_kfree" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x3dea7ab3, "pci_read_config_dword" },
	{ 0xff501dad, "__cpuhp_state_remove_instance" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x122c3a7e, "_printk" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x79b2aaa3, "fc_remote_port_delete" },
	{ 0x617c452b, "queued_read_lock_slowpath" },
	{ 0x9fe899b7, "get_cpu_idle_time" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x23ed184e, "blkcg_get_fc_appid" },
	{ 0x75824b69, "scsi_host_get" },
	{ 0xa916b694, "strnlen" },
	{ 0x618911fc, "numa_node" },
	{ 0x654cfd7f, "fc_host_post_event" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0xe64b6826, "pci_select_bars" },
	{ 0x14e4f487, "nvmet_fc_register_targetport" },
	{ 0x794c23d0, "fc_release_transport" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x4a013682, "nvmet_fc_invalidate_host" },
	{ 0x4f53a996, "fc_host_post_vendor_event" },
	{ 0x800473f, "__cond_resched" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xfeb343d1, "mempool_alloc_noprof" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x7c1c3168, "sg_miter_next" },
	{ 0x9373e7d0, "pci_enable_msi" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x896d53de, "fc_vport_create" },
	{ 0x7bfa9497, "nvmet_fc_rcv_fcp_req" },
	{ 0xaaba074a, "scsi_host_put" },
	{ 0xd7ff39d2, "request_firmware_nowait" },
	{ 0x61c3b861, "__cpuhp_setup_state" },
	{ 0x2d938670, "simple_open" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xacce839d, "cpu_bit_bitmap" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x16a6e568, "init_uts_ns" },
	{ 0xafaa6031, "_find_next_and_bit" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x9ef76d99, "nvmet_fc_unregister_targetport" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x8a51ee46, "fc_remote_port_rolechg" },
	{ 0x642cc440, "dma_alloc_attrs" },
	{ 0xfca9dc99, "nvme_fc_unregister_remoteport" },
	{ 0x495eed8e, "debugfs_remove" },
	{ 0xd399ce1a, "pci_read_config_word" },
	{ 0x5a921311, "strncmp" },
	{ 0xf3c4ce5, "fixed_size_llseek" },
	{ 0x23a087a2, "sg_miter_stop" },
	{ 0x4ee9086f, "fc_vport_terminate" },
	{ 0x61abf44e, "__cpuhp_state_add_instance" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xfc7e620b, "pci_aer_clear_nonfatal_status" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0xd5ac4777, "fc_block_rport" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4cdb9669, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x5bd69b0c, "sg_miter_start" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x4656f3ed, "pci_restore_state" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xdcb764ad, "memset" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0xf71fdfdc, "__kmalloc_cache_node_noprof" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xedd818fe, "misc_register" },
	{ 0xd257bce, "scsi_is_host_device" },
	{ 0xaff5b1dd, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc51dd7c8, "blk_mq_unique_tag" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x31d75226, "kthread_create_on_node" },
	{ 0xf0efe64b, "dma_set_coherent_mask" },
	{ 0x6ff62dab, "nvmet_fc_rcv_fcp_abort" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x375f8bbd, "fc_get_event_number" },
	{ 0x13107c3a, "debugfs_create_file" },
	{ 0x404667b0, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xfeca4e9c, "fc_host_fpin_rcv" },
	{ 0x8644a4ba, "pci_reset_bus" },
	{ 0xea3c8e4e, "scsilun_to_int" },
	{ 0x85df9b6c, "strsep" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x2213aa1f, "mempool_create_node_noprof" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2fd31ec7, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0xfb5a2754, "fc_eh_should_retry_cmd" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0xf9b662f8, "pci_disable_sriov" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xcc8a2d78, "nvme_fc_io_getuuid" },
	{ 0x3884f8b8, "nvme_fc_unregister_localport" },
	{ 0xb98123d, "nvmet_fc_rcv_ls_req" },
	{ 0xc2b8d696, "scsi_is_fc_rport" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0xebaddcc6, "pci_disable_device" },
	{ 0xa49aee4, "scsi_done" },
	{ 0xc2ca2df4, "scsi_unblock_requests" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0xb34e2c9a, "dma_set_mask" },
	{ 0x5986a5d8, "dma_unmap_sg_attrs" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0xf07464e4, "hrtimer_forward" },
	{ 0x9a57036d, "pci_irq_get_affinity" },
	{ 0xee6c748d, "scsi_block_requests" },
	{ 0x888653ec, "scsi_add_host_with_dma" },
	{ 0xc57c18f5, "pci_read_config_byte" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x98cf60b3, "strlen" },
	{ 0xcb74520d, "param_ops_int" },
	{ 0x2151991b, "_dev_printk" },
	{ 0xd12e564, "nvme_fc_register_remoteport" },
	{ 0x20eadeb6, "ip_compute_csum" },
	{ 0xa16167cd, "scsi_host_alloc" },
	{ 0x349cba85, "strchr" },
	{ 0xe820ea6a, "debugfs_create_dir" },
	{ 0xf54d522d, "pci_write_config_word" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0xb2ae8f18, "sysfs_remove_bin_file" },
	{ 0x71e8d353, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x9e95fede, "pci_enable_sriov" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0xb719aab5, "nvme_fc_register_localport" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x7742b904, "__cpuhp_remove_state" },
	{ 0xd40cfad9, "scsi_change_queue_depth" },
	{ 0xf9a482f9, "msleep" },
	{ 0xee4ade57, "pci_write_config_dword" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x992d47c0, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_fc,nvme-fc,nvmet-fc");

MODULE_ALIAS("pci:v000010DFd0000FB00sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd00001AE5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000FA00sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000F980sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000F900sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000F800sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000F700sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000F095sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000F098sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000F0F5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000F0F6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000F0F7sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000FD00sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000FD11sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000FD12sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000F0D5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000F0D1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000FE00sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000FE11sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000FE12sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000F0E5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000F0E1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000F0A5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000F0A1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000FC00sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000FC10sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000FC20sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000F100sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000F015sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000F011sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000F112sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000F111sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000FC40sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000E100sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000E180sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000FC50sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000704sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000714sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000F180sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000E131sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000E200sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000E260sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000E208sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000E268sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000E300sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000F400sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000F500sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd00000724sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000072Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000117Cd00000064sv0000117Csd00000063bc*sc*i*");
MODULE_ALIAS("pci:v0000117Cd00000064sv0000117Csd00000064bc*sc*i*");
MODULE_ALIAS("pci:v0000117Cd00000064sv0000117Csd00000065bc*sc*i*");
MODULE_ALIAS("pci:v0000117Cd00000094sv0000117Csd000000A0bc*sc*i*");
MODULE_ALIAS("pci:v0000117Cd00000094sv0000117Csd00000094bc*sc*i*");
MODULE_ALIAS("pci:v0000117Cd00000094sv0000117Csd000000A1bc*sc*i*");
MODULE_ALIAS("pci:v0000117Cd00000094sv0000117Csd000000A2bc*sc*i*");
MODULE_ALIAS("pci:v0000117Cd00000094sv0000117Csd000000A3bc*sc*i*");
MODULE_ALIAS("pci:v0000117Cd00000094sv0000117Csd000000ACbc*sc*i*");
MODULE_ALIAS("pci:v0000117Cd000000BBsv0000117Csd000000BCbc*sc*i*");
MODULE_ALIAS("pci:v0000117Cd000000BBsv0000117Csd000000BDbc*sc*i*");
MODULE_ALIAS("pci:v0000117Cd000000BBsv0000117Csd000000BEbc*sc*i*");
MODULE_ALIAS("pci:v0000117Cd00000064sv0000117Csd00004064bc*sc*i*");
MODULE_ALIAS("pci:v0000117Cd00000094sv0000117Csd000040A6bc*sc*i*");
MODULE_ALIAS("pci:v0000117Cd00000094sv0000117Csd000040A7bc*sc*i*");

MODULE_INFO(srcversion, "A7E2D54D0A39C93DF6552A7");
