#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sas_remove_children, "", "");
KSYMTAB_FUNC(sas_remove_host, "", "");
KSYMTAB_FUNC(sas_get_address, "", "");
KSYMTAB_FUNC(sas_tlr_supported, "_gpl", "");
KSYMTAB_FUNC(sas_disable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_enable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_is_tlr_enabled, "_gpl", "");
KSYMTAB_FUNC(sas_ata_ncq_prio_supported, "_gpl", "");
KSYMTAB_FUNC(sas_phy_alloc, "", "");
KSYMTAB_FUNC(sas_phy_add, "", "");
KSYMTAB_FUNC(sas_phy_free, "", "");
KSYMTAB_FUNC(sas_phy_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_phy, "", "");
KSYMTAB_FUNC(sas_port_alloc, "", "");
KSYMTAB_FUNC(sas_port_alloc_num, "", "");
KSYMTAB_FUNC(sas_port_add, "", "");
KSYMTAB_FUNC(sas_port_free, "", "");
KSYMTAB_FUNC(sas_port_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_port, "", "");
KSYMTAB_FUNC(sas_port_get_phy, "", "");
KSYMTAB_FUNC(sas_port_add_phy, "", "");
KSYMTAB_FUNC(sas_port_delete_phy, "", "");
KSYMTAB_FUNC(sas_port_mark_backlink, "", "");
KSYMTAB_FUNC(sas_read_port_mode_page, "", "");
KSYMTAB_FUNC(sas_end_device_alloc, "", "");
KSYMTAB_FUNC(sas_expander_alloc, "", "");
KSYMTAB_FUNC(sas_rphy_add, "", "");
KSYMTAB_FUNC(sas_rphy_free, "", "");
KSYMTAB_FUNC(sas_rphy_delete, "", "");
KSYMTAB_FUNC(sas_rphy_unlink, "", "");
KSYMTAB_FUNC(sas_rphy_remove, "", "");
KSYMTAB_FUNC(scsi_is_sas_rphy, "", "");
KSYMTAB_FUNC(sas_attach_transport, "", "");
KSYMTAB_FUNC(sas_release_transport, "", "");

SYMBOL_CRC(sas_remove_children, 0xe57e3f70, "");
SYMBOL_CRC(sas_remove_host, 0x31727911, "");
SYMBOL_CRC(sas_get_address, 0xfd13d7d6, "");
SYMBOL_CRC(sas_tlr_supported, 0x602d0093, "_gpl");
SYMBOL_CRC(sas_disable_tlr, 0x515552f5, "_gpl");
SYMBOL_CRC(sas_enable_tlr, 0x4809a564, "_gpl");
SYMBOL_CRC(sas_is_tlr_enabled, 0x12daeff0, "_gpl");
SYMBOL_CRC(sas_ata_ncq_prio_supported, 0x4e121022, "_gpl");
SYMBOL_CRC(sas_phy_alloc, 0x1ea890ed, "");
SYMBOL_CRC(sas_phy_add, 0xdef0e4e0, "");
SYMBOL_CRC(sas_phy_free, 0x3d1bf000, "");
SYMBOL_CRC(sas_phy_delete, 0x295a77a9, "");
SYMBOL_CRC(scsi_is_sas_phy, 0x2ca1c6a3, "");
SYMBOL_CRC(sas_port_alloc, 0xe64b43cc, "");
SYMBOL_CRC(sas_port_alloc_num, 0x6a0fc013, "");
SYMBOL_CRC(sas_port_add, 0xdfafb7a8, "");
SYMBOL_CRC(sas_port_free, 0xf8fdfaaf, "");
SYMBOL_CRC(sas_port_delete, 0x92bb169a, "");
SYMBOL_CRC(scsi_is_sas_port, 0xaa4bf53c, "");
SYMBOL_CRC(sas_port_get_phy, 0xf399b2e9, "");
SYMBOL_CRC(sas_port_add_phy, 0xe2b39647, "");
SYMBOL_CRC(sas_port_delete_phy, 0x0fee9763, "");
SYMBOL_CRC(sas_port_mark_backlink, 0x8407b7b3, "");
SYMBOL_CRC(sas_read_port_mode_page, 0xeebbce7b, "");
SYMBOL_CRC(sas_end_device_alloc, 0xe0882119, "");
SYMBOL_CRC(sas_expander_alloc, 0x7eb4423e, "");
SYMBOL_CRC(sas_rphy_add, 0xb9246233, "");
SYMBOL_CRC(sas_rphy_free, 0xba1c9820, "");
SYMBOL_CRC(sas_rphy_delete, 0x42c8bf8d, "");
SYMBOL_CRC(sas_rphy_unlink, 0x35280d0e, "");
SYMBOL_CRC(sas_rphy_remove, 0x882e7c2c, "");
SYMBOL_CRC(scsi_is_sas_rphy, 0x472bb29a, "");
SYMBOL_CRC(sas_attach_transport, 0x65a0007f, "");
SYMBOL_CRC(sas_release_transport, 0xf8fe6e7d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb6bc7862, "device_for_each_child" },
	{ 0x8619869e, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x61373533, "device_add" },
	{ 0x97c87214, "transport_add_device" },
	{ 0x73d2c346, "transport_configure_device" },
	{ 0x61401cd3, "device_del" },
	{ 0xc9d44e27, "transport_destroy_device" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x67155184, "get_device" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x5ef57105, "sysfs_remove_link" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xed35c0dc, "sysfs_create_link" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8dfbfef5, "scsi_scan_target" },
	{ 0x6370cf68, "bsg_setup_queue" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x98cf60b3, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0x89e25b9b, "transport_class_register" },
	{ 0xaf9edef8, "transport_class_unregister" },
	{ 0xa6f1844f, "transport_remove_device" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x71d0b58c, "attribute_container_register" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x2151991b, "_dev_printk" },
	{ 0x3b1a340d, "attribute_container_unregister" },
	{ 0xad9ce40d, "scsi_remove_host" },
	{ 0x2da4830, "scsi_mode_sense" },
	{ 0x46d47805, "bsg_remove_queue" },
	{ 0x2135c380, "scsi_remove_target" },
	{ 0xd257bce, "scsi_is_host_device" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0x923fc54a, "bsg_job_done" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xf610540c, "dma_opt_mapping_size" },
	{ 0x3b9c57bf, "device_initialize" },
	{ 0xdec5f1bf, "dev_set_name" },
	{ 0xcf094212, "transport_setup_device" },
	{ 0x5ec383d0, "scsi_get_vpd_page" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3109B07A74B7470B8C8BE31");
