#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sdw_cdns_config_update, "", "");
KSYMTAB_FUNC(sdw_cdns_config_update_set_wait, "", "");
KSYMTAB_FUNC(sdw_cdns_debugfs_init, "_gpl", "");
KSYMTAB_FUNC(cdns_xfer_msg, "", "");
KSYMTAB_FUNC(cdns_xfer_msg_defer, "", "");
KSYMTAB_FUNC(cdns_read_ping_status, "", "");
KSYMTAB_FUNC(sdw_cdns_irq, "", "");
KSYMTAB_FUNC(sdw_cdns_check_self_clearing_bits, "", "");
KSYMTAB_FUNC(sdw_cdns_exit_reset, "", "");
KSYMTAB_FUNC(sdw_cdns_enable_interrupt, "", "");
KSYMTAB_FUNC(sdw_cdns_pdi_init, "", "");
KSYMTAB_FUNC(sdw_cdns_init, "", "");
KSYMTAB_FUNC(cdns_bus_conf, "", "");
KSYMTAB_FUNC(sdw_cdns_is_clock_stop, "", "");
KSYMTAB_FUNC(sdw_cdns_clock_stop, "", "");
KSYMTAB_FUNC(sdw_cdns_clock_restart, "", "");
KSYMTAB_FUNC(sdw_cdns_probe, "", "");
KSYMTAB_FUNC(cdns_set_sdw_stream, "", "");
KSYMTAB_FUNC(sdw_cdns_config_stream, "", "");
KSYMTAB_FUNC(sdw_cdns_alloc_pdi, "", "");

SYMBOL_CRC(sdw_cdns_config_update, 0xba93d66e, "");
SYMBOL_CRC(sdw_cdns_config_update_set_wait, 0x09ceceb8, "");
SYMBOL_CRC(sdw_cdns_debugfs_init, 0x3a50f43c, "_gpl");
SYMBOL_CRC(cdns_xfer_msg, 0x2db0843d, "");
SYMBOL_CRC(cdns_xfer_msg_defer, 0xeddaeb20, "");
SYMBOL_CRC(cdns_read_ping_status, 0x725a9c6a, "");
SYMBOL_CRC(sdw_cdns_irq, 0x34712074, "");
SYMBOL_CRC(sdw_cdns_check_self_clearing_bits, 0x120de50c, "");
SYMBOL_CRC(sdw_cdns_exit_reset, 0xa2d0aed3, "");
SYMBOL_CRC(sdw_cdns_enable_interrupt, 0x1881d606, "");
SYMBOL_CRC(sdw_cdns_pdi_init, 0x154f1e22, "");
SYMBOL_CRC(sdw_cdns_init, 0xf77d0aba, "");
SYMBOL_CRC(cdns_bus_conf, 0x2f23bfb9, "");
SYMBOL_CRC(sdw_cdns_is_clock_stop, 0xc42b6a14, "");
SYMBOL_CRC(sdw_cdns_clock_stop, 0x240368ba, "");
SYMBOL_CRC(sdw_cdns_clock_restart, 0x70940d58, "");
SYMBOL_CRC(sdw_cdns_probe, 0x8775827a, "");
SYMBOL_CRC(cdns_set_sdw_stream, 0xd338fe1b, "");
SYMBOL_CRC(sdw_cdns_config_stream, 0x1b4920be, "");
SYMBOL_CRC(sdw_cdns_alloc_pdi, 0xf488b990, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x40c1c227, "sdw_bus_prep_clk_stop" },
	{ 0x8d039641, "simple_attr_open" },
	{ 0xbebaed22, "debugfs_attr_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x51934855, "sdw_bus_clk_stop" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x96848186, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0x1deee061, "sdw_find_row_index" },
	{ 0x5b66fa60, "seq_lseek" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x6575bfa0, "sdw_handle_slave_status" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0xeb6eb87, "add_taint" },
	{ 0x579acfde, "debugfs_attr_read" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x9295faf0, "simple_attr_release" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0x32f1e81b, "seq_read" },
	{ 0x13107c3a, "debugfs_create_file" },
	{ 0x4f139bf4, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x60e31fbb, "sdw_find_col_index" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x899fbd06, "seq_printf" },
	{ 0xa5c872a7, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xd864f4ab, "sdw_bread_no_pm_unlocked" },
	{ 0x827d8a32, "__pm_runtime_suspend" },
	{ 0xcb74520d, "param_ops_int" },
	{ 0x3466fede, "single_open" },
	{ 0x6180a06e, "sdw_bus_exit_clk_stop" },
	{ 0xf9a482f9, "msleep" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "soundwire-bus");


MODULE_INFO(srcversion, "165D6245310C9C55DE49329");
