#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(sdw_intel_cnl_hw_ops, "", "SOUNDWIRE_INTEL");
KSYMTAB_DATA(sdw_intel_lnl_hw_ops, "", "SOUNDWIRE_INTEL");
KSYMTAB_FUNC(sdw_intel_thread, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_probe, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_startup, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_exit, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_process_wakeen_event, "", "SOUNDWIRE_INTEL_INIT");

SYMBOL_CRC(sdw_intel_cnl_hw_ops, 0x09f117b4, "");
SYMBOL_CRC(sdw_intel_lnl_hw_ops, 0x0ebcb539, "");
SYMBOL_CRC(sdw_intel_thread, 0xaa52eba1, "");
SYMBOL_CRC(sdw_intel_probe, 0x19796149, "");
SYMBOL_CRC(sdw_intel_startup, 0xb55bda05, "");
SYMBOL_CRC(sdw_intel_exit, 0x73493f14, "");
SYMBOL_CRC(sdw_intel_process_wakeen_event, 0x5dd4acd4, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x154f1e22, "sdw_cdns_pdi_init" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x8d039641, "simple_attr_open" },
	{ 0xbebaed22, "debugfs_attr_write" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x9c9173b7, "auxiliary_device_init" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xf77d0aba, "sdw_cdns_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x70940d58, "sdw_cdns_clock_restart" },
	{ 0x3a50f43c, "sdw_cdns_debugfs_init" },
	{ 0x74ccc61, "pm_runtime_set_autosuspend_delay" },
	{ 0xb344d96a, "sdw_bus_master_add" },
	{ 0x1881d606, "sdw_cdns_enable_interrupt" },
	{ 0x96848186, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0xc42b6a14, "sdw_cdns_is_clock_stop" },
	{ 0x5b66fa60, "seq_lseek" },
	{ 0x9ceceb8, "sdw_cdns_config_update_set_wait" },
	{ 0xb6bc7862, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0x1b4920be, "sdw_cdns_config_stream" },
	{ 0xd7094a04, "__pm_runtime_set_status" },
	{ 0x12ae9fe6, "auxiliary_driver_unregister" },
	{ 0xa86ec35d, "devm_snd_soc_register_component" },
	{ 0x2f23bfb9, "cdns_bus_conf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8619869e, "put_device" },
	{ 0xd338fe1b, "cdns_set_sdw_stream" },
	{ 0xf693587e, "pm_runtime_enable" },
	{ 0xf3f34fd5, "fwnode_property_read_u32_array" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0xeb6eb87, "add_taint" },
	{ 0xc4b0202c, "sdw_clear_slave_status" },
	{ 0x579acfde, "debugfs_attr_read" },
	{ 0xb92bf53e, "sdw_stream_remove_master" },
	{ 0xa2d0aed3, "sdw_cdns_exit_reset" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x9295faf0, "simple_attr_release" },
	{ 0xb521cebf, "__auxiliary_device_add" },
	{ 0xf488b990, "sdw_cdns_alloc_pdi" },
	{ 0x240368ba, "sdw_cdns_clock_stop" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x93268c44, "fwnode_property_read_u16_array" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x495eed8e, "debugfs_remove" },
	{ 0xeddaeb20, "cdns_xfer_msg_defer" },
	{ 0x2db0843d, "cdns_xfer_msg" },
	{ 0xffb7c514, "ida_free" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x61401cd3, "device_del" },
	{ 0xce06599e, "devm_kasprintf" },
	{ 0x32f1e81b, "seq_read" },
	{ 0x13107c3a, "debugfs_create_file" },
	{ 0x8d066088, "sdw_stream_add_master" },
	{ 0x4f139bf4, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x725a9c6a, "cdns_read_ping_status" },
	{ 0xe1c8ab97, "acpi_fetch_acpi_dev" },
	{ 0xc1f7cf71, "device_get_named_child_node" },
	{ 0x8775827a, "sdw_cdns_probe" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xba93d66e, "sdw_cdns_config_update" },
	{ 0x899fbd06, "seq_printf" },
	{ 0xc9b74774, "sdw_bus_master_delete" },
	{ 0xa5c872a7, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x5e9bb2e, "__auxiliary_driver_register" },
	{ 0x120de50c, "sdw_cdns_check_self_clearing_bits" },
	{ 0x91930acb, "__pm_runtime_use_autosuspend" },
	{ 0xcb74520d, "param_ops_int" },
	{ 0x34712074, "sdw_cdns_irq" },
	{ 0x3466fede, "single_open" },
	{ 0x568d4681, "__pm_runtime_disable" },
	{ 0xe820ea6a, "debugfs_create_dir" },
	{ 0x4834aa9, "sdw_master_read_prop" },
	{ 0x5287efa, "sdw_compute_params" },
	{ 0x61f81ab3, "__pm_runtime_idle" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "soundwire-cadence,soundwire-bus,snd-soc-core,soundwire-generic-allocation,snd-pcm");

MODULE_ALIAS("auxiliary:soundwire_intel.link");

MODULE_INFO(srcversion, "C1CE1D6836C9E02771582B2");
