#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dw_spi_set_cs, "_gpl", "SPI_DW_CORE");
KSYMTAB_FUNC(dw_spi_check_status, "_gpl", "SPI_DW_CORE");
KSYMTAB_FUNC(dw_spi_update_config, "_gpl", "SPI_DW_CORE");
KSYMTAB_FUNC(dw_spi_add_host, "_gpl", "SPI_DW_CORE");
KSYMTAB_FUNC(dw_spi_remove_host, "_gpl", "SPI_DW_CORE");
KSYMTAB_FUNC(dw_spi_suspend_host, "_gpl", "SPI_DW_CORE");
KSYMTAB_FUNC(dw_spi_resume_host, "_gpl", "SPI_DW_CORE");

SYMBOL_CRC(dw_spi_set_cs, 0xd891c667, "_gpl");
SYMBOL_CRC(dw_spi_check_status, 0x5750e0ba, "_gpl");
SYMBOL_CRC(dw_spi_update_config, 0x67c95d39, "_gpl");
SYMBOL_CRC(dw_spi_add_host, 0xfa8f3cef, "_gpl");
SYMBOL_CRC(dw_spi_remove_host, 0xa514e976, "_gpl");
SYMBOL_CRC(dw_spi_suspend_host, 0x12814015, "_gpl");
SYMBOL_CRC(dw_spi_resume_host, 0x2cfc00a5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1514a3b, "free_irq" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x57674fd7, "__sw_hweight16" },
	{ 0xae6025b1, "spi_controller_resume" },
	{ 0x3faeeefc, "spi_controller_suspend" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4ac6c7f0, "spi_delay_exec" },
	{ 0xde607b4c, "spi_finalize_current_transfer" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0x9bd74203, "device_set_node" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8619869e, "put_device" },
	{ 0xd80f18f2, "device_property_read_u32_array" },
	{ 0xf887ee1d, "debugfs_create_regset32" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1e227369, "spi_unregister_controller" },
	{ 0x495eed8e, "debugfs_remove" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0xc78434eb, "__spi_alloc_controller" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x92f2a8c, "dev_err_probe" },
	{ 0x9438ef71, "spi_mem_default_supports_op" },
	{ 0xe820ea6a, "debugfs_create_dir" },
	{ 0x5c1aa8c7, "spi_register_controller" },
	{ 0x9aaacae9, "__dev_fwnode" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A18018DEC3DA9459FDCEBBC");
