#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(iscsi_find_param_from_key, "", "");
KSYMTAB_FUNC(iscsit_get_datain_values, "", "");
KSYMTAB_FUNC(iscsit_increment_maxcmdsn, "", "");
KSYMTAB_FUNC(iscsit_cause_connection_reinstatement, "", "");
KSYMTAB_FUNC(iscsit_stop_dataout_timer, "", "");
KSYMTAB_FUNC(iscsi_change_param_sprintf, "", "");
KSYMTAB_FUNC(iscsi_target_check_login_request, "", "");
KSYMTAB_FUNC(iscsit_tmr_post_handler, "", "");
KSYMTAB_FUNC(iscsit_allocate_cmd, "", "");
KSYMTAB_FUNC(iscsit_sequence_cmd, "", "");
KSYMTAB_FUNC(iscsit_find_cmd_from_itt, "", "");
KSYMTAB_FUNC(iscsit_find_cmd_from_itt_or_dump, "", "");
KSYMTAB_FUNC(iscsit_add_cmd_to_immediate_queue, "", "");
KSYMTAB_FUNC(iscsit_release_cmd, "", "");
KSYMTAB_FUNC(iscsit_free_cmd, "", "");
KSYMTAB_FUNC(iscsit_queue_rsp, "", "");
KSYMTAB_FUNC(iscsit_aborted_task, "", "");
KSYMTAB_FUNC(iscsit_add_reject, "", "");
KSYMTAB_FUNC(iscsit_reject_cmd, "", "");
KSYMTAB_FUNC(iscsit_setup_scsi_cmd, "", "");
KSYMTAB_FUNC(iscsit_set_unsolicited_dataout, "", "");
KSYMTAB_FUNC(iscsit_process_scsi_cmd, "", "");
KSYMTAB_FUNC(__iscsit_check_dataout_hdr, "", "");
KSYMTAB_FUNC(iscsit_check_dataout_hdr, "", "");
KSYMTAB_FUNC(iscsit_check_dataout_payload, "", "");
KSYMTAB_FUNC(iscsit_setup_nop_out, "", "");
KSYMTAB_FUNC(iscsit_process_nop_out, "", "");
KSYMTAB_FUNC(iscsit_handle_task_mgt_cmd, "", "");
KSYMTAB_FUNC(iscsit_setup_text_cmd, "", "");
KSYMTAB_FUNC(iscsit_process_text_cmd, "", "");
KSYMTAB_FUNC(iscsit_handle_logout_cmd, "", "");
KSYMTAB_FUNC(iscsit_handle_snack, "", "");
KSYMTAB_FUNC(iscsit_build_datain_pdu, "", "");
KSYMTAB_FUNC(iscsit_build_logout_rsp, "", "");
KSYMTAB_FUNC(iscsit_build_nopin_rsp, "", "");
KSYMTAB_FUNC(iscsit_build_r2ts_for_cmd, "", "");
KSYMTAB_FUNC(iscsit_build_rsp_pdu, "", "");
KSYMTAB_FUNC(iscsit_build_task_mgt_rsp, "", "");
KSYMTAB_FUNC(iscsit_build_text_rsp, "", "");
KSYMTAB_FUNC(iscsit_build_reject, "", "");
KSYMTAB_FUNC(iscsit_thread_check_cpumask, "", "");
KSYMTAB_FUNC(iscsit_immediate_queue, "", "");
KSYMTAB_FUNC(iscsit_response_queue, "", "");
KSYMTAB_FUNC(iscsit_logout_post_handler, "", "");
KSYMTAB_FUNC(iscsit_register_transport, "", "");
KSYMTAB_FUNC(iscsit_unregister_transport, "", "");

SYMBOL_CRC(iscsi_find_param_from_key, 0xf34332f0, "");
SYMBOL_CRC(iscsit_get_datain_values, 0x753e4ce3, "");
SYMBOL_CRC(iscsit_increment_maxcmdsn, 0x9435686a, "");
SYMBOL_CRC(iscsit_cause_connection_reinstatement, 0x50c543cd, "");
SYMBOL_CRC(iscsit_stop_dataout_timer, 0x69e181d1, "");
SYMBOL_CRC(iscsi_change_param_sprintf, 0x3f7a1f07, "");
SYMBOL_CRC(iscsi_target_check_login_request, 0xa20f3697, "");
SYMBOL_CRC(iscsit_tmr_post_handler, 0x59d383be, "");
SYMBOL_CRC(iscsit_allocate_cmd, 0xfe3d7973, "");
SYMBOL_CRC(iscsit_sequence_cmd, 0x8e8570be, "");
SYMBOL_CRC(iscsit_find_cmd_from_itt, 0x9d6f8143, "");
SYMBOL_CRC(iscsit_find_cmd_from_itt_or_dump, 0x0332bb97, "");
SYMBOL_CRC(iscsit_add_cmd_to_immediate_queue, 0x09624298, "");
SYMBOL_CRC(iscsit_release_cmd, 0xf367540e, "");
SYMBOL_CRC(iscsit_free_cmd, 0xcf6e6292, "");
SYMBOL_CRC(iscsit_queue_rsp, 0x404bf299, "");
SYMBOL_CRC(iscsit_aborted_task, 0xe356a002, "");
SYMBOL_CRC(iscsit_add_reject, 0xa8f59652, "");
SYMBOL_CRC(iscsit_reject_cmd, 0xed08ec3a, "");
SYMBOL_CRC(iscsit_setup_scsi_cmd, 0xe6366ca7, "");
SYMBOL_CRC(iscsit_set_unsolicited_dataout, 0xfc6662fe, "");
SYMBOL_CRC(iscsit_process_scsi_cmd, 0x00bc6fa8, "");
SYMBOL_CRC(__iscsit_check_dataout_hdr, 0xc9a6d23a, "");
SYMBOL_CRC(iscsit_check_dataout_hdr, 0x27bc5427, "");
SYMBOL_CRC(iscsit_check_dataout_payload, 0xae7d7b8d, "");
SYMBOL_CRC(iscsit_setup_nop_out, 0xbe06e680, "");
SYMBOL_CRC(iscsit_process_nop_out, 0x92f9c325, "");
SYMBOL_CRC(iscsit_handle_task_mgt_cmd, 0xa70eb0da, "");
SYMBOL_CRC(iscsit_setup_text_cmd, 0x8ccb23f6, "");
SYMBOL_CRC(iscsit_process_text_cmd, 0xd5ab2fc2, "");
SYMBOL_CRC(iscsit_handle_logout_cmd, 0x4177780b, "");
SYMBOL_CRC(iscsit_handle_snack, 0xdd8f9d44, "");
SYMBOL_CRC(iscsit_build_datain_pdu, 0x1a4dec17, "");
SYMBOL_CRC(iscsit_build_logout_rsp, 0xd4366094, "");
SYMBOL_CRC(iscsit_build_nopin_rsp, 0xdd73ac2e, "");
SYMBOL_CRC(iscsit_build_r2ts_for_cmd, 0x99a0a289, "");
SYMBOL_CRC(iscsit_build_rsp_pdu, 0xfe415dd5, "");
SYMBOL_CRC(iscsit_build_task_mgt_rsp, 0xf83d814f, "");
SYMBOL_CRC(iscsit_build_text_rsp, 0x175b90eb, "");
SYMBOL_CRC(iscsit_build_reject, 0xccd47f0d, "");
SYMBOL_CRC(iscsit_thread_check_cpumask, 0x474bcaa4, "");
SYMBOL_CRC(iscsit_immediate_queue, 0xb763523c, "");
SYMBOL_CRC(iscsit_response_queue, 0x653341e2, "");
SYMBOL_CRC(iscsit_logout_post_handler, 0x22ab0a88, "");
SYMBOL_CRC(iscsit_register_transport, 0xceea6189, "");
SYMBOL_CRC(iscsit_unregister_transport, 0x67d82e7a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc528a49a, "queued_write_lock_slowpath" },
	{ 0x9e8cb747, "crypto_alloc_ahash" },
	{ 0xe914e41e, "strcpy" },
	{ 0x1b015d25, "bitmap_parselist" },
	{ 0xc65e34a6, "target_alloc_cmd_counter" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xd4845a05, "try_module_get" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xb4489234, "target_wait_for_cmds" },
	{ 0xf861ea7c, "transport_generic_new_cmd" },
	{ 0x5d24150b, "target_free_cmd_counter" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xdf1ada8e, "target_execute_cmd" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xedeb6024, "kernel_bind" },
	{ 0xcf2a6966, "up" },
	{ 0xe4f03612, "sock_create" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x515824d8, "alloc_cpumask_var_node" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xe6aef439, "__tracepoint_sk_data_ready" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x404147ad, "target_submit" },
	{ 0x16e853e4, "kernel_accept" },
	{ 0x148653, "vsnprintf" },
	{ 0x3494ac55, "kmem_cache_create" },
	{ 0xfb411bcf, "core_tpg_set_initiator_node_queue_depth" },
	{ 0x2b9b3376, "target_stop_cmd_counter" },
	{ 0x455af9bd, "transport_generic_handle_tmr" },
	{ 0xdbcb4dcb, "transport_lookup_tmr_lun" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x354b3d7c, "wake_up_process" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0xc63dce24, "crypto_destroy_tfm" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x3298d01c, "transport_alloc_session_tags" },
	{ 0x3441a162, "transport_alloc_session" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x122c3a7e, "_printk" },
	{ 0xa55a8f5b, "sbitmap_prepare_to_wait" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x617c452b, "queued_read_lock_slowpath" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x30231c7c, "target_unregister_template" },
	{ 0x31d9518, "transport_send_check_condition_and_sense" },
	{ 0xa916b694, "strnlen" },
	{ 0x4906c9cc, "transport_free_session" },
	{ 0xc6cbbc89, "capable" },
	{ 0x1f9a9c72, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x800473f, "__cond_resched" },
	{ 0xff15f7bd, "flush_signals" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xf9c0db76, "crypto_ahash_init" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xc5e704e, "__traceiter_sk_data_ready" },
	{ 0x7ee7ac5d, "init_net" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xe61dd884, "config_group_init_type_name" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x954f099c, "idr_preload" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbc037f7, "kmem_cache_free" },
	{ 0x29d7ae82, "set_cpus_allowed_ptr" },
	{ 0x856a90b3, "transport_deregister_session_configfs" },
	{ 0x5a921311, "strncmp" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x74a0fedd, "sbitmap_queue_clear" },
	{ 0x56d7525d, "iov_iter_kvec" },
	{ 0xffb7c514, "ida_free" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xe1a60205, "inet_pton_with_scope" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x388e169b, "sock_sendmsg" },
	{ 0xb75a5d88, "crypto_shash_update" },
	{ 0x5706d66a, "core_tpg_set_initiator_node_tag" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4cdb9669, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x11089ac7, "_ctype" },
	{ 0x9b9bde0d, "target_cmd_parse_cdb" },
	{ 0xce98b834, "sock_set_reuseaddr" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x20024270, "crypto_ahash_finup" },
	{ 0xdcb764ad, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xa89488c5, "iov_iter_bvec" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xd235061c, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x1302900e, "crypto_ahash_digest" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xec3eab7c, "crypto_ahash_final" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf20c0ad0, "__target_init_cmd" },
	{ 0xbdc8c686, "free_cpumask_var" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x31d75226, "kthread_create_on_node" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x6e0fe3d5, "transport_lookup_cmd_lun" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x33b12267, "core_tpg_check_initiator_node_acl" },
	{ 0xa6407b1e, "target_cmd_init_cdb" },
	{ 0xf661f503, "kernel_listen" },
	{ 0x133bcd14, "core_tmr_alloc_req" },
	{ 0x999e8297, "vfree" },
	{ 0x673d71c8, "ip_sock_set_freebind" },
	{ 0xea3c8e4e, "scsilun_to_int" },
	{ 0x66f41083, "sbitmap_finish_wait" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9212ea7d, "crypto_shash_finup" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xf93477b0, "transport_wait_for_tasks" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x4b5b04a6, "target_get_sess_cmd" },
	{ 0x1b30c729, "target_complete_cmd" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc81bbbfd, "sock_recvmsg" },
	{ 0xfd8127d5, "core_tpg_deregister" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0xa82ff9f8, "__transport_register_session" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x2051124c, "target_show_dynamic_sessions" },
	{ 0x6c225138, "sock_release" },
	{ 0xf3fafdad, "target_register_template" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x8824de7, "tcp_sock_set_nodelay" },
	{ 0xcdf5f16b, "send_sig" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x81ab511d, "transport_generic_free_cmd" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x36294f7c, "core_tpg_register" },
	{ 0x98cf60b3, "strlen" },
	{ 0x8a794e52, "target_put_sess_cmd" },
	{ 0x742578a5, "wait_for_random_bytes" },
	{ 0x8b763f66, "crypto_ahash_update" },
	{ 0xd1f34450, "transport_deregister_session" },
	{ 0xaa8f1b71, "inet_addr_is_any" },
	{ 0x349cba85, "strchr" },
	{ 0x2227c4aa, "crypto_alloc_shash" },
	{ 0x28120a4, "__sbitmap_queue_get" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x309989e7, "kmem_cache_destroy" },
	{ 0x22808850, "target_tpg_has_node_acl" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "target_core_mod");


MODULE_INFO(srcversion, "44A7B63CE19BC2B3DE046AB");
