#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__tb_ring_enqueue, "_gpl", "");
KSYMTAB_FUNC(tb_ring_poll, "_gpl", "");
KSYMTAB_FUNC(tb_ring_poll_complete, "_gpl", "");
KSYMTAB_FUNC(tb_ring_alloc_tx, "_gpl", "");
KSYMTAB_FUNC(tb_ring_alloc_rx, "_gpl", "");
KSYMTAB_FUNC(tb_ring_start, "_gpl", "");
KSYMTAB_FUNC(tb_ring_stop, "_gpl", "");
KSYMTAB_FUNC(tb_ring_free, "_gpl", "");
KSYMTAB_FUNC(tb_property_create_dir, "_gpl", "");
KSYMTAB_FUNC(tb_property_free_dir, "_gpl", "");
KSYMTAB_FUNC(tb_property_add_immediate, "_gpl", "");
KSYMTAB_FUNC(tb_property_add_data, "_gpl", "");
KSYMTAB_FUNC(tb_property_add_text, "_gpl", "");
KSYMTAB_FUNC(tb_property_add_dir, "_gpl", "");
KSYMTAB_FUNC(tb_property_remove, "_gpl", "");
KSYMTAB_FUNC(tb_property_find, "_gpl", "");
KSYMTAB_FUNC(tb_property_get_next, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_response, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_request, "_gpl", "");
KSYMTAB_FUNC(tb_register_protocol_handler, "_gpl", "");
KSYMTAB_FUNC(tb_unregister_protocol_handler, "_gpl", "");
KSYMTAB_FUNC(tb_register_service_driver, "_gpl", "");
KSYMTAB_FUNC(tb_unregister_service_driver, "_gpl", "");
KSYMTAB_DATA(tb_service_type, "_gpl", "");
KSYMTAB_DATA(tb_xdomain_type, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_lane_bonding_enable, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_lane_bonding_disable, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_alloc_in_hopid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_alloc_out_hopid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_release_in_hopid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_release_out_hopid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_enable_paths, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_disable_paths, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_find_by_uuid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_find_by_route, "_gpl", "");
KSYMTAB_FUNC(tb_register_property_dir, "_gpl", "");
KSYMTAB_FUNC(tb_unregister_property_dir, "_gpl", "");

SYMBOL_CRC(__tb_ring_enqueue, 0x7013853d, "_gpl");
SYMBOL_CRC(tb_ring_poll, 0x7f5ea93e, "_gpl");
SYMBOL_CRC(tb_ring_poll_complete, 0x1136bf8c, "_gpl");
SYMBOL_CRC(tb_ring_alloc_tx, 0xa668683f, "_gpl");
SYMBOL_CRC(tb_ring_alloc_rx, 0x31731bd9, "_gpl");
SYMBOL_CRC(tb_ring_start, 0xc37ddcc6, "_gpl");
SYMBOL_CRC(tb_ring_stop, 0x5bdd7244, "_gpl");
SYMBOL_CRC(tb_ring_free, 0x80da5bb1, "_gpl");
SYMBOL_CRC(tb_property_create_dir, 0x01d23ee1, "_gpl");
SYMBOL_CRC(tb_property_free_dir, 0x393b4f2f, "_gpl");
SYMBOL_CRC(tb_property_add_immediate, 0x658e3d97, "_gpl");
SYMBOL_CRC(tb_property_add_data, 0xa3d2b403, "_gpl");
SYMBOL_CRC(tb_property_add_text, 0xb7c7cdce, "_gpl");
SYMBOL_CRC(tb_property_add_dir, 0x8b62f95e, "_gpl");
SYMBOL_CRC(tb_property_remove, 0x785eb82c, "_gpl");
SYMBOL_CRC(tb_property_find, 0x4e5064a7, "_gpl");
SYMBOL_CRC(tb_property_get_next, 0x73ad2acb, "_gpl");
SYMBOL_CRC(tb_xdomain_response, 0x00b8db34, "_gpl");
SYMBOL_CRC(tb_xdomain_request, 0xdfb23a87, "_gpl");
SYMBOL_CRC(tb_register_protocol_handler, 0x4e64bdfd, "_gpl");
SYMBOL_CRC(tb_unregister_protocol_handler, 0xf76028c7, "_gpl");
SYMBOL_CRC(tb_register_service_driver, 0x066e55ba, "_gpl");
SYMBOL_CRC(tb_unregister_service_driver, 0xd1b3e837, "_gpl");
SYMBOL_CRC(tb_service_type, 0x962cec2e, "_gpl");
SYMBOL_CRC(tb_xdomain_type, 0x7873061b, "_gpl");
SYMBOL_CRC(tb_xdomain_lane_bonding_enable, 0x133d1542, "_gpl");
SYMBOL_CRC(tb_xdomain_lane_bonding_disable, 0x4102e600, "_gpl");
SYMBOL_CRC(tb_xdomain_alloc_in_hopid, 0xd465fbc1, "_gpl");
SYMBOL_CRC(tb_xdomain_alloc_out_hopid, 0x09f81f96, "_gpl");
SYMBOL_CRC(tb_xdomain_release_in_hopid, 0x34abe61b, "_gpl");
SYMBOL_CRC(tb_xdomain_release_out_hopid, 0x6f1eea41, "_gpl");
SYMBOL_CRC(tb_xdomain_enable_paths, 0xdd276cde, "_gpl");
SYMBOL_CRC(tb_xdomain_disable_paths, 0x808ffbf2, "_gpl");
SYMBOL_CRC(tb_xdomain_find_by_uuid, 0x8c452060, "_gpl");
SYMBOL_CRC(tb_xdomain_find_by_route, 0xcafb46db, "_gpl");
SYMBOL_CRC(tb_register_property_dir, 0xf1cfd1ff, "_gpl");
SYMBOL_CRC(tb_unregister_property_dir, 0x603249ed, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x907c5b4f, "pci_find_ext_capability" },
	{ 0xb86e9579, "is_acpi_device_node" },
	{ 0xb2a00e3, "device_set_wakeup_capable" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4506c655, "bpf_trace_run4" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x4c55545d, "devm_request_threaded_irq" },
	{ 0x60b73b66, "param_ops_uint" },
	{ 0xb4ff356f, "dma_pool_create" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0xec2b8a42, "acpi_walk_namespace" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0xdec5f1bf, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xfe13a601, "trace_seq_printf" },
	{ 0xedc724c0, "pci_alloc_irq_vectors" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x93b9a682, "trace_raw_output_prep" },
	{ 0x9838955f, "device_unregister" },
	{ 0x74ccc61, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x556be6e0, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xa11e3371, "nvmem_unregister" },
	{ 0xcb6b138, "trace_event_printf" },
	{ 0x43ba1bed, "__pci_register_driver" },
	{ 0x3b9c57bf, "device_initialize" },
	{ 0x3f7c8b8f, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x726ca848, "component_del" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x5b66fa60, "seq_lseek" },
	{ 0x8fcefa5e, "acpi_find_child_by_adr" },
	{ 0xb6bc7862, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xbfd79310, "pci_irq_vector" },
	{ 0x67155184, "get_device" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0xe1a350f8, "pci_unregister_driver" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x23c37ad3, "trace_seq_puts" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x34070452, "dev_driver_string" },
	{ 0xfb6dfa14, "trace_event_buffer_commit" },
	{ 0xc63dce24, "crypto_destroy_tfm" },
	{ 0x3dea7ab3, "pci_read_config_dword" },
	{ 0xd7094a04, "__pm_runtime_set_status" },
	{ 0x5566284a, "trace_seq_putc" },
	{ 0xda5b42df, "pm_wakeup_dev_event" },
	{ 0xca7450ad, "register_acpi_bus_type" },
	{ 0x1000e51, "schedule" },
	{ 0xacb66c05, "acpi_find_child_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x200efd8, "debugfs_lookup_and_remove" },
	{ 0x8619869e, "put_device" },
	{ 0xfe96fee4, "devm_free_irq" },
	{ 0xf693587e, "pm_runtime_enable" },
	{ 0x60562600, "device_for_each_child_reverse" },
	{ 0xa916b694, "strnlen" },
	{ 0x1f868288, "bus_for_each_dev" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0xed35c0dc, "sysfs_create_link" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x800473f, "__cond_resched" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0xe67c4154, "pcim_iomap_regions" },
	{ 0xdd058624, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x4bb807c7, "perf_trace_run_bpf_submit" },
	{ 0x2efa2c2b, "bus_unregister" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0xbba5bd2b, "device_wakeup_enable" },
	{ 0xaa3d5f21, "crypto_shash_setkey" },
	{ 0x79eded0a, "bus_find_device" },
	{ 0x61373533, "device_add" },
	{ 0x5ef57105, "sysfs_remove_link" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xf4e934af, "device_property_read_u8_array" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x44494c12, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf702585a, "pci_device_is_present" },
	{ 0x642cc440, "dma_alloc_attrs" },
	{ 0x495eed8e, "debugfs_remove" },
	{ 0x6f2c2cc6, "seq_putc" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x2092327, "trace_event_reg" },
	{ 0x1dad1987, "crypto_shash_digest" },
	{ 0xffb7c514, "ida_free" },
	{ 0x3ffe3b9b, "driver_unregister" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x2859ab, "device_find_child" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x65ea0b6f, "device_register" },
	{ 0x61401cd3, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xdcb764ad, "memset" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0x52e86a19, "unregister_acpi_bus_type" },
	{ 0x765b0b6, "acpi_get_first_physical_node" },
	{ 0xaff5b1dd, "pci_set_master" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xba1008c8, "__crc32c_le" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xd51564f, "pm_runtime_no_callbacks" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x42635d55, "pm_suspend_global_flags" },
	{ 0xf0efe64b, "dma_set_coherent_mask" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x32f1e81b, "seq_read" },
	{ 0x7129a6f4, "osc_sb_native_usb4_support_confirmed" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb0b618a0, "fwnode_find_reference" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x6e42fcb2, "pm_runtime_forbid" },
	{ 0x13107c3a, "debugfs_create_file" },
	{ 0x404667b0, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x2454ddca, "pm_runtime_allow" },
	{ 0xda2d7a21, "trace_event_buffer_reserve" },
	{ 0x4f139bf4, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe1c8ab97, "acpi_fetch_acpi_dev" },
	{ 0x14c5dd46, "param_ops_bool" },
	{ 0xd7269c64, "osc_sb_native_usb4_control" },
	{ 0x5737dbe8, "seq_write" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x899fbd06, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xbed38642, "kobject_uevent" },
	{ 0x2bb015f4, "device_iommu_capable" },
	{ 0xa5c872a7, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xb34e2c9a, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x6eb47f6d, "pci_walk_bus" },
	{ 0x92f2a8c, "dev_err_probe" },
	{ 0xdd18a993, "acpi_check_dsm" },
	{ 0x4997ec09, "nvmem_register" },
	{ 0x38f3d0a0, "pcim_iomap_table" },
	{ 0x827d8a32, "__pm_runtime_suspend" },
	{ 0x5951752b, "component_add" },
	{ 0x98cf60b3, "strlen" },
	{ 0x91930acb, "__pm_runtime_use_autosuspend" },
	{ 0x3466fede, "single_open" },
	{ 0xad1a4a95, "pcim_enable_device" },
	{ 0x568d4681, "__pm_runtime_disable" },
	{ 0x2227c4aa, "crypto_alloc_shash" },
	{ 0xe820ea6a, "debugfs_create_dir" },
	{ 0x87b397b4, "device_link_add" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x83cf91d, "driver_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x61f81ab3, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0x9aaacae9, "__dev_fwnode" },
	{ 0x83012dcb, "pci_bus_type" },
	{ 0xee4ade57, "pci_write_config_dword" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0xb9cb04c5, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00008086d00001513sv00002222sd00001111bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d00001547sv00002222sd00001111bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d0000156Asv*sd*bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d0000156Csv*sd*bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d00001575sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001577sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015DDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015BFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015D9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015DEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015E8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015EBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00008A17sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00008A0Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A1Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A1Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A1Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A21sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000463Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000466Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A73Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A76Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007EB2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007EC2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007EC3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A833sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A834sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005781sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005784sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v*d*sv*sd*bc0Csc03i40*");

MODULE_INFO(srcversion, "4274988DB6B4555B5FF4A18");
