#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd941f894, "usb_register_driver" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0x1448afec, "usbatm_usb_disconnect" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xd6cc6cc2, "usb_control_msg" },
	{ 0x37a0cba, "kfree" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x4cdb9669, "kthread_stop" },
	{ 0xfd8b9fb9, "usb_kill_urb" },
	{ 0x1d3f22b7, "usb_free_urb" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x800473f, "__cond_resched" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1000e51, "schedule" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa8a4dd06, "usb_ifnum_to_if" },
	{ 0xdd405fb7, "usb_driver_claim_interface" },
	{ 0xa359e790, "usb_submit_urb" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x8dceb523, "request_firmware" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xaa3a99c1, "usb_bulk_msg" },
	{ 0x4df02057, "crc32_be" },
	{ 0x23e6d628, "kernel_param_lock" },
	{ 0xf9c0b663, "strlcat" },
	{ 0xa916b694, "strnlen" },
	{ 0x4829a47e, "memcpy" },
	{ 0xac644e22, "kernel_param_unlock" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xdcb764ad, "memset" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0x5a921311, "strncmp" },
	{ 0xed065a16, "usb_reset_device" },
	{ 0x72577b70, "usbatm_usb_probe" },
	{ 0xe7dfc066, "atm_dev_signal_change" },
	{ 0x354b3d7c, "wake_up_process" },
	{ 0xd7ff39d2, "request_firmware_nowait" },
	{ 0x4d8dc364, "usb_deregister" },
	{ 0xab14b5d3, "usb_string" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x9181493a, "usb_alloc_urb" },
	{ 0x31d75226, "kthread_create_on_node" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xc74b6f45, "usb_set_interface" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xe2964344, "__wake_up" },
	{ 0x3e9436c4, "param_array_ops" },
	{ 0x60b73b66, "param_ops_uint" },
	{ 0x43674595, "param_ops_charp" },
	{ 0x14c5dd46, "param_ops_bool" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "usbatm,atm");

MODULE_ALIAS("usb:v1110p9001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9010d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p900Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9022d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9021d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9024d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9023d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9032d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9031d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9042d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9041d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2111d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2110d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2101d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2100d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2131d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2130d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2121d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2120d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3351d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3350d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3352d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3353d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3362d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3363d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F2d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F1d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00FAd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F9d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F5d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F8d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F7d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "21CCBC59DE60D60C031157F");
