#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hw_phymode_configure, "_gpl", "");
KSYMTAB_FUNC(ci_hdrc_add_device, "_gpl", "");
KSYMTAB_FUNC(ci_hdrc_remove_device, "_gpl", "");
KSYMTAB_FUNC(ci_hdrc_query_available_role, "_gpl", "");

SYMBOL_CRC(hw_phymode_configure, 0x7749ecd3, "_gpl");
SYMBOL_CRC(ci_hdrc_add_device, 0xc47c533f, "_gpl");
SYMBOL_CRC(ci_hdrc_remove_device, 0xe4e0f59a, "_gpl");
SYMBOL_CRC(ci_hdrc_query_available_role, 0x557d96a7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2ca523bf, "extcon_get_state" },
	{ 0x44ade54d, "platform_device_put" },
	{ 0x3cc8f38f, "regulator_enable" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x11f75d2, "device_property_present" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb2a00e3, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4c55545d, "devm_request_threaded_irq" },
	{ 0x7b8089af, "device_set_of_node_from_dev" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0xf9ed9452, "of_property_read_variable_u32_array" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x61cd94a9, "devm_platform_get_and_ioremap_resource" },
	{ 0x3b82c1cf, "platform_driver_unregister" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xd706cd02, "platform_get_irq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x74ccc61, "pm_runtime_set_autosuspend_delay" },
	{ 0x20f2fd33, "of_usb_host_tpl_support" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x35218a26, "devm_usb_get_phy_by_phandle" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x5b66fa60, "seq_lseek" },
	{ 0x2882d40e, "usb_role_switch_unregister" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0xba75c1ea, "of_usb_get_phy_mode" },
	{ 0xa8494daa, "ehci_init_driver" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2f76df5c, "extcon_get_edev_by_phandle" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0x97462990, "devm_regulator_get_optional" },
	{ 0xb0686a5f, "platform_device_add_data" },
	{ 0x1690b503, "usb_role_switch_get_drvdata" },
	{ 0x7c6301a6, "usb_get_dr_mode" },
	{ 0xd7094a04, "__pm_runtime_set_status" },
	{ 0xe70a0560, "usb_hcd_map_urb_for_dma" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x200efd8, "debugfs_lookup_and_remove" },
	{ 0xa7b33789, "usb_get_maximum_speed" },
	{ 0xf693587e, "pm_runtime_enable" },
	{ 0xa518fae, "ehci_hub_control" },
	{ 0x4ffc027d, "ehci_suspend" },
	{ 0x70cf032f, "usb_hcd_irq" },
	{ 0xc43c3639, "devm_usb_get_phy" },
	{ 0x6d1c219a, "phy_exit" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0x622e7ca7, "ehci_resume" },
	{ 0x5708d40b, "platform_device_add_resources" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xfd27e7b7, "of_usb_update_otg_caps" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0xd4034828, "system_freezable_wq" },
	{ 0x955ba9f0, "platform_device_unregister" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0x7d25def7, "platform_device_add" },
	{ 0x49631f04, "phy_power_on" },
	{ 0xffb7c514, "ida_free" },
	{ 0xc8dc201c, "platform_device_alloc" },
	{ 0x5b36a3ec, "of_find_property" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x4a42f3c7, "ulpi_register_interface" },
	{ 0xdcb764ad, "memset" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0xf2d1b30f, "devm_extcon_register_notifier" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x63b3ef4c, "usb_phy_set_event" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x14ce27a9, "phy_power_off" },
	{ 0x481d8ba2, "usb_role_switch_register" },
	{ 0x464eb9bd, "usb_put_hcd" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xed826b94, "__platform_driver_register" },
	{ 0x3fcce124, "ulpi_unregister_interface" },
	{ 0xbc0d9667, "pinctrl_lookup_state" },
	{ 0x32f1e81b, "seq_read" },
	{ 0xb5baf13, "ehci_handshake" },
	{ 0xc8d6d367, "phy_set_mode_ext" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x13107c3a, "debugfs_create_file" },
	{ 0xc5ae2e7a, "ehci_setup" },
	{ 0x4f139bf4, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x899fbd06, "seq_printf" },
	{ 0x34e68cd3, "devm_pinctrl_get" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x60f59bef, "__usb_create_hcd" },
	{ 0xeae0cd9f, "pinctrl_select_state" },
	{ 0xa5c872a7, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xc3293cf7, "regulator_disable" },
	{ 0x827d8a32, "__pm_runtime_suspend" },
	{ 0xb9e5c367, "usb_debug_root" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x98cf60b3, "strlen" },
	{ 0x91930acb, "__pm_runtime_use_autosuspend" },
	{ 0x1ac1fc2, "usb_remove_hcd" },
	{ 0xa049a5c5, "devm_phy_get" },
	{ 0x3466fede, "single_open" },
	{ 0xa46d4204, "usb_hcd_unmap_urb_for_dma" },
	{ 0x568d4681, "__pm_runtime_disable" },
	{ 0xe820ea6a, "debugfs_create_dir" },
	{ 0x97a1e99f, "usb_add_hcd" },
	{ 0x61f81ab3, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xa507069a, "phy_init" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "ulpi");


MODULE_INFO(srcversion, "4CDEB0418F937DC72FED236");
