#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(xhci_plat_probe, "_gpl", "");
KSYMTAB_FUNC(xhci_plat_remove, "_gpl", "");
KSYMTAB_DATA(xhci_plat_pm_ops, "_gpl", "");

SYMBOL_CRC(xhci_plat_probe, 0xe6012899, "_gpl");
SYMBOL_CRC(xhci_plat_remove, 0xec53cb65, "_gpl");
SYMBOL_CRC(xhci_plat_pm_ops, 0xa55eda43, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x11f75d2, "device_property_present" },
	{ 0xd09581a7, "usb_hcd_platform_shutdown" },
	{ 0xb86e9579, "is_acpi_device_node" },
	{ 0x96ddbc8a, "of_fwnode_ops" },
	{ 0xb2a00e3, "device_set_wakeup_capable" },
	{ 0xc79e309f, "xhci_suspend" },
	{ 0x61cd94a9, "devm_platform_get_and_ioremap_resource" },
	{ 0x3b82c1cf, "platform_driver_unregister" },
	{ 0xd706cd02, "platform_get_irq" },
	{ 0x45e71b6a, "xhci_gen_setup" },
	{ 0x20f2fd33, "of_usb_host_tpl_support" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x35218a26, "devm_usb_get_phy_by_phandle" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0xcdad5507, "devm_reset_control_array_get" },
	{ 0xd7094a04, "__pm_runtime_set_status" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf693587e, "pm_runtime_enable" },
	{ 0xd80f18f2, "device_property_read_u32_array" },
	{ 0xfdaa1085, "of_match_device" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x9f3a932, "xhci_resume" },
	{ 0xd933dd6f, "xhci_run" },
	{ 0xe0704ec5, "usb_hcd_is_primary_hcd" },
	{ 0xa08d7a27, "xhci_init_driver" },
	{ 0x464eb9bd, "usb_put_hcd" },
	{ 0xed826b94, "__platform_driver_register" },
	{ 0xf0efe64b, "dma_set_coherent_mask" },
	{ 0x4b9181dd, "devm_clk_get_optional" },
	{ 0x6e42fcb2, "pm_runtime_forbid" },
	{ 0x4f139bf4, "__pm_runtime_resume" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x60f59bef, "__usb_create_hcd" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xb34e2c9a, "dma_set_mask" },
	{ 0x1ac1fc2, "usb_remove_hcd" },
	{ 0xc1e79586, "of_device_get_match_data" },
	{ 0x568d4681, "__pm_runtime_disable" },
	{ 0x97a1e99f, "usb_add_hcd" },
	{ 0x815588a6, "clk_enable" },
	{ 0x83012dcb, "pci_bus_type" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("acpi*:PNP0D10:*");
MODULE_ALIAS("of:N*T*Cgeneric-xhci");
MODULE_ALIAS("of:N*T*Cgeneric-xhciC*");
MODULE_ALIAS("of:N*T*Cxhci-platform");
MODULE_ALIAS("of:N*T*Cxhci-platformC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada-375-xhci");
MODULE_ALIAS("of:N*T*Cmarvell,armada-375-xhciC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada-380-xhci");
MODULE_ALIAS("of:N*T*Cmarvell,armada-380-xhciC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada3700-xhci");
MODULE_ALIAS("of:N*T*Cmarvell,armada3700-xhciC*");
MODULE_ALIAS("of:N*T*Cbrcm,xhci-brcm-v2");
MODULE_ALIAS("of:N*T*Cbrcm,xhci-brcm-v2C*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm2711-xhci");
MODULE_ALIAS("of:N*T*Cbrcm,bcm2711-xhciC*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm7445-xhci");
MODULE_ALIAS("of:N*T*Cbrcm,bcm7445-xhciC*");

MODULE_INFO(srcversion, "81A60AA3722B4486D6780BA");
