#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tegra_usb_phy_preresume, "_gpl", "");
KSYMTAB_FUNC(tegra_usb_phy_postresume, "_gpl", "");
KSYMTAB_FUNC(tegra_ehci_phy_restore_start, "_gpl", "");
KSYMTAB_FUNC(tegra_ehci_phy_restore_end, "_gpl", "");

SYMBOL_CRC(tegra_usb_phy_preresume, 0x572b5f2e, "_gpl");
SYMBOL_CRC(tegra_usb_phy_postresume, 0xa59da0a4, "_gpl");
SYMBOL_CRC(tegra_ehci_phy_restore_start, 0x2f7e109b, "_gpl");
SYMBOL_CRC(tegra_ehci_phy_restore_end, 0xa279fd86, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xed826b94, "__platform_driver_register" },
	{ 0x8036d54c, "usb_remove_phy" },
	{ 0x8619869e, "put_device" },
	{ 0x3b82c1cf, "platform_driver_unregister" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x815588a6, "clk_enable" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x800473f, "__cond_resched" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x6d627a58, "gpiod_set_value_cansleep" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xc3293cf7, "regulator_disable" },
	{ 0x63150e06, "clk_get_parent" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x3cc8f38f, "regulator_enable" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x207bb5ea, "regmap_update_bits_base" },
	{ 0x6e7902da, "platform_get_resource" },
	{ 0x3ea528ee, "devm_ioremap" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0xf9ed9452, "of_property_read_variable_u32_array" },
	{ 0x5b36a3ec, "of_find_property" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc1e79586, "of_device_get_match_data" },
	{ 0xd4f441ee, "platform_get_irq_optional" },
	{ 0x7c6301a6, "usb_get_dr_mode" },
	{ 0x65ad9c1d, "devm_regulator_get" },
	{ 0xb488bd02, "devm_clk_get" },
	{ 0xdcb764ad, "memset" },
	{ 0x2691b191, "__of_parse_phandle_with_args" },
	{ 0x92f2a8c, "dev_err_probe" },
	{ 0x305ea78d, "of_find_device_by_node" },
	{ 0xe9d10d9d, "of_node_put" },
	{ 0xfe1f1c42, "__devm_add_action" },
	{ 0x2933431d, "dev_get_regmap" },
	{ 0xba75c1ea, "of_usb_get_phy_mode" },
	{ 0x7bfd68d, "__devm_reset_control_get" },
	{ 0xa74c5cb4, "devm_gpiod_get" },
	{ 0x2b1787f9, "gpiod_set_consumer_name" },
	{ 0xefbc607b, "ulpi_viewport_access_ops" },
	{ 0x6878f143, "devm_otg_ulpi_create" },
	{ 0xc85dc226, "usb_add_phy_dev" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("of:N*T*Cnvidia,tegra30-usb-phy");
MODULE_ALIAS("of:N*T*Cnvidia,tegra30-usb-phyC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra20-usb-phy");
MODULE_ALIAS("of:N*T*Cnvidia,tegra20-usb-phyC*");

MODULE_INFO(srcversion, "E8AAFBAAD9A02E7C37B8B4D");
