#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd941f894, "usb_register_driver" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4bd442dd, "usb_free_streams" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf7370f56, "system_state" },
	{ 0xc74b6f45, "usb_set_interface" },
	{ 0xed065a16, "usb_reset_device" },
	{ 0xe2b5f6a5, "scmd_printk" },
	{ 0x7561aa39, "scsi_print_command" },
	{ 0xba644add, "scsi_scan_host" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0x1d3f22b7, "usb_free_urb" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x4829a47e, "memcpy" },
	{ 0x8ad1f344, "sdev_prefix_printk" },
	{ 0xd257bce, "scsi_is_host_device" },
	{ 0xd40cfad9, "scsi_change_queue_depth" },
	{ 0x4d8dc364, "usb_deregister" },
	{ 0x9181493a, "usb_alloc_urb" },
	{ 0xde785950, "usb_alloc_streams" },
	{ 0x4e92d52, "usb_stor_adjust_quirks" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x6254a8e5, "usb_anchor_urb" },
	{ 0xa359e790, "usb_submit_urb" },
	{ 0xe3eb2d61, "usb_unanchor_urb" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1bc3edc2, "usb_stor_sense_invalidCDB" },
	{ 0xa49aee4, "scsi_done" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x407af304, "usb_wait_anchor_empty_timeout" },
	{ 0x2151991b, "_dev_printk" },
	{ 0xced4aff3, "scsi_report_bus_reset" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x962c8ae1, "usb_kill_anchored_urbs" },
	{ 0xad9ce40d, "scsi_remove_host" },
	{ 0xaaba074a, "scsi_host_put" },
	{ 0xfd8b9fb9, "usb_kill_urb" },
	{ 0xc1e7bd92, "usb_get_urb" },
	{ 0xee6c748d, "scsi_block_requests" },
	{ 0xc2ca2df4, "scsi_unblock_requests" },
	{ 0xb1313d4b, "usb_lock_device_for_reset" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa16167cd, "scsi_host_alloc" },
	{ 0xdcb764ad, "memset" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x888653ec, "scsi_add_host_with_dma" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x859f18cc, "usb_unlink_urb" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "usb-storage");

MODULE_ALIAS("usb:v054Cp087Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v059Fp105Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v059Fp1061d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v090Cp2000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0984p0301d0128dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p1932d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BC2p331Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13FDp3940d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0539d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0567d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0578d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0583d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v154BpF00Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v154BpF00Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17EFp3899d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2109p0711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2537p1068d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v357Dp7788d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p1012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p8017d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p8024d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic08isc06ip50in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic08isc06ip62in*");

MODULE_INFO(srcversion, "02055C1CFB4EEB52D7824A6");
