#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa733da49, "i2c_register_driver" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2ca523bf, "extcon_get_state" },
	{ 0xf9a482f9, "msleep" },
	{ 0xdcb764ad, "memset" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xb9e5c367, "usb_debug_root" },
	{ 0xe820ea6a, "debugfs_create_dir" },
	{ 0x13107c3a, "debugfs_create_file" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3466fede, "single_open" },
	{ 0x899fbd06, "seq_printf" },
	{ 0x1641a478, "i2c_del_driver" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x148653, "vsnprintf" },
	{ 0x96848186, "scnprintf" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0xc3293cf7, "regulator_disable" },
	{ 0x3cc8f38f, "regulator_enable" },
	{ 0x72b94a05, "i2c_smbus_read_i2c_block_data" },
	{ 0x4829a47e, "memcpy" },
	{ 0x27350abb, "i2c_smbus_write_i2c_block_data" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x76eeda4b, "tcpm_unregister_port" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x495eed8e, "debugfs_remove" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0x379cc63e, "device_property_read_string" },
	{ 0x65ad9c1d, "devm_regulator_get" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc1f7cf71, "device_get_named_child_node" },
	{ 0x4284ff9f, "tcpm_register_port" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x3cb6bc89, "extcon_get_extcon_dev" },
	{ 0xa74c5cb4, "devm_gpiod_get" },
	{ 0xb65dd6be, "gpiod_to_irq" },
	{ 0x8c1e1b52, "fwnode_create_software_node" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x92f2a8c, "dev_err_probe" },
	{ 0xb5c09e53, "i2c_smbus_read_byte_data" },
	{ 0x402a76b1, "tcpm_pd_receive" },
	{ 0x3b84657b, "tcpm_pd_transmit_complete" },
	{ 0x58ff94b1, "i2c_smbus_write_byte_data" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc37b9769, "tcpm_cc_change" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x9e0bd753, "tcpm_pd_hard_reset" },
	{ 0xceb50012, "tcpm_vbus_change" },
	{ 0x5b66fa60, "seq_lseek" },
	{ 0x32f1e81b, "seq_read" },
	{ 0xa5c872a7, "single_release" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "tcpm");

MODULE_ALIAS("i2c:typec_fusb302");
MODULE_ALIAS("of:N*T*Cfcs,fusb302");
MODULE_ALIAS("of:N*T*Cfcs,fusb302C*");

MODULE_INFO(srcversion, "C1FED28D554F821A473B2D5");
