#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x11f75d2, "device_property_present" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb2a00e3, "device_set_wakeup_capable" },
	{ 0xc244071, "typec_register_partner" },
	{ 0x4c55545d, "devm_request_threaded_irq" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x99589ac1, "of_property_match_string" },
	{ 0x93b9a682, "trace_raw_output_prep" },
	{ 0x281d3f1, "regmap_raw_read" },
	{ 0x556be6e0, "__trace_trigger_soft_disabled" },
	{ 0x6d627a58, "gpiod_set_value_cansleep" },
	{ 0x8dceb523, "request_firmware" },
	{ 0xcb6b138, "trace_event_printf" },
	{ 0x3f7c8b8f, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x5e58de86, "fwnode_usb_role_switch_get" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x906f42f3, "devm_power_supply_register" },
	{ 0xc4e40b90, "bpf_trace_run2" },
	{ 0xe807266f, "devm_gpiod_get_optional" },
	{ 0x7f70764e, "typec_set_mode" },
	{ 0xe6bbe203, "fwnode_property_match_string" },
	{ 0xfb6dfa14, "trace_event_buffer_commit" },
	{ 0x8e15990a, "__devm_regmap_init_i2c" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xfe96fee4, "devm_free_irq" },
	{ 0x8ae699dc, "typec_unregister_partner" },
	{ 0x62eb8095, "typec_set_pwr_opmode" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0x8ad200f3, "typec_set_orientation" },
	{ 0xa733da49, "i2c_register_driver" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x4bb807c7, "perf_trace_run_bpf_submit" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0xbba5bd2b, "device_wakeup_enable" },
	{ 0xdbb9142a, "typec_set_vconn_role" },
	{ 0xd5474690, "usb_role_switch_set_role" },
	{ 0x379cc63e, "device_property_read_string" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x2092327, "trace_event_reg" },
	{ 0xeee9f1b3, "typec_set_data_role" },
	{ 0xc9fd634a, "usb_role_switch_put" },
	{ 0xafea8eeb, "__dev_fwnode_const" },
	{ 0x9049491e, "typec_find_port_data_role" },
	{ 0x8740e5ca, "i2c_get_match_data" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc3d1b261, "typec_unregister_port" },
	{ 0xb054cd4d, "power_supply_get_drvdata" },
	{ 0xdc0f8a86, "bpf_trace_run1" },
	{ 0xdcb764ad, "memset" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0xf038b93b, "typec_register_port" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x2e03e018, "power_supply_changed" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xce06599e, "devm_kasprintf" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0x98b4ec72, "fwnode_property_read_string" },
	{ 0xda2d7a21, "trace_event_buffer_reserve" },
	{ 0x6d5a834, "of_device_is_compatible" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc1f7cf71, "device_get_named_child_node" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7f916cee, "typec_get_drvdata" },
	{ 0xec0a49e7, "typec_partner_set_identity" },
	{ 0x22566be7, "fw_devlink_purge_absent_suppliers" },
	{ 0xf7173714, "typec_set_pwr_role" },
	{ 0x92f2a8c, "dev_err_probe" },
	{ 0x81188c30, "match_string" },
	{ 0x1641a478, "i2c_del_driver" },
	{ 0xe6734a7e, "of_property_read_u32_index" },
	{ 0x7d3b0a03, "regmap_raw_write" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf9a482f9, "msleep" },
	{ 0x9aaacae9, "__dev_fwnode" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "typec");

MODULE_ALIAS("of:N*T*Cti,tps6598x");
MODULE_ALIAS("of:N*T*Cti,tps6598xC*");
MODULE_ALIAS("of:N*T*Capple,cd321x");
MODULE_ALIAS("of:N*T*Capple,cd321xC*");
MODULE_ALIAS("of:N*T*Cti,tps25750");
MODULE_ALIAS("of:N*T*Cti,tps25750C*");
MODULE_ALIAS("i2c:tps6598x");

MODULE_INFO(srcversion, "E8E0E705291B8A7A5899DF7");
