#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(typec_altmode_update_active, "_gpl", "");
KSYMTAB_FUNC(typec_altmode2port, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_set_ops, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_altmode, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_identity, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_pd_revision, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_usb_power_delivery, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_num_altmodes, "_gpl", "");
KSYMTAB_FUNC(typec_partner_register_altmode, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_svdm_version, "_gpl", "");
KSYMTAB_FUNC(typec_partner_usb_power_delivery_register, "_gpl", "");
KSYMTAB_FUNC(typec_register_partner, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_partner, "_gpl", "");
KSYMTAB_FUNC(typec_plug_set_num_altmodes, "_gpl", "");
KSYMTAB_FUNC(typec_plug_register_altmode, "_gpl", "");
KSYMTAB_FUNC(typec_register_plug, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_plug, "_gpl", "");
KSYMTAB_FUNC(typec_cable_get, "_gpl", "");
KSYMTAB_FUNC(typec_cable_put, "_gpl", "");
KSYMTAB_FUNC(typec_cable_is_active, "_gpl", "");
KSYMTAB_FUNC(typec_cable_set_identity, "_gpl", "");
KSYMTAB_FUNC(typec_register_cable, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_cable, "_gpl", "");
KSYMTAB_FUNC(typec_port_set_usb_power_delivery, "_gpl", "");
KSYMTAB_FUNC(typec_set_data_role, "_gpl", "");
KSYMTAB_FUNC(typec_set_pwr_role, "_gpl", "");
KSYMTAB_FUNC(typec_set_vconn_role, "_gpl", "");
KSYMTAB_FUNC(typec_set_pwr_opmode, "_gpl", "");
KSYMTAB_FUNC(typec_find_pwr_opmode, "_gpl", "");
KSYMTAB_FUNC(typec_find_orientation, "_gpl", "");
KSYMTAB_FUNC(typec_find_port_power_role, "_gpl", "");
KSYMTAB_FUNC(typec_find_power_role, "_gpl", "");
KSYMTAB_FUNC(typec_find_port_data_role, "_gpl", "");
KSYMTAB_FUNC(typec_set_orientation, "_gpl", "");
KSYMTAB_FUNC(typec_get_orientation, "_gpl", "");
KSYMTAB_FUNC(typec_set_mode, "_gpl", "");
KSYMTAB_FUNC(typec_get_negotiated_svdm_version, "_gpl", "");
KSYMTAB_FUNC(typec_get_cable_svdm_version, "_gpl", "");
KSYMTAB_FUNC(typec_cable_set_svdm_version, "_gpl", "");
KSYMTAB_FUNC(typec_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(typec_get_fw_cap, "_gpl", "");
KSYMTAB_FUNC(typec_port_register_altmode, "_gpl", "");
KSYMTAB_FUNC(typec_port_register_altmodes, "_gpl", "");
KSYMTAB_FUNC(typec_port_register_cable_ops, "_gpl", "");
KSYMTAB_FUNC(typec_register_port, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_port, "_gpl", "");
KSYMTAB_FUNC(fwnode_typec_switch_get, "_gpl", "");
KSYMTAB_FUNC(typec_switch_put, "_gpl", "");
KSYMTAB_FUNC(typec_switch_register, "_gpl", "");
KSYMTAB_FUNC(typec_switch_set, "_gpl", "");
KSYMTAB_FUNC(typec_switch_unregister, "_gpl", "");
KSYMTAB_FUNC(typec_switch_set_drvdata, "_gpl", "");
KSYMTAB_FUNC(typec_switch_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(fwnode_typec_mux_get, "_gpl", "");
KSYMTAB_FUNC(typec_mux_put, "_gpl", "");
KSYMTAB_FUNC(typec_mux_set, "_gpl", "");
KSYMTAB_FUNC(typec_mux_register, "_gpl", "");
KSYMTAB_FUNC(typec_mux_unregister, "_gpl", "");
KSYMTAB_FUNC(typec_mux_set_drvdata, "_gpl", "");
KSYMTAB_FUNC(typec_mux_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_notify, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_enter, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_exit, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_attention, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_vdm, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_get_partner, "_gpl", "");
KSYMTAB_FUNC(typec_cable_altmode_enter, "_gpl", "");
KSYMTAB_FUNC(typec_cable_altmode_exit, "_gpl", "");
KSYMTAB_FUNC(typec_cable_altmode_vdm, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_get_plug, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_put_plug, "_gpl", "");
KSYMTAB_FUNC(__typec_altmode_register_driver, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(typec_match_altmode, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_register_capabilities, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_unregister_capabilities, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_register, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_unregister, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_link_device, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_unlink_device, "_gpl", "");
KSYMTAB_FUNC(fwnode_typec_retimer_get, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_put, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_set, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_register, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_unregister, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_get_drvdata, "_gpl", "");

SYMBOL_CRC(typec_altmode_update_active, 0xc66d1aa2, "_gpl");
SYMBOL_CRC(typec_altmode2port, 0xce4f2d57, "_gpl");
SYMBOL_CRC(typec_altmode_set_ops, 0xac6a7884, "_gpl");
SYMBOL_CRC(typec_unregister_altmode, 0xcec49581, "_gpl");
SYMBOL_CRC(typec_partner_set_identity, 0xec0a49e7, "_gpl");
SYMBOL_CRC(typec_partner_set_pd_revision, 0x714396f8, "_gpl");
SYMBOL_CRC(typec_partner_set_usb_power_delivery, 0xc6f40de9, "_gpl");
SYMBOL_CRC(typec_partner_set_num_altmodes, 0x8d93797f, "_gpl");
SYMBOL_CRC(typec_partner_register_altmode, 0xee257410, "_gpl");
SYMBOL_CRC(typec_partner_set_svdm_version, 0xf6eacb35, "_gpl");
SYMBOL_CRC(typec_partner_usb_power_delivery_register, 0xdd7834a9, "_gpl");
SYMBOL_CRC(typec_register_partner, 0x0c244071, "_gpl");
SYMBOL_CRC(typec_unregister_partner, 0x8ae699dc, "_gpl");
SYMBOL_CRC(typec_plug_set_num_altmodes, 0x9d4953ea, "_gpl");
SYMBOL_CRC(typec_plug_register_altmode, 0xda0fc2ca, "_gpl");
SYMBOL_CRC(typec_register_plug, 0x672f4550, "_gpl");
SYMBOL_CRC(typec_unregister_plug, 0x26db444e, "_gpl");
SYMBOL_CRC(typec_cable_get, 0xc2811c31, "_gpl");
SYMBOL_CRC(typec_cable_put, 0x2a01ee41, "_gpl");
SYMBOL_CRC(typec_cable_is_active, 0xd62471fc, "_gpl");
SYMBOL_CRC(typec_cable_set_identity, 0x0f9b355a, "_gpl");
SYMBOL_CRC(typec_register_cable, 0x39d99ae4, "_gpl");
SYMBOL_CRC(typec_unregister_cable, 0xff3ef56a, "_gpl");
SYMBOL_CRC(typec_port_set_usb_power_delivery, 0x80744d15, "_gpl");
SYMBOL_CRC(typec_set_data_role, 0xeee9f1b3, "_gpl");
SYMBOL_CRC(typec_set_pwr_role, 0xf7173714, "_gpl");
SYMBOL_CRC(typec_set_vconn_role, 0xdbb9142a, "_gpl");
SYMBOL_CRC(typec_set_pwr_opmode, 0x62eb8095, "_gpl");
SYMBOL_CRC(typec_find_pwr_opmode, 0xf1234a8b, "_gpl");
SYMBOL_CRC(typec_find_orientation, 0xa254de98, "_gpl");
SYMBOL_CRC(typec_find_port_power_role, 0xeafc1eb8, "_gpl");
SYMBOL_CRC(typec_find_power_role, 0x2d1e301d, "_gpl");
SYMBOL_CRC(typec_find_port_data_role, 0x9049491e, "_gpl");
SYMBOL_CRC(typec_set_orientation, 0x8ad200f3, "_gpl");
SYMBOL_CRC(typec_get_orientation, 0xf6827bf2, "_gpl");
SYMBOL_CRC(typec_set_mode, 0x7f70764e, "_gpl");
SYMBOL_CRC(typec_get_negotiated_svdm_version, 0x5a4e4b33, "_gpl");
SYMBOL_CRC(typec_get_cable_svdm_version, 0xe7b254df, "_gpl");
SYMBOL_CRC(typec_cable_set_svdm_version, 0x99152753, "_gpl");
SYMBOL_CRC(typec_get_drvdata, 0x7f916cee, "_gpl");
SYMBOL_CRC(typec_get_fw_cap, 0x860c3273, "_gpl");
SYMBOL_CRC(typec_port_register_altmode, 0x0a9f70bf, "_gpl");
SYMBOL_CRC(typec_port_register_altmodes, 0x19d94424, "_gpl");
SYMBOL_CRC(typec_port_register_cable_ops, 0xc7ab67ac, "_gpl");
SYMBOL_CRC(typec_register_port, 0xf038b93b, "_gpl");
SYMBOL_CRC(typec_unregister_port, 0xc3d1b261, "_gpl");
SYMBOL_CRC(fwnode_typec_switch_get, 0xfad0e8dd, "_gpl");
SYMBOL_CRC(typec_switch_put, 0x86521d45, "_gpl");
SYMBOL_CRC(typec_switch_register, 0x85bdfd44, "_gpl");
SYMBOL_CRC(typec_switch_set, 0xd2fa1286, "_gpl");
SYMBOL_CRC(typec_switch_unregister, 0xc7643243, "_gpl");
SYMBOL_CRC(typec_switch_set_drvdata, 0x583ee0eb, "_gpl");
SYMBOL_CRC(typec_switch_get_drvdata, 0x70ed3240, "_gpl");
SYMBOL_CRC(fwnode_typec_mux_get, 0x9332b455, "_gpl");
SYMBOL_CRC(typec_mux_put, 0xfc8df340, "_gpl");
SYMBOL_CRC(typec_mux_set, 0x6b3d9465, "_gpl");
SYMBOL_CRC(typec_mux_register, 0x3e8c60e9, "_gpl");
SYMBOL_CRC(typec_mux_unregister, 0x771cb2ec, "_gpl");
SYMBOL_CRC(typec_mux_set_drvdata, 0x6199e454, "_gpl");
SYMBOL_CRC(typec_mux_get_drvdata, 0x9d04a19a, "_gpl");
SYMBOL_CRC(typec_altmode_notify, 0x7512ec92, "_gpl");
SYMBOL_CRC(typec_altmode_enter, 0x17cfbbd7, "_gpl");
SYMBOL_CRC(typec_altmode_exit, 0x30731082, "_gpl");
SYMBOL_CRC(typec_altmode_attention, 0xcbe8f973, "_gpl");
SYMBOL_CRC(typec_altmode_vdm, 0xe679efde, "_gpl");
SYMBOL_CRC(typec_altmode_get_partner, 0x6f270319, "_gpl");
SYMBOL_CRC(typec_cable_altmode_enter, 0xa8a52b15, "_gpl");
SYMBOL_CRC(typec_cable_altmode_exit, 0xcd713f1b, "_gpl");
SYMBOL_CRC(typec_cable_altmode_vdm, 0x1d83b99d, "_gpl");
SYMBOL_CRC(typec_altmode_get_plug, 0x91a82ca4, "_gpl");
SYMBOL_CRC(typec_altmode_put_plug, 0xd051c23a, "_gpl");
SYMBOL_CRC(__typec_altmode_register_driver, 0xaf2a8fe0, "_gpl");
SYMBOL_CRC(typec_altmode_unregister_driver, 0x2f2f5815, "_gpl");
SYMBOL_CRC(typec_match_altmode, 0xc517d4e6, "_gpl");
SYMBOL_CRC(usb_power_delivery_register_capabilities, 0x81a518b8, "_gpl");
SYMBOL_CRC(usb_power_delivery_unregister_capabilities, 0xc93f02f5, "_gpl");
SYMBOL_CRC(usb_power_delivery_register, 0x19321ae0, "_gpl");
SYMBOL_CRC(usb_power_delivery_unregister, 0x1369ac49, "_gpl");
SYMBOL_CRC(usb_power_delivery_link_device, 0xf4cb3bad, "_gpl");
SYMBOL_CRC(usb_power_delivery_unlink_device, 0x5797e979, "_gpl");
SYMBOL_CRC(fwnode_typec_retimer_get, 0xa68685cf, "_gpl");
SYMBOL_CRC(typec_retimer_put, 0xcfa2677a, "_gpl");
SYMBOL_CRC(typec_retimer_set, 0x051f4518, "_gpl");
SYMBOL_CRC(typec_retimer_register, 0x1d029836, "_gpl");
SYMBOL_CRC(typec_retimer_unregister, 0x232e915b, "_gpl");
SYMBOL_CRC(typec_retimer_get_drvdata, 0xe23f9127, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xd4845a05, "try_module_get" },
	{ 0xb86e9579, "is_acpi_device_node" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xdec5f1bf, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x66278a1, "component_master_add_with_match" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x9838955f, "device_unregister" },
	{ 0xd780d768, "acpi_bus_for_each_dev" },
	{ 0x3b9c57bf, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0x43475949, "fwnode_connection_find_match" },
	{ 0x22c73a0b, "fwnode_get_next_child_node" },
	{ 0xb6bc7862, "device_for_each_child" },
	{ 0x67155184, "get_device" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xaafc7140, "sysfs_notify" },
	{ 0xd0dae69d, "device_match_fwnode" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8619869e, "put_device" },
	{ 0xf3f34fd5, "fwnode_property_read_u32_array" },
	{ 0x1f9a9c72, "module_put" },
	{ 0xed35c0dc, "sysfs_create_link" },
	{ 0x81d83723, "fwnode_get_name" },
	{ 0xdd058624, "kobject_uevent_env" },
	{ 0x902149e6, "sysfs_update_group" },
	{ 0x2efa2c2b, "bus_unregister" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x61373533, "device_add" },
	{ 0x5ef57105, "sysfs_remove_link" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x93268c44, "fwnode_property_read_u16_array" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xffb7c514, "ida_free" },
	{ 0x3ffe3b9b, "driver_unregister" },
	{ 0x2e6fc05a, "class_unregister" },
	{ 0x2859ab, "device_find_child" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x65ea0b6f, "device_register" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x98b4ec72, "fwnode_property_read_string" },
	{ 0x442dd3bb, "fwnode_property_present" },
	{ 0x870c85d3, "component_master_del" },
	{ 0xdab55259, "component_match_add_release" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc1f7cf71, "device_get_named_child_node" },
	{ 0x68c031ce, "component_bind_all" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xd806e3a, "device_match_name" },
	{ 0xbed38642, "kobject_uevent" },
	{ 0x2b5e3a5c, "fwnode_connection_find_matches" },
	{ 0x81188c30, "match_string" },
	{ 0xf140f20, "component_unbind_all" },
	{ 0x83cf91d, "driver_register" },
	{ 0xaa3a3bb3, "class_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x9aaacae9, "__dev_fwnode" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0xb9cb04c5, "bus_register" },
	{ 0xda4e1eea, "class_find_device" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "D48E9393F4F1CD41FD8A933");
