#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ucsi_notify_common, "_gpl", "");
KSYMTAB_FUNC(ucsi_sync_control_common, "_gpl", "");
KSYMTAB_FUNC(ucsi_send_command, "_gpl", "");
KSYMTAB_FUNC(ucsi_connector_change, "_gpl", "");
KSYMTAB_FUNC(ucsi_resume, "_gpl", "");
KSYMTAB_FUNC(ucsi_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(ucsi_set_drvdata, "_gpl", "");
KSYMTAB_FUNC(ucsi_create, "_gpl", "");
KSYMTAB_FUNC(ucsi_destroy, "_gpl", "");
KSYMTAB_FUNC(ucsi_register, "_gpl", "");
KSYMTAB_FUNC(ucsi_unregister, "_gpl", "");

SYMBOL_CRC(ucsi_notify_common, 0x3a748dd9, "_gpl");
SYMBOL_CRC(ucsi_sync_control_common, 0x6ec3a6ec, "_gpl");
SYMBOL_CRC(ucsi_send_command, 0x8d94206c, "_gpl");
SYMBOL_CRC(ucsi_connector_change, 0x0f34ffea, "_gpl");
SYMBOL_CRC(ucsi_resume, 0x0febd7cf, "_gpl");
SYMBOL_CRC(ucsi_get_drvdata, 0x7f9b4bfc, "_gpl");
SYMBOL_CRC(ucsi_set_drvdata, 0x09038d23, "_gpl");
SYMBOL_CRC(ucsi_create, 0xca249a9e, "_gpl");
SYMBOL_CRC(ucsi_destroy, 0x32fec4da, "_gpl");
SYMBOL_CRC(ucsi_register, 0x912185d7, "_gpl");
SYMBOL_CRC(ucsi_unregister, 0xf213522c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xddf6ad7a, "completion_done" },
	{ 0x714396f8, "typec_partner_set_pd_revision" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x8d039641, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc244071, "typec_register_partner" },
	{ 0x80744d15, "typec_port_set_usb_power_delivery" },
	{ 0xbebaed22, "debugfs_attr_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xa9f70bf, "typec_port_register_altmode" },
	{ 0x7755d20e, "power_supply_register" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x93b9a682, "trace_raw_output_prep" },
	{ 0x6f270319, "typec_altmode_get_partner" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x556be6e0, "__trace_trigger_soft_disabled" },
	{ 0xcb6b138, "trace_event_printf" },
	{ 0x3f7c8b8f, "trace_event_raw_init" },
	{ 0x5e58de86, "fwnode_usb_role_switch_get" },
	{ 0x37a0cba, "kfree" },
	{ 0x5b66fa60, "seq_lseek" },
	{ 0xc4e40b90, "bpf_trace_run2" },
	{ 0x7f70764e, "typec_set_mode" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0xce4f2d57, "typec_altmode2port" },
	{ 0xfb6dfa14, "trace_event_buffer_commit" },
	{ 0x19321ae0, "usb_power_delivery_register" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xee257410, "typec_partner_register_altmode" },
	{ 0x8d93797f, "typec_partner_set_num_altmodes" },
	{ 0x8ae699dc, "typec_unregister_partner" },
	{ 0x62eb8095, "typec_set_pwr_opmode" },
	{ 0xf9b355a, "typec_cable_set_identity" },
	{ 0x579acfde, "debugfs_attr_read" },
	{ 0xff3ef56a, "typec_unregister_cable" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x4bb807c7, "perf_trace_run_bpf_submit" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0xc66d1aa2, "typec_altmode_update_active" },
	{ 0xf4e934af, "device_property_read_u8_array" },
	{ 0x9295faf0, "simple_attr_release" },
	{ 0xd5474690, "usb_role_switch_set_role" },
	{ 0x81a518b8, "usb_power_delivery_register_capabilities" },
	{ 0x672f4550, "typec_register_plug" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xac6a7884, "typec_altmode_set_ops" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x495eed8e, "debugfs_remove" },
	{ 0x1369ac49, "usb_power_delivery_unregister" },
	{ 0x2092327, "trace_event_reg" },
	{ 0xeee9f1b3, "typec_set_data_role" },
	{ 0x5a4e4b33, "typec_get_negotiated_svdm_version" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xe679efde, "typec_altmode_vdm" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc3d1b261, "typec_unregister_port" },
	{ 0xb054cd4d, "power_supply_get_drvdata" },
	{ 0xdcb764ad, "memset" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0xf038b93b, "typec_register_port" },
	{ 0x9d4953ea, "typec_plug_set_num_altmodes" },
	{ 0xc6f40de9, "typec_partner_set_usb_power_delivery" },
	{ 0x2e03e018, "power_supply_changed" },
	{ 0x26db444e, "typec_unregister_plug" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xda0fc2ca, "typec_plug_register_altmode" },
	{ 0xce06599e, "devm_kasprintf" },
	{ 0xf6eacb35, "typec_partner_set_svdm_version" },
	{ 0x32f1e81b, "seq_read" },
	{ 0x13107c3a, "debugfs_create_file" },
	{ 0xda2d7a21, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xcec49581, "typec_unregister_altmode" },
	{ 0x39d99ae4, "typec_register_cable" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x899fbd06, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc93f02f5, "usb_power_delivery_unregister_capabilities" },
	{ 0x7f916cee, "typec_get_drvdata" },
	{ 0xec0a49e7, "typec_partner_set_identity" },
	{ 0x8f1d5392, "power_supply_unregister" },
	{ 0xa5c872a7, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xf7173714, "typec_set_pwr_role" },
	{ 0xdd7834a9, "typec_partner_usb_power_delivery_register" },
	{ 0x92f2a8c, "dev_err_probe" },
	{ 0xb9e5c367, "usb_debug_root" },
	{ 0x3938b6f8, "device_get_next_child_node" },
	{ 0x3466fede, "single_open" },
	{ 0xe820ea6a, "debugfs_create_dir" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf9a482f9, "msleep" },
	{ 0x9aaacae9, "__dev_fwnode" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "typec");


MODULE_INFO(srcversion, "4D45DCCCD79BE13F7AA25E2");
