#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xd9f1211d, "vhost_add_used" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xa1e755a7, "_copy_to_iter" },
	{ 0x58f09138, "misc_deregister" },
	{ 0x30f10fed, "target_depend_item" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xc8cbd2ff, "vhost_vring_ioctl" },
	{ 0x60b73b66, "param_ops_uint" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xb0f6568d, "vhost_dev_flush" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4e671beb, "dump_page" },
	{ 0xdf1ada8e, "target_execute_cmd" },
	{ 0xa781e88d, "vhost_vq_access_ok" },
	{ 0xcfe433b5, "vhost_dev_stop" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xd92e1bb6, "target_submit_tmr" },
	{ 0xe75df258, "iov_iter_advance" },
	{ 0x6691313b, "vhost_dev_init" },
	{ 0x70b2106c, "iov_iter_get_pages2" },
	{ 0x989e39bf, "target_submit_prep" },
	{ 0x656d92d4, "sbitmap_init_node" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x47c6dbd0, "iov_iter_init" },
	{ 0x404147ad, "target_submit" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x9f1b6612, "vhost_vq_init_access" },
	{ 0xa909cfc5, "vhost_work_init" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x122c3a7e, "_printk" },
	{ 0xd69bd576, "vhost_vq_work_queue" },
	{ 0x81905a64, "vhost_exceeds_weight" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x30231c7c, "target_unregister_template" },
	{ 0xa916b694, "strnlen" },
	{ 0x581e9a37, "__free_pages" },
	{ 0xe819ddcb, "target_setup_session" },
	{ 0x36d3e70c, "vhost_add_used_and_signal" },
	{ 0x54b50667, "compat_ptr_ioctl" },
	{ 0xdabaab0a, "target_undepend_item" },
	{ 0xb9ced788, "target_remove_session" },
	{ 0xfdc0adc2, "noop_llseek" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x88ff65ad, "vhost_get_vq_desc" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x334da4e, "scsi_command_size_tbl" },
	{ 0x2ca0deaf, "copy_page_to_iter" },
	{ 0xbb9c0973, "__put_devmap_managed_folio_refs" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xdcb764ad, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x636ef9ee, "vhost_dev_ioctl" },
	{ 0xb0f3e565, "vhost_signal" },
	{ 0xedd818fe, "misc_register" },
	{ 0xb76ea123, "vhost_disable_notify" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xace202be, "vhost_enable_notify" },
	{ 0x3c224c47, "copy_page_from_iter" },
	{ 0xb88a15ed, "vhost_log_access_ok" },
	{ 0x48f48a45, "target_init_cmd" },
	{ 0x59cdc768, "vhost_dev_cleanup" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x82ce4dd1, "vhost_worker_ioctl" },
	{ 0x8a55aae4, "dup_iter" },
	{ 0xa873d5b5, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfd8127d5, "core_tpg_deregister" },
	{ 0x80496ba4, "vhost_vq_is_setup" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xfff625ed, "_copy_from_iter" },
	{ 0xf3fafdad, "target_register_template" },
	{ 0x557d1823, "alloc_pages_noprof" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x81ab511d, "transport_generic_free_cmd" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x36294f7c, "core_tpg_register" },
	{ 0x98cf60b3, "strlen" },
	{ 0x8a794e52, "target_put_sess_cmd" },
	{ 0xc87ff6e5, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0x7aa263d0, "sbitmap_get" },
	{ 0x5359e8dc, "__kvmalloc_node_noprof" },
	{ 0xb4c7e417, "iov_iter_npages" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "vhost,target_core_mod");


MODULE_INFO(srcversion, "DE86DF67B78185DB46BC57F");
