#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(backlight_device_set_brightness, "", "");
KSYMTAB_FUNC(backlight_force_update, "", "");
KSYMTAB_FUNC(backlight_device_register, "", "");
KSYMTAB_FUNC(backlight_device_get_by_type, "", "");
KSYMTAB_FUNC(backlight_device_get_by_name, "", "");
KSYMTAB_FUNC(backlight_device_unregister, "", "");
KSYMTAB_FUNC(backlight_register_notifier, "", "");
KSYMTAB_FUNC(backlight_unregister_notifier, "", "");
KSYMTAB_FUNC(devm_backlight_device_register, "", "");
KSYMTAB_FUNC(devm_backlight_device_unregister, "", "");
KSYMTAB_FUNC(of_find_backlight_by_node, "", "");
KSYMTAB_FUNC(devm_of_find_backlight, "", "");

SYMBOL_CRC(backlight_device_set_brightness, 0x99b5941e, "");
SYMBOL_CRC(backlight_force_update, 0x26d2fa0a, "");
SYMBOL_CRC(backlight_device_register, 0x420beb47, "");
SYMBOL_CRC(backlight_device_get_by_type, 0xd8374bf0, "");
SYMBOL_CRC(backlight_device_get_by_name, 0xa5efd4e5, "");
SYMBOL_CRC(backlight_device_unregister, 0x0d3cee5b, "");
SYMBOL_CRC(backlight_register_notifier, 0xdc512134, "");
SYMBOL_CRC(backlight_unregister_notifier, 0x9939eba0, "");
SYMBOL_CRC(devm_backlight_device_register, 0x060daadf, "");
SYMBOL_CRC(devm_backlight_device_unregister, 0xd0db7788, "");
SYMBOL_CRC(of_find_backlight_by_node, 0x93b7df14, "");
SYMBOL_CRC(devm_of_find_backlight, 0xdda1d224, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xdd058624, "kobject_uevent_env" },
	{ 0xaafc7140, "sysfs_notify" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x8619869e, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd806e3a, "device_match_name" },
	{ 0xda4e1eea, "class_find_device" },
	{ 0x907d14d, "blocking_notifier_chain_register" },
	{ 0x4ece3615, "blocking_notifier_chain_unregister" },
	{ 0xaa3a3bb3, "class_register" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x122c3a7e, "_printk" },
	{ 0x2e6fc05a, "class_unregister" },
	{ 0x823eae06, "blocking_notifier_call_chain" },
	{ 0xb12cbacb, "fb_unregister_client" },
	{ 0x9838955f, "device_unregister" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x13b71a1, "devres_release" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xdec5f1bf, "dev_set_name" },
	{ 0x65ea0b6f, "device_register" },
	{ 0x80d68d3e, "fb_register_client" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x4da76e58, "__devres_alloc_node" },
	{ 0xd1e9d3a, "devres_add" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xdcb764ad, "memset" },
	{ 0x2691b191, "__of_parse_phandle_with_args" },
	{ 0xe9d10d9d, "of_node_put" },
	{ 0xfe1f1c42, "__devm_add_action" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x4195b354, "fb_bl_device" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2F1CA2F5D7775F8CEFD9587");
