#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vp_modern_probe, "_gpl", "");
KSYMTAB_FUNC(vp_modern_remove, "_gpl", "");
KSYMTAB_FUNC(vp_modern_get_features, "_gpl", "");
KSYMTAB_FUNC(vp_modern_get_driver_features, "_gpl", "");
KSYMTAB_FUNC(vp_modern_set_features, "_gpl", "");
KSYMTAB_FUNC(vp_modern_generation, "_gpl", "");
KSYMTAB_FUNC(vp_modern_get_status, "_gpl", "");
KSYMTAB_FUNC(vp_modern_set_status, "_gpl", "");
KSYMTAB_FUNC(vp_modern_get_queue_reset, "_gpl", "");
KSYMTAB_FUNC(vp_modern_set_queue_reset, "_gpl", "");
KSYMTAB_FUNC(vp_modern_queue_vector, "_gpl", "");
KSYMTAB_FUNC(vp_modern_config_vector, "_gpl", "");
KSYMTAB_FUNC(vp_modern_queue_address, "_gpl", "");
KSYMTAB_FUNC(vp_modern_set_queue_enable, "_gpl", "");
KSYMTAB_FUNC(vp_modern_get_queue_enable, "_gpl", "");
KSYMTAB_FUNC(vp_modern_set_queue_size, "_gpl", "");
KSYMTAB_FUNC(vp_modern_get_queue_size, "_gpl", "");
KSYMTAB_FUNC(vp_modern_get_num_queues, "_gpl", "");
KSYMTAB_FUNC(vp_modern_map_vq_notify, "_gpl", "");
KSYMTAB_FUNC(vp_modern_avq_num, "_gpl", "");
KSYMTAB_FUNC(vp_modern_avq_index, "_gpl", "");

SYMBOL_CRC(vp_modern_probe, 0x107f5e05, "_gpl");
SYMBOL_CRC(vp_modern_remove, 0xa89798f5, "_gpl");
SYMBOL_CRC(vp_modern_get_features, 0xe9da7a41, "_gpl");
SYMBOL_CRC(vp_modern_get_driver_features, 0x227ee9d0, "_gpl");
SYMBOL_CRC(vp_modern_set_features, 0xc05f9731, "_gpl");
SYMBOL_CRC(vp_modern_generation, 0xe7cb83cc, "_gpl");
SYMBOL_CRC(vp_modern_get_status, 0x01c80003, "_gpl");
SYMBOL_CRC(vp_modern_set_status, 0xc6f75f0c, "_gpl");
SYMBOL_CRC(vp_modern_get_queue_reset, 0x1769ea45, "_gpl");
SYMBOL_CRC(vp_modern_set_queue_reset, 0x03e618bd, "_gpl");
SYMBOL_CRC(vp_modern_queue_vector, 0x90789e7e, "_gpl");
SYMBOL_CRC(vp_modern_config_vector, 0x447795b6, "_gpl");
SYMBOL_CRC(vp_modern_queue_address, 0xcf39927d, "_gpl");
SYMBOL_CRC(vp_modern_set_queue_enable, 0x73fba28d, "_gpl");
SYMBOL_CRC(vp_modern_get_queue_enable, 0x05be8561, "_gpl");
SYMBOL_CRC(vp_modern_set_queue_size, 0x76f3f8a9, "_gpl");
SYMBOL_CRC(vp_modern_get_queue_size, 0x7ebe2c7d, "_gpl");
SYMBOL_CRC(vp_modern_get_num_queues, 0x82f2e2a8, "_gpl");
SYMBOL_CRC(vp_modern_map_vq_notify, 0x9b3c688a, "_gpl");
SYMBOL_CRC(vp_modern_avq_num, 0xcb87badd, "_gpl");
SYMBOL_CRC(vp_modern_avq_index, 0x95a85374, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9663604d, "pci_iounmap" },
	{ 0x64efd98d, "pci_release_selected_regions" },
	{ 0xc57c18f5, "pci_read_config_byte" },
	{ 0x3dea7ab3, "pci_read_config_dword" },
	{ 0x95af538a, "pci_iomap_range" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0xf9a482f9, "msleep" },
	{ 0x323e342, "pci_find_capability" },
	{ 0x70840824, "pci_find_next_capability" },
	{ 0xdbaa67a4, "pci_request_selected_regions" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0xb34e2c9a, "dma_set_mask" },
	{ 0xf0efe64b, "dma_set_coherent_mask" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "82E423363CB8EDBD367A4CE");
