#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc528a49a, "queued_write_lock_slowpath" },
	{ 0x1901b718, "bio_associate_blkg" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x9d26675e, "zstd_cstream_workspace_bound" },
	{ 0x2ce4d61e, "truncate_inode_pages" },
	{ 0x555135ee, "folio_invalidate" },
	{ 0xb24a356e, "inode_update_timestamps" },
	{ 0xb1b4db6, "inode_init_owner" },
	{ 0x72e7e5f4, "generic_fillattr" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x926317fe, "vfs_fsync_range" },
	{ 0x735cb660, "setattr_prepare" },
	{ 0x8c13b844, "filemap_migrate_folio" },
	{ 0xdc4109fc, "bdev_file_open_by_path" },
	{ 0xfce0789c, "shrinker_alloc" },
	{ 0xaf38aa4f, "clear_nlink" },
	{ 0x5d1097d2, "sync_blockdev_range" },
	{ 0xcd65e49, "file_check_and_advance_wb_err" },
	{ 0x27b040e3, "filemap_flush" },
	{ 0x442b7c2d, "page_cache_async_ra" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x1a1d06d4, "filemap_get_folios_tag" },
	{ 0xd277ba66, "flush_dcache_page" },
	{ 0xa5592005, "wbc_detach_inode" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x67c45018, "d_instantiate" },
	{ 0xa1e755a7, "_copy_to_iter" },
	{ 0x3ac22260, "fsverity_ioctl_enable" },
	{ 0x9941420d, "pagecache_isize_extended" },
	{ 0x58f09138, "misc_deregister" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xf847c0d4, "__bio_add_page" },
	{ 0xed30eb5e, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x372e8e8a, "clear_inode" },
	{ 0x4506c655, "bpf_trace_run4" },
	{ 0xc3805cd1, "fs_ftype_to_dtype" },
	{ 0xffc4f200, "zstd_compress_stream" },
	{ 0x3f34644d, "zstd_dstream_workspace_bound" },
	{ 0xae59dee5, "filemap_range_has_page" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x774c132c, "simple_dir_inode_operations" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0xe0311e1, "discard_new_inode" },
	{ 0xdf2c2742, "rb_last" },
	{ 0xf2e5bd87, "security_free_mnt_opts" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xb2f49952, "__fsverity_cleanup_inode" },
	{ 0x80a717a8, "__percpu_counter_compare" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x4ba278d2, "fs_param_is_string" },
	{ 0x393a64ae, "__folio_batch_release" },
	{ 0x750f789f, "folio_unlock" },
	{ 0x692ba5fc, "set_blocksize" },
	{ 0x2d5d3d72, "vmalloc_to_page" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x502ddde, "new_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x2074f95d, "filemap_map_pages" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd183fead, "try_to_writeback_inodes_sb" },
	{ 0x4e671beb, "dump_page" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x93b9a682, "trace_raw_output_prep" },
	{ 0x815c68ec, "kobject_rename" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xafb6a8f5, "init_special_inode" },
	{ 0x50559c2, "unregister_filesystem" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x2df91a1f, "import_iovec" },
	{ 0x7e85034f, "bpf_trace_run6" },
	{ 0xca9360b5, "rb_next" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xd14a5993, "generic_error_remove_folio" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x862b321e, "filemap_fdatawrite_range" },
	{ 0x556be6e0, "__trace_trigger_soft_disabled" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x1803a6ed, "raid6_2data_recov" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xc890c008, "zlib_deflateEnd" },
	{ 0x4df8fbc, "lzo1x_decompress_safe" },
	{ 0x4dd5ba40, "bio_add_folio_nofail" },
	{ 0xd19d4bf4, "d_make_root" },
	{ 0xcb6b138, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x26a46a53, "__fsverity_file_open" },
	{ 0xe02c9c92, "__xa_erase" },
	{ 0x1057a279, "bsearch" },
	{ 0xc36d5e18, "fget" },
	{ 0x787c882b, "lzo1x_1_compress" },
	{ 0x23967b1, "xas_find" },
	{ 0x931e06ca, "invalidate_mapping_pages" },
	{ 0xcf2a6966, "up" },
	{ 0x99f7371c, "refcount_dec_and_mutex_lock" },
	{ 0x816c581a, "sync_filesystem" },
	{ 0x32ce3777, "radix_tree_preload" },
	{ 0x1a4d9418, "kobject_init" },
	{ 0xd07f543, "get_anon_bdev" },
	{ 0x2110b866, "fsnotify" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x6d7c7dcc, "bitmap_cut" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0x3f7e7abb, "sget_fc" },
	{ 0xec130f3b, "d_splice_alias" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0xa151e15d, "current_time" },
	{ 0x3f7c8b8f, "trace_event_raw_init" },
	{ 0x8c69bc0d, "fiemap_prep" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x7c679517, "from_vfsuid" },
	{ 0x845dcf46, "ihold" },
	{ 0xff132199, "fsverity_verify_blocks" },
	{ 0x53450287, "page_get_link" },
	{ 0xdfd85c8a, "inode_dio_wait" },
	{ 0xbef1f933, "generic_permission" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x7cf4248b, "truncate_pagecache_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x1de29a74, "invalidate_inode_pages2_range" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x47a49e12, "finish_open" },
	{ 0xd0741cad, "iput" },
	{ 0x645915d1, "filemap_range_has_writeback" },
	{ 0x4d78017d, "kset_unregister" },
	{ 0x84264ced, "fs_umode_to_ftype" },
	{ 0x55626a62, "fs_param_is_enum" },
	{ 0xf95322f4, "kthread_parkme" },
	{ 0xd35a6d31, "mempool_kmalloc" },
	{ 0xb43b82f8, "wbc_attach_and_unlock_inode" },
	{ 0x78d205c5, "iter_file_splice_write" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x2e174d3a, "filemap_release_folio" },
	{ 0xc4e40b90, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x1b9611c7, "sysfs_remove_files" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0xe2964344, "__wake_up" },
	{ 0xf2c43f3f, "zlib_deflate" },
	{ 0xdcecec42, "filemap_alloc_folio_noprof" },
	{ 0x35a88f28, "zlib_inflateInit2" },
	{ 0xa59501be, "register_filesystem" },
	{ 0xc57b5f2a, "d_tmpfile" },
	{ 0x3494ac55, "kmem_cache_create" },
	{ 0xd808d242, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x89434b4b, "radix_tree_tag_clear" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xa935b788, "kthread_park" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0x92ea64ab, "filemap_add_folio" },
	{ 0xcd8cec81, "path_put" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x79defbe1, "kthread_should_park" },
	{ 0xa593d0bf, "clear_page_dirty_for_io" },
	{ 0x25db737f, "vfs_setpos" },
	{ 0x543de11c, "iget5_locked_rcu" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xcf9106a0, "d_prune_aliases" },
	{ 0x354b3d7c, "wake_up_process" },
	{ 0xf4f67952, "shrinker_free" },
	{ 0xfb6dfa14, "trace_event_buffer_commit" },
	{ 0x16e6bcfd, "fscrypt_setup_filename" },
	{ 0xc575719, "__cond_resched_rwlock_write" },
	{ 0x845cec93, "filemap_get_folios_contig" },
	{ 0xc63dce24, "crypto_destroy_tfm" },
	{ 0x6a037cf1, "mempool_kfree" },
	{ 0xaaf5534e, "simple_inode_init_ts" },
	{ 0x8df9dd10, "guid_null" },
	{ 0x82fd7073, "inode_get_bytes" },
	{ 0xaafc7140, "sysfs_notify" },
	{ 0xe64e10a9, "inode_set_bytes" },
	{ 0xaac7555c, "migrate_folio" },
	{ 0xd3d7ad76, "lookup_one" },
	{ 0x8d356d8f, "iomap_dio_rw" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xc6d2734c, "add_swap_extent" },
	{ 0xeb0e3322, "fs_param_is_u32" },
	{ 0xe4b051cf, "raid6_datap_recov" },
	{ 0x774f8fa8, "inode_newsize_ok" },
	{ 0x897b46cc, "lock_two_nondirectories" },
	{ 0xc5fb2669, "mnt_want_write_file" },
	{ 0xf9e8a4c3, "unlock_new_inode" },
	{ 0x122c3a7e, "_printk" },
	{ 0x3d9ee9f0, "clear_page" },
	{ 0x605790dc, "fiemap_fill_next_extent" },
	{ 0xcf54b722, "posix_acl_from_xattr" },
	{ 0x387fef3a, "blkdev_zone_mgmt" },
	{ 0xafc6c68e, "zstd_is_error" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0x617c452b, "queued_read_lock_slowpath" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe9f7149c, "zlib_deflate_workspacesize" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x6315c42c, "zstd_get_params" },
	{ 0xf82ec573, "rb_prev" },
	{ 0xedf92aba, "make_kuid" },
	{ 0x3280e341, "truncate_inode_pages_final" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xbdf178ea, "inode_sub_bytes" },
	{ 0x3cdfbd17, "sync_blockdev" },
	{ 0x88fcd16f, "fs_kobj" },
	{ 0xf3d6f975, "bio_add_folio" },
	{ 0x64dacef, "__filemap_set_wb_err" },
	{ 0x891fecb, "simple_dir_operations" },
	{ 0xa916b694, "strnlen" },
	{ 0x4e20bcf8, "radix_tree_tag_set" },
	{ 0xa7ff7035, "shrinker_register" },
	{ 0x4d0d163d, "copy_page" },
	{ 0xbb4993b1, "__filemap_get_folio" },
	{ 0x1d9672bd, "fault_in_subpage_writeable" },
	{ 0x618911fc, "numa_node" },
	{ 0xe13a1e8d, "mtree_erase" },
	{ 0xe29691a0, "__check_sticky" },
	{ 0x581e9a37, "__free_pages" },
	{ 0x6b27729b, "radix_tree_gang_lookup" },
	{ 0x9f984513, "strrchr" },
	{ 0xb0f9301, "xattr_full_name" },
	{ 0x6e3b4a93, "folio_mark_dirty" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0x8ea9edee, "blk_finish_plug" },
	{ 0xa02aa74a, "__cond_resched_lock" },
	{ 0xc6cbbc89, "capable" },
	{ 0xdefd9595, "submit_bio" },
	{ 0x158596be, "mnt_drop_write_file" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0xed35c0dc, "sysfs_create_link" },
	{ 0x3dbeb99f, "copy_page_from_iter_atomic" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x8552adb4, "mntput" },
	{ 0xd64183a9, "__folio_swap_cache_index" },
	{ 0xc2c5802, "work_busy" },
	{ 0x979afabd, "inode_init_once" },
	{ 0x8349818b, "bioset_exit" },
	{ 0x54b50667, "compat_ptr_ioctl" },
	{ 0xeef0a9d1, "__fsnotify_parent" },
	{ 0x769f6e64, "errseq_check" },
	{ 0x800473f, "__cond_resched" },
	{ 0x581f98da, "zlib_inflate" },
	{ 0x58e3306d, "bit_wait_io" },
	{ 0xd0ac59c7, "seq_escape_mem" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xfeb343d1, "mempool_alloc_noprof" },
	{ 0xd43cb3a, "bio_put" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x287318b1, "bio_endio" },
	{ 0xb747609b, "mount_subtree" },
	{ 0x5156983c, "__inode_attach_wb" },
	{ 0x248b9c4, "balance_dirty_pages_ratelimited" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xb4bc9766, "posix_acl_create" },
	{ 0xd333b64, "zstd_end_stream" },
	{ 0x809178d9, "inode_nohighmem" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x4bb807c7, "perf_trace_run_bpf_submit" },
	{ 0x57ee93bf, "__bio_advance" },
	{ 0x902149e6, "sysfs_update_group" },
	{ 0xda609656, "sysfs_unmerge_group" },
	{ 0x97b585fb, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0x17e1c98a, "kobject_add" },
	{ 0xce807a25, "up_write" },
	{ 0xed80614, "vfs_dup_fs_context" },
	{ 0xb7c0f443, "sort" },
	{ 0x136a48c0, "inode_maybe_inc_iversion" },
	{ 0x5b505dc4, "unlock_page" },
	{ 0x8ad4f7ee, "filemap_fdatawrite_wbc" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x5a0b73d0, "zlib_deflateInit2" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xe2b6556d, "thp_get_unmapped_area" },
	{ 0x5ef57105, "sysfs_remove_link" },
	{ 0x5df2b678, "radix_tree_next_chunk" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xb9af1d0d, "__xa_clear_mark" },
	{ 0xa07a37f0, "memchr" },
	{ 0x98aec55f, "set_cached_acl" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0xa788700b, "copy_to_user_nofault" },
	{ 0x86b357ea, "truncate_pagecache" },
	{ 0x3e15607d, "put_fs_context" },
	{ 0xf9c1a1db, "unlock_two_nondirectories" },
	{ 0xa954ed62, "kobj_sysfs_ops" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa681fe88, "generate_random_uuid" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xebbb2ee9, "wait_on_page_writeback" },
	{ 0xfdc0adc2, "noop_llseek" },
	{ 0x344a2c84, "iomap_dio_complete" },
	{ 0xc31e6824, "folio_mark_accessed" },
	{ 0xac363530, "sysfs_merge_group" },
	{ 0x6626afca, "down" },
	{ 0x6185b747, "radix_tree_gang_lookup_tag" },
	{ 0x44494c12, "bpf_trace_run5" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x27a8b519, "setattr_copy" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xcd6288b3, "file_update_time" },
	{ 0x7e294c9a, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc3bc7dc7, "kmem_cache_alloc_lru_noprof" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0xbc037f7, "kmem_cache_free" },
	{ 0x5a921311, "strncmp" },
	{ 0xce5ac24f, "zlib_inflate_workspacesize" },
	{ 0x184347a8, "security_inode_init_security" },
	{ 0x7e3b99ab, "from_kgid" },
	{ 0x2092327, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1dad1987, "crypto_shash_digest" },
	{ 0x120c54fc, "folio_wait_writeback" },
	{ 0xf31b3fd1, "workqueue_set_max_active" },
	{ 0x47431b3c, "rw_verify_area" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xb7a8c8f6, "blkdev_issue_zeroout" },
	{ 0xd34ecd13, "fault_in_iov_iter_writeable" },
	{ 0x174d71c0, "file_remove_privs" },
	{ 0x392b1fea, "wait_for_completion_io" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xf2a35f94, "blk_stack_limits" },
	{ 0xf1e046cc, "panic" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x12730c7e, "kobject_init_and_add" },
	{ 0xd9737c4c, "zero_fill_bio_iter" },
	{ 0xef377c83, "bio_add_page" },
	{ 0xb75a5d88, "crypto_shash_update" },
	{ 0xa36d4495, "from_vfsgid" },
	{ 0x989a4d41, "bio_split_rw" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x85d76fc8, "alloc_pages_bulk_noprof" },
	{ 0x9f3c845c, "iov_iter_alignment" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x6b53bbb8, "__audit_inode_child" },
	{ 0x6d89f485, "d_obtain_alias" },
	{ 0x6a370508, "file_modified" },
	{ 0xca37c33c, "radix_tree_iter_resume" },
	{ 0x2edb012e, "sysfs_create_group" },
	{ 0x4f6560b, "posix_acl_chmod" },
	{ 0x2ca0deaf, "copy_page_to_iter" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xaeac049a, "generate_random_guid" },
	{ 0xbb9c0973, "__put_devmap_managed_folio_refs" },
	{ 0x4cdb9669, "kthread_stop" },
	{ 0xfd7ad9dd, "kthread_associate_blkcg" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x612bfd89, "errno_to_blk_status" },
	{ 0x5b6c00e6, "xor_blocks" },
	{ 0x5a7c7935, "read_cache_page_gfp" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x60b66a68, "blk_set_stacking_limits" },
	{ 0xf810fa70, "inode_add_bytes" },
	{ 0xb78f2b2d, "__folio_start_writeback" },
	{ 0xdc0f8a86, "bpf_trace_run1" },
	{ 0xcf8a00e7, "folio_end_writeback" },
	{ 0xba4f6721, "folio_alloc_noprof" },
	{ 0x9d2ce248, "from_kuid" },
	{ 0x727338f6, "bio_init" },
	{ 0xa8bf630f, "fc_mount" },
	{ 0xdcb764ad, "memset" },
	{ 0x7fe19395, "kern_path" },
	{ 0x525943c4, "bio_alloc_clone" },
	{ 0x804a5b70, "raid6_call" },
	{ 0xe81c00db, "bio_associate_blkg_from_css" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x8936417b, "generic_remap_file_range_prep" },
	{ 0xedd818fe, "misc_register" },
	{ 0xd27b25dd, "blk_check_plugged" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xfe02b27d, "inode_owner_or_capable" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xb444b67d, "__insert_inode_hash" },
	{ 0x4661bd34, "bio_reset" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xd235061c, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x70681901, "inode_update_time" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xbbbb10c3, "filemap_get_folios" },
	{ 0xd837b79a, "blkcg_root_css" },
	{ 0xc38458ea, "blkcg_punt_bio_submit" },
	{ 0x15bd7435, "psi_memstall_leave" },
	{ 0x437be782, "make_kgid" },
	{ 0x80ac26d0, "invalidate_bdev" },
	{ 0xece784c2, "rb_first" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xcd223639, "d_delete" },
	{ 0xa872aa3a, "wbc_account_cgroup_owner" },
	{ 0x3be158cd, "end_page_writeback" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0x446f57ea, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0xa0ebc08, "__xa_cmpxchg" },
	{ 0xe97b7e07, "truncate_setsize" },
	{ 0x7fe32873, "rb_replace_node" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0xc5fe9081, "insert_inode_locked4" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x31d75226, "kthread_create_on_node" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x745a981, "xa_erase" },
	{ 0xe5561d7c, "sysfs_remove_group" },
	{ 0x2da8d207, "bpf_trace_run3" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0xb15b4109, "crc32c" },
	{ 0xf1dd09dc, "redirty_page_for_writepage" },
	{ 0x1ac5d3cb, "strcspn" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x3d901e47, "super_setup_bdi" },
	{ 0x705109d4, "igrab" },
	{ 0x258a2c02, "_raw_write_trylock" },
	{ 0x567f17d1, "page_cache_sync_ra" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0xc9fae843, "generic_read_dir" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x72584bb2, "kobject_del" },
	{ 0x484cce2d, "d_instantiate_new" },
	{ 0xda2d7a21, "trace_event_buffer_reserve" },
	{ 0x680667d2, "bio_uninit" },
	{ 0x5cdbcfce, "set_page_writeback" },
	{ 0xdfc12ef1, "zstd_decompress_stream" },
	{ 0x4ecd0998, "crypto_shash_final" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x364850b1, "down_write_killable" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x4b42c7e4, "filemap_fdatawait_range" },
	{ 0x3f7f98c5, "add_to_page_cache_lru" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xea6f9a36, "zlib_deflate_dfltcc_enabled" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xae4eb2fd, "bioset_init" },
	{ 0x53126ecc, "__percpu_counter_sum" },
	{ 0x4bbb3e25, "init_user_ns" },
	{ 0xc8a71c9e, "simple_rename_timestamp" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xd290f2f, "invalidate_inode_pages2" },
	{ 0xe091c977, "list_sort" },
	{ 0x92244def, "inode_set_ctime_current" },
	{ 0x2d9f9fea, "inc_nlink" },
	{ 0x5737dbe8, "seq_write" },
	{ 0xa873d5b5, "__folio_put" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xb8de1db2, "sysfs_create_files" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xc950ee2f, "set_anon_super_fc" },
	{ 0x56470118, "__warn_printk" },
	{ 0x899fbd06, "seq_printf" },
	{ 0x929e95cf, "psi_memstall_enter" },
	{ 0x8db941b8, "dput" },
	{ 0xf09cc34, "schedule_timeout_killable" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xecc1c781, "iov_iter_zero" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x99f59030, "deactivate_locked_super" },
	{ 0x7354a5d9, "touch_atime" },
	{ 0xdc5007cd, "filemap_read" },
	{ 0x902a1384, "__percpu_down_read" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x5f30387e, "tag_pages_for_writeback" },
	{ 0x6d5bf529, "balance_dirty_pages_ratelimited_flags" },
	{ 0xbed38642, "kobject_uevent" },
	{ 0xfff625ed, "_copy_from_iter" },
	{ 0xe586dbb1, "posix_acl_update_mode" },
	{ 0x8c3c3aa9, "generic_file_open" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0x2b207fb, "truncate_inode_pages_range" },
	{ 0x18888d00, "downgrade_write" },
	{ 0x557d1823, "alloc_pages_noprof" },
	{ 0x14f9c25d, "__folio_lock" },
	{ 0x9f322beb, "folio_wait_bit" },
	{ 0x984949c3, "filemap_dirty_folio" },
	{ 0x3ee3404d, "pagecache_get_page" },
	{ 0x8cb339d9, "is_bad_inode" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xca9beaa4, "__xa_store" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0x15ad86aa, "rcuwait_wake_up" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xdbb89eb5, "file_bdev" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0x778a3d9c, "__iomap_dio_rw" },
	{ 0xc078d22c, "zstd_init_cstream" },
	{ 0xb6539a3b, "file_ra_state_init" },
	{ 0x879bc954, "__fs_parse" },
	{ 0x8f052bf7, "filemap_splice_read" },
	{ 0x7b6adaff, "posix_acl_to_xattr" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xc89ed713, "dget_parent" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0xe5602a5e, "kill_anon_super" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x5469406a, "d_parent_ino" },
	{ 0x47709e42, "free_anon_bdev" },
	{ 0x91451e17, "filemap_write_and_wait_range" },
	{ 0xf2d95916, "mempool_init_noprof" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x3cbb940b, "zstd_init_dstream" },
	{ 0x98cf60b3, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x52c5fdaf, "fsverity_ioctl_measure" },
	{ 0xd07c84df, "generic_write_checks" },
	{ 0xc87ff6e5, "iov_iter_revert" },
	{ 0xe14d2d46, "inode_permission" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x55daeb3, "generic_write_checks_count" },
	{ 0x349cba85, "strchr" },
	{ 0xb74f87f0, "filemap_fault" },
	{ 0x27864d57, "memparse" },
	{ 0x2227c4aa, "crypto_alloc_shash" },
	{ 0x25630f05, "d_invalidate" },
	{ 0xc188c736, "__mark_inode_dirty" },
	{ 0xd371b0df, "vcalloc_noprof" },
	{ 0xe7508f4f, "generic_file_llseek" },
	{ 0xebd1f686, "mtree_insert" },
	{ 0xd97e0d07, "bio_alloc_bioset" },
	{ 0xcc392eea, "kmalloc_size_roundup" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x5359e8dc, "__kvmalloc_node_noprof" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0x107e5878, "zlib_inflateEnd" },
	{ 0x6f09958, "iomap_dio_bio_end_io" },
	{ 0xfdd593c1, "submit_bio_wait" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x3a78bef4, "drop_nlink" },
	{ 0xbbadf633, "fault_in_iov_iter_readable" },
	{ 0x7b0e9a04, "blkdev_report_zones" },
	{ 0xbb9f564f, "fs_param_is_u64" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x608d0267, "zstd_get_error_code" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x4832e577, "iget_failed" },
	{ 0xc5cf16aa, "kernel_write" },
	{ 0x38e46431, "mempool_exit" },
	{ 0xe275ddc4, "fs_bio_set" },
	{ 0x309989e7, "kmem_cache_destroy" },
	{ 0x7475e266, "bio_split" },
	{ 0x4e8f828, "mtree_load" },
	{ 0x22666776, "kset_create_and_add" },
	{ 0x23289d8d, "blkdev_issue_discard" },
	{ 0x677d981d, "kobject_put" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "zstd_compress,raid6_pq,xor");


MODULE_INFO(srcversion, "CC65A962576CCC6B2C5698C");
