#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dlm_new_lockspace, "_gpl", "");
KSYMTAB_FUNC(dlm_release_lockspace, "_gpl", "");
KSYMTAB_FUNC(dlm_lock, "_gpl", "");
KSYMTAB_FUNC(dlm_unlock, "_gpl", "");
KSYMTAB_FUNC(dlm_posix_lock, "_gpl", "");
KSYMTAB_FUNC(dlm_posix_unlock, "_gpl", "");
KSYMTAB_FUNC(dlm_posix_cancel, "_gpl", "");
KSYMTAB_FUNC(dlm_posix_get, "_gpl", "");

SYMBOL_CRC(dlm_new_lockspace, 0xcd224e1d, "_gpl");
SYMBOL_CRC(dlm_release_lockspace, 0xcf9f3328, "_gpl");
SYMBOL_CRC(dlm_lock, 0x8a6c5f1b, "_gpl");
SYMBOL_CRC(dlm_unlock, 0x4b62826c, "_gpl");
SYMBOL_CRC(dlm_posix_lock, 0x1bc72980, "_gpl");
SYMBOL_CRC(dlm_posix_unlock, 0x92c4d002, "_gpl");
SYMBOL_CRC(dlm_posix_cancel, 0x170ae58c, "_gpl");
SYMBOL_CRC(dlm_posix_get, 0xaa22118d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc528a49a, "queued_write_lock_slowpath" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xd4845a05, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x58f09138, "misc_deregister" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4506c655, "bpf_trace_run4" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xd97976ae, "config_group_init" },
	{ 0xc115a144, "config_group_find_item" },
	{ 0xe3ff2c41, "get_random_u64" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xe600abbd, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x93b9a682, "trace_raw_output_prep" },
	{ 0x60b7ac27, "sock_set_mark" },
	{ 0x7e85034f, "bpf_trace_run6" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x556be6e0, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xcb6b138, "trace_event_printf" },
	{ 0xfbbffe52, "config_item_get" },
	{ 0xe02c9c92, "__xa_erase" },
	{ 0xedeb6024, "kernel_bind" },
	{ 0x3f7c8b8f, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xaaccdec5, "posix_lock_file" },
	{ 0x4d78017d, "kset_unregister" },
	{ 0x5b66fa60, "seq_lseek" },
	{ 0x52b84d2a, "kernel_kobj" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xe6aef439, "__tracepoint_sk_data_ready" },
	{ 0xc5627b8f, "call_srcu" },
	{ 0xc4e40b90, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xff1e9dd8, "seq_list_start" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x5eea036f, "synchronize_srcu" },
	{ 0x16e853e4, "kernel_accept" },
	{ 0xfae5604b, "kernel_recvmsg" },
	{ 0x3494ac55, "kmem_cache_create" },
	{ 0x981ae878, "bpf_trace_run8" },
	{ 0x5e651d9f, "trace_print_hex_seq" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x98caea94, "configfs_unregister_subsystem" },
	{ 0x354b3d7c, "wake_up_process" },
	{ 0xfb6dfa14, "trace_event_buffer_commit" },
	{ 0x55711508, "locks_lock_inode_wait" },
	{ 0x122c3a7e, "_printk" },
	{ 0x6aba5d39, "sock_set_sndtimeo" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x617c452b, "queued_read_lock_slowpath" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xa916b694, "strnlen" },
	{ 0xeb6d5d5a, "locks_init_lock" },
	{ 0x581e9a37, "__free_pages" },
	{ 0xc6cbbc89, "capable" },
	{ 0x1f9a9c72, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x800473f, "__cond_resched" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x4bb807c7, "perf_trace_run_bpf_submit" },
	{ 0x57bc19d2, "down_write" },
	{ 0xc5e704e, "__traceiter_sk_data_ready" },
	{ 0x7ee7ac5d, "init_net" },
	{ 0xce807a25, "up_write" },
	{ 0x2d938670, "simple_open" },
	{ 0xf11e6754, "configfs_register_subsystem" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xe9d8813f, "configfs_remove_default_groups" },
	{ 0x3a2d14ef, "__srcu_read_lock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xfdc0adc2, "noop_llseek" },
	{ 0xe61dd884, "config_group_init_type_name" },
	{ 0x44494c12, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdec25abe, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbc037f7, "kmem_cache_free" },
	{ 0x495eed8e, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x6f2c2cc6, "seq_putc" },
	{ 0x2092327, "trace_event_reg" },
	{ 0xf1e046cc, "panic" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x12730c7e, "kobject_init_and_add" },
	{ 0x388e169b, "sock_sendmsg" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9f8c5901, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4cdb9669, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x8a5148f9, "sock_set_rcvbuf" },
	{ 0x11089ac7, "_ctype" },
	{ 0xdc0f8a86, "bpf_trace_run1" },
	{ 0x551dfe26, "default_llseek" },
	{ 0xce98b834, "sock_set_reuseaddr" },
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0x3b055253, "kernel_connect" },
	{ 0xdcb764ad, "memset" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0xa89488c5, "iov_iter_bvec" },
	{ 0xedd818fe, "misc_register" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xd235061c, "kmem_cache_alloc_noprof" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0x668b19a1, "down_read" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x31d75226, "kthread_create_on_node" },
	{ 0x745a981, "xa_erase" },
	{ 0x2da8d207, "bpf_trace_run3" },
	{ 0x32f1e81b, "seq_read" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x13107c3a, "debugfs_create_file" },
	{ 0x258a2c02, "_raw_write_trylock" },
	{ 0x28839c12, "rhashtable_init_noprof" },
	{ 0xda2d7a21, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xab60ef0f, "config_item_init_type_name" },
	{ 0x33550692, "sock_create_kern" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x47c20f8a, "refcount_dec_not_one" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x7cec6c96, "config_item_put" },
	{ 0x5737dbe8, "seq_write" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x899fbd06, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xd69fd17, "__srcu_read_unlock" },
	{ 0xbed38642, "kobject_uevent" },
	{ 0x6c225138, "sock_release" },
	{ 0x18888d00, "downgrade_write" },
	{ 0x557d1823, "alloc_pages_noprof" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xa5c872a7, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x8824de7, "tcp_sock_set_nodelay" },
	{ 0x74af89c1, "seq_open" },
	{ 0x17b54fce, "__seq_puts" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x98cf60b3, "strlen" },
	{ 0x3466fede, "single_open" },
	{ 0xe820ea6a, "debugfs_create_dir" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xf9a482f9, "msleep" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0xb7d50f6d, "sock_bind_add" },
	{ 0x452d945c, "locks_copy_lock" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x309989e7, "kmem_cache_destroy" },
	{ 0x231a085c, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x22666776, "kset_create_and_add" },
	{ 0x677d981d, "kobject_put" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "93124751A1A493FA9C11923");
