#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc528a49a, "queued_write_lock_slowpath" },
	{ 0xdf929370, "fs_overflowgid" },
	{ 0xe4ca3146, "bh_uptodate_or_lock" },
	{ 0xb1b4db6, "inode_init_owner" },
	{ 0x72e7e5f4, "generic_fillattr" },
	{ 0x735cb660, "setattr_prepare" },
	{ 0x926317fe, "vfs_fsync_range" },
	{ 0xf812cff6, "memscan" },
	{ 0xcf8c8ae0, "iget_locked" },
	{ 0xaf38aa4f, "clear_nlink" },
	{ 0xd01896b3, "generic_block_bmap" },
	{ 0xd277ba66, "flush_dcache_page" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x67c45018, "d_instantiate" },
	{ 0xe5675de8, "make_vfsgid" },
	{ 0xdd2c169b, "mb_cache_create" },
	{ 0x372e8e8a, "clear_inode" },
	{ 0xedcbaf3, "dquot_set_dqinfo" },
	{ 0xc3805cd1, "fs_ftype_to_dtype" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x6e385b92, "generic_fh_to_dentry" },
	{ 0xc60b2b25, "dquot_disable" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0xe0311e1, "discard_new_inode" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xb5f871dc, "dquot_free_inode" },
	{ 0x750f789f, "folio_unlock" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x502ddde, "new_inode" },
	{ 0x4e671beb, "dump_page" },
	{ 0x93b9a682, "trace_raw_output_prep" },
	{ 0xf8c88691, "dquot_get_state" },
	{ 0xafb6a8f5, "init_special_inode" },
	{ 0xc48cf06e, "fs_dax_get_by_bdev" },
	{ 0x50559c2, "unregister_filesystem" },
	{ 0xb38e6c7e, "mark_buffer_dirty" },
	{ 0xca9360b5, "rb_next" },
	{ 0xd14a5993, "generic_error_remove_folio" },
	{ 0x556be6e0, "__trace_trigger_soft_disabled" },
	{ 0xdb4d0fc1, "__block_write_begin" },
	{ 0xddf7b0f7, "inode_needs_sync" },
	{ 0xf8bba40f, "inode_set_flags" },
	{ 0xea1b2a2d, "inode_query_iversion" },
	{ 0xd3b4fdbb, "nop_posix_acl_access" },
	{ 0xd7b73e50, "nop_posix_acl_default" },
	{ 0xd19d4bf4, "d_make_root" },
	{ 0xcb6b138, "trace_event_printf" },
	{ 0xdcdbda2b, "__bforget" },
	{ 0xc662d045, "sb_set_blocksize" },
	{ 0xbbe8476c, "block_truncate_page" },
	{ 0x241671c, "read_cache_folio" },
	{ 0x931e06ca, "invalidate_mapping_pages" },
	{ 0x816c581a, "sync_filesystem" },
	{ 0x7277f348, "noop_dirty_folio" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0xec130f3b, "d_splice_alias" },
	{ 0x4fb5da55, "fs_put_dax" },
	{ 0x3f7c8b8f, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x845dcf46, "ihold" },
	{ 0x53450287, "page_get_link" },
	{ 0xdfd85c8a, "inode_dio_wait" },
	{ 0x37a0cba, "kfree" },
	{ 0x47a49e12, "finish_open" },
	{ 0x172a53f3, "dax_iomap_rw" },
	{ 0xd0741cad, "iput" },
	{ 0xe2c6129c, "kiocb_modified" },
	{ 0x84264ced, "fs_umode_to_ftype" },
	{ 0x78d205c5, "iter_file_splice_write" },
	{ 0xf3932313, "mb_cache_entry_wait_unused" },
	{ 0x886ce657, "dax_iomap_fault" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0x28e9c8e4, "generic_file_write_iter" },
	{ 0xa59501be, "register_filesystem" },
	{ 0x419433e1, "dquot_transfer" },
	{ 0xc57b5f2a, "d_tmpfile" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x278637be, "sync_inode_metadata" },
	{ 0x37e1f2e7, "dquot_drop" },
	{ 0x42602eb7, "simple_get_link" },
	{ 0xb005128f, "make_vfsuid" },
	{ 0xfb6dfa14, "trace_event_buffer_commit" },
	{ 0xaaf5534e, "simple_inode_init_ts" },
	{ 0x8d356d8f, "iomap_dio_rw" },
	{ 0xd4e6875d, "kill_block_super" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0xc5fb2669, "mnt_want_write_file" },
	{ 0xf9e8a4c3, "unlock_new_inode" },
	{ 0x122c3a7e, "_printk" },
	{ 0x3874463, "block_invalidate_folio" },
	{ 0xb5c1600f, "__breadahead" },
	{ 0xa012f73, "mb_cache_entry_touch" },
	{ 0x8ee461da, "dquot_quota_sync" },
	{ 0x26e4b42c, "generic_write_end" },
	{ 0x617c452b, "queued_read_lock_slowpath" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xf82ec573, "rb_prev" },
	{ 0xedf92aba, "make_kuid" },
	{ 0x3280e341, "truncate_inode_pages_final" },
	{ 0x64894fe1, "block_write_end" },
	{ 0xc271b981, "generic_file_mmap" },
	{ 0x5ad027e9, "sync_mapping_buffers" },
	{ 0x686a1e05, "generic_perform_write" },
	{ 0x15855bc9, "dquot_initialize" },
	{ 0x4e7ef2b0, "dquot_operations" },
	{ 0xbb4993b1, "__filemap_get_folio" },
	{ 0x2dee35cf, "dquot_quota_on" },
	{ 0x1de4163f, "invalidate_inode_buffers" },
	{ 0x7e6f149, "bdev_getblk" },
	{ 0xc6cbbc89, "capable" },
	{ 0x158596be, "mnt_drop_write_file" },
	{ 0x979afabd, "inode_init_once" },
	{ 0x800473f, "__cond_resched" },
	{ 0xf932c1a6, "dquot_set_dqblk" },
	{ 0x2c48f401, "__brelse" },
	{ 0xb4bc9766, "posix_acl_create" },
	{ 0x809178d9, "inode_nohighmem" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x4bb807c7, "perf_trace_run_bpf_submit" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xab476fb1, "generic_file_read_iter" },
	{ 0x136a48c0, "inode_maybe_inc_iversion" },
	{ 0x4e3567f7, "match_int" },
	{ 0xe2b6556d, "thp_get_unmapped_area" },
	{ 0x98aec55f, "set_cached_acl" },
	{ 0x581e7dee, "kmem_cache_create_usercopy" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0x86b357ea, "truncate_pagecache" },
	{ 0xd466ca3b, "sync_dirty_buffer" },
	{ 0x6c007efa, "insert_inode_locked" },
	{ 0x49fd58df, "page_symlink" },
	{ 0x311a033b, "dquot_resume" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x27a8b519, "setattr_copy" },
	{ 0xcd6288b3, "file_update_time" },
	{ 0x7e294c9a, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc3bc7dc7, "kmem_cache_alloc_lru_noprof" },
	{ 0xbc037f7, "kmem_cache_free" },
	{ 0x9b496b21, "posix_acl_alloc" },
	{ 0x184347a8, "security_inode_init_security" },
	{ 0x7e3b99ab, "from_kgid" },
	{ 0xbc2986c0, "__bh_read" },
	{ 0xd5263820, "mb_cache_destroy" },
	{ 0x2092327, "trace_event_reg" },
	{ 0x8bdfc47c, "__mb_cache_entry_free" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xb7a8c8f6, "blkdev_issue_zeroout" },
	{ 0x174d71c0, "file_remove_privs" },
	{ 0x83cc886f, "mpage_writepages" },
	{ 0xf1e046cc, "panic" },
	{ 0x61347034, "mb_cache_entry_delete_or_get" },
	{ 0x9f3c845c, "iov_iter_alignment" },
	{ 0xaf5ac7c2, "dax_writeback_mapping_range" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x6d89f485, "d_obtain_alias" },
	{ 0x4f6560b, "posix_acl_chmod" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xfe0558a9, "__bread_gfp" },
	{ 0xc6c062dc, "block_dirty_folio" },
	{ 0x87a4d2fc, "dquot_alloc_inode" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xd4188b12, "mpage_read_folio" },
	{ 0x9d2ce248, "from_kuid" },
	{ 0xdcb764ad, "memset" },
	{ 0xa218c05a, "iomap_fiemap" },
	{ 0xfe02b27d, "inode_owner_or_capable" },
	{ 0x50b80992, "mb_cache_entry_find_first" },
	{ 0x250f391e, "buffer_migrate_folio" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x437be782, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0xf9a2ba9f, "dax_truncate_page" },
	{ 0xfcdc0fc1, "from_kgid_munged" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0x668b19a1, "down_read" },
	{ 0xe97b7e07, "truncate_setsize" },
	{ 0x6b7c5b47, "dquot_get_dqblk" },
	{ 0x2da8d207, "bpf_trace_run3" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0xe6b4318f, "__dquot_alloc_space" },
	{ 0x84fced0e, "generic_encode_ino32_fh" },
	{ 0xf80d1851, "unlock_buffer" },
	{ 0x705109d4, "igrab" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xfd902db, "mb_cache_entry_create" },
	{ 0xc9fae843, "generic_read_dir" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x484cce2d, "d_instantiate_new" },
	{ 0xda2d7a21, "trace_event_buffer_reserve" },
	{ 0xe0dc0934, "__dquot_free_space" },
	{ 0x85df9b6c, "strsep" },
	{ 0xd78984a8, "mount_bdev" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x32f77ad4, "mpage_readahead" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0x4bbb3e25, "init_user_ns" },
	{ 0x92244def, "inode_set_ctime_current" },
	{ 0x2d9f9fea, "inc_nlink" },
	{ 0x5737dbe8, "seq_write" },
	{ 0x44e9a829, "match_token" },
	{ 0xa873d5b5, "__folio_put" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xe051027a, "dquot_quota_off" },
	{ 0x56470118, "__warn_printk" },
	{ 0x15a3545f, "generic_buffers_fsync" },
	{ 0x899fbd06, "seq_printf" },
	{ 0x7354a5d9, "touch_atime" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x902a1384, "__percpu_down_read" },
	{ 0xd36a68a, "__lock_buffer" },
	{ 0xe586dbb1, "posix_acl_update_mode" },
	{ 0x25820c64, "fs_overflowuid" },
	{ 0x14f9c25d, "__folio_lock" },
	{ 0x8cb339d9, "is_bad_inode" },
	{ 0x15ad86aa, "rcuwait_wake_up" },
	{ 0x65f73d39, "block_write_begin" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xc04183fb, "block_is_partially_uptodate" },
	{ 0x350fc0b0, "dquot_file_open" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xce5e23ab, "generic_fh_to_parent" },
	{ 0x8f052bf7, "filemap_splice_read" },
	{ 0xb71a1e0b, "from_kuid_munged" },
	{ 0xafc08054, "dotdot_name" },
	{ 0x91451e17, "filemap_write_and_wait_range" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x98cf60b3, "strlen" },
	{ 0x731ab66f, "clean_bdev_aliases" },
	{ 0xd07c84df, "generic_write_checks" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xb97b024a, "dquot_writeback_dquots" },
	{ 0xc188c736, "__mark_inode_dirty" },
	{ 0xe7508f4f, "generic_file_llseek" },
	{ 0x252240d2, "dquot_get_next_dqblk" },
	{ 0xec805f, "make_bad_inode" },
	{ 0x5359e8dc, "__kvmalloc_node_noprof" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xfceadf05, "mark_buffer_dirty_inode" },
	{ 0x981df304, "sb_min_blocksize" },
	{ 0x3a78bef4, "drop_nlink" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x4832e577, "iget_failed" },
	{ 0x309989e7, "kmem_cache_destroy" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x481814c4, "mb_cache_entry_find_next" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "7665E1A7A735382BD9D7123");
