#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fat_search_long, "_gpl", "");
KSYMTAB_FUNC(fat_get_dotdot_entry, "_gpl", "");
KSYMTAB_FUNC(fat_dir_empty, "_gpl", "");
KSYMTAB_FUNC(fat_scan, "_gpl", "");
KSYMTAB_FUNC(fat_remove_entries, "_gpl", "");
KSYMTAB_FUNC(fat_alloc_new_dir, "_gpl", "");
KSYMTAB_FUNC(fat_add_entries, "_gpl", "");
KSYMTAB_FUNC(fat_free_clusters, "_gpl", "");
KSYMTAB_FUNC(fat_getattr, "_gpl", "");
KSYMTAB_FUNC(fat_setattr, "_gpl", "");
KSYMTAB_FUNC(fat_attach, "_gpl", "");
KSYMTAB_FUNC(fat_detach, "_gpl", "");
KSYMTAB_FUNC(fat_build_inode, "_gpl", "");
KSYMTAB_FUNC(fat_reconfigure, "_gpl", "");
KSYMTAB_FUNC(fat_sync_inode, "_gpl", "");
KSYMTAB_DATA(fat_param_spec, "_gpl", "");
KSYMTAB_FUNC(fat_parse_param, "_gpl", "");
KSYMTAB_FUNC(fat_fill_super, "_gpl", "");
KSYMTAB_FUNC(fat_flush_inodes, "_gpl", "");
KSYMTAB_FUNC(fat_init_fs_context, "_gpl", "");
KSYMTAB_FUNC(fat_free_fc, "_gpl", "");
KSYMTAB_FUNC(__fat_fs_error, "_gpl", "");
KSYMTAB_FUNC(fat_time_fat2unix, "_gpl", "");
KSYMTAB_FUNC(fat_time_unix2fat, "_gpl", "");
KSYMTAB_FUNC(fat_truncate_time, "_gpl", "");
KSYMTAB_FUNC(fat_update_time, "_gpl", "");

SYMBOL_CRC(fat_search_long, 0x8e9301d3, "_gpl");
SYMBOL_CRC(fat_get_dotdot_entry, 0x73f7b4dd, "_gpl");
SYMBOL_CRC(fat_dir_empty, 0x2928f941, "_gpl");
SYMBOL_CRC(fat_scan, 0x780fdb19, "_gpl");
SYMBOL_CRC(fat_remove_entries, 0x86aabd06, "_gpl");
SYMBOL_CRC(fat_alloc_new_dir, 0xf683a20a, "_gpl");
SYMBOL_CRC(fat_add_entries, 0xf4387157, "_gpl");
SYMBOL_CRC(fat_free_clusters, 0xebbab2f6, "_gpl");
SYMBOL_CRC(fat_getattr, 0xd30f50bd, "_gpl");
SYMBOL_CRC(fat_setattr, 0x9dd4bf75, "_gpl");
SYMBOL_CRC(fat_attach, 0xc319199e, "_gpl");
SYMBOL_CRC(fat_detach, 0x11fbd254, "_gpl");
SYMBOL_CRC(fat_build_inode, 0x1b72013d, "_gpl");
SYMBOL_CRC(fat_reconfigure, 0x058b9e41, "_gpl");
SYMBOL_CRC(fat_sync_inode, 0x080317e2, "_gpl");
SYMBOL_CRC(fat_param_spec, 0xa09b7915, "_gpl");
SYMBOL_CRC(fat_parse_param, 0x2d4f4001, "_gpl");
SYMBOL_CRC(fat_fill_super, 0x052d7ec7, "_gpl");
SYMBOL_CRC(fat_flush_inodes, 0x26d18365, "_gpl");
SYMBOL_CRC(fat_init_fs_context, 0x39311862, "_gpl");
SYMBOL_CRC(fat_free_fc, 0xc6c312ec, "_gpl");
SYMBOL_CRC(__fat_fs_error, 0xea99d2d1, "_gpl");
SYMBOL_CRC(fat_time_fat2unix, 0x43c7d4e8, "_gpl");
SYMBOL_CRC(fat_time_unix2fat, 0x389c10c7, "_gpl");
SYMBOL_CRC(fat_truncate_time, 0xa382f766, "_gpl");
SYMBOL_CRC(fat_update_time, 0xdd324bb2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x859ac43a, "filemap_fdatawrite" },
	{ 0x72e7e5f4, "generic_fillattr" },
	{ 0x735cb660, "setattr_prepare" },
	{ 0xd01896b3, "generic_block_bmap" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x93c24656, "sync_blockdev_nowait" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xe5675de8, "make_vfsgid" },
	{ 0xed30eb5e, "blk_start_plug" },
	{ 0x372e8e8a, "clear_inode" },
	{ 0x6e385b92, "generic_fh_to_dentry" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0x4ba278d2, "fs_param_is_string" },
	{ 0x502ddde, "new_inode" },
	{ 0xb38e6c7e, "mark_buffer_dirty" },
	{ 0xae651f43, "security_inode_setattr" },
	{ 0xb17c7914, "__find_get_block" },
	{ 0x862b321e, "filemap_fdatawrite_range" },
	{ 0xddf7b0f7, "inode_needs_sync" },
	{ 0x8c45392f, "__blockdev_direct_IO" },
	{ 0xd19d4bf4, "d_make_root" },
	{ 0xdcdbda2b, "__bforget" },
	{ 0xc662d045, "sb_set_blocksize" },
	{ 0xbbe8476c, "block_truncate_page" },
	{ 0x14dc8c4b, "write_dirty_buffer" },
	{ 0x816c581a, "sync_filesystem" },
	{ 0x2110b866, "fsnotify" },
	{ 0xa151e15d, "current_time" },
	{ 0x4829a47e, "memcpy" },
	{ 0x7c679517, "from_vfsuid" },
	{ 0xdfd85c8a, "inode_dio_wait" },
	{ 0x94086239, "iunique" },
	{ 0x37a0cba, "kfree" },
	{ 0x68490a28, "cont_write_begin" },
	{ 0xd0741cad, "iput" },
	{ 0x55626a62, "fs_param_is_enum" },
	{ 0xce656cfe, "fs_param_is_s32" },
	{ 0x78d205c5, "iter_file_splice_write" },
	{ 0x5754c6f0, "fs_param_is_bool" },
	{ 0x28e9c8e4, "generic_file_write_iter" },
	{ 0x3494ac55, "kmem_cache_create" },
	{ 0x278637be, "sync_inode_metadata" },
	{ 0xb005128f, "make_vfsuid" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xeb0e3322, "fs_param_is_u32" },
	{ 0xc5fb2669, "mnt_want_write_file" },
	{ 0x122c3a7e, "_printk" },
	{ 0x3874463, "block_invalidate_folio" },
	{ 0xb5c1600f, "__breadahead" },
	{ 0x26e4b42c, "generic_write_end" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x352f8e30, "load_nls" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x2471a381, "generic_cont_expand_simple" },
	{ 0x3280e341, "truncate_inode_pages_final" },
	{ 0xc271b981, "generic_file_mmap" },
	{ 0x5ad027e9, "sync_mapping_buffers" },
	{ 0xf321ef79, "ilookup" },
	{ 0x1de4163f, "invalidate_inode_buffers" },
	{ 0x8ea9edee, "blk_finish_plug" },
	{ 0x7e6f149, "bdev_getblk" },
	{ 0xc6cbbc89, "capable" },
	{ 0x158596be, "mnt_drop_write_file" },
	{ 0x9cd4fd82, "fs_param_is_gid" },
	{ 0x979afabd, "inode_init_once" },
	{ 0x54b50667, "compat_ptr_ioctl" },
	{ 0xeef0a9d1, "__fsnotify_parent" },
	{ 0x800473f, "__cond_resched" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0x2c48f401, "__brelse" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xab476fb1, "generic_file_read_iter" },
	{ 0x136a48c0, "inode_maybe_inc_iversion" },
	{ 0x86b357ea, "truncate_pagecache" },
	{ 0xd466ca3b, "sync_dirty_buffer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x27a8b519, "setattr_copy" },
	{ 0xb41f8c04, "__wait_on_buffer" },
	{ 0x7e294c9a, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc3bc7dc7, "kmem_cache_alloc_lru_noprof" },
	{ 0xbc037f7, "kmem_cache_free" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x5a921311, "strncmp" },
	{ 0x83cc886f, "mpage_writepages" },
	{ 0xf1e046cc, "panic" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xa36d4495, "from_vfsgid" },
	{ 0x96da08c7, "write_inode_now" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x6d89f485, "d_obtain_alias" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xfe0558a9, "__bread_gfp" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xc6c062dc, "block_dirty_folio" },
	{ 0xd4188b12, "mpage_read_folio" },
	{ 0xdcb764ad, "memset" },
	{ 0xb444b67d, "__insert_inode_hash" },
	{ 0x250f391e, "buffer_migrate_folio" },
	{ 0xd235061c, "kmem_cache_alloc_noprof" },
	{ 0xfcdc0fc1, "from_kgid_munged" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xe97b7e07, "truncate_setsize" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x84fced0e, "generic_encode_ino32_fh" },
	{ 0xf80d1851, "unlock_buffer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x705109d4, "igrab" },
	{ 0xc9fae843, "generic_read_dir" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x32f77ad4, "mpage_readahead" },
	{ 0x4b42c7e4, "filemap_fdatawait_range" },
	{ 0x3096be16, "names_cachep" },
	{ 0x4bbb3e25, "init_user_ns" },
	{ 0x5737dbe8, "seq_write" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x899fbd06, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0xd36a68a, "__lock_buffer" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xe69b7f5d, "blkdev_issue_flush" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xce5e23ab, "generic_fh_to_parent" },
	{ 0x879bc954, "__fs_parse" },
	{ 0x8f052bf7, "filemap_splice_read" },
	{ 0xb71a1e0b, "from_kuid_munged" },
	{ 0xe3bbc4db, "__generic_file_fsync" },
	{ 0x5469406a, "d_parent_ino" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xc188c736, "__mark_inode_dirty" },
	{ 0xe7508f4f, "generic_file_llseek" },
	{ 0x1cb9f9d6, "unload_nls" },
	{ 0x53b954a2, "up_read" },
	{ 0xfceadf05, "mark_buffer_dirty_inode" },
	{ 0x981df304, "sb_min_blocksize" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x66c46296, "fs_param_is_uid" },
	{ 0x309989e7, "kmem_cache_destroy" },
	{ 0x23289d8d, "blkdev_issue_discard" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "D3359370BE139905C0B0DF6");
