#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xd01896b3, "generic_block_bmap" },
	{ 0xd277ba66, "flush_dcache_page" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x4ba278d2, "fs_param_is_string" },
	{ 0x4e671beb, "dump_page" },
	{ 0xafb6a8f5, "init_special_inode" },
	{ 0x50559c2, "unregister_filesystem" },
	{ 0xd19d4bf4, "d_make_root" },
	{ 0xc662d045, "sb_set_blocksize" },
	{ 0x816c581a, "sync_filesystem" },
	{ 0xec130f3b, "d_splice_alias" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xd0741cad, "iput" },
	{ 0x55626a62, "fs_param_is_enum" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x35a88f28, "zlib_inflateInit2" },
	{ 0xa59501be, "register_filesystem" },
	{ 0x3494ac55, "kmem_cache_create" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xeb0e3322, "fs_param_is_u32" },
	{ 0xd4e6875d, "kill_block_super" },
	{ 0xf9e8a4c3, "unlock_new_inode" },
	{ 0x122c3a7e, "_printk" },
	{ 0x96b29254, "strncasecmp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x352f8e30, "load_nls" },
	{ 0xedf92aba, "make_kuid" },
	{ 0x581e9a37, "__free_pages" },
	{ 0x7e6f149, "bdev_getblk" },
	{ 0x9cd4fd82, "fs_param_is_gid" },
	{ 0x979afabd, "inode_init_once" },
	{ 0x800473f, "__cond_resched" },
	{ 0x581f98da, "zlib_inflate" },
	{ 0xedbba468, "cdrom_read_tocentry" },
	{ 0x2c48f401, "__brelse" },
	{ 0x809178d9, "inode_nohighmem" },
	{ 0x5b505dc4, "unlock_page" },
	{ 0x581bfbd6, "generic_ro_fops" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2f5338ab, "__bh_read_batch" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0xb41f8c04, "__wait_on_buffer" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7e294c9a, "set_nlink" },
	{ 0xc3bc7dc7, "kmem_cache_alloc_lru_noprof" },
	{ 0xbc037f7, "kmem_cache_free" },
	{ 0x5a921311, "strncmp" },
	{ 0xce5ac24f, "zlib_inflate_workspacesize" },
	{ 0x143fd6f4, "cdrom_multisession" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x6d89f485, "d_obtain_alias" },
	{ 0xbb9c0973, "__put_devmap_managed_folio_refs" },
	{ 0xfe0558a9, "__bread_gfp" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x2b2094f2, "folio_end_read" },
	{ 0x11089ac7, "_ctype" },
	{ 0xd4188b12, "mpage_read_folio" },
	{ 0xdcb764ad, "memset" },
	{ 0x437be782, "make_kgid" },
	{ 0xfcdc0fc1, "from_kgid_munged" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x999e8297, "vfree" },
	{ 0xc9fae843, "generic_read_dir" },
	{ 0x7cca3cac, "page_symlink_inode_operations" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x32f77ad4, "mpage_readahead" },
	{ 0xfb2f8a4, "mktime64" },
	{ 0x4bbb3e25, "init_user_ns" },
	{ 0x5737dbe8, "seq_write" },
	{ 0xa873d5b5, "__folio_put" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x38a8754b, "get_tree_bdev" },
	{ 0x899fbd06, "seq_printf" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0x557d1823, "alloc_pages_noprof" },
	{ 0x3ee3404d, "pagecache_get_page" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x879bc954, "__fs_parse" },
	{ 0xb71a1e0b, "from_kuid_munged" },
	{ 0x5469406a, "d_parent_ino" },
	{ 0xe45ca89f, "iget5_locked" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xe7508f4f, "generic_file_llseek" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x1cb9f9d6, "unload_nls" },
	{ 0x107e5878, "zlib_inflateEnd" },
	{ 0x981df304, "sb_min_blocksize" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x4832e577, "iget_failed" },
	{ 0x66c46296, "fs_param_is_uid" },
	{ 0x309989e7, "kmem_cache_destroy" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4D15188BFBF267CAB6C4A39");
