#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(register_nfs_version, "_gpl", "");
KSYMTAB_FUNC(unregister_nfs_version, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_client, "_gpl", "");
KSYMTAB_FUNC(nfs_free_client, "_gpl", "");
KSYMTAB_FUNC(nfs_put_client, "_gpl", "");
KSYMTAB_FUNC(nfs_client_init_is_complete, "_gpl", "");
KSYMTAB_FUNC(nfs_client_init_status, "_gpl", "");
KSYMTAB_FUNC(nfs_wait_client_init_complete, "_gpl", "");
KSYMTAB_FUNC(nfs_get_client, "_gpl", "");
KSYMTAB_FUNC(nfs_mark_client_ready, "_gpl", "");
KSYMTAB_FUNC(nfs_init_timeout_values, "_gpl", "");
KSYMTAB_FUNC(nfs_create_rpc_client, "_gpl", "");
KSYMTAB_FUNC(nfs_init_server_rpcclient, "_gpl", "");
KSYMTAB_FUNC(nfs_init_client, "_gpl", "");
KSYMTAB_FUNC(nfs_probe_server, "_gpl", "");
KSYMTAB_FUNC(nfs_server_copy_userdata, "_gpl", "");
KSYMTAB_FUNC(nfs_server_insert_lists, "_gpl", "");
KSYMTAB_FUNC(nfs_server_remove_lists, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_server, "_gpl", "");
KSYMTAB_FUNC(nfs_free_server, "_gpl", "");
KSYMTAB_FUNC(nfs_create_server, "_gpl", "");
KSYMTAB_FUNC(nfs_clone_server, "_gpl", "");
KSYMTAB_FUNC(nfs_force_lookup_revalidate, "_gpl", "");
KSYMTAB_FUNC(nfs_set_verifier, "_gpl", "");
KSYMTAB_FUNC(nfs_clear_verifier_delegated, "_gpl", "");
KSYMTAB_DATA(nfs_dentry_operations, "_gpl", "");
KSYMTAB_FUNC(nfs_lookup, "_gpl", "");
KSYMTAB_FUNC(nfs_d_prune_case_insensitive_aliases, "_gpl", "");
KSYMTAB_DATA(nfs4_dentry_operations, "_gpl", "");
KSYMTAB_FUNC(nfs_atomic_open, "_gpl", "");
KSYMTAB_FUNC(nfs_atomic_open_v23, "_gpl", "");
KSYMTAB_FUNC(nfs_add_or_obtain, "_gpl", "");
KSYMTAB_FUNC(nfs_instantiate, "_gpl", "");
KSYMTAB_FUNC(nfs_create, "_gpl", "");
KSYMTAB_FUNC(nfs_mknod, "_gpl", "");
KSYMTAB_FUNC(nfs_mkdir, "_gpl", "");
KSYMTAB_FUNC(nfs_rmdir, "_gpl", "");
KSYMTAB_FUNC(nfs_unlink, "_gpl", "");
KSYMTAB_FUNC(nfs_symlink, "_gpl", "");
KSYMTAB_FUNC(nfs_link, "_gpl", "");
KSYMTAB_FUNC(nfs_rename, "_gpl", "");
KSYMTAB_FUNC(nfs_access_zap_cache, "_gpl", "");
KSYMTAB_FUNC(nfs_access_get_cached, "_gpl", "");
KSYMTAB_FUNC(nfs_access_add_cache, "_gpl", "");
KSYMTAB_FUNC(nfs_access_set_mask, "_gpl", "");
KSYMTAB_FUNC(nfs_may_open, "_gpl", "");
KSYMTAB_FUNC(nfs_permission, "_gpl", "");
KSYMTAB_FUNC(nfs_check_flags, "_gpl", "");
KSYMTAB_FUNC(nfs_file_release, "_gpl", "");
KSYMTAB_FUNC(nfs_file_llseek, "_gpl", "");
KSYMTAB_FUNC(nfs_file_read, "_gpl", "");
KSYMTAB_FUNC(nfs_file_splice_read, "_gpl", "");
KSYMTAB_FUNC(nfs_file_mmap, "_gpl", "");
KSYMTAB_FUNC(nfs_file_fsync, "_gpl", "");
KSYMTAB_FUNC(nfs_file_write, "_gpl", "");
KSYMTAB_FUNC(nfs_lock, "_gpl", "");
KSYMTAB_FUNC(nfs_flock, "_gpl", "");
KSYMTAB_DATA(nfs_file_operations, "_gpl", "");
KSYMTAB_FUNC(nfs_wait_bit_killable, "_gpl", "");
KSYMTAB_FUNC(nfs_drop_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_clear_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_sync_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_check_cache_invalid, "_gpl", "");
KSYMTAB_FUNC(nfs_set_cache_invalid, "_gpl", "");
KSYMTAB_FUNC(nfs_zap_acl_cache, "_gpl", "");
KSYMTAB_FUNC(nfs_invalidate_atime, "_gpl", "");
KSYMTAB_FUNC(nfs4_label_alloc, "_gpl", "");
KSYMTAB_FUNC(nfs_setsecurity, "_gpl", "");
KSYMTAB_FUNC(nfs_fhget, "_gpl", "");
KSYMTAB_FUNC(nfs_update_delegated_mtime, "_gpl", "");
KSYMTAB_FUNC(nfs_setattr, "_gpl", "");
KSYMTAB_FUNC(nfs_setattr_update_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_getattr, "_gpl", "");
KSYMTAB_FUNC(nfs_get_lock_context, "_gpl", "");
KSYMTAB_FUNC(nfs_put_lock_context, "_gpl", "");
KSYMTAB_FUNC(nfs_close_context, "_gpl", "");
KSYMTAB_FUNC(alloc_nfs_open_context, "_gpl", "");
KSYMTAB_FUNC(get_nfs_open_context, "_gpl", "");
KSYMTAB_FUNC(put_nfs_open_context, "_gpl", "");
KSYMTAB_FUNC(nfs_inode_attach_open_context, "_gpl", "");
KSYMTAB_FUNC(nfs_file_set_open_context, "_gpl", "");
KSYMTAB_FUNC(nfs_revalidate_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_inc_attr_generation_counter, "_gpl", "");
KSYMTAB_FUNC(nfs_fattr_init, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_fattr, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_fattr_with_label, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_fhandle, "_gpl", "");
KSYMTAB_FUNC(_nfs_display_fhandle_hash, "_gpl", "");
KSYMTAB_FUNC(_nfs_display_fhandle, "_gpl", "");
KSYMTAB_FUNC(nfs_refresh_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_post_op_update_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_post_op_update_inode_force_wcc, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_free_inode, "_gpl", "");
KSYMTAB_DATA(nfsiod_workqueue, "_gpl", "");
KSYMTAB_DATA(nfs_net_id, "_gpl", "");
KSYMTAB_DATA(nfs_sops, "_gpl", "");
KSYMTAB_FUNC(nfs_sb_active, "_gpl", "");
KSYMTAB_FUNC(nfs_sb_deactive, "_gpl", "");
KSYMTAB_FUNC(nfs_client_for_each_server, "_gpl", "");
KSYMTAB_FUNC(nfs_statfs, "_gpl", "");
KSYMTAB_FUNC(nfs_show_options, "_gpl", "");
KSYMTAB_FUNC(nfs_show_devname, "_gpl", "");
KSYMTAB_FUNC(nfs_show_path, "_gpl", "");
KSYMTAB_FUNC(nfs_show_stats, "_gpl", "");
KSYMTAB_FUNC(nfs_umount_begin, "_gpl", "");
KSYMTAB_FUNC(nfs_auth_info_match, "_gpl", "");
KSYMTAB_FUNC(nfs_try_get_tree, "_gpl", "");
KSYMTAB_FUNC(nfs_reconfigure, "_gpl", "");
KSYMTAB_FUNC(nfs_kill_super, "_gpl", "");
KSYMTAB_DATA(nfs_callback_nr_threads, "_gpl", "");
KSYMTAB_DATA(nfs_callback_set_tcpport, "_gpl", "");
KSYMTAB_DATA(nfs_idmap_cache_timeout, "_gpl", "");
KSYMTAB_DATA(nfs4_disable_idmapping, "_gpl", "");
KSYMTAB_DATA(max_session_slots, "_gpl", "");
KSYMTAB_DATA(max_session_cb_slots, "_gpl", "");
KSYMTAB_DATA(send_implementation_id, "_gpl", "");
KSYMTAB_DATA(nfs4_client_id_uniquifier, "_gpl", "");
KSYMTAB_DATA(recover_lost_locks, "_gpl", "");
KSYMTAB_DATA(nfs_delay_retrans, "_gpl", "");
KSYMTAB_FUNC(nfs_dreq_bytes_left, "_gpl", "");
KSYMTAB_FUNC(nfs_pgio_current_mirror, "_gpl", "");
KSYMTAB_FUNC(nfs_pgheader_init, "_gpl", "");
KSYMTAB_FUNC(nfs_async_iocounter_wait, "_gpl", "");
KSYMTAB_FUNC(nfs_release_request, "_gpl", "");
KSYMTAB_FUNC(nfs_generic_pg_test, "_gpl", "");
KSYMTAB_FUNC(nfs_pgio_header_alloc, "_gpl", "");
KSYMTAB_FUNC(nfs_pgio_header_free, "_gpl", "");
KSYMTAB_FUNC(nfs_initiate_pgio, "_gpl", "");
KSYMTAB_FUNC(nfs_generic_pgio, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_resend, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_init_read, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_reset_read_mds, "_gpl", "");
KSYMTAB_FUNC(nfs_read_alloc_scratch, "_gpl", "");
KSYMTAB_FUNC(nfs_commitdata_alloc, "_gpl", "");
KSYMTAB_FUNC(nfs_commit_free, "_gpl", "");
KSYMTAB_FUNC(nfs_request_add_commit_list_locked, "_gpl", "");
KSYMTAB_FUNC(nfs_request_add_commit_list, "_gpl", "");
KSYMTAB_FUNC(nfs_request_remove_commit_list, "_gpl", "");
KSYMTAB_FUNC(nfs_init_cinfo, "_gpl", "");
KSYMTAB_FUNC(nfs_scan_commit_list, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_init_write, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_reset_write_mds, "_gpl", "");
KSYMTAB_FUNC(nfs_writeback_update_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_commitdata_release, "_gpl", "");
KSYMTAB_FUNC(nfs_initiate_commit, "_gpl", "");
KSYMTAB_FUNC(nfs_init_commit, "_gpl", "");
KSYMTAB_FUNC(nfs_retry_commit, "_gpl", "");
KSYMTAB_FUNC(nfs_commit_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_write_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_filemap_write_and_wait_range, "_gpl", "");
KSYMTAB_FUNC(nfs_wb_all, "_gpl", "");
KSYMTAB_FUNC(nfs_path, "_gpl", "");
KSYMTAB_FUNC(nfs_do_submount, "_gpl", "");
KSYMTAB_FUNC(nfs_submount, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_fsync_enter, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_fsync_enter, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_fsync_enter, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_fsync_exit, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_fsync_exit, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_fsync_exit, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_xdr_status, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_xdr_status, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_xdr_status, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_xdr_bad_filehandle, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_xdr_bad_filehandle, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_xdr_bad_filehandle, "_gpl", "");
KSYMTAB_FUNC(nfs_sysfs_link_rpc_client, "_gpl", "");
KSYMTAB_FUNC(nfs_sysfs_add_server, "_gpl", "");
KSYMTAB_DATA(nfs_fs_type, "_gpl", "");
KSYMTAB_DATA(nfs4_fs_type, "_gpl", "");
KSYMTAB_FUNC(nfs_fscache_open_file, "_gpl", "");

SYMBOL_CRC(register_nfs_version, 0x42a7e719, "_gpl");
SYMBOL_CRC(unregister_nfs_version, 0x6507a49c, "_gpl");
SYMBOL_CRC(nfs_alloc_client, 0xe35cce4d, "_gpl");
SYMBOL_CRC(nfs_free_client, 0x14c1227b, "_gpl");
SYMBOL_CRC(nfs_put_client, 0x15fd007d, "_gpl");
SYMBOL_CRC(nfs_client_init_is_complete, 0x4a9d49f7, "_gpl");
SYMBOL_CRC(nfs_client_init_status, 0xb11332d7, "_gpl");
SYMBOL_CRC(nfs_wait_client_init_complete, 0xfbb53b60, "_gpl");
SYMBOL_CRC(nfs_get_client, 0x124b0aec, "_gpl");
SYMBOL_CRC(nfs_mark_client_ready, 0xdede7cec, "_gpl");
SYMBOL_CRC(nfs_init_timeout_values, 0x98b0ece8, "_gpl");
SYMBOL_CRC(nfs_create_rpc_client, 0x838be7b2, "_gpl");
SYMBOL_CRC(nfs_init_server_rpcclient, 0x9afb383b, "_gpl");
SYMBOL_CRC(nfs_init_client, 0xfe902019, "_gpl");
SYMBOL_CRC(nfs_probe_server, 0xed211d8f, "_gpl");
SYMBOL_CRC(nfs_server_copy_userdata, 0xa1ad0640, "_gpl");
SYMBOL_CRC(nfs_server_insert_lists, 0x3361ebc5, "_gpl");
SYMBOL_CRC(nfs_server_remove_lists, 0x0f758c17, "_gpl");
SYMBOL_CRC(nfs_alloc_server, 0xa1b4535a, "_gpl");
SYMBOL_CRC(nfs_free_server, 0x5df4df20, "_gpl");
SYMBOL_CRC(nfs_create_server, 0x6ded725c, "_gpl");
SYMBOL_CRC(nfs_clone_server, 0x7c101157, "_gpl");
SYMBOL_CRC(nfs_force_lookup_revalidate, 0x7771f570, "_gpl");
SYMBOL_CRC(nfs_set_verifier, 0x0f20c8ac, "_gpl");
SYMBOL_CRC(nfs_clear_verifier_delegated, 0xa9e4ae4c, "_gpl");
SYMBOL_CRC(nfs_dentry_operations, 0xb6d66def, "_gpl");
SYMBOL_CRC(nfs_lookup, 0x2e90e0f7, "_gpl");
SYMBOL_CRC(nfs_d_prune_case_insensitive_aliases, 0x670fd1e9, "_gpl");
SYMBOL_CRC(nfs4_dentry_operations, 0x87325d60, "_gpl");
SYMBOL_CRC(nfs_atomic_open, 0xeef6d939, "_gpl");
SYMBOL_CRC(nfs_atomic_open_v23, 0x13f39471, "_gpl");
SYMBOL_CRC(nfs_add_or_obtain, 0x40d6cfe6, "_gpl");
SYMBOL_CRC(nfs_instantiate, 0x7f4894a6, "_gpl");
SYMBOL_CRC(nfs_create, 0x0a2b9eb9, "_gpl");
SYMBOL_CRC(nfs_mknod, 0xb0b25def, "_gpl");
SYMBOL_CRC(nfs_mkdir, 0xb3dee66e, "_gpl");
SYMBOL_CRC(nfs_rmdir, 0x71fd52ca, "_gpl");
SYMBOL_CRC(nfs_unlink, 0xf6ce38f6, "_gpl");
SYMBOL_CRC(nfs_symlink, 0x253db3da, "_gpl");
SYMBOL_CRC(nfs_link, 0xaed1daea, "_gpl");
SYMBOL_CRC(nfs_rename, 0x60af217f, "_gpl");
SYMBOL_CRC(nfs_access_zap_cache, 0xce1c012b, "_gpl");
SYMBOL_CRC(nfs_access_get_cached, 0xc7675985, "_gpl");
SYMBOL_CRC(nfs_access_add_cache, 0x668ade81, "_gpl");
SYMBOL_CRC(nfs_access_set_mask, 0x08e162a8, "_gpl");
SYMBOL_CRC(nfs_may_open, 0x19a2736b, "_gpl");
SYMBOL_CRC(nfs_permission, 0xa0546d7a, "_gpl");
SYMBOL_CRC(nfs_check_flags, 0x3f2690f2, "_gpl");
SYMBOL_CRC(nfs_file_release, 0xbe73de80, "_gpl");
SYMBOL_CRC(nfs_file_llseek, 0x52ab073e, "_gpl");
SYMBOL_CRC(nfs_file_read, 0x92d9c2d3, "_gpl");
SYMBOL_CRC(nfs_file_splice_read, 0xb5a311da, "_gpl");
SYMBOL_CRC(nfs_file_mmap, 0x039add5a, "_gpl");
SYMBOL_CRC(nfs_file_fsync, 0xd220405a, "_gpl");
SYMBOL_CRC(nfs_file_write, 0x4d06cb5b, "_gpl");
SYMBOL_CRC(nfs_lock, 0xec800d6f, "_gpl");
SYMBOL_CRC(nfs_flock, 0x76307f06, "_gpl");
SYMBOL_CRC(nfs_file_operations, 0x2e0b384f, "_gpl");
SYMBOL_CRC(nfs_wait_bit_killable, 0x40739385, "_gpl");
SYMBOL_CRC(nfs_drop_inode, 0xfa104056, "_gpl");
SYMBOL_CRC(nfs_clear_inode, 0x5766cfae, "_gpl");
SYMBOL_CRC(nfs_sync_inode, 0x5d865be2, "_gpl");
SYMBOL_CRC(nfs_check_cache_invalid, 0x0741b309, "_gpl");
SYMBOL_CRC(nfs_set_cache_invalid, 0x64214aaa, "_gpl");
SYMBOL_CRC(nfs_zap_acl_cache, 0x1ed81b1e, "_gpl");
SYMBOL_CRC(nfs_invalidate_atime, 0xddc7beba, "_gpl");
SYMBOL_CRC(nfs4_label_alloc, 0x50fbc69d, "_gpl");
SYMBOL_CRC(nfs_setsecurity, 0x0e9b2322, "_gpl");
SYMBOL_CRC(nfs_fhget, 0xa79f0858, "_gpl");
SYMBOL_CRC(nfs_update_delegated_mtime, 0xdd118479, "_gpl");
SYMBOL_CRC(nfs_setattr, 0xd6104ee7, "_gpl");
SYMBOL_CRC(nfs_setattr_update_inode, 0x57349747, "_gpl");
SYMBOL_CRC(nfs_getattr, 0x7a07ef09, "_gpl");
SYMBOL_CRC(nfs_get_lock_context, 0xb7010a18, "_gpl");
SYMBOL_CRC(nfs_put_lock_context, 0x5dfb9464, "_gpl");
SYMBOL_CRC(nfs_close_context, 0x67c33926, "_gpl");
SYMBOL_CRC(alloc_nfs_open_context, 0x4e3e2544, "_gpl");
SYMBOL_CRC(get_nfs_open_context, 0x6758bea7, "_gpl");
SYMBOL_CRC(put_nfs_open_context, 0xff57f794, "_gpl");
SYMBOL_CRC(nfs_inode_attach_open_context, 0x6ab3196e, "_gpl");
SYMBOL_CRC(nfs_file_set_open_context, 0xbeab0433, "_gpl");
SYMBOL_CRC(nfs_revalidate_inode, 0xf1a61a99, "_gpl");
SYMBOL_CRC(nfs_inc_attr_generation_counter, 0x584b8482, "_gpl");
SYMBOL_CRC(nfs_fattr_init, 0xa05ca625, "_gpl");
SYMBOL_CRC(nfs_alloc_fattr, 0x832e8f0b, "_gpl");
SYMBOL_CRC(nfs_alloc_fattr_with_label, 0x37c0bbd7, "_gpl");
SYMBOL_CRC(nfs_alloc_fhandle, 0x26884ff7, "_gpl");
SYMBOL_CRC(_nfs_display_fhandle_hash, 0x22d795a8, "_gpl");
SYMBOL_CRC(_nfs_display_fhandle, 0xfc619abd, "_gpl");
SYMBOL_CRC(nfs_refresh_inode, 0x93a38a15, "_gpl");
SYMBOL_CRC(nfs_post_op_update_inode, 0xac03db35, "_gpl");
SYMBOL_CRC(nfs_post_op_update_inode_force_wcc, 0xe31170e8, "_gpl");
SYMBOL_CRC(nfs_alloc_inode, 0x2fe8b68b, "_gpl");
SYMBOL_CRC(nfs_free_inode, 0xfb875e0d, "_gpl");
SYMBOL_CRC(nfsiod_workqueue, 0x90a5530f, "_gpl");
SYMBOL_CRC(nfs_net_id, 0xc3a2be67, "_gpl");
SYMBOL_CRC(nfs_sops, 0x5e1e151a, "_gpl");
SYMBOL_CRC(nfs_sb_active, 0xeb6781cf, "_gpl");
SYMBOL_CRC(nfs_sb_deactive, 0x06f7655c, "_gpl");
SYMBOL_CRC(nfs_client_for_each_server, 0xc27025f2, "_gpl");
SYMBOL_CRC(nfs_statfs, 0xe32fc9ca, "_gpl");
SYMBOL_CRC(nfs_show_options, 0x4ee46174, "_gpl");
SYMBOL_CRC(nfs_show_devname, 0x912c95d2, "_gpl");
SYMBOL_CRC(nfs_show_path, 0x857cab40, "_gpl");
SYMBOL_CRC(nfs_show_stats, 0xc1a52532, "_gpl");
SYMBOL_CRC(nfs_umount_begin, 0xde0d0773, "_gpl");
SYMBOL_CRC(nfs_auth_info_match, 0x10962bc2, "_gpl");
SYMBOL_CRC(nfs_try_get_tree, 0xa9403905, "_gpl");
SYMBOL_CRC(nfs_reconfigure, 0x513aab57, "_gpl");
SYMBOL_CRC(nfs_kill_super, 0xb00a6349, "_gpl");
SYMBOL_CRC(nfs_callback_nr_threads, 0x0294c6a2, "_gpl");
SYMBOL_CRC(nfs_callback_set_tcpport, 0x51892d61, "_gpl");
SYMBOL_CRC(nfs_idmap_cache_timeout, 0x39e05ac3, "_gpl");
SYMBOL_CRC(nfs4_disable_idmapping, 0xdae9b5d7, "_gpl");
SYMBOL_CRC(max_session_slots, 0x91d1fe52, "_gpl");
SYMBOL_CRC(max_session_cb_slots, 0xaafd4acc, "_gpl");
SYMBOL_CRC(send_implementation_id, 0xa8e9e1ae, "_gpl");
SYMBOL_CRC(nfs4_client_id_uniquifier, 0x42f2c81f, "_gpl");
SYMBOL_CRC(recover_lost_locks, 0x4cb9e001, "_gpl");
SYMBOL_CRC(nfs_delay_retrans, 0xefa414fb, "_gpl");
SYMBOL_CRC(nfs_dreq_bytes_left, 0x011ec3c0, "_gpl");
SYMBOL_CRC(nfs_pgio_current_mirror, 0x3b3f7fd0, "_gpl");
SYMBOL_CRC(nfs_pgheader_init, 0xc8e5a32c, "_gpl");
SYMBOL_CRC(nfs_async_iocounter_wait, 0x971767d0, "_gpl");
SYMBOL_CRC(nfs_release_request, 0x3ed32111, "_gpl");
SYMBOL_CRC(nfs_generic_pg_test, 0xe5ecf0af, "_gpl");
SYMBOL_CRC(nfs_pgio_header_alloc, 0xc09ec309, "_gpl");
SYMBOL_CRC(nfs_pgio_header_free, 0x4ca2f563, "_gpl");
SYMBOL_CRC(nfs_initiate_pgio, 0xff5501ee, "_gpl");
SYMBOL_CRC(nfs_generic_pgio, 0x297abcde, "_gpl");
SYMBOL_CRC(nfs_pageio_resend, 0x6c40b588, "_gpl");
SYMBOL_CRC(nfs_pageio_init_read, 0x231690f7, "_gpl");
SYMBOL_CRC(nfs_pageio_reset_read_mds, 0x65b8fb6e, "_gpl");
SYMBOL_CRC(nfs_read_alloc_scratch, 0x7e0d4910, "_gpl");
SYMBOL_CRC(nfs_commitdata_alloc, 0x01ae7195, "_gpl");
SYMBOL_CRC(nfs_commit_free, 0x09ca3206, "_gpl");
SYMBOL_CRC(nfs_request_add_commit_list_locked, 0x4efc386c, "_gpl");
SYMBOL_CRC(nfs_request_add_commit_list, 0x16a16d65, "_gpl");
SYMBOL_CRC(nfs_request_remove_commit_list, 0xb9f89799, "_gpl");
SYMBOL_CRC(nfs_init_cinfo, 0xe41050b9, "_gpl");
SYMBOL_CRC(nfs_scan_commit_list, 0xb0c35222, "_gpl");
SYMBOL_CRC(nfs_pageio_init_write, 0x2f4d9af6, "_gpl");
SYMBOL_CRC(nfs_pageio_reset_write_mds, 0x50d285c0, "_gpl");
SYMBOL_CRC(nfs_writeback_update_inode, 0x22054c48, "_gpl");
SYMBOL_CRC(nfs_commitdata_release, 0xabefde42, "_gpl");
SYMBOL_CRC(nfs_initiate_commit, 0x6880cb9e, "_gpl");
SYMBOL_CRC(nfs_init_commit, 0xb05751c6, "_gpl");
SYMBOL_CRC(nfs_retry_commit, 0x13777d2f, "_gpl");
SYMBOL_CRC(nfs_commit_inode, 0x2e487281, "_gpl");
SYMBOL_CRC(nfs_write_inode, 0x31752a5e, "_gpl");
SYMBOL_CRC(nfs_filemap_write_and_wait_range, 0x0366b4a3, "_gpl");
SYMBOL_CRC(nfs_wb_all, 0xd1ff7d15, "_gpl");
SYMBOL_CRC(nfs_path, 0x29d5f8a0, "_gpl");
SYMBOL_CRC(nfs_do_submount, 0x220a570e, "_gpl");
SYMBOL_CRC(nfs_submount, 0x684447a9, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_fsync_enter, 0x7e202e89, "_gpl");
SYMBOL_CRC(__traceiter_nfs_fsync_enter, 0x9962ad2f, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_fsync_enter, 0xf96f04c4, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_fsync_exit, 0x29086fa3, "_gpl");
SYMBOL_CRC(__traceiter_nfs_fsync_exit, 0x11e11ef3, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_fsync_exit, 0x6e81f032, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_xdr_status, 0x34566b51, "_gpl");
SYMBOL_CRC(__traceiter_nfs_xdr_status, 0xdb2fb07e, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_xdr_status, 0x73dff4c0, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_xdr_bad_filehandle, 0xbcc60c8d, "_gpl");
SYMBOL_CRC(__traceiter_nfs_xdr_bad_filehandle, 0xa8fea035, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_xdr_bad_filehandle, 0x95007f7e, "_gpl");
SYMBOL_CRC(nfs_sysfs_link_rpc_client, 0x56469aaa, "_gpl");
SYMBOL_CRC(nfs_sysfs_add_server, 0xeac7e11d, "_gpl");
SYMBOL_CRC(nfs_fs_type, 0x3738e569, "_gpl");
SYMBOL_CRC(nfs4_fs_type, 0x35f66fe0, "_gpl");
SYMBOL_CRC(nfs_fscache_open_file, 0x59a48d69, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfa159ccb, "rpc_put_task" },
	{ 0x1683e03a, "super_setup_bdi_name" },
	{ 0x96ddcdc4, "posix_test_lock" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xb24a356e, "inode_update_timestamps" },
	{ 0x859ac43a, "filemap_fdatawrite" },
	{ 0x72e7e5f4, "generic_fillattr" },
	{ 0x926317fe, "vfs_fsync_range" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xfce0789c, "shrinker_alloc" },
	{ 0xaf38aa4f, "clear_nlink" },
	{ 0xcd65e49, "file_check_and_advance_wb_err" },
	{ 0xd4845a05, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x4c9ab170, "d_alloc_parallel" },
	{ 0xd277ba66, "flush_dcache_page" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x3c185c61, "page_put_link" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x372e8e8a, "clear_inode" },
	{ 0x1ab5f18, "inode_to_bdi" },
	{ 0x4506c655, "bpf_trace_run4" },
	{ 0xb4cc6412, "__fscache_acquire_volume" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x9308ab62, "param_ops_ulong" },
	{ 0xac4038d6, "proc_dointvec_jiffies" },
	{ 0xb90d7a47, "rpc_proc_register" },
	{ 0x2a00bf37, "sysfs_create_file_ns" },
	{ 0x63e5b64d, "rpc_shutdown_client" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x4ba278d2, "fs_param_is_string" },
	{ 0x750f789f, "folio_unlock" },
	{ 0x6c954e70, "mnt_set_expiry" },
	{ 0x7665356a, "param_ops_ushort" },
	{ 0xe073f74c, "lookup_one_len" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x7bbde1b0, "rpc_clnt_show_stats" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x2074f95d, "filemap_map_pages" },
	{ 0xd2b59529, "xdr_inline_decode" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4e671beb, "dump_page" },
	{ 0x93b9a682, "trace_raw_output_prep" },
	{ 0x815c68ec, "kobject_rename" },
	{ 0xeb273152, "security_sb_set_mnt_opts" },
	{ 0xafb6a8f5, "init_special_inode" },
	{ 0x50559c2, "unregister_filesystem" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xd14a5993, "generic_error_remove_folio" },
	{ 0x556be6e0, "__trace_trigger_soft_disabled" },
	{ 0x862b321e, "filemap_fdatawrite_range" },
	{ 0xab26dd7f, "folio_wait_bit_killable" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xbc773afc, "rpc_wake_up" },
	{ 0xdd691402, "xprt_find_transport_ident" },
	{ 0xd19d4bf4, "d_make_root" },
	{ 0xcb6b138, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x816c581a, "sync_filesystem" },
	{ 0x6d031dc5, "__fscache_unuse_cookie" },
	{ 0x5abb0588, "folio_redirty_for_writepage" },
	{ 0x3f7e7abb, "sget_fc" },
	{ 0xec130f3b, "d_splice_alias" },
	{ 0x3f7c8b8f, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0x18764fbc, "unmap_mapping_range" },
	{ 0x845dcf46, "ihold" },
	{ 0xdfd85c8a, "inode_dio_wait" },
	{ 0xbef1f933, "generic_permission" },
	{ 0x37a0cba, "kfree" },
	{ 0x1de29a74, "invalidate_inode_pages2_range" },
	{ 0xe4603c46, "read_cache_page" },
	{ 0x47a49e12, "finish_open" },
	{ 0xd0741cad, "iput" },
	{ 0x4d78017d, "kset_unregister" },
	{ 0x2f70b144, "security_sb_clone_mnt_opts" },
	{ 0x55626a62, "fs_param_is_enum" },
	{ 0x8ae484ab, "logfc" },
	{ 0x78d205c5, "iter_file_splice_write" },
	{ 0x975030f6, "rpc_pton" },
	{ 0xca907f6c, "mod_node_page_state" },
	{ 0x32214a39, "rpc_wake_up_queued_task" },
	{ 0xc4e40b90, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x38a505c9, "remove_proc_subtree" },
	{ 0xcdf8e461, "rpc_restart_call_prepare" },
	{ 0xec9e214, "d_lookup" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x2b02565, "__module_get" },
	{ 0xfcd85aeb, "__fscache_relinquish_cookie" },
	{ 0xa59501be, "register_filesystem" },
	{ 0x3494ac55, "kmem_cache_create" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xd808d242, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x5e651d9f, "trace_print_hex_seq" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0x92ea64ab, "filemap_add_folio" },
	{ 0x13b78542, "rpc_sleep_on" },
	{ 0x2df3c7d0, "rpc_run_task" },
	{ 0xf90d6e36, "netfs_readahead" },
	{ 0x9de7ff27, "proc_create_net_data" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xcf9106a0, "d_prune_aliases" },
	{ 0xb15b2d, "__put_cred" },
	{ 0x8f0d0005, "register_pernet_subsys" },
	{ 0x4fc0a3e, "rpc_cancel_tasks" },
	{ 0xf4f67952, "shrinker_free" },
	{ 0xfb6dfa14, "trace_event_buffer_commit" },
	{ 0xb678366f, "int_sqrt" },
	{ 0xaac7555c, "migrate_folio" },
	{ 0x55711508, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xc6d2734c, "add_swap_extent" },
	{ 0xeb0e3322, "fs_param_is_u32" },
	{ 0x774f8fa8, "inode_newsize_ok" },
	{ 0xef660452, "d_drop" },
	{ 0x24a57cd9, "deactivate_super" },
	{ 0xf9e8a4c3, "unlock_new_inode" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x33ba90b, "security_sb_mnt_opts_compat" },
	{ 0x569133b7, "param_get_uint" },
	{ 0xcdace16d, "vfs_parse_fs_string" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x1693c4c3, "unregister_sysctl_table" },
	{ 0xedf92aba, "make_kuid" },
	{ 0x3280e341, "truncate_inode_pages_final" },
	{ 0xcc5ba663, "d_alloc" },
	{ 0x88fcd16f, "fs_kobj" },
	{ 0x615f183a, "net_ns_type_operations" },
	{ 0x64dacef, "__filemap_set_wb_err" },
	{ 0xc271b981, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0x686a1e05, "generic_perform_write" },
	{ 0xa7ff7035, "shrinker_register" },
	{ 0xbb4993b1, "__filemap_get_folio" },
	{ 0x6545a5ca, "simple_nosetlease" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0x1f9a9c72, "module_put" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x75291457, "rpc_setbufsize" },
	{ 0xfd1e2d30, "fs_context_for_submount" },
	{ 0x979afabd, "inode_init_once" },
	{ 0xf718b03b, "folio_wait_private_2" },
	{ 0x7f68872b, "file_write_and_wait_range" },
	{ 0x769f6e64, "errseq_check" },
	{ 0x800473f, "__cond_resched" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x7f719e7f, "__fscache_relinquish_volume" },
	{ 0x58e3306d, "bit_wait_io" },
	{ 0xd0ac59c7, "seq_escape_mem" },
	{ 0x2f24c40c, "ilookup5" },
	{ 0xfeb343d1, "mempool_alloc_noprof" },
	{ 0x83b27a72, "generic_parse_monolithic" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x809178d9, "inode_nohighmem" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x4bb807c7, "perf_trace_run_bpf_submit" },
	{ 0x3dffc921, "security_d_instantiate" },
	{ 0x57bc19d2, "down_write" },
	{ 0x41482d8b, "strndup_user" },
	{ 0xce807a25, "up_write" },
	{ 0xab476fb1, "generic_file_read_iter" },
	{ 0xaf9f69e2, "rpc_clone_client_set_auth" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xa07a37f0, "memchr" },
	{ 0x86b357ea, "truncate_pagecache" },
	{ 0x3e15607d, "put_fs_context" },
	{ 0xfc3f6dd1, "rpc_peeraddr2str" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xa954ed62, "kobj_sysfs_ops" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x44494c12, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xd367224, "write_cache_pages" },
	{ 0x7e294c9a, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc3bc7dc7, "kmem_cache_alloc_lru_noprof" },
	{ 0xbc037f7, "kmem_cache_free" },
	{ 0xa5d4fa71, "rpc_max_payload" },
	{ 0x82d79b51, "sysctl_vfs_cache_pressure" },
	{ 0xe0d56fbb, "d_move" },
	{ 0x6f2c2cc6, "seq_putc" },
	{ 0x2253e9bf, "rpc_proc_unregister" },
	{ 0x2092327, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x54e0b915, "vfs_create_mount" },
	{ 0x64db9a5, "mark_mounts_for_expiry" },
	{ 0x120c54fc, "folio_wait_writeback" },
	{ 0xffb7c514, "ida_free" },
	{ 0x7be16a29, "nlmclnt_rpc_clnt" },
	{ 0x950adf99, "rpc_clnt_swap_activate" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x3f9a2b0b, "rpcauth_get_gssinfo" },
	{ 0x12730c7e, "kobject_init_and_add" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x96da08c7, "write_inode_now" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x6d89f485, "d_obtain_alias" },
	{ 0xbb9c0973, "__put_devmap_managed_folio_refs" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x2b2094f2, "folio_end_read" },
	{ 0x20463df4, "wait_for_completion_killable" },
	{ 0x1b0ba04c, "rpc_create" },
	{ 0x38abebab, "finish_no_open" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xb78f2b2d, "__folio_start_writeback" },
	{ 0x84e54e9e, "d_obtain_root" },
	{ 0xdc0f8a86, "bpf_trace_run1" },
	{ 0xc402f539, "param_ops_short" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xcf8a00e7, "folio_end_writeback" },
	{ 0xba4f6721, "folio_alloc_noprof" },
	{ 0xa5cf1691, "rpc_call_sync" },
	{ 0xe4757a66, "proc_mkdir" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x62185b6c, "rpc_put_task_async" },
	{ 0xe7e13a1f, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x77de303e, "xdr_init_decode_pages" },
	{ 0x3bd45f5c, "register_sysctl_sz" },
	{ 0xdcb764ad, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x86d52ba5, "lookup_constant" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0xc48a724e, "kmemleak_not_leak" },
	{ 0xd235061c, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x7c934642, "rpc_exit" },
	{ 0x437be782, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0xcd223639, "d_delete" },
	{ 0x7358fb91, "param_ops_string" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0x314d6d0b, "nfs_ssc_unregister" },
	{ 0xf5aa73b0, "rpc_killall_tasks" },
	{ 0x668b19a1, "down_read" },
	{ 0x41f949a9, "xdr_reserve_space" },
	{ 0x7fe32873, "rb_replace_node" },
	{ 0x4841bdee, "strnchr" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5dff7b7a, "iov_iter_get_pages_alloc2" },
	{ 0x456d74d5, "set_page_dirty" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x2da8d207, "bpf_trace_run3" },
	{ 0xcd8e1166, "__put_net" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x68ab7e68, "netfs_read_folio" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0xc9fae843, "generic_read_dir" },
	{ 0x72584bb2, "kobject_del" },
	{ 0xda2d7a21, "trace_event_buffer_reserve" },
	{ 0x6fe0c9, "d_add" },
	{ 0xe6fa06a2, "rename_lock" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x4b42c7e4, "filemap_fdatawait_range" },
	{ 0x2213aa1f, "mempool_create_node_noprof" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0x14c5dd46, "param_ops_bool" },
	{ 0x5f4a905c, "groups_free" },
	{ 0xc3e7532f, "security_inode_notifysecctx" },
	{ 0xbb159b14, "nfs_ssc_register" },
	{ 0x4bbb3e25, "init_user_ns" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xd290f2f, "invalidate_inode_pages2" },
	{ 0x5737dbe8, "seq_write" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0xa873d5b5, "__folio_put" },
	{ 0x9c4fee7, "kobject_set_name" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x899fbd06, "seq_printf" },
	{ 0x8db941b8, "dput" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0x101529e2, "rpc_init_wait_queue" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x99f59030, "deactivate_locked_super" },
	{ 0xef96b6bd, "put_rpccred" },
	{ 0x902a1384, "__percpu_down_read" },
	{ 0xdc729ea4, "__d_lookup_unhash_wake" },
	{ 0x40b16c42, "rpc_clnt_swap_deactivate" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xbed38642, "kobject_uevent" },
	{ 0xfe08336d, "__fscache_invalidate" },
	{ 0x9fb612c8, "folio_mapping" },
	{ 0x18888d00, "downgrade_write" },
	{ 0x557d1823, "alloc_pages_noprof" },
	{ 0x5ab04ffe, "cred_fscmp" },
	{ 0x14f9c25d, "__folio_lock" },
	{ 0x984949c3, "filemap_dirty_folio" },
	{ 0x3ee3404d, "pagecache_get_page" },
	{ 0x8cb339d9, "is_bad_inode" },
	{ 0xf943375f, "proc_dointvec" },
	{ 0x6eb1adad, "__fscache_use_cookie" },
	{ 0x15ad86aa, "rcuwait_wake_up" },
	{ 0x788500b5, "_proc_mkdir" },
	{ 0x1c5f558f, "node_data" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0x6302fd37, "rpc_clnt_xprt_switch_has_addr" },
	{ 0x879bc954, "__fs_parse" },
	{ 0x9b518e46, "sysfs_create_link_nowarn" },
	{ 0x8f052bf7, "filemap_splice_read" },
	{ 0xc89ed713, "dget_parent" },
	{ 0x1d95485, "nlmclnt_init" },
	{ 0x17b54fce, "__seq_puts" },
	{ 0xe5602a5e, "kill_anon_super" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xe45ca89f, "iget5_locked" },
	{ 0x91451e17, "filemap_write_and_wait_range" },
	{ 0x574602d3, "kset_register" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xee3e197e, "nlmclnt_done" },
	{ 0x98cf60b3, "strlen" },
	{ 0x8ab9f010, "proc_symlink" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xcb74520d, "param_ops_int" },
	{ 0x69f015c0, "netfs_subreq_terminated" },
	{ 0x5e06bc5c, "refcount_dec_and_lock" },
	{ 0xc87ff6e5, "iov_iter_revert" },
	{ 0xd07c84df, "generic_write_checks" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x38ba594f, "mntget" },
	{ 0x1bb2beb9, "setattr_should_drop_sgid" },
	{ 0x349cba85, "strchr" },
	{ 0xb74f87f0, "filemap_fault" },
	{ 0x25630f05, "d_invalidate" },
	{ 0xc188c736, "__mark_inode_dirty" },
	{ 0xe7508f4f, "generic_file_llseek" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x92f8a232, "folio_wait_private_2_killable" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x53b954a2, "up_read" },
	{ 0xbe239852, "rpc_wait_for_completion_task" },
	{ 0x80eafb97, "set_anon_super" },
	{ 0x3a78bef4, "drop_nlink" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x309989e7, "kmem_cache_destroy" },
	{ 0x9bb9d235, "__fscache_acquire_cookie" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x677d981d, "kobject_put" },
	{ 0xf6caa157, "vfs_get_tree" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,netfs,lockd");


MODULE_INFO(srcversion, "2AD644688300C3B6E3F7EF0");
