#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nfs3_set_ds_client, "_gpl", "");

SYMBOL_CRC(nfs3_set_ds_client, 0x13528ce3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7c101157, "nfs_clone_server" },
	{ 0xe914e41e, "strcpy" },
	{ 0x16fc0937, "nlmclnt_proc" },
	{ 0x22054c48, "nfs_writeback_update_inode" },
	{ 0xe35cce4d, "nfs_alloc_client" },
	{ 0xb6d66def, "nfs_dentry_operations" },
	{ 0xc2db49a2, "xdr_write_pages" },
	{ 0xce1c012b, "nfs_access_zap_cache" },
	{ 0xd1ff7d15, "nfs_wb_all" },
	{ 0xd2b59529, "xdr_inline_decode" },
	{ 0x29d9e012, "forget_all_cached_acls" },
	{ 0x684447a9, "nfs_submount" },
	{ 0x34566b51, "__tracepoint_nfs_xdr_status" },
	{ 0xb0b25def, "nfs_mknod" },
	{ 0x6ded725c, "nfs_create_server" },
	{ 0x4829a47e, "memcpy" },
	{ 0xfe902019, "nfs_init_client" },
	{ 0x37a0cba, "kfree" },
	{ 0xac03db35, "nfs_post_op_update_inode" },
	{ 0x549c0738, "rpc_ntop" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xaba4484b, "xdr_read_pages" },
	{ 0xc9c058a2, "nfsacl_decode" },
	{ 0x5818fe3c, "posix_acl_from_mode" },
	{ 0xa2b9eb9, "nfs_create" },
	{ 0xb3dee66e, "nfs_mkdir" },
	{ 0xf1a61a99, "nfs_revalidate_inode" },
	{ 0xb7010a18, "nfs_get_lock_context" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa9403905, "nfs_try_get_tree" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xedf92aba, "make_kuid" },
	{ 0x124b0aec, "nfs_get_client" },
	{ 0x581e9a37, "__free_pages" },
	{ 0x2e0b384f, "nfs_file_operations" },
	{ 0x7ad236ad, "get_inode_acl" },
	{ 0x5dfb9464, "nfs_put_lock_context" },
	{ 0x60af217f, "nfs_rename" },
	{ 0x2e90e0f7, "nfs_lookup" },
	{ 0xa8fea035, "__traceiter_nfs_xdr_bad_filehandle" },
	{ 0x56469aaa, "nfs_sysfs_link_rpc_client" },
	{ 0x54f1de5d, "nfsacl_encode" },
	{ 0xb4bc9766, "posix_acl_create" },
	{ 0x6758bea7, "get_nfs_open_context" },
	{ 0xddc7beba, "nfs_invalidate_atime" },
	{ 0xb4e615, "posix_acl_equiv_mode" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7a07ef09, "nfs_getattr" },
	{ 0x1ed81b1e, "nfs_zap_acl_cache" },
	{ 0xbcc60c8d, "__tracepoint_nfs_xdr_bad_filehandle" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x48b64185, "rpc_bind_new_program" },
	{ 0x42a7e719, "register_nfs_version" },
	{ 0x13f39471, "nfs_atomic_open_v23" },
	{ 0x4fc80a10, "rpc_call_start" },
	{ 0xa5cf1691, "rpc_call_sync" },
	{ 0x5615c9ce, "rpc_prepare_reply_pages" },
	{ 0x3738e569, "nfs_fs_type" },
	{ 0xd6104ee7, "nfs_setattr" },
	{ 0xdcb764ad, "memset" },
	{ 0x499b7ff5, "xdr_terminate_string" },
	{ 0xa05ca625, "nfs_fattr_init" },
	{ 0x3fae3c30, "rpc_delay" },
	{ 0x98b0ece8, "nfs_init_timeout_values" },
	{ 0x437be782, "make_kgid" },
	{ 0xfcdc0fc1, "from_kgid_munged" },
	{ 0x832e8f0b, "nfs_alloc_fattr" },
	{ 0x41f949a9, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x71fd52ca, "nfs_rmdir" },
	{ 0x6507a49c, "unregister_nfs_version" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x971767d0, "nfs_async_iocounter_wait" },
	{ 0x57349747, "nfs_setattr_update_inode" },
	{ 0x5e1e151a, "nfs_sops" },
	{ 0x4bbb3e25, "init_user_ns" },
	{ 0xe5486a28, "rpc_restart_call" },
	{ 0xaed1daea, "nfs_link" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x8db941b8, "dput" },
	{ 0xff57f794, "put_nfs_open_context" },
	{ 0xa0546d7a, "nfs_permission" },
	{ 0x557d1823, "alloc_pages_noprof" },
	{ 0x40d6cfe6, "nfs_add_or_obtain" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xb71a1e0b, "from_kuid_munged" },
	{ 0x98cf60b3, "strlen" },
	{ 0x14c1227b, "nfs_free_client" },
	{ 0x67c33926, "nfs_close_context" },
	{ 0x93a38a15, "nfs_refresh_inode" },
	{ 0x8e162a8, "nfs_access_set_mask" },
	{ 0x8d7143eb, "xdr_stream_pos" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0xdb2fb07e, "__traceiter_nfs_xdr_status" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x253db3da, "nfs_symlink" },
	{ 0xf6ce38f6, "nfs_unlink" },
	{ 0x75b38a59, "forget_cached_acl" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "nfs,lockd,sunrpc,nfs_acl");


MODULE_INFO(srcversion, "0E628C06DAFF661C697C5A5");
