#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nfs41_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_setup_sequence, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_rw_stateid, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_session_trunk, "_gpl", "");
KSYMTAB_FUNC(nfs4_proc_getdeviceinfo, "_gpl", "");
KSYMTAB_DATA(nfs41_maxgetdevinfo_overhead, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_migration_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_moved_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_stateid_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_session_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs_remove_bad_delegation, "_gpl", "");
KSYMTAB_FUNC(nfs_map_string_to_numeric, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_or_create_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_ds_session, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_read_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_write_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_commit_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_commit_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_reg, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_reg, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_reg, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_fl_getdevinfo, "_gpl", "");
KSYMTAB_FUNC(__traceiter_fl_getdevinfo, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_fl_getdevinfo, "_gpl", "");
KSYMTAB_FUNC(pnfs_register_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_unregister_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_put_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_destroy_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_layout_insert_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_update_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_error_mark_layout_for_return, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_check_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_cleanup, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_test, "_gpl", "");
KSYMTAB_FUNC(pnfs_write_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_write_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_writepages, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_read_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_resend_pnfs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_readpages, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_lo_fail, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_layoutcommit, "_gpl", "");
KSYMTAB_FUNC(pnfs_layoutcommit_inode, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(pnfs_report_layoutstat, "_gpl", "");
KSYMTAB_DATA(layoutstats_timer, "_gpl", "");
KSYMTAB_FUNC(nfs4_print_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_get_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_delete_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_put_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_available, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_rw_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_prepare_to_resend_writes, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_write_commit_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_clear_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_alloc_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_free_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_add_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_release_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_destroy, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_scan_commit_lists, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_recover_commit_reqs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_pagelist, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_put, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_add, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_connect, "_gpl", "");
KSYMTAB_FUNC(nfs4_decode_mp_ds_addr, "_gpl", "");
KSYMTAB_FUNC(pnfs_layout_mark_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_nfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(nfs42_proc_layouterror, "_gpl", "");

SYMBOL_CRC(nfs41_sequence_done, 0x6d837c93, "_gpl");
SYMBOL_CRC(nfs4_sequence_done, 0xb6e43d57, "_gpl");
SYMBOL_CRC(nfs4_setup_sequence, 0x4669fe44, "_gpl");
SYMBOL_CRC(nfs4_set_rw_stateid, 0x63073c49, "_gpl");
SYMBOL_CRC(nfs4_test_session_trunk, 0xe3d66605, "_gpl");
SYMBOL_CRC(nfs4_proc_getdeviceinfo, 0xea1d2abe, "_gpl");
SYMBOL_CRC(nfs41_maxgetdevinfo_overhead, 0xf7801360, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_recovery, 0xacf4d893, "_gpl");
SYMBOL_CRC(nfs4_schedule_migration_recovery, 0x4acfe288, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_moved_recovery, 0xa5cc6b4c, "_gpl");
SYMBOL_CRC(nfs4_schedule_stateid_recovery, 0xe48952af, "_gpl");
SYMBOL_CRC(nfs4_schedule_session_recovery, 0xf5be451b, "_gpl");
SYMBOL_CRC(nfs_remove_bad_delegation, 0xab6bfd44, "_gpl");
SYMBOL_CRC(nfs_map_string_to_numeric, 0x6085edbd, "_gpl");
SYMBOL_CRC(nfs4_find_or_create_ds_client, 0x3cd384d2, "_gpl");
SYMBOL_CRC(nfs4_set_ds_client, 0xd41dd188, "_gpl");
SYMBOL_CRC(nfs4_init_ds_session, 0x33ade301, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_read, 0x802046c5, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_read, 0xeee681ed, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_read, 0xc7a9d954, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_write, 0xd47333c2, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_write, 0xc6924bac, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_write, 0x533c198f, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_commit_ds, 0x02da1276, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_commit_ds, 0xfe40e139, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_commit_ds, 0x5a4314e9, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_read, 0x1d57c82c, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_read, 0xe85c89a5, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, 0xba53a1ef, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_write, 0x0d381e90, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_write, 0x982ec483, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, 0x0ff289f3, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, 0x8be24f50, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, 0xed726924, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, 0x7cd013a8, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_done, 0xdd342fa8, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_done, 0x697870ab, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_done, 0x7a4e7f4e, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_done, 0x6e637af7, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_done, 0x065a7f72, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_done, 0x27ad47ea, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_pagelist, 0x555bb1db, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_pagelist, 0x4997d14e, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, 0x579126b8, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_pagelist, 0x0bd06bd1, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_pagelist, 0x63285a89, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, 0xdf6991a4, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_read_error, 0x18b41178, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_read_error, 0x5e635d42, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_read_error, 0x785c06ab, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_write_error, 0x2f1e21ba, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_write_error, 0xefe50b35, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_write_error, 0x30a44ac3, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_commit_error, 0x2174b794, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_commit_error, 0xabd83c34, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_commit_error, 0x08b2c467, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_reg, 0x39d8a50e, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_reg, 0xeefe15e4, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_reg, 0x02884be0, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_reg_err, 0x0ea40716, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_reg_err, 0x764fa72d, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_reg_err, 0x90c878c7, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_unreg, 0x13776549, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_unreg, 0x015c4928, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_unreg, 0x94384f04, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_unreg_err, 0x6bec9822, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_unreg_err, 0x9d2acd6f, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_unreg_err, 0x33759ebd, "_gpl");
SYMBOL_CRC(__tracepoint_fl_getdevinfo, 0xb4284c9b, "_gpl");
SYMBOL_CRC(__traceiter_fl_getdevinfo, 0xd5bb1821, "_gpl");
SYMBOL_CRC(__SCK__tp_func_fl_getdevinfo, 0x8f78a275, "_gpl");
SYMBOL_CRC(pnfs_register_layoutdriver, 0xc76f40df, "_gpl");
SYMBOL_CRC(pnfs_unregister_layoutdriver, 0x7027bc19, "_gpl");
SYMBOL_CRC(pnfs_put_lseg, 0x337bbeb2, "_gpl");
SYMBOL_CRC(pnfs_destroy_layout, 0x6eda024e, "_gpl");
SYMBOL_CRC(pnfs_generic_layout_insert_lseg, 0xf8e270b2, "_gpl");
SYMBOL_CRC(pnfs_update_layout, 0xfe270841, "_gpl");
SYMBOL_CRC(pnfs_error_mark_layout_for_return, 0x41f4d580, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_check_layout, 0x09f80f4b, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_read, 0x470ca828, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_write, 0x5a60b154, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_cleanup, 0xec7b3f70, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_test, 0xd3ad1ec3, "_gpl");
SYMBOL_CRC(pnfs_write_done_resend_to_mds, 0x89272455, "_gpl");
SYMBOL_CRC(pnfs_ld_write_done, 0x45a5dfbc, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_writepages, 0x57a7d02c, "_gpl");
SYMBOL_CRC(pnfs_read_done_resend_to_mds, 0xf62022e9, "_gpl");
SYMBOL_CRC(pnfs_ld_read_done, 0x58eb30a1, "_gpl");
SYMBOL_CRC(pnfs_read_resend_pnfs, 0xf51ebf9a, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_readpages, 0x12490fe3, "_gpl");
SYMBOL_CRC(pnfs_set_lo_fail, 0xb2cf00f5, "_gpl");
SYMBOL_CRC(pnfs_set_layoutcommit, 0x3817f792, "_gpl");
SYMBOL_CRC(pnfs_layoutcommit_inode, 0x697556c1, "_gpl");
SYMBOL_CRC(pnfs_generic_sync, 0x3894a42a, "_gpl");
SYMBOL_CRC(pnfs_report_layoutstat, 0x4b216e60, "_gpl");
SYMBOL_CRC(layoutstats_timer, 0x054bef45, "_gpl");
SYMBOL_CRC(nfs4_print_deviceid, 0xed15fb41, "_gpl");
SYMBOL_CRC(nfs4_find_get_deviceid, 0xfb30ba8d, "_gpl");
SYMBOL_CRC(nfs4_delete_deviceid, 0x57e37e3c, "_gpl");
SYMBOL_CRC(nfs4_init_deviceid_node, 0xad267627, "_gpl");
SYMBOL_CRC(nfs4_put_deviceid_node, 0xe07923f5, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_available, 0x6b567d26, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_unavailable, 0x0260e40d, "_gpl");
SYMBOL_CRC(nfs4_test_deviceid_unavailable, 0x08f417f5, "_gpl");
SYMBOL_CRC(pnfs_generic_rw_release, 0x69d3558d, "_gpl");
SYMBOL_CRC(pnfs_generic_prepare_to_resend_writes, 0xff922e2b, "_gpl");
SYMBOL_CRC(pnfs_generic_write_commit_done, 0x6dd6c80b, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_release, 0xf999267e, "_gpl");
SYMBOL_CRC(pnfs_generic_clear_request_commit, 0x25d28b8b, "_gpl");
SYMBOL_CRC(pnfs_alloc_commit_array, 0x03b914db, "_gpl");
SYMBOL_CRC(pnfs_free_commit_array, 0xfef97f5e, "_gpl");
SYMBOL_CRC(pnfs_add_commit_array, 0xa1270c1f, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_release_lseg, 0x4134f6fc, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_destroy, 0xd6ed3dec, "_gpl");
SYMBOL_CRC(pnfs_generic_scan_commit_lists, 0x20286656, "_gpl");
SYMBOL_CRC(pnfs_generic_recover_commit_reqs, 0xe2af0d3d, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_pagelist, 0xfb235a1c, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_put, 0x3551c475, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_add, 0x5e16717e, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_connect, 0x416afb17, "_gpl");
SYMBOL_CRC(nfs4_decode_mp_ds_addr, 0x0388e72c, "_gpl");
SYMBOL_CRC(pnfs_layout_mark_request_commit, 0x9ed068cb, "_gpl");
SYMBOL_CRC(pnfs_nfs_generic_sync, 0xe00d5676, "_gpl");
SYMBOL_CRC(nfs42_proc_layouterror, 0xbf34c94b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfa159ccb, "rpc_put_task" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x60f121ed, "svc_generic_rpcbind_set" },
	{ 0x7c101157, "nfs_clone_server" },
	{ 0x668ade81, "nfs_access_add_cache" },
	{ 0x859ac43a, "filemap_fdatawrite" },
	{ 0xc1a52532, "nfs_show_stats" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xf758c17, "nfs_server_remove_lists" },
	{ 0xfce0789c, "shrinker_alloc" },
	{ 0x81018f03, "nfs42_ssc_unregister" },
	{ 0x96bd7f7, "generic_listxattr" },
	{ 0xd4845a05, "try_module_get" },
	{ 0x17a3a19a, "revert_creds" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x22054c48, "nfs_writeback_update_inode" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x372e8e8a, "clear_inode" },
	{ 0x1ab5f18, "inode_to_bdi" },
	{ 0x4506c655, "bpf_trace_run4" },
	{ 0xc111086b, "user_destroy" },
	{ 0x20978fb9, "idr_find" },
	{ 0x60b73b66, "param_ops_uint" },
	{ 0xdd528dbe, "user_revoke" },
	{ 0x1400b897, "d_exact_alias" },
	{ 0xe35cce4d, "nfs_alloc_client" },
	{ 0xdae9b5d7, "nfs4_disable_idmapping" },
	{ 0xdede7cec, "nfs_mark_client_ready" },
	{ 0x6d478e68, "rpc_clnt_probe_trunked_xprts" },
	{ 0x65b8fb6e, "nfs_pageio_reset_read_mds" },
	{ 0xc2db49a2, "xdr_write_pages" },
	{ 0xcdc39c9e, "security_ismaclabel" },
	{ 0x63e5b64d, "rpc_shutdown_client" },
	{ 0xeb025a75, "svc_bind" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x670fd1e9, "nfs_d_prune_case_insensitive_aliases" },
	{ 0x40739385, "nfs_wait_bit_killable" },
	{ 0xfb875e0d, "nfs_free_inode" },
	{ 0xce1c012b, "nfs_access_zap_cache" },
	{ 0x6f7655c, "nfs_sb_deactive" },
	{ 0xd1ff7d15, "nfs_wb_all" },
	{ 0x8c74c7ba, "__break_lease" },
	{ 0x2f4d9af6, "nfs_pageio_init_write" },
	{ 0xf1f85ad8, "svc_recv" },
	{ 0xfa104056, "nfs_drop_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xd2b59529, "xdr_inline_decode" },
	{ 0x4e671beb, "dump_page" },
	{ 0x231690f7, "nfs_pageio_init_read" },
	{ 0x93b9a682, "trace_raw_output_prep" },
	{ 0xfbb53b60, "nfs_wait_client_init_complete" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0xb05751c6, "nfs_init_commit" },
	{ 0xabefde42, "nfs_commitdata_release" },
	{ 0x7e85034f, "bpf_trace_run6" },
	{ 0x96a55fda, "list_lru_destroy" },
	{ 0xca9360b5, "rb_next" },
	{ 0x52368915, "rpc_net_ns" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x556be6e0, "__trace_trigger_soft_disabled" },
	{ 0xb0b25def, "nfs_mknod" },
	{ 0x6ab3196e, "nfs_inode_attach_open_context" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x50fbc69d, "nfs4_label_alloc" },
	{ 0xa6cb8326, "rpc_localaddr" },
	{ 0xbc773afc, "rpc_wake_up" },
	{ 0xdd691402, "xprt_find_transport_ident" },
	{ 0xcb6b138, "trace_event_printf" },
	{ 0xc7675985, "nfs_access_get_cached" },
	{ 0x96848186, "scnprintf" },
	{ 0x7b82b9a1, "idr_replace" },
	{ 0xec800d6f, "nfs_lock" },
	{ 0x4662b892, "unregister_key_type" },
	{ 0x4a9d49f7, "nfs_client_init_is_complete" },
	{ 0xb5a311da, "nfs_file_splice_read" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xec130f3b, "d_splice_alias" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x3f7c8b8f, "trace_event_raw_init" },
	{ 0x1e424d61, "user_preparse" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0x845dcf46, "ihold" },
	{ 0x7cf4248b, "truncate_pagecache_range" },
	{ 0xf9f8ecf6, "rpc_peeraddr" },
	{ 0x37a0cba, "kfree" },
	{ 0x1de29a74, "invalidate_inode_pages2_range" },
	{ 0xac03db35, "nfs_post_op_update_inode" },
	{ 0xe83a1541, "svc_exit_thread" },
	{ 0xd0741cad, "iput" },
	{ 0xb1ced974, "xdr_set_pagelen" },
	{ 0x4ca2f563, "nfs_pgio_header_free" },
	{ 0x4efc386c, "nfs_request_add_commit_list_locked" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x8ae484ab, "logfc" },
	{ 0xc09ec309, "nfs_pgio_header_alloc" },
	{ 0x78d205c5, "iter_file_splice_write" },
	{ 0x975030f6, "rpc_pton" },
	{ 0xeb6781cf, "nfs_sb_active" },
	{ 0xca907f6c, "mod_node_page_state" },
	{ 0x549c0738, "rpc_ntop" },
	{ 0x32214a39, "rpc_wake_up_queued_task" },
	{ 0xc4e40b90, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x8a12b649, "xdr_stream_zero" },
	{ 0x1e119a79, "rpcauth_get_pseudoflavor" },
	{ 0xcdf8e461, "rpc_restart_call_prepare" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x4b2b4b82, "_copy_from_pages" },
	{ 0x2b02565, "__module_get" },
	{ 0x3494ac55, "kmem_cache_create" },
	{ 0xb118f125, "rpc_task_release_transport" },
	{ 0xa283f520, "xdr_page_pos" },
	{ 0xbe73de80, "nfs_file_release" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x3b3f7fd0, "nfs_pgio_current_mirror" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xf992ef67, "key_instantiate_and_link" },
	{ 0x5e651d9f, "trace_print_hex_seq" },
	{ 0x3539f11b, "match_strlcpy" },
	{ 0xaba4484b, "xdr_read_pages" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0xbcf7629a, "register_key_type" },
	{ 0x13b78542, "rpc_sleep_on" },
	{ 0x2df3c7d0, "rpc_run_task" },
	{ 0x6c40b588, "nfs_pageio_resend" },
	{ 0xa47a6315, "keyring_alloc" },
	{ 0x25db737f, "vfs_setpos" },
	{ 0xa2b9eb9, "nfs_create" },
	{ 0x59d13df, "complete_request_key" },
	{ 0xb15b2d, "__put_cred" },
	{ 0xdd118479, "nfs_update_delegated_mtime" },
	{ 0xe32fc9ca, "nfs_statfs" },
	{ 0x354b3d7c, "wake_up_process" },
	{ 0xf4f67952, "shrinker_free" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x9de29cf6, "splice_file_range" },
	{ 0x98dc0922, "rpc_max_bc_payload" },
	{ 0xfb6dfa14, "trace_event_buffer_commit" },
	{ 0x584b8482, "nfs_inc_attr_generation_counter" },
	{ 0x90a5530f, "nfsiod_workqueue" },
	{ 0xeba561a4, "rpc_clnt_xprt_switch_add_xprt" },
	{ 0x55711508, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xb3dee66e, "nfs_mkdir" },
	{ 0xf1a61a99, "nfs_revalidate_inode" },
	{ 0x774f8fa8, "inode_newsize_ok" },
	{ 0x39add5a, "nfs_file_mmap" },
	{ 0xb7010a18, "nfs_get_lock_context" },
	{ 0xef660452, "d_drop" },
	{ 0x122c3a7e, "_printk" },
	{ 0x64214aaa, "nfs_set_cache_invalid" },
	{ 0x81a107ae, "rpc_release_client" },
	{ 0x6019f431, "rpc_clnt_manage_trunked_xprts" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xe2b892d6, "xdr_enter_page" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4bf2d5f4, "rpc_clnt_setup_test_and_add_xprt" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1693c4c3, "unregister_sysctl_table" },
	{ 0x297abcde, "nfs_generic_pgio" },
	{ 0xedf92aba, "make_kuid" },
	{ 0x3280e341, "truncate_inode_pages_final" },
	{ 0xee5a1102, "generic_setlease" },
	{ 0xa612950d, "xprt_destroy_backchannel" },
	{ 0xafb33806, "rpc_switch_client_transport" },
	{ 0xa916b694, "strnlen" },
	{ 0xb0c35222, "nfs_scan_commit_list" },
	{ 0x223c512b, "xdr_stream_decode_string_dup" },
	{ 0x2e487281, "nfs_commit_inode" },
	{ 0xa7ff7035, "shrinker_register" },
	{ 0xeb6d5d5a, "locks_init_lock" },
	{ 0xa8e9e1ae, "send_implementation_id" },
	{ 0xf108cd02, "rpc_destroy_pipe_data" },
	{ 0x124b0aec, "nfs_get_client" },
	{ 0x581e9a37, "__free_pages" },
	{ 0x9f984513, "strrchr" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xc8c8d76b, "init_task" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xeef6d939, "nfs_atomic_open" },
	{ 0xc8a77437, "rpc_pipe_generic_upcall" },
	{ 0xd220405a, "nfs_file_fsync" },
	{ 0x1f9a9c72, "module_put" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x8552adb4, "mntput" },
	{ 0x5dfb9464, "nfs_put_lock_context" },
	{ 0x60af217f, "nfs_rename" },
	{ 0x2e90e0f7, "nfs_lookup" },
	{ 0x769f6e64, "errseq_check" },
	{ 0x800473f, "__cond_resched" },
	{ 0x56469aaa, "nfs_sysfs_link_rpc_client" },
	{ 0x15fd007d, "nfs_put_client" },
	{ 0x4ee46174, "nfs_show_options" },
	{ 0x7924ad6f, "dns_query" },
	{ 0x26884ff7, "nfs_alloc_fhandle" },
	{ 0xe410af2, "key_put" },
	{ 0x868784cb, "__symbol_get" },
	{ 0xb747609b, "mount_subtree" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x6758bea7, "get_nfs_open_context" },
	{ 0x4bb807c7, "perf_trace_run_bpf_submit" },
	{ 0xa9e4ae4c, "nfs_clear_verifier_delegated" },
	{ 0xeac7e11d, "nfs_sysfs_add_server" },
	{ 0x97b585fb, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0x441c1ac6, "rpc_machine_cred" },
	{ 0x42f2c81f, "nfs4_client_id_uniquifier" },
	{ 0x220a570e, "nfs_do_submount" },
	{ 0xed80614, "vfs_dup_fs_context" },
	{ 0xce807a25, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x388442ad, "request_key_with_auxdata" },
	{ 0xaf9f69e2, "rpc_clone_client_set_auth" },
	{ 0x74a19954, "rpc_clone_client" },
	{ 0xe2db2991, "svc_set_num_threads" },
	{ 0x4e3567f7, "match_int" },
	{ 0xb11332d7, "nfs_client_init_status" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xccf8a2fc, "svc_rpcb_cleanup" },
	{ 0xa07a37f0, "memchr" },
	{ 0x7330f860, "user_describe" },
	{ 0x3e15607d, "put_fs_context" },
	{ 0x13777d2f, "nfs_retry_commit" },
	{ 0x87325d60, "nfs4_dentry_operations" },
	{ 0x36d1abdc, "__module_put_and_kthread_exit" },
	{ 0xfc3f6dd1, "rpc_peeraddr2str" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xc27025f2, "nfs_client_for_each_server" },
	{ 0x5766cfae, "nfs_clear_inode" },
	{ 0xad39d8f3, "rpc_sleep_on_priority" },
	{ 0xddc7beba, "nfs_invalidate_atime" },
	{ 0x44494c12, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x954f099c, "idr_preload" },
	{ 0xde0d0773, "nfs_umount_begin" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x7a07ef09, "nfs_getattr" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x50d285c0, "nfs_pageio_reset_write_mds" },
	{ 0xbc037f7, "kmem_cache_free" },
	{ 0xe5ecf0af, "nfs_generic_pg_test" },
	{ 0x5a921311, "strncmp" },
	{ 0xc1d72578, "xdr_stream_subsegment" },
	{ 0x1ed81b1e, "nfs_zap_acl_cache" },
	{ 0x82d79b51, "sysctl_vfs_cache_pressure" },
	{ 0x59a48d69, "nfs_fscache_open_file" },
	{ 0x7e3b99ab, "from_kgid" },
	{ 0x2092327, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x31752a5e, "nfs_write_inode" },
	{ 0xb9f89799, "nfs_request_remove_commit_list" },
	{ 0xffb7c514, "ida_free" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x7d4456e9, "rpc_wake_up_first" },
	{ 0x4e3e2544, "alloc_nfs_open_context" },
	{ 0xbebd8e1a, "list_lru_add_obj" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xd1fac836, "vfs_parse_fs_param" },
	{ 0x29d5f8a0, "nfs_path" },
	{ 0x758665d1, "rpc_sleep_on_priority_timeout" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x838be7b2, "nfs_create_rpc_client" },
	{ 0xbb9c0973, "__put_devmap_managed_folio_refs" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x42a7e719, "register_nfs_version" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x8b1f8639, "rpc_sleep_on_timeout" },
	{ 0x886fb869, "list_lru_count_one" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x802bd592, "svc_destroy" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x4fc80a10, "rpc_call_start" },
	{ 0x4dad0b4e, "xprt_setup_backchannel" },
	{ 0xdc0f8a86, "bpf_trace_run1" },
	{ 0xbd58d82a, "svc_create" },
	{ 0x1d7e20dc, "rpc_clnt_iterate_for_each_xprt" },
	{ 0xbeab0433, "nfs_file_set_open_context" },
	{ 0x9c66d431, "rpc_init_priority_wait_queue" },
	{ 0x3f2690f2, "nfs_check_flags" },
	{ 0xa5cf1691, "rpc_call_sync" },
	{ 0x9d2ce248, "from_kuid" },
	{ 0x62185b6c, "rpc_put_task_async" },
	{ 0x5615c9ce, "rpc_prepare_reply_pages" },
	{ 0x4aa3b832, "rpc_queue_upcall" },
	{ 0x5df4df20, "nfs_free_server" },
	{ 0xa8bf630f, "fc_mount" },
	{ 0x3bd45f5c, "register_sysctl_sz" },
	{ 0xd6104ee7, "nfs_setattr" },
	{ 0xdcb764ad, "memset" },
	{ 0x499b7ff5, "xdr_terminate_string" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x35f66fe0, "nfs4_fs_type" },
	{ 0x34d8648f, "key_revoke" },
	{ 0xa05ca625, "nfs_fattr_init" },
	{ 0x3fae3c30, "rpc_delay" },
	{ 0x76307f06, "nfs_flock" },
	{ 0x7e0d4910, "nfs_read_alloc_scratch" },
	{ 0x9b62ece8, "__list_lru_init" },
	{ 0xd235061c, "kmem_cache_alloc_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xbb23c35e, "svc_generic_init_request" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0xf50baf6f, "key_validate" },
	{ 0x98b0ece8, "nfs_init_timeout_values" },
	{ 0x7c934642, "rpc_exit" },
	{ 0x437be782, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x804e2cd5, "rpc_remove_pipe_dir_object" },
	{ 0x19a2736b, "nfs_may_open" },
	{ 0xfcdc0fc1, "from_kgid_munged" },
	{ 0xfc619abd, "_nfs_display_fhandle" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0xa1ad0640, "nfs_server_copy_userdata" },
	{ 0x832e8f0b, "nfs_alloc_fattr" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0x41f949a9, "xdr_reserve_space" },
	{ 0x28361b8, "rpcauth_lookupcred" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x31d75226, "kthread_create_on_node" },
	{ 0xabc640f3, "list_lru_isolate" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x71fd52ca, "nfs_rmdir" },
	{ 0x2da8d207, "bpf_trace_run3" },
	{ 0xda5817fc, "override_creds" },
	{ 0x4cb9e001, "recover_lost_locks" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0x366b4a3, "nfs_filemap_write_and_wait_range" },
	{ 0x39d62c1d, "rpc_mkpipe_dentry" },
	{ 0x4546a00b, "alloc_file_pseudo" },
	{ 0xb79060d2, "rpc_mkpipe_data" },
	{ 0xd33df996, "rpc_add_pipe_dir_object" },
	{ 0x705109d4, "igrab" },
	{ 0x6507a49c, "unregister_nfs_version" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x971767d0, "nfs_async_iocounter_wait" },
	{ 0x92d9c2d3, "nfs_file_read" },
	{ 0xda2d7a21, "trace_event_buffer_reserve" },
	{ 0x37c0bbd7, "nfs_alloc_fattr_with_label" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x4b42c7e4, "filemap_fdatawait_range" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0x1ae7195, "nfs_commitdata_alloc" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x57349747, "nfs_setattr_update_inode" },
	{ 0x7f4894a6, "nfs_instantiate" },
	{ 0x4bbb3e25, "init_user_ns" },
	{ 0xc946a5ec, "rpc_uaddr2sockaddr" },
	{ 0x2521342d, "user_read" },
	{ 0xe5486a28, "rpc_restart_call" },
	{ 0x614905ec, "request_key_tag" },
	{ 0xd059770f, "xprt_force_disconnect" },
	{ 0x8ead800c, "user_free_preparse" },
	{ 0xc83815bf, "rpc_clnt_xprt_switch_remove_xprt" },
	{ 0x3c919534, "svc_xprt_destroy_all" },
	{ 0xed641fe3, "generic_key_instantiate" },
	{ 0x2d9f9fea, "inc_nlink" },
	{ 0x44e9a829, "match_token" },
	{ 0xaed1daea, "nfs_link" },
	{ 0xa873d5b5, "__folio_put" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x583ed72, "list_lru_walk_one" },
	{ 0xc3a2be67, "nfs_net_id" },
	{ 0x4b9970c2, "rpcauth_stringify_acceptor" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8db941b8, "dput" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0x101529e2, "rpc_init_wait_queue" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x58c9598a, "xdr_stream_move_subsegment" },
	{ 0xef96b6bd, "put_rpccred" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x294c6a2, "nfs_callback_nr_threads" },
	{ 0xe31170e8, "nfs_post_op_update_inode_force_wcc" },
	{ 0xc8e5a32c, "nfs_pgheader_init" },
	{ 0xff57f794, "put_nfs_open_context" },
	{ 0x857cab40, "nfs_show_path" },
	{ 0x912c95d2, "nfs_show_devname" },
	{ 0xa0546d7a, "nfs_permission" },
	{ 0x6880cb9e, "nfs_initiate_commit" },
	{ 0x2b207fb, "truncate_inode_pages_range" },
	{ 0xb395f26e, "__put_user_ns" },
	{ 0x557d1823, "alloc_pages_noprof" },
	{ 0x5ab04ffe, "cred_fscmp" },
	{ 0x70c059bb, "rpc_unlink" },
	{ 0x5d865be2, "nfs_sync_inode" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xf943375f, "proc_dointvec" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x4d06cb5b, "nfs_file_write" },
	{ 0xaafd4acc, "max_session_cb_slots" },
	{ 0x1c5f558f, "node_data" },
	{ 0xed211d8f, "nfs_probe_server" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xe9b2322, "nfs_setsecurity" },
	{ 0x6302fd37, "rpc_clnt_xprt_switch_has_addr" },
	{ 0x2c4fb497, "rpc_clnt_test_and_add_xprt" },
	{ 0xb6539a3b, "file_ra_state_init" },
	{ 0x7771f570, "nfs_force_lookup_revalidate" },
	{ 0x52ab073e, "nfs_file_llseek" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x57693b5e, "rpc_clnt_add_xprt" },
	{ 0xc89ed713, "dget_parent" },
	{ 0xb71a1e0b, "from_kuid_munged" },
	{ 0xb0f64064, "prepare_kernel_cred" },
	{ 0xa1b4535a, "nfs_alloc_server" },
	{ 0x5cb132fe, "rpc_call_async" },
	{ 0x47608fa5, "security_dentry_init_security" },
	{ 0x91451e17, "filemap_write_and_wait_range" },
	{ 0xfee4d172, "list_lru_del_obj" },
	{ 0x3361ebc5, "nfs_server_insert_lists" },
	{ 0x11ec3c0, "nfs_dreq_bytes_left" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x98cf60b3, "strlen" },
	{ 0x14c1227b, "nfs_free_client" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x65e2de75, "rpc_init_pipe_dir_object" },
	{ 0x37119ca5, "bpf_trace_run7" },
	{ 0x93a38a15, "nfs_refresh_inode" },
	{ 0x5e06bc5c, "refcount_dec_and_lock" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x91d1fe52, "max_session_slots" },
	{ 0x349cba85, "strchr" },
	{ 0x8e162a8, "nfs_access_set_mask" },
	{ 0x9afb383b, "nfs_init_server_rpcclient" },
	{ 0xc188c736, "__mark_inode_dirty" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x4eeee287, "rpc_set_connect_timeout" },
	{ 0xcc64d7bd, "rpcauth_create" },
	{ 0x8d7143eb, "xdr_stream_pos" },
	{ 0x5359e8dc, "__kvmalloc_node_noprof" },
	{ 0x5961a806, "key_set_timeout" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xefa414fb, "nfs_delay_retrans" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x10962bc2, "nfs_auth_info_match" },
	{ 0x53b954a2, "up_read" },
	{ 0x39e05ac3, "nfs_idmap_cache_timeout" },
	{ 0x4b62da09, "svc_xprt_create" },
	{ 0xad78476a, "nfs42_ssc_register" },
	{ 0xbe239852, "rpc_wait_for_completion_task" },
	{ 0x3a78bef4, "drop_nlink" },
	{ 0xf9a482f9, "msleep" },
	{ 0x21e23ecf, "rpc_num_bc_slots" },
	{ 0x2fe8b68b, "nfs_alloc_inode" },
	{ 0x5b2a5b3, "rpc_destroy_wait_queue" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x881e29a2, "security_inode_listsecurity" },
	{ 0xa79f0858, "nfs_fhget" },
	{ 0x253db3da, "nfs_symlink" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x452d945c, "locks_copy_lock" },
	{ 0x309989e7, "kmem_cache_destroy" },
	{ 0x51892d61, "nfs_callback_set_tcpport" },
	{ 0xf6ce38f6, "nfs_unlink" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf20c8ac, "nfs_set_verifier" },
	{ 0x3eca0c01, "proc_dointvec_minmax" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,nfs,dns_resolver");


MODULE_INFO(srcversion, "DB6ACCA7EB5E33B12455BFE");
