#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xcf8c8ae0, "iget_locked" },
	{ 0xd277ba66, "flush_dcache_page" },
	{ 0xf847c0d4, "__bio_add_page" },
	{ 0x3f34644d, "zstd_dstream_workspace_bound" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x4ba278d2, "fs_param_is_string" },
	{ 0x502ddde, "new_inode" },
	{ 0x4e671beb, "dump_page" },
	{ 0xc7c1107a, "LZ4_decompress_safe" },
	{ 0xafb6a8f5, "init_special_inode" },
	{ 0x50559c2, "unregister_filesystem" },
	{ 0x81db6ebb, "xz_dec_reset" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x4df8fbc, "lzo1x_decompress_safe" },
	{ 0xd19d4bf4, "d_make_root" },
	{ 0x23967b1, "xas_find" },
	{ 0x816c581a, "sync_filesystem" },
	{ 0xec130f3b, "d_splice_alias" },
	{ 0x4829a47e, "memcpy" },
	{ 0x53450287, "page_get_link" },
	{ 0x37a0cba, "kfree" },
	{ 0xd0741cad, "iput" },
	{ 0x55626a62, "fs_param_is_enum" },
	{ 0x8ae484ab, "logfc" },
	{ 0x52d717da, "xz_dec_init" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xf3cfded1, "flush_dcache_folio" },
	{ 0xe2964344, "__wake_up" },
	{ 0x35a88f28, "zlib_inflateInit2" },
	{ 0xa59501be, "register_filesystem" },
	{ 0x3494ac55, "kmem_cache_create" },
	{ 0xd4e6875d, "kill_block_super" },
	{ 0xf9e8a4c3, "unlock_new_inode" },
	{ 0x122c3a7e, "_printk" },
	{ 0xafc6c68e, "zstd_is_error" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xedf92aba, "make_kuid" },
	{ 0x6e5b8651, "xz_dec_run" },
	{ 0xc6cbbc89, "capable" },
	{ 0xdefd9595, "submit_bio" },
	{ 0x979afabd, "inode_init_once" },
	{ 0x800473f, "__cond_resched" },
	{ 0x581f98da, "zlib_inflate" },
	{ 0xd43cb3a, "bio_put" },
	{ 0x73a1500d, "readahead_expand" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x809178d9, "inode_nohighmem" },
	{ 0x5b505dc4, "unlock_page" },
	{ 0x581bfbd6, "generic_ro_fops" },
	{ 0x65dccf13, "xz_dec_end" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x7e294c9a, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc3bc7dc7, "kmem_cache_alloc_lru_noprof" },
	{ 0xbc037f7, "kmem_cache_free" },
	{ 0x5a921311, "strncmp" },
	{ 0xce5ac24f, "zlib_inflate_workspacesize" },
	{ 0xaab3347, "bio_kmalloc" },
	{ 0x874dd544, "bio_chain" },
	{ 0xf1e046cc, "panic" },
	{ 0x6d89f485, "d_obtain_alias" },
	{ 0xbb9c0973, "__put_devmap_managed_folio_refs" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2b2094f2, "folio_end_read" },
	{ 0x727338f6, "bio_init" },
	{ 0xdcb764ad, "memset" },
	{ 0x525943c4, "bio_alloc_clone" },
	{ 0xb444b67d, "__insert_inode_hash" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x437be782, "make_kgid" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x679c6b91, "bio_free_pages" },
	{ 0x84fced0e, "generic_encode_ino32_fh" },
	{ 0x999e8297, "vfree" },
	{ 0xc9fae843, "generic_read_dir" },
	{ 0x680667d2, "bio_uninit" },
	{ 0xdfc12ef1, "zstd_decompress_stream" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x3f7f98c5, "add_to_page_cache_lru" },
	{ 0xce076101, "bio_trim" },
	{ 0x5737dbe8, "seq_write" },
	{ 0xa873d5b5, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x38a8754b, "get_tree_bdev" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x557d1823, "alloc_pages_noprof" },
	{ 0x3ee3404d, "pagecache_get_page" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x879bc954, "__fs_parse" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x3cbb940b, "zstd_init_dstream" },
	{ 0x98cf60b3, "strlen" },
	{ 0xe7508f4f, "generic_file_llseek" },
	{ 0xec805f, "make_bad_inode" },
	{ 0x107e5878, "zlib_inflateEnd" },
	{ 0xfdd593c1, "submit_bio_wait" },
	{ 0x981df304, "sb_min_blocksize" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x608d0267, "zstd_get_error_code" },
	{ 0x4832e577, "iget_failed" },
	{ 0xe275ddc4, "fs_bio_set" },
	{ 0x309989e7, "kmem_cache_destroy" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F3525ECD4758F58F0015816");
