#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(bt_sock_reclassify_lock, "", "");
KSYMTAB_FUNC(bt_sock_register, "", "");
KSYMTAB_FUNC(bt_sock_unregister, "", "");
KSYMTAB_FUNC(bt_sock_alloc, "", "");
KSYMTAB_FUNC(bt_sock_link, "", "");
KSYMTAB_FUNC(bt_sock_unlink, "", "");
KSYMTAB_FUNC(bt_accept_enqueue, "", "");
KSYMTAB_FUNC(bt_accept_unlink, "", "");
KSYMTAB_FUNC(bt_accept_dequeue, "", "");
KSYMTAB_FUNC(bt_sock_recvmsg, "", "");
KSYMTAB_FUNC(bt_sock_stream_recvmsg, "", "");
KSYMTAB_FUNC(bt_sock_poll, "", "");
KSYMTAB_FUNC(bt_sock_ioctl, "", "");
KSYMTAB_FUNC(bt_sock_wait_state, "", "");
KSYMTAB_FUNC(bt_sock_wait_ready, "", "");
KSYMTAB_FUNC(bt_procfs_init, "", "");
KSYMTAB_FUNC(bt_procfs_cleanup, "", "");
KSYMTAB_DATA(bt_debugfs, "_gpl", "");
KSYMTAB_FUNC(hci_alloc_dev_priv, "", "");
KSYMTAB_FUNC(hci_free_dev, "", "");
KSYMTAB_FUNC(hci_register_dev, "", "");
KSYMTAB_FUNC(hci_unregister_dev, "", "");
KSYMTAB_FUNC(hci_release_dev, "", "");
KSYMTAB_FUNC(hci_suspend_dev, "", "");
KSYMTAB_FUNC(hci_resume_dev, "", "");
KSYMTAB_FUNC(hci_reset_dev, "", "");
KSYMTAB_FUNC(hci_recv_frame, "", "");
KSYMTAB_FUNC(hci_recv_diag, "", "");
KSYMTAB_FUNC(hci_set_hw_info, "", "");
KSYMTAB_FUNC(hci_set_fw_info, "", "");
KSYMTAB_FUNC(hci_register_cb, "", "");
KSYMTAB_FUNC(hci_unregister_cb, "", "");
KSYMTAB_FUNC(__hci_cmd_send, "", "");
KSYMTAB_FUNC(hci_get_route, "", "");
KSYMTAB_FUNC(hci_conn_security, "", "");
KSYMTAB_FUNC(hci_conn_check_secure, "", "");
KSYMTAB_FUNC(hci_conn_switch_role, "", "");
KSYMTAB_FUNC(hci_mgmt_chan_register, "", "");
KSYMTAB_FUNC(hci_mgmt_chan_unregister, "", "");
KSYMTAB_FUNC(l2cap_add_psm, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_create, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_put, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_set_defaults, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_del, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_list, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_close, "", "");
KSYMTAB_FUNC(l2cap_register_user, "", "");
KSYMTAB_FUNC(l2cap_unregister_user, "", "");
KSYMTAB_FUNC(l2cap_conn_get, "", "");
KSYMTAB_FUNC(l2cap_conn_put, "", "");
KSYMTAB_FUNC(l2cap_chan_send, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_connect, "_gpl", "");
KSYMTAB_FUNC(l2cap_is_socket, "", "");
KSYMTAB_FUNC(baswap, "", "");
KSYMTAB_FUNC(bt_to_errno, "", "");
KSYMTAB_FUNC(bt_status, "", "");
KSYMTAB_FUNC(bt_info, "", "");
KSYMTAB_FUNC(bt_warn, "", "");
KSYMTAB_FUNC(bt_err, "", "");
KSYMTAB_FUNC(bt_warn_ratelimited, "", "");
KSYMTAB_FUNC(bt_err_ratelimited, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_sk, "", "");
KSYMTAB_FUNC(__hci_cmd_sync, "", "");
KSYMTAB_FUNC(hci_cmd_sync, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_ev, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_status_sk, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_status, "", "");
KSYMTAB_FUNC(hci_cmd_sync_status, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel_sync, "", "");
KSYMTAB_FUNC(hci_cmd_sync_submit, "", "");
KSYMTAB_FUNC(hci_cmd_sync_queue, "", "");
KSYMTAB_FUNC(hci_cmd_sync_queue_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_run, "", "");
KSYMTAB_FUNC(hci_cmd_sync_run_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_lookup_entry, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel_entry, "", "");
KSYMTAB_FUNC(hci_cmd_sync_dequeue_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_dequeue, "", "");
KSYMTAB_FUNC(hci_devcd_rx, "", "");
KSYMTAB_FUNC(hci_devcd_timeout, "", "");
KSYMTAB_FUNC(hci_devcd_register, "", "");
KSYMTAB_FUNC(hci_devcd_init, "", "");
KSYMTAB_FUNC(hci_devcd_append, "", "");
KSYMTAB_FUNC(hci_devcd_append_pattern, "", "");
KSYMTAB_FUNC(hci_devcd_complete, "", "");
KSYMTAB_FUNC(hci_devcd_abort, "", "");

SYMBOL_CRC(bt_sock_reclassify_lock, 0xab7e066f, "");
SYMBOL_CRC(bt_sock_register, 0x730118e1, "");
SYMBOL_CRC(bt_sock_unregister, 0x8fea24bd, "");
SYMBOL_CRC(bt_sock_alloc, 0x6d531bde, "");
SYMBOL_CRC(bt_sock_link, 0x934cf142, "");
SYMBOL_CRC(bt_sock_unlink, 0xc92959c6, "");
SYMBOL_CRC(bt_accept_enqueue, 0x36107f99, "");
SYMBOL_CRC(bt_accept_unlink, 0x2d59c770, "");
SYMBOL_CRC(bt_accept_dequeue, 0xa8c992ed, "");
SYMBOL_CRC(bt_sock_recvmsg, 0x60c3ac6e, "");
SYMBOL_CRC(bt_sock_stream_recvmsg, 0x207e18b2, "");
SYMBOL_CRC(bt_sock_poll, 0xfed06d6d, "");
SYMBOL_CRC(bt_sock_ioctl, 0xf524960f, "");
SYMBOL_CRC(bt_sock_wait_state, 0xc5115111, "");
SYMBOL_CRC(bt_sock_wait_ready, 0x23342e86, "");
SYMBOL_CRC(bt_procfs_init, 0x04215c44, "");
SYMBOL_CRC(bt_procfs_cleanup, 0xcefe8d1a, "");
SYMBOL_CRC(bt_debugfs, 0x2907d64a, "_gpl");
SYMBOL_CRC(hci_alloc_dev_priv, 0xae19f7c7, "");
SYMBOL_CRC(hci_free_dev, 0xd1c769a1, "");
SYMBOL_CRC(hci_register_dev, 0xa661489d, "");
SYMBOL_CRC(hci_unregister_dev, 0xf8e4f31e, "");
SYMBOL_CRC(hci_release_dev, 0x03b37d34, "");
SYMBOL_CRC(hci_suspend_dev, 0xdd1727e6, "");
SYMBOL_CRC(hci_resume_dev, 0x33baccee, "");
SYMBOL_CRC(hci_reset_dev, 0x102eda32, "");
SYMBOL_CRC(hci_recv_frame, 0xae553c4a, "");
SYMBOL_CRC(hci_recv_diag, 0xbae2c068, "");
SYMBOL_CRC(hci_set_hw_info, 0x21d2da65, "");
SYMBOL_CRC(hci_set_fw_info, 0x881d36da, "");
SYMBOL_CRC(hci_register_cb, 0xe6d97020, "");
SYMBOL_CRC(hci_unregister_cb, 0x686a395a, "");
SYMBOL_CRC(__hci_cmd_send, 0x7261444d, "");
SYMBOL_CRC(hci_get_route, 0x7671874f, "");
SYMBOL_CRC(hci_conn_security, 0x8a105332, "");
SYMBOL_CRC(hci_conn_check_secure, 0xe3d1875a, "");
SYMBOL_CRC(hci_conn_switch_role, 0x89cf5541, "");
SYMBOL_CRC(hci_mgmt_chan_register, 0xcca130eb, "");
SYMBOL_CRC(hci_mgmt_chan_unregister, 0x485a38d4, "");
SYMBOL_CRC(l2cap_add_psm, 0xc205b905, "_gpl");
SYMBOL_CRC(l2cap_chan_create, 0x9a8e9a3d, "_gpl");
SYMBOL_CRC(l2cap_chan_put, 0xe9287cdb, "_gpl");
SYMBOL_CRC(l2cap_chan_set_defaults, 0x5ebc16a7, "_gpl");
SYMBOL_CRC(l2cap_chan_del, 0x39437394, "_gpl");
SYMBOL_CRC(l2cap_chan_list, 0x2990ebbe, "_gpl");
SYMBOL_CRC(l2cap_chan_close, 0xe67385e1, "");
SYMBOL_CRC(l2cap_register_user, 0x49c6e8ee, "");
SYMBOL_CRC(l2cap_unregister_user, 0x71fd9bf5, "");
SYMBOL_CRC(l2cap_conn_get, 0xf6948836, "");
SYMBOL_CRC(l2cap_conn_put, 0xbd3a96dd, "");
SYMBOL_CRC(l2cap_chan_send, 0x0148cd17, "_gpl");
SYMBOL_CRC(l2cap_chan_connect, 0xd749f90a, "_gpl");
SYMBOL_CRC(l2cap_is_socket, 0x6e877421, "");
SYMBOL_CRC(baswap, 0x7b5ce5c3, "");
SYMBOL_CRC(bt_to_errno, 0x7aad008b, "");
SYMBOL_CRC(bt_status, 0x7bd9427a, "");
SYMBOL_CRC(bt_info, 0x0718b8b7, "");
SYMBOL_CRC(bt_warn, 0x214e4265, "");
SYMBOL_CRC(bt_err, 0x7b8c32f1, "");
SYMBOL_CRC(bt_warn_ratelimited, 0xddacccf6, "");
SYMBOL_CRC(bt_err_ratelimited, 0xd7613212, "");
SYMBOL_CRC(__hci_cmd_sync_sk, 0x97060164, "");
SYMBOL_CRC(__hci_cmd_sync, 0x71fca298, "");
SYMBOL_CRC(hci_cmd_sync, 0xf5aed2f0, "");
SYMBOL_CRC(__hci_cmd_sync_ev, 0x8f292274, "");
SYMBOL_CRC(__hci_cmd_sync_status_sk, 0xe7ca4da8, "");
SYMBOL_CRC(__hci_cmd_sync_status, 0xfaf3bd29, "");
SYMBOL_CRC(hci_cmd_sync_status, 0x9d216252, "");
SYMBOL_CRC(hci_cmd_sync_cancel, 0x3f4a1fc4, "");
SYMBOL_CRC(hci_cmd_sync_cancel_sync, 0x44315e8e, "");
SYMBOL_CRC(hci_cmd_sync_submit, 0x7cc62420, "");
SYMBOL_CRC(hci_cmd_sync_queue, 0xeb6d8e11, "");
SYMBOL_CRC(hci_cmd_sync_queue_once, 0x7720e89f, "");
SYMBOL_CRC(hci_cmd_sync_run, 0xfc5e0fc6, "");
SYMBOL_CRC(hci_cmd_sync_run_once, 0x3abe45d7, "");
SYMBOL_CRC(hci_cmd_sync_lookup_entry, 0x685d6477, "");
SYMBOL_CRC(hci_cmd_sync_cancel_entry, 0x6c0df0e6, "");
SYMBOL_CRC(hci_cmd_sync_dequeue_once, 0x030f2b32, "");
SYMBOL_CRC(hci_cmd_sync_dequeue, 0x5d7a4df1, "");
SYMBOL_CRC(hci_devcd_rx, 0xa36d67be, "");
SYMBOL_CRC(hci_devcd_timeout, 0xa60137a1, "");
SYMBOL_CRC(hci_devcd_register, 0x0e2a6aee, "");
SYMBOL_CRC(hci_devcd_init, 0x34471710, "");
SYMBOL_CRC(hci_devcd_append, 0x683f739f, "");
SYMBOL_CRC(hci_devcd_append_pattern, 0xceeeb1c9, "");
SYMBOL_CRC(hci_devcd_complete, 0x9af7a081, "");
SYMBOL_CRC(hci_devcd_abort, 0x6322bc26, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc528a49a, "queued_write_lock_slowpath" },
	{ 0xda10ec3, "security_sock_graft" },
	{ 0x3d2cec5a, "skb_free_datagram" },
	{ 0xafebb1cc, "sock_queue_rcv_skb_reason" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xd4845a05, "try_module_get" },
	{ 0xe0e5ad5, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x8d039641, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7475be8e, "crypto_ecdh_key_len" },
	{ 0x78b887ed, "vsprintf" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x20978fb9, "idr_find" },
	{ 0xbebaed22, "debugfs_attr_write" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0xc2af5a6, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xdec5f1bf, "dev_set_name" },
	{ 0xbf62778, "scm_detach_fds" },
	{ 0x96f66507, "crypto_shash_tfm_digest" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9838955f, "device_unregister" },
	{ 0x87ef83ff, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xa31fb5dd, "debugfs_create_u16" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x96848186, "scnprintf" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0xde293f9e, "add_wait_queue_exclusive" },
	{ 0x3b9c57bf, "device_initialize" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x4829a47e, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x5b66fa60, "seq_lseek" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x888174c8, "sock_no_connect" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x46fb0ede, "dev_kfree_skb_irq_reason" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0xe2964344, "__wake_up" },
	{ 0x2b02565, "__module_get" },
	{ 0x148653, "vsnprintf" },
	{ 0x67155184, "get_device" },
	{ 0x248efd3, "kstrtobool_from_user" },
	{ 0x558b281d, "aes_expandkey" },
	{ 0xb925d423, "__pskb_copy_fclone" },
	{ 0xb15b2d, "__put_cred" },
	{ 0x9469c86e, "put_cmsg" },
	{ 0x5195dcc3, "skb_queue_purge_reason" },
	{ 0xc63dce24, "crypto_destroy_tfm" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x122c3a7e, "_printk" },
	{ 0x3d2eb23f, "crypto_alloc_kpp" },
	{ 0x6b853d06, "ns_to_kernel_old_timeval" },
	{ 0xaa0a7ae4, "proto_unregister" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x61ae025a, "sock_register" },
	{ 0x617c452b, "queued_read_lock_slowpath" },
	{ 0x1a4635a2, "datagram_poll" },
	{ 0xb1f0c798, "__sock_recv_cmsgs" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x8619869e, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x95463bb7, "__alloc_skb" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0xc3233feb, "proto_register" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0x136711a4, "skb_queue_tail" },
	{ 0x1f9a9c72, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x800473f, "__cond_resched" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x579acfde, "debugfs_attr_read" },
	{ 0x2850f8ed, "__sock_recv_timestamp" },
	{ 0x4d7e6daa, "sock_no_shutdown" },
	{ 0xdf9088d9, "sk_filter_trim_cap" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0x7ee7ac5d, "init_net" },
	{ 0xaa3d5f21, "crypto_shash_setkey" },
	{ 0x2d938670, "simple_open" },
	{ 0xb6476d61, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x61373533, "device_add" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x9295faf0, "simple_attr_release" },
	{ 0x16a6e568, "init_uts_ns" },
	{ 0x9f66a4ce, "sk_skb_reason_drop" },
	{ 0xcafe0b48, "sk_free" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x267e0088, "device_move" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0xa7809109, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbfe0703a, "skb_push" },
	{ 0xee13dea4, "sock_no_listen" },
	{ 0x495eed8e, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0x6f2c2cc6, "seq_putc" },
	{ 0xbd6841d4, "crc16" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x56d7525d, "iov_iter_kvec" },
	{ 0xffb7c514, "ida_free" },
	{ 0x3dfc897c, "seq_hlist_start_head" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x2e6fc05a, "class_unregister" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb1518e15, "cancel_work" },
	{ 0x9f8c5901, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x2859ab, "device_find_child" },
	{ 0x7253b13d, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xe0a547c9, "skb_copy_datagram_iter" },
	{ 0x61d7bdce, "rfkill_alloc" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb230d2ec, "crypto_ecdh_encode_key" },
	{ 0x2b97e4b, "sk_alloc" },
	{ 0x61401cd3, "device_del" },
	{ 0xd39b3f90, "__sock_queue_rcv_skb" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x551dfe26, "default_llseek" },
	{ 0x867b8119, "__sock_recv_wifi_status" },
	{ 0x9d2ce248, "from_kuid" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x4ff44c15, "sock_no_socketpair" },
	{ 0xdcb764ad, "memset" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x22059431, "__get_task_comm" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x2050db7d, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0xa86fbee8, "__pskb_pull_tail" },
	{ 0xe2cf7195, "__scm_destroy" },
	{ 0xfcdc0fc1, "from_kgid_munged" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0x99eabdf8, "skb_trim" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x6568ce44, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x32f1e81b, "seq_read" },
	{ 0x794bead9, "sock_i_ino" },
	{ 0x13107c3a, "debugfs_create_file" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0xff282521, "rfkill_register" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xdfcc992c, "current_work" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x67204fa, "sk_capable" },
	{ 0x1632bc21, "kvasprintf_const" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x14c5dd46, "param_ops_bool" },
	{ 0x75bda77a, "seq_hlist_next" },
	{ 0x2ff91db0, "skb_recv_datagram" },
	{ 0xe4eb44bf, "sock_alloc_send_pskb" },
	{ 0x5737dbe8, "seq_write" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe225b8f6, "remove_proc_entry" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x899fbd06, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x4d611cf3, "skb_copy" },
	{ 0x6b53f5f8, "skb_clone" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xfff625ed, "_copy_from_iter" },
	{ 0x8922432e, "skb_pull_data" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xbbce46d1, "sock_gettstamp" },
	{ 0xa5c872a7, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc59e04c7, "pid_vnr" },
	{ 0xb71a1e0b, "from_kuid_munged" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xc87ff6e5, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x618c9a06, "proc_create_seq_private" },
	{ 0x554ab118, "debugfs_create_u8" },
	{ 0x3466fede, "single_open" },
	{ 0x2227c4aa, "crypto_alloc_shash" },
	{ 0xe820ea6a, "debugfs_create_dir" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x5359e8dc, "__kvmalloc_node_noprof" },
	{ 0x8f69c38f, "fwnode_property_read_u8_array" },
	{ 0x5f9d8bb7, "put_pid" },
	{ 0xaa3a3bb3, "class_register" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x3451afe6, "sock_init_data" },
	{ 0x9aaacae9, "__dev_fwnode" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x231a085c, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf85686bf, "skb_queue_head" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x77e9eb37, "aes_encrypt" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "ecdh_generic,rfkill");


MODULE_INFO(srcversion, "3C18B3E251747E10BE5F405");
