#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc528a49a, "queued_write_lock_slowpath" },
	{ 0x6f23486d, "input_allocate_device" },
	{ 0x71fd9bf5, "l2cap_unregister_user" },
	{ 0xf812cff6, "memscan" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xcefe8d1a, "bt_procfs_cleanup" },
	{ 0xc2af5a6, "skb_put" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x87ef83ff, "skb_dequeue" },
	{ 0x4215c44, "bt_procfs_init" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xf62c387b, "set_user_nice" },
	{ 0xed4acd5, "sock_no_sendmsg" },
	{ 0xb88825d, "input_unregister_device" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x888174c8, "sock_no_connect" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x2b02565, "__module_get" },
	{ 0x67155184, "get_device" },
	{ 0xf6948836, "l2cap_conn_get" },
	{ 0xa2293aa, "hid_allocate_device" },
	{ 0xbf295434, "hid_destroy_device" },
	{ 0x354b3d7c, "wake_up_process" },
	{ 0x5195dcc3, "skb_queue_purge_reason" },
	{ 0x49c6e8ee, "l2cap_register_user" },
	{ 0xaa0a7ae4, "proto_unregister" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x44a18989, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x8619869e, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x95463bb7, "__alloc_skb" },
	{ 0xc3233feb, "proto_register" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0x136711a4, "skb_queue_tail" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x800473f, "__cond_resched" },
	{ 0x934cf142, "bt_sock_link" },
	{ 0x4d7e6daa, "sock_no_shutdown" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x97b585fb, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0x7ee7ac5d, "init_net" },
	{ 0xce807a25, "up_write" },
	{ 0xb6476d61, "skb_pull" },
	{ 0x8fea24bd, "bt_sock_unregister" },
	{ 0x36d1abdc, "__module_put_and_kthread_exit" },
	{ 0x9f66a4ce, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xcafe0b48, "sk_free" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xa7809109, "sock_no_accept" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xee13dea4, "sock_no_listen" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xa41a6abd, "sock_no_bind" },
	{ 0x6e877421, "l2cap_is_socket" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x6d531bde, "bt_sock_alloc" },
	{ 0xbd3a96dd, "l2cap_conn_put" },
	{ 0x4ff44c15, "sock_no_socketpair" },
	{ 0xdcb764ad, "memset" },
	{ 0xc92959c6, "bt_sock_unlink" },
	{ 0x90df97be, "sock_no_recvmsg" },
	{ 0x2050db7d, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x86f6553b, "input_event" },
	{ 0xa86fbee8, "__pskb_pull_tail" },
	{ 0x718b8b7, "bt_info" },
	{ 0x7b8c32f1, "bt_err" },
	{ 0x668b19a1, "down_read" },
	{ 0x8b1a79bd, "hid_input_report" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x31d75226, "kthread_create_on_node" },
	{ 0x730118e1, "bt_sock_register" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xa58aac1f, "sock_no_getname" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xda33fe58, "hid_parse_report" },
	{ 0x129146c9, "sockfd_lookup" },
	{ 0x51632420, "kernel_sendmsg" },
	{ 0x53b954a2, "up_read" },
	{ 0x41aded5d, "hid_ignore" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x9a6ac153, "hid_add_device" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf85686bf, "skb_queue_head" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "bluetooth");


MODULE_INFO(srcversion, "CAF2B115B5F4D05D5E29056");
