#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc528a49a, "queued_write_lock_slowpath" },
	{ 0xd4845a05, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xcefe8d1a, "bt_procfs_cleanup" },
	{ 0xc2af5a6, "skb_put" },
	{ 0x7d159344, "tty_wakeup" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xda028bd7, "tty_flip_buffer_push" },
	{ 0x87ef83ff, "skb_dequeue" },
	{ 0x4215c44, "bt_procfs_init" },
	{ 0xac037364, "tty_kref_put" },
	{ 0xedeb6024, "kernel_bind" },
	{ 0xde293f9e, "add_wait_queue_exclusive" },
	{ 0xf62c387b, "set_user_nice" },
	{ 0x4829a47e, "memcpy" },
	{ 0x89cf5541, "hci_conn_switch_role" },
	{ 0x37a0cba, "kfree" },
	{ 0x5b66fa60, "seq_lseek" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xbd394d8, "tty_termios_baud_rate" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x3f819033, "__tty_alloc_driver" },
	{ 0xe6aef439, "__tracepoint_sk_data_ready" },
	{ 0x46fb0ede, "dev_kfree_skb_irq_reason" },
	{ 0x2bbd4d31, "tty_port_tty_hangup" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x16e853e4, "kernel_accept" },
	{ 0x2b02565, "__module_get" },
	{ 0x8d79c551, "tty_unregister_driver" },
	{ 0x23342e86, "bt_sock_wait_ready" },
	{ 0x354b3d7c, "wake_up_process" },
	{ 0x5195dcc3, "skb_queue_purge_reason" },
	{ 0xeb510e80, "tty_port_install" },
	{ 0xab7e066f, "bt_sock_reclassify_lock" },
	{ 0x686a395a, "hci_unregister_cb" },
	{ 0xaa0a7ae4, "proto_unregister" },
	{ 0x617c452b, "queued_read_lock_slowpath" },
	{ 0x207e18b2, "bt_sock_stream_recvmsg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x8619869e, "put_device" },
	{ 0x95463bb7, "__alloc_skb" },
	{ 0x2907d64a, "bt_debugfs" },
	{ 0x67b27ec1, "tty_std_termios" },
	{ 0xb73eb32f, "tty_unregister_device" },
	{ 0xc3233feb, "proto_register" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0x136711a4, "skb_queue_tail" },
	{ 0x1f9a9c72, "module_put" },
	{ 0x8d9e5c37, "tty_port_tty_wakeup" },
	{ 0x9818813d, "device_create_file" },
	{ 0x934cf142, "bt_sock_link" },
	{ 0xc5e704e, "__traceiter_sk_data_ready" },
	{ 0x7ee7ac5d, "init_net" },
	{ 0xb6476d61, "skb_pull" },
	{ 0x82dce13d, "tty_vhangup" },
	{ 0x8fea24bd, "bt_sock_unregister" },
	{ 0x9f66a4ce, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xcafe0b48, "sk_free" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x267e0088, "device_move" },
	{ 0x6fdee6cb, "__tty_insert_flip_string_flags" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbfe0703a, "skb_push" },
	{ 0x62735461, "tty_port_init" },
	{ 0x495eed8e, "debugfs_remove" },
	{ 0x8a105332, "hci_conn_security" },
	{ 0x8b472ce0, "tty_port_register_device" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x9f8c5901, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4cdb9669, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x8652a093, "tty_port_close" },
	{ 0x6d531bde, "bt_sock_alloc" },
	{ 0x3b055253, "kernel_connect" },
	{ 0x4ff44c15, "sock_no_socketpair" },
	{ 0xa8c992ed, "bt_accept_dequeue" },
	{ 0xdcb764ad, "memset" },
	{ 0x7671874f, "hci_get_route" },
	{ 0x2d59c770, "bt_accept_unlink" },
	{ 0xc92959c6, "bt_sock_unlink" },
	{ 0x587b98ab, "tty_port_put" },
	{ 0x36107f99, "bt_accept_enqueue" },
	{ 0x2050db7d, "sock_no_mmap" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0xa86fbee8, "__pskb_pull_tail" },
	{ 0x718b8b7, "bt_info" },
	{ 0x7b8c32f1, "bt_err" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc5115111, "bt_sock_wait_state" },
	{ 0x31d75226, "kthread_create_on_node" },
	{ 0x32f1e81b, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe3d1875a, "hci_conn_check_secure" },
	{ 0x13107c3a, "debugfs_create_file" },
	{ 0xf661f503, "kernel_listen" },
	{ 0x730118e1, "bt_sock_register" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x33550692, "sock_create_kern" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x14c5dd46, "param_ops_bool" },
	{ 0xe7dd7ddc, "tty_register_driver" },
	{ 0xe4eb44bf, "sock_alloc_send_pskb" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xf524960f, "bt_sock_ioctl" },
	{ 0x81eab9dd, "tty_port_hangup" },
	{ 0x899fbd06, "seq_printf" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x9f8806c8, "tty_port_open" },
	{ 0xe6d97020, "hci_register_cb" },
	{ 0xfff625ed, "_copy_from_iter" },
	{ 0x6c225138, "sock_release" },
	{ 0xfed06d6d, "bt_sock_poll" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xbbce46d1, "sock_gettstamp" },
	{ 0xa5c872a7, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xcb74520d, "param_ops_int" },
	{ 0xc87ff6e5, "iov_iter_revert" },
	{ 0x3466fede, "single_open" },
	{ 0x51632420, "kernel_sendmsg" },
	{ 0x96d5083e, "tty_driver_kref_put" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x231a085c, "release_sock" },
	{ 0xf85686bf, "skb_queue_head" },
	{ 0x241edebb, "tty_port_tty_get" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "bluetooth");


MODULE_INFO(srcversion, "BAFA604A31DBDE44B48CB90");
