#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc528a49a, "queued_write_lock_slowpath" },
	{ 0x3d2cec5a, "skb_free_datagram" },
	{ 0xafebb1cc, "sock_queue_rcv_skb_reason" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xa1e755a7, "_copy_to_iter" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xc2af5a6, "skb_put" },
	{ 0x4679fb71, "consume_skb" },
	{ 0xa86afbb2, "can_rx_unregister" },
	{ 0x338e80e9, "hrtimer_try_to_cancel" },
	{ 0x60714e08, "nla_put_64bit" },
	{ 0x87ef83ff, "skb_dequeue" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x57fe9022, "can_sock_destruct" },
	{ 0x99f7371c, "refcount_dec_and_mutex_lock" },
	{ 0xb3eae4d1, "__kmalloc_node_track_caller_noprof" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x3ac8793, "netdev_warn" },
	{ 0xe2964344, "__wake_up" },
	{ 0x492fdb70, "netdev_err" },
	{ 0x55126b81, "sk_error_report" },
	{ 0x9469c86e, "put_cmsg" },
	{ 0x5195dcc3, "skb_queue_purge_reason" },
	{ 0x88ee7cd, "can_proto_register" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x617c452b, "queued_read_lock_slowpath" },
	{ 0x1a4635a2, "datagram_poll" },
	{ 0xb1f0c798, "__sock_recv_cmsgs" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x95463bb7, "__alloc_skb" },
	{ 0xc6cbbc89, "capable" },
	{ 0x136711a4, "skb_queue_tail" },
	{ 0x205a8db6, "can_send" },
	{ 0x800473f, "__cond_resched" },
	{ 0x4d7e6daa, "sock_no_shutdown" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xb6476d61, "skb_pull" },
	{ 0x9f66a4ce, "sk_skb_reason_drop" },
	{ 0xea03c881, "dev_get_by_index" },
	{ 0xcafe0b48, "sk_free" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x9f43a51d, "netdev_printk" },
	{ 0xa7809109, "sock_no_accept" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbfe0703a, "skb_push" },
	{ 0xee13dea4, "sock_no_listen" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x9870c16f, "sock_recv_errqueue" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9f8c5901, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4ff44c15, "sock_no_socketpair" },
	{ 0xdcb764ad, "memset" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0x1ca93263, "sock_efree" },
	{ 0x2050db7d, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x99eabdf8, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xe3c7bd1e, "__dynamic_netdev_dbg" },
	{ 0xbeb654f, "sock_queue_err_skb" },
	{ 0x484c74dc, "netdev_alert" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x2ff91db0, "skb_recv_datagram" },
	{ 0xe4eb44bf, "sock_alloc_send_pskb" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x6b53f5f8, "skb_clone" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xfff625ed, "_copy_from_iter" },
	{ 0x19087d63, "can_proto_unregister" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x6600d181, "netdev_notice" },
	{ 0xc87ff6e5, "iov_iter_revert" },
	{ 0xaaac105b, "can_rx_register" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x3932f94, "netdev_info" },
	{ 0x9858f364, "get_random_u8" },
	{ 0x231a085c, "release_sock" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "can");


MODULE_INFO(srcversion, "C97F155A1F5B43D85EBE69E");
