#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(udp_sock_create4, "", "");
KSYMTAB_FUNC(setup_udp_tunnel_sock, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_push_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_drop_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_notify_add_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_notify_del_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_sock_release, "_gpl", "");
KSYMTAB_FUNC(udp_tun_rx_dst, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_dst_lookup, "_gpl", "");

SYMBOL_CRC(udp_sock_create4, 0x052e1ca5, "");
SYMBOL_CRC(setup_udp_tunnel_sock, 0xa6e60717, "_gpl");
SYMBOL_CRC(udp_tunnel_push_rx_port, 0xa8709ea4, "_gpl");
SYMBOL_CRC(udp_tunnel_drop_rx_port, 0xb193b55e, "_gpl");
SYMBOL_CRC(udp_tunnel_notify_add_rx_port, 0x1e6fa1d0, "_gpl");
SYMBOL_CRC(udp_tunnel_notify_del_rx_port, 0x688405ad, "_gpl");
SYMBOL_CRC(udp_tunnel_xmit_skb, 0x18486a4e, "_gpl");
SYMBOL_CRC(udp_tunnel_sock_release, 0xc9972ac8, "_gpl");
SYMBOL_CRC(udp_tun_rx_dst, 0xc78308cd, "_gpl");
SYMBOL_CRC(udp_tunnel_dst_lookup, 0x8b63e6a8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x41702720, "dst_cache_set_ip4" },
	{ 0xedeb6024, "kernel_bind" },
	{ 0x919e172c, "udp_set_csum" },
	{ 0x37a0cba, "kfree" },
	{ 0x3ac8793, "netdev_warn" },
	{ 0xbc6b983b, "udp_tunnel_nic_ops" },
	{ 0xc6ae011, "ip_route_output_flow" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6474338, "ipv6_stub" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x99517682, "udp_encap_enable" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdec25abe, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x94405283, "iptunnel_xmit" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x3b055253, "kernel_connect" },
	{ 0xdcb764ad, "memset" },
	{ 0x99eabdf8, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xe3c7bd1e, "__dynamic_netdev_dbg" },
	{ 0xd2993b21, "dst_cache_get_ip4" },
	{ 0x33550692, "sock_create_kern" },
	{ 0x58fcbc7d, "call_netdevice_notifiers" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd1fba8ff, "metadata_dst_alloc" },
	{ 0x8500f07e, "dst_release" },
	{ 0x6c225138, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xf4ea5a59, "sock_bindtoindex" },
	{ 0x349cba85, "strchr" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F9C0ECDBAD8C6137F60F327");
