#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip6_tnl_parse_tlv_enc_lim, "", "");
KSYMTAB_FUNC(ip6_tnl_get_cap, "", "");
KSYMTAB_FUNC(ip6_tnl_rcv_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_rcv, "", "");
KSYMTAB_FUNC(ip6_tnl_xmit_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_xmit, "", "");
KSYMTAB_FUNC(ip6_tnl_change_mtu, "", "");
KSYMTAB_FUNC(ip6_tnl_get_iflink, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_add_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_del_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_get_link_net, "", "");

SYMBOL_CRC(ip6_tnl_parse_tlv_enc_lim, 0xc7b6120e, "");
SYMBOL_CRC(ip6_tnl_get_cap, 0x61bf4deb, "");
SYMBOL_CRC(ip6_tnl_rcv_ctl, 0x09e3e2b9, "_gpl");
SYMBOL_CRC(ip6_tnl_rcv, 0xbf5afc38, "");
SYMBOL_CRC(ip6_tnl_xmit_ctl, 0x53af2e5b, "_gpl");
SYMBOL_CRC(ip6_tnl_xmit, 0xd456565a, "");
SYMBOL_CRC(ip6_tnl_change_mtu, 0xbc1d2c22, "");
SYMBOL_CRC(ip6_tnl_get_iflink, 0x1ef62be0, "");
SYMBOL_CRC(ip6_tnl_encap_add_ops, 0x80e787e9, "");
SYMBOL_CRC(ip6_tnl_encap_del_ops, 0xdae34a77, "");
SYMBOL_CRC(ip6_tnl_encap_setup, 0xa752bbf2, "_gpl");
SYMBOL_CRC(ip6_tnl_get_link_net, 0xe3d2837c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xb2e54f28, "ipv6_chk_addr_and_flags" },
	{ 0xfffcb06b, "dev_get_by_index_rcu" },
	{ 0xec64d5b1, "ip6tun_encaps" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x122c3a7e, "_printk" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0x311e6281, "register_pernet_device" },
	{ 0x6d96d1f0, "xfrm6_tunnel_register" },
	{ 0xeb16b253, "rtnl_link_register" },
	{ 0x59f2589b, "unregister_pernet_device" },
	{ 0x7aeda610, "xfrm6_tunnel_deregister" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x77a07d84, "unregister_netdevice_queue" },
	{ 0xdcb764ad, "memset" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x8fe7fc51, "dev_addr_mod" },
	{ 0x96b6f7ec, "rt6_lookup" },
	{ 0x8500f07e, "dst_release" },
	{ 0xa247b83b, "__dev_get_by_index" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xad50ffb0, "ip_tunnel_header_ops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0x7ee7ac5d, "init_net" },
	{ 0xca0eee00, "alloc_netdev_mqs" },
	{ 0x1ca4f351, "register_netdev" },
	{ 0xa916b694, "strnlen" },
	{ 0x4829a47e, "memcpy" },
	{ 0x2e9d1dca, "free_netdev" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x8241aab5, "rtnl_link_unregister" },
	{ 0x79d219c0, "__get_hash_from_flowi6" },
	{ 0xe62f4ba2, "skb_copy_bits" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xa86fbee8, "__pskb_pull_tail" },
	{ 0xec0e8314, "register_netdevice" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3e903560, "ip_tunnel_netlink_encap_parms" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x66f61d0f, "netdev_state_change" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xedf92aba, "make_kuid" },
	{ 0x19915be5, "ip6_redirect" },
	{ 0xe34b0168, "ip6_update_pmtu" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6b53f5f8, "skb_clone" },
	{ 0xb6476d61, "skb_pull" },
	{ 0x4455aa76, "icmp6_send" },
	{ 0x9f66a4ce, "sk_skb_reason_drop" },
	{ 0x1d3b79dd, "ns_capable" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xc6ae011, "ip_route_output_flow" },
	{ 0x861ee69d, "ip_route_input_noref" },
	{ 0x42e1d441, "__icmp_send" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x568a342c, "skb_scrub_packet" },
	{ 0xd1ab323f, "gro_cells_receive" },
	{ 0xffceeeb5, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xe11c859b, "__xfrm_policy_check" },
	{ 0xbb2780a, "__iptunnel_pull_header" },
	{ 0xd1fba8ff, "metadata_dst_alloc" },
	{ 0x39ed8622, "ip6_route_output_flags" },
	{ 0x7453c307, "xfrm_lookup" },
	{ 0xd27ef5b5, "dst_cache_get" },
	{ 0x198be0db, "skb_realloc_headroom" },
	{ 0x6ff4a491, "skb_set_owner_w" },
	{ 0x4679fb71, "consume_skb" },
	{ 0x21b330dd, "ipv6_push_frag_opts" },
	{ 0xbfe0703a, "skb_push" },
	{ 0xa45a8701, "ip6_local_out" },
	{ 0x3b240a6b, "dst_cache_set_ip6" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x5c171c7c, "ip6_dst_hoplimit" },
	{ 0x13d57c7d, "ipv6_dev_get_saddr" },
	{ 0x426eff70, "neigh_destroy" },
	{ 0xe586169f, "iptunnel_handle_offloads" },
	{ 0x51a62b6d, "icmpv6_ndo_send" },
	{ 0x350bc9af, "icmp_ndo_send" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x9137c6a, "gro_cells_init" },
	{ 0x11bae7a4, "dev_get_tstats64" },
	{ 0x14c5dd46, "param_ops_bool" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "tunnel6");


MODULE_INFO(srcversion, "5415341073ACF423E4FE2F3");
