#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(l2tp_nl_register_ops, "_gpl", "");
KSYMTAB_FUNC(l2tp_nl_unregister_ops, "_gpl", "");

SYMBOL_CRC(l2tp_nl_register_ops, 0x1c02d944, "_gpl");
SYMBOL_CRC(l2tp_nl_unregister_ops, 0x337f2432, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2b9da7a4, "genl_lock" },
	{ 0x2d140a58, "genl_unlock" },
	{ 0x122c3a7e, "_printk" },
	{ 0x6ad33698, "genl_register_family" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xda97cfdc, "l2tp_session_get_by_ifname" },
	{ 0xc15ee17, "l2tp_tunnel_get" },
	{ 0x4f4e6089, "l2tp_session_get" },
	{ 0xfd7f39a3, "l2tp_tunnel_dec_refcount" },
	{ 0x95463bb7, "__alloc_skb" },
	{ 0x6fe3a147, "genlmsg_put" },
	{ 0x8172d5ff, "netlink_unicast" },
	{ 0x9f66a4ce, "sk_skb_reason_drop" },
	{ 0xf3ba733b, "genl_unregister_family" },
	{ 0x60714e08, "nla_put_64bit" },
	{ 0x99eabdf8, "skb_trim" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xa916b694, "strnlen" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xa6e39b08, "l2tp_tunnel_get_nth" },
	{ 0xdfdb92ee, "l2tp_session_get_nth" },
	{ 0xef582d90, "l2tp_session_dec_refcount" },
	{ 0xedabffb5, "genlmsg_multicast_allns" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x4829a47e, "memcpy" },
	{ 0xbe078ce4, "l2tp_tunnel_create" },
	{ 0xcdc7d846, "l2tp_tunnel_inc_refcount" },
	{ 0xb3f181be, "l2tp_tunnel_register" },
	{ 0x37a0cba, "kfree" },
	{ 0x3488fa94, "l2tp_tunnel_delete" },
	{ 0x6b37f582, "l2tp_session_set_header_len" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "l2tp_core");


MODULE_INFO(srcversion, "90EFF0656330CF7EA3EE0AF");
