#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x311e6281, "register_pernet_device" },
	{ 0xc3233feb, "proto_register" },
	{ 0xf48bfab9, "register_pppox_proto" },
	{ 0xaa0a7ae4, "proto_unregister" },
	{ 0x59f2589b, "unregister_pernet_device" },
	{ 0x1c02d944, "l2tp_nl_register_ops" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe0ff7a18, "unregister_pppox_proto" },
	{ 0xdcb764ad, "memset" },
	{ 0x2b97e4b, "sk_alloc" },
	{ 0x3451afe6, "sock_init_data" },
	{ 0x2ff91db0, "skb_recv_datagram" },
	{ 0xe0a547c9, "skb_copy_datagram_iter" },
	{ 0x9f66a4ce, "sk_skb_reason_drop" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc15ee17, "l2tp_tunnel_get" },
	{ 0xbe078ce4, "l2tp_tunnel_create" },
	{ 0xcdc7d846, "l2tp_tunnel_inc_refcount" },
	{ 0xb3f181be, "l2tp_tunnel_register" },
	{ 0xfd7f39a3, "l2tp_tunnel_dec_refcount" },
	{ 0x37a0cba, "kfree" },
	{ 0xe225b8f6, "remove_proc_entry" },
	{ 0x9de7ff27, "proc_create_net_data" },
	{ 0xa6e39b08, "l2tp_tunnel_get_nth" },
	{ 0x337f2432, "l2tp_nl_unregister_ops" },
	{ 0x5195dcc3, "skb_queue_purge_reason" },
	{ 0xef582d90, "l2tp_session_dec_refcount" },
	{ 0x978480fb, "l2tp_udp_encap_recv" },
	{ 0x175f8864, "ppp_input" },
	{ 0xafebb1cc, "sock_queue_rcv_skb_reason" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xb6476d61, "skb_pull" },
	{ 0xa86fbee8, "__pskb_pull_tail" },
	{ 0xdfdb92ee, "l2tp_session_get_nth" },
	{ 0x9f8c5901, "lock_sock_nested" },
	{ 0x231a085c, "release_sock" },
	{ 0x3488fa94, "l2tp_tunnel_delete" },
	{ 0x4f4e6089, "l2tp_session_get" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa7a257f1, "l2tp_session_create" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xf431830d, "l2tp_session_inc_refcount" },
	{ 0xddef456e, "l2tp_session_register" },
	{ 0x8500f07e, "dst_release" },
	{ 0x6979be1a, "ppp_register_net_channel" },
	{ 0x44074d55, "l2tp_session_delete" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xcafe0b48, "sk_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x28b4b315, "ppp_dev_name" },
	{ 0x899fbd06, "seq_printf" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x5737dbe8, "seq_write" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x74d30ffc, "l2tp_xmit_skb" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf4ee861a, "pskb_expand_head" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6b37f582, "l2tp_session_set_header_len" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6d0e104e, "sock_wmalloc" },
	{ 0xc2af5a6, "skb_put" },
	{ 0xfff625ed, "_copy_from_iter" },
	{ 0xc87ff6e5, "iov_iter_revert" },
	{ 0xf70d0120, "pppox_unbind_sock" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xc528a49a, "queued_write_lock_slowpath" },
	{ 0xa41a6abd, "sock_no_bind" },
	{ 0x4ff44c15, "sock_no_socketpair" },
	{ 0xa7809109, "sock_no_accept" },
	{ 0x1a4635a2, "datagram_poll" },
	{ 0x6bd8024f, "pppox_ioctl" },
	{ 0x4be3aef4, "pppox_compat_ioctl" },
	{ 0xee13dea4, "sock_no_listen" },
	{ 0x4d7e6daa, "sock_no_shutdown" },
	{ 0x2050db7d, "sock_no_mmap" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "pppox,l2tp_netlink,l2tp_core,ppp_generic");


MODULE_INFO(srcversion, "158009D2E264153F863F927");
