#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ieee80211_emulate_add_chanctx, "", "");
KSYMTAB_FUNC(ieee80211_emulate_remove_chanctx, "", "");
KSYMTAB_FUNC(ieee80211_emulate_change_chanctx, "", "");
KSYMTAB_FUNC(ieee80211_emulate_switch_vif_chanctx, "", "");
KSYMTAB_FUNC(ieee80211_restart_hw, "", "");
KSYMTAB_FUNC(ieee80211_alloc_hw_nm, "", "");
KSYMTAB_FUNC(ieee80211_register_hw, "", "");
KSYMTAB_FUNC(ieee80211_unregister_hw, "", "");
KSYMTAB_FUNC(ieee80211_free_hw, "", "");
KSYMTAB_FUNC(ieee80211_tx_status_irqsafe, "", "");
KSYMTAB_FUNC(ieee80211_tx_status_skb, "", "");
KSYMTAB_FUNC(ieee80211_tx_status_ext, "", "");
KSYMTAB_FUNC(ieee80211_tx_rate_update, "", "");
KSYMTAB_FUNC(ieee80211_report_low_ack, "", "");
KSYMTAB_FUNC(ieee80211_free_txskb, "", "");
KSYMTAB_FUNC(ieee80211_find_sta_by_link_addrs, "_gpl", "");
KSYMTAB_FUNC(ieee80211_find_sta_by_ifaddr, "_gpl", "");
KSYMTAB_FUNC(ieee80211_find_sta, "", "");
KSYMTAB_FUNC(ieee80211_sta_block_awake, "", "");
KSYMTAB_FUNC(ieee80211_sta_eosp, "", "");
KSYMTAB_FUNC(ieee80211_send_eosp_nullfunc, "", "");
KSYMTAB_FUNC(ieee80211_sta_set_buffered, "", "");
KSYMTAB_FUNC(ieee80211_sta_register_airtime, "", "");
KSYMTAB_FUNC(ieee80211_sta_recalc_aggregates, "", "");
KSYMTAB_FUNC(ieee80211_scan_completed, "", "");
KSYMTAB_FUNC(ieee80211_sched_scan_results, "", "");
KSYMTAB_FUNC(ieee80211_sched_scan_stopped, "", "");
KSYMTAB_FUNC(ieee80211_ready_on_channel, "_gpl", "");
KSYMTAB_FUNC(ieee80211_remain_on_channel_expired, "_gpl", "");
KSYMTAB_FUNC(ieee80211_request_smps, "_gpl", "");
KSYMTAB_FUNC(ieee80211_send_bar, "", "");
KSYMTAB_FUNC(ieee80211_refresh_tx_agg_session_timer, "", "");
KSYMTAB_FUNC(ieee80211_start_tx_ba_session, "", "");
KSYMTAB_FUNC(ieee80211_start_tx_ba_cb_irqsafe, "", "");
KSYMTAB_FUNC(ieee80211_stop_tx_ba_session, "", "");
KSYMTAB_FUNC(ieee80211_stop_tx_ba_cb_irqsafe, "", "");
KSYMTAB_FUNC(ieee80211_stop_rx_ba_session, "", "");
KSYMTAB_FUNC(ieee80211_manage_rx_ba_offl, "", "");
KSYMTAB_FUNC(ieee80211_rx_ba_timer_expired, "", "");
KSYMTAB_FUNC(ieee80211_update_mu_groups, "_gpl", "");
KSYMTAB_FUNC(ieee80211_set_active_links, "_gpl", "");
KSYMTAB_FUNC(ieee80211_set_active_links_async, "_gpl", "");
KSYMTAB_FUNC(ieee80211_rate_control_register, "", "");
KSYMTAB_FUNC(ieee80211_rate_control_unregister, "", "");
KSYMTAB_FUNC(ieee80211_get_tx_rates, "", "");
KSYMTAB_FUNC(rate_control_set_rates, "", "");
KSYMTAB_FUNC(ieee80211_tkip_add_iv, "_gpl", "");
KSYMTAB_FUNC(ieee80211_get_tkip_p1k_iv, "", "");
KSYMTAB_FUNC(ieee80211_get_tkip_rx_p1k, "", "");
KSYMTAB_FUNC(ieee80211_get_tkip_p2k, "", "");
KSYMTAB_FUNC(ieee80211_csa_finish, "", "");
KSYMTAB_FUNC(ieee80211_channel_switch_disconnect, "", "");
KSYMTAB_FUNC(ieee80211_nan_func_terminated, "", "");
KSYMTAB_FUNC(ieee80211_nan_func_match, "", "");
KSYMTAB_FUNC(ieee80211_color_change_finish, "_gpl", "");
KSYMTAB_FUNC(ieee80211_obss_color_collision_notify, "_gpl", "");
KSYMTAB_FUNC(ieee80211_sta_ps_transition, "", "");
KSYMTAB_FUNC(ieee80211_sta_pspoll, "", "");
KSYMTAB_FUNC(ieee80211_sta_uapsd_trigger, "", "");
KSYMTAB_FUNC(ieee80211_mark_rx_ba_filtered_frames, "", "");
KSYMTAB_FUNC(ieee80211_rx_list, "", "");
KSYMTAB_FUNC(ieee80211_rx_napi, "", "");
KSYMTAB_FUNC(ieee80211_rx_irqsafe, "", "");
KSYMTAB_FUNC(ieee80211_tx_prepare_skb, "", "");
KSYMTAB_FUNC(ieee80211_tx_dequeue, "", "");
KSYMTAB_FUNC(ieee80211_next_txq, "", "");
KSYMTAB_FUNC(__ieee80211_schedule_txq, "", "");
KSYMTAB_FUNC(ieee80211_txq_airtime_check, "", "");
KSYMTAB_FUNC(ieee80211_txq_may_transmit, "", "");
KSYMTAB_FUNC(ieee80211_txq_schedule_start, "", "");
KSYMTAB_FUNC(ieee80211_beacon_update_cntdwn, "", "");
KSYMTAB_FUNC(ieee80211_beacon_set_cntdwn, "", "");
KSYMTAB_FUNC(ieee80211_beacon_cntdwn_is_complete, "", "");
KSYMTAB_FUNC(ieee80211_beacon_get_template, "", "");
KSYMTAB_FUNC(ieee80211_beacon_get_template_ema_index, "", "");
KSYMTAB_FUNC(ieee80211_beacon_free_ema_list, "", "");
KSYMTAB_FUNC(ieee80211_beacon_get_template_ema_list, "", "");
KSYMTAB_FUNC(ieee80211_beacon_get_tim, "", "");
KSYMTAB_FUNC(ieee80211_proberesp_get, "", "");
KSYMTAB_FUNC(ieee80211_get_fils_discovery_tmpl, "", "");
KSYMTAB_FUNC(ieee80211_get_unsol_bcast_probe_resp_tmpl, "", "");
KSYMTAB_FUNC(ieee80211_pspoll_get, "", "");
KSYMTAB_FUNC(ieee80211_nullfunc_get, "", "");
KSYMTAB_FUNC(ieee80211_probereq_get, "", "");
KSYMTAB_FUNC(ieee80211_rts_get, "", "");
KSYMTAB_FUNC(ieee80211_ctstoself_get, "", "");
KSYMTAB_FUNC(ieee80211_get_buffered_bc, "", "");
KSYMTAB_FUNC(ieee80211_reserve_tid, "", "");
KSYMTAB_FUNC(ieee80211_unreserve_tid, "", "");
KSYMTAB_FUNC(ieee80211_iter_keys, "", "");
KSYMTAB_FUNC(ieee80211_iter_keys_rcu, "", "");
KSYMTAB_FUNC(ieee80211_gtk_rekey_notify, "_gpl", "");
KSYMTAB_FUNC(ieee80211_get_key_rx_seq, "", "");
KSYMTAB_FUNC(ieee80211_set_key_rx_seq, "_gpl", "");
KSYMTAB_FUNC(ieee80211_remove_key, "_gpl", "");
KSYMTAB_FUNC(ieee80211_gtk_rekey_add, "_gpl", "");
KSYMTAB_FUNC(ieee80211_key_mic_failure, "_gpl", "");
KSYMTAB_FUNC(ieee80211_key_replay, "_gpl", "");
KSYMTAB_FUNC(wiphy_to_ieee80211_hw, "", "");
KSYMTAB_FUNC(ieee80211_get_bssid, "", "");
KSYMTAB_FUNC(ieee80211_generic_frame_duration, "", "");
KSYMTAB_FUNC(ieee80211_rts_duration, "", "");
KSYMTAB_FUNC(ieee80211_ctstoself_duration, "", "");
KSYMTAB_FUNC(ieee80211_handle_wake_tx_queue, "", "");
KSYMTAB_FUNC(ieee80211_wake_queue, "", "");
KSYMTAB_FUNC(ieee80211_stop_queue, "", "");
KSYMTAB_FUNC(ieee80211_stop_queues, "", "");
KSYMTAB_FUNC(ieee80211_queue_stopped, "", "");
KSYMTAB_FUNC(ieee80211_wake_queues, "", "");
KSYMTAB_FUNC(ieee80211_iterate_interfaces, "_gpl", "");
KSYMTAB_FUNC(ieee80211_iterate_active_interfaces_atomic, "_gpl", "");
KSYMTAB_FUNC(ieee80211_iterate_active_interfaces_mtx, "_gpl", "");
KSYMTAB_FUNC(ieee80211_iterate_stations_atomic, "_gpl", "");
KSYMTAB_FUNC(wdev_to_ieee80211_vif, "_gpl", "");
KSYMTAB_FUNC(ieee80211_vif_to_wdev, "_gpl", "");
KSYMTAB_FUNC(ieee80211_queue_work, "", "");
KSYMTAB_FUNC(ieee80211_queue_delayed_work, "", "");
KSYMTAB_FUNC(ieee80211_hw_restart_disconnect, "_gpl", "");
KSYMTAB_FUNC(ieee80211_resume_disconnect, "_gpl", "");
KSYMTAB_FUNC(ieee80211_ave_rssi, "_gpl", "");
KSYMTAB_FUNC(ieee80211_radar_detected, "", "");
KSYMTAB_FUNC(ieee80211_update_p2p_noa, "", "");
KSYMTAB_FUNC(ieee80211_parse_p2p_noa, "", "");
KSYMTAB_FUNC(ieee80211_txq_get_depth, "", "");
KSYMTAB_FUNC(ieee80211_iter_chan_contexts_atomic, "_gpl", "");
KSYMTAB_FUNC(ieee80211_chswitch_done, "", "");
KSYMTAB_FUNC(ieee80211_ap_probereq_get, "", "");
KSYMTAB_FUNC(ieee80211_beacon_loss, "", "");
KSYMTAB_FUNC(ieee80211_connection_loss, "", "");
KSYMTAB_FUNC(ieee80211_disconnect, "", "");
KSYMTAB_FUNC(ieee80211_send_teardown_neg_ttlm, "", "");
KSYMTAB_FUNC(ieee80211_cqm_rssi_notify, "", "");
KSYMTAB_FUNC(ieee80211_cqm_beacon_loss_notify, "", "");
KSYMTAB_FUNC(ieee80211_enable_rssi_reports, "", "");
KSYMTAB_FUNC(ieee80211_disable_rssi_reports, "", "");
KSYMTAB_FUNC(ieee80211_tdls_oper_request, "", "");
KSYMTAB_FUNC(ieee80211_calc_rx_airtime, "_gpl", "");
KSYMTAB_FUNC(ieee80211_calc_tx_airtime, "_gpl", "");
KSYMTAB_FUNC(__ieee80211_get_radio_led_name, "", "");
KSYMTAB_FUNC(__ieee80211_get_assoc_led_name, "", "");
KSYMTAB_FUNC(__ieee80211_get_tx_led_name, "", "");
KSYMTAB_FUNC(__ieee80211_get_rx_led_name, "", "");
KSYMTAB_FUNC(__ieee80211_create_tpt_led_trigger, "", "");
KSYMTAB_FUNC(ieee80211_report_wowlan_wakeup, "", "");

SYMBOL_CRC(ieee80211_emulate_add_chanctx, 0xf853f470, "");
SYMBOL_CRC(ieee80211_emulate_remove_chanctx, 0xbd616535, "");
SYMBOL_CRC(ieee80211_emulate_change_chanctx, 0xeb296f65, "");
SYMBOL_CRC(ieee80211_emulate_switch_vif_chanctx, 0xd29d3445, "");
SYMBOL_CRC(ieee80211_restart_hw, 0x1ecbd4ec, "");
SYMBOL_CRC(ieee80211_alloc_hw_nm, 0x2935d794, "");
SYMBOL_CRC(ieee80211_register_hw, 0xa443a193, "");
SYMBOL_CRC(ieee80211_unregister_hw, 0xc4b210c0, "");
SYMBOL_CRC(ieee80211_free_hw, 0xdb9f7425, "");
SYMBOL_CRC(ieee80211_tx_status_irqsafe, 0x0dfc275f, "");
SYMBOL_CRC(ieee80211_tx_status_skb, 0x0d84797f, "");
SYMBOL_CRC(ieee80211_tx_status_ext, 0xf5ac16e8, "");
SYMBOL_CRC(ieee80211_tx_rate_update, 0xc17a2f92, "");
SYMBOL_CRC(ieee80211_report_low_ack, 0x865852cd, "");
SYMBOL_CRC(ieee80211_free_txskb, 0x26a0a846, "");
SYMBOL_CRC(ieee80211_find_sta_by_link_addrs, 0x2e282284, "_gpl");
SYMBOL_CRC(ieee80211_find_sta_by_ifaddr, 0x22c18a03, "_gpl");
SYMBOL_CRC(ieee80211_find_sta, 0x6269d570, "");
SYMBOL_CRC(ieee80211_sta_block_awake, 0x598b0519, "");
SYMBOL_CRC(ieee80211_sta_eosp, 0x152f2083, "");
SYMBOL_CRC(ieee80211_send_eosp_nullfunc, 0x7ee27613, "");
SYMBOL_CRC(ieee80211_sta_set_buffered, 0x12c2d041, "");
SYMBOL_CRC(ieee80211_sta_register_airtime, 0xa05ffc58, "");
SYMBOL_CRC(ieee80211_sta_recalc_aggregates, 0x6c6fb691, "");
SYMBOL_CRC(ieee80211_scan_completed, 0x6157449c, "");
SYMBOL_CRC(ieee80211_sched_scan_results, 0xb5cc5acc, "");
SYMBOL_CRC(ieee80211_sched_scan_stopped, 0x74dd884e, "");
SYMBOL_CRC(ieee80211_ready_on_channel, 0x2ba82024, "_gpl");
SYMBOL_CRC(ieee80211_remain_on_channel_expired, 0x09b8785e, "_gpl");
SYMBOL_CRC(ieee80211_request_smps, 0x1295ed80, "_gpl");
SYMBOL_CRC(ieee80211_send_bar, 0x670757ee, "");
SYMBOL_CRC(ieee80211_refresh_tx_agg_session_timer, 0x4487e4d7, "");
SYMBOL_CRC(ieee80211_start_tx_ba_session, 0x2f0e65e1, "");
SYMBOL_CRC(ieee80211_start_tx_ba_cb_irqsafe, 0x0cb897a7, "");
SYMBOL_CRC(ieee80211_stop_tx_ba_session, 0x9025f190, "");
SYMBOL_CRC(ieee80211_stop_tx_ba_cb_irqsafe, 0xb783af47, "");
SYMBOL_CRC(ieee80211_stop_rx_ba_session, 0x38407ec8, "");
SYMBOL_CRC(ieee80211_manage_rx_ba_offl, 0xe4e7dc2c, "");
SYMBOL_CRC(ieee80211_rx_ba_timer_expired, 0xd874bc1e, "");
SYMBOL_CRC(ieee80211_update_mu_groups, 0x6380d73f, "_gpl");
SYMBOL_CRC(ieee80211_set_active_links, 0x3fa1aefc, "_gpl");
SYMBOL_CRC(ieee80211_set_active_links_async, 0x093a33e1, "_gpl");
SYMBOL_CRC(ieee80211_rate_control_register, 0xb1f70e92, "");
SYMBOL_CRC(ieee80211_rate_control_unregister, 0x60bc609b, "");
SYMBOL_CRC(ieee80211_get_tx_rates, 0x40f0d125, "");
SYMBOL_CRC(rate_control_set_rates, 0xc6b84ed4, "");
SYMBOL_CRC(ieee80211_tkip_add_iv, 0x16ad7c5f, "_gpl");
SYMBOL_CRC(ieee80211_get_tkip_p1k_iv, 0x1cf75d45, "");
SYMBOL_CRC(ieee80211_get_tkip_rx_p1k, 0x391eda45, "");
SYMBOL_CRC(ieee80211_get_tkip_p2k, 0x2b3d0e1d, "");
SYMBOL_CRC(ieee80211_csa_finish, 0xe4c787fb, "");
SYMBOL_CRC(ieee80211_channel_switch_disconnect, 0x8897dde5, "");
SYMBOL_CRC(ieee80211_nan_func_terminated, 0x80bc3029, "");
SYMBOL_CRC(ieee80211_nan_func_match, 0xe7edd080, "");
SYMBOL_CRC(ieee80211_color_change_finish, 0x2855b5b2, "_gpl");
SYMBOL_CRC(ieee80211_obss_color_collision_notify, 0xd8a5da11, "_gpl");
SYMBOL_CRC(ieee80211_sta_ps_transition, 0x497bb3fd, "");
SYMBOL_CRC(ieee80211_sta_pspoll, 0xc26a05eb, "");
SYMBOL_CRC(ieee80211_sta_uapsd_trigger, 0x766c7a56, "");
SYMBOL_CRC(ieee80211_mark_rx_ba_filtered_frames, 0x5f94aaa5, "");
SYMBOL_CRC(ieee80211_rx_list, 0x84e8d8e6, "");
SYMBOL_CRC(ieee80211_rx_napi, 0xdcad7bca, "");
SYMBOL_CRC(ieee80211_rx_irqsafe, 0xf0782b49, "");
SYMBOL_CRC(ieee80211_tx_prepare_skb, 0x613781a6, "");
SYMBOL_CRC(ieee80211_tx_dequeue, 0x06a53512, "");
SYMBOL_CRC(ieee80211_next_txq, 0xfcc3de91, "");
SYMBOL_CRC(__ieee80211_schedule_txq, 0x328fb888, "");
SYMBOL_CRC(ieee80211_txq_airtime_check, 0xade5e25c, "");
SYMBOL_CRC(ieee80211_txq_may_transmit, 0xb60cad31, "");
SYMBOL_CRC(ieee80211_txq_schedule_start, 0x71157113, "");
SYMBOL_CRC(ieee80211_beacon_update_cntdwn, 0x24ccf766, "");
SYMBOL_CRC(ieee80211_beacon_set_cntdwn, 0x5d4f43ba, "");
SYMBOL_CRC(ieee80211_beacon_cntdwn_is_complete, 0xcd5b3cc2, "");
SYMBOL_CRC(ieee80211_beacon_get_template, 0xf22cdd12, "");
SYMBOL_CRC(ieee80211_beacon_get_template_ema_index, 0xb3622413, "");
SYMBOL_CRC(ieee80211_beacon_free_ema_list, 0xa4aa68c6, "");
SYMBOL_CRC(ieee80211_beacon_get_template_ema_list, 0xac25e2f5, "");
SYMBOL_CRC(ieee80211_beacon_get_tim, 0xcce31ff9, "");
SYMBOL_CRC(ieee80211_proberesp_get, 0x02fb07f0, "");
SYMBOL_CRC(ieee80211_get_fils_discovery_tmpl, 0x8dea144a, "");
SYMBOL_CRC(ieee80211_get_unsol_bcast_probe_resp_tmpl, 0x23f3b4be, "");
SYMBOL_CRC(ieee80211_pspoll_get, 0xbbc2b896, "");
SYMBOL_CRC(ieee80211_nullfunc_get, 0xbb615689, "");
SYMBOL_CRC(ieee80211_probereq_get, 0xc5825cea, "");
SYMBOL_CRC(ieee80211_rts_get, 0xa4f2e3fb, "");
SYMBOL_CRC(ieee80211_ctstoself_get, 0x5f7f08de, "");
SYMBOL_CRC(ieee80211_get_buffered_bc, 0x405a3670, "");
SYMBOL_CRC(ieee80211_reserve_tid, 0x32d1b8f5, "");
SYMBOL_CRC(ieee80211_unreserve_tid, 0x963b4912, "");
SYMBOL_CRC(ieee80211_iter_keys, 0xb8b36d14, "");
SYMBOL_CRC(ieee80211_iter_keys_rcu, 0x74818240, "");
SYMBOL_CRC(ieee80211_gtk_rekey_notify, 0x5c03eae0, "_gpl");
SYMBOL_CRC(ieee80211_get_key_rx_seq, 0xaeb9a917, "");
SYMBOL_CRC(ieee80211_set_key_rx_seq, 0x1dab0efe, "_gpl");
SYMBOL_CRC(ieee80211_remove_key, 0xea792270, "_gpl");
SYMBOL_CRC(ieee80211_gtk_rekey_add, 0x28f0b9e5, "_gpl");
SYMBOL_CRC(ieee80211_key_mic_failure, 0xd004ea88, "_gpl");
SYMBOL_CRC(ieee80211_key_replay, 0x9e1c1431, "_gpl");
SYMBOL_CRC(wiphy_to_ieee80211_hw, 0x7a1208f2, "");
SYMBOL_CRC(ieee80211_get_bssid, 0x95febea6, "");
SYMBOL_CRC(ieee80211_generic_frame_duration, 0x97ce1051, "");
SYMBOL_CRC(ieee80211_rts_duration, 0xea168bc2, "");
SYMBOL_CRC(ieee80211_ctstoself_duration, 0x27fc16ee, "");
SYMBOL_CRC(ieee80211_handle_wake_tx_queue, 0x8be56097, "");
SYMBOL_CRC(ieee80211_wake_queue, 0xd4d281cf, "");
SYMBOL_CRC(ieee80211_stop_queue, 0x7bd7df1b, "");
SYMBOL_CRC(ieee80211_stop_queues, 0x9d044308, "");
SYMBOL_CRC(ieee80211_queue_stopped, 0x37dc6251, "");
SYMBOL_CRC(ieee80211_wake_queues, 0x0bfbbbf9, "");
SYMBOL_CRC(ieee80211_iterate_interfaces, 0xcc0e7274, "_gpl");
SYMBOL_CRC(ieee80211_iterate_active_interfaces_atomic, 0xc466477d, "_gpl");
SYMBOL_CRC(ieee80211_iterate_active_interfaces_mtx, 0xf6571864, "_gpl");
SYMBOL_CRC(ieee80211_iterate_stations_atomic, 0xe7bc8968, "_gpl");
SYMBOL_CRC(wdev_to_ieee80211_vif, 0xd0c64b9f, "_gpl");
SYMBOL_CRC(ieee80211_vif_to_wdev, 0xb506baa3, "_gpl");
SYMBOL_CRC(ieee80211_queue_work, 0x2f266e04, "");
SYMBOL_CRC(ieee80211_queue_delayed_work, 0x55692e7d, "");
SYMBOL_CRC(ieee80211_hw_restart_disconnect, 0x8cb097b3, "_gpl");
SYMBOL_CRC(ieee80211_resume_disconnect, 0xe60f645f, "_gpl");
SYMBOL_CRC(ieee80211_ave_rssi, 0x588a480a, "_gpl");
SYMBOL_CRC(ieee80211_radar_detected, 0x1eb713b4, "");
SYMBOL_CRC(ieee80211_update_p2p_noa, 0x19f37f0d, "");
SYMBOL_CRC(ieee80211_parse_p2p_noa, 0x991a0ca0, "");
SYMBOL_CRC(ieee80211_txq_get_depth, 0x9c2ba2fc, "");
SYMBOL_CRC(ieee80211_iter_chan_contexts_atomic, 0x77d0380b, "_gpl");
SYMBOL_CRC(ieee80211_chswitch_done, 0x5ad4611c, "");
SYMBOL_CRC(ieee80211_ap_probereq_get, 0x7aaf8703, "");
SYMBOL_CRC(ieee80211_beacon_loss, 0xfb2ad75f, "");
SYMBOL_CRC(ieee80211_connection_loss, 0xbb8d5f22, "");
SYMBOL_CRC(ieee80211_disconnect, 0xf15245c9, "");
SYMBOL_CRC(ieee80211_send_teardown_neg_ttlm, 0x9afe7509, "");
SYMBOL_CRC(ieee80211_cqm_rssi_notify, 0x54ab5a99, "");
SYMBOL_CRC(ieee80211_cqm_beacon_loss_notify, 0x8afb6669, "");
SYMBOL_CRC(ieee80211_enable_rssi_reports, 0x86fc4100, "");
SYMBOL_CRC(ieee80211_disable_rssi_reports, 0xca1b7e65, "");
SYMBOL_CRC(ieee80211_tdls_oper_request, 0x7a6b28d2, "");
SYMBOL_CRC(ieee80211_calc_rx_airtime, 0x49aa2731, "_gpl");
SYMBOL_CRC(ieee80211_calc_tx_airtime, 0xd346b5c2, "_gpl");
SYMBOL_CRC(__ieee80211_get_radio_led_name, 0x1fcd5e4c, "");
SYMBOL_CRC(__ieee80211_get_assoc_led_name, 0xc5953ef1, "");
SYMBOL_CRC(__ieee80211_get_tx_led_name, 0x2245647f, "");
SYMBOL_CRC(__ieee80211_get_rx_led_name, 0x8dab2d37, "");
SYMBOL_CRC(__ieee80211_create_tpt_led_trigger, 0x357336bc, "");
SYMBOL_CRC(ieee80211_report_wowlan_wakeup, 0x7a7ae811, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x60ae5965, "crypto_skcipher_encrypt" },
	{ 0x81d093ba, "cfg80211_inform_bss_frame_data" },
	{ 0xc3303aa7, "cfg80211_sched_scan_results" },
	{ 0x5dbb0ce6, "wiphy_locked_debugfs_read" },
	{ 0x3c86019a, "cfg80211_sinfo_alloc_tid_stats" },
	{ 0xd75b123c, "skb_complete_wifi_ack" },
	{ 0xf28cf0ae, "__hw_addr_init" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0x8d1e8e52, "cfg80211_mgmt_tx_status_ext" },
	{ 0x3fb5d1, "cfg80211_rx_assoc_resp" },
	{ 0x1f38fbfa, "cfg80211_rx_unexpected_4addr_frame" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x2bb32ad1, "arc4_setkey" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4506c655, "bpf_trace_run4" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xe62f4ba2, "skb_copy_bits" },
	{ 0x20978fb9, "idr_find" },
	{ 0x117aca91, "cfg80211_merge_profile" },
	{ 0xadb19534, "eth_mac_addr" },
	{ 0xc2af5a6, "skb_put" },
	{ 0x6f32fa0c, "cfg80211_links_removed" },
	{ 0xe6cb6d40, "cfg80211_chandef_dfs_required" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x557d0ea1, "cfg80211_scan_done" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x57674fd7, "__sw_hweight16" },
	{ 0x2c9fe120, "cfg80211_assoc_comeback" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x4679fb71, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xd723f3c5, "regulatory_pre_cac_allowed" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe9666074, "skb_clone_sk" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x93b9a682, "trace_raw_output_prep" },
	{ 0x8b96a8df, "wiphy_work_flush" },
	{ 0x6b8bf149, "netif_receive_skb_list" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xf0419b76, "cfg80211_bss_color_notify" },
	{ 0xe5edf9c8, "cfg80211_remain_on_channel_expired" },
	{ 0x7e85034f, "bpf_trace_run6" },
	{ 0x45cdf590, "cfg80211_cac_event" },
	{ 0x35190c94, "debugfs_create_symlink" },
	{ 0x87ef83ff, "skb_dequeue" },
	{ 0x556be6e0, "__trace_trigger_soft_disabled" },
	{ 0xdba1ea2f, "cfg80211_register_netdevice" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xcb6b138, "trace_event_printf" },
	{ 0xc53b58c8, "led_trigger_blink_oneshot" },
	{ 0x96848186, "scnprintf" },
	{ 0xcc1a7c48, "cfg80211_is_element_inherited" },
	{ 0x470b50dd, "ieee80211_amsdu_to_8023s" },
	{ 0xb71ed69f, "__hw_addr_unsync" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x2a32a35d, "cfg80211_ref_bss" },
	{ 0x272d6876, "ieee80211_mandatory_rates" },
	{ 0xefab0596, "ieee80211_chandef_to_operating_class" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x4df02057, "crc32_be" },
	{ 0x345fa8cc, "ieee80211_operating_class_to_chandef" },
	{ 0xee4e25df, "dev_alloc_name" },
	{ 0x7c709594, "___pskb_trim" },
	{ 0x3f7c8b8f, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x646c544c, "cfg80211_iter_rnr" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x7237aa40, "crypto_alloc_aead" },
	{ 0xc4e40b90, "bpf_trace_run2" },
	{ 0xbf829c5, "crypto_aead_setauthsize" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xab469c39, "crypto_aead_decrypt" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x538f32f2, "cfg80211_chandef_valid" },
	{ 0x2bc4739b, "cfg80211_new_sta" },
	{ 0x4ce4dee3, "crypto_skcipher_setkey" },
	{ 0x3494ac55, "kmem_cache_create" },
	{ 0x6d6987af, "netdev_set_default_ethtool_ops" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0x9d58bf, "ether_setup" },
	{ 0xf4ee861a, "pskb_expand_head" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x886884cf, "skb_csum_hwoffload_help" },
	{ 0x5195dcc3, "skb_queue_purge_reason" },
	{ 0xfb6dfa14, "trace_event_buffer_commit" },
	{ 0x8fe7fc51, "dev_addr_mod" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0xc63dce24, "crypto_destroy_tfm" },
	{ 0xffceeeb5, "eth_type_trans" },
	{ 0xca0eee00, "alloc_netdev_mqs" },
	{ 0x4945b134, "wiphy_new_nm" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x371dde6f, "cfg80211_sta_opmode_change_notify" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf74e4ea3, "cfg80211_ready_on_channel" },
	{ 0x2162b72e, "cfg80211_reg_check_beaconing" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xff2d565c, "drop_reasons_unregister_subsys" },
	{ 0xc037dde3, "skb_checksum_help" },
	{ 0x875a6c8c, "cfg80211_classify8021d" },
	{ 0x8ca0796b, "cfg80211_tx_mgmt_expired" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x931f6e47, "debugfs_create_x64" },
	{ 0xc8e1d443, "ieee80211_fragment_element" },
	{ 0x6f3c6fd5, "cfg80211_rx_mlme_mgmt" },
	{ 0x7eb0a69, "wiphy_delayed_work_queue" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x9d56069b, "crypto_skcipher_decrypt" },
	{ 0xfdb9953, "wiphy_register" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x95463bb7, "__alloc_skb" },
	{ 0x4d3e2151, "cfg80211_put_bss" },
	{ 0xa6ac3d0b, "cfg80211_nan_func_terminated" },
	{ 0xc797b162, "cfg80211_ch_switch_notify" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xeb98e598, "cfg80211_tx_mlme_mgmt" },
	{ 0xb0aa812e, "fips_enabled" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0xecb7ae28, "napi_gro_receive" },
	{ 0xbdbba5e3, "cfg80211_gtk_rekey_notify" },
	{ 0xfae4eec, "skb_copy_expand" },
	{ 0x136711a4, "skb_queue_tail" },
	{ 0xd403a9e, "ieee80211_get_channel_khz" },
	{ 0xc52f111f, "cfg80211_check_combinations" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xc9a15bf2, "__cfg80211_radar_event" },
	{ 0xad2e6ebd, "cfg80211_tdls_oper_request" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x800473f, "__cond_resched" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xc4eabfde, "cfg80211_control_port_tx_status" },
	{ 0x9ce5d166, "cfg80211_chandef_primary" },
	{ 0x92979c4a, "cfg80211_get_drvinfo" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x13c58e52, "ieee80211_get_8023_tunnel_proto" },
	{ 0x7432b9d2, "crypto_aead_setkey" },
	{ 0x52b549a, "__skb_get_hash_net" },
	{ 0x23e6d628, "kernel_param_lock" },
	{ 0xed04901a, "wiphy_locked_debugfs_write" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xc90cd1ae, "cfg80211_rx_spurious_frame" },
	{ 0x4bb807c7, "perf_trace_run_bpf_submit" },
	{ 0xebc437ff, "cfg80211_ibss_joined" },
	{ 0x7faccbe8, "cfg80211_nan_match" },
	{ 0xaa3d5f21, "crypto_shash_setkey" },
	{ 0xf7be8ee8, "cfg80211_chandef_compatible" },
	{ 0x2d938670, "simple_open" },
	{ 0xb6476d61, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xe47183f5, "cfg80211_iter_combinations" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xd4034828, "system_freezable_wq" },
	{ 0x695d7a61, "cfg80211_iftype_allowed" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0xb78cf7ea, "crypto_aead_encrypt" },
	{ 0x9f66a4ce, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xfdc0adc2, "noop_llseek" },
	{ 0xdef6fcfb, "ieee80211_is_valid_amsdu" },
	{ 0x44494c12, "bpf_trace_run5" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x94630eb5, "cfg80211_michael_mic_failure" },
	{ 0xa86980c6, "cfg80211_cqm_pktloss_notify" },
	{ 0x20677f71, "cfg80211_any_usable_channels" },
	{ 0xcd47fcc4, "arc4_crypt" },
	{ 0x6565cba7, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x652032cb, "mac_pton" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x8fa02936, "cfg80211_free_nan_func" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbfe0703a, "skb_push" },
	{ 0xf40bc2f5, "ieee80211_operating_class_to_band" },
	{ 0xbc037f7, "kmem_cache_free" },
	{ 0x495eed8e, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x2f360eda, "cfg80211_del_sta_sinfo" },
	{ 0xf24849a9, "netif_receive_skb" },
	{ 0x2092327, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x1dad1987, "crypto_shash_digest" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x53fb6bb8, "skb_ensure_writable" },
	{ 0x42f158d, "wiphy_unregister" },
	{ 0x2e9d1dca, "free_netdev" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xb75a5d88, "crypto_shash_update" },
	{ 0x579b4f45, "wiphy_work_queue" },
	{ 0x45004aac, "led_trigger_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x43afadee, "ieee80211_radiotap_iterator_init" },
	{ 0xd5c616cd, "cfg80211_notify_new_peer_candidate" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x80925aa2, "ieee80211_data_to_8023_exthdr" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xfb7b1730, "ethtool_op_get_link" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x84926888, "debugfs_create_ulong" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xdc0f8a86, "bpf_trace_run1" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x551dfe26, "default_llseek" },
	{ 0x285d824b, "cfg80211_schedule_channels_check" },
	{ 0x2c19c3c0, "nl80211_chan_width_to_mhz" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xac644e22, "kernel_param_unlock" },
	{ 0x8a786caa, "wiphy_work_cancel" },
	{ 0xdcb764ad, "memset" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0x85de3f6f, "wiphy_delayed_work_timer" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xf040f48d, "cfg80211_chandef_usable" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0xd781368c, "wiphy_delayed_work_cancel" },
	{ 0xb318f46e, "ieee80211_strip_8023_mesh_hdr" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x5120bdcb, "kfree_skb_list_reason" },
	{ 0x9c0f0801, "cfg80211_cqm_beacon_loss_notify" },
	{ 0x43674595, "param_ops_charp" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x4419dde5, "debugfs_create_u32" },
	{ 0xd235061c, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x8a15e322, "cfg80211_rx_control_port" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x91f68ea1, "__hw_addr_sync" },
	{ 0xa86fbee8, "__pskb_pull_tail" },
	{ 0x51335c0e, "netif_rx" },
	{ 0x5409cff7, "__netdev_alloc_skb" },
	{ 0x67439331, "debugfs_create_x16" },
	{ 0x1bb59029, "ieee80211_s1g_channel_width" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x78cc75d2, "drop_reasons_register_subsys" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x99eabdf8, "skb_trim" },
	{ 0xf9845aa, "cfg80211_ch_switch_started_notify" },
	{ 0xbf41e696, "cfg80211_check_station_change" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x29600a67, "nonseekable_open" },
	{ 0x6080985f, "cfg80211_sched_scan_stopped_locked" },
	{ 0x2da8d207, "bpf_trace_run3" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0x39aa2f68, "debugfs_rename" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x13107c3a, "debugfs_create_file" },
	{ 0xb72f8fec, "cfg80211_unregister_wdev" },
	{ 0xeacf0ae1, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x4a1a0c29, "cfg80211_probe_status" },
	{ 0x8d2f7c81, "rhltable_init_noprof" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x5b97cc1d, "freq_reg_info" },
	{ 0x28839c12, "rhashtable_init_noprof" },
	{ 0xda2d7a21, "trace_event_buffer_reserve" },
	{ 0x89248d9e, "cfg80211_stop_iface" },
	{ 0x7acb86ed, "ieee80211_radiotap_iterator_next" },
	{ 0xff81fc1e, "cfg80211_rx_mgmt_ext" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9212ea7d, "crypto_shash_finup" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x14c5dd46, "param_ops_bool" },
	{ 0xd6c87a05, "cfg80211_defragment_element" },
	{ 0x872c88d5, "wiphy_delayed_work_flush" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc9ad94d3, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xa9c827aa, "led_trigger_register" },
	{ 0x4d611cf3, "skb_copy" },
	{ 0x854c00bd, "cfg80211_assoc_failure" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x6b53f5f8, "skb_clone" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xaa985d4e, "netif_carrier_on" },
	{ 0x23026b4b, "cfg80211_chandef_create" },
	{ 0xb07ffd6, "cfg80211_report_wowlan_wakeup" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xd56d55f3, "ieee80211_get_mesh_hdrlen" },
	{ 0xa3f12f69, "__crypto_xor" },
	{ 0xf84702, "cfg80211_send_layer2_update" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf5596d89, "cfg80211_get_p2p_attr" },
	{ 0xf15b75dc, "cfg80211_get_iftype_ext_capa" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x7d74d522, "kstrtoull_from_user" },
	{ 0xd1e4f409, "led_trigger_event" },
	{ 0x4410ff94, "cfg80211_shutdown_all_interfaces" },
	{ 0x98cf60b3, "strlen" },
	{ 0x1879fcbd, "bridge_tunnel_header" },
	{ 0xd7c7d5c, "dev_kfree_skb_any_reason" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x6eca24d9, "cfg80211_report_obss_beacon_khz" },
	{ 0x5cba2be4, "ieee80211_bss_get_elem" },
	{ 0xcb74520d, "param_ops_int" },
	{ 0x2151991b, "_dev_printk" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x2227c4aa, "crypto_alloc_shash" },
	{ 0xe820ea6a, "debugfs_create_dir" },
	{ 0x275269b3, "ieee80211_ie_split_ric" },
	{ 0xe7508f4f, "generic_file_llseek" },
	{ 0x96694790, "led_trigger_blink" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x5359e8dc, "__kvmalloc_node_noprof" },
	{ 0x53382dce, "cfg80211_radio_chandef_valid" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xba9c2f08, "__skb_gso_segment" },
	{ 0xeea20a19, "cfg80211_unlink_bss" },
	{ 0x664a493d, "__cfg80211_get_bss" },
	{ 0xd923a37, "wiphy_free" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xa1e874bd, "cfg80211_cqm_rssi_notify" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x3932f94, "netdev_info" },
	{ 0x309989e7, "kmem_cache_destroy" },
	{ 0xf85686bf, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2484d207, "cfg80211_auth_timeout" },
	{ 0x509d5096, "cfg80211_rx_unprot_mlme_mgmt" },
	{ 0x3de05488, "crypto_alloc_skcipher" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,libarc4");


MODULE_INFO(srcversion, "185F5E7864FE9720BB05AE6");
