#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ieee802154_alloc_hw, "", "");
KSYMTAB_FUNC(ieee802154_configure_durations, "", "");
KSYMTAB_FUNC(ieee802154_free_hw, "", "");
KSYMTAB_FUNC(ieee802154_register_hw, "", "");
KSYMTAB_FUNC(ieee802154_unregister_hw, "", "");
KSYMTAB_FUNC(ieee802154_rx_irqsafe, "", "");
KSYMTAB_FUNC(ieee802154_xmit_complete, "", "");
KSYMTAB_FUNC(ieee802154_xmit_error, "", "");
KSYMTAB_FUNC(ieee802154_xmit_hw_error, "", "");

SYMBOL_CRC(ieee802154_alloc_hw, 0xc127a141, "");
SYMBOL_CRC(ieee802154_configure_durations, 0x8e856ca4, "");
SYMBOL_CRC(ieee802154_free_hw, 0x29f0c2b3, "");
SYMBOL_CRC(ieee802154_register_hw, 0x214ecc63, "");
SYMBOL_CRC(ieee802154_unregister_hw, 0xb82e2426, "");
SYMBOL_CRC(ieee802154_rx_irqsafe, 0x1529dd70, "");
SYMBOL_CRC(ieee802154_xmit_complete, 0xf675d3ba, "");
SYMBOL_CRC(ieee802154_xmit_error, 0xb8dede6d, "");
SYMBOL_CRC(ieee802154_xmit_hw_error, 0x25ef6cae, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x60ae5965, "crypto_skcipher_encrypt" },
	{ 0xc528a49a, "queued_write_lock_slowpath" },
	{ 0x87e2553b, "ieee802154_max_payload" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4506c655, "bpf_trace_run4" },
	{ 0x705e40, "nl802154_beaconing_done" },
	{ 0xc2af5a6, "skb_put" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x4679fb71, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x93b9a682, "trace_raw_output_prep" },
	{ 0x87ef83ff, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x556be6e0, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xcb6b138, "trace_event_printf" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0xee4e25df, "dev_alloc_name" },
	{ 0x3f7c8b8f, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0x8d2dd23e, "ieee802154_mac_cmd_push" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x7237aa40, "crypto_alloc_aead" },
	{ 0xc4e40b90, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x3ac8793, "netdev_warn" },
	{ 0xbf829c5, "crypto_aead_setauthsize" },
	{ 0xab469c39, "crypto_aead_decrypt" },
	{ 0xe2964344, "__wake_up" },
	{ 0x52ecbc75, "crc_ccitt" },
	{ 0x4ce4dee3, "crypto_skcipher_setkey" },
	{ 0x77a07d84, "unregister_netdevice_queue" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0x63bd3cdc, "ieee802154_hdr_peek_addrs" },
	{ 0x3262440e, "wpan_phy_unregister" },
	{ 0xfb6dfa14, "trace_event_buffer_commit" },
	{ 0x8fe7fc51, "dev_addr_mod" },
	{ 0xc63dce24, "crypto_destroy_tfm" },
	{ 0xca0eee00, "alloc_netdev_mqs" },
	{ 0x586adb2c, "nl802154_scan_done" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x617c452b, "queued_read_lock_slowpath" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x5c00b500, "nl802154_scan_started" },
	{ 0x9d56069b, "crypto_skcipher_decrypt" },
	{ 0xa916b694, "strnlen" },
	{ 0x95463bb7, "__alloc_skb" },
	{ 0xfae4eec, "skb_copy_expand" },
	{ 0x136711a4, "skb_queue_tail" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x800473f, "__cond_resched" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x7432b9d2, "crypto_aead_setkey" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x4bb807c7, "perf_trace_run_bpf_submit" },
	{ 0x58fc1489, "cfg802154_get_free_short_addr" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc89785a, "wpan_phy_register" },
	{ 0x176ff8ce, "cfg802154_set_max_associations" },
	{ 0xb78cf7ea, "crypto_aead_encrypt" },
	{ 0x9f66a4ce, "sk_skb_reason_drop" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbfe0703a, "skb_push" },
	{ 0x8429aa8c, "ieee802154_hdr_peek" },
	{ 0x439ca2b2, "wpan_phy_free" },
	{ 0xf24849a9, "netif_receive_skb" },
	{ 0x2092327, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x2e9d1dca, "free_netdev" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xdc0f8a86, "bpf_trace_run1" },
	{ 0x69f2e923, "netif_tx_wake_queue" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xdcb764ad, "memset" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x11deda4e, "ieee802154_hdr_pull" },
	{ 0xc51285a3, "nl802154_scan_event" },
	{ 0x622e0e0f, "crypto_alloc_sync_skcipher" },
	{ 0x99eabdf8, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xe3c7bd1e, "__dynamic_netdev_dbg" },
	{ 0x2da8d207, "bpf_trace_run3" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xda2d7a21, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x726bc3c7, "wait_for_completion_killable_timeout" },
	{ 0x72049d1d, "ieee802154_beacon_push" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x4879b1b0, "ieee802154_mac_cmd_pl_pull" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x937d2e36, "wpan_phy_new" },
	{ 0x6b53f5f8, "skb_clone" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41b0ced0, "ieee802154_hdr_push" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xd7c7d5c, "dev_kfree_skb_any_reason" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x84aa3e43, "cfg802154_device_is_parent" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x8a0d015b, "cfg802154_device_is_child" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xec0e8314, "register_netdevice" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "ieee802154");


MODULE_INFO(srcversion, "614EA078CF5FDBF1239C781");
