#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip_vs_conn_in_get_proto, "_gpl", "");
KSYMTAB_FUNC(ip_vs_conn_out_get_proto, "_gpl", "");
KSYMTAB_FUNC(register_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(unregister_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(ip_vs_proto_name, "", "");
KSYMTAB_FUNC(ip_vs_conn_new, "", "");
KSYMTAB_FUNC(ip_vs_conn_in_get, "", "");
KSYMTAB_FUNC(ip_vs_conn_out_get, "", "");
KSYMTAB_FUNC(ip_vs_tcp_conn_listen, "", "");
KSYMTAB_FUNC(ip_vs_conn_put, "", "");
KSYMTAB_FUNC(ip_vs_new_conn_out, "", "");
KSYMTAB_FUNC(ip_vs_scheduler_err, "", "");
KSYMTAB_FUNC(register_ip_vs_app, "", "");
KSYMTAB_FUNC(unregister_ip_vs_app, "", "");
KSYMTAB_FUNC(register_ip_vs_app_inc, "", "");
KSYMTAB_FUNC(ip_vs_proto_get, "", "");
KSYMTAB_FUNC(ip_vs_proto_data_get, "", "");
KSYMTAB_FUNC(register_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(unregister_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(ip_vs_nfct_expect_related, "", "");

SYMBOL_CRC(ip_vs_conn_in_get_proto, 0x2cf7ca4a, "_gpl");
SYMBOL_CRC(ip_vs_conn_out_get_proto, 0x5cb15898, "_gpl");
SYMBOL_CRC(register_ip_vs_scheduler, 0xadd19f0e, "");
SYMBOL_CRC(unregister_ip_vs_scheduler, 0x6fe94e1d, "");
SYMBOL_CRC(ip_vs_proto_name, 0xd831a1a2, "");
SYMBOL_CRC(ip_vs_conn_new, 0xc5c86ba9, "");
SYMBOL_CRC(ip_vs_conn_in_get, 0x2e0251ea, "");
SYMBOL_CRC(ip_vs_conn_out_get, 0x6057c5fd, "");
SYMBOL_CRC(ip_vs_tcp_conn_listen, 0xe7d061a9, "");
SYMBOL_CRC(ip_vs_conn_put, 0x65abd23c, "");
SYMBOL_CRC(ip_vs_new_conn_out, 0xc6eb5777, "");
SYMBOL_CRC(ip_vs_scheduler_err, 0x456f1cdb, "");
SYMBOL_CRC(register_ip_vs_app, 0xce9f31c1, "");
SYMBOL_CRC(unregister_ip_vs_app, 0xa81f5b5b, "");
SYMBOL_CRC(register_ip_vs_app_inc, 0x5c577c87, "");
SYMBOL_CRC(ip_vs_proto_get, 0x28582b9f, "");
SYMBOL_CRC(ip_vs_proto_data_get, 0x6a68af96, "");
SYMBOL_CRC(register_ip_vs_pe, 0xeab974d3, "_gpl");
SYMBOL_CRC(unregister_ip_vs_pe, 0x9ce3f0e5, "_gpl");
SYMBOL_CRC(ip_vs_nfct_expect_related, 0x351b805e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe278ea3d, "nf_ct_ext_add" },
	{ 0x1b015d25, "bitmap_parselist" },
	{ 0xd2da4ddf, "nf_conntrack_find_get" },
	{ 0xd4845a05, "try_module_get" },
	{ 0x470a425, "__ip_select_ident" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x4455aa76, "icmp6_send" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0xe62f4ba2, "skb_copy_bits" },
	{ 0x7453c307, "xfrm_lookup" },
	{ 0xac4038d6, "proc_dointvec_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x7e67ab3e, "housekeeping_cpumask" },
	{ 0x4679fb71, "consume_skb" },
	{ 0xa45a8701, "ip6_local_out" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x1e0a0c24, "mod_timer_pending" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe51de65a, "nf_register_sockopt" },
	{ 0x60714e08, "nla_put_64bit" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xea862feb, "nf_ct_netns_get" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x96848186, "scnprintf" },
	{ 0xedeb6024, "kernel_bind" },
	{ 0xf62c387b, "set_user_nice" },
	{ 0x6fe3a147, "genlmsg_put" },
	{ 0x919e172c, "udp_set_csum" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x515824d8, "alloc_cpumask_var_node" },
	{ 0x16de903d, "ip6_route_me_harder" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2b02565, "__module_get" },
	{ 0xc6ae011, "ip_route_output_flow" },
	{ 0x3494ac55, "kmem_cache_create" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xe586169f, "iptunnel_handle_offloads" },
	{ 0xac3201b0, "udp_flow_hashrnd" },
	{ 0xbe14473c, "__dev_get_by_name" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x9de7ff27, "proc_create_net_data" },
	{ 0xf4ee861a, "pskb_expand_head" },
	{ 0x8f0d0005, "register_pernet_subsys" },
	{ 0x354b3d7c, "wake_up_process" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x356f0d90, "register_net_sysctl_sz" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xb63ad9d8, "nf_unregister_sockopt" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x6a8b6574, "nf_register_net_hooks" },
	{ 0x39ed8622, "ip6_route_output_flags" },
	{ 0xa916b694, "strnlen" },
	{ 0x95463bb7, "__alloc_skb" },
	{ 0x4ce08ac1, "ipv6_sock_mc_join" },
	{ 0x1f9a9c72, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0xfac8865f, "sysctl_wmem_max" },
	{ 0xb05fc310, "sysctl_rmem_max" },
	{ 0x800473f, "__cond_resched" },
	{ 0x13d57c7d, "ipv6_dev_get_saddr" },
	{ 0x52b549a, "__skb_get_hash_net" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x7ee7ac5d, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x9f66a4ce, "sk_skb_reason_drop" },
	{ 0x8172d5ff, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xd6c2ea6f, "nf_ct_expect_related_report" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x8a7c045f, "ip_route_me_harder" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbfe0703a, "skb_push" },
	{ 0xbc037f7, "kmem_cache_free" },
	{ 0x29d7ae82, "set_cpus_allowed_ptr" },
	{ 0x6f2c2cc6, "seq_putc" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0x896c49d8, "proc_doulongvec_minmax" },
	{ 0xce01ab51, "nf_ct_expect_alloc" },
	{ 0x53fb6bb8, "skb_ensure_writable" },
	{ 0x56d7525d, "iov_iter_kvec" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xbec2d34e, "ip_mc_join_group" },
	{ 0x691eb4a1, "nf_ct_expect_put" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x1d3b79dd, "ns_capable" },
	{ 0xd60aca78, "nf_unregister_net_hooks" },
	{ 0xf3943d4, "inet_select_addr" },
	{ 0x59f2589b, "unregister_pernet_device" },
	{ 0x9f8c5901, "lock_sock_nested" },
	{ 0xfb4077d5, "inet_addr_type" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x4cdb9669, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xce0d0503, "__nf_conntrack_confirm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xe7e13a1f, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x3b055253, "kernel_connect" },
	{ 0x7dbe35e4, "skb_checksum" },
	{ 0xdcb764ad, "memset" },
	{ 0x6c0290dd, "ip_defrag" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xd235061c, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xa86fbee8, "__pskb_pull_tail" },
	{ 0xb42d342, "nf_ct_delete" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x99eabdf8, "skb_trim" },
	{ 0xe1a10b85, "nf_hook_slow" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xbdc8c686, "free_cpumask_var" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x31d75226, "kthread_create_on_node" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x8a3ed4ad, "nf_ct_deliver_cached_events" },
	{ 0x198be0db, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x2cbf4ff6, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x42e1d441, "__icmp_send" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x6ff4a491, "skb_set_owner_w" },
	{ 0x20fe9f84, "__skb_checksum" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x33550692, "sock_create_kern" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x4bbb3e25, "init_user_ns" },
	{ 0xc990b771, "nf_ct_expect_init" },
	{ 0x5737dbe8, "seq_write" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe225b8f6, "remove_proc_entry" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x899fbd06, "seq_printf" },
	{ 0xc81bbbfd, "sock_recvmsg" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xedec2625, "proc_create_net_single" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x6461e8d1, "ipv4_update_pmtu" },
	{ 0x581fc7a7, "nf_defrag_ipv6_enable" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x8500f07e, "dst_release" },
	{ 0x6c225138, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xf943375f, "proc_dointvec" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x5ac8c04c, "unregister_net_sysctl_table" },
	{ 0x9bc32fad, "ip_local_out" },
	{ 0xf3ba733b, "genl_unregister_family" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x98cf60b3, "strlen" },
	{ 0xde38987f, "udp6_set_csum" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xcb74520d, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x6ad33698, "genl_register_family" },
	{ 0x51632420, "kernel_sendmsg" },
	{ 0x5359e8dc, "__kvmalloc_node_noprof" },
	{ 0xa22e5e8c, "nf_ct_netns_put" },
	{ 0x311e6281, "register_pernet_device" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x309989e7, "kmem_cache_destroy" },
	{ 0x231a085c, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3eca0c01, "proc_dointvec_minmax" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nf_defrag_ipv6");


MODULE_INFO(srcversion, "E693F2C557C8923665412C9");
