#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb84cb00d, "nfnetlink_subsys_register" },
	{ 0x8f0d0005, "register_pernet_subsys" },
	{ 0x199a9cb, "nfnl_ct_hook" },
	{ 0x122c3a7e, "_printk" },
	{ 0xad714668, "nfnetlink_subsys_unregister" },
	{ 0xa5869c8b, "nf_ct_tcp_seqadj_set" },
	{ 0x691eb4a1, "nf_ct_expect_put" },
	{ 0x2942d85, "nf_connlabels_replace" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x254ad00e, "nla_policy_len" },
	{ 0x9be8e9cf, "nf_ct_l4proto_find" },
	{ 0x1215e62c, "nf_conntrack_unregister_notifier" },
	{ 0x7ccbf1d8, "nf_conntrack_register_notifier" },
	{ 0xe4262c6, "__siphash_unaligned" },
	{ 0xe17678a, "siphash_4u64" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xbab1bfca, "__do_once_done" },
	{ 0xdcb764ad, "memset" },
	{ 0xc49158a0, "__netlink_dump_start" },
	{ 0x12d58f56, "nf_nat_hook" },
	{ 0xdb065657, "nfnl_unlock" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x5ce3b588, "nfnl_lock" },
	{ 0xe7e13a1f, "unregister_pernet_subsys" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x3d1059ea, "__nla_validate" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xb23e37b2, "nf_ct_expect_find_get" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x9adb7399, "nf_conntrack_expect_lock" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xde325827, "nf_ct_unlink_expect_report" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x39b91f74, "nf_ct_expect_iterate_net" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x37a0cba, "kfree" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xb2a60d30, "__nlmsg_put" },
	{ 0x99eabdf8, "skb_trim" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xef0f9fc2, "nf_ct_remove_expectations" },
	{ 0x2f6bac72, "__nf_conntrack_helper_find" },
	{ 0xf7cc60c4, "__nf_ct_change_timeout" },
	{ 0xc0b9683b, "__nf_ct_change_status" },
	{ 0x60714e08, "nla_put_64bit" },
	{ 0xbedd64a2, "nf_ct_change_status_common" },
	{ 0xce01ab51, "nf_ct_expect_alloc" },
	{ 0xa7535350, "nf_ct_helper_expectfn_find_by_name" },
	{ 0xd6c2ea6f, "nf_ct_expect_related_report" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x4678435e, "nf_conntrack_count" },
	{ 0xf38bcdf3, "nf_conntrack_max" },
	{ 0x95463bb7, "__alloc_skb" },
	{ 0xe4b70f31, "nfnetlink_unicast" },
	{ 0x9f66a4ce, "sk_skb_reason_drop" },
	{ 0xa916b694, "strnlen" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x98cf60b3, "strlen" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xc4877766, "nf_ct_get_id" },
	{ 0xd2da4ddf, "nf_conntrack_find_get" },
	{ 0x582183c4, "nf_ct_helper_expectfn_find_by_symbol" },
	{ 0x5e2d6a5, "nfnetlink_has_listeners" },
	{ 0x14387020, "nfnetlink_set_err" },
	{ 0x857e34de, "nfnetlink_send" },
	{ 0xc18ac88d, "nf_ct_expect_hsize" },
	{ 0xec8beba6, "nf_ct_expect_hash" },
	{ 0x8ffe7e89, "nf_conntrack_htable_size" },
	{ 0xaf0847f0, "nf_conntrack_locks" },
	{ 0xdba7326b, "nf_conntrack_lock" },
	{ 0x28eff409, "nf_conntrack_hash" },
	{ 0xb42d342, "nf_ct_delete" },
	{ 0xc2853d50, "__nf_ct_expect_find" },
	{ 0x24d273d1, "add_timer" },
	{ 0xd387d935, "nf_conn_pernet_ecache" },
	{ 0x7215000b, "nf_conntrack_alloc" },
	{ 0x9c4ed2d8, "nf_ct_helper_ext_add" },
	{ 0xe278ea3d, "nf_ct_ext_add" },
	{ 0x6e4b1f35, "nf_ct_ecache_ext_add" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x9a3510f3, "nf_conntrack_hash_check_insert" },
	{ 0x60580bbb, "nf_conntrack_free" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x1d34d907, "nf_conntrack_eventmask_report" },
	{ 0x68ed681b, "nf_ct_iterate_cleanup_net" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "023CEF94298F00650047C10");
