#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_nat_sip_hooks, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_request, "_gpl", "");
KSYMTAB_FUNC(ct_sip_get_header, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_header_uri, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_address_param, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_numerical_param, "_gpl", "");
KSYMTAB_FUNC(ct_sip_get_sdp_header, "_gpl", "");

SYMBOL_CRC(nf_nat_sip_hooks, 0x8dc6bf93, "_gpl");
SYMBOL_CRC(ct_sip_parse_request, 0xf18174b3, "_gpl");
SYMBOL_CRC(ct_sip_get_header, 0x0232215a, "_gpl");
SYMBOL_CRC(ct_sip_parse_header_uri, 0xa99d517b, "_gpl");
SYMBOL_CRC(ct_sip_parse_address_param, 0x6a07e91a, "_gpl");
SYMBOL_CRC(ct_sip_parse_numerical_param, 0x1ede9491, "_gpl");
SYMBOL_CRC(ct_sip_get_sdp_header, 0x58235b7e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x11089ac7, "_ctype" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x609bcd98, "in6_pton" },
	{ 0xac5fcec0, "in4_pton" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x98cf60b3, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0xafb967ae, "nf_ct_helper_init" },
	{ 0x8ed7faa4, "nf_conntrack_helpers_register" },
	{ 0x122c3a7e, "_printk" },
	{ 0x460a7934, "nf_conntrack_helpers_unregister" },
	{ 0x91b1835c, "nf_ct_helper_log" },
	{ 0xc2853d50, "__nf_ct_expect_find" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0xce01ab51, "nf_ct_expect_alloc" },
	{ 0xc990b771, "nf_ct_expect_init" },
	{ 0xd6c2ea6f, "nf_ct_expect_related_report" },
	{ 0x691eb4a1, "nf_ct_expect_put" },
	{ 0xdcb764ad, "memset" },
	{ 0xd1e6b1a2, "__nf_ip6_route" },
	{ 0x8500f07e, "dst_release" },
	{ 0x37fcae0b, "nf_ip_route" },
	{ 0x8718993, "nf_ct_unexpect_related" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x9adb7399, "nf_conntrack_expect_lock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xdccf999b, "nf_ct_remove_expect" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1e0a0c24, "mod_timer_pending" },
	{ 0xe95a34fe, "__nf_ct_refresh_acct" },
	{ 0xa86fbee8, "__pskb_pull_tail" },
	{ 0xe62f4ba2, "skb_copy_bits" },
	{ 0xcb74520d, "param_ops_int" },
	{ 0x60b73b66, "param_ops_uint" },
	{ 0x3e9436c4, "param_array_ops" },
	{ 0x7665356a, "param_ops_ushort" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "9A2C91AA22115C3D118EE49");
