#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nf_ct_nat_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_nat_setup_info, "", "");
KSYMTAB_FUNC(nf_nat_alloc_null_binding, "_gpl", "");
KSYMTAB_FUNC(nf_nat_packet, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmp_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmpv6_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(__nf_nat_mangle_tcp_packet, "", "");
KSYMTAB_FUNC(nf_nat_mangle_udp_packet, "", "");
KSYMTAB_FUNC(nf_nat_follow_master, "", "");
KSYMTAB_FUNC(nf_nat_exp_find_port, "_gpl", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_register_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_unregister_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_ct_nat, "_gpl", "");

SYMBOL_CRC(nf_ct_nat_ext_add, 0x0da62e06, "_gpl");
SYMBOL_CRC(nf_nat_setup_info, 0x9a0f5ee7, "");
SYMBOL_CRC(nf_nat_alloc_null_binding, 0x29027262, "_gpl");
SYMBOL_CRC(nf_nat_packet, 0xc0d9a9ba, "_gpl");
SYMBOL_CRC(nf_nat_inet_fn, 0xe9f2fad4, "_gpl");
SYMBOL_CRC(nf_nat_icmp_reply_translation, 0x548dc17b, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_register_fn, 0xe775a1b6, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_unregister_fn, 0xed062b68, "_gpl");
SYMBOL_CRC(nf_nat_icmpv6_reply_translation, 0xb0726450, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_register_fn, 0x8e75b350, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_unregister_fn, 0x169b674a, "_gpl");
SYMBOL_CRC(nf_nat_inet_register_fn, 0x31db822e, "_gpl");
SYMBOL_CRC(nf_nat_inet_unregister_fn, 0xf6f98ca6, "_gpl");
SYMBOL_CRC(__nf_nat_mangle_tcp_packet, 0x40144c68, "");
SYMBOL_CRC(nf_nat_mangle_udp_packet, 0x3a169e69, "");
SYMBOL_CRC(nf_nat_follow_master, 0xc4824612, "");
SYMBOL_CRC(nf_nat_exp_find_port, 0x188018de, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv4, 0x74a22211, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv6, 0x61861cf8, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv4, 0xf7c31cda, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv6, 0xf29c93f1, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_register_notifiers, 0x3bc17c49, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_unregister_notifiers, 0xd9c25654, "_gpl");
SYMBOL_CRC(nf_ct_nat, 0x7bd9265a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe278ea3d, "nf_ct_ext_add" },
	{ 0xbab1bfca, "__do_once_done" },
	{ 0xd2da4ddf, "nf_conntrack_find_get" },
	{ 0xd4845a05, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xa6cf9fde, "nf_ip6_checksum" },
	{ 0xe62f4ba2, "skb_copy_bits" },
	{ 0xad971fc2, "nf_hook_entries_insert_raw" },
	{ 0x7453c307, "xfrm_lookup" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x25f07f56, "nf_ct_seqadj_set" },
	{ 0xc2af5a6, "skb_put" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa6140251, "nf_ct_helper_expectfn_unregister" },
	{ 0x247b9967, "__xfrm_decode_session" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x5665f0f1, "nf_ct_helper_expectfn_register" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x16de903d, "ip6_route_me_harder" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xf4ee861a, "pskb_expand_head" },
	{ 0x8f0d0005, "register_pernet_subsys" },
	{ 0xe5d813d4, "nf_conntrack_tuple_taken" },
	{ 0x122c3a7e, "_printk" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0x68ed681b, "nf_ct_iterate_cleanup_net" },
	{ 0x617c452b, "queued_read_lock_slowpath" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcb2f7df5, "ipv6_skip_exthdr" },
	{ 0x6a8b6574, "nf_register_net_hooks" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x1f9a9c72, "module_put" },
	{ 0x13d57c7d, "ipv6_dev_get_saddr" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x8ffe7e89, "nf_conntrack_htable_size" },
	{ 0xd6c2ea6f, "nf_ct_expect_related_report" },
	{ 0x8a7c045f, "ip_route_me_harder" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xfc6998cd, "nf_hook_entries_delete_raw" },
	{ 0x53fb6bb8, "skb_ensure_writable" },
	{ 0xd60aca78, "nf_unregister_net_hooks" },
	{ 0xf3943d4, "inet_select_addr" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0xe7e13a1f, "unregister_pernet_subsys" },
	{ 0x7dbe35e4, "skb_checksum" },
	{ 0xdcb764ad, "memset" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xb42d342, "nf_ct_delete" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0xdfe393b1, "nf_ip_checksum" },
	{ 0x32ae9a78, "register_btf_kfunc_id_set" },
	{ 0xa1fdc6c6, "nf_ct_iterate_destroy" },
	{ 0xe4262c6, "__siphash_unaligned" },
	{ 0xe980a7e6, "inet_proto_csum_replace16" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xcd8e1166, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x20fe9f84, "__skb_checksum" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb169a3f, "inet_proto_csum_replace4" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0x8500f07e, "dst_release" },
	{ 0x1aaff313, "nf_ct_kill_acct" },
	{ 0x289c3714, "nf_ct_alloc_hashtable" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x12d58f56, "nf_nat_hook" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "90997631406D9324F6DC1EE");
