#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(qrtr_endpoint_post, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_register, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_unregister, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_init, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_remove, "_gpl", "");

SYMBOL_CRC(qrtr_endpoint_post, 0xebf32282, "_gpl");
SYMBOL_CRC(qrtr_endpoint_register, 0x2cd7e4c9, "_gpl");
SYMBOL_CRC(qrtr_endpoint_unregister, 0x1a487a25, "_gpl");
SYMBOL_CRC(qrtr_ns_init, 0xa47e91ba, "_gpl");
SYMBOL_CRC(qrtr_ns_remove, 0x8d25501f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc528a49a, "queued_write_lock_slowpath" },
	{ 0x3d2cec5a, "skb_free_datagram" },
	{ 0xafebb1cc, "sock_queue_rcv_skb_reason" },
	{ 0xab90cd8a, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4506c655, "bpf_trace_run4" },
	{ 0xe62f4ba2, "skb_copy_bits" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0xc2af5a6, "skb_put" },
	{ 0x4679fb71, "consume_skb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x93b9a682, "trace_raw_output_prep" },
	{ 0x80816f26, "get_user_ifreq" },
	{ 0x556be6e0, "__trace_trigger_soft_disabled" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0xcb6b138, "trace_event_printf" },
	{ 0xedeb6024, "kernel_bind" },
	{ 0x99f7371c, "refcount_dec_and_mutex_lock" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x3f7c8b8f, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe6aef439, "__tracepoint_sk_data_ready" },
	{ 0xe2964344, "__wake_up" },
	{ 0x2b02565, "__module_get" },
	{ 0xfae5604b, "kernel_recvmsg" },
	{ 0x55126b81, "sk_error_report" },
	{ 0x5195dcc3, "skb_queue_purge_reason" },
	{ 0x5fc52abd, "radix_tree_iter_delete" },
	{ 0xfb6dfa14, "trace_event_buffer_commit" },
	{ 0x122c3a7e, "_printk" },
	{ 0xaa0a7ae4, "proto_unregister" },
	{ 0x61ae025a, "sock_register" },
	{ 0x1a4635a2, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x95463bb7, "__alloc_skb" },
	{ 0xc3233feb, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x1f9a9c72, "module_put" },
	{ 0x800473f, "__cond_resched" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0x4d7e6daa, "sock_no_shutdown" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x4bb807c7, "perf_trace_run_bpf_submit" },
	{ 0xc5e704e, "__traceiter_sk_data_ready" },
	{ 0x7ee7ac5d, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x5df2b678, "radix_tree_next_chunk" },
	{ 0x9f66a4ce, "sk_skb_reason_drop" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x84157cf7, "kernel_getsockname" },
	{ 0x5102a30b, "do_wait_intr_irq" },
	{ 0xcafe0b48, "sk_free" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xa7809109, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbfe0703a, "skb_push" },
	{ 0xee13dea4, "sock_no_listen" },
	{ 0x2092327, "trace_event_reg" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x9f8c5901, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xe0a547c9, "skb_copy_datagram_iter" },
	{ 0x2b97e4b, "sk_alloc" },
	{ 0x4ff44c15, "sock_no_socketpair" },
	{ 0xdcb764ad, "memset" },
	{ 0x2050db7d, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x5409cff7, "__netdev_alloc_skb" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0x2da8d207, "bpf_trace_run3" },
	{ 0x6ff4a491, "skb_set_owner_w" },
	{ 0xda2d7a21, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x33550692, "sock_create_kern" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x2ff91db0, "skb_recv_datagram" },
	{ 0xe4eb44bf, "sock_alloc_send_pskb" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x5b3e282f, "xa_store" },
	{ 0x6b53f5f8, "skb_clone" },
	{ 0xfff625ed, "_copy_from_iter" },
	{ 0x6c225138, "sock_release" },
	{ 0xbbce46d1, "sock_gettstamp" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x98cf60b3, "strlen" },
	{ 0xc87ff6e5, "iov_iter_revert" },
	{ 0x51632420, "kernel_sendmsg" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x3451afe6, "sock_init_data" },
	{ 0x87809aeb, "put_user_ifreq" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x231a085c, "release_sock" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1CEF7CDEB9A285702052F87");
