#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rds_ib_stats_print, "_gpl", "");

SYMBOL_CRC(rds_ib_stats_print, 0x722ca035, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0x3fc2d52e, "__tracepoint_rds_ib_cm_handle_connect" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xa2fe1b6b, "rds_cong_map_updated" },
	{ 0xaa4c6c09, "__traceiter_rds_ib_shutdown_device" },
	{ 0x279d0ad7, "vzalloc_node_noprof" },
	{ 0xb46479c7, "__tracepoint_rds_ib_send_cqe_handler" },
	{ 0x8654877, "rds_conn_drop" },
	{ 0xc4e8bbc3, "rds_queue_delayed_work_on" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x1bf9f269, "ib_unregister_client" },
	{ 0x9136e6e3, "__tracepoint_rds_ib_shutdown_device" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x45421a5c, "rds_message_addref" },
	{ 0x45a4781e, "rds_addr_cmp" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x4e66299, "rdma_reject_msg" },
	{ 0xaddc6806, "__traceiter_rds_ib_queue_worker" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x32b90066, "rds_rdma_drop_keys" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x8580969e, "__traceiter_rds_ib_conn_path_shutdown_prepare" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x86beb7c2, "__traceiter_rds_ib_cm_initiate_connect" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7f671e75, "rds_asend_complete" },
	{ 0xe572bfd, "__tracepoint_rds_ib_conn_yield_expired" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x22dfa1d, "__traceiter_rds_ib_setup_fastreg" },
	{ 0x264456b5, "__tracepoint_rds_ib_setup_qp_err" },
	{ 0xdfa1f13e, "__ib_alloc_pd" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x6dd04304, "__kmalloc_node_noprof" },
	{ 0xf5856af0, "__traceiter_rds_ib_setup_qp_err" },
	{ 0xa6613056, "dma_unmap_page_attrs" },
	{ 0x838eb641, "vmalloc_node_noprof" },
	{ 0x1c7a2e0d, "__tracepoint_rds_ib_setup_qp" },
	{ 0x37ab0778, "__ip_dev_find" },
	{ 0x9ea3680f, "rdma_resolve_addr" },
	{ 0xf7370f56, "system_state" },
	{ 0xdb87dd04, "rdma_set_ack_timeout" },
	{ 0x47c586c9, "get_cpu_cacheinfo" },
	{ 0x23967b1, "xas_find" },
	{ 0xcb2631a2, "rdma_set_service_type" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0xf75de4a0, "rds_trans_unregister" },
	{ 0xf1718e03, "do_rds_receive_csum_err" },
	{ 0x9fe43d92, "__tracepoint_rds_ib_conn_path_shutdown_prepare_err" },
	{ 0x88991938, "rds_info_deregister_func" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1f546ffa, "rdma_query_gid" },
	{ 0xfdbe1ebf, "__traceiter_rds_ib_conn_yield_right_of_way" },
	{ 0x5b66fa60, "seq_lseek" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x6da6aa4a, "ib_dereg_mr_user" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x3494ac55, "kmem_cache_create" },
	{ 0x94cfacdd, "ib_query_qp" },
	{ 0xd8a37994, "rdma_reject" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x5a0b74e7, "__tracepoint_rds_ib_send_cqe_handler_err" },
	{ 0x2de45c99, "__tracepoint_rds_ib_flow_cntrl_grab_credits" },
	{ 0x3f97fbed, "__traceiter_rds_ib_send_cqe_handler_err" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x4e5d8d97, "__traceiter_rds_ib_add_device" },
	{ 0x9281962c, "rdma_disconnect" },
	{ 0xd8a64dc5, "__tracepoint_rds_ib_flow_cntrl_advertise_credits" },
	{ 0x34070452, "dev_driver_string" },
	{ 0x356f0d90, "register_net_sysctl_sz" },
	{ 0xda55cbcd, "ib_destroy_srq_user" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xce935835, "rds_for_each_conn_info" },
	{ 0x582fe5cf, "rds_message_add_rdma_dest_extension" },
	{ 0xb4c63861, "dma_map_page_attrs" },
	{ 0x3cf5847f, "__traceiter_rds_drop_egress" },
	{ 0xb920d319, "__traceiter_rds_ib_remove_device" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xa467af, "rds_wq" },
	{ 0x617c452b, "queued_read_lock_slowpath" },
	{ 0x386b04ca, "__tracepoint_rds_ib_conn_yield_accept_err" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x42cedb2c, "__rdma_create_kernel_id" },
	{ 0x8c5b7a66, "__tracepoint_rds_ib_queue_work" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xd9c1fcf5, "__traceiter_rds_ib_flow_cntrl_add_credits" },
	{ 0xe874764a, "__tracepoint_rds_ib_conn_yield_stale" },
	{ 0x43183072, "__tracepoint_rds_receive_csum_err" },
	{ 0xdf6837c, "__tracepoint_rds_ib_add_device" },
	{ 0x1e6832b6, "__traceiter_rds_ib_conn_yield_accepting" },
	{ 0xc1b02719, "__tracepoint_rds_ib_conn_path_connect" },
	{ 0x92b2b60a, "__tracepoint_rds_rdma_cm_event_handler_err" },
	{ 0x581e9a37, "__free_pages" },
	{ 0x7c9819f8, "rdma_resolve_route" },
	{ 0xe6103ebf, "__traceiter_rds_ib_conn_yield_yielding" },
	{ 0x7a1db443, "rds_atomic_send_complete" },
	{ 0x64dee413, "rds_conn_connect_if_down" },
	{ 0xa459d8e, "rdma_bind_addr" },
	{ 0x830a5a81, "ib_register_client" },
	{ 0x79d68fcb, "__tracepoint_rds_rdma_cm_event_handler" },
	{ 0xd769e0f4, "__tracepoint_rds_ib_conn_yield_accepting" },
	{ 0xca402e77, "__tracepoint_rds_ib_conn_yield_success" },
	{ 0x157c4042, "__traceiter_rds_ib_conn_yield_stale" },
	{ 0x43d9a7de, "rdma_create_qp" },
	{ 0x800473f, "__cond_resched" },
	{ 0xc33a136b, "ib_create_srq_user" },
	{ 0xff63b936, "__traceiter_rds_ib_cm_handle_connect_err" },
	{ 0x52f5fdee, "rds_conn_destroy" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x47726ea5, "ib_map_mr_sg" },
	{ 0xff798738, "rds_rdma_send_complete" },
	{ 0x5ca10ce4, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x7709f24c, "ib_set_client_data" },
	{ 0x57bc19d2, "down_write" },
	{ 0x7f5dc4b0, "rds_rt_debug_tp_enable" },
	{ 0x7ee7ac5d, "init_net" },
	{ 0x61c161de, "rds_send_drop_acked" },
	{ 0x9f5af39e, "__traceiter_rds_ib_add_device_err" },
	{ 0xce807a25, "up_write" },
	{ 0xb5e08e3, "__tracepoint_rds_ib_remove_device_err" },
	{ 0xd9e1a8ca, "__tracepoint_rds_ib_add_device_err" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x581e7dee, "kmem_cache_create_usercopy" },
	{ 0xbc3fedf9, "__tracepoint_rds_ib_conn_yield_right_of_way" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xd40f97f4, "irq_get_irq_data" },
	{ 0xea03c881, "dev_get_by_index" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0xeae16079, "__traceiter_rds_ib_queue_work" },
	{ 0x889e3266, "rds_send_xmit" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x2dfcbbaf, "rds_stats_info_copy" },
	{ 0x9ca215e4, "__traceiter_rds_rdma_cm_event_handler_err" },
	{ 0x2287d87d, "rds_inc_put" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9abb836d, "__traceiter_rds_ib_setup_qp" },
	{ 0xbc037f7, "kmem_cache_free" },
	{ 0x123f97fc, "__tracepoint_rds_ib_flow_cntrl_add_credits" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x495eed8e, "debugfs_remove" },
	{ 0x40b166d7, "ib_query_port" },
	{ 0x5a921311, "strncmp" },
	{ 0xec2e7c77, "rds_message_add_extension" },
	{ 0x1a851c4, "__traceiter_rds_ib_conn_yield_accept_err" },
	{ 0xe9fbbb72, "rdma_notify" },
	{ 0x6f2c2cc6, "seq_putc" },
	{ 0x896c49d8, "proc_doulongvec_minmax" },
	{ 0xf2e4b6bf, "__tracepoint_rds_receive" },
	{ 0x6999bd71, "proc_douintvec_minmax" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x44479d75, "rds_conn_path_trace_state_change" },
	{ 0x14565cc3, "__traceiter_rds_ib_flow_cntrl_grab_credits" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xb986c2a9, "rdma_listen" },
	{ 0xd0720998, "rds_info_register_func" },
	{ 0x83c392bb, "rdma_destroy_qp" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x75e194c9, "rds_page_remainder_alloc" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x2ca0deaf, "copy_page_to_iter" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x9ef7431, "uek_runs_in_kvm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x60be35ca, "rds_stats_print" },
	{ 0x5e6748b, "__ib_create_cq" },
	{ 0xc6024143, "__tracepoint_rds_ib_conn_path_shutdown_prepare" },
	{ 0xfecbe48e, "__tracepoint_rds_ib_queue_cancel_work" },
	{ 0xc655be5, "ib_destroy_qp_user" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x9298be30, "__tracepoint_rds_ib_queue_worker" },
	{ 0x4df9bb59, "__tracepoint_rds_drop_ingress" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xdcb764ad, "memset" },
	{ 0xca0150ef, "__traceiter_rds_ib_conn_path_shutdown_prepare_err" },
	{ 0xf71fdfdc, "__kmalloc_cache_node_noprof" },
	{ 0x2d76fde3, "rds_queue_delayed_work" },
	{ 0x67afd2e1, "__traceiter_rds_ib_free_cache_one" },
	{ 0xba613732, "unpin_user_page" },
	{ 0x7db14ca4, "proc_douintvec" },
	{ 0x6a559517, "ib_alloc_mr" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xe6514dbc, "__traceiter_rds_receive" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x7cc4a5d, "printk_timed_ratelimit" },
	{ 0xdd293299, "__tracepoint_rds_ib_free_cache_one" },
	{ 0x7b4b5942, "ib_destroy_cq_user" },
	{ 0x4db65128, "__traceiter_rds_ib_remove_device_err" },
	{ 0xa3299f96, "__tracepoint_rds_ib_cm_handle_connect_err" },
	{ 0xfb0f2a26, "rdma_connect" },
	{ 0x668b19a1, "down_read" },
	{ 0xbe2c50bb, "rds_inc_init" },
	{ 0xbdc1cb98, "ib_modify_qp" },
	{ 0x95421861, "__tracepoint_rds_ib_cm_initiate_connect" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x456d74d5, "set_page_dirty" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x32f1e81b, "seq_read" },
	{ 0xe5840ec6, "ib_wc_status_msg" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xbc861dd1, "rdma_set_min_rnr_timer" },
	{ 0xe9430534, "rds_recv_incoming" },
	{ 0x13107c3a, "debugfs_create_file" },
	{ 0xe3305b68, "ib_dma_virt_map_sg" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xa279354b, "__tracepoint_rds_ib_conn_yield_yielding" },
	{ 0x999e8297, "vfree" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x811f0bdc, "__traceiter_rds_ib_cm_handle_connect" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x5fb83ac4, "__traceiter_rds_ib_flow_cntrl_advertise_credits" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x7248d2d6, "rdma_destroy_id" },
	{ 0x698b966, "__dma_sync_single_for_device" },
	{ 0x44d2025b, "rdma_read_gids" },
	{ 0x7e94e09f, "cpu_topology" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x5737dbe8, "seq_write" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x6ee54164, "rds_conn_create" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x899fbd06, "seq_printf" },
	{ 0x90512220, "rdma_accept" },
	{ 0xd11e0718, "ib_modify_srq" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb6391898, "rds_stats" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb022c9a3, "rds_conn_faddr_ha_changed" },
	{ 0xb02cd0d4, "__traceiter_rds_ib_queue_cancel_work" },
	{ 0xf409b4f2, "__traceiter_rds_drop_ingress" },
	{ 0x15107870, "rds_rdma_process_send_cmsg" },
	{ 0x977bdac0, "__traceiter_rds_rdma_cm_event_handler" },
	{ 0x3f993c5f, "__tracepoint_rds_ib_conn_path_connect_err" },
	{ 0x4582dfcc, "__traceiter_rds_ib_conn_yield_expired" },
	{ 0x650434ea, "__traceiter_rds_ib_conn_path_connect" },
	{ 0x88ac7468, "__traceiter_rds_ib_cm_accept_err" },
	{ 0xd829aea4, "ib_create_qp_kernel" },
	{ 0xf943375f, "proc_dointvec" },
	{ 0xa5c872a7, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x3455b9fd, "rds_message_unmapped" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5ac8c04c, "unregister_net_sysctl_table" },
	{ 0xba299095, "ib_dealloc_pd_user" },
	{ 0xb45511d, "__traceiter_rds_ib_conn_path_connect_err" },
	{ 0x804f5daa, "__traceiter_rds_ib_conn_yield_success" },
	{ 0x7505d413, "rds_str_array" },
	{ 0x6e297410, "__tracepoint_rds_ib_setup_fastreg" },
	{ 0x5986a5d8, "dma_unmap_sg_attrs" },
	{ 0xfaf13615, "rdma_port_get_link_layer" },
	{ 0x2397b896, "rds_connect_complete" },
	{ 0x32c83826, "kmem_cache_alloc_node_noprof" },
	{ 0xd0342df8, "ipv6_chk_addr" },
	{ 0xcb74520d, "param_ops_int" },
	{ 0x7aade6aa, "rdma_consumer_reject_data" },
	{ 0x3466fede, "single_open" },
	{ 0x4e99fff6, "__tracepoint_rds_ib_remove_device" },
	{ 0xe820ea6a, "debugfs_create_dir" },
	{ 0x9a6b9583, "rds_message_put" },
	{ 0x585f567b, "rds_message_populate_header" },
	{ 0x3eda465d, "__traceiter_rds_ib_send_cqe_handler" },
	{ 0xca816c16, "__tracepoint_rds_ib_setup_fastreg_err" },
	{ 0x1342c59, "rds_trans_register" },
	{ 0x53b954a2, "up_read" },
	{ 0x2b18e282, "__tracepoint_rds_drop_egress" },
	{ 0x3abde4ed, "node_to_cpumask_map" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x1c55af59, "__traceiter_rds_ib_setup_fastreg_err" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x26a8d870, "__tracepoint_rds_ib_cm_accept_err" },
	{ 0x309989e7, "kmem_cache_destroy" },
	{ 0x992d47c0, "dma_map_sg_attrs" },
	{ 0x3eca0c01, "proc_dointvec_minmax" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "rds,ib_core,rdma_cm");


MODULE_INFO(srcversion, "5A40CA65B7123F573401A65");
