#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc528a49a, "queued_write_lock_slowpath" },
	{ 0x28b3fbd5, "tcp_sock_set_keepintvl" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xa2fe1b6b, "rds_cong_map_updated" },
	{ 0xc4e8bbc3, "rds_queue_delayed_work_on" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xe4122ad8, "tcp_sock_set_cork" },
	{ 0xbace94e, "rds_send_path_reset" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xfb21d952, "tcp_read_sock" },
	{ 0xe62f4ba2, "skb_copy_bits" },
	{ 0x26b870a5, "rds_conn_path_connect_if_down" },
	{ 0x45a4781e, "rds_addr_cmp" },
	{ 0x89437de6, "__tracepoint_rds_tcp_accept_err" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x27e2b01d, "__tracepoint_rds_tcp_accept" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x68f587c5, "rds_mod_stats_unregister" },
	{ 0x57aaab26, "__traceiter_rds_tcp_listen" },
	{ 0xd2ea7220, "__traceiter_rds_tcp_state_change" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x64ff84e2, "__tracepoint_rds_tcp_connect" },
	{ 0x23967b1, "xas_find" },
	{ 0xe65928e6, "__traceiter_rds_queue_worker" },
	{ 0xf75de4a0, "rds_trans_unregister" },
	{ 0xf1718e03, "do_rds_receive_csum_err" },
	{ 0x88991938, "rds_info_deregister_func" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xef9b7caa, "rds_ns" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x2b02565, "__module_get" },
	{ 0xdd975bee, "__tracepoint_rds_tcp_shutdown" },
	{ 0x3494ac55, "kmem_cache_create" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x5195dcc3, "skb_queue_purge_reason" },
	{ 0x356f0d90, "register_net_sysctl_sz" },
	{ 0x1b4230ea, "tcp_sock_set_keepcnt" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x3cf5847f, "__traceiter_rds_drop_egress" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x617c452b, "queued_read_lock_slowpath" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf062e126, "__traceiter_rds_tcp_accept_err" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x605d5bfa, "cache_line_size" },
	{ 0x43183072, "__tracepoint_rds_receive_csum_err" },
	{ 0x8ea1c6a8, "rds_queue_work" },
	{ 0x136711a4, "skb_queue_tail" },
	{ 0x9e29b9bb, "rds_send_hs_ping" },
	{ 0x800473f, "__cond_resched" },
	{ 0x52f5fdee, "rds_conn_destroy" },
	{ 0x649d4a6d, "__tracepoint_rds_tcp_connect_err" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x3ce29025, "__traceiter_rds_tcp_connect_err" },
	{ 0x7f5dc4b0, "rds_rt_debug_tp_enable" },
	{ 0x7ee7ac5d, "init_net" },
	{ 0x56788ffd, "rds_send_path_drop_acked" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xfffcb06b, "dev_get_by_index_rcu" },
	{ 0xdec25abe, "kernel_sock_shutdown" },
	{ 0x7bd5845f, "rds_info_copy" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x2dfcbbaf, "rds_stats_info_copy" },
	{ 0x2287d87d, "rds_inc_put" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbc037f7, "kmem_cache_free" },
	{ 0xf2e4b6bf, "__tracepoint_rds_receive" },
	{ 0x44479d75, "rds_conn_path_trace_state_change" },
	{ 0x7b23b275, "rds_queue_cancel_work" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x388e169b, "sock_sendmsg" },
	{ 0xd0720998, "rds_info_register_func" },
	{ 0x930806a9, "__tracepoint_rds_queue_worker" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x59f2589b, "unregister_pernet_device" },
	{ 0x9f8c5901, "lock_sock_nested" },
	{ 0xfb4077d5, "inet_addr_type" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xe0a547c9, "skb_copy_datagram_iter" },
	{ 0x674100f9, "pskb_extract" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xc2bfbdf6, "__traceiter_rds_tcp_accept" },
	{ 0xdcb764ad, "memset" },
	{ 0x25fdd6ef, "rds_connect_path_complete" },
	{ 0x2d76fde3, "rds_queue_delayed_work" },
	{ 0x350bff8c, "rds_queue_flush_work" },
	{ 0xa89488c5, "iov_iter_bvec" },
	{ 0xc52bce83, "__tracepoint_rds_tcp_listen" },
	{ 0xe6514dbc, "__traceiter_rds_receive" },
	{ 0xd235061c, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x794d06a2, "__traceiter_rds_tcp_listen_err" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xa13a027e, "__tracepoint_rds_tcp_state_change" },
	{ 0xe9430534, "rds_recv_incoming" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x33550692, "sock_create_kern" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x6ee54164, "rds_conn_create" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x8890ca65, "__traceiter_rds_tcp_shutdown" },
	{ 0xa71dd2e6, "rds_inc_path_init" },
	{ 0x6c225138, "sock_release" },
	{ 0x34a65bcd, "rds_mod_stats_register" },
	{ 0x748255ec, "tcp_sock_set_keepidle" },
	{ 0xa1cc73ed, "__traceiter_rds_tcp_connect" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x40965d, "tcp_done" },
	{ 0x8824de7, "tcp_sock_set_nodelay" },
	{ 0x448a04a, "rds_conn_path_drop" },
	{ 0x5ac8c04c, "unregister_net_sysctl_table" },
	{ 0xde8f4178, "__tracepoint_rds_tcp_listen_err" },
	{ 0xd0342df8, "ipv6_chk_addr" },
	{ 0xc87ff6e5, "iov_iter_revert" },
	{ 0xbc03348a, "sock_create_lite" },
	{ 0x51632420, "kernel_sendmsg" },
	{ 0x1342c59, "rds_trans_register" },
	{ 0x2b18e282, "__tracepoint_rds_drop_egress" },
	{ 0x311e6281, "register_pernet_device" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x309989e7, "kmem_cache_destroy" },
	{ 0x231a085c, "release_sock" },
	{ 0x2e500598, "sock_no_linger" },
	{ 0x3eca0c01, "proc_dointvec_minmax" },
	{ 0x13a11400, "sock_set_keepalive" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "rds");


MODULE_INFO(srcversion, "533D8A15BB3430C787BBA65");
