#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sctp_get_sctp_info, "_gpl", "");
KSYMTAB_FUNC(sctp_for_each_endpoint, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_lookup_process, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_traverse_process, "_gpl", "");
KSYMTAB_FUNC(sctp_do_peeloff, "", "");

SYMBOL_CRC(sctp_get_sctp_info, 0x7754963b, "_gpl");
SYMBOL_CRC(sctp_for_each_endpoint, 0x4388ea1e, "_gpl");
SYMBOL_CRC(sctp_transport_lookup_process, 0xb500abf0, "_gpl");
SYMBOL_CRC(sctp_transport_traverse_process, 0x30f0c1e8, "_gpl");
SYMBOL_CRC(sctp_do_peeloff, 0xd537bf74, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc528a49a, "queued_write_lock_slowpath" },
	{ 0x519c0b55, "inet_recvmsg" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xe0e5ad5, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x4edd5cec, "inet_addr_type_table" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x506dff1a, "__genradix_free" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0xe62f4ba2, "skb_copy_bits" },
	{ 0x432a8645, "inet_unregister_protosw" },
	{ 0x20978fb9, "idr_find" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0xbe287142, "sock_wfree" },
	{ 0xc2af5a6, "skb_put" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0xe4671af, "__fl6_sock_lookup" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5c171c7c, "ip6_dst_hoplimit" },
	{ 0x4679fb71, "consume_skb" },
	{ 0x65e3e90f, "inet6_add_offload" },
	{ 0x96f66507, "crypto_shash_tfm_digest" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xcef9cfba, "inet6_bind" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x93b9a682, "trace_raw_output_prep" },
	{ 0xe565f84f, "l3mdev_fib_table_by_index" },
	{ 0x52e1ca5, "udp_sock_create4" },
	{ 0x87ef83ff, "skb_dequeue" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x655de122, "inet6_unregister_protosw" },
	{ 0x5be63c5b, "crc32c_csum_stub" },
	{ 0x556be6e0, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x3d29a4f7, "skb_segment" },
	{ 0xcb6b138, "trace_event_printf" },
	{ 0x37ab0778, "__ip_dev_find" },
	{ 0x17b09a89, "udp_tunnel6_xmit_skb" },
	{ 0xd14e24c3, "sock_common_getsockopt" },
	{ 0x4a65de59, "inet_bind" },
	{ 0xe4f03612, "sock_create" },
	{ 0xd41660db, "net_hotdata" },
	{ 0xb3eae4d1, "__kmalloc_node_track_caller_noprof" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x62ac2844, "fd_install" },
	{ 0x3f7c8b8f, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0xf5a20ed2, "__genradix_prealloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x7dbe5895, "inet_register_protosw" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0xe11c859b, "__xfrm_policy_check" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x417477ec, "security_sctp_assoc_established" },
	{ 0xe6aef439, "__tracepoint_sk_data_ready" },
	{ 0xc4e40b90, "bpf_trace_run2" },
	{ 0x8666df73, "sock_common_setsockopt" },
	{ 0x38a505c9, "remove_proc_subtree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xc6ae011, "ip_route_output_flow" },
	{ 0xe5ce1a56, "rhashtable_walk_enter" },
	{ 0x3494ac55, "kmem_cache_create" },
	{ 0x813fda92, "__sk_mem_schedule" },
	{ 0xacd7bb3f, "ipv6_setsockopt" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xe619c3e3, "sock_alloc_file" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x9de7ff27, "proc_create_net_data" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x55126b81, "sk_error_report" },
	{ 0x8f0d0005, "register_pernet_subsys" },
	{ 0x9469c86e, "put_cmsg" },
	{ 0xfb6dfa14, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0x356f0d90, "register_net_sysctl_sz" },
	{ 0xb700fc1e, "inet_sock_destruct" },
	{ 0xc63dce24, "crypto_destroy_tfm" },
	{ 0x7df809a7, "sock_kmalloc" },
	{ 0x42c712f3, "inet_sk_get_local_port_range" },
	{ 0xd73539e, "inet6_del_protocol" },
	{ 0x79d219c0, "__get_hash_from_flowi6" },
	{ 0x122c3a7e, "_printk" },
	{ 0x5cca203c, "inet_getname" },
	{ 0xaa0a7ae4, "proto_unregister" },
	{ 0xdc984676, "security_sctp_sk_clone" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x617c452b, "queued_read_lock_slowpath" },
	{ 0x54e6fcdd, "net_enable_timestamp" },
	{ 0xb1f0c798, "__sock_recv_cmsgs" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x95463bb7, "__alloc_skb" },
	{ 0x50f91491, "__genradix_ptr" },
	{ 0xccb4280f, "inet_release" },
	{ 0xc3233feb, "proto_register" },
	{ 0xfae4eec, "skb_copy_expand" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0xaf00430f, "inet6_compat_ioctl" },
	{ 0x800473f, "__cond_resched" },
	{ 0xadd139d4, "rfs_needed" },
	{ 0x29604158, "napi_busy_loop" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x7cef494d, "inet_ctl_sock_create" },
	{ 0x30371dae, "inet_ioctl" },
	{ 0xcc672883, "reuseport_add_sock" },
	{ 0x8259c0a7, "reuseport_select_sock" },
	{ 0x1ed10558, "proc_dostring" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xdf9088d9, "sk_filter_trim_cap" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x4bb807c7, "perf_trace_run_bpf_submit" },
	{ 0x97b585fb, "fput" },
	{ 0xc5e704e, "__traceiter_sk_data_ready" },
	{ 0x7701f590, "inet_accept" },
	{ 0x7ee7ac5d, "init_net" },
	{ 0xaa3d5f21, "crypto_shash_setkey" },
	{ 0xb6476d61, "skb_pull" },
	{ 0x219d24b0, "inet_add_offload" },
	{ 0x9f66a4ce, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xe16cc263, "inet_add_protocol" },
	{ 0x58711e4c, "inet_shutdown" },
	{ 0xcafe0b48, "sk_free" },
	{ 0x5546cf01, "sock_wake_async" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xfffcb06b, "dev_get_by_index_rcu" },
	{ 0x954f099c, "idr_preload" },
	{ 0x2387b8c3, "inet_del_offload" },
	{ 0xbfe0703a, "skb_push" },
	{ 0x6630b4f3, "__ip_queue_xmit" },
	{ 0xbc037f7, "kmem_cache_free" },
	{ 0xd60bdd33, "__sk_mem_reclaim" },
	{ 0x770a5ae9, "fl6_update_dst" },
	{ 0x5a921311, "strncmp" },
	{ 0x896c49d8, "proc_doulongvec_minmax" },
	{ 0x2092327, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9a5dce5c, "rhashtable_walk_start_check" },
	{ 0xe590dea3, "sk_busy_loop_end" },
	{ 0x1d3b79dd, "ns_capable" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9f8c5901, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x7dfdc768, "inet6_ioctl" },
	{ 0xe0a547c9, "skb_copy_datagram_iter" },
	{ 0x9cd7551a, "rhashtable_walk_stop" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x91f44510, "idr_alloc_cyclic" },
	{ 0x2b97e4b, "sk_alloc" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0xe7e13a1f, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xf052c5a9, "ip6_dst_lookup_flow" },
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0x4ff44c15, "sock_no_socketpair" },
	{ 0xdcb764ad, "memset" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0xc9972ac8, "udp_tunnel_sock_release" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0xd235061c, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2050db7d, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xa86fbee8, "__pskb_pull_tail" },
	{ 0xa6e60717, "setup_udp_tunnel_sock" },
	{ 0x51d6b22d, "udp_sock_create6" },
	{ 0x99eabdf8, "skb_trim" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6c23ef6f, "sk_common_release" },
	{ 0x2da8d207, "bpf_trace_run3" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0x6214cb4e, "inet6_getname" },
	{ 0x794bead9, "sock_i_ino" },
	{ 0x9d034cf8, "inet6_sock_destruct" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x4f6835d, "ip6_xmit" },
	{ 0xc0118bab, "security_sctp_assoc_request" },
	{ 0x27acdde4, "inet_del_protocol" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x8d2f7c81, "rhltable_init_noprof" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x6ff4a491, "skb_set_owner_w" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xda2d7a21, "trace_event_buffer_reserve" },
	{ 0x20fe9f84, "__skb_checksum" },
	{ 0xd118403f, "reuseport_alloc" },
	{ 0xa1a5f49e, "inet6_register_protosw" },
	{ 0xae316c11, "icmpv6_err_convert" },
	{ 0x67f85daa, "inet6_release" },
	{ 0xc622556f, "prepare_to_wait_exclusive" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xb879dbb9, "inet_sendmsg" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x14c5dd46, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xf6ee1265, "ipv6_dup_options" },
	{ 0x5737dbe8, "seq_write" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x18486a4e, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0x899fbd06, "seq_printf" },
	{ 0xedec2625, "proc_create_net_single" },
	{ 0x4d611cf3, "skb_copy" },
	{ 0x6b53f5f8, "skb_clone" },
	{ 0x3b86fa44, "inet_sk_set_state" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x8500f07e, "dst_release" },
	{ 0xfff625ed, "_copy_from_iter" },
	{ 0x6c225138, "sock_release" },
	{ 0x9379abb3, "inet_recv_error" },
	{ 0xf943375f, "proc_dointvec" },
	{ 0xbbce46d1, "sock_gettstamp" },
	{ 0x7c435d2f, "security_sctp_bind_connect" },
	{ 0x54651f9b, "rhashtable_walk_next" },
	{ 0x788500b5, "_proc_mkdir" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x5cc0bfb6, "sk_setup_caps" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xcdf5f16b, "send_sig" },
	{ 0x5ac8c04c, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xf1a6b5b2, "inet6_add_protocol" },
	{ 0xb71a1e0b, "from_kuid_munged" },
	{ 0x26338d46, "ip_setsockopt" },
	{ 0xcd5835b, "ipv6_flowlabel_exclusive" },
	{ 0xd0342df8, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xb6bf2c12, "ipv6_getsockopt" },
	{ 0x98cf60b3, "strlen" },
	{ 0xebd5fc9b, "reuseport_detach_sock" },
	{ 0xe0a3edd5, "ip_getsockopt" },
	{ 0xaad0ae78, "__bitmap_shift_right" },
	{ 0xc87ff6e5, "iov_iter_revert" },
	{ 0x2227c4aa, "crypto_alloc_shash" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf188a662, "rhashtable_walk_exit" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x3451afe6, "sock_init_data" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x309989e7, "kmem_cache_destroy" },
	{ 0x231a085c, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf85686bf, "skb_queue_head" },
	{ 0x3eca0c01, "proc_dointvec_minmax" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "FCD966573C98C07702E37A8");
