#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xd4845a05, "try_module_get" },
	{ 0xd277ba66, "flush_dcache_page" },
	{ 0x1bf9f269, "ib_unregister_client" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xb9592b58, "xprt_write_space" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4506c655, "bpf_trace_run4" },
	{ 0xac48144b, "xprt_free_slot" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0xfd2c505d, "rdma_rw_ctx_destroy" },
	{ 0x7463e0f3, "xprt_release_rqst_cong" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xd2b59529, "xdr_inline_decode" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4e671beb, "dump_page" },
	{ 0x93b9a682, "trace_raw_output_prep" },
	{ 0x36feaa34, "xprt_disconnect_done" },
	{ 0xdfa1f13e, "__ib_alloc_pd" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x556be6e0, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x6dd04304, "__kmalloc_node_noprof" },
	{ 0xa6613056, "dma_unmap_page_attrs" },
	{ 0xcb6b138, "trace_event_printf" },
	{ 0x9ea3680f, "rdma_resolve_addr" },
	{ 0xb2df739c, "xprt_reserve_xprt_cong" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0x3f7c8b8f, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe6d7578d, "xprt_get" },
	{ 0xa56e1a52, "sg_free_table_chained" },
	{ 0x4145d859, "xprt_wait_for_buffer_space" },
	{ 0x549c0738, "rpc_ntop" },
	{ 0x6da6aa4a, "ib_dereg_mr_user" },
	{ 0xc4e40b90, "bpf_trace_run2" },
	{ 0x4e369265, "xprt_wake_up_backlog" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x2b02565, "__module_get" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0x9da65ed6, "xprt_complete_rqst" },
	{ 0x9281962c, "rdma_disconnect" },
	{ 0x416c7ac8, "xprt_put" },
	{ 0x34070452, "dev_driver_string" },
	{ 0xfb6dfa14, "trace_event_buffer_commit" },
	{ 0x2b8859c8, "ib_drain_sq" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0xb4c63861, "dma_map_page_attrs" },
	{ 0xc641ee80, "xprt_lock_connect" },
	{ 0x4a61eb5f, "rdma_lock_handler" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x42cedb2c, "__rdma_create_kernel_id" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x1693c4c3, "unregister_sysctl_table" },
	{ 0x5db56bc9, "xprt_alloc_slot" },
	{ 0xa916b694, "strnlen" },
	{ 0x7c9819f8, "rdma_resolve_route" },
	{ 0xb9d025c9, "llist_del_first" },
	{ 0x1f9a9c72, "module_put" },
	{ 0xa459d8e, "rdma_bind_addr" },
	{ 0x830a5a81, "ib_register_client" },
	{ 0xf0e50291, "svc_xprt_put" },
	{ 0x43d9a7de, "rdma_create_qp" },
	{ 0x800473f, "__cond_resched" },
	{ 0xc15568e1, "xprt_pin_rqst" },
	{ 0x47726ea5, "ib_map_mr_sg" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0x5ca10ce4, "__dma_sync_single_for_cpu" },
	{ 0xe2c5e37f, "rdma_rw_ctx_wrs" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x69d0911d, "release_pages" },
	{ 0x4bb807c7, "perf_trace_run_bpf_submit" },
	{ 0x7709f24c, "ib_set_client_data" },
	{ 0x5b6dfaab, "__ib_alloc_cq_any" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0x7abbc9a4, "svc_xprt_deferred_close" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x44494c12, "bpf_trace_run5" },
	{ 0xe69a4fb5, "xprt_release_xprt_cong" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x41f2bb78, "svc_xprt_copy_addrs" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xfb12fcd9, "xdr_init_decode" },
	{ 0xf7816c6f, "svc_xprt_received" },
	{ 0xeb386f4f, "rdma_set_afonly" },
	{ 0x2092327, "trace_event_reg" },
	{ 0x4e99f0f0, "rdma_unlock_handler" },
	{ 0xf2cfe389, "xprt_unregister_transport" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xb986c2a9, "rdma_listen" },
	{ 0x83c392bb, "rdma_destroy_qp" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xbb9c0973, "__put_devmap_managed_folio_refs" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xdc0f8a86, "bpf_trace_run1" },
	{ 0xc655be5, "ib_destroy_qp_user" },
	{ 0x3bd45f5c, "register_sysctl_sz" },
	{ 0xdcb764ad, "memset" },
	{ 0xf71fdfdc, "__kmalloc_cache_node_noprof" },
	{ 0x46f2ba48, "svc_xprt_init" },
	{ 0x6a559517, "ib_alloc_mr" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x31a89d59, "rpc_debug" },
	{ 0x23535c86, "ib_drain_rq" },
	{ 0xa0775ff5, "xdr_buf_subsegment" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x10a77f7b, "svc_unreg_xprt_class" },
	{ 0xfb0f2a26, "rdma_connect" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x41f949a9, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x745a981, "xa_erase" },
	{ 0x2da8d207, "bpf_trace_run3" },
	{ 0x2ab84c8e, "xprt_wake_pending_tasks" },
	{ 0x68b09f69, "xprt_unpin_rqst" },
	{ 0x66251718, "rpcb_getport_async" },
	{ 0x5bbe066d, "xprt_add_backlog" },
	{ 0xe6f67f19, "xprt_alloc" },
	{ 0xe3305b68, "ib_dma_virt_map_sg" },
	{ 0xda2d7a21, "trace_event_buffer_reserve" },
	{ 0xab8ea8ad, "xprt_request_get_cong" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xbcf6f7cb, "ib_free_cq" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x53126ecc, "__percpu_counter_sum" },
	{ 0x7248d2d6, "rdma_destroy_id" },
	{ 0x698b966, "__dma_sync_single_for_device" },
	{ 0xe9c113c4, "xprt_free" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xd059770f, "xprt_force_disconnect" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x5737dbe8, "seq_write" },
	{ 0xa873d5b5, "__folio_put" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x899fbd06, "seq_printf" },
	{ 0x90512220, "rdma_accept" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xca563304, "xprt_unlock_connect" },
	{ 0x38ab4df0, "xprt_register_transport" },
	{ 0xfec2420f, "svc_reg_xprt_class" },
	{ 0xaa6040a9, "svc_xprt_enqueue" },
	{ 0x557d1823, "alloc_pages_noprof" },
	{ 0xf943375f, "proc_dointvec" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x8c063019, "ib_drain_qp" },
	{ 0xba299095, "ib_dealloc_pd_user" },
	{ 0x5986a5d8, "dma_unmap_sg_attrs" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x98cf60b3, "strlen" },
	{ 0xe5c60bd2, "percpu_counter_set" },
	{ 0xb543e8fb, "svc_xprt_close" },
	{ 0x744faa42, "xprt_wait_for_reply_request_def" },
	{ 0x9555956a, "svc_pool_wake_idle_thread" },
	{ 0x9e229c49, "sg_alloc_table_chained" },
	{ 0x2011908d, "xdr_init_encode" },
	{ 0x8d7143eb, "xdr_stream_pos" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x884242fa, "xprt_lookup_rqst" },
	{ 0xea81c6fd, "xprt_reconnect_delay" },
	{ 0x609202f9, "rpc_task_gfp_mask" },
	{ 0xa8277ef1, "xprt_reconnect_backoff" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x992d47c0, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x59a465a8, "rdma_rw_ctx_init" },
	{ 0x3eca0c01, "proc_dointvec_minmax" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "ib_core,sunrpc,rdma_cm");


MODULE_INFO(srcversion, "E3E81031FCE5C3292E60EA9");
