#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tls_device_sk_destruct, "_gpl", "");
KSYMTAB_FUNC(tls_offload_tx_resync_request, "_gpl", "");
KSYMTAB_FUNC(tls_get_record, "", "");
KSYMTAB_FUNC(tls_validate_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(tls_encrypt_skb, "_gpl", "");

SYMBOL_CRC(tls_device_sk_destruct, 0x0d1b2b10, "_gpl");
SYMBOL_CRC(tls_offload_tx_resync_request, 0xcc40a902, "_gpl");
SYMBOL_CRC(tls_get_record, 0xdf9ecc63, "");
SYMBOL_CRC(tls_validate_xmit_skb, 0x5613e881, "_gpl");
SYMBOL_CRC(tls_encrypt_skb, 0x34da0896, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc528a49a, "queued_write_lock_slowpath" },
	{ 0xca32efb7, "sk_msg_free" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x8059f640, "tcp_bpf_sendmsg_redir" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd277ba66, "flush_dcache_page" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xfb21d952, "tcp_read_sock" },
	{ 0x4506c655, "bpf_trace_run4" },
	{ 0xe62f4ba2, "skb_copy_bits" },
	{ 0xf4adcd6a, "sk_page_frag_refill" },
	{ 0xc2af5a6, "skb_put" },
	{ 0x405bf2c, "tcp_sendmsg_locked" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x4679fb71, "consume_skb" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4e671beb, "dump_page" },
	{ 0x93b9a682, "trace_raw_output_prep" },
	{ 0x6c104821, "sk_psock_msg_verdict" },
	{ 0x7e85034f, "bpf_trace_run6" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x556be6e0, "__trace_trigger_soft_disabled" },
	{ 0xcb6b138, "trace_event_printf" },
	{ 0x70b2106c, "iov_iter_get_pages2" },
	{ 0x7c709594, "___pskb_trim" },
	{ 0x3f7c8b8f, "trace_event_raw_init" },
	{ 0xbfc1d1a, "check_zeroed_user" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x356773ba, "clean_acked_data_enable" },
	{ 0x4feeed2f, "skb_splice_bits" },
	{ 0x7237aa40, "crypto_alloc_aead" },
	{ 0xe6aef439, "__tracepoint_sk_data_ready" },
	{ 0xbf829c5, "crypto_aead_setauthsize" },
	{ 0xab469c39, "crypto_aead_decrypt" },
	{ 0xe2964344, "__wake_up" },
	{ 0x89fd599a, "sk_stream_error" },
	{ 0xe84ed601, "sk_msg_recvmsg" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x58279865, "sk_msg_memcopy_from_iter" },
	{ 0x55126b81, "sk_error_report" },
	{ 0x8f0d0005, "register_pernet_subsys" },
	{ 0x9469c86e, "put_cmsg" },
	{ 0xd212383, "__sk_flush_backlog" },
	{ 0xfb6dfa14, "trace_event_buffer_commit" },
	{ 0xc63dce24, "crypto_destroy_tfm" },
	{ 0x122c3a7e, "_printk" },
	{ 0xbb961459, "sk_psock_tls_strp_read" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0xee9339ac, "sk_msg_clone" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x95463bb7, "__alloc_skb" },
	{ 0xee63c05b, "tcp_unregister_ulp" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x180bdc16, "iov_iter_extract_pages" },
	{ 0xc2a814db, "tcp_memory_pressure" },
	{ 0xd56b8880, "tcp_recv_skb" },
	{ 0x7432b9d2, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x4bb807c7, "perf_trace_run_bpf_submit" },
	{ 0x57bc19d2, "down_write" },
	{ 0xc5e704e, "__traceiter_sk_data_ready" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0xce807a25, "up_write" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xb78cf7ea, "crypto_aead_encrypt" },
	{ 0x9f66a4ce, "sk_skb_reason_drop" },
	{ 0x44494c12, "bpf_trace_run5" },
	{ 0xcafe0b48, "sk_free" },
	{ 0x1a0460a6, "skb_store_bits" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd60bdd33, "__sk_mem_reclaim" },
	{ 0xbd132492, "sk_stream_wait_memory" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0x2092327, "trace_event_reg" },
	{ 0x56d7525d, "iov_iter_kvec" },
	{ 0xeae0f496, "clean_acked_data_flush" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x9870c16f, "sock_recv_errqueue" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x9f8c5901, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbb9c0973, "__put_devmap_managed_folio_refs" },
	{ 0x8b63ec7c, "sk_msg_return_zero" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xe0a547c9, "skb_copy_datagram_iter" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xdc0f8a86, "bpf_trace_run1" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xe7e13a1f, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xdcb764ad, "memset" },
	{ 0x1ca93263, "sock_efree" },
	{ 0xa89488c5, "iov_iter_bvec" },
	{ 0x5120bdcb, "kfree_skb_list_reason" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xebb35b2e, "clean_acked_data_disable" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0x3f4ac81, "sk_msg_free_partial" },
	{ 0x668b19a1, "down_read" },
	{ 0x99eabdf8, "skb_trim" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x991bb2c3, "alloc_skb_with_frags" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa6ef2ab6, "tcp_register_ulp" },
	{ 0x2da8d207, "bpf_trace_run3" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0xdbf1a0a7, "sk_psock_drop" },
	{ 0x9f08c714, "scatterwalk_copychunks" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x4d1d4c64, "skb_page_frag_refill" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0xda2d7a21, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x8b0363bb, "sk_msg_free_nocharge" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xa873d5b5, "__folio_put" },
	{ 0xe225b8f6, "remove_proc_entry" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x899fbd06, "seq_printf" },
	{ 0xedec2625, "proc_create_net_single" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x6b53f5f8, "skb_clone" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x8500f07e, "dst_release" },
	{ 0xfff625ed, "_copy_from_iter" },
	{ 0x6b9847da, "skb_copy_header" },
	{ 0xcaaf627e, "sk_msg_trim" },
	{ 0x557d1823, "alloc_pages_noprof" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0x4c1c2320, "netdev_sk_get_lowest_dev" },
	{ 0x8e2c2bd9, "sk_msg_alloc" },
	{ 0x23668d1, "_copy_from_iter_nocache" },
	{ 0xae14d716, "tcp_rate_check_app_limited" },
	{ 0xb085d729, "tcp_poll" },
	{ 0xc87ff6e5, "iov_iter_revert" },
	{ 0x958e2f5b, "sk_msg_zerocopy_from_iter" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xa96a58df, "skb_to_sgvec" },
	{ 0x53b954a2, "up_read" },
	{ 0xb4c7e417, "iov_iter_npages" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x98e1b98d, "tcp_read_done" },
	{ 0x231a085c, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "853855CAE8AEAAACCA35AF6");
