#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(vsock_bind_table, "_gpl", "");
KSYMTAB_DATA(vsock_connected_table, "_gpl", "");
KSYMTAB_DATA(vsock_table_lock, "_gpl", "");
KSYMTAB_FUNC(vsock_insert_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_bound, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_find_bound_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_find_connected_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_sock, "_gpl", "");
KSYMTAB_FUNC(vsock_for_each_connected_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_add_pending, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_pending, "_gpl", "");
KSYMTAB_FUNC(vsock_enqueue_accept, "_gpl", "");
KSYMTAB_FUNC(vsock_assign_transport, "_gpl", "");
KSYMTAB_FUNC(vsock_find_cid, "_gpl", "");
KSYMTAB_FUNC(vsock_create_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_stream_has_data, "_gpl", "");
KSYMTAB_FUNC(vsock_connectible_has_data, "_gpl", "");
KSYMTAB_FUNC(vsock_stream_has_space, "_gpl", "");
KSYMTAB_FUNC(vsock_data_ready, "_gpl", "");
KSYMTAB_FUNC(vsock_dgram_recvmsg, "_gpl", "");
KSYMTAB_FUNC(vsock_connectible_recvmsg, "_gpl", "");
KSYMTAB_FUNC(vsock_core_get_transport, "_gpl", "");
KSYMTAB_FUNC(vsock_core_register, "_gpl", "");
KSYMTAB_FUNC(vsock_core_unregister, "_gpl", "");
KSYMTAB_FUNC(vsock_add_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_deliver_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_init, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_validate, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_bound, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_unbind, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_equals_addr, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_cast, "_gpl", "");

SYMBOL_CRC(vsock_bind_table, 0x284e07d8, "_gpl");
SYMBOL_CRC(vsock_connected_table, 0x9bb6fd09, "_gpl");
SYMBOL_CRC(vsock_table_lock, 0xc92f7f50, "_gpl");
SYMBOL_CRC(vsock_insert_connected, 0xe8304e49, "_gpl");
SYMBOL_CRC(vsock_remove_bound, 0x26afaa1c, "_gpl");
SYMBOL_CRC(vsock_remove_connected, 0x63c2e4dd, "_gpl");
SYMBOL_CRC(vsock_find_bound_socket, 0xf14cb946, "_gpl");
SYMBOL_CRC(vsock_find_connected_socket, 0xd59f2f29, "_gpl");
SYMBOL_CRC(vsock_remove_sock, 0xca441ea6, "_gpl");
SYMBOL_CRC(vsock_for_each_connected_socket, 0x3bf3a161, "_gpl");
SYMBOL_CRC(vsock_add_pending, 0xa5705f23, "_gpl");
SYMBOL_CRC(vsock_remove_pending, 0xfd3b2b1e, "_gpl");
SYMBOL_CRC(vsock_enqueue_accept, 0x4cd20c7f, "_gpl");
SYMBOL_CRC(vsock_assign_transport, 0x2db5e12e, "_gpl");
SYMBOL_CRC(vsock_find_cid, 0x90aa8549, "_gpl");
SYMBOL_CRC(vsock_create_connected, 0xcf444296, "_gpl");
SYMBOL_CRC(vsock_stream_has_data, 0x57ed3c17, "_gpl");
SYMBOL_CRC(vsock_connectible_has_data, 0x0e19dcee, "_gpl");
SYMBOL_CRC(vsock_stream_has_space, 0xbf5c5bb7, "_gpl");
SYMBOL_CRC(vsock_data_ready, 0x22877d1d, "_gpl");
SYMBOL_CRC(vsock_dgram_recvmsg, 0xf0be79ce, "_gpl");
SYMBOL_CRC(vsock_connectible_recvmsg, 0x9f3275f7, "_gpl");
SYMBOL_CRC(vsock_core_get_transport, 0xdbd7214c, "_gpl");
SYMBOL_CRC(vsock_core_register, 0x42eb6e52, "_gpl");
SYMBOL_CRC(vsock_core_unregister, 0x3181881e, "_gpl");
SYMBOL_CRC(vsock_add_tap, 0x30d2f323, "_gpl");
SYMBOL_CRC(vsock_remove_tap, 0x297ba7ed, "_gpl");
SYMBOL_CRC(vsock_deliver_tap, 0x012a2e56, "_gpl");
SYMBOL_CRC(vsock_addr_init, 0x3d4b0fca, "_gpl");
SYMBOL_CRC(vsock_addr_validate, 0xec96eadf, "_gpl");
SYMBOL_CRC(vsock_addr_bound, 0x4b99648c, "_gpl");
SYMBOL_CRC(vsock_addr_unbind, 0x0e9bc9b6, "_gpl");
SYMBOL_CRC(vsock_addr_equals_addr, 0xaf2674b5, "_gpl");
SYMBOL_CRC(vsock_addr_cast, 0xb0d7bda7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc528a49a, "queued_write_lock_slowpath" },
	{ 0xda10ec3, "security_sock_graft" },
	{ 0xea3935f6, "sock_map_close" },
	{ 0xafebb1cc, "sock_queue_rcv_skb_reason" },
	{ 0xd4845a05, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x58f09138, "misc_deregister" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x4679fb71, "consume_skb" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x4829a47e, "memcpy" },
	{ 0x1ea30c5c, "sock_map_unhash" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x2b02565, "__module_get" },
	{ 0x89fd599a, "sk_stream_error" },
	{ 0xe84ed601, "sk_msg_recvmsg" },
	{ 0xe40a9799, "ns_capable_noaudit" },
	{ 0xb15b2d, "__put_cred" },
	{ 0x55126b81, "sk_error_report" },
	{ 0x5195dcc3, "skb_queue_purge_reason" },
	{ 0x122c3a7e, "_printk" },
	{ 0xaa0a7ae4, "proto_unregister" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x61ae025a, "sock_register" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xc3233feb, "proto_register" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0x1f9a9c72, "module_put" },
	{ 0xafdee17, "sk_msg_is_readable" },
	{ 0x9f66a4ce, "sk_skb_reason_drop" },
	{ 0xcafe0b48, "sk_free" },
	{ 0xa7809109, "sock_no_accept" },
	{ 0xedd17b31, "sock_get_timeout" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xee13dea4, "sock_no_listen" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x9870c16f, "sock_recv_errqueue" },
	{ 0x9f8c5901, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x2b97e4b, "sk_alloc" },
	{ 0x4ff44c15, "sock_no_socketpair" },
	{ 0xdcb764ad, "memset" },
	{ 0xedd818fe, "misc_register" },
	{ 0x2050db7d, "sock_no_mmap" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0x5bdb7603, "sock_copy_user_timeval" },
	{ 0x29600a67, "nonseekable_open" },
	{ 0xdbf1a0a7, "sk_psock_drop" },
	{ 0xeacf0ae1, "__dev_queue_xmit" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x4bbb3e25, "init_user_ns" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x6b53f5f8, "skb_clone" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x52f42fe6, "sock_no_ioctl" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xcd75989a, "sock_setsockopt" },
	{ 0x3451afe6, "sock_init_data" },
	{ 0x231a085c, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "D7FEFD589ED13094B860C80");
