#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cfg80211_shutdown_all_interfaces, "_gpl", "");
KSYMTAB_FUNC(wiphy_new_nm, "", "");
KSYMTAB_FUNC(wiphy_register, "", "");
KSYMTAB_FUNC(wiphy_rfkill_start_polling, "", "");
KSYMTAB_FUNC(wiphy_unregister, "", "");
KSYMTAB_FUNC(wiphy_free, "", "");
KSYMTAB_FUNC(wiphy_rfkill_set_hw_state_reason, "", "");
KSYMTAB_FUNC(cfg80211_unregister_wdev, "", "");
KSYMTAB_FUNC(cfg80211_stop_iface, "", "");
KSYMTAB_FUNC(cfg80211_register_netdevice, "", "");
KSYMTAB_FUNC(wiphy_work_queue, "_gpl", "");
KSYMTAB_FUNC(wiphy_work_cancel, "_gpl", "");
KSYMTAB_FUNC(wiphy_work_flush, "_gpl", "");
KSYMTAB_FUNC(wiphy_delayed_work_timer, "", "");
KSYMTAB_FUNC(wiphy_delayed_work_queue, "_gpl", "");
KSYMTAB_FUNC(wiphy_delayed_work_cancel, "_gpl", "");
KSYMTAB_FUNC(wiphy_delayed_work_flush, "_gpl", "");
KSYMTAB_FUNC(ieee80211_radiotap_iterator_init, "", "");
KSYMTAB_FUNC(ieee80211_radiotap_iterator_next, "", "");
KSYMTAB_FUNC(ieee80211_get_response_rate, "", "");
KSYMTAB_FUNC(ieee80211_mandatory_rates, "", "");
KSYMTAB_FUNC(ieee80211_channel_to_freq_khz, "", "");
KSYMTAB_FUNC(ieee80211_s1g_channel_width, "", "");
KSYMTAB_FUNC(ieee80211_freq_khz_to_channel, "", "");
KSYMTAB_FUNC(ieee80211_get_channel_khz, "", "");
KSYMTAB_FUNC(ieee80211_hdrlen, "", "");
KSYMTAB_FUNC(ieee80211_get_hdrlen_from_skb, "", "");
KSYMTAB_FUNC(ieee80211_get_mesh_hdrlen, "", "");
KSYMTAB_FUNC(ieee80211_get_8023_tunnel_proto, "", "");
KSYMTAB_FUNC(ieee80211_strip_8023_mesh_hdr, "", "");
KSYMTAB_FUNC(ieee80211_data_to_8023_exthdr, "", "");
KSYMTAB_FUNC(ieee80211_is_valid_amsdu, "", "");
KSYMTAB_FUNC(ieee80211_amsdu_to_8023s, "", "");
KSYMTAB_FUNC(cfg80211_classify8021d, "", "");
KSYMTAB_FUNC(ieee80211_bss_get_elem, "", "");
KSYMTAB_FUNC(cfg80211_calculate_bitrate, "", "");
KSYMTAB_FUNC(cfg80211_get_p2p_attr, "", "");
KSYMTAB_FUNC(ieee80211_ie_split_ric, "", "");
KSYMTAB_FUNC(ieee80211_fragment_element, "", "");
KSYMTAB_FUNC(ieee80211_operating_class_to_band, "", "");
KSYMTAB_FUNC(ieee80211_operating_class_to_chandef, "", "");
KSYMTAB_FUNC(ieee80211_chandef_to_operating_class, "", "");
KSYMTAB_FUNC(cfg80211_iter_combinations, "", "");
KSYMTAB_FUNC(cfg80211_check_combinations, "", "");
KSYMTAB_FUNC(ieee80211_get_num_supported_channels, "", "");
KSYMTAB_FUNC(cfg80211_get_station, "", "");
KSYMTAB_FUNC(cfg80211_free_nan_func, "", "");
KSYMTAB_FUNC(cfg80211_sinfo_alloc_tid_stats, "", "");
KSYMTAB_DATA(rfc1042_header, "", "");
KSYMTAB_DATA(bridge_tunnel_header, "", "");
KSYMTAB_FUNC(cfg80211_send_layer2_update, "", "");
KSYMTAB_FUNC(ieee80211_get_vht_max_nss, "", "");
KSYMTAB_FUNC(cfg80211_iftype_allowed, "", "");
KSYMTAB_FUNC(cfg80211_get_iftype_ext_capa, "", "");
KSYMTAB_FUNC(cfg80211_radio_chandef_valid, "", "");
KSYMTAB_FUNC(get_wiphy_regdom, "", "");
KSYMTAB_FUNC(reg_query_regdb_wmm, "", "");
KSYMTAB_FUNC(freq_reg_info, "", "");
KSYMTAB_FUNC(reg_initiator_name, "", "");
KSYMTAB_FUNC(wiphy_apply_custom_regulatory, "", "");
KSYMTAB_FUNC(regulatory_hint, "", "");
KSYMTAB_FUNC(regulatory_set_wiphy_regd, "", "");
KSYMTAB_FUNC(regulatory_set_wiphy_regd_sync, "", "");
KSYMTAB_FUNC(regulatory_pre_cac_allowed, "", "");
KSYMTAB_FUNC(cfg80211_is_element_inherited, "", "");
KSYMTAB_FUNC(cfg80211_iter_rnr, "_gpl", "");
KSYMTAB_FUNC(cfg80211_scan_done, "", "");
KSYMTAB_FUNC(cfg80211_sched_scan_results, "", "");
KSYMTAB_FUNC(cfg80211_sched_scan_stopped_locked, "", "");
KSYMTAB_FUNC(cfg80211_sched_scan_stopped, "", "");
KSYMTAB_FUNC(cfg80211_bss_flush, "", "");
KSYMTAB_FUNC(cfg80211_find_elem_match, "", "");
KSYMTAB_FUNC(cfg80211_find_vendor_elem, "", "");
KSYMTAB_FUNC(__cfg80211_get_bss, "", "");
KSYMTAB_FUNC(cfg80211_get_ies_channel_number, "", "");
KSYMTAB_FUNC(cfg80211_merge_profile, "", "");
KSYMTAB_FUNC(cfg80211_defragment_element, "", "");
KSYMTAB_FUNC(cfg80211_inform_bss_data, "", "");
KSYMTAB_FUNC(cfg80211_inform_bss_frame_data, "", "");
KSYMTAB_FUNC(cfg80211_ref_bss, "", "");
KSYMTAB_FUNC(cfg80211_put_bss, "", "");
KSYMTAB_FUNC(cfg80211_unlink_bss, "", "");
KSYMTAB_FUNC(cfg80211_bss_iter, "", "");
KSYMTAB_FUNC(nl80211_send_chandef, "", "");
KSYMTAB_FUNC(cfg80211_check_station_change, "", "");
KSYMTAB_FUNC(__cfg80211_alloc_event_skb, "", "");
KSYMTAB_FUNC(__cfg80211_send_event_skb, "", "");
KSYMTAB_FUNC(cfg80211_nan_match, "", "");
KSYMTAB_FUNC(cfg80211_nan_func_terminated, "", "");
KSYMTAB_FUNC(__cfg80211_alloc_reply_skb, "", "");
KSYMTAB_FUNC(cfg80211_vendor_cmd_reply, "_gpl", "");
KSYMTAB_FUNC(cfg80211_vendor_cmd_get_sender, "_gpl", "");
KSYMTAB_FUNC(cfg80211_rx_unprot_mlme_mgmt, "", "");
KSYMTAB_FUNC(cfg80211_links_removed, "", "");
KSYMTAB_FUNC(cfg80211_notify_new_peer_candidate, "", "");
KSYMTAB_FUNC(cfg80211_assoc_comeback, "", "");
KSYMTAB_FUNC(cfg80211_ready_on_channel, "", "");
KSYMTAB_FUNC(cfg80211_remain_on_channel_expired, "", "");
KSYMTAB_FUNC(cfg80211_tx_mgmt_expired, "", "");
KSYMTAB_FUNC(cfg80211_new_sta, "", "");
KSYMTAB_FUNC(cfg80211_del_sta_sinfo, "", "");
KSYMTAB_FUNC(cfg80211_conn_failed, "", "");
KSYMTAB_FUNC(cfg80211_rx_spurious_frame, "", "");
KSYMTAB_FUNC(cfg80211_rx_unexpected_4addr_frame, "", "");
KSYMTAB_FUNC(cfg80211_control_port_tx_status, "", "");
KSYMTAB_FUNC(cfg80211_mgmt_tx_status_ext, "", "");
KSYMTAB_FUNC(cfg80211_rx_control_port, "", "");
KSYMTAB_FUNC(cfg80211_cqm_rssi_notify, "", "");
KSYMTAB_FUNC(cfg80211_cqm_txe_notify, "", "");
KSYMTAB_FUNC(cfg80211_cqm_pktloss_notify, "", "");
KSYMTAB_FUNC(cfg80211_cqm_beacon_loss_notify, "", "");
KSYMTAB_FUNC(cfg80211_gtk_rekey_notify, "", "");
KSYMTAB_FUNC(cfg80211_pmksa_candidate_notify, "", "");
KSYMTAB_FUNC(cfg80211_ch_switch_notify, "", "");
KSYMTAB_FUNC(cfg80211_ch_switch_started_notify, "", "");
KSYMTAB_FUNC(cfg80211_bss_color_notify, "", "");
KSYMTAB_FUNC(cfg80211_sta_opmode_change_notify, "", "");
KSYMTAB_FUNC(cfg80211_probe_status, "", "");
KSYMTAB_FUNC(cfg80211_report_obss_beacon_khz, "", "");
KSYMTAB_FUNC(cfg80211_report_wowlan_wakeup, "", "");
KSYMTAB_FUNC(cfg80211_tdls_oper_request, "", "");
KSYMTAB_FUNC(cfg80211_ft_event, "", "");
KSYMTAB_FUNC(cfg80211_crit_proto_stopped, "", "");
KSYMTAB_FUNC(cfg80211_external_auth_request, "", "");
KSYMTAB_FUNC(cfg80211_update_owe_info_event, "", "");
KSYMTAB_FUNC(cfg80211_schedule_channels_check, "", "");
KSYMTAB_FUNC(cfg80211_rx_assoc_resp, "", "");
KSYMTAB_FUNC(cfg80211_rx_mlme_mgmt, "", "");
KSYMTAB_FUNC(cfg80211_auth_timeout, "", "");
KSYMTAB_FUNC(cfg80211_assoc_failure, "", "");
KSYMTAB_FUNC(cfg80211_tx_mlme_mgmt, "", "");
KSYMTAB_FUNC(cfg80211_michael_mic_failure, "", "");
KSYMTAB_FUNC(cfg80211_rx_mgmt_ext, "", "");
KSYMTAB_FUNC(__cfg80211_radar_event, "", "");
KSYMTAB_FUNC(cfg80211_cac_event, "", "");
KSYMTAB_FUNC(cfg80211_background_cac_abort, "", "");
KSYMTAB_FUNC(cfg80211_ibss_joined, "", "");
KSYMTAB_FUNC(cfg80211_connect_done, "", "");
KSYMTAB_FUNC(cfg80211_roamed, "", "");
KSYMTAB_FUNC(cfg80211_port_authorized, "", "");
KSYMTAB_FUNC(cfg80211_disconnected, "", "");
KSYMTAB_FUNC(cfg80211_chandef_create, "", "");
KSYMTAB_FUNC(nl80211_chan_width_to_mhz, "", "");
KSYMTAB_FUNC(cfg80211_chandef_valid, "", "");
KSYMTAB_FUNC(cfg80211_chandef_primary, "", "");
KSYMTAB_FUNC(cfg80211_chandef_compatible, "", "");
KSYMTAB_FUNC(cfg80211_chandef_dfs_required, "", "");
KSYMTAB_FUNC(cfg80211_chandef_dfs_usable, "", "");
KSYMTAB_FUNC(cfg80211_chandef_dfs_cac_time, "", "");
KSYMTAB_FUNC(cfg80211_chandef_usable, "", "");
KSYMTAB_FUNC(cfg80211_reg_check_beaconing, "", "");
KSYMTAB_FUNC(cfg80211_any_usable_channels, "", "");
KSYMTAB_FUNC(wdev_chandef, "", "");
KSYMTAB_FUNC(cfg80211_get_drvinfo, "", "");
KSYMTAB_FUNC(cfg80211_pmsr_complete, "_gpl", "");
KSYMTAB_FUNC(cfg80211_pmsr_report, "_gpl", "");
KSYMTAB_FUNC(wiphy_read_of_freq_limits, "", "");
KSYMTAB_FUNC(wiphy_locked_debugfs_read, "_gpl", "");
KSYMTAB_FUNC(wiphy_locked_debugfs_write, "_gpl", "");

SYMBOL_CRC(cfg80211_shutdown_all_interfaces, 0x4410ff94, "_gpl");
SYMBOL_CRC(wiphy_new_nm, 0x4945b134, "");
SYMBOL_CRC(wiphy_register, 0x0fdb9953, "");
SYMBOL_CRC(wiphy_rfkill_start_polling, 0x03a35edb, "");
SYMBOL_CRC(wiphy_unregister, 0x042f158d, "");
SYMBOL_CRC(wiphy_free, 0x0d923a37, "");
SYMBOL_CRC(wiphy_rfkill_set_hw_state_reason, 0xf13765e4, "");
SYMBOL_CRC(cfg80211_unregister_wdev, 0xb72f8fec, "");
SYMBOL_CRC(cfg80211_stop_iface, 0x89248d9e, "");
SYMBOL_CRC(cfg80211_register_netdevice, 0xdba1ea2f, "");
SYMBOL_CRC(wiphy_work_queue, 0x579b4f45, "_gpl");
SYMBOL_CRC(wiphy_work_cancel, 0x8a786caa, "_gpl");
SYMBOL_CRC(wiphy_work_flush, 0x8b96a8df, "_gpl");
SYMBOL_CRC(wiphy_delayed_work_timer, 0x85de3f6f, "");
SYMBOL_CRC(wiphy_delayed_work_queue, 0x07eb0a69, "_gpl");
SYMBOL_CRC(wiphy_delayed_work_cancel, 0xd781368c, "_gpl");
SYMBOL_CRC(wiphy_delayed_work_flush, 0x872c88d5, "_gpl");
SYMBOL_CRC(ieee80211_radiotap_iterator_init, 0x43afadee, "");
SYMBOL_CRC(ieee80211_radiotap_iterator_next, 0x7acb86ed, "");
SYMBOL_CRC(ieee80211_get_response_rate, 0x6aac3bef, "");
SYMBOL_CRC(ieee80211_mandatory_rates, 0x272d6876, "");
SYMBOL_CRC(ieee80211_channel_to_freq_khz, 0x5584448a, "");
SYMBOL_CRC(ieee80211_s1g_channel_width, 0x1bb59029, "");
SYMBOL_CRC(ieee80211_freq_khz_to_channel, 0x6bedf402, "");
SYMBOL_CRC(ieee80211_get_channel_khz, 0x0d403a9e, "");
SYMBOL_CRC(ieee80211_hdrlen, 0x7ef39823, "");
SYMBOL_CRC(ieee80211_get_hdrlen_from_skb, 0xd13274b4, "");
SYMBOL_CRC(ieee80211_get_mesh_hdrlen, 0xd56d55f3, "");
SYMBOL_CRC(ieee80211_get_8023_tunnel_proto, 0x13c58e52, "");
SYMBOL_CRC(ieee80211_strip_8023_mesh_hdr, 0xb318f46e, "");
SYMBOL_CRC(ieee80211_data_to_8023_exthdr, 0x80925aa2, "");
SYMBOL_CRC(ieee80211_is_valid_amsdu, 0xdef6fcfb, "");
SYMBOL_CRC(ieee80211_amsdu_to_8023s, 0x470b50dd, "");
SYMBOL_CRC(cfg80211_classify8021d, 0x875a6c8c, "");
SYMBOL_CRC(ieee80211_bss_get_elem, 0x5cba2be4, "");
SYMBOL_CRC(cfg80211_calculate_bitrate, 0x3c744e95, "");
SYMBOL_CRC(cfg80211_get_p2p_attr, 0xf5596d89, "");
SYMBOL_CRC(ieee80211_ie_split_ric, 0x275269b3, "");
SYMBOL_CRC(ieee80211_fragment_element, 0xc8e1d443, "");
SYMBOL_CRC(ieee80211_operating_class_to_band, 0xf40bc2f5, "");
SYMBOL_CRC(ieee80211_operating_class_to_chandef, 0x345fa8cc, "");
SYMBOL_CRC(ieee80211_chandef_to_operating_class, 0xefab0596, "");
SYMBOL_CRC(cfg80211_iter_combinations, 0xe47183f5, "");
SYMBOL_CRC(cfg80211_check_combinations, 0xc52f111f, "");
SYMBOL_CRC(ieee80211_get_num_supported_channels, 0x9a3264cb, "");
SYMBOL_CRC(cfg80211_get_station, 0x69fb8dcd, "");
SYMBOL_CRC(cfg80211_free_nan_func, 0x8fa02936, "");
SYMBOL_CRC(cfg80211_sinfo_alloc_tid_stats, 0x3c86019a, "");
SYMBOL_CRC(rfc1042_header, 0x69b18f43, "");
SYMBOL_CRC(bridge_tunnel_header, 0x1879fcbd, "");
SYMBOL_CRC(cfg80211_send_layer2_update, 0x00f84702, "");
SYMBOL_CRC(ieee80211_get_vht_max_nss, 0x7c3ac925, "");
SYMBOL_CRC(cfg80211_iftype_allowed, 0x695d7a61, "");
SYMBOL_CRC(cfg80211_get_iftype_ext_capa, 0xf15b75dc, "");
SYMBOL_CRC(cfg80211_radio_chandef_valid, 0x53382dce, "");
SYMBOL_CRC(get_wiphy_regdom, 0xbf00b41f, "");
SYMBOL_CRC(reg_query_regdb_wmm, 0x8f495c47, "");
SYMBOL_CRC(freq_reg_info, 0x5b97cc1d, "");
SYMBOL_CRC(reg_initiator_name, 0xdba126c1, "");
SYMBOL_CRC(wiphy_apply_custom_regulatory, 0xf3c58dbc, "");
SYMBOL_CRC(regulatory_hint, 0x3ca27412, "");
SYMBOL_CRC(regulatory_set_wiphy_regd, 0x327b4025, "");
SYMBOL_CRC(regulatory_set_wiphy_regd_sync, 0x70b9a724, "");
SYMBOL_CRC(regulatory_pre_cac_allowed, 0xd723f3c5, "");
SYMBOL_CRC(cfg80211_is_element_inherited, 0xcc1a7c48, "");
SYMBOL_CRC(cfg80211_iter_rnr, 0x646c544c, "_gpl");
SYMBOL_CRC(cfg80211_scan_done, 0x557d0ea1, "");
SYMBOL_CRC(cfg80211_sched_scan_results, 0xc3303aa7, "");
SYMBOL_CRC(cfg80211_sched_scan_stopped_locked, 0x6080985f, "");
SYMBOL_CRC(cfg80211_sched_scan_stopped, 0x0caabeb4, "");
SYMBOL_CRC(cfg80211_bss_flush, 0x402a745d, "");
SYMBOL_CRC(cfg80211_find_elem_match, 0x9d6cba30, "");
SYMBOL_CRC(cfg80211_find_vendor_elem, 0x79b82a71, "");
SYMBOL_CRC(__cfg80211_get_bss, 0x664a493d, "");
SYMBOL_CRC(cfg80211_get_ies_channel_number, 0x3aca71a1, "");
SYMBOL_CRC(cfg80211_merge_profile, 0x117aca91, "");
SYMBOL_CRC(cfg80211_defragment_element, 0xd6c87a05, "");
SYMBOL_CRC(cfg80211_inform_bss_data, 0x0ea3339c, "");
SYMBOL_CRC(cfg80211_inform_bss_frame_data, 0x81d093ba, "");
SYMBOL_CRC(cfg80211_ref_bss, 0x2a32a35d, "");
SYMBOL_CRC(cfg80211_put_bss, 0x4d3e2151, "");
SYMBOL_CRC(cfg80211_unlink_bss, 0xeea20a19, "");
SYMBOL_CRC(cfg80211_bss_iter, 0xc89a703c, "");
SYMBOL_CRC(nl80211_send_chandef, 0x7c92cd62, "");
SYMBOL_CRC(cfg80211_check_station_change, 0xbf41e696, "");
SYMBOL_CRC(__cfg80211_alloc_event_skb, 0xcca969e4, "");
SYMBOL_CRC(__cfg80211_send_event_skb, 0x6fa010ff, "");
SYMBOL_CRC(cfg80211_nan_match, 0x7faccbe8, "");
SYMBOL_CRC(cfg80211_nan_func_terminated, 0xa6ac3d0b, "");
SYMBOL_CRC(__cfg80211_alloc_reply_skb, 0x187f9eb2, "");
SYMBOL_CRC(cfg80211_vendor_cmd_reply, 0x6299b88e, "_gpl");
SYMBOL_CRC(cfg80211_vendor_cmd_get_sender, 0xf0b808c7, "_gpl");
SYMBOL_CRC(cfg80211_rx_unprot_mlme_mgmt, 0x509d5096, "");
SYMBOL_CRC(cfg80211_links_removed, 0x6f32fa0c, "");
SYMBOL_CRC(cfg80211_notify_new_peer_candidate, 0xd5c616cd, "");
SYMBOL_CRC(cfg80211_assoc_comeback, 0x2c9fe120, "");
SYMBOL_CRC(cfg80211_ready_on_channel, 0xf74e4ea3, "");
SYMBOL_CRC(cfg80211_remain_on_channel_expired, 0xe5edf9c8, "");
SYMBOL_CRC(cfg80211_tx_mgmt_expired, 0x8ca0796b, "");
SYMBOL_CRC(cfg80211_new_sta, 0x2bc4739b, "");
SYMBOL_CRC(cfg80211_del_sta_sinfo, 0x2f360eda, "");
SYMBOL_CRC(cfg80211_conn_failed, 0x2c1e08e9, "");
SYMBOL_CRC(cfg80211_rx_spurious_frame, 0xc90cd1ae, "");
SYMBOL_CRC(cfg80211_rx_unexpected_4addr_frame, 0x1f38fbfa, "");
SYMBOL_CRC(cfg80211_control_port_tx_status, 0xc4eabfde, "");
SYMBOL_CRC(cfg80211_mgmt_tx_status_ext, 0x8d1e8e52, "");
SYMBOL_CRC(cfg80211_rx_control_port, 0x8a15e322, "");
SYMBOL_CRC(cfg80211_cqm_rssi_notify, 0xa1e874bd, "");
SYMBOL_CRC(cfg80211_cqm_txe_notify, 0x72fb7474, "");
SYMBOL_CRC(cfg80211_cqm_pktloss_notify, 0xa86980c6, "");
SYMBOL_CRC(cfg80211_cqm_beacon_loss_notify, 0x9c0f0801, "");
SYMBOL_CRC(cfg80211_gtk_rekey_notify, 0xbdbba5e3, "");
SYMBOL_CRC(cfg80211_pmksa_candidate_notify, 0xf368887f, "");
SYMBOL_CRC(cfg80211_ch_switch_notify, 0xc797b162, "");
SYMBOL_CRC(cfg80211_ch_switch_started_notify, 0x0f9845aa, "");
SYMBOL_CRC(cfg80211_bss_color_notify, 0xf0419b76, "");
SYMBOL_CRC(cfg80211_sta_opmode_change_notify, 0x371dde6f, "");
SYMBOL_CRC(cfg80211_probe_status, 0x4a1a0c29, "");
SYMBOL_CRC(cfg80211_report_obss_beacon_khz, 0x6eca24d9, "");
SYMBOL_CRC(cfg80211_report_wowlan_wakeup, 0x0b07ffd6, "");
SYMBOL_CRC(cfg80211_tdls_oper_request, 0xad2e6ebd, "");
SYMBOL_CRC(cfg80211_ft_event, 0xb6310bf3, "");
SYMBOL_CRC(cfg80211_crit_proto_stopped, 0x6b493365, "");
SYMBOL_CRC(cfg80211_external_auth_request, 0x83f17f8d, "");
SYMBOL_CRC(cfg80211_update_owe_info_event, 0xc61eb711, "");
SYMBOL_CRC(cfg80211_schedule_channels_check, 0x285d824b, "");
SYMBOL_CRC(cfg80211_rx_assoc_resp, 0x003fb5d1, "");
SYMBOL_CRC(cfg80211_rx_mlme_mgmt, 0x6f3c6fd5, "");
SYMBOL_CRC(cfg80211_auth_timeout, 0x2484d207, "");
SYMBOL_CRC(cfg80211_assoc_failure, 0x854c00bd, "");
SYMBOL_CRC(cfg80211_tx_mlme_mgmt, 0xeb98e598, "");
SYMBOL_CRC(cfg80211_michael_mic_failure, 0x94630eb5, "");
SYMBOL_CRC(cfg80211_rx_mgmt_ext, 0xff81fc1e, "");
SYMBOL_CRC(__cfg80211_radar_event, 0xc9a15bf2, "");
SYMBOL_CRC(cfg80211_cac_event, 0x45cdf590, "");
SYMBOL_CRC(cfg80211_background_cac_abort, 0xa7a9f195, "");
SYMBOL_CRC(cfg80211_ibss_joined, 0xebc437ff, "");
SYMBOL_CRC(cfg80211_connect_done, 0x11e1190f, "");
SYMBOL_CRC(cfg80211_roamed, 0x62c73610, "");
SYMBOL_CRC(cfg80211_port_authorized, 0xdfeb0acf, "");
SYMBOL_CRC(cfg80211_disconnected, 0xaa5d929b, "");
SYMBOL_CRC(cfg80211_chandef_create, 0x23026b4b, "");
SYMBOL_CRC(nl80211_chan_width_to_mhz, 0x2c19c3c0, "");
SYMBOL_CRC(cfg80211_chandef_valid, 0x538f32f2, "");
SYMBOL_CRC(cfg80211_chandef_primary, 0x9ce5d166, "");
SYMBOL_CRC(cfg80211_chandef_compatible, 0xf7be8ee8, "");
SYMBOL_CRC(cfg80211_chandef_dfs_required, 0xe6cb6d40, "");
SYMBOL_CRC(cfg80211_chandef_dfs_usable, 0x2761939a, "");
SYMBOL_CRC(cfg80211_chandef_dfs_cac_time, 0x3f1513ce, "");
SYMBOL_CRC(cfg80211_chandef_usable, 0xf040f48d, "");
SYMBOL_CRC(cfg80211_reg_check_beaconing, 0x2162b72e, "");
SYMBOL_CRC(cfg80211_any_usable_channels, 0x20677f71, "");
SYMBOL_CRC(wdev_chandef, 0x030d3273, "");
SYMBOL_CRC(cfg80211_get_drvinfo, 0x92979c4a, "");
SYMBOL_CRC(cfg80211_pmsr_complete, 0xe2972ef9, "_gpl");
SYMBOL_CRC(cfg80211_pmsr_report, 0x31ea4124, "_gpl");
SYMBOL_CRC(wiphy_read_of_freq_limits, 0x47862685, "");
SYMBOL_CRC(wiphy_locked_debugfs_read, 0x5dbb0ce6, "_gpl");
SYMBOL_CRC(wiphy_locked_debugfs_write, 0xed04901a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8df82a4c, "trace_print_array_seq" },
	{ 0x54adb3df, "__sock_create" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x26a93eb2, "verify_pkcs7_signature" },
	{ 0x4506c655, "bpf_trace_run4" },
	{ 0xe62f4ba2, "skb_copy_bits" },
	{ 0x4b401817, "iwe_stream_add_value" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0xc2af5a6, "skb_put" },
	{ 0x92c856a3, "iwe_stream_add_event" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x57674fd7, "__sw_hweight16" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xbcc15e75, "ktime_get_coarse_with_offset" },
	{ 0xdec5f1bf, "dev_set_name" },
	{ 0x4679fb71, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x3d1059ea, "__nla_validate" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xf3e970bf, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4e671beb, "dump_page" },
	{ 0x93b9a682, "trace_raw_output_prep" },
	{ 0x60714e08, "nla_put_64bit" },
	{ 0x7e85034f, "bpf_trace_run6" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x556be6e0, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x8dceb523, "request_firmware" },
	{ 0xcb6b138, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0x3b9c57bf, "device_initialize" },
	{ 0x6fe3a147, "genlmsg_put" },
	{ 0x3f7c8b8f, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc4e40b90, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xedabffb5, "genlmsg_multicast_allns" },
	{ 0xe2964344, "__wake_up" },
	{ 0x77a07d84, "unregister_netdevice_queue" },
	{ 0x981ae878, "bpf_trace_run8" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x23718531, "netlink_broadcast_filtered" },
	{ 0xa47a6315, "keyring_alloc" },
	{ 0x492fdb70, "netdev_err" },
	{ 0xadfbd24f, "device_rename" },
	{ 0xfb6dfa14, "trace_event_buffer_commit" },
	{ 0xffceeeb5, "eth_type_trans" },
	{ 0x1e8fac8e, "wireless_nlevent_flush" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x8619869e, "put_device" },
	{ 0x615f183a, "net_ns_type_operations" },
	{ 0xa916b694, "strnlen" },
	{ 0x95463bb7, "__alloc_skb" },
	{ 0xed35c0dc, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xc781bd9f, "rfkill_resume_polling" },
	{ 0x800473f, "__cond_resched" },
	{ 0xa0dc31ce, "inet_csk_get_port" },
	{ 0xe410af2, "key_put" },
	{ 0xdd058624, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xa247b83b, "__dev_get_by_index" },
	{ 0x4bb807c7, "perf_trace_run_bpf_submit" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x7ee7ac5d, "init_net" },
	{ 0xd7ff39d2, "request_firmware_nowait" },
	{ 0x2d938670, "simple_open" },
	{ 0xb6476d61, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x61373533, "device_add" },
	{ 0x5ef57105, "sysfs_remove_link" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0x16a6e568, "init_uts_ns" },
	{ 0x955ba9f0, "platform_device_unregister" },
	{ 0x9f66a4ce, "sk_skb_reason_drop" },
	{ 0x8172d5ff, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xea03c881, "dev_get_by_index" },
	{ 0x44494c12, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6565cba7, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbfe0703a, "skb_push" },
	{ 0x495eed8e, "debugfs_remove" },
	{ 0x6ae94f93, "wireless_send_event" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0x2092327, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xcd279169, "nla_find" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x65104b7e, "debugfs_enter_cancellation" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x5b36a3ec, "of_find_property" },
	{ 0x2e6fc05a, "class_unregister" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x59f2589b, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x61d7bdce, "rfkill_alloc" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x11089ac7, "_ctype" },
	{ 0xdc0f8a86, "bpf_trace_run1" },
	{ 0x61401cd3, "device_del" },
	{ 0x551dfe26, "default_llseek" },
	{ 0xcdce87c, "rfkill_set_hw_state_reason" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xdcb764ad, "memset" },
	{ 0x43674595, "param_ops_charp" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x4d24402, "iwe_stream_add_point" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xa86fbee8, "__pskb_pull_tail" },
	{ 0x51335c0e, "netif_rx" },
	{ 0x5409cff7, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x99eabdf8, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x184e1d86, "of_prop_next_u32" },
	{ 0x2da8d207, "bpf_trace_run3" },
	{ 0xcd8e1166, "__put_net" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd3b3f26a, "get_net_ns_by_pid" },
	{ 0x39aa2f68, "debugfs_rename" },
	{ 0x13107c3a, "debugfs_create_file" },
	{ 0x362dcefc, "platform_device_register_full" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xda2d7a21, "trace_event_buffer_reserve" },
	{ 0xff282521, "rfkill_register" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x14c5dd46, "param_ops_bool" },
	{ 0xdf54a8f7, "netlink_unregister_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xde5574cf, "x509_load_certificate_list" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x6c225138, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xfa599bb2, "netlink_register_notifier" },
	{ 0xf3ba733b, "genl_unregister_family" },
	{ 0xfc138b47, "skb_add_rx_frag_netmem" },
	{ 0xea124bd1, "gcd" },
	{ 0x98cf60b3, "strlen" },
	{ 0x37119ca5, "bpf_trace_run7" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xcb74520d, "param_ops_int" },
	{ 0xe820ea6a, "debugfs_create_dir" },
	{ 0x6ad33698, "genl_register_family" },
	{ 0xe7508f4f, "generic_file_llseek" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x2b55b7f9, "__dev_change_net_namespace" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x311e6281, "register_pernet_device" },
	{ 0x95b08404, "get_net_ns_by_fd" },
	{ 0xaa3a3bb3, "class_register" },
	{ 0x48d35dee, "bpf_trace_run11" },
	{ 0x8a490c90, "rfkill_set_sw_state" },
	{ 0xfc8fa01, "debugfs_leave_cancellation" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xec0e8314, "register_netdevice" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "rfkill");


MODULE_INFO(srcversion, "60949C9C70EE50E42592E76");
