#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_pcm_format_name, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_new_stream, "", "");
KSYMTAB_FUNC(snd_pcm_new, "", "");
KSYMTAB_FUNC(snd_pcm_new_internal, "", "");
KSYMTAB_FUNC(snd_pcm_stream_lock, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_stream_unlock, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_stream_lock_irq, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_stream_unlock_irq, "_gpl", "");
KSYMTAB_FUNC(_snd_pcm_stream_lock_irqsave, "_gpl", "");
KSYMTAB_FUNC(_snd_pcm_stream_lock_irqsave_nested, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_stream_unlock_irqrestore, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_hw_refine, "", "");
KSYMTAB_FUNC(snd_pcm_stop, "", "");
KSYMTAB_FUNC(snd_pcm_stop_xrun, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_suspend_all, "", "");
KSYMTAB_FUNC(snd_pcm_release_substream, "", "");
KSYMTAB_FUNC(snd_pcm_open_substream, "", "");
KSYMTAB_FUNC(snd_pcm_kernel_ioctl, "", "");
KSYMTAB_FUNC(snd_pcm_lib_default_mmap, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_mmap_data, "", "");
KSYMTAB_FUNC(snd_pcm_set_ops, "", "");
KSYMTAB_FUNC(snd_pcm_set_sync_per_card, "_gpl", "");
KSYMTAB_FUNC(snd_interval_refine, "", "");
KSYMTAB_FUNC(snd_interval_ratnum, "", "");
KSYMTAB_FUNC(snd_interval_list, "", "");
KSYMTAB_FUNC(snd_interval_ranges, "", "");
KSYMTAB_FUNC(snd_pcm_hw_rule_add, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_mask64, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_integer, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_minmax, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_list, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_ranges, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_ratnums, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_ratdens, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_msbits, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_step, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_pow2, "", "");
KSYMTAB_FUNC(snd_pcm_hw_rule_noresample, "", "");
KSYMTAB_FUNC(_snd_pcm_hw_params_any, "", "");
KSYMTAB_FUNC(snd_pcm_hw_param_value, "", "");
KSYMTAB_FUNC(_snd_pcm_hw_param_setempty, "", "");
KSYMTAB_FUNC(snd_pcm_hw_param_first, "", "");
KSYMTAB_FUNC(snd_pcm_hw_param_last, "", "");
KSYMTAB_FUNC(snd_pcm_hw_params_bits, "", "");
KSYMTAB_FUNC(snd_pcm_lib_ioctl, "", "");
KSYMTAB_FUNC(snd_pcm_period_elapsed_under_stream_lock, "", "");
KSYMTAB_FUNC(snd_pcm_period_elapsed, "", "");
KSYMTAB_FUNC(__snd_pcm_lib_xfer, "", "");
KSYMTAB_DATA(snd_pcm_std_chmaps, "_gpl", "");
KSYMTAB_DATA(snd_pcm_alt_chmaps, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_add_chmap_ctls, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_format_signed, "", "");
KSYMTAB_FUNC(snd_pcm_format_unsigned, "", "");
KSYMTAB_FUNC(snd_pcm_format_linear, "", "");
KSYMTAB_FUNC(snd_pcm_format_little_endian, "", "");
KSYMTAB_FUNC(snd_pcm_format_big_endian, "", "");
KSYMTAB_FUNC(snd_pcm_format_width, "", "");
KSYMTAB_FUNC(snd_pcm_format_physical_width, "", "");
KSYMTAB_FUNC(snd_pcm_format_size, "", "");
KSYMTAB_FUNC(snd_pcm_format_silence_64, "", "");
KSYMTAB_FUNC(snd_pcm_format_set_silence, "", "");
KSYMTAB_FUNC(snd_pcm_hw_limit_rates, "", "");
KSYMTAB_FUNC(snd_pcm_rate_to_rate_bit, "", "");
KSYMTAB_FUNC(snd_pcm_rate_bit_to_rate, "", "");
KSYMTAB_FUNC(snd_pcm_rate_mask_intersect, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_rate_range_to_bits, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_lib_preallocate_free_for_all, "", "");
KSYMTAB_FUNC(snd_pcm_lib_preallocate_pages, "", "");
KSYMTAB_FUNC(snd_pcm_lib_preallocate_pages_for_all, "", "");
KSYMTAB_FUNC(snd_pcm_set_managed_buffer, "", "");
KSYMTAB_FUNC(snd_pcm_set_managed_buffer_all, "", "");
KSYMTAB_FUNC(snd_pcm_lib_malloc_pages, "", "");
KSYMTAB_FUNC(snd_pcm_lib_free_pages, "", "");
KSYMTAB_FUNC(_snd_pcm_lib_alloc_vmalloc_buffer, "", "");
KSYMTAB_FUNC(snd_pcm_lib_free_vmalloc_buffer, "", "");
KSYMTAB_FUNC(snd_pcm_lib_get_vmalloc_page, "", "");
KSYMTAB_FUNC(snd_dma_alloc_dir_pages, "", "");
KSYMTAB_FUNC(snd_dma_alloc_pages_fallback, "", "");
KSYMTAB_FUNC(snd_dma_free_pages, "", "");
KSYMTAB_FUNC(snd_devm_alloc_dir_pages, "_gpl", "");
KSYMTAB_FUNC(snd_dma_buffer_mmap, "", "");
KSYMTAB_FUNC(snd_dma_buffer_sync, "_gpl", "");
KSYMTAB_FUNC(snd_sgbuf_get_addr, "", "");
KSYMTAB_FUNC(snd_sgbuf_get_page, "", "");
KSYMTAB_FUNC(snd_sgbuf_get_chunk_size, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_eld, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_create_iec958_consumer_default, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_fill_iec958_consumer, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_fill_iec958_consumer_hw_params, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_create_iec958_consumer, "", "");
KSYMTAB_FUNC(snd_pcm_create_iec958_consumer_hw_params, "", "");

SYMBOL_CRC(snd_pcm_format_name, 0xa286a234, "_gpl");
SYMBOL_CRC(snd_pcm_new_stream, 0x91a97e5d, "");
SYMBOL_CRC(snd_pcm_new, 0x4e942b5b, "");
SYMBOL_CRC(snd_pcm_new_internal, 0x00455a13, "");
SYMBOL_CRC(snd_pcm_stream_lock, 0xec14eed0, "_gpl");
SYMBOL_CRC(snd_pcm_stream_unlock, 0x166edd95, "_gpl");
SYMBOL_CRC(snd_pcm_stream_lock_irq, 0x107b202b, "_gpl");
SYMBOL_CRC(snd_pcm_stream_unlock_irq, 0x12245993, "_gpl");
SYMBOL_CRC(_snd_pcm_stream_lock_irqsave, 0x6ec5bca2, "_gpl");
SYMBOL_CRC(_snd_pcm_stream_lock_irqsave_nested, 0x5b4d7a35, "_gpl");
SYMBOL_CRC(snd_pcm_stream_unlock_irqrestore, 0xf93890a8, "_gpl");
SYMBOL_CRC(snd_pcm_hw_refine, 0xf07e2d96, "");
SYMBOL_CRC(snd_pcm_stop, 0x44d14b2e, "");
SYMBOL_CRC(snd_pcm_stop_xrun, 0xd0639a1b, "_gpl");
SYMBOL_CRC(snd_pcm_suspend_all, 0xe2a0dd99, "");
SYMBOL_CRC(snd_pcm_release_substream, 0x629fcb74, "");
SYMBOL_CRC(snd_pcm_open_substream, 0x560cb9e2, "");
SYMBOL_CRC(snd_pcm_kernel_ioctl, 0xc5ba2df0, "");
SYMBOL_CRC(snd_pcm_lib_default_mmap, 0xa8f6ef23, "_gpl");
SYMBOL_CRC(snd_pcm_mmap_data, 0xb8337783, "");
SYMBOL_CRC(snd_pcm_set_ops, 0x639931b7, "");
SYMBOL_CRC(snd_pcm_set_sync_per_card, 0x15c4d5ff, "_gpl");
SYMBOL_CRC(snd_interval_refine, 0x04cda566, "");
SYMBOL_CRC(snd_interval_ratnum, 0xac437f7b, "");
SYMBOL_CRC(snd_interval_list, 0x94098ff8, "");
SYMBOL_CRC(snd_interval_ranges, 0x503bd137, "");
SYMBOL_CRC(snd_pcm_hw_rule_add, 0x163c7413, "");
SYMBOL_CRC(snd_pcm_hw_constraint_mask64, 0xf038a33b, "");
SYMBOL_CRC(snd_pcm_hw_constraint_integer, 0x63c7b56b, "");
SYMBOL_CRC(snd_pcm_hw_constraint_minmax, 0x4b90a2ac, "");
SYMBOL_CRC(snd_pcm_hw_constraint_list, 0x0d587a76, "");
SYMBOL_CRC(snd_pcm_hw_constraint_ranges, 0xc2732995, "");
SYMBOL_CRC(snd_pcm_hw_constraint_ratnums, 0xa631b45b, "");
SYMBOL_CRC(snd_pcm_hw_constraint_ratdens, 0xf32aa459, "");
SYMBOL_CRC(snd_pcm_hw_constraint_msbits, 0x8d0a8a1a, "");
SYMBOL_CRC(snd_pcm_hw_constraint_step, 0xa32aaf5f, "");
SYMBOL_CRC(snd_pcm_hw_constraint_pow2, 0xb0e94a37, "");
SYMBOL_CRC(snd_pcm_hw_rule_noresample, 0x71cde4c2, "");
SYMBOL_CRC(_snd_pcm_hw_params_any, 0x195b710c, "");
SYMBOL_CRC(snd_pcm_hw_param_value, 0x77bd191e, "");
SYMBOL_CRC(_snd_pcm_hw_param_setempty, 0x42b22246, "");
SYMBOL_CRC(snd_pcm_hw_param_first, 0xf1ef047b, "");
SYMBOL_CRC(snd_pcm_hw_param_last, 0x9ec88f9c, "");
SYMBOL_CRC(snd_pcm_hw_params_bits, 0xe385f704, "");
SYMBOL_CRC(snd_pcm_lib_ioctl, 0xf0bc869e, "");
SYMBOL_CRC(snd_pcm_period_elapsed_under_stream_lock, 0x8b0aebee, "");
SYMBOL_CRC(snd_pcm_period_elapsed, 0xff76a031, "");
SYMBOL_CRC(__snd_pcm_lib_xfer, 0x2c380523, "");
SYMBOL_CRC(snd_pcm_std_chmaps, 0x04e1b99f, "_gpl");
SYMBOL_CRC(snd_pcm_alt_chmaps, 0x09e913c1, "_gpl");
SYMBOL_CRC(snd_pcm_add_chmap_ctls, 0x1b49d0b8, "_gpl");
SYMBOL_CRC(snd_pcm_format_signed, 0x1d027e4b, "");
SYMBOL_CRC(snd_pcm_format_unsigned, 0xa61aa028, "");
SYMBOL_CRC(snd_pcm_format_linear, 0x6ef8fcd8, "");
SYMBOL_CRC(snd_pcm_format_little_endian, 0x3796bdcc, "");
SYMBOL_CRC(snd_pcm_format_big_endian, 0x4f816e9b, "");
SYMBOL_CRC(snd_pcm_format_width, 0xe56a9336, "");
SYMBOL_CRC(snd_pcm_format_physical_width, 0x68a24153, "");
SYMBOL_CRC(snd_pcm_format_size, 0x834dc955, "");
SYMBOL_CRC(snd_pcm_format_silence_64, 0x650f8603, "");
SYMBOL_CRC(snd_pcm_format_set_silence, 0x5e7f4920, "");
SYMBOL_CRC(snd_pcm_hw_limit_rates, 0xbbdd3e30, "");
SYMBOL_CRC(snd_pcm_rate_to_rate_bit, 0xb9638db4, "");
SYMBOL_CRC(snd_pcm_rate_bit_to_rate, 0xff6104d0, "");
SYMBOL_CRC(snd_pcm_rate_mask_intersect, 0xab8bc1a2, "_gpl");
SYMBOL_CRC(snd_pcm_rate_range_to_bits, 0x8d864069, "_gpl");
SYMBOL_CRC(snd_pcm_lib_preallocate_free_for_all, 0xaad14351, "");
SYMBOL_CRC(snd_pcm_lib_preallocate_pages, 0xbeedd787, "");
SYMBOL_CRC(snd_pcm_lib_preallocate_pages_for_all, 0x81f2f646, "");
SYMBOL_CRC(snd_pcm_set_managed_buffer, 0x472a5ee2, "");
SYMBOL_CRC(snd_pcm_set_managed_buffer_all, 0x317ae39d, "");
SYMBOL_CRC(snd_pcm_lib_malloc_pages, 0xa78d10de, "");
SYMBOL_CRC(snd_pcm_lib_free_pages, 0xc6b22ee5, "");
SYMBOL_CRC(_snd_pcm_lib_alloc_vmalloc_buffer, 0xc96bd084, "");
SYMBOL_CRC(snd_pcm_lib_free_vmalloc_buffer, 0xec39daa8, "");
SYMBOL_CRC(snd_pcm_lib_get_vmalloc_page, 0xdbac310f, "");
SYMBOL_CRC(snd_dma_alloc_dir_pages, 0x7a264b4b, "");
SYMBOL_CRC(snd_dma_alloc_pages_fallback, 0xea4c3b7c, "");
SYMBOL_CRC(snd_dma_free_pages, 0xa490e3ae, "");
SYMBOL_CRC(snd_devm_alloc_dir_pages, 0x877c90c6, "_gpl");
SYMBOL_CRC(snd_dma_buffer_mmap, 0x19b06e5d, "");
SYMBOL_CRC(snd_dma_buffer_sync, 0x9acc2d95, "_gpl");
SYMBOL_CRC(snd_sgbuf_get_addr, 0x9415bb8b, "");
SYMBOL_CRC(snd_sgbuf_get_page, 0xca8e8023, "");
SYMBOL_CRC(snd_sgbuf_get_chunk_size, 0x6e582dc8, "");
SYMBOL_CRC(snd_pcm_hw_constraint_eld, 0x02a0659f, "_gpl");
SYMBOL_CRC(snd_pcm_create_iec958_consumer_default, 0x649892e8, "_gpl");
SYMBOL_CRC(snd_pcm_fill_iec958_consumer, 0x0441d61b, "_gpl");
SYMBOL_CRC(snd_pcm_fill_iec958_consumer_hw_params, 0x99b70ac2, "_gpl");
SYMBOL_CRC(snd_pcm_create_iec958_consumer, 0xa082cd1b, "");
SYMBOL_CRC(snd_pcm_create_iec958_consumer_hw_params, 0x5115799c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x22ec5205, "cpu_latency_qos_remove_request" },
	{ 0x1a58dbfd, "dma_can_mmap" },
	{ 0xd4845a05, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xa1e755a7, "_copy_to_iter" },
	{ 0xcc509952, "snd_info_register" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xf66ab3ef, "snd_info_create_module_entry" },
	{ 0xdabd831e, "snd_ctl_unregister_ioctl_compat" },
	{ 0x9308ab62, "param_ops_ulong" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0xdec5f1bf, "dev_set_name" },
	{ 0xdcf37d5e, "snd_ctl_add" },
	{ 0x2d5d3d72, "vmalloc_to_page" },
	{ 0x4e671beb, "dump_page" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x2c91e17c, "vm_get_page_prot" },
	{ 0x71416162, "snd_timer_notify" },
	{ 0x326a4ec4, "snd_ctl_get_preferred_subdevice" },
	{ 0x9a809568, "dma_vunmap_noncontiguous" },
	{ 0xada31e57, "gen_pool_dma_alloc_align" },
	{ 0x86f6c82, "dma_mmap_pages" },
	{ 0x4864631c, "__dma_need_sync" },
	{ 0x7754675e, "dma_free_pages" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0xb633240, "snd_timer_interrupt" },
	{ 0xc83d7f53, "snd_info_free_entry" },
	{ 0x4829a47e, "memcpy" },
	{ 0x21e74a21, "remap_pfn_range" },
	{ 0x28afbb08, "cpu_latency_qos_add_request" },
	{ 0x37a0cba, "kfree" },
	{ 0x9e6d79f8, "snd_info_get_str" },
	{ 0xdf0ca3f4, "cpu_latency_qos_request_active" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x2db83238, "snd_fasync_helper" },
	{ 0xe2964344, "__wake_up" },
	{ 0x9f2dd813, "import_ubuf" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0xcd8a7d34, "snd_ctl_remove" },
	{ 0xd1e9d3a, "devres_add" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x9b9291bc, "snd_ctl_new1" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xec6e7654, "dma_alloc_pages" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x8619869e, "put_device" },
	{ 0xf5cc3c84, "snd_ctl_register_ioctl" },
	{ 0x782f50e8, "snd_card_file_add" },
	{ 0xa916b694, "strnlen" },
	{ 0x1f9a9c72, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x6fff261f, "__arch_clear_user" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x5ca10ce4, "__dma_sync_single_for_cpu" },
	{ 0x97b585fb, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0xf0589f46, "dma_vmap_noncontiguous" },
	{ 0xca9e957d, "__dma_sync_sg_for_device" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x7ef4bddc, "__sg_page_iter_next" },
	{ 0x8f595b11, "snd_major" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x642cc440, "dma_alloc_attrs" },
	{ 0x4da76e58, "__devres_alloc_node" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0xce18e5f2, "__dma_sync_sg_for_cpu" },
	{ 0x56d7525d, "iov_iter_kvec" },
	{ 0x77b7f53c, "snd_unregister_device" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0xbe0986fc, "snd_device_alloc" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x760d9a93, "snd_timer_new" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xe09e0a7f, "snd_device_new" },
	{ 0x896c3e8, "alloc_pages_exact_noprof" },
	{ 0xdcb764ad, "memset" },
	{ 0x2c4f2e35, "__vmalloc_noprof" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xbdb647b4, "snd_ctl_unregister_ioctl" },
	{ 0x668b19a1, "down_read" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x29600a67, "nonseekable_open" },
	{ 0x5af762f1, "snd_fasync_free" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x340fe026, "dma_free_noncontiguous" },
	{ 0x6c3d8007, "dma_alloc_noncontiguous" },
	{ 0x63f85c7d, "dma_mmap_noncontiguous" },
	{ 0x404667b0, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x698b966, "__dma_sync_single_for_device" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x60ba97c, "gen_pool_free_owner" },
	{ 0x562dc30, "__sg_page_iter_start" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x787aee53, "of_gen_pool_get" },
	{ 0x899fbd06, "seq_printf" },
	{ 0xb2e5ae4a, "snd_lookup_minor_data" },
	{ 0xfef953f2, "snd_ctl_register_ioctl_compat" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xb84527ba, "snd_info_create_card_entry" },
	{ 0xfff625ed, "_copy_from_iter" },
	{ 0xeb44339a, "free_pages_exact" },
	{ 0x4ff4157, "snd_power_wait" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xea3e8797, "dma_mmap_attrs" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xc59e04c7, "pid_vnr" },
	{ 0xe3798bfa, "snd_device_free" },
	{ 0xcf8129f7, "snd_card_file_remove" },
	{ 0xf8f2a4eb, "snd_kill_fasync" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0xea124bd1, "gcd" },
	{ 0xb54f7e5b, "remap_vmalloc_range" },
	{ 0xcb74520d, "param_ops_int" },
	{ 0x7ae3cc61, "snd_device_register" },
	{ 0x9be03334, "snd_register_device" },
	{ 0x53b954a2, "up_read" },
	{ 0x5f9d8bb7, "put_pid" },
	{ 0x24a94b26, "snd_info_get_line" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0xe3ad3046, "__sg_page_iter_dma_next" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-timer");


MODULE_INFO(srcversion, "51294320C19304F782250B6");
