#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(snd_major, "", "");
KSYMTAB_DATA(snd_ecards_limit, "", "");
KSYMTAB_FUNC(snd_request_card, "", "");
KSYMTAB_FUNC(snd_lookup_minor_data, "", "");
KSYMTAB_FUNC(snd_register_device, "", "");
KSYMTAB_FUNC(snd_unregister_device, "", "");
KSYMTAB_DATA(snd_mixer_oss_notify_callback, "", "");
KSYMTAB_FUNC(snd_device_alloc, "_gpl", "");
KSYMTAB_FUNC(snd_card_new, "", "");
KSYMTAB_FUNC(snd_devm_card_new, "_gpl", "");
KSYMTAB_FUNC(snd_card_free_on_error, "_gpl", "");
KSYMTAB_FUNC(snd_card_ref, "_gpl", "");
KSYMTAB_FUNC(snd_card_disconnect, "", "");
KSYMTAB_FUNC(snd_card_disconnect_sync, "_gpl", "");
KSYMTAB_FUNC(snd_card_free_when_closed, "", "");
KSYMTAB_FUNC(snd_card_free, "", "");
KSYMTAB_FUNC(snd_card_set_id, "", "");
KSYMTAB_FUNC(snd_card_add_dev_attr, "_gpl", "");
KSYMTAB_FUNC(snd_card_register, "", "");
KSYMTAB_FUNC(snd_component_add, "", "");
KSYMTAB_FUNC(snd_card_file_add, "", "");
KSYMTAB_FUNC(snd_card_file_remove, "", "");
KSYMTAB_FUNC(snd_power_ref_and_wait, "_gpl", "");
KSYMTAB_FUNC(snd_power_wait, "", "");
KSYMTAB_FUNC(copy_to_user_fromio, "", "");
KSYMTAB_FUNC(copy_to_iter_fromio, "", "");
KSYMTAB_FUNC(copy_from_user_toio, "", "");
KSYMTAB_FUNC(copy_from_iter_toio, "", "");
KSYMTAB_FUNC(snd_ctl_notify, "", "");
KSYMTAB_FUNC(snd_ctl_notify_one, "", "");
KSYMTAB_FUNC(snd_ctl_new1, "", "");
KSYMTAB_FUNC(snd_ctl_free_one, "", "");
KSYMTAB_FUNC(snd_ctl_add, "", "");
KSYMTAB_FUNC(snd_ctl_replace, "", "");
KSYMTAB_FUNC(snd_ctl_remove, "", "");
KSYMTAB_FUNC(snd_ctl_remove_id, "", "");
KSYMTAB_FUNC(snd_ctl_activate_id, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_rename_id, "", "");
KSYMTAB_FUNC(snd_ctl_rename, "", "");
KSYMTAB_FUNC(snd_ctl_find_numid_locked, "", "");
KSYMTAB_FUNC(snd_ctl_find_numid, "", "");
KSYMTAB_FUNC(snd_ctl_find_id_locked, "", "");
KSYMTAB_FUNC(snd_ctl_find_id, "", "");
KSYMTAB_FUNC(snd_ctl_register_ioctl, "", "");
KSYMTAB_FUNC(snd_ctl_register_ioctl_compat, "", "");
KSYMTAB_FUNC(snd_ctl_unregister_ioctl, "", "");
KSYMTAB_FUNC(snd_ctl_unregister_ioctl_compat, "", "");
KSYMTAB_FUNC(snd_ctl_get_preferred_subdevice, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_request_layer, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_register_layer, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_disconnect_layer, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_boolean_mono_info, "", "");
KSYMTAB_FUNC(snd_ctl_boolean_stereo_info, "", "");
KSYMTAB_FUNC(snd_ctl_enum_info, "", "");
KSYMTAB_FUNC(release_and_free_resource, "", "");
KSYMTAB_FUNC(snd_pci_quirk_lookup_id, "", "");
KSYMTAB_FUNC(snd_pci_quirk_lookup, "", "");
KSYMTAB_FUNC(snd_fasync_helper, "_gpl", "");
KSYMTAB_FUNC(snd_kill_fasync, "_gpl", "");
KSYMTAB_FUNC(snd_fasync_free, "_gpl", "");
KSYMTAB_FUNC(snd_device_new, "", "");
KSYMTAB_FUNC(snd_device_disconnect, "_gpl", "");
KSYMTAB_FUNC(snd_device_free, "", "");
KSYMTAB_FUNC(snd_device_register, "", "");
KSYMTAB_FUNC(snd_device_get_state, "_gpl", "");
KSYMTAB_DATA(snd_seq_root, "", "");
KSYMTAB_FUNC(snd_info_get_line, "", "");
KSYMTAB_FUNC(snd_info_get_str, "", "");
KSYMTAB_FUNC(snd_info_create_module_entry, "", "");
KSYMTAB_FUNC(snd_info_create_card_entry, "", "");
KSYMTAB_FUNC(snd_info_free_entry, "", "");
KSYMTAB_FUNC(snd_info_register, "", "");
KSYMTAB_FUNC(snd_card_rw_proc_new, "_gpl", "");
KSYMTAB_FUNC(snd_oss_info_register, "", "");
KSYMTAB_FUNC(snd_lookup_oss_minor_data, "", "");
KSYMTAB_FUNC(snd_register_oss_device, "", "");
KSYMTAB_FUNC(snd_unregister_oss_device, "", "");
KSYMTAB_FUNC(_snd_ctl_add_follower, "", "");
KSYMTAB_FUNC(snd_ctl_add_followers, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_make_virtual_master, "", "");
KSYMTAB_FUNC(snd_ctl_add_vmaster_hook, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_sync_vmaster, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_apply_vmaster_followers, "_gpl", "");
KSYMTAB_FUNC(snd_jack_add_new_kctl, "", "");
KSYMTAB_FUNC(snd_jack_new, "", "");
KSYMTAB_FUNC(snd_jack_set_parent, "", "");
KSYMTAB_FUNC(snd_jack_set_key, "", "");
KSYMTAB_FUNC(snd_jack_report, "", "");

SYMBOL_CRC(snd_major, 0x8f595b11, "");
SYMBOL_CRC(snd_ecards_limit, 0x3971b4df, "");
SYMBOL_CRC(snd_request_card, 0x4a3ea5c0, "");
SYMBOL_CRC(snd_lookup_minor_data, 0xb2e5ae4a, "");
SYMBOL_CRC(snd_register_device, 0x9be03334, "");
SYMBOL_CRC(snd_unregister_device, 0x77b7f53c, "");
SYMBOL_CRC(snd_mixer_oss_notify_callback, 0x8db7530b, "");
SYMBOL_CRC(snd_device_alloc, 0xbe0986fc, "_gpl");
SYMBOL_CRC(snd_card_new, 0xe4496e51, "");
SYMBOL_CRC(snd_devm_card_new, 0x9539967e, "_gpl");
SYMBOL_CRC(snd_card_free_on_error, 0x764cf5a4, "_gpl");
SYMBOL_CRC(snd_card_ref, 0x92263e4e, "_gpl");
SYMBOL_CRC(snd_card_disconnect, 0xcd77be83, "");
SYMBOL_CRC(snd_card_disconnect_sync, 0x72d68168, "_gpl");
SYMBOL_CRC(snd_card_free_when_closed, 0x8a2fcc72, "");
SYMBOL_CRC(snd_card_free, 0xc17968c4, "");
SYMBOL_CRC(snd_card_set_id, 0x5c21c86b, "");
SYMBOL_CRC(snd_card_add_dev_attr, 0x8b5377f0, "_gpl");
SYMBOL_CRC(snd_card_register, 0x36f128e0, "");
SYMBOL_CRC(snd_component_add, 0xdc78b949, "");
SYMBOL_CRC(snd_card_file_add, 0x782f50e8, "");
SYMBOL_CRC(snd_card_file_remove, 0xcf8129f7, "");
SYMBOL_CRC(snd_power_ref_and_wait, 0x6dc14330, "_gpl");
SYMBOL_CRC(snd_power_wait, 0x04ff4157, "");
SYMBOL_CRC(copy_to_user_fromio, 0x342a2354, "");
SYMBOL_CRC(copy_to_iter_fromio, 0xffa3d440, "");
SYMBOL_CRC(copy_from_user_toio, 0xfffd89db, "");
SYMBOL_CRC(copy_from_iter_toio, 0xfc3e6793, "");
SYMBOL_CRC(snd_ctl_notify, 0xd2dda7f9, "");
SYMBOL_CRC(snd_ctl_notify_one, 0x07c7a20c, "");
SYMBOL_CRC(snd_ctl_new1, 0x9b9291bc, "");
SYMBOL_CRC(snd_ctl_free_one, 0xc67ee13b, "");
SYMBOL_CRC(snd_ctl_add, 0xdcf37d5e, "");
SYMBOL_CRC(snd_ctl_replace, 0x9c0678d4, "");
SYMBOL_CRC(snd_ctl_remove, 0xcd8a7d34, "");
SYMBOL_CRC(snd_ctl_remove_id, 0xc791671e, "");
SYMBOL_CRC(snd_ctl_activate_id, 0x4e87f7ce, "_gpl");
SYMBOL_CRC(snd_ctl_rename_id, 0x45b482d7, "");
SYMBOL_CRC(snd_ctl_rename, 0xbf42699a, "");
SYMBOL_CRC(snd_ctl_find_numid_locked, 0x0cf4f24d, "");
SYMBOL_CRC(snd_ctl_find_numid, 0x04a2f4af, "");
SYMBOL_CRC(snd_ctl_find_id_locked, 0xb86c8ce6, "");
SYMBOL_CRC(snd_ctl_find_id, 0x176a7e3d, "");
SYMBOL_CRC(snd_ctl_register_ioctl, 0xf5cc3c84, "");
SYMBOL_CRC(snd_ctl_register_ioctl_compat, 0xfef953f2, "");
SYMBOL_CRC(snd_ctl_unregister_ioctl, 0xbdb647b4, "");
SYMBOL_CRC(snd_ctl_unregister_ioctl_compat, 0xdabd831e, "");
SYMBOL_CRC(snd_ctl_get_preferred_subdevice, 0x326a4ec4, "_gpl");
SYMBOL_CRC(snd_ctl_request_layer, 0xfaf598c6, "_gpl");
SYMBOL_CRC(snd_ctl_register_layer, 0x476de15a, "_gpl");
SYMBOL_CRC(snd_ctl_disconnect_layer, 0xc1b8bee5, "_gpl");
SYMBOL_CRC(snd_ctl_boolean_mono_info, 0x8878a5ab, "");
SYMBOL_CRC(snd_ctl_boolean_stereo_info, 0xac65028b, "");
SYMBOL_CRC(snd_ctl_enum_info, 0xcc6a729f, "");
SYMBOL_CRC(release_and_free_resource, 0xc5a6d10b, "");
SYMBOL_CRC(snd_pci_quirk_lookup_id, 0x73076315, "");
SYMBOL_CRC(snd_pci_quirk_lookup, 0x851f4e14, "");
SYMBOL_CRC(snd_fasync_helper, 0x2db83238, "_gpl");
SYMBOL_CRC(snd_kill_fasync, 0xf8f2a4eb, "_gpl");
SYMBOL_CRC(snd_fasync_free, 0x5af762f1, "_gpl");
SYMBOL_CRC(snd_device_new, 0xe09e0a7f, "");
SYMBOL_CRC(snd_device_disconnect, 0x31a23b12, "_gpl");
SYMBOL_CRC(snd_device_free, 0xe3798bfa, "");
SYMBOL_CRC(snd_device_register, 0x7ae3cc61, "");
SYMBOL_CRC(snd_device_get_state, 0x58e0725b, "_gpl");
SYMBOL_CRC(snd_seq_root, 0x09ead340, "");
SYMBOL_CRC(snd_info_get_line, 0x24a94b26, "");
SYMBOL_CRC(snd_info_get_str, 0x9e6d79f8, "");
SYMBOL_CRC(snd_info_create_module_entry, 0xf66ab3ef, "");
SYMBOL_CRC(snd_info_create_card_entry, 0xb84527ba, "");
SYMBOL_CRC(snd_info_free_entry, 0xc83d7f53, "");
SYMBOL_CRC(snd_info_register, 0xcc509952, "");
SYMBOL_CRC(snd_card_rw_proc_new, 0xf6da36ae, "_gpl");
SYMBOL_CRC(snd_oss_info_register, 0x8df3789f, "");
SYMBOL_CRC(snd_lookup_oss_minor_data, 0x198788b4, "");
SYMBOL_CRC(snd_register_oss_device, 0x00986f66, "");
SYMBOL_CRC(snd_unregister_oss_device, 0xc311aee8, "");
SYMBOL_CRC(_snd_ctl_add_follower, 0xf0609fa9, "");
SYMBOL_CRC(snd_ctl_add_followers, 0x6c11bcfd, "_gpl");
SYMBOL_CRC(snd_ctl_make_virtual_master, 0x64386c69, "");
SYMBOL_CRC(snd_ctl_add_vmaster_hook, 0x2232b6fa, "_gpl");
SYMBOL_CRC(snd_ctl_sync_vmaster, 0x7acaa766, "_gpl");
SYMBOL_CRC(snd_ctl_apply_vmaster_followers, 0x579a979f, "_gpl");
SYMBOL_CRC(snd_jack_add_new_kctl, 0xa2967f8c, "");
SYMBOL_CRC(snd_jack_new, 0x4e7f4f61, "");
SYMBOL_CRC(snd_jack_set_parent, 0x02dc4e4b, "");
SYMBOL_CRC(snd_jack_set_key, 0x48e1de6b, "");
SYMBOL_CRC(snd_jack_report, 0x2df41366, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc528a49a, "queued_write_lock_slowpath" },
	{ 0x6f23486d, "input_allocate_device" },
	{ 0xd4845a05, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xa1e755a7, "_copy_to_iter" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xdec5f1bf, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x7ae9082b, "kill_fasync" },
	{ 0x99c95fa5, "unregister_sound_special" },
	{ 0x2f2ef21e, "proc_mkdir_mode" },
	{ 0x3b9c57bf, "device_initialize" },
	{ 0x3e9436c4, "param_array_ops" },
	{ 0x90576ec4, "vmemdup_user" },
	{ 0xb88825d, "input_unregister_device" },
	{ 0xe7257ab8, "xa_store_range" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x5b66fa60, "seq_lseek" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x19a164ae, "proc_create_data" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xdbb5dae0, "devm_remove_action" },
	{ 0x9f2dd813, "import_ubuf" },
	{ 0x67155184, "get_device" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0x5d112304, "__memcpy_fromio" },
	{ 0xd1e9d3a, "devres_add" },
	{ 0x93c19e54, "single_open_size" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x34070452, "dev_driver_string" },
	{ 0xd5bb24ad, "input_free_device" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x44a18989, "input_register_device" },
	{ 0x617c452b, "queued_read_lock_slowpath" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x8619869e, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xaaff2161, "register_sound_special_device" },
	{ 0x1f9a9c72, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x800473f, "__cond_resched" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x57bc19d2, "down_write" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0x61373533, "device_add" },
	{ 0x16a6e568, "init_uts_ns" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xfdc0adc2, "noop_llseek" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x270e3fa7, "input_set_capability" },
	{ 0x5a921311, "strncmp" },
	{ 0x4da76e58, "__devres_alloc_node" },
	{ 0x7addba2d, "fasync_helper" },
	{ 0xf1e046cc, "panic" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xf77555cd, "__memcpy_toio" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x11089ac7, "_ctype" },
	{ 0x61401cd3, "device_del" },
	{ 0xe4757a66, "proc_mkdir" },
	{ 0xdcb764ad, "memset" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0x43674595, "param_ops_charp" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x86f6553b, "input_event" },
	{ 0x1d1fb32, "proc_remove" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x745a981, "xa_erase" },
	{ 0x32f1e81b, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xff805587, "proc_set_size" },
	{ 0xacdd7225, "__register_chrdev" },
	{ 0x9c4fee7, "kobject_set_name" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x899fbd06, "seq_printf" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xfff625ed, "_copy_from_iter" },
	{ 0x18888d00, "downgrade_write" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x51d96502, "stream_open" },
	{ 0xa5c872a7, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xc59e04c7, "pid_vnr" },
	{ 0xcfd81608, "devres_find" },
	{ 0xfe1f1c42, "__devm_add_action" },
	{ 0x9743d2e6, "sound_class" },
	{ 0xc5e74216, "release_resource" },
	{ 0x98cf60b3, "strlen" },
	{ 0x8ab9f010, "proc_symlink" },
	{ 0xcb74520d, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x3466fede, "single_open" },
	{ 0x5359e8dc, "__kvmalloc_node_noprof" },
	{ 0x53b954a2, "up_read" },
	{ 0x5f9d8bb7, "put_pid" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "soundcore");


MODULE_INFO(srcversion, "B7657173CE93475917F8C6E");
