#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hdac_get_device_id, "_gpl", "");
KSYMTAB_DATA(snd_hda_bus_type, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_exec_verb_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_link_up, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_link_down, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_register, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_unregister, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_set_chip_name, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_modalias, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_read, "_gpl", "");
KSYMTAB_FUNC(_snd_hdac_read_parm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_read_parm_uncached, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_override_parm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_sub_nodes, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_refresh_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_connections, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_up, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_down, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_up_pm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_down_pm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_format_bits, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_format, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_spdif_stream_format, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_query_supported_pcm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_is_supported_format, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_read, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_write, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_check_power_state, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_sync_power_state, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_add_vendor_verb, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_write_raw, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_read_raw, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_update_raw, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_update_raw_once, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_sync, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_init_cmd_io, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_stop_cmd_io, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_update_rirb, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_send_cmd, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_get_response, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_parse_capabilities, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_enter_link_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_exit_link_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_reset_link, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_init_chip, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_stop_chip, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_handle_stream_irq, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_alloc_stream_pages, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_free_stream_pages, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_link_power, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_stream_stripe_ctl, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_start, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_stop, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stop_streams, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stop_streams_and_chip, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_setup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_cleanup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_assign, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_release_locked, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_release, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_stream, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_setup_periods, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_params, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_timecounter_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_sync_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_sync, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_spbcap_enable, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_spib, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_get_spbmaxfifo, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_drsm_enable, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_wait_drsm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_dpibr, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_lpib, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_dsp_prepare, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_dsp_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_dsp_cleanup, "_gpl", "");
KSYMTAB_FUNC(snd_array_new, "_gpl", "");
KSYMTAB_FUNC(snd_array_free, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_print_channel_allocation, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_chmap_to_spk_mask, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_spk_to_chmap, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_setup_channel_mapping, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_active_channels, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_ch_alloc_from_ca, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_channel_allocation, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_register_chmap_ops, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_add_chmap_ctls, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_set_codec_wakeup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_display_power, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_sync_audio_rate, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_get_eld, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_register_notifier, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_exit, "_gpl", "");

SYMBOL_CRC(hdac_get_device_id, 0x06f10583, "_gpl");
SYMBOL_CRC(snd_hda_bus_type, 0xde18b1f5, "_gpl");
SYMBOL_CRC(snd_hdac_bus_init, 0xf17e0356, "_gpl");
SYMBOL_CRC(snd_hdac_bus_exit, 0x1b9bee5e, "_gpl");
SYMBOL_CRC(snd_hdac_bus_exec_verb_unlocked, 0xd5959e4e, "_gpl");
SYMBOL_CRC(snd_hdac_codec_link_up, 0xcda4d783, "_gpl");
SYMBOL_CRC(snd_hdac_codec_link_down, 0x801a1394, "_gpl");
SYMBOL_CRC(snd_hdac_device_init, 0x7346379f, "_gpl");
SYMBOL_CRC(snd_hdac_device_exit, 0x2e18ee10, "_gpl");
SYMBOL_CRC(snd_hdac_device_register, 0xb4bddf10, "_gpl");
SYMBOL_CRC(snd_hdac_device_unregister, 0x8acf1e30, "_gpl");
SYMBOL_CRC(snd_hdac_device_set_chip_name, 0xaed6f814, "_gpl");
SYMBOL_CRC(snd_hdac_codec_modalias, 0x9be18dcc, "_gpl");
SYMBOL_CRC(snd_hdac_read, 0x35378dc2, "_gpl");
SYMBOL_CRC(_snd_hdac_read_parm, 0x55c5a3c9, "_gpl");
SYMBOL_CRC(snd_hdac_read_parm_uncached, 0xd0754241, "_gpl");
SYMBOL_CRC(snd_hdac_override_parm, 0x2c542845, "_gpl");
SYMBOL_CRC(snd_hdac_get_sub_nodes, 0x51d43a0b, "_gpl");
SYMBOL_CRC(snd_hdac_refresh_widgets, 0x4592d481, "_gpl");
SYMBOL_CRC(snd_hdac_get_connections, 0xe6c6bff9, "_gpl");
SYMBOL_CRC(snd_hdac_power_up, 0xee36e24d, "_gpl");
SYMBOL_CRC(snd_hdac_power_down, 0xff5f1561, "_gpl");
SYMBOL_CRC(snd_hdac_power_up_pm, 0x3c85dbe9, "_gpl");
SYMBOL_CRC(snd_hdac_power_down_pm, 0x6241cafa, "_gpl");
SYMBOL_CRC(snd_hdac_stream_format_bits, 0xdfb2511b, "_gpl");
SYMBOL_CRC(snd_hdac_stream_format, 0xdcb61650, "_gpl");
SYMBOL_CRC(snd_hdac_spdif_stream_format, 0xbfc95c33, "_gpl");
SYMBOL_CRC(snd_hdac_query_supported_pcm, 0xf9f41b3f, "_gpl");
SYMBOL_CRC(snd_hdac_is_supported_format, 0x3a129ed5, "_gpl");
SYMBOL_CRC(snd_hdac_codec_read, 0x0b44632d, "_gpl");
SYMBOL_CRC(snd_hdac_codec_write, 0x8491cff2, "_gpl");
SYMBOL_CRC(snd_hdac_check_power_state, 0x0fbf8f23, "_gpl");
SYMBOL_CRC(snd_hdac_sync_power_state, 0x217379f0, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_init, 0x4c670fa2, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_exit, 0x245229b8, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_add_vendor_verb, 0x53e812ce, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_write_raw, 0x13cee25a, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_read_raw, 0xd3957543, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_update_raw, 0x1a4fee9d, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_update_raw_once, 0xf5ec88b9, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_sync, 0xe88ccff4, "_gpl");
SYMBOL_CRC(snd_hdac_bus_init_cmd_io, 0xcd813a51, "_gpl");
SYMBOL_CRC(snd_hdac_bus_stop_cmd_io, 0x3b7984fd, "_gpl");
SYMBOL_CRC(snd_hdac_bus_update_rirb, 0xa53d5732, "_gpl");
SYMBOL_CRC(snd_hdac_bus_send_cmd, 0x2f32846c, "_gpl");
SYMBOL_CRC(snd_hdac_bus_get_response, 0x64835176, "_gpl");
SYMBOL_CRC(snd_hdac_bus_parse_capabilities, 0x9d61deb6, "_gpl");
SYMBOL_CRC(snd_hdac_bus_enter_link_reset, 0x73c71209, "_gpl");
SYMBOL_CRC(snd_hdac_bus_exit_link_reset, 0x8034f1d5, "_gpl");
SYMBOL_CRC(snd_hdac_bus_reset_link, 0xae9b3435, "_gpl");
SYMBOL_CRC(snd_hdac_bus_init_chip, 0xdf059ce8, "_gpl");
SYMBOL_CRC(snd_hdac_bus_stop_chip, 0xf783bf4d, "_gpl");
SYMBOL_CRC(snd_hdac_bus_handle_stream_irq, 0x84798075, "_gpl");
SYMBOL_CRC(snd_hdac_bus_alloc_stream_pages, 0x449286b6, "_gpl");
SYMBOL_CRC(snd_hdac_bus_free_stream_pages, 0xe6643a5e, "_gpl");
SYMBOL_CRC(snd_hdac_bus_link_power, 0x055a1bc5, "_gpl");
SYMBOL_CRC(snd_hdac_get_stream_stripe_ctl, 0xce4acda0, "_gpl");
SYMBOL_CRC(snd_hdac_stream_init, 0x005c1d06, "_gpl");
SYMBOL_CRC(snd_hdac_stream_start, 0x7224d138, "_gpl");
SYMBOL_CRC(snd_hdac_stream_stop, 0xdb0ad9ad, "_gpl");
SYMBOL_CRC(snd_hdac_stop_streams, 0x57a994cd, "_gpl");
SYMBOL_CRC(snd_hdac_stop_streams_and_chip, 0xf2f2f951, "_gpl");
SYMBOL_CRC(snd_hdac_stream_reset, 0x55d0a191, "_gpl");
SYMBOL_CRC(snd_hdac_stream_setup, 0x0346315b, "_gpl");
SYMBOL_CRC(snd_hdac_stream_cleanup, 0x14027c86, "_gpl");
SYMBOL_CRC(snd_hdac_stream_assign, 0x26cb0bc4, "_gpl");
SYMBOL_CRC(snd_hdac_stream_release_locked, 0xb0cd8dd0, "_gpl");
SYMBOL_CRC(snd_hdac_stream_release, 0xc6ead236, "_gpl");
SYMBOL_CRC(snd_hdac_get_stream, 0xa3da5437, "_gpl");
SYMBOL_CRC(snd_hdac_stream_setup_periods, 0x1cf8a00b, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_params, 0x9a06fb05, "_gpl");
SYMBOL_CRC(snd_hdac_stream_timecounter_init, 0xc5a648e7, "_gpl");
SYMBOL_CRC(snd_hdac_stream_sync_trigger, 0x57cb5bd2, "_gpl");
SYMBOL_CRC(snd_hdac_stream_sync, 0x63033c45, "_gpl");
SYMBOL_CRC(snd_hdac_stream_spbcap_enable, 0x833a8596, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_spib, 0x0af11ade, "_gpl");
SYMBOL_CRC(snd_hdac_stream_get_spbmaxfifo, 0xf6630fcb, "_gpl");
SYMBOL_CRC(snd_hdac_stream_drsm_enable, 0x9b291b2b, "_gpl");
SYMBOL_CRC(snd_hdac_stream_wait_drsm, 0x4658bf40, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_dpibr, 0xe7904759, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_lpib, 0xd3d2104f, "_gpl");
SYMBOL_CRC(snd_hdac_dsp_prepare, 0x60c5787b, "_gpl");
SYMBOL_CRC(snd_hdac_dsp_trigger, 0x72eb6a72, "_gpl");
SYMBOL_CRC(snd_hdac_dsp_cleanup, 0x73d51b81, "_gpl");
SYMBOL_CRC(snd_array_new, 0xbe7dd7dc, "_gpl");
SYMBOL_CRC(snd_array_free, 0x9a8e1877, "_gpl");
SYMBOL_CRC(snd_hdac_print_channel_allocation, 0xe4e07754, "_gpl");
SYMBOL_CRC(snd_hdac_chmap_to_spk_mask, 0x77c754a8, "_gpl");
SYMBOL_CRC(snd_hdac_spk_to_chmap, 0x67bfe791, "_gpl");
SYMBOL_CRC(snd_hdac_setup_channel_mapping, 0x05457d80, "_gpl");
SYMBOL_CRC(snd_hdac_get_active_channels, 0x3bd544c2, "_gpl");
SYMBOL_CRC(snd_hdac_get_ch_alloc_from_ca, 0x4c7ec4b6, "_gpl");
SYMBOL_CRC(snd_hdac_channel_allocation, 0x86a1dae9, "_gpl");
SYMBOL_CRC(snd_hdac_register_chmap_ops, 0x570339a4, "_gpl");
SYMBOL_CRC(snd_hdac_add_chmap_ctls, 0x4c046491, "_gpl");
SYMBOL_CRC(snd_hdac_set_codec_wakeup, 0xc08e7551, "_gpl");
SYMBOL_CRC(snd_hdac_display_power, 0x7de23d0d, "_gpl");
SYMBOL_CRC(snd_hdac_sync_audio_rate, 0x135472fb, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_get_eld, 0x9e0419de, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_register_notifier, 0xf59fec76, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_init, 0x870bc8b9, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_exit, 0x34ad0946, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xd4845a05, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x3920dbe0, "regcache_sync" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xcb824037, "regmap_write" },
	{ 0x7a264b4b, "snd_dma_alloc_dir_pages" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0xdec5f1bf, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x66278a1, "component_master_add_with_match" },
	{ 0x93b9a682, "trace_raw_output_prep" },
	{ 0x1b49d0b8, "snd_pcm_add_chmap_ctls" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x556be6e0, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xcb6b138, "trace_event_printf" },
	{ 0x89351b36, "devres_destroy" },
	{ 0x96848186, "scnprintf" },
	{ 0xa1b1593e, "pm_runtime_get_if_active" },
	{ 0x1a4d9418, "kobject_init" },
	{ 0x3b9c57bf, "device_initialize" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x3f7c8b8f, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x46cdf7ee, "regcache_reg_cached" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc4e40b90, "bpf_trace_run2" },
	{ 0xe2964344, "__wake_up" },
	{ 0x9415bb8b, "snd_sgbuf_get_addr" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0x6e582dc8, "snd_sgbuf_get_chunk_size" },
	{ 0xd1e9d3a, "devres_add" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xfb6dfa14, "trace_event_buffer_commit" },
	{ 0xa490e3ae, "snd_dma_free_pages" },
	{ 0xd7094a04, "__pm_runtime_set_status" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x8619869e, "put_device" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0x1f9a9c72, "module_put" },
	{ 0xc5c75fb8, "component_match_add_typed" },
	{ 0x800473f, "__cond_resched" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x4bb807c7, "perf_trace_run_bpf_submit" },
	{ 0x2efa2c2b, "bus_unregister" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x17e1c98a, "kobject_add" },
	{ 0x61373533, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4da76e58, "__devres_alloc_node" },
	{ 0x2092327, "trace_event_reg" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x2edb012e, "sysfs_create_group" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xed61f47f, "__regmap_init" },
	{ 0x61401cd3, "device_del" },
	{ 0xdcb764ad, "memset" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x446f57ea, "kobject_create_and_add" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xe5561d7c, "sysfs_remove_group" },
	{ 0x2da8d207, "bpf_trace_run3" },
	{ 0x870c85d3, "component_master_del" },
	{ 0x133e2f27, "regmap_read" },
	{ 0xda2d7a21, "trace_event_buffer_reserve" },
	{ 0x4f139bf4, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x68c031ce, "component_bind_all" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe385f704, "snd_pcm_hw_params_bits" },
	{ 0xbed38642, "kobject_uevent" },
	{ 0x62bb09bf, "clocks_calc_mult_shift" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xcfd81608, "devres_find" },
	{ 0x207bb5ea, "regmap_update_bits_base" },
	{ 0x827d8a32, "__pm_runtime_suspend" },
	{ 0xb645273f, "regmap_exit" },
	{ 0x98cf60b3, "strlen" },
	{ 0xf140f20, "component_unbind_all" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0xb9cb04c5, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x677d981d, "kobject_put" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm");


MODULE_INFO(srcversion, "BBE37147A13DA4E49D70921");
