#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_ac97_write, "", "");
KSYMTAB_FUNC(snd_ac97_read, "", "");
KSYMTAB_FUNC(snd_ac97_write_cache, "", "");
KSYMTAB_FUNC(snd_ac97_update, "", "");
KSYMTAB_FUNC(snd_ac97_update_bits, "", "");
KSYMTAB_FUNC(snd_ac97_get_short_name, "", "");
KSYMTAB_FUNC(snd_ac97_bus, "", "");
KSYMTAB_FUNC(snd_ac97_mixer, "", "");
KSYMTAB_FUNC(snd_ac97_update_power, "", "");
KSYMTAB_FUNC(snd_ac97_suspend, "", "");
KSYMTAB_FUNC(snd_ac97_resume, "", "");
KSYMTAB_FUNC(snd_ac97_tune_hardware, "", "");
KSYMTAB_FUNC(snd_ac97_set_rate, "", "");
KSYMTAB_FUNC(snd_ac97_pcm_assign, "", "");
KSYMTAB_FUNC(snd_ac97_pcm_open, "", "");
KSYMTAB_FUNC(snd_ac97_pcm_close, "", "");
KSYMTAB_FUNC(snd_ac97_pcm_double_rate_rules, "", "");

SYMBOL_CRC(snd_ac97_write, 0x22c88c85, "");
SYMBOL_CRC(snd_ac97_read, 0xf8906707, "");
SYMBOL_CRC(snd_ac97_write_cache, 0xa02b4dc9, "");
SYMBOL_CRC(snd_ac97_update, 0xfa11ea8c, "");
SYMBOL_CRC(snd_ac97_update_bits, 0x65357da2, "");
SYMBOL_CRC(snd_ac97_get_short_name, 0x515b49c3, "");
SYMBOL_CRC(snd_ac97_bus, 0x0a233dc5, "");
SYMBOL_CRC(snd_ac97_mixer, 0x69f3dfa9, "");
SYMBOL_CRC(snd_ac97_update_power, 0x0033c79a, "");
SYMBOL_CRC(snd_ac97_suspend, 0x92f2e9d7, "");
SYMBOL_CRC(snd_ac97_resume, 0xe4388a45, "");
SYMBOL_CRC(snd_ac97_tune_hardware, 0x1a8b3b22, "");
SYMBOL_CRC(snd_ac97_set_rate, 0x2f2a9f13, "");
SYMBOL_CRC(snd_ac97_pcm_assign, 0x3d8c8bc5, "");
SYMBOL_CRC(snd_ac97_pcm_open, 0xed335441, "");
SYMBOL_CRC(snd_ac97_pcm_close, 0x6df5a4ff, "");
SYMBOL_CRC(snd_ac97_pcm_double_rate_rules, 0xf943003b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6c11bcfd, "snd_ctl_add_followers" },
	{ 0xe914e41e, "strcpy" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xdec5f1bf, "dev_set_name" },
	{ 0xdcf37d5e, "snd_ctl_add" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9838955f, "device_unregister" },
	{ 0xc83d7f53, "snd_info_free_entry" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4cda566, "snd_interval_refine" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0x176a7e3d, "snd_ctl_find_id" },
	{ 0x9b9291bc, "snd_ctl_new1" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x8619869e, "put_device" },
	{ 0xc791671e, "snd_ctl_remove_id" },
	{ 0x4e1b99f, "snd_pcm_std_chmaps" },
	{ 0xdc78b949, "snd_component_add" },
	{ 0xa916b694, "strnlen" },
	{ 0x64386c69, "snd_ctl_make_virtual_master" },
	{ 0x163c7413, "snd_pcm_hw_rule_add" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0x8878a5ab, "snd_ctl_boolean_mono_info" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd399ce1a, "pci_read_config_word" },
	{ 0xe21e132a, "ac97_bus_type" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xbf42699a, "snd_ctl_rename" },
	{ 0x65ea0b6f, "device_register" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xe09e0a7f, "snd_device_new" },
	{ 0xdcb764ad, "memset" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0xf9c0b663, "strlcat" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x9e913c1, "snd_pcm_alt_chmaps" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x14c5dd46, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x899fbd06, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xb84527ba, "snd_info_create_card_entry" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x98cf60b3, "strlen" },
	{ 0xcb74520d, "param_ops_int" },
	{ 0xf9a482f9, "msleep" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-pcm,ac97_bus");


MODULE_INFO(srcversion, "3407AD7D5824D195EBFE468");
