#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1514a3b, "free_irq" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x7a264b4b, "snd_dma_alloc_dir_pages" },
	{ 0x60b73b66, "param_ops_uint" },
	{ 0x8344b777, "pci_enable_device" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xdcf37d5e, "snd_ctl_add" },
	{ 0x4e942b5b, "snd_pcm_new" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x1b49d0b8, "snd_pcm_add_chmap_ctls" },
	{ 0x36f128e0, "snd_card_register" },
	{ 0xc17968c4, "snd_card_free" },
	{ 0x43ba1bed, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x4b90a2ac, "snd_pcm_hw_constraint_minmax" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x3e9436c4, "param_array_ops" },
	{ 0x87b4d3f3, "pci_request_regions" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe2964344, "__wake_up" },
	{ 0x9415bb8b, "snd_sgbuf_get_addr" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0xe1a350f8, "pci_unregister_driver" },
	{ 0x3dea7ab3, "pci_read_config_dword" },
	{ 0xa490e3ae, "snd_dma_free_pages" },
	{ 0x73076315, "snd_pci_quirk_lookup_id" },
	{ 0x9b9291bc, "snd_ctl_new1" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x4e1b99f, "snd_pcm_std_chmaps" },
	{ 0xa916b694, "strnlen" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0xe4496e51, "snd_card_new" },
	{ 0xb4998856, "_dev_alert" },
	{ 0x7e3191f6, "try_to_del_timer_sync" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd2dda7f9, "snd_ctl_notify" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x639931b7, "snd_pcm_set_ops" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xe09e0a7f, "snd_device_new" },
	{ 0x317ae39d, "snd_pcm_set_managed_buffer_all" },
	{ 0xdcb764ad, "memset" },
	{ 0xaff5b1dd, "pci_set_master" },
	{ 0x43674595, "param_ops_charp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf0efe64b, "dma_set_coherent_mask" },
	{ 0xcd77be83, "snd_card_disconnect" },
	{ 0x63c7b56b, "snd_pcm_hw_constraint_integer" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x14c5dd46, "param_ops_bool" },
	{ 0x35beca42, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xebaddcc6, "pci_disable_device" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xb34e2c9a, "dma_set_mask" },
	{ 0xff76a031, "snd_pcm_period_elapsed" },
	{ 0x98cf60b3, "strlen" },
	{ 0xcb74520d, "param_ops_int" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0xf9a482f9, "msleep" },
	{ 0xee4ade57, "pci_write_config_dword" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm,snd");

MODULE_ALIAS("pci:v00001102d00000005sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001102d0000000Bsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "F6D10A32EB2DC5FA4A3E71D");
