#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_hda_gen_spec_init, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_add_kctl, "_gpl", "");
KSYMTAB_FUNC(snd_hda_get_path_idx, "_gpl", "");
KSYMTAB_FUNC(snd_hda_get_path_from_idx, "_gpl", "");
KSYMTAB_FUNC(snd_hda_add_new_path, "_gpl", "");
KSYMTAB_FUNC(snd_hda_activate_path, "_gpl", "");
KSYMTAB_DATA(hda_main_out_badness, "_gpl", "");
KSYMTAB_DATA(hda_extra_out_badness, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_add_mute_led_cdev, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_add_micmute_led_cdev, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_fix_pin_power, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_update_outputs, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_hp_automute, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_line_automute, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_mic_autoswitch, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_path_power_filter, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_stream_pm, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_shutup_speakers, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_parse_auto_config, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_build_controls, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_build_pcms, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_init, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_free, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_check_power_status, "_gpl", "");

SYMBOL_CRC(snd_hda_gen_spec_init, 0xe6b658a0, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_kctl, 0xc0397da9, "_gpl");
SYMBOL_CRC(snd_hda_get_path_idx, 0xae77fe50, "_gpl");
SYMBOL_CRC(snd_hda_get_path_from_idx, 0xe251f4dc, "_gpl");
SYMBOL_CRC(snd_hda_add_new_path, 0x734295f3, "_gpl");
SYMBOL_CRC(snd_hda_activate_path, 0xd30a6a61, "_gpl");
SYMBOL_CRC(hda_main_out_badness, 0x76dc6871, "_gpl");
SYMBOL_CRC(hda_extra_out_badness, 0x871a6e44, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_mute_led_cdev, 0xf62413d3, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_micmute_led_cdev, 0x54e727c3, "_gpl");
SYMBOL_CRC(snd_hda_gen_fix_pin_power, 0x16412b01, "_gpl");
SYMBOL_CRC(snd_hda_gen_update_outputs, 0x4a4e1c09, "_gpl");
SYMBOL_CRC(snd_hda_gen_hp_automute, 0xedd5b21a, "_gpl");
SYMBOL_CRC(snd_hda_gen_line_automute, 0xb4025e3a, "_gpl");
SYMBOL_CRC(snd_hda_gen_mic_autoswitch, 0x04b09fb7, "_gpl");
SYMBOL_CRC(snd_hda_gen_path_power_filter, 0xe127d049, "_gpl");
SYMBOL_CRC(snd_hda_gen_stream_pm, 0x9771e0bb, "_gpl");
SYMBOL_CRC(snd_hda_gen_shutup_speakers, 0x5ac30464, "_gpl");
SYMBOL_CRC(snd_hda_gen_parse_auto_config, 0xb065cae2, "_gpl");
SYMBOL_CRC(snd_hda_gen_build_controls, 0x997f38df, "_gpl");
SYMBOL_CRC(snd_hda_gen_build_pcms, 0x791c6fbd, "_gpl");
SYMBOL_CRC(snd_hda_gen_init, 0x1d423e51, "_gpl");
SYMBOL_CRC(snd_hda_gen_free, 0x90d50aee, "_gpl");
SYMBOL_CRC(snd_hda_gen_check_power_status, 0x3e0ebdf0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe43b57b0, "snd_hda_apply_verbs" },
	{ 0xa4e94edf, "snd_hda_codec_amp_update" },
	{ 0x2c2ab25d, "snd_hda_add_new_ctls" },
	{ 0xd2a3ba7f, "snd_hda_get_connections" },
	{ 0xf4377b79, "snd_hda_codec_amp_init_stereo" },
	{ 0x28562a61, "snd_hda_set_vmaster_tlv" },
	{ 0xe52d92b8, "hda_get_autocfg_input_label" },
	{ 0x76b13bc0, "query_amp_caps" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0x29a4aeae, "snd_hda_mixer_amp_volume_info" },
	{ 0xd3957543, "snd_hdac_regmap_read_raw" },
	{ 0x6411855d, "snd_hda_jack_detect_state_mst" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf70be382, "snd_hda_codec_setup_stream" },
	{ 0x53eaeccf, "snd_hda_mixer_amp_switch_info" },
	{ 0x9f10fced, "hda_codec_driver_unregister" },
	{ 0x20e3ef9b, "snd_hda_codec_get_pincfg" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x8491cff2, "snd_hdac_codec_write" },
	{ 0x96848186, "scnprintf" },
	{ 0x1391e1e1, "snd_hda_jack_tbl_get_mst" },
	{ 0xe44cdd67, "snd_hda_multi_out_dig_open" },
	{ 0x4829a47e, "memcpy" },
	{ 0xa6e72241, "snd_hda_add_vmaster_hook" },
	{ 0x37a0cba, "kfree" },
	{ 0xc7d2b07a, "led_classdev_unregister" },
	{ 0x3d59d22b, "snd_hda_codec_pcm_new" },
	{ 0xb23ecd7, "__snd_hda_codec_cleanup_stream" },
	{ 0x7acaa766, "snd_ctl_sync_vmaster" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0x2124442c, "snd_hda_multi_out_dig_cleanup" },
	{ 0xb03665b0, "snd_hda_get_pin_label" },
	{ 0x7911ef7a, "snd_hda_add_imux_item" },
	{ 0xc29538e3, "snd_hda_correct_pin_ctl" },
	{ 0x55c5a3c9, "_snd_hdac_read_parm" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0x9866fac3, "snd_hda_create_dig_out_ctls" },
	{ 0xc3df6cd5, "snd_hda_multi_out_dig_close" },
	{ 0x17cf38e4, "snd_hda_get_conn_index" },
	{ 0x109d33bd, "snd_hda_multi_out_analog_open" },
	{ 0xf2e3b490, "snd_hda_get_bool_hint" },
	{ 0xa89fe704, "snd_hda_create_spdif_share_sw" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xcd028b62, "snd_hda_find_mixer_ctl" },
	{ 0x5d77f343, "snd_hda_get_int_hint" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0xd0faa907, "__hda_codec_driver_register" },
	{ 0xb7c0f443, "sort" },
	{ 0x461b92b4, "snd_hda_parse_pin_defcfg" },
	{ 0x7f1a1698, "snd_hda_codec_amp_init" },
	{ 0x8275a8c3, "snd_hda_create_spdif_in_ctls" },
	{ 0x26c98cc2, "is_jack_detectable" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb736c66e, "snd_hda_multi_out_analog_cleanup" },
	{ 0x17705732, "snd_hda_multi_out_analog_prepare" },
	{ 0xac65028b, "snd_ctl_boolean_stereo_info" },
	{ 0x6d6853db, "snd_hda_get_conn_list" },
	{ 0xb95b40c6, "snd_hda_mixer_amp_switch_get" },
	{ 0x93347913, "snd_hda_codec_set_pin_target" },
	{ 0x81e4beca, "led_classdev_register_ext" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x38692b45, "snd_hda_attach_beep_device" },
	{ 0x104838e0, "_snd_hda_set_pin_ctl" },
	{ 0x11089ac7, "_ctype" },
	{ 0x13cee25a, "snd_hdac_regmap_write_raw" },
	{ 0xc31502a7, "snd_hda_mixer_amp_volume_get" },
	{ 0xdcb764ad, "memset" },
	{ 0x80d93e4f, "snd_hda_jack_detect_enable_callback_mst" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0x91e33c95, "snd_hda_check_amp_caps" },
	{ 0xf9c0b663, "strlcat" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe0d9b324, "snd_hda_mixer_amp_switch_put" },
	{ 0xe118de5d, "snd_pcm_2_1_chmaps" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf23c6440, "snd_hda_jack_unsol_event" },
	{ 0x7a619e30, "snd_hda_check_amp_list_power" },
	{ 0x676f5ac, "snd_hda_get_input_pin_attr" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xd9a4a642, "snd_hda_mixer_amp_tlv" },
	{ 0x8f8fc271, "snd_hda_jack_add_kctls" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbe7dd7dc, "snd_array_new" },
	{ 0x6785bf81, "__snd_hda_add_vmaster" },
	{ 0x3aafd7a0, "snd_hda_codec_amp_stereo" },
	{ 0xb0fefca6, "snd_hda_sync_vmaster_hook" },
	{ 0xaaa391b4, "snd_hda_apply_fixup" },
	{ 0xb12fe70, "snd_hda_enum_helper_info" },
	{ 0x630f2112, "snd_hda_get_default_vref" },
	{ 0x9a8e1877, "snd_array_free" },
	{ 0x98cf60b3, "strlen" },
	{ 0xb44632d, "snd_hdac_codec_read" },
	{ 0x9a97f145, "snd_hda_mixer_amp_volume_put" },
	{ 0xf8dc35ac, "snd_hda_input_mux_info" },
	{ 0xe2c7f0b7, "snd_hda_multi_out_dig_prepare" },
	{ 0x349cba85, "strchr" },
	{ 0xc09406b3, "snd_hda_codec_get_pin_target" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe88ccff4, "snd_hdac_regmap_sync" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0xfaf598c6, "snd_ctl_request_layer" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-codec,snd-hda-core,snd");

MODULE_ALIAS("hdaudio:v00000201r*a01*");

MODULE_INFO(srcversion, "C73CBA48C536B69C5F38DA1");
