#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(oxygen_read8, "", "");
KSYMTAB_FUNC(oxygen_read16, "", "");
KSYMTAB_FUNC(oxygen_read32, "", "");
KSYMTAB_FUNC(oxygen_write8, "", "");
KSYMTAB_FUNC(oxygen_write16, "", "");
KSYMTAB_FUNC(oxygen_write32, "", "");
KSYMTAB_FUNC(oxygen_write8_masked, "", "");
KSYMTAB_FUNC(oxygen_write16_masked, "", "");
KSYMTAB_FUNC(oxygen_write32_masked, "", "");
KSYMTAB_FUNC(oxygen_write_ac97, "", "");
KSYMTAB_FUNC(oxygen_read_ac97, "", "");
KSYMTAB_FUNC(oxygen_write_ac97_masked, "", "");
KSYMTAB_FUNC(oxygen_write_spi, "", "");
KSYMTAB_FUNC(oxygen_write_i2c, "", "");
KSYMTAB_FUNC(oxygen_reset_uart, "", "");
KSYMTAB_FUNC(oxygen_write_uart, "", "");
KSYMTAB_FUNC(oxygen_pci_probe, "", "");
KSYMTAB_DATA(oxygen_pci_pm, "", "");
KSYMTAB_FUNC(oxygen_pci_shutdown, "", "");
KSYMTAB_FUNC(oxygen_update_dac_routing, "", "");

SYMBOL_CRC(oxygen_read8, 0xeecd2b1e, "");
SYMBOL_CRC(oxygen_read16, 0x4c6f2d24, "");
SYMBOL_CRC(oxygen_read32, 0xaf13edde, "");
SYMBOL_CRC(oxygen_write8, 0x4d72cf11, "");
SYMBOL_CRC(oxygen_write16, 0xc8be6a14, "");
SYMBOL_CRC(oxygen_write32, 0x484042f4, "");
SYMBOL_CRC(oxygen_write8_masked, 0x30ed6080, "");
SYMBOL_CRC(oxygen_write16_masked, 0x0b7aa75b, "");
SYMBOL_CRC(oxygen_write32_masked, 0x549721bf, "");
SYMBOL_CRC(oxygen_write_ac97, 0x2d5cbea0, "");
SYMBOL_CRC(oxygen_read_ac97, 0x04f7b63f, "");
SYMBOL_CRC(oxygen_write_ac97_masked, 0xab3707b8, "");
SYMBOL_CRC(oxygen_write_spi, 0xe38a1d81, "");
SYMBOL_CRC(oxygen_write_i2c, 0x2ed3a8f9, "");
SYMBOL_CRC(oxygen_reset_uart, 0xa3bd04dd, "");
SYMBOL_CRC(oxygen_write_uart, 0x501e38a2, "");
SYMBOL_CRC(oxygen_pci_probe, 0x0db5f785, "");
SYMBOL_CRC(oxygen_pci_pm, 0x5be6320e, "");
SYMBOL_CRC(oxygen_pci_shutdown, 0x97787940, "");
SYMBOL_CRC(oxygen_update_dac_routing, 0xd5758bab, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4c55545d, "devm_request_threaded_irq" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0xdcf37d5e, "snd_ctl_add" },
	{ 0x4e942b5b, "snd_pcm_new" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x36f128e0, "snd_card_register" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x87b4d3f3, "pci_request_regions" },
	{ 0x4829a47e, "memcpy" },
	{ 0x764cf5a4, "snd_card_free_on_error" },
	{ 0xf6da36ae, "snd_card_rw_proc_new" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x3dea7ab3, "pci_read_config_dword" },
	{ 0x9b9291bc, "snd_ctl_new1" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xdc78b949, "snd_component_add" },
	{ 0xa916b694, "strnlen" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0x800473f, "__cond_resched" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8878a5ab, "snd_ctl_boolean_mono_info" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0xd2dda7f9, "snd_ctl_notify" },
	{ 0x639931b7, "snd_pcm_set_ops" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x472a5ee2, "snd_pcm_set_managed_buffer" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x317ae39d, "snd_pcm_set_managed_buffer_all" },
	{ 0xdcb764ad, "memset" },
	{ 0xc0fec227, "snd_mpu401_uart_interrupt" },
	{ 0xaff5b1dd, "pci_set_master" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9539967e, "snd_devm_card_new" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x899fbd06, "seq_printf" },
	{ 0x6ef8232e, "snd_mpu401_uart_new" },
	{ 0xbaa4cc1b, "pci_match_id" },
	{ 0x8d0a8a1a, "snd_pcm_hw_constraint_msbits" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xff76a031, "snd_pcm_period_elapsed" },
	{ 0x81188c30, "match_string" },
	{ 0xa32aaf5f, "snd_pcm_hw_constraint_step" },
	{ 0x98cf60b3, "strlen" },
	{ 0xad1a4a95, "pcim_enable_device" },
	{ 0xf54d522d, "pci_write_config_word" },
	{ 0xf9a482f9, "msleep" },
	{ 0xee4ade57, "pci_write_config_dword" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-pcm,snd-mpu401-uart");


MODULE_INFO(srcversion, "7F1C9A83DA5732EA6CB6EEA");
