#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7a264b4b, "snd_dma_alloc_dir_pages" },
	{ 0x4c55545d, "devm_request_threaded_irq" },
	{ 0xdcf37d5e, "snd_ctl_add" },
	{ 0xe4388a45, "snd_ac97_resume" },
	{ 0x4e942b5b, "snd_pcm_new" },
	{ 0x1b49d0b8, "snd_pcm_add_chmap_ctls" },
	{ 0x36f128e0, "snd_card_register" },
	{ 0x8dceb523, "request_firmware" },
	{ 0x877c90c6, "snd_devm_alloc_dir_pages" },
	{ 0x43ba1bed, "__pci_register_driver" },
	{ 0x3ea528ee, "devm_ioremap" },
	{ 0x4b90a2ac, "snd_pcm_hw_constraint_minmax" },
	{ 0x49c3d0db, "param_ops_long" },
	{ 0xb633240, "snd_timer_interrupt" },
	{ 0x3e9436c4, "param_array_ops" },
	{ 0x87b4d3f3, "pci_request_regions" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x764cf5a4, "snd_card_free_on_error" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xf6da36ae, "snd_card_rw_proc_new" },
	{ 0x65357da2, "snd_ac97_update_bits" },
	{ 0x69f3dfa9, "snd_ac97_mixer" },
	{ 0xe2964344, "__wake_up" },
	{ 0x21e5213c, "snd_opl3_create" },
	{ 0xa233dc5, "snd_ac97_bus" },
	{ 0xe1a350f8, "pci_unregister_driver" },
	{ 0xa490e3ae, "snd_dma_free_pages" },
	{ 0xaf20b3d2, "__devm_request_region" },
	{ 0x9b9291bc, "snd_ctl_new1" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x4e1b99f, "snd_pcm_std_chmaps" },
	{ 0xa916b694, "strnlen" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0x92f2e9d7, "snd_ac97_suspend" },
	{ 0x8878a5ab, "snd_ctl_boolean_mono_info" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xd399ce1a, "pci_read_config_word" },
	{ 0xd2dda7f9, "snd_ctl_notify" },
	{ 0x639931b7, "snd_pcm_set_ops" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x760d9a93, "snd_timer_new" },
	{ 0x317ae39d, "snd_pcm_set_managed_buffer_all" },
	{ 0xdbdf6c92, "ioport_resource" },
	{ 0xdcb764ad, "memset" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0xc0fec227, "snd_mpu401_uart_interrupt" },
	{ 0xaff5b1dd, "pci_set_master" },
	{ 0x43674595, "param_ops_charp" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x14c5dd46, "param_ops_bool" },
	{ 0x9539967e, "snd_devm_card_new" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2fd31ec7, "pci_write_config_byte" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x899fbd06, "seq_printf" },
	{ 0x6ef8232e, "snd_mpu401_uart_new" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x283af27d, "snd_opl3_hwdep_new" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xff76a031, "snd_pcm_period_elapsed" },
	{ 0xc57c18f5, "pci_read_config_byte" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0xcb74520d, "param_ops_int" },
	{ 0xad1a4a95, "pcim_enable_device" },
	{ 0xf54d522d, "pci_write_config_word" },
	{ 0x71cde4c2, "snd_pcm_hw_rule_noresample" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm,snd,snd-ac97-codec,snd-timer,snd-opl3-lib,snd-mpu401-uart");

MODULE_ALIAS("pci:v00001073d00000004sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001073d0000000Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001073d0000000Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001073d0000000Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001073d00000010sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001073d00000012sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "A3E3F0A734593F9F0930233");
