#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(simple_util_get_sample_fmt, "_gpl", "");
KSYMTAB_FUNC(simple_util_parse_convert, "_gpl", "");
KSYMTAB_FUNC(simple_util_is_convert_required, "_gpl", "");
KSYMTAB_FUNC(simple_util_parse_daifmt, "_gpl", "");
KSYMTAB_FUNC(simple_util_parse_tdm_width_map, "_gpl", "");
KSYMTAB_FUNC(simple_util_set_dailink_name, "_gpl", "");
KSYMTAB_FUNC(simple_util_parse_card_name, "_gpl", "");
KSYMTAB_FUNC(simple_util_parse_clk, "_gpl", "");
KSYMTAB_FUNC(simple_util_startup, "_gpl", "");
KSYMTAB_FUNC(simple_util_shutdown, "_gpl", "");
KSYMTAB_FUNC(simple_util_hw_params, "_gpl", "");
KSYMTAB_FUNC(simple_util_be_hw_params_fixup, "_gpl", "");
KSYMTAB_FUNC(simple_util_dai_init, "_gpl", "");
KSYMTAB_FUNC(simple_util_canonicalize_platform, "_gpl", "");
KSYMTAB_FUNC(simple_util_canonicalize_cpu, "_gpl", "");
KSYMTAB_FUNC(simple_util_clean_reference, "_gpl", "");
KSYMTAB_FUNC(simple_util_parse_routing, "_gpl", "");
KSYMTAB_FUNC(simple_util_parse_widgets, "_gpl", "");
KSYMTAB_FUNC(simple_util_parse_pin_switches, "_gpl", "");
KSYMTAB_FUNC(simple_util_init_jack, "_gpl", "");
KSYMTAB_FUNC(simple_util_init_aux_jacks, "_gpl", "");
KSYMTAB_FUNC(simple_util_init_priv, "_gpl", "");
KSYMTAB_FUNC(simple_util_remove, "_gpl", "");
KSYMTAB_FUNC(graph_util_card_probe, "_gpl", "");
KSYMTAB_FUNC(graph_util_is_ports0, "_gpl", "");
KSYMTAB_FUNC(graph_util_parse_dai, "_gpl", "");
KSYMTAB_FUNC(graph_util_parse_link_direction, "_gpl", "");
KSYMTAB_FUNC(graph_util_parse_trigger_order, "_gpl", "");

SYMBOL_CRC(simple_util_get_sample_fmt, 0x2be78522, "_gpl");
SYMBOL_CRC(simple_util_parse_convert, 0xd3cf0e2c, "_gpl");
SYMBOL_CRC(simple_util_is_convert_required, 0xa0c800c8, "_gpl");
SYMBOL_CRC(simple_util_parse_daifmt, 0x83df277b, "_gpl");
SYMBOL_CRC(simple_util_parse_tdm_width_map, 0xdb4a3f07, "_gpl");
SYMBOL_CRC(simple_util_set_dailink_name, 0x322fef20, "_gpl");
SYMBOL_CRC(simple_util_parse_card_name, 0x729a6961, "_gpl");
SYMBOL_CRC(simple_util_parse_clk, 0xaaa9cac0, "_gpl");
SYMBOL_CRC(simple_util_startup, 0x5c3e2d2b, "_gpl");
SYMBOL_CRC(simple_util_shutdown, 0x281eeb4b, "_gpl");
SYMBOL_CRC(simple_util_hw_params, 0x55fe7ada, "_gpl");
SYMBOL_CRC(simple_util_be_hw_params_fixup, 0x130b7717, "_gpl");
SYMBOL_CRC(simple_util_dai_init, 0xb40ab029, "_gpl");
SYMBOL_CRC(simple_util_canonicalize_platform, 0xcaf2fbe0, "_gpl");
SYMBOL_CRC(simple_util_canonicalize_cpu, 0xd500d6d9, "_gpl");
SYMBOL_CRC(simple_util_clean_reference, 0x2eeffe68, "_gpl");
SYMBOL_CRC(simple_util_parse_routing, 0xbb3ad763, "_gpl");
SYMBOL_CRC(simple_util_parse_widgets, 0xc29ad811, "_gpl");
SYMBOL_CRC(simple_util_parse_pin_switches, 0x7d0c2e19, "_gpl");
SYMBOL_CRC(simple_util_init_jack, 0x229ba9e5, "_gpl");
SYMBOL_CRC(simple_util_init_aux_jacks, 0x0654bb2f, "_gpl");
SYMBOL_CRC(simple_util_init_priv, 0x258461f1, "_gpl");
SYMBOL_CRC(simple_util_remove, 0x9861f87f, "_gpl");
SYMBOL_CRC(graph_util_card_probe, 0x59da7e45, "_gpl");
SYMBOL_CRC(graph_util_is_ports0, 0xab866980, "_gpl");
SYMBOL_CRC(graph_util_parse_dai, 0x6fcf2a7d, "_gpl");
SYMBOL_CRC(graph_util_parse_link_direction, 0x3f3cdaee, "_gpl");
SYMBOL_CRC(graph_util_parse_trigger_order, 0x87ef8720, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5fe77ea6, "snd_soc_get_dai_via_args" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0xe9d10d9d, "of_node_put" },
	{ 0xf9ed9452, "of_property_read_variable_u32_array" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xe9df9a52, "snd_soc_dummy_dlc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xbd27b8c6, "snd_soc_dai_set_tdm_slot" },
	{ 0xad07eb38, "snd_soc_jack_add_gpios" },
	{ 0x4b90a2ac, "snd_pcm_hw_constraint_minmax" },
	{ 0x6ed28b41, "of_graph_parse_endpoint" },
	{ 0x37a0cba, "kfree" },
	{ 0xbf2de6e3, "of_get_parent" },
	{ 0xf9622dd1, "snd_soc_daifmt_clock_provider_from_bitmap" },
	{ 0x61d0ab1e, "of_node_get" },
	{ 0x6057c7cf, "snd_soc_get_dai_id" },
	{ 0xcde44e61, "snd_soc_component_set_sysclk" },
	{ 0x69ae1d3c, "snd_soc_card_jack_new" },
	{ 0x4205a33b, "snd_soc_of_parse_audio_routing" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x4fe85a11, "devm_kvasprintf" },
	{ 0xf290ecbc, "snd_soc_dai_set_sysclk" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xcd1e62df, "snd_soc_component_set_jack" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x76878e7, "snd_soc_daifmt_parse_clock_provider_raw" },
	{ 0x68de1414, "of_graph_get_endpoint_count" },
	{ 0xbb3d1556, "of_get_child_by_name" },
	{ 0x99215f8b, "devm_get_clk_from_child" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0xa51a68b6, "snd_soc_dai_name_get" },
	{ 0x653adabd, "snd_soc_dlc_use_cpu_as_platform" },
	{ 0xf0e0696d, "of_property_count_elems_of_size" },
	{ 0xdbcbd433, "of_property_read_string" },
	{ 0x5b36a3ec, "of_find_property" },
	{ 0xfbf4347c, "of_graph_get_next_endpoint" },
	{ 0xfed131d1, "snd_soc_get_dlc" },
	{ 0xdcb764ad, "memset" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3d87ecef, "of_graph_get_port_parent" },
	{ 0xbbb6912d, "snd_soc_daifmt_parse_format" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x79118c6c, "snd_soc_card_jack_new_pins" },
	{ 0xd65a613d, "snd_soc_runtime_calc_hw" },
	{ 0x2e9e74bf, "snd_soc_of_parse_pin_switches" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xa730292, "gpiod_get_optional" },
	{ 0xe647c55, "of_node_name_eq" },
	{ 0xe7424acf, "snd_soc_of_parse_audio_simple_widgets" },
	{ 0x23cb19c1, "snd_soc_copy_dai_args" },
	{ 0x2b1787f9, "gpiod_set_consumer_name" },
	{ 0xa5933f4d, "snd_soc_dai_active" },
	{ 0xa469aa57, "snd_soc_of_parse_card_name" },
	{ 0x3f52f742, "snd_soc_component_get_jack_type" },
	{ 0x815588a6, "clk_enable" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-pcm");


MODULE_INFO(srcversion, "2DD242EE6412D39CE05646F");
