#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6f23486d, "input_allocate_device" },
	{ 0x9181493a, "usb_alloc_urb" },
	{ 0x50512e09, "snd_rawmidi_receive" },
	{ 0x1d3f22b7, "usb_free_urb" },
	{ 0xbbdd3e30, "snd_pcm_hw_limit_rates" },
	{ 0x47ca335b, "snd_rawmidi_transmit" },
	{ 0xdcf37d5e, "snd_ctl_add" },
	{ 0x4e942b5b, "snd_pcm_new" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x36f128e0, "snd_card_register" },
	{ 0xc17968c4, "snd_card_free" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xd941f894, "usb_register_driver" },
	{ 0x96848186, "scnprintf" },
	{ 0x3e9436c4, "param_array_ops" },
	{ 0xb88825d, "input_unregister_device" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0xd5bb24ad, "input_free_device" },
	{ 0x9b9291bc, "snd_ctl_new1" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xaa3a99c1, "usb_bulk_msg" },
	{ 0x44a18989, "input_register_device" },
	{ 0xed065a16, "usb_reset_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xa916b694, "strnlen" },
	{ 0xa359e790, "usb_submit_urb" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x800473f, "__cond_resched" },
	{ 0xe4496e51, "snd_card_new" },
	{ 0x77cd3932, "usb_urb_ep_type_check" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x5c21c86b, "snd_card_set_id" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xc74b6f45, "usb_set_interface" },
	{ 0x639931b7, "snd_pcm_set_ops" },
	{ 0x4d8dc364, "usb_deregister" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xab14b5d3, "usb_string" },
	{ 0x317ae39d, "snd_pcm_set_managed_buffer_all" },
	{ 0xdcb764ad, "memset" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0x43674595, "param_ops_charp" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x86f6553b, "input_event" },
	{ 0x92ec28ad, "input_set_abs_params" },
	{ 0x427a170a, "snd_rawmidi_new" },
	{ 0xcd77be83, "snd_card_disconnect" },
	{ 0xa2cc119d, "snd_rawmidi_set_ops" },
	{ 0x14c5dd46, "param_ops_bool" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xfd8b9fb9, "usb_kill_urb" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x5670fdba, "usb_init_urb" },
	{ 0xff76a031, "snd_pcm_period_elapsed" },
	{ 0xcb74520d, "param_ops_int" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "snd-rawmidi,snd-pcm,snd");

MODULE_ALIAS("usb:v17CCp1969d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1940d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp4711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp4712d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0815d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1978d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1915d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0D8Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0839d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp041Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp2305d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCpBAFFd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp041Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0808d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "D5AA2B49B509894EBFF12B1");
