#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(line6_midi_id, "_gpl", "");
KSYMTAB_FUNC(line6_send_raw_message, "_gpl", "");
KSYMTAB_FUNC(line6_send_raw_message_async, "_gpl", "");
KSYMTAB_FUNC(line6_version_request_async, "_gpl", "");
KSYMTAB_FUNC(line6_send_sysex_message, "_gpl", "");
KSYMTAB_FUNC(line6_alloc_sysex_buffer, "_gpl", "");
KSYMTAB_FUNC(line6_read_data, "_gpl", "");
KSYMTAB_FUNC(line6_write_data, "_gpl", "");
KSYMTAB_FUNC(line6_read_serial_number, "_gpl", "");
KSYMTAB_FUNC(line6_probe, "_gpl", "");
KSYMTAB_FUNC(line6_disconnect, "_gpl", "");
KSYMTAB_FUNC(line6_suspend, "_gpl", "");
KSYMTAB_FUNC(line6_resume, "_gpl", "");
KSYMTAB_FUNC(line6_init_midi, "_gpl", "");
KSYMTAB_FUNC(line6_pcm_acquire, "_gpl", "");
KSYMTAB_FUNC(line6_pcm_release, "_gpl", "");
KSYMTAB_FUNC(line6_init_pcm, "_gpl", "");

SYMBOL_CRC(line6_midi_id, 0x202a1b1b, "_gpl");
SYMBOL_CRC(line6_send_raw_message, 0xd055f2c7, "_gpl");
SYMBOL_CRC(line6_send_raw_message_async, 0xd3ce01b2, "_gpl");
SYMBOL_CRC(line6_version_request_async, 0xe39bf877, "_gpl");
SYMBOL_CRC(line6_send_sysex_message, 0x5e9059dd, "_gpl");
SYMBOL_CRC(line6_alloc_sysex_buffer, 0xacf3d5bf, "_gpl");
SYMBOL_CRC(line6_read_data, 0xc89b85b7, "_gpl");
SYMBOL_CRC(line6_write_data, 0xc5e2c529, "_gpl");
SYMBOL_CRC(line6_read_serial_number, 0x66b56039, "_gpl");
SYMBOL_CRC(line6_probe, 0x678146f2, "_gpl");
SYMBOL_CRC(line6_disconnect, 0x0ef4ca7f, "_gpl");
SYMBOL_CRC(line6_suspend, 0x2ddcf745, "_gpl");
SYMBOL_CRC(line6_resume, 0xfa39b88e, "_gpl");
SYMBOL_CRC(line6_init_midi, 0x7abd373d, "_gpl");
SYMBOL_CRC(line6_pcm_acquire, 0xb591c63e, "_gpl");
SYMBOL_CRC(line6_pcm_release, 0x5933a8ec, "_gpl");
SYMBOL_CRC(line6_init_pcm, 0xc976474e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9181493a, "usb_alloc_urb" },
	{ 0x50512e09, "snd_rawmidi_receive" },
	{ 0x1d3f22b7, "usb_free_urb" },
	{ 0x9a47cbd1, "usb_control_msg_send" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xdcf37d5e, "snd_ctl_add" },
	{ 0x4e942b5b, "snd_pcm_new" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xcdf69c39, "usb_control_msg_recv" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0x2317184f, "usb_interrupt_msg" },
	{ 0x3955fcf6, "__kfifo_in_r" },
	{ 0x9b9291bc, "snd_ctl_new1" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x836447e1, "usb_put_dev" },
	{ 0xaa3a99c1, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xf175e677, "snd_rawmidi_transmit_ack" },
	{ 0x5a18818f, "usb_get_dev" },
	{ 0xa359e790, "usb_submit_urb" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0xf32aa459, "snd_pcm_hw_constraint_ratdens" },
	{ 0x800473f, "__cond_resched" },
	{ 0xe4496e51, "snd_card_new" },
	{ 0x77cd3932, "usb_urb_ep_type_check" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x334f44dd, "snd_hwdep_new" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xb8b9e932, "snd_rawmidi_transmit_peek" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x8a2fcc72, "snd_card_free_when_closed" },
	{ 0xc74b6f45, "usb_set_interface" },
	{ 0x639931b7, "snd_pcm_set_ops" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x317ae39d, "snd_pcm_set_managed_buffer_all" },
	{ 0xdcb764ad, "memset" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc6cb465a, "__kfifo_max_r" },
	{ 0x427a170a, "snd_rawmidi_new" },
	{ 0xcd77be83, "snd_card_disconnect" },
	{ 0x859f18cc, "usb_unlink_urb" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa2cc119d, "snd_rawmidi_set_ops" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2484adc3, "__kfifo_to_user_r" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xfd8b9fb9, "usb_kill_urb" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xff76a031, "snd_pcm_period_elapsed" },
	{ 0x7846af3e, "__kfifo_len_r" },
	{ 0x98cf60b3, "strlen" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "snd-rawmidi,snd,snd-pcm,snd-hwdep");


MODULE_INFO(srcversion, "D3C2B39D343B41EA453F2DB");
