#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(neon_aes_ecb_encrypt, "", "");
KSYMTAB_FUNC(neon_aes_cbc_encrypt, "", "");
KSYMTAB_FUNC(neon_aes_ctr_encrypt, "", "");
KSYMTAB_FUNC(neon_aes_xts_encrypt, "", "");
KSYMTAB_FUNC(neon_aes_xts_decrypt, "", "");

SYMBOL_CRC(neon_aes_ecb_encrypt, 0xd5f41819, "");
SYMBOL_CRC(neon_aes_cbc_encrypt, 0x52d67a4e, "");
SYMBOL_CRC(neon_aes_ctr_encrypt, 0xb8c706a6, "");
SYMBOL_CRC(neon_aes_xts_encrypt, 0xea11590c, "");
SYMBOL_CRC(neon_aes_xts_decrypt, 0xefc32a9b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6e3975e8, "crypto_unregister_shashes" },
	{ 0x96f66507, "crypto_shash_tfm_digest" },
	{ 0x8fd180e7, "kernel_neon_begin" },
	{ 0xd9d952d1, "crypto_aes_sbox" },
	{ 0x558b281d, "aes_expandkey" },
	{ 0xc63dce24, "crypto_destroy_tfm" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf3c6333d, "skcipher_walk_virt" },
	{ 0x75a80859, "crypto_register_shashes" },
	{ 0xeba95d29, "crypto_register_skciphers" },
	{ 0xdcb764ad, "memset" },
	{ 0x5c32dae7, "skcipher_walk_done" },
	{ 0xa8a8110c, "kernel_neon_end" },
	{ 0xa3f12f69, "__crypto_xor" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x24c1c377, "crypto_unregister_skciphers" },
	{ 0x2227c4aa, "crypto_alloc_shash" },
	{ 0xa84ce9e0, "crypto_aes_inv_sbox" },
	{ 0x80a095d8, "scatterwalk_ffwd" },
	{ 0x77e9eb37, "aes_encrypt" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "BA2AFCB49B089673C98C7BC");
