#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cryptd_alloc_skcipher, "_gpl", "");
KSYMTAB_FUNC(cryptd_skcipher_child, "_gpl", "");
KSYMTAB_FUNC(cryptd_skcipher_queued, "_gpl", "");
KSYMTAB_FUNC(cryptd_free_skcipher, "_gpl", "");
KSYMTAB_FUNC(cryptd_alloc_ahash, "_gpl", "");
KSYMTAB_FUNC(cryptd_ahash_child, "_gpl", "");
KSYMTAB_FUNC(cryptd_shash_desc, "_gpl", "");
KSYMTAB_FUNC(cryptd_ahash_queued, "_gpl", "");
KSYMTAB_FUNC(cryptd_free_ahash, "_gpl", "");
KSYMTAB_FUNC(cryptd_alloc_aead, "_gpl", "");
KSYMTAB_FUNC(cryptd_aead_child, "_gpl", "");
KSYMTAB_FUNC(cryptd_aead_queued, "_gpl", "");
KSYMTAB_FUNC(cryptd_free_aead, "_gpl", "");

SYMBOL_CRC(cryptd_alloc_skcipher, 0x54dbb8af, "_gpl");
SYMBOL_CRC(cryptd_skcipher_child, 0x80f5ae02, "_gpl");
SYMBOL_CRC(cryptd_skcipher_queued, 0xf0f9fd47, "_gpl");
SYMBOL_CRC(cryptd_free_skcipher, 0xee573455, "_gpl");
SYMBOL_CRC(cryptd_alloc_ahash, 0x9cd72a27, "_gpl");
SYMBOL_CRC(cryptd_ahash_child, 0xb5808148, "_gpl");
SYMBOL_CRC(cryptd_shash_desc, 0x8ff8b51e, "_gpl");
SYMBOL_CRC(cryptd_ahash_queued, 0xf12d6843, "_gpl");
SYMBOL_CRC(cryptd_free_ahash, 0xeca33f57, "_gpl");
SYMBOL_CRC(cryptd_alloc_aead, 0x48f6e7d2, "_gpl");
SYMBOL_CRC(cryptd_aead_child, 0xa03dd440, "_gpl");
SYMBOL_CRC(cryptd_aead_queued, 0x7d4b35f3, "_gpl");
SYMBOL_CRC(cryptd_free_aead, 0xeaecc0f8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdcb764ad, "memset" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x3de05488, "crypto_alloc_skcipher" },
	{ 0xc63dce24, "crypto_destroy_tfm" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9e8cb747, "crypto_alloc_ahash" },
	{ 0x7237aa40, "crypto_alloc_aead" },
	{ 0x4ce4dee3, "crypto_skcipher_setkey" },
	{ 0x89b0483f, "crypto_spawn_tfm2" },
	{ 0xe4e61ab0, "crypto_drop_spawn" },
	{ 0x37a0cba, "kfree" },
	{ 0xaa3d5f21, "crypto_shash_setkey" },
	{ 0x21302c33, "crypto_shash_import" },
	{ 0x8ab64c42, "crypto_shash_export" },
	{ 0xb770e20, "crypto_clone_shash" },
	{ 0xbf829c5, "crypto_aead_setauthsize" },
	{ 0x7432b9d2, "crypto_aead_setkey" },
	{ 0xa89b6525, "crypto_dequeue_request" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xbd30aa31, "crypto_enqueue_request" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x21853266, "crypto_unregister_template" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0x122c3a7e, "_printk" },
	{ 0x7cba8d37, "crypto_register_template" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x9a11a0fc, "crypto_attr_alg_name" },
	{ 0x4e55869b, "crypto_grab_skcipher" },
	{ 0x9845ed50, "skcipher_register_instance" },
	{ 0xee25caa8, "crypto_grab_shash" },
	{ 0x61f585d1, "shash_no_setkey" },
	{ 0xa2f3215, "ahash_register_instance" },
	{ 0xfdbd7a17, "crypto_get_attr_type" },
	{ 0xc343232e, "crypto_grab_aead" },
	{ 0x9484d280, "aead_register_instance" },
	{ 0x9d56069b, "crypto_skcipher_decrypt" },
	{ 0x60ae5965, "crypto_skcipher_encrypt" },
	{ 0x416fbfad, "shash_ahash_digest" },
	{ 0x71660797, "shash_ahash_finup" },
	{ 0x4ecd0998, "crypto_shash_final" },
	{ 0xb40b07a4, "shash_ahash_update" },
	{ 0x60b73b66, "param_ops_uint" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C6EC7CF175001F17908D20C");
