#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(bcma_find_core_unit, "_gpl", "");
KSYMTAB_FUNC(bcma_core_irq, "", "");
KSYMTAB_FUNC(__bcma_driver_register, "_gpl", "");
KSYMTAB_FUNC(bcma_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(bcma_core_is_enabled, "_gpl", "");
KSYMTAB_FUNC(bcma_core_disable, "_gpl", "");
KSYMTAB_FUNC(bcma_core_enable, "_gpl", "");
KSYMTAB_FUNC(bcma_core_set_clockmode, "_gpl", "");
KSYMTAB_FUNC(bcma_core_pll_ctl, "_gpl", "");
KSYMTAB_FUNC(bcma_core_dma_translation, "", "");
KSYMTAB_FUNC(bcma_chipco_get_alp_clock, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_out, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_outen, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_control, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_read, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_write, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_chipctl_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_regctl_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_pmu_get_bus_clock, "_gpl", "");
KSYMTAB_FUNC(bcma_pmu_spuravoid_pllupdate, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_b_mii_write, "_gpl", "");
KSYMTAB_FUNC(bcma_core_pci_power_save, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_up, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_down, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_irq_ctl, "_gpl", "");

SYMBOL_CRC(bcma_find_core_unit, 0xebc507da, "_gpl");
SYMBOL_CRC(bcma_core_irq, 0x6296fe0e, "");
SYMBOL_CRC(__bcma_driver_register, 0x04fd5645, "_gpl");
SYMBOL_CRC(bcma_driver_unregister, 0x283d73a0, "_gpl");
SYMBOL_CRC(bcma_core_is_enabled, 0x039531ee, "_gpl");
SYMBOL_CRC(bcma_core_disable, 0x35f54eb4, "_gpl");
SYMBOL_CRC(bcma_core_enable, 0xeac7dcc0, "_gpl");
SYMBOL_CRC(bcma_core_set_clockmode, 0x0ff985d5, "_gpl");
SYMBOL_CRC(bcma_core_pll_ctl, 0xf8a4111e, "_gpl");
SYMBOL_CRC(bcma_core_dma_translation, 0xf35e1bad, "");
SYMBOL_CRC(bcma_chipco_get_alp_clock, 0xb3dd8dcd, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_out, 0x7bb9ac7b, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_outen, 0xc1aa99cc, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_control, 0xfe2c3e12, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_read, 0x0757a481, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_write, 0x3563c806, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_maskset, 0x70ebb567, "_gpl");
SYMBOL_CRC(bcma_chipco_chipctl_maskset, 0x8b01de0d, "_gpl");
SYMBOL_CRC(bcma_chipco_regctl_maskset, 0x9e4902c6, "_gpl");
SYMBOL_CRC(bcma_pmu_get_bus_clock, 0xf76e7d68, "_gpl");
SYMBOL_CRC(bcma_pmu_spuravoid_pllupdate, 0x0bae68eb, "_gpl");
SYMBOL_CRC(bcma_chipco_b_mii_write, 0xb3030fe8, "_gpl");
SYMBOL_CRC(bcma_core_pci_power_save, 0xf0629a28, "_gpl");
SYMBOL_CRC(bcma_host_pci_up, 0x3f5ca125, "_gpl");
SYMBOL_CRC(bcma_host_pci_down, 0x9adc4898, "_gpl");
SYMBOL_CRC(bcma_host_pci_irq_ctl, 0xe62cad73, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x8344b777, "pci_enable_device" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xdec5f1bf, "dev_set_name" },
	{ 0x41ba7aeb, "pci_iomap" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x5b2ca68c, "of_address_to_resource" },
	{ 0x9838955f, "device_unregister" },
	{ 0xde24e719, "of_platform_default_populate" },
	{ 0x43ba1bed, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x3b9c57bf, "device_initialize" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x87b4d3f3, "pci_request_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x67155184, "get_device" },
	{ 0xfb685018, "of_irq_parse_one" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0xe1a350f8, "pci_unregister_driver" },
	{ 0x3dea7ab3, "pci_read_config_dword" },
	{ 0x122c3a7e, "_printk" },
	{ 0x43225593, "of_irq_parse_raw" },
	{ 0xe533a845, "of_get_next_child" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x8619869e, "put_device" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0xd4ca5261, "gpiochip_get_data" },
	{ 0x2efa2c2b, "bus_unregister" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x61373533, "device_add" },
	{ 0x955ba9f0, "platform_device_unregister" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3ffe3b9b, "driver_unregister" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x9663604d, "pci_iounmap" },
	{ 0xdcb764ad, "memset" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0xaff5b1dd, "pci_set_master" },
	{ 0xd5046119, "gpiochip_add_data_with_key" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd7531531, "gpiochip_remove" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x362dcefc, "platform_device_register_full" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x35beca42, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xebaddcc6, "pci_disable_device" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xe56101fe, "pcie_set_readrq" },
	{ 0xdb80ee87, "irq_create_of_mapping" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0xef782814, "of_dma_configure_id" },
	{ 0x83cf91d, "driver_register" },
	{ 0x9aaacae9, "__dev_fwnode" },
	{ 0xee4ade57, "pci_write_config_dword" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0xb9cb04c5, "bus_register" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000014E4d00000576sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004313sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8D8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004331sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004353sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004357sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004358sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004359sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004360sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv00001028sd00000016bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv00001028sd00000018bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv0000105Bsd0000E092bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv0000103Csd0000804Abc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043A0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043A9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043AAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043B1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004727sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8DBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8DCsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "B854C66441333162F8416CC");
