#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(btintel_check_bdaddr, "_gpl", "");
KSYMTAB_FUNC(btintel_enter_mfg, "_gpl", "");
KSYMTAB_FUNC(btintel_exit_mfg, "_gpl", "");
KSYMTAB_FUNC(btintel_set_bdaddr, "_gpl", "");
KSYMTAB_FUNC(btintel_set_diag, "_gpl", "");
KSYMTAB_FUNC(btintel_hw_error, "_gpl", "");
KSYMTAB_FUNC(btintel_version_info, "_gpl", "");
KSYMTAB_FUNC(btintel_load_ddc_config, "_gpl", "");
KSYMTAB_FUNC(btintel_set_event_mask_mfg, "_gpl", "");
KSYMTAB_FUNC(btintel_read_version, "_gpl", "");
KSYMTAB_FUNC(btintel_version_info_tlv, "_gpl", "");
KSYMTAB_FUNC(btintel_parse_version_tlv, "_gpl", "");
KSYMTAB_FUNC(btintel_regmap_init, "_gpl", "");
KSYMTAB_FUNC(btintel_send_intel_reset, "_gpl", "");
KSYMTAB_FUNC(btintel_read_boot_params, "_gpl", "");
KSYMTAB_FUNC(btintel_download_firmware, "_gpl", "");
KSYMTAB_FUNC(btintel_set_quality_report, "_gpl", "");
KSYMTAB_FUNC(btintel_bootloader_setup_tlv, "_gpl", "");
KSYMTAB_FUNC(btintel_set_msft_opcode, "_gpl", "");
KSYMTAB_FUNC(btintel_print_fseq_info, "_gpl", "");
KSYMTAB_FUNC(btintel_shutdown_combined, "_gpl", "");
KSYMTAB_FUNC(btintel_configure_setup, "_gpl", "");
KSYMTAB_FUNC(btintel_recv_event, "_gpl", "");
KSYMTAB_FUNC(btintel_bootup, "_gpl", "");
KSYMTAB_FUNC(btintel_secure_send_result, "_gpl", "");

SYMBOL_CRC(btintel_check_bdaddr, 0xb7116531, "_gpl");
SYMBOL_CRC(btintel_enter_mfg, 0x513b809d, "_gpl");
SYMBOL_CRC(btintel_exit_mfg, 0x2110221c, "_gpl");
SYMBOL_CRC(btintel_set_bdaddr, 0x36edfcb8, "_gpl");
SYMBOL_CRC(btintel_set_diag, 0xbac1d585, "_gpl");
SYMBOL_CRC(btintel_hw_error, 0x7060fd85, "_gpl");
SYMBOL_CRC(btintel_version_info, 0xca7ea38c, "_gpl");
SYMBOL_CRC(btintel_load_ddc_config, 0x1996c007, "_gpl");
SYMBOL_CRC(btintel_set_event_mask_mfg, 0x7be9a9bf, "_gpl");
SYMBOL_CRC(btintel_read_version, 0xd901f5e0, "_gpl");
SYMBOL_CRC(btintel_version_info_tlv, 0x30165632, "_gpl");
SYMBOL_CRC(btintel_parse_version_tlv, 0x009be48a, "_gpl");
SYMBOL_CRC(btintel_regmap_init, 0x0acb7866, "_gpl");
SYMBOL_CRC(btintel_send_intel_reset, 0xb43ce4f0, "_gpl");
SYMBOL_CRC(btintel_read_boot_params, 0x70cfe76d, "_gpl");
SYMBOL_CRC(btintel_download_firmware, 0xed984a40, "_gpl");
SYMBOL_CRC(btintel_set_quality_report, 0x6af8abbb, "_gpl");
SYMBOL_CRC(btintel_bootloader_setup_tlv, 0x5dc026b8, "_gpl");
SYMBOL_CRC(btintel_set_msft_opcode, 0xd84b19c0, "_gpl");
SYMBOL_CRC(btintel_print_fseq_info, 0xe203d01c, "_gpl");
SYMBOL_CRC(btintel_shutdown_combined, 0x832a5b85, "_gpl");
SYMBOL_CRC(btintel_configure_setup, 0xf8ffaa4c, "_gpl");
SYMBOL_CRC(btintel_recv_event, 0xc24b4cb1, "_gpl");
SYMBOL_CRC(btintel_bootup, 0x4cf46792, "_gpl");
SYMBOL_CRC(btintel_secure_send_result, 0x5605b041, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x71fca298, "__hci_cmd_sync" },
	{ 0x9f66a4ce, "sk_skb_reason_drop" },
	{ 0x7b8c32f1, "bt_err" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x718b8b7, "bt_info" },
	{ 0xcedafaa5, "request_firmware_direct" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xdcb764ad, "memset" },
	{ 0x4829a47e, "memcpy" },
	{ 0xb6476d61, "skb_pull" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0xf5aed2f0, "hci_cmd_sync" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7aad008b, "bt_to_errno" },
	{ 0xf9a482f9, "msleep" },
	{ 0xb86e9579, "is_acpi_device_node" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x8922432e, "skb_pull_data" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0xdd18a993, "acpi_check_dsm" },
	{ 0x214e4265, "bt_warn" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xae553c4a, "hci_recv_frame" },
	{ 0x34471710, "hci_devcd_init" },
	{ 0x683f739f, "hci_devcd_append" },
	{ 0x9af7a081, "hci_devcd_complete" },
	{ 0x7e4c3df5, "efi" },
	{ 0xed61f47f, "__regmap_init" },
	{ 0xcd8ce890, "acpi_format_exception" },
	{ 0x8f292274, "__hci_cmd_sync_ev" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe2a6aee, "hci_devcd_register" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x800473f, "__cond_resched" },
	{ 0x44bae227, "bit_wait_timeout" },
	{ 0x4071b517, "out_of_line_wait_on_bit_timeout" },
	{ 0x7053a53f, "firmware_request_nowarn" },
	{ 0x8dceb523, "request_firmware" },
	{ 0x21d2da65, "hci_set_hw_info" },
	{ 0xa916b694, "strnlen" },
	{ 0xc2af5a6, "skb_put" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "bluetooth");


MODULE_INFO(srcversion, "A2140F7B1FD585185CC4063");
