#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xffb5089c, "pci_save_state" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0x4288d82c, "pci_wake_from_d3" },
	{ 0x8344b777, "pci_enable_device" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xedc724c0, "pci_alloc_irq_vectors" },
	{ 0xb3224bf, "mhi_device_put" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3192e2f, "mhi_sync_power_up" },
	{ 0x99e1a171, "mhi_power_down" },
	{ 0x74ccc61, "pm_runtime_set_autosuspend_delay" },
	{ 0x963ca81b, "mhi_pm_resume" },
	{ 0x43ba1bed, "__pci_register_driver" },
	{ 0x7d5df699, "pci_assign_resource" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xcfd729a4, "pci_set_power_state" },
	{ 0xbfd79310, "pci_irq_vector" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0x8bb38164, "mhi_register_controller" },
	{ 0xe1a350f8, "pci_unregister_driver" },
	{ 0xaceb8f4, "mhi_soc_reset" },
	{ 0xda5b42df, "pm_wakeup_dev_event" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf693587e, "pm_runtime_enable" },
	{ 0x7c65d5b8, "mhi_pm_suspend" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0xe67c4154, "pcim_iomap_regions" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x1cecc7b8, "mhi_device_get_sync" },
	{ 0x776de049, "pci_load_saved_state" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xd399ce1a, "pci_read_config_word" },
	{ 0x68d4e74b, "pci_store_saved_state" },
	{ 0x4656f3ed, "pci_restore_state" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0xaff5b1dd, "pci_set_master" },
	{ 0xa6892b1a, "pci_reset_function" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf0efe64b, "dma_set_coherent_mask" },
	{ 0x3e04b3a1, "mhi_unregister_controller" },
	{ 0x6e42fcb2, "pm_runtime_forbid" },
	{ 0xc5c6eb99, "pci_pme_capable" },
	{ 0x2454ddca, "pm_runtime_allow" },
	{ 0x4f139bf4, "__pm_runtime_resume" },
	{ 0x20eac370, "mhi_get_channel_doorbell_offset" },
	{ 0x51e52693, "mhi_unprepare_after_power_down" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xebaddcc6, "pci_disable_device" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xb34e2c9a, "dma_set_mask" },
	{ 0x38f3d0a0, "pcim_iomap_table" },
	{ 0x91930acb, "__pm_runtime_use_autosuspend" },
	{ 0xad1a4a95, "pcim_enable_device" },
	{ 0x568d4681, "__pm_runtime_disable" },
	{ 0x46995731, "mhi_prepare_for_power_up" },
	{ 0x61f81ab3, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "mhi");

MODULE_ALIAS("pci:v000017CBd00000304sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000017CBd00000306sv000017CBsd0000010Cbc*sc*i*");
MODULE_ALIAS("pci:v000017CBd00000306sv000018D7sd00000200bc*sc*i*");
MODULE_ALIAS("pci:v000017CBd00000306sv00001C5Dsd00002000bc*sc*i*");
MODULE_ALIAS("pci:v000017CBd00000306sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000017CBd00000308sv00001C5Dsd00002010bc*sc*i*");
MODULE_ALIAS("pci:v000017CBd00000308sv00001C5Dsd00002015bc*sc*i*");
MODULE_ALIAS("pci:v000017CBd00000308sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000017CBd00000309sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001EACd00001001sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001EACd00001002sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001EACd00001004sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001EACd00001007sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001EACd0000100Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001EACd00002001sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Bd0000E0ABsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Bd0000E0B0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Bd0000E0B1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Bd0000E0BFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Bd0000E0C3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Bd0000E0D8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Bd0000E0D9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Bd0000E0F0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Bd0000E0F1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Bd0000E0F2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Bd0000E0F5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Bd0000E0F9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Bd0000E118sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Bd0000E11Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Bd0000E11Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001269d000000B3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001269d000000B4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001269d000000BAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001269d000000BBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000003F0d00000A6Csv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "377927C5377CA972BD60A6B");
