#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cn10k_cptpf_lmtst_init, "_gpl", "CRYPTO_DEV_OCTEONTX2_CPT");
KSYMTAB_FUNC(cn10k_cptvf_lmtst_init, "_gpl", "CRYPTO_DEV_OCTEONTX2_CPT");
KSYMTAB_FUNC(cn10k_cpt_hw_ctx_clear, "_gpl", "CRYPTO_DEV_OCTEONTX2_CPT");
KSYMTAB_FUNC(cn10k_cpt_hw_ctx_set, "_gpl", "CRYPTO_DEV_OCTEONTX2_CPT");
KSYMTAB_FUNC(cn10k_cpt_hw_ctx_init, "_gpl", "CRYPTO_DEV_OCTEONTX2_CPT");
KSYMTAB_FUNC(cn10k_cpt_ctx_flush, "_gpl", "CRYPTO_DEV_OCTEONTX2_CPT");
KSYMTAB_FUNC(cptvf_hw_ops_get, "_gpl", "CRYPTO_DEV_OCTEONTX2_CPT");
KSYMTAB_FUNC(otx2_cptlf_unregister_misc_interrupts, "_gpl", "CRYPTO_DEV_OCTEONTX2_CPT");
KSYMTAB_FUNC(otx2_cptlf_unregister_done_interrupts, "_gpl", "CRYPTO_DEV_OCTEONTX2_CPT");
KSYMTAB_FUNC(otx2_cptlf_register_misc_interrupts, "_gpl", "CRYPTO_DEV_OCTEONTX2_CPT");
KSYMTAB_FUNC(otx2_cptlf_register_done_interrupts, "_gpl", "CRYPTO_DEV_OCTEONTX2_CPT");
KSYMTAB_FUNC(otx2_cptlf_free_irqs_affinity, "_gpl", "CRYPTO_DEV_OCTEONTX2_CPT");
KSYMTAB_FUNC(otx2_cptlf_set_irqs_affinity, "_gpl", "CRYPTO_DEV_OCTEONTX2_CPT");
KSYMTAB_FUNC(otx2_cptlf_init, "_gpl", "CRYPTO_DEV_OCTEONTX2_CPT");
KSYMTAB_FUNC(otx2_cptlf_shutdown, "_gpl", "CRYPTO_DEV_OCTEONTX2_CPT");
KSYMTAB_FUNC(otx2_cpt_send_mbox_msg, "_gpl", "CRYPTO_DEV_OCTEONTX2_CPT");
KSYMTAB_FUNC(otx2_cpt_send_ready_msg, "_gpl", "CRYPTO_DEV_OCTEONTX2_CPT");
KSYMTAB_FUNC(otx2_cpt_send_af_reg_requests, "_gpl", "CRYPTO_DEV_OCTEONTX2_CPT");
KSYMTAB_FUNC(otx2_cpt_add_write_af_reg, "_gpl", "CRYPTO_DEV_OCTEONTX2_CPT");
KSYMTAB_FUNC(otx2_cpt_read_af_reg, "_gpl", "CRYPTO_DEV_OCTEONTX2_CPT");
KSYMTAB_FUNC(otx2_cpt_write_af_reg, "_gpl", "CRYPTO_DEV_OCTEONTX2_CPT");
KSYMTAB_FUNC(otx2_cpt_detach_rsrcs_msg, "_gpl", "CRYPTO_DEV_OCTEONTX2_CPT");
KSYMTAB_FUNC(otx2_cpt_msix_offset_msg, "_gpl", "CRYPTO_DEV_OCTEONTX2_CPT");
KSYMTAB_FUNC(otx2_cpt_sync_mbox_msg, "_gpl", "CRYPTO_DEV_OCTEONTX2_CPT");
KSYMTAB_FUNC(otx2_cpt_lf_reset_msg, "_gpl", "CRYPTO_DEV_OCTEONTX2_CPT");

SYMBOL_CRC(cn10k_cptpf_lmtst_init, 0x8892a55b, "_gpl");
SYMBOL_CRC(cn10k_cptvf_lmtst_init, 0x1edfef32, "_gpl");
SYMBOL_CRC(cn10k_cpt_hw_ctx_clear, 0xb68de3d4, "_gpl");
SYMBOL_CRC(cn10k_cpt_hw_ctx_set, 0x7f0dbcf4, "_gpl");
SYMBOL_CRC(cn10k_cpt_hw_ctx_init, 0xf3cbced7, "_gpl");
SYMBOL_CRC(cn10k_cpt_ctx_flush, 0x22cbdbd0, "_gpl");
SYMBOL_CRC(cptvf_hw_ops_get, 0x3bcbcf7c, "_gpl");
SYMBOL_CRC(otx2_cptlf_unregister_misc_interrupts, 0xc8d72e04, "_gpl");
SYMBOL_CRC(otx2_cptlf_unregister_done_interrupts, 0x48fd13c3, "_gpl");
SYMBOL_CRC(otx2_cptlf_register_misc_interrupts, 0xbfa7f4ea, "_gpl");
SYMBOL_CRC(otx2_cptlf_register_done_interrupts, 0x3f8dc92d, "_gpl");
SYMBOL_CRC(otx2_cptlf_free_irqs_affinity, 0x5f0b775b, "_gpl");
SYMBOL_CRC(otx2_cptlf_set_irqs_affinity, 0xb118b708, "_gpl");
SYMBOL_CRC(otx2_cptlf_init, 0xfc4684cd, "_gpl");
SYMBOL_CRC(otx2_cptlf_shutdown, 0xddaf1cd7, "_gpl");
SYMBOL_CRC(otx2_cpt_send_mbox_msg, 0x6e4107b2, "_gpl");
SYMBOL_CRC(otx2_cpt_send_ready_msg, 0xc3d0f22e, "_gpl");
SYMBOL_CRC(otx2_cpt_send_af_reg_requests, 0xc2906a63, "_gpl");
SYMBOL_CRC(otx2_cpt_add_write_af_reg, 0x122273f1, "_gpl");
SYMBOL_CRC(otx2_cpt_read_af_reg, 0x1dadf1b1, "_gpl");
SYMBOL_CRC(otx2_cpt_write_af_reg, 0x2a31d1ce, "_gpl");
SYMBOL_CRC(otx2_cpt_detach_rsrcs_msg, 0x2c6015f5, "_gpl");
SYMBOL_CRC(otx2_cpt_msix_offset_msg, 0xccd0cd67, "_gpl");
SYMBOL_CRC(otx2_cpt_sync_mbox_msg, 0x8d8efe8a, "_gpl");
SYMBOL_CRC(otx2_cpt_lf_reset_msg, 0xa8d2a62d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xfb83d52b, "otx2_mbox_alloc_msg_rsp" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6613056, "dma_unmap_page_attrs" },
	{ 0x37a0cba, "kfree" },
	{ 0x515824d8, "alloc_cpumask_var_node" },
	{ 0xbfd79310, "pci_irq_vector" },
	{ 0x34070452, "dev_driver_string" },
	{ 0xb4c63861, "dma_map_page_attrs" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5ad6f674, "otx2_mbox_msg_send" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0xcea4261d, "__irq_apply_affinity_hint" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xb01e2d8c, "otx2_mbox_nonempty" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x642cc440, "dma_alloc_attrs" },
	{ 0xf77555cd, "__memcpy_toio" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0x4f98c5fb, "otx2_mbox_wait_for_rsp" },
	{ 0xbdc8c686, "free_cpumask_var" },
	{ 0x404667b0, "dma_free_attrs" },
	{ 0xbd1051ce, "otx2_mbox_check_rsp_msgs" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3e3bad0a, "__tasklet_hi_schedule" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xed689044, "devm_ioremap_wc" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "rvu_mbox");


MODULE_INFO(srcversion, "149C5ACA545BE41D18FE5D0");
