#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(analogix_dp_probe, "_gpl", "");
KSYMTAB_FUNC(analogix_dp_suspend, "_gpl", "");
KSYMTAB_FUNC(analogix_dp_resume, "_gpl", "");
KSYMTAB_FUNC(analogix_dp_bind, "_gpl", "");
KSYMTAB_FUNC(analogix_dp_unbind, "_gpl", "");
KSYMTAB_FUNC(analogix_dp_start_crc, "_gpl", "");
KSYMTAB_FUNC(analogix_dp_stop_crc, "_gpl", "");
KSYMTAB_FUNC(anx_dp_aux_transfer, "_gpl", "");

SYMBOL_CRC(analogix_dp_probe, 0x44bece5f, "_gpl");
SYMBOL_CRC(analogix_dp_suspend, 0x5202532e, "_gpl");
SYMBOL_CRC(analogix_dp_resume, 0xb1242358, "_gpl");
SYMBOL_CRC(analogix_dp_bind, 0x3e0eb438, "_gpl");
SYMBOL_CRC(analogix_dp_unbind, 0xefa96a3b, "_gpl");
SYMBOL_CRC(analogix_dp_start_crc, 0xdb90bc33, "_gpl");
SYMBOL_CRC(analogix_dp_stop_crc, 0x36c7d70e, "_gpl");
SYMBOL_CRC(anx_dp_aux_transfer, 0x3ee0dd60, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8a2b539, "drm_dp_start_crc" },
	{ 0x345749c0, "drm_panel_get_modes" },
	{ 0xcb824037, "regmap_write" },
	{ 0x4c55545d, "devm_request_threaded_irq" },
	{ 0x5246a9ae, "drm_dp_aux_register" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0x9d417740, "drm_dp_dpcd_read" },
	{ 0xf9ed9452, "of_property_read_variable_u32_array" },
	{ 0xad9cd033, "drm_panel_enable" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xd706cd02, "platform_get_irq" },
	{ 0x74ccc61, "pm_runtime_set_autosuspend_delay" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0xb65dd6be, "gpiod_to_irq" },
	{ 0xcac098b6, "drm_helper_hpd_irq_event" },
	{ 0x7eabd78f, "drm_atomic_get_old_connector_for_encoder" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf1fc073c, "gpiod_get_value" },
	{ 0xe807266f, "devm_gpiod_get_optional" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0xb488bd02, "devm_clk_get" },
	{ 0xb891f827, "drm_atomic_helper_bridge_reset" },
	{ 0xc0e9d4, "drm_connector_attach_encoder" },
	{ 0xffda9598, "drm_atomic_get_new_connector_for_encoder" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xa119eba3, "drm_edid_connector_update" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf693587e, "pm_runtime_enable" },
	{ 0x5f2bfaac, "drm_atomic_helper_connector_destroy_state" },
	{ 0xa3d21f80, "drm_dev_printk" },
	{ 0x800473f, "__cond_resched" },
	{ 0x246dcfce, "drm_dp_stop_crc" },
	{ 0xa5a3c84f, "drm_panel_disable" },
	{ 0x4b68aa28, "drm_connector_init" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0xf690693b, "drm_dp_aux_unregister" },
	{ 0x132777cd, "drm_edid_connector_add_modes" },
	{ 0x6e7902da, "platform_get_resource" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x49631f04, "phy_power_on" },
	{ 0x5b36a3ec, "of_find_property" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xdcb764ad, "memset" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0xc1d28e97, "drm_atomic_helper_connector_duplicate_state" },
	{ 0x14ce27a9, "phy_power_off" },
	{ 0xf4d76834, "drm_connector_cleanup" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x133e2f27, "regmap_read" },
	{ 0xf05f3bb4, "regmap_bulk_write" },
	{ 0x825f7d1c, "drm_atomic_helper_bridge_destroy_state" },
	{ 0x4f139bf4, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xbfc8b417, "devm_ioremap_resource" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc867d2cf, "regmap_bulk_read" },
	{ 0x1c70b7de, "drm_helper_probe_single_connector_modes" },
	{ 0x671b40c7, "drm_panel_prepare" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x9b285573, "drm_match_cea_mode" },
	{ 0x8e598b4b, "drm_bridge_attach" },
	{ 0x207bb5ea, "regmap_update_bits_base" },
	{ 0x157b086f, "drm_atomic_helper_connector_reset" },
	{ 0x827d8a32, "__pm_runtime_suspend" },
	{ 0x91930acb, "__pm_runtime_use_autosuspend" },
	{ 0xa049a5c5, "devm_phy_get" },
	{ 0x3f49881, "drm_atomic_helper_bridge_duplicate_state" },
	{ 0x568d4681, "__pm_runtime_disable" },
	{ 0x815588a6, "clk_enable" },
	{ 0xbda804be, "drm_dp_dpcd_write" },
	{ 0x69da4bac, "drm_panel_unprepare" },
	{ 0x61f81ab3, "__pm_runtime_idle" },
	{ 0x19fd9ca6, "drm_edid_read_ddc" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "drm_display_helper,drm,drm_kms_helper");


MODULE_INFO(srcversion, "5869725A9CDCF5E061EFD70");
