#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(devm_aperture_acquire_from_firmware, "", "");
KSYMTAB_FUNC(drm_aperture_remove_conflicting_framebuffers, "", "");
KSYMTAB_FUNC(drm_aperture_remove_conflicting_pci_framebuffers, "", "");
KSYMTAB_FUNC(__drm_crtc_commit_free, "", "");
KSYMTAB_FUNC(drm_crtc_commit_wait, "", "");
KSYMTAB_FUNC(drm_atomic_state_default_release, "", "");
KSYMTAB_FUNC(drm_atomic_state_init, "", "");
KSYMTAB_FUNC(drm_atomic_state_alloc, "", "");
KSYMTAB_FUNC(drm_atomic_state_default_clear, "", "");
KSYMTAB_FUNC(drm_atomic_state_clear, "", "");
KSYMTAB_FUNC(__drm_atomic_state_free, "", "");
KSYMTAB_FUNC(drm_atomic_get_crtc_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_plane_state, "", "");
KSYMTAB_FUNC(drm_atomic_private_obj_init, "", "");
KSYMTAB_FUNC(drm_atomic_private_obj_fini, "", "");
KSYMTAB_FUNC(drm_atomic_get_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_connector_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_connector_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_crtc_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_crtc_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_connector_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_add_encoder_bridges, "", "");
KSYMTAB_FUNC(drm_atomic_add_affected_connectors, "", "");
KSYMTAB_FUNC(drm_atomic_add_affected_planes, "", "");
KSYMTAB_FUNC(drm_atomic_check_only, "", "");
KSYMTAB_FUNC(drm_atomic_commit, "", "");
KSYMTAB_FUNC(drm_atomic_nonblocking_commit, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_disable_plane, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_set_config, "", "");
KSYMTAB_FUNC(drm_atomic_print_new_state, "", "");
KSYMTAB_FUNC(drm_state_dump, "", "");
KSYMTAB_FUNC(drm_atomic_set_mode_for_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_set_mode_prop_for_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_set_crtc_for_plane, "", "");
KSYMTAB_FUNC(drm_atomic_set_fb_for_plane, "", "");
KSYMTAB_FUNC(drm_atomic_set_crtc_for_connector, "", "");
KSYMTAB_FUNC(drm_is_current_master, "", "");
KSYMTAB_FUNC(drm_master_get, "", "");
KSYMTAB_FUNC(drm_file_get_master, "", "");
KSYMTAB_FUNC(drm_master_put, "", "");
KSYMTAB_FUNC(drm_master_internal_acquire, "", "");
KSYMTAB_FUNC(drm_master_internal_release, "", "");
KSYMTAB_FUNC(drm_plane_create_alpha_property, "", "");
KSYMTAB_FUNC(drm_plane_create_rotation_property, "", "");
KSYMTAB_FUNC(drm_rotation_simplify, "", "");
KSYMTAB_FUNC(drm_plane_create_zpos_property, "", "");
KSYMTAB_FUNC(drm_plane_create_zpos_immutable_property, "", "");
KSYMTAB_FUNC(drm_atomic_normalize_zpos, "", "");
KSYMTAB_FUNC(drm_plane_create_blend_mode_property, "", "");
KSYMTAB_FUNC(drm_bridge_add, "", "");
KSYMTAB_FUNC(devm_drm_bridge_add, "", "");
KSYMTAB_FUNC(drm_bridge_remove, "", "");
KSYMTAB_FUNC(drm_bridge_attach, "", "");
KSYMTAB_FUNC(drm_bridge_chain_mode_valid, "", "");
KSYMTAB_FUNC(drm_bridge_chain_mode_set, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_disable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_post_disable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_pre_enable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_enable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_check, "", "");
KSYMTAB_FUNC(drm_bridge_detect, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_get_modes, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_edid_read, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_enable, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_disable, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_notify, "_gpl", "");
KSYMTAB_FUNC(of_drm_find_bridge, "", "");
KSYMTAB_FUNC(drm_clflush_pages, "", "");
KSYMTAB_FUNC(drm_clflush_sg, "", "");
KSYMTAB_FUNC(drm_clflush_virt_range, "", "");
KSYMTAB_FUNC(drm_need_swiotlb, "", "");
KSYMTAB_FUNC(drm_memcpy_from_wc, "", "");
KSYMTAB_FUNC(drm_client_init, "", "");
KSYMTAB_FUNC(drm_client_register, "", "");
KSYMTAB_FUNC(drm_client_release, "", "");
KSYMTAB_FUNC(drm_client_dev_unregister, "", "");
KSYMTAB_FUNC(drm_client_dev_hotplug, "", "");
KSYMTAB_FUNC(drm_client_buffer_vmap_local, "", "");
KSYMTAB_FUNC(drm_client_buffer_vunmap_local, "", "");
KSYMTAB_FUNC(drm_client_buffer_vmap, "", "");
KSYMTAB_FUNC(drm_client_buffer_vunmap, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_create, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_delete, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_flush, "", "");
KSYMTAB_FUNC(drm_client_modeset_probe, "", "");
KSYMTAB_FUNC(drm_client_rotation, "", "");
KSYMTAB_FUNC(drm_client_modeset_check, "", "");
KSYMTAB_FUNC(drm_client_modeset_commit_locked, "", "");
KSYMTAB_FUNC(drm_client_modeset_commit, "", "");
KSYMTAB_FUNC(drm_client_modeset_dpms, "", "");
KSYMTAB_FUNC(drm_color_ctm_s31_32_to_qm_n, "", "");
KSYMTAB_FUNC(drm_crtc_enable_color_mgmt, "", "");
KSYMTAB_FUNC(drm_mode_crtc_set_gamma_size, "", "");
KSYMTAB_FUNC(drm_plane_create_color_properties, "", "");
KSYMTAB_FUNC(drm_color_lut_check, "", "");
KSYMTAB_FUNC(drm_get_connector_type_name, "", "");
KSYMTAB_FUNC(drm_connector_init, "", "");
KSYMTAB_FUNC(drm_connector_init_with_ddc, "", "");
KSYMTAB_FUNC(drmm_connector_init, "", "");
KSYMTAB_FUNC(drmm_connector_hdmi_init, "", "");
KSYMTAB_FUNC(drm_connector_attach_edid_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_encoder, "", "");
KSYMTAB_FUNC(drm_connector_has_possible_encoder, "", "");
KSYMTAB_FUNC(drm_connector_cleanup, "", "");
KSYMTAB_FUNC(drm_connector_register, "", "");
KSYMTAB_FUNC(drm_connector_unregister, "", "");
KSYMTAB_FUNC(drm_get_connector_status_name, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_begin, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_next, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_end, "", "");
KSYMTAB_FUNC(drm_get_subpixel_order_name, "", "");
KSYMTAB_FUNC(drm_display_info_set_bus_formats, "", "");
KSYMTAB_FUNC(drm_get_tv_mode_from_name, "", "");
KSYMTAB_FUNC(drm_hdmi_connector_get_broadcast_rgb_name, "", "");
KSYMTAB_FUNC(drm_hdmi_connector_get_output_format_name, "", "");
KSYMTAB_FUNC(drm_mode_create_dvi_i_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_dp_subconnector_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_content_type_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_tv_margin_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_margin_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_properties_legacy, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_scaling_mode_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_vrr_capable_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_scaling_mode_property, "", "");
KSYMTAB_FUNC(drm_mode_create_aspect_ratio_property, "", "");
KSYMTAB_FUNC(drm_mode_create_hdmi_colorspace_property, "", "");
KSYMTAB_FUNC(drm_mode_create_dp_colorspace_property, "", "");
KSYMTAB_FUNC(drm_mode_create_content_type_property, "", "");
KSYMTAB_FUNC(drm_mode_create_suggested_offset_properties, "", "");
KSYMTAB_FUNC(drm_connector_set_path_property, "", "");
KSYMTAB_FUNC(drm_connector_set_tile_property, "", "");
KSYMTAB_FUNC(drm_connector_set_link_status_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_max_bpc_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_hdr_output_metadata_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_broadcast_rgb_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_colorspace_property, "", "");
KSYMTAB_FUNC(drm_connector_atomic_hdr_metadata_equal, "", "");
KSYMTAB_FUNC(drm_connector_set_vrr_capable_property, "", "");
KSYMTAB_FUNC(drm_connector_set_panel_orientation, "", "");
KSYMTAB_FUNC(drm_connector_set_panel_orientation_with_quirk, "", "");
KSYMTAB_FUNC(drm_connector_set_orientation_from_panel, "", "");
KSYMTAB_FUNC(drm_connector_create_privacy_screen_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_privacy_screen_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_privacy_screen_provider, "", "");
KSYMTAB_FUNC(drm_connector_update_privacy_screen, "", "");
KSYMTAB_FUNC(drm_connector_oob_hotplug_event, "", "");
KSYMTAB_FUNC(drm_mode_put_tile_group, "", "");
KSYMTAB_FUNC(drm_mode_get_tile_group, "", "");
KSYMTAB_FUNC(drm_mode_create_tile_group, "", "");
KSYMTAB_FUNC(drm_crtc_from_index, "", "");
KSYMTAB_FUNC(drm_crtc_init_with_planes, "", "");
KSYMTAB_FUNC(drmm_crtc_init_with_planes, "", "");
KSYMTAB_FUNC(__drmm_crtc_alloc_with_planes, "", "");
KSYMTAB_FUNC(drm_crtc_cleanup, "", "");
KSYMTAB_FUNC(drm_mode_set_config_internal, "", "");
KSYMTAB_FUNC(drm_crtc_check_viewport, "", "");
KSYMTAB_FUNC(drm_crtc_create_scaling_filter_property, "", "");
KSYMTAB_FUNC(drm_put_dev, "", "");
KSYMTAB_FUNC(drm_dev_enter, "", "");
KSYMTAB_FUNC(drm_dev_exit, "", "");
KSYMTAB_FUNC(drm_dev_unplug, "", "");
KSYMTAB_FUNC(__devm_drm_dev_alloc, "", "");
KSYMTAB_FUNC(drm_dev_alloc, "", "");
KSYMTAB_FUNC(drm_dev_get, "", "");
KSYMTAB_FUNC(drm_dev_put, "", "");
KSYMTAB_FUNC(drm_dev_register, "", "");
KSYMTAB_FUNC(drm_dev_unregister, "", "");
KSYMTAB_FUNC(drm_edid_header_is_valid, "", "");
KSYMTAB_FUNC(drm_edid_block_valid, "", "");
KSYMTAB_FUNC(drm_edid_is_valid, "", "");
KSYMTAB_FUNC(drm_edid_valid, "", "");
KSYMTAB_FUNC(drm_edid_override_connector_update, "", "");
KSYMTAB_FUNC(drm_edid_raw, "", "");
KSYMTAB_FUNC(drm_edid_alloc, "", "");
KSYMTAB_FUNC(drm_edid_dup, "", "");
KSYMTAB_FUNC(drm_edid_free, "", "");
KSYMTAB_FUNC(drm_probe_ddc, "", "");
KSYMTAB_FUNC(drm_get_edid, "", "");
KSYMTAB_FUNC(drm_edid_read_custom, "", "");
KSYMTAB_FUNC(drm_edid_read_ddc, "", "");
KSYMTAB_FUNC(drm_edid_read, "", "");
KSYMTAB_FUNC(drm_edid_get_product_id, "", "");
KSYMTAB_FUNC(drm_edid_print_product_id, "", "");
KSYMTAB_FUNC(drm_edid_get_panel_id, "", "");
KSYMTAB_FUNC(drm_edid_read_base_block, "", "");
KSYMTAB_FUNC(drm_get_edid_switcheroo, "", "");
KSYMTAB_FUNC(drm_edid_read_switcheroo, "", "");
KSYMTAB_FUNC(drm_edid_duplicate, "", "");
KSYMTAB_FUNC(drm_mode_find_dmt, "", "");
KSYMTAB_FUNC(drm_match_cea_mode, "", "");
KSYMTAB_FUNC(drm_display_mode_from_cea_vic, "", "");
KSYMTAB_FUNC(drm_edid_match, "", "");
KSYMTAB_FUNC(drm_edid_get_monitor_name, "", "");
KSYMTAB_FUNC(drm_edid_to_sad, "", "");
KSYMTAB_FUNC(drm_edid_to_speaker_allocation, "", "");
KSYMTAB_FUNC(drm_av_sync_delay, "", "");
KSYMTAB_FUNC(drm_detect_hdmi_monitor, "", "");
KSYMTAB_FUNC(drm_detect_monitor_audio, "", "");
KSYMTAB_FUNC(drm_default_rgb_quant_range, "", "");
KSYMTAB_FUNC(drm_edid_connector_update, "", "");
KSYMTAB_FUNC(drm_edid_connector_add_modes, "", "");
KSYMTAB_FUNC(drm_connector_update_edid_property, "", "");
KSYMTAB_FUNC(drm_add_edid_modes, "", "");
KSYMTAB_FUNC(drm_add_modes_noedid, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_from_display_mode, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_quant_range, "", "");
KSYMTAB_FUNC(drm_hdmi_vendor_infoframe_from_display_mode, "", "");
KSYMTAB_FUNC(drm_edid_is_digital, "", "");
KSYMTAB_FUNC(drm_eld_sad_get, "", "");
KSYMTAB_FUNC(drm_eld_sad_set, "", "");
KSYMTAB_FUNC(drm_encoder_init, "", "");
KSYMTAB_FUNC(drm_encoder_cleanup, "", "");
KSYMTAB_FUNC(__drmm_encoder_alloc, "", "");
KSYMTAB_FUNC(drmm_encoder_init, "", "");
KSYMTAB_FUNC(drm_open, "", "");
KSYMTAB_FUNC(drm_release, "", "");
KSYMTAB_FUNC(drm_release_noglobal, "", "");
KSYMTAB_FUNC(drm_read, "", "");
KSYMTAB_FUNC(drm_poll, "", "");
KSYMTAB_FUNC(drm_event_reserve_init_locked, "", "");
KSYMTAB_FUNC(drm_event_reserve_init, "", "");
KSYMTAB_FUNC(drm_event_cancel_free, "", "");
KSYMTAB_FUNC(drm_send_event_timestamp_locked, "", "");
KSYMTAB_FUNC(drm_send_event_locked, "", "");
KSYMTAB_FUNC(drm_send_event, "", "");
KSYMTAB_FUNC(drm_print_memory_stats, "", "");
KSYMTAB_FUNC(drm_show_memory_stats, "", "");
KSYMTAB_FUNC(drm_show_fdinfo, "", "");
KSYMTAB_FUNC(drm_mode_legacy_fb_format, "", "");
KSYMTAB_FUNC(drm_driver_legacy_fb_format, "", "");
KSYMTAB_FUNC(drm_format_info, "", "");
KSYMTAB_FUNC(drm_get_format_info, "", "");
KSYMTAB_FUNC(drm_format_info_block_width, "", "");
KSYMTAB_FUNC(drm_format_info_block_height, "", "");
KSYMTAB_FUNC(drm_format_info_bpp, "", "");
KSYMTAB_FUNC(drm_format_info_min_pitch, "", "");
KSYMTAB_FUNC(drm_framebuffer_init, "", "");
KSYMTAB_FUNC(drm_framebuffer_lookup, "", "");
KSYMTAB_FUNC(drm_framebuffer_unregister_private, "", "");
KSYMTAB_FUNC(drm_framebuffer_cleanup, "", "");
KSYMTAB_FUNC(drm_framebuffer_remove, "", "");
KSYMTAB_FUNC(drm_gem_object_init, "", "");
KSYMTAB_FUNC(drm_gem_private_object_init, "", "");
KSYMTAB_FUNC(drm_gem_private_object_fini, "", "");
KSYMTAB_FUNC(drm_gem_handle_delete, "", "");
KSYMTAB_FUNC(drm_gem_dumb_map_offset, "_gpl", "");
KSYMTAB_FUNC(drm_gem_handle_create, "", "");
KSYMTAB_FUNC(drm_gem_free_mmap_offset, "", "");
KSYMTAB_FUNC(drm_gem_create_mmap_offset_size, "", "");
KSYMTAB_FUNC(drm_gem_create_mmap_offset, "", "");
KSYMTAB_FUNC(drm_gem_get_pages, "", "");
KSYMTAB_FUNC(drm_gem_put_pages, "", "");
KSYMTAB_FUNC(drm_gem_objects_lookup, "", "");
KSYMTAB_FUNC(drm_gem_object_lookup, "", "");
KSYMTAB_FUNC(drm_gem_dma_resv_wait, "", "");
KSYMTAB_FUNC(drm_gem_object_release, "", "");
KSYMTAB_FUNC(drm_gem_object_free, "", "");
KSYMTAB_FUNC(drm_gem_vm_open, "", "");
KSYMTAB_FUNC(drm_gem_vm_close, "", "");
KSYMTAB_FUNC(drm_gem_mmap_obj, "", "");
KSYMTAB_FUNC(drm_gem_mmap, "", "");
KSYMTAB_FUNC(drm_gem_vmap, "", "");
KSYMTAB_FUNC(drm_gem_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_lock, "", "");
KSYMTAB_FUNC(drm_gem_unlock, "", "");
KSYMTAB_FUNC(drm_gem_vmap_unlocked, "", "");
KSYMTAB_FUNC(drm_gem_vunmap_unlocked, "", "");
KSYMTAB_FUNC(drm_gem_lock_reservations, "", "");
KSYMTAB_FUNC(drm_gem_unlock_reservations, "", "");
KSYMTAB_FUNC(drm_gem_lru_init, "", "");
KSYMTAB_FUNC(drm_gem_lru_remove, "", "");
KSYMTAB_FUNC(drm_gem_lru_move_tail_locked, "", "");
KSYMTAB_FUNC(drm_gem_lru_move_tail, "", "");
KSYMTAB_FUNC(drm_gem_lru_scan, "", "");
KSYMTAB_FUNC(drm_gem_evict, "", "");
KSYMTAB_FUNC(drm_noop, "", "");
KSYMTAB_FUNC(drm_invalid_op, "", "");
KSYMTAB_FUNC(drm_ioctl_kernel, "", "");
KSYMTAB_FUNC(drm_ioctl, "", "");
KSYMTAB_FUNC(drm_ioctl_flags, "", "");
KSYMTAB_FUNC(__drmm_add_action, "", "");
KSYMTAB_FUNC(__drmm_add_action_or_reset, "", "");
KSYMTAB_FUNC(drmm_release_action, "", "");
KSYMTAB_FUNC(drmm_kmalloc, "", "");
KSYMTAB_FUNC(drmm_kstrdup, "_gpl", "");
KSYMTAB_FUNC(drmm_kfree, "", "");
KSYMTAB_FUNC(__drmm_mutex_release, "", "");
KSYMTAB_FUNC(__drm_mm_interval_first, "", "");
KSYMTAB_FUNC(drm_mm_reserve_node, "", "");
KSYMTAB_FUNC(drm_mm_insert_node_in_range, "", "");
KSYMTAB_FUNC(drm_mm_remove_node, "", "");
KSYMTAB_FUNC(drm_mm_scan_init_with_range, "", "");
KSYMTAB_FUNC(drm_mm_scan_add_block, "", "");
KSYMTAB_FUNC(drm_mm_scan_remove_block, "", "");
KSYMTAB_FUNC(drm_mm_scan_color_evict, "", "");
KSYMTAB_FUNC(drm_mm_init, "", "");
KSYMTAB_FUNC(drm_mm_takedown, "", "");
KSYMTAB_FUNC(drm_mm_print, "", "");
KSYMTAB_FUNC(drm_mode_config_reset, "", "");
KSYMTAB_FUNC(drmm_mode_config_init, "", "");
KSYMTAB_FUNC(drm_mode_config_cleanup, "", "");
KSYMTAB_FUNC(drm_mode_object_find, "", "");
KSYMTAB_FUNC(drm_mode_object_put, "", "");
KSYMTAB_FUNC(drm_mode_object_get, "", "");
KSYMTAB_FUNC(drm_object_attach_property, "", "");
KSYMTAB_FUNC(drm_object_property_set_value, "", "");
KSYMTAB_FUNC(drm_object_property_get_value, "", "");
KSYMTAB_FUNC(drm_object_property_get_default_value, "", "");
KSYMTAB_FUNC(drm_mode_debug_printmodeline, "", "");
KSYMTAB_FUNC(drm_mode_create, "", "");
KSYMTAB_FUNC(drm_mode_destroy, "", "");
KSYMTAB_FUNC(drm_mode_probed_add, "", "");
KSYMTAB_FUNC(drm_analog_tv_mode, "", "");
KSYMTAB_FUNC(drm_cvt_mode, "", "");
KSYMTAB_FUNC(drm_gtf_mode_complex, "", "");
KSYMTAB_FUNC(drm_gtf_mode, "", "");
KSYMTAB_FUNC(drm_display_mode_from_videomode, "_gpl", "");
KSYMTAB_FUNC(drm_display_mode_to_videomode, "_gpl", "");
KSYMTAB_FUNC(drm_bus_flags_from_videomode, "_gpl", "");
KSYMTAB_FUNC(of_get_drm_display_mode, "_gpl", "");
KSYMTAB_FUNC(of_get_drm_panel_display_mode, "_gpl", "");
KSYMTAB_FUNC(drm_mode_set_name, "", "");
KSYMTAB_FUNC(drm_mode_vrefresh, "", "");
KSYMTAB_FUNC(drm_mode_get_hv_timing, "", "");
KSYMTAB_FUNC(drm_mode_set_crtcinfo, "", "");
KSYMTAB_FUNC(drm_mode_copy, "", "");
KSYMTAB_FUNC(drm_mode_init, "", "");
KSYMTAB_FUNC(drm_mode_duplicate, "", "");
KSYMTAB_FUNC(drm_mode_match, "", "");
KSYMTAB_FUNC(drm_mode_equal, "", "");
KSYMTAB_FUNC(drm_mode_equal_no_clocks, "", "");
KSYMTAB_FUNC(drm_mode_equal_no_clocks_no_stereo, "", "");
KSYMTAB_FUNC(drm_mode_validate_driver, "", "");
KSYMTAB_FUNC(drm_mode_validate_size, "", "");
KSYMTAB_FUNC(drm_mode_validate_ycbcr420, "", "");
KSYMTAB_FUNC(drm_mode_prune_invalid, "", "");
KSYMTAB_FUNC(drm_mode_sort, "", "");
KSYMTAB_FUNC(drm_connector_list_update, "", "");
KSYMTAB_FUNC(drm_mode_parse_command_line_for_connector, "", "");
KSYMTAB_FUNC(drm_mode_create_from_cmdline_mode, "", "");
KSYMTAB_FUNC(drm_mode_is_420_only, "", "");
KSYMTAB_FUNC(drm_mode_is_420_also, "", "");
KSYMTAB_FUNC(drm_mode_is_420, "", "");
KSYMTAB_FUNC(drm_set_preferred_mode, "", "");
KSYMTAB_FUNC(drm_modeset_lock_all, "", "");
KSYMTAB_FUNC(drm_modeset_unlock_all, "", "");
KSYMTAB_FUNC(drm_warn_on_modeset_not_all_locked, "", "");
KSYMTAB_FUNC(drm_modeset_acquire_init, "", "");
KSYMTAB_FUNC(drm_modeset_acquire_fini, "", "");
KSYMTAB_FUNC(drm_modeset_drop_locks, "", "");
KSYMTAB_FUNC(drm_modeset_backoff, "", "");
KSYMTAB_FUNC(drm_modeset_lock_init, "", "");
KSYMTAB_FUNC(drm_modeset_lock, "", "");
KSYMTAB_FUNC(drm_modeset_lock_single_interruptible, "", "");
KSYMTAB_FUNC(drm_modeset_unlock, "", "");
KSYMTAB_FUNC(drm_modeset_lock_all_ctx, "", "");
KSYMTAB_FUNC(drm_universal_plane_init, "", "");
KSYMTAB_FUNC(__drmm_universal_plane_alloc, "", "");
KSYMTAB_FUNC(__drm_universal_plane_alloc, "", "");
KSYMTAB_FUNC(drm_plane_cleanup, "", "");
KSYMTAB_FUNC(drm_plane_from_index, "", "");
KSYMTAB_FUNC(drm_plane_force_disable, "", "");
KSYMTAB_FUNC(drm_mode_plane_set_obj_prop, "", "");
KSYMTAB_FUNC(drm_plane_has_format, "", "");
KSYMTAB_FUNC(drm_any_plane_has_format, "", "");
KSYMTAB_FUNC(drm_plane_enable_fb_damage_clips, "", "");
KSYMTAB_FUNC(drm_plane_get_damage_clips_count, "", "");
KSYMTAB_FUNC(drm_plane_get_damage_clips, "", "");
KSYMTAB_FUNC(drm_plane_create_scaling_filter_property, "", "");
KSYMTAB_FUNC(drm_plane_add_size_hints_property, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_export, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_release, "", "");
KSYMTAB_FUNC(drm_gem_prime_fd_to_handle, "", "");
KSYMTAB_FUNC(drm_gem_prime_handle_to_fd, "", "");
KSYMTAB_FUNC(drm_gem_map_attach, "", "");
KSYMTAB_FUNC(drm_gem_map_detach, "", "");
KSYMTAB_FUNC(drm_gem_map_dma_buf, "", "");
KSYMTAB_FUNC(drm_gem_unmap_dma_buf, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_vmap, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_prime_mmap, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_mmap, "", "");
KSYMTAB_FUNC(drm_prime_pages_to_sg, "", "");
KSYMTAB_FUNC(drm_prime_get_contiguous_size, "", "");
KSYMTAB_FUNC(drm_gem_prime_export, "", "");
KSYMTAB_FUNC(drm_gem_prime_import_dev, "", "");
KSYMTAB_FUNC(drm_gem_prime_import, "", "");
KSYMTAB_FUNC(drm_prime_sg_to_page_array, "", "");
KSYMTAB_FUNC(drm_prime_sg_to_dma_addr_array, "", "");
KSYMTAB_FUNC(drm_prime_gem_destroy, "", "");
KSYMTAB_DATA(__drm_debug, "", "");
KSYMTAB_FUNC(__drm_puts_coredump, "", "");
KSYMTAB_FUNC(__drm_printfn_coredump, "", "");
KSYMTAB_FUNC(__drm_puts_seq_file, "", "");
KSYMTAB_FUNC(__drm_printfn_seq_file, "", "");
KSYMTAB_FUNC(__drm_printfn_info, "", "");
KSYMTAB_FUNC(__drm_printfn_dbg, "", "");
KSYMTAB_FUNC(__drm_printfn_err, "", "");
KSYMTAB_FUNC(drm_puts, "", "");
KSYMTAB_FUNC(drm_printf, "", "");
KSYMTAB_FUNC(drm_print_bits, "", "");
KSYMTAB_FUNC(drm_dev_printk, "", "");
KSYMTAB_FUNC(__drm_dev_dbg, "", "");
KSYMTAB_FUNC(__drm_err, "", "");
KSYMTAB_FUNC(drm_print_regset32, "", "");
KSYMTAB_FUNC(drm_property_create, "", "");
KSYMTAB_FUNC(drm_property_create_enum, "", "");
KSYMTAB_FUNC(drm_property_create_bitmask, "", "");
KSYMTAB_FUNC(drm_property_create_range, "", "");
KSYMTAB_FUNC(drm_property_create_signed_range, "", "");
KSYMTAB_FUNC(drm_property_create_object, "", "");
KSYMTAB_FUNC(drm_property_create_bool, "", "");
KSYMTAB_FUNC(drm_property_add_enum, "", "");
KSYMTAB_FUNC(drm_property_destroy, "", "");
KSYMTAB_FUNC(drm_property_create_blob, "", "");
KSYMTAB_FUNC(drm_property_blob_put, "", "");
KSYMTAB_FUNC(drm_property_blob_get, "", "");
KSYMTAB_FUNC(drm_property_lookup_blob, "", "");
KSYMTAB_FUNC(drm_property_replace_global_blob, "", "");
KSYMTAB_FUNC(drm_property_replace_blob, "", "");
KSYMTAB_FUNC(drm_property_replace_blob_from_id, "", "");
KSYMTAB_FUNC(drm_syncobj_find, "", "");
KSYMTAB_FUNC(drm_syncobj_add_point, "", "");
KSYMTAB_FUNC(drm_syncobj_replace_fence, "", "");
KSYMTAB_FUNC(drm_syncobj_find_fence, "", "");
KSYMTAB_FUNC(drm_syncobj_free, "", "");
KSYMTAB_FUNC(drm_syncobj_create, "", "");
KSYMTAB_FUNC(drm_syncobj_get_handle, "", "");
KSYMTAB_FUNC(drm_syncobj_get_fd, "", "");
KSYMTAB_FUNC(drm_timeout_abs_to_jiffies, "", "");
KSYMTAB_FUNC(drm_sysfs_hotplug_event, "", "");
KSYMTAB_FUNC(drm_sysfs_connector_hotplug_event, "", "");
KSYMTAB_FUNC(drm_sysfs_connector_property_event, "", "");
KSYMTAB_FUNC(drm_class_device_register, "_gpl", "");
KSYMTAB_FUNC(drm_class_device_unregister, "_gpl", "");
KSYMTAB_FUNC(drm_crtc_vblank_crtc, "", "");
KSYMTAB_FUNC(drm_crtc_accurate_vblank_count, "", "");
KSYMTAB_FUNC(drm_vblank_init, "", "");
KSYMTAB_FUNC(drm_dev_has_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_waitqueue, "", "");
KSYMTAB_FUNC(drm_calc_timestamping_constants, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_helper_get_vblank_timestamp_internal, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_helper_get_vblank_timestamp, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_count, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_count_and_time, "", "");
KSYMTAB_FUNC(drm_crtc_next_vblank_start, "", "");
KSYMTAB_FUNC(drm_crtc_arm_vblank_event, "", "");
KSYMTAB_FUNC(drm_crtc_send_vblank_event, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_get, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_put, "", "");
KSYMTAB_FUNC(drm_wait_one_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_wait_one_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_off, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_reset, "", "");
KSYMTAB_FUNC(drm_crtc_set_max_vblank_count, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_on, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_restore, "", "");
KSYMTAB_FUNC(drm_handle_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_handle_vblank, "", "");
KSYMTAB_FUNC(drm_vblank_work_schedule, "", "");
KSYMTAB_FUNC(drm_vblank_work_cancel_sync, "", "");
KSYMTAB_FUNC(drm_vblank_work_flush, "", "");
KSYMTAB_FUNC(drm_vblank_work_flush_all, "", "");
KSYMTAB_FUNC(drm_vblank_work_init, "", "");
KSYMTAB_FUNC(drm_vma_offset_manager_init, "", "");
KSYMTAB_FUNC(drm_vma_offset_manager_destroy, "", "");
KSYMTAB_FUNC(drm_vma_offset_lookup_locked, "", "");
KSYMTAB_FUNC(drm_vma_offset_add, "", "");
KSYMTAB_FUNC(drm_vma_offset_remove, "", "");
KSYMTAB_FUNC(drm_vma_node_allow, "", "");
KSYMTAB_FUNC(drm_vma_node_allow_once, "", "");
KSYMTAB_FUNC(drm_vma_node_revoke, "", "");
KSYMTAB_FUNC(drm_vma_node_is_allowed, "", "");
KSYMTAB_FUNC(drm_writeback_connector_init, "", "");
KSYMTAB_FUNC(drm_writeback_connector_init_with_encoder, "", "");
KSYMTAB_FUNC(drm_writeback_prepare_job, "", "");
KSYMTAB_FUNC(drm_writeback_queue_job, "", "");
KSYMTAB_FUNC(drm_writeback_cleanup_job, "", "");
KSYMTAB_FUNC(drm_writeback_signal_completion, "", "");
KSYMTAB_FUNC(drm_writeback_get_out_fence, "", "");
KSYMTAB_FUNC(drm_compat_ioctl, "", "");
KSYMTAB_FUNC(drm_panel_init, "", "");
KSYMTAB_FUNC(drm_panel_add, "", "");
KSYMTAB_FUNC(drm_panel_remove, "", "");
KSYMTAB_FUNC(drm_panel_prepare, "", "");
KSYMTAB_FUNC(drm_panel_unprepare, "", "");
KSYMTAB_FUNC(drm_panel_enable, "", "");
KSYMTAB_FUNC(drm_panel_disable, "", "");
KSYMTAB_FUNC(drm_panel_get_modes, "", "");
KSYMTAB_FUNC(of_drm_find_panel, "", "");
KSYMTAB_FUNC(of_drm_get_panel_orientation, "", "");
KSYMTAB_FUNC(drm_is_panel_follower, "", "");
KSYMTAB_FUNC(drm_panel_add_follower, "", "");
KSYMTAB_FUNC(drm_panel_remove_follower, "", "");
KSYMTAB_FUNC(devm_drm_panel_add_follower, "", "");
KSYMTAB_FUNC(drm_panel_of_backlight, "", "");
KSYMTAB_FUNC(drm_of_crtc_port_mask, "", "");
KSYMTAB_FUNC(drm_of_find_possible_crtcs, "", "");
KSYMTAB_FUNC(drm_of_component_match_add, "_gpl", "");
KSYMTAB_FUNC(drm_of_component_probe, "", "");
KSYMTAB_FUNC(drm_of_encoder_active_endpoint, "_gpl", "");
KSYMTAB_FUNC(drm_of_find_panel_or_bridge, "_gpl", "");
KSYMTAB_FUNC(drm_of_lvds_get_dual_link_pixel_order, "_gpl", "");
KSYMTAB_FUNC(drm_of_lvds_get_data_mapping, "_gpl", "");
KSYMTAB_FUNC(drm_of_get_data_lanes_count, "_gpl", "");
KSYMTAB_FUNC(drm_of_get_data_lanes_count_ep, "_gpl", "");
KSYMTAB_FUNC(drm_of_get_dsi_bus, "_gpl", "");
KSYMTAB_FUNC(drm_debugfs_gpuva_info, "", "");
KSYMTAB_FUNC(drm_debugfs_create_files, "", "");
KSYMTAB_FUNC(drm_debugfs_remove_files, "", "");
KSYMTAB_FUNC(drm_debugfs_add_file, "", "");
KSYMTAB_FUNC(drm_debugfs_add_files, "", "");
KSYMTAB_FUNC(drm_crtc_add_crc_entry, "_gpl", "");

SYMBOL_CRC(devm_aperture_acquire_from_firmware, 0xb56e2e17, "");
SYMBOL_CRC(drm_aperture_remove_conflicting_framebuffers, 0x384ddb7d, "");
SYMBOL_CRC(drm_aperture_remove_conflicting_pci_framebuffers, 0x5fa936ab, "");
SYMBOL_CRC(__drm_crtc_commit_free, 0xae277372, "");
SYMBOL_CRC(drm_crtc_commit_wait, 0x0eb801d6, "");
SYMBOL_CRC(drm_atomic_state_default_release, 0xb6577680, "");
SYMBOL_CRC(drm_atomic_state_init, 0x32cced61, "");
SYMBOL_CRC(drm_atomic_state_alloc, 0x434023f5, "");
SYMBOL_CRC(drm_atomic_state_default_clear, 0x7621039c, "");
SYMBOL_CRC(drm_atomic_state_clear, 0x4128e372, "");
SYMBOL_CRC(__drm_atomic_state_free, 0xb9cad492, "");
SYMBOL_CRC(drm_atomic_get_crtc_state, 0x31ee523a, "");
SYMBOL_CRC(drm_atomic_get_plane_state, 0x82a90636, "");
SYMBOL_CRC(drm_atomic_private_obj_init, 0x89b8ffcb, "");
SYMBOL_CRC(drm_atomic_private_obj_fini, 0x20bd8d86, "");
SYMBOL_CRC(drm_atomic_get_private_obj_state, 0x63c35977, "");
SYMBOL_CRC(drm_atomic_get_old_private_obj_state, 0xdebebc2c, "");
SYMBOL_CRC(drm_atomic_get_new_private_obj_state, 0x5fcffe3b, "");
SYMBOL_CRC(drm_atomic_get_old_connector_for_encoder, 0x7eabd78f, "");
SYMBOL_CRC(drm_atomic_get_new_connector_for_encoder, 0xffda9598, "");
SYMBOL_CRC(drm_atomic_get_old_crtc_for_encoder, 0x2e4bbcea, "");
SYMBOL_CRC(drm_atomic_get_new_crtc_for_encoder, 0x241914f8, "");
SYMBOL_CRC(drm_atomic_get_connector_state, 0x3351cd85, "");
SYMBOL_CRC(drm_atomic_get_bridge_state, 0x5da46ba3, "");
SYMBOL_CRC(drm_atomic_get_old_bridge_state, 0x6d30ff7b, "");
SYMBOL_CRC(drm_atomic_get_new_bridge_state, 0x9e83dc9b, "");
SYMBOL_CRC(drm_atomic_add_encoder_bridges, 0x9bed988d, "");
SYMBOL_CRC(drm_atomic_add_affected_connectors, 0x533a3133, "");
SYMBOL_CRC(drm_atomic_add_affected_planes, 0xba21f268, "");
SYMBOL_CRC(drm_atomic_check_only, 0x9a910eef, "");
SYMBOL_CRC(drm_atomic_commit, 0xe480e50b, "");
SYMBOL_CRC(drm_atomic_nonblocking_commit, 0xed2ad7ed, "");
SYMBOL_CRC(__drm_atomic_helper_disable_plane, 0xe2159a14, "");
SYMBOL_CRC(__drm_atomic_helper_set_config, 0x58820f66, "");
SYMBOL_CRC(drm_atomic_print_new_state, 0x9f0d24aa, "");
SYMBOL_CRC(drm_state_dump, 0x9213273c, "");
SYMBOL_CRC(drm_atomic_set_mode_for_crtc, 0xeeda8607, "");
SYMBOL_CRC(drm_atomic_set_mode_prop_for_crtc, 0x541d831a, "");
SYMBOL_CRC(drm_atomic_set_crtc_for_plane, 0x79dc4ecd, "");
SYMBOL_CRC(drm_atomic_set_fb_for_plane, 0xcf73375f, "");
SYMBOL_CRC(drm_atomic_set_crtc_for_connector, 0x5af15b7b, "");
SYMBOL_CRC(drm_is_current_master, 0x921f2159, "");
SYMBOL_CRC(drm_master_get, 0xcab4b759, "");
SYMBOL_CRC(drm_file_get_master, 0x560b2e3c, "");
SYMBOL_CRC(drm_master_put, 0x1e3738f4, "");
SYMBOL_CRC(drm_master_internal_acquire, 0x83724b12, "");
SYMBOL_CRC(drm_master_internal_release, 0x1d7d6211, "");
SYMBOL_CRC(drm_plane_create_alpha_property, 0x5cdbb5b2, "");
SYMBOL_CRC(drm_plane_create_rotation_property, 0x7275da8b, "");
SYMBOL_CRC(drm_rotation_simplify, 0xdf666902, "");
SYMBOL_CRC(drm_plane_create_zpos_property, 0x170e8282, "");
SYMBOL_CRC(drm_plane_create_zpos_immutable_property, 0xfc8747f8, "");
SYMBOL_CRC(drm_atomic_normalize_zpos, 0x39894712, "");
SYMBOL_CRC(drm_plane_create_blend_mode_property, 0x0817cce4, "");
SYMBOL_CRC(drm_bridge_add, 0x72801fe0, "");
SYMBOL_CRC(devm_drm_bridge_add, 0x100525b2, "");
SYMBOL_CRC(drm_bridge_remove, 0xa6d4aefd, "");
SYMBOL_CRC(drm_bridge_attach, 0x8e598b4b, "");
SYMBOL_CRC(drm_bridge_chain_mode_valid, 0x01965ef1, "");
SYMBOL_CRC(drm_bridge_chain_mode_set, 0x83460185, "");
SYMBOL_CRC(drm_atomic_bridge_chain_disable, 0xcba9b74c, "");
SYMBOL_CRC(drm_atomic_bridge_chain_post_disable, 0x41c5b301, "");
SYMBOL_CRC(drm_atomic_bridge_chain_pre_enable, 0xbd64785c, "");
SYMBOL_CRC(drm_atomic_bridge_chain_enable, 0x76272fc0, "");
SYMBOL_CRC(drm_atomic_bridge_chain_check, 0xdd118548, "");
SYMBOL_CRC(drm_bridge_detect, 0x6e0ab6c1, "_gpl");
SYMBOL_CRC(drm_bridge_get_modes, 0x2053ffc9, "_gpl");
SYMBOL_CRC(drm_bridge_edid_read, 0x028fd78f, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_enable, 0x9ff55164, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_disable, 0x73c6491f, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_notify, 0x21691c76, "_gpl");
SYMBOL_CRC(of_drm_find_bridge, 0x2ea02ac1, "");
SYMBOL_CRC(drm_clflush_pages, 0x474a2041, "");
SYMBOL_CRC(drm_clflush_sg, 0x69e1bf40, "");
SYMBOL_CRC(drm_clflush_virt_range, 0x0a72f765, "");
SYMBOL_CRC(drm_need_swiotlb, 0xb6127243, "");
SYMBOL_CRC(drm_memcpy_from_wc, 0xa38c4c94, "");
SYMBOL_CRC(drm_client_init, 0x2c92f911, "");
SYMBOL_CRC(drm_client_register, 0x5f1f0602, "");
SYMBOL_CRC(drm_client_release, 0xc92fc75c, "");
SYMBOL_CRC(drm_client_dev_unregister, 0xa2f96bd9, "");
SYMBOL_CRC(drm_client_dev_hotplug, 0x5710fcdc, "");
SYMBOL_CRC(drm_client_buffer_vmap_local, 0x96358332, "");
SYMBOL_CRC(drm_client_buffer_vunmap_local, 0x6557d7f0, "");
SYMBOL_CRC(drm_client_buffer_vmap, 0xa1b43474, "");
SYMBOL_CRC(drm_client_buffer_vunmap, 0xb65570ea, "");
SYMBOL_CRC(drm_client_framebuffer_create, 0xcbcc3f22, "");
SYMBOL_CRC(drm_client_framebuffer_delete, 0xec55600f, "");
SYMBOL_CRC(drm_client_framebuffer_flush, 0x0c30b9d9, "");
SYMBOL_CRC(drm_client_modeset_probe, 0x234a7f96, "");
SYMBOL_CRC(drm_client_rotation, 0xc80599dc, "");
SYMBOL_CRC(drm_client_modeset_check, 0xa895da53, "");
SYMBOL_CRC(drm_client_modeset_commit_locked, 0x2f8cba4b, "");
SYMBOL_CRC(drm_client_modeset_commit, 0xe0dc0aec, "");
SYMBOL_CRC(drm_client_modeset_dpms, 0xc4c7cf65, "");
SYMBOL_CRC(drm_color_ctm_s31_32_to_qm_n, 0xad4e902b, "");
SYMBOL_CRC(drm_crtc_enable_color_mgmt, 0x58eb4865, "");
SYMBOL_CRC(drm_mode_crtc_set_gamma_size, 0x24e8df22, "");
SYMBOL_CRC(drm_plane_create_color_properties, 0xcda4e508, "");
SYMBOL_CRC(drm_color_lut_check, 0xbc6ff3a8, "");
SYMBOL_CRC(drm_get_connector_type_name, 0xf406e46a, "");
SYMBOL_CRC(drm_connector_init, 0x4b68aa28, "");
SYMBOL_CRC(drm_connector_init_with_ddc, 0xa7914185, "");
SYMBOL_CRC(drmm_connector_init, 0x75a023be, "");
SYMBOL_CRC(drmm_connector_hdmi_init, 0x0dd714fc, "");
SYMBOL_CRC(drm_connector_attach_edid_property, 0x65bd9972, "");
SYMBOL_CRC(drm_connector_attach_encoder, 0x00c0e9d4, "");
SYMBOL_CRC(drm_connector_has_possible_encoder, 0x064fd76f, "");
SYMBOL_CRC(drm_connector_cleanup, 0xf4d76834, "");
SYMBOL_CRC(drm_connector_register, 0x72f06cd5, "");
SYMBOL_CRC(drm_connector_unregister, 0xd0f57328, "");
SYMBOL_CRC(drm_get_connector_status_name, 0x0fd60df2, "");
SYMBOL_CRC(drm_connector_list_iter_begin, 0x0df0635a, "");
SYMBOL_CRC(drm_connector_list_iter_next, 0x075f6e82, "");
SYMBOL_CRC(drm_connector_list_iter_end, 0x58aba11a, "");
SYMBOL_CRC(drm_get_subpixel_order_name, 0x107742a9, "");
SYMBOL_CRC(drm_display_info_set_bus_formats, 0xd4099a0b, "");
SYMBOL_CRC(drm_get_tv_mode_from_name, 0xf095dc96, "");
SYMBOL_CRC(drm_hdmi_connector_get_broadcast_rgb_name, 0x4e966c75, "");
SYMBOL_CRC(drm_hdmi_connector_get_output_format_name, 0x273dc9d6, "");
SYMBOL_CRC(drm_mode_create_dvi_i_properties, 0x7f84fa66, "");
SYMBOL_CRC(drm_connector_attach_dp_subconnector_property, 0x43b87157, "");
SYMBOL_CRC(drm_connector_attach_content_type_property, 0x448633e8, "");
SYMBOL_CRC(drm_connector_attach_tv_margin_properties, 0x3b597bb3, "");
SYMBOL_CRC(drm_mode_create_tv_margin_properties, 0x58182223, "");
SYMBOL_CRC(drm_mode_create_tv_properties_legacy, 0xc5236218, "");
SYMBOL_CRC(drm_mode_create_tv_properties, 0xd08d6178, "");
SYMBOL_CRC(drm_mode_create_scaling_mode_property, 0xa7fba7be, "");
SYMBOL_CRC(drm_connector_attach_vrr_capable_property, 0x32dbff54, "");
SYMBOL_CRC(drm_connector_attach_scaling_mode_property, 0x755f2953, "");
SYMBOL_CRC(drm_mode_create_aspect_ratio_property, 0x60d8ee8d, "");
SYMBOL_CRC(drm_mode_create_hdmi_colorspace_property, 0xd0cece88, "");
SYMBOL_CRC(drm_mode_create_dp_colorspace_property, 0xac6f65c3, "");
SYMBOL_CRC(drm_mode_create_content_type_property, 0xbbf5e992, "");
SYMBOL_CRC(drm_mode_create_suggested_offset_properties, 0x82da93f7, "");
SYMBOL_CRC(drm_connector_set_path_property, 0x1dad2d0b, "");
SYMBOL_CRC(drm_connector_set_tile_property, 0x024e1bc0, "");
SYMBOL_CRC(drm_connector_set_link_status_property, 0x8bb2da53, "");
SYMBOL_CRC(drm_connector_attach_max_bpc_property, 0xb8550bfc, "");
SYMBOL_CRC(drm_connector_attach_hdr_output_metadata_property, 0xb2fe793f, "");
SYMBOL_CRC(drm_connector_attach_broadcast_rgb_property, 0xd476a309, "");
SYMBOL_CRC(drm_connector_attach_colorspace_property, 0xca701ad0, "");
SYMBOL_CRC(drm_connector_atomic_hdr_metadata_equal, 0x90ebf05d, "");
SYMBOL_CRC(drm_connector_set_vrr_capable_property, 0x8fac12bc, "");
SYMBOL_CRC(drm_connector_set_panel_orientation, 0x2cac2a6c, "");
SYMBOL_CRC(drm_connector_set_panel_orientation_with_quirk, 0x832e1a74, "");
SYMBOL_CRC(drm_connector_set_orientation_from_panel, 0x57ea5365, "");
SYMBOL_CRC(drm_connector_create_privacy_screen_properties, 0x371468f4, "");
SYMBOL_CRC(drm_connector_attach_privacy_screen_properties, 0xf685af6d, "");
SYMBOL_CRC(drm_connector_attach_privacy_screen_provider, 0x1929a731, "");
SYMBOL_CRC(drm_connector_update_privacy_screen, 0x42a54867, "");
SYMBOL_CRC(drm_connector_oob_hotplug_event, 0xf30d805c, "");
SYMBOL_CRC(drm_mode_put_tile_group, 0xc170d7ac, "");
SYMBOL_CRC(drm_mode_get_tile_group, 0x3f1cecd5, "");
SYMBOL_CRC(drm_mode_create_tile_group, 0x04567ac4, "");
SYMBOL_CRC(drm_crtc_from_index, 0xafdb78d4, "");
SYMBOL_CRC(drm_crtc_init_with_planes, 0xc5fdf1bc, "");
SYMBOL_CRC(drmm_crtc_init_with_planes, 0x5562fcee, "");
SYMBOL_CRC(__drmm_crtc_alloc_with_planes, 0xee026213, "");
SYMBOL_CRC(drm_crtc_cleanup, 0x15ef5468, "");
SYMBOL_CRC(drm_mode_set_config_internal, 0x39c80c65, "");
SYMBOL_CRC(drm_crtc_check_viewport, 0x8b52b2da, "");
SYMBOL_CRC(drm_crtc_create_scaling_filter_property, 0x6201e55d, "");
SYMBOL_CRC(drm_put_dev, 0x6032e235, "");
SYMBOL_CRC(drm_dev_enter, 0xa6b263c1, "");
SYMBOL_CRC(drm_dev_exit, 0xe8a034df, "");
SYMBOL_CRC(drm_dev_unplug, 0x28a7e69b, "");
SYMBOL_CRC(__devm_drm_dev_alloc, 0x4ddb2bd3, "");
SYMBOL_CRC(drm_dev_alloc, 0x1b633f1a, "");
SYMBOL_CRC(drm_dev_get, 0xcbac02de, "");
SYMBOL_CRC(drm_dev_put, 0xc1ba744a, "");
SYMBOL_CRC(drm_dev_register, 0x9e5f6329, "");
SYMBOL_CRC(drm_dev_unregister, 0x20f7a8a1, "");
SYMBOL_CRC(drm_edid_header_is_valid, 0x9b9de1c1, "");
SYMBOL_CRC(drm_edid_block_valid, 0xd13f9985, "");
SYMBOL_CRC(drm_edid_is_valid, 0xc4200dab, "");
SYMBOL_CRC(drm_edid_valid, 0xb3750192, "");
SYMBOL_CRC(drm_edid_override_connector_update, 0x0dfc2e56, "");
SYMBOL_CRC(drm_edid_raw, 0x98fed39f, "");
SYMBOL_CRC(drm_edid_alloc, 0x79c00fa2, "");
SYMBOL_CRC(drm_edid_dup, 0xb212dc3e, "");
SYMBOL_CRC(drm_edid_free, 0x397c3d27, "");
SYMBOL_CRC(drm_probe_ddc, 0xd5fcfa28, "");
SYMBOL_CRC(drm_get_edid, 0x8c6ca3c3, "");
SYMBOL_CRC(drm_edid_read_custom, 0xb334b75c, "");
SYMBOL_CRC(drm_edid_read_ddc, 0x19fd9ca6, "");
SYMBOL_CRC(drm_edid_read, 0xf8a9f151, "");
SYMBOL_CRC(drm_edid_get_product_id, 0x38d55d21, "");
SYMBOL_CRC(drm_edid_print_product_id, 0xb2f44400, "");
SYMBOL_CRC(drm_edid_get_panel_id, 0xe75a9a81, "");
SYMBOL_CRC(drm_edid_read_base_block, 0x052e78ca, "");
SYMBOL_CRC(drm_get_edid_switcheroo, 0x526d18c4, "");
SYMBOL_CRC(drm_edid_read_switcheroo, 0xcb4e3e43, "");
SYMBOL_CRC(drm_edid_duplicate, 0x5f7137ba, "");
SYMBOL_CRC(drm_mode_find_dmt, 0xe5191912, "");
SYMBOL_CRC(drm_match_cea_mode, 0x9b285573, "");
SYMBOL_CRC(drm_display_mode_from_cea_vic, 0xc76fdd40, "");
SYMBOL_CRC(drm_edid_match, 0x05eb4392, "");
SYMBOL_CRC(drm_edid_get_monitor_name, 0x5e5128bf, "");
SYMBOL_CRC(drm_edid_to_sad, 0x4124e206, "");
SYMBOL_CRC(drm_edid_to_speaker_allocation, 0x47e22e1f, "");
SYMBOL_CRC(drm_av_sync_delay, 0x5147306c, "");
SYMBOL_CRC(drm_detect_hdmi_monitor, 0xa44eb44e, "");
SYMBOL_CRC(drm_detect_monitor_audio, 0xe4116245, "");
SYMBOL_CRC(drm_default_rgb_quant_range, 0x65702bd6, "");
SYMBOL_CRC(drm_edid_connector_update, 0xa119eba3, "");
SYMBOL_CRC(drm_edid_connector_add_modes, 0x132777cd, "");
SYMBOL_CRC(drm_connector_update_edid_property, 0x7b2b5888, "");
SYMBOL_CRC(drm_add_edid_modes, 0x29ae5fdf, "");
SYMBOL_CRC(drm_add_modes_noedid, 0x60687dc4, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_from_display_mode, 0xecf3c608, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_quant_range, 0x0af4332e, "");
SYMBOL_CRC(drm_hdmi_vendor_infoframe_from_display_mode, 0x003c637c, "");
SYMBOL_CRC(drm_edid_is_digital, 0xc518d486, "");
SYMBOL_CRC(drm_eld_sad_get, 0xe8fa400a, "");
SYMBOL_CRC(drm_eld_sad_set, 0xc53a8214, "");
SYMBOL_CRC(drm_encoder_init, 0xdc1fd150, "");
SYMBOL_CRC(drm_encoder_cleanup, 0x4260e85a, "");
SYMBOL_CRC(__drmm_encoder_alloc, 0x81926149, "");
SYMBOL_CRC(drmm_encoder_init, 0x2ce5e10f, "");
SYMBOL_CRC(drm_open, 0xbb2e9e29, "");
SYMBOL_CRC(drm_release, 0xa9bf4986, "");
SYMBOL_CRC(drm_release_noglobal, 0xab96ed91, "");
SYMBOL_CRC(drm_read, 0x05cbfc99, "");
SYMBOL_CRC(drm_poll, 0x57055918, "");
SYMBOL_CRC(drm_event_reserve_init_locked, 0x720af0d8, "");
SYMBOL_CRC(drm_event_reserve_init, 0x4def9b38, "");
SYMBOL_CRC(drm_event_cancel_free, 0xc372003f, "");
SYMBOL_CRC(drm_send_event_timestamp_locked, 0x4ce90147, "");
SYMBOL_CRC(drm_send_event_locked, 0x34336302, "");
SYMBOL_CRC(drm_send_event, 0xab472e4d, "");
SYMBOL_CRC(drm_print_memory_stats, 0x9bfc9dc7, "");
SYMBOL_CRC(drm_show_memory_stats, 0xb7692f1f, "");
SYMBOL_CRC(drm_show_fdinfo, 0xe2c37148, "");
SYMBOL_CRC(drm_mode_legacy_fb_format, 0x29f078d1, "");
SYMBOL_CRC(drm_driver_legacy_fb_format, 0x0c12d5dc, "");
SYMBOL_CRC(drm_format_info, 0x55eb38da, "");
SYMBOL_CRC(drm_get_format_info, 0xed317aae, "");
SYMBOL_CRC(drm_format_info_block_width, 0x74fc6fbd, "");
SYMBOL_CRC(drm_format_info_block_height, 0x982d09b3, "");
SYMBOL_CRC(drm_format_info_bpp, 0xe633a4cd, "");
SYMBOL_CRC(drm_format_info_min_pitch, 0x6910e4cd, "");
SYMBOL_CRC(drm_framebuffer_init, 0xc72f4d5a, "");
SYMBOL_CRC(drm_framebuffer_lookup, 0x2bc927b3, "");
SYMBOL_CRC(drm_framebuffer_unregister_private, 0xcc5f4c8d, "");
SYMBOL_CRC(drm_framebuffer_cleanup, 0xbea9abc8, "");
SYMBOL_CRC(drm_framebuffer_remove, 0x813afd68, "");
SYMBOL_CRC(drm_gem_object_init, 0xca7988dd, "");
SYMBOL_CRC(drm_gem_private_object_init, 0xc94edb17, "");
SYMBOL_CRC(drm_gem_private_object_fini, 0x8125412a, "");
SYMBOL_CRC(drm_gem_handle_delete, 0xf23344d9, "");
SYMBOL_CRC(drm_gem_dumb_map_offset, 0xb3a0a4a5, "_gpl");
SYMBOL_CRC(drm_gem_handle_create, 0x5bfe36f5, "");
SYMBOL_CRC(drm_gem_free_mmap_offset, 0x356103fa, "");
SYMBOL_CRC(drm_gem_create_mmap_offset_size, 0xc10e6f27, "");
SYMBOL_CRC(drm_gem_create_mmap_offset, 0x572108ae, "");
SYMBOL_CRC(drm_gem_get_pages, 0xd6f26cec, "");
SYMBOL_CRC(drm_gem_put_pages, 0xbc8b7f8d, "");
SYMBOL_CRC(drm_gem_objects_lookup, 0x3fdf1204, "");
SYMBOL_CRC(drm_gem_object_lookup, 0x7ca2d2ba, "");
SYMBOL_CRC(drm_gem_dma_resv_wait, 0x88cfe8ab, "");
SYMBOL_CRC(drm_gem_object_release, 0xb034e139, "");
SYMBOL_CRC(drm_gem_object_free, 0xd680a377, "");
SYMBOL_CRC(drm_gem_vm_open, 0x3e2f973f, "");
SYMBOL_CRC(drm_gem_vm_close, 0xb394cd5b, "");
SYMBOL_CRC(drm_gem_mmap_obj, 0x8b60e310, "");
SYMBOL_CRC(drm_gem_mmap, 0xe8ecf988, "");
SYMBOL_CRC(drm_gem_vmap, 0x6fc925a9, "");
SYMBOL_CRC(drm_gem_vunmap, 0x1b496aa6, "");
SYMBOL_CRC(drm_gem_lock, 0x26946f55, "");
SYMBOL_CRC(drm_gem_unlock, 0xd70ff169, "");
SYMBOL_CRC(drm_gem_vmap_unlocked, 0x402d7ea9, "");
SYMBOL_CRC(drm_gem_vunmap_unlocked, 0x778cc41c, "");
SYMBOL_CRC(drm_gem_lock_reservations, 0xfd57575f, "");
SYMBOL_CRC(drm_gem_unlock_reservations, 0x93c8aa2a, "");
SYMBOL_CRC(drm_gem_lru_init, 0xa956955b, "");
SYMBOL_CRC(drm_gem_lru_remove, 0xaad3c1b9, "");
SYMBOL_CRC(drm_gem_lru_move_tail_locked, 0xa3d4c3ea, "");
SYMBOL_CRC(drm_gem_lru_move_tail, 0x124be67f, "");
SYMBOL_CRC(drm_gem_lru_scan, 0xec96039d, "");
SYMBOL_CRC(drm_gem_evict, 0x47266607, "");
SYMBOL_CRC(drm_noop, 0xf56e1b39, "");
SYMBOL_CRC(drm_invalid_op, 0xdb6b877e, "");
SYMBOL_CRC(drm_ioctl_kernel, 0xdc7e5fea, "");
SYMBOL_CRC(drm_ioctl, 0xb0740727, "");
SYMBOL_CRC(drm_ioctl_flags, 0x57b6efe3, "");
SYMBOL_CRC(__drmm_add_action, 0x47944ccf, "");
SYMBOL_CRC(__drmm_add_action_or_reset, 0x584782ce, "");
SYMBOL_CRC(drmm_release_action, 0x9a65e0bd, "");
SYMBOL_CRC(drmm_kmalloc, 0x6c5618ce, "");
SYMBOL_CRC(drmm_kstrdup, 0xf2b5ffcb, "_gpl");
SYMBOL_CRC(drmm_kfree, 0x7d32e817, "");
SYMBOL_CRC(__drmm_mutex_release, 0x6232ea02, "");
SYMBOL_CRC(__drm_mm_interval_first, 0x25daad93, "");
SYMBOL_CRC(drm_mm_reserve_node, 0x2754dad8, "");
SYMBOL_CRC(drm_mm_insert_node_in_range, 0xb4032484, "");
SYMBOL_CRC(drm_mm_remove_node, 0x4b7ebf95, "");
SYMBOL_CRC(drm_mm_scan_init_with_range, 0x2a962499, "");
SYMBOL_CRC(drm_mm_scan_add_block, 0x2183c08c, "");
SYMBOL_CRC(drm_mm_scan_remove_block, 0x5f7985a5, "");
SYMBOL_CRC(drm_mm_scan_color_evict, 0xdf3f760d, "");
SYMBOL_CRC(drm_mm_init, 0xf0517d7a, "");
SYMBOL_CRC(drm_mm_takedown, 0x57698a50, "");
SYMBOL_CRC(drm_mm_print, 0x384b280d, "");
SYMBOL_CRC(drm_mode_config_reset, 0xd7aaaef5, "");
SYMBOL_CRC(drmm_mode_config_init, 0xac907ca3, "");
SYMBOL_CRC(drm_mode_config_cleanup, 0xccbfc095, "");
SYMBOL_CRC(drm_mode_object_find, 0x0af4627f, "");
SYMBOL_CRC(drm_mode_object_put, 0x273b6952, "");
SYMBOL_CRC(drm_mode_object_get, 0x4d506369, "");
SYMBOL_CRC(drm_object_attach_property, 0x3ad19a41, "");
SYMBOL_CRC(drm_object_property_set_value, 0x291d6817, "");
SYMBOL_CRC(drm_object_property_get_value, 0xa73ab704, "");
SYMBOL_CRC(drm_object_property_get_default_value, 0xd4473f9d, "");
SYMBOL_CRC(drm_mode_debug_printmodeline, 0x2ed3c600, "");
SYMBOL_CRC(drm_mode_create, 0xf560c9d7, "");
SYMBOL_CRC(drm_mode_destroy, 0x7e29e6be, "");
SYMBOL_CRC(drm_mode_probed_add, 0x2fa6a9e8, "");
SYMBOL_CRC(drm_analog_tv_mode, 0xd3f58818, "");
SYMBOL_CRC(drm_cvt_mode, 0xc15235a3, "");
SYMBOL_CRC(drm_gtf_mode_complex, 0x37d68ff6, "");
SYMBOL_CRC(drm_gtf_mode, 0x0c713853, "");
SYMBOL_CRC(drm_display_mode_from_videomode, 0x66cf2f64, "_gpl");
SYMBOL_CRC(drm_display_mode_to_videomode, 0xfe9f72f3, "_gpl");
SYMBOL_CRC(drm_bus_flags_from_videomode, 0xad885165, "_gpl");
SYMBOL_CRC(of_get_drm_display_mode, 0x857b0fa0, "_gpl");
SYMBOL_CRC(of_get_drm_panel_display_mode, 0xc28d1f90, "_gpl");
SYMBOL_CRC(drm_mode_set_name, 0x4a35d30d, "");
SYMBOL_CRC(drm_mode_vrefresh, 0xf1b5340a, "");
SYMBOL_CRC(drm_mode_get_hv_timing, 0x4403a9c3, "");
SYMBOL_CRC(drm_mode_set_crtcinfo, 0x4575a0ca, "");
SYMBOL_CRC(drm_mode_copy, 0x9ce050be, "");
SYMBOL_CRC(drm_mode_init, 0xcdb99cc9, "");
SYMBOL_CRC(drm_mode_duplicate, 0x37a80d17, "");
SYMBOL_CRC(drm_mode_match, 0x9b95c885, "");
SYMBOL_CRC(drm_mode_equal, 0x0d9b4753, "");
SYMBOL_CRC(drm_mode_equal_no_clocks, 0x3ab87110, "");
SYMBOL_CRC(drm_mode_equal_no_clocks_no_stereo, 0x24d124ac, "");
SYMBOL_CRC(drm_mode_validate_driver, 0x5826687b, "");
SYMBOL_CRC(drm_mode_validate_size, 0xd7a9cf42, "");
SYMBOL_CRC(drm_mode_validate_ycbcr420, 0xf91788d4, "");
SYMBOL_CRC(drm_mode_prune_invalid, 0xf898e672, "");
SYMBOL_CRC(drm_mode_sort, 0xf1421d13, "");
SYMBOL_CRC(drm_connector_list_update, 0x6e5bfad4, "");
SYMBOL_CRC(drm_mode_parse_command_line_for_connector, 0xf07d2a8b, "");
SYMBOL_CRC(drm_mode_create_from_cmdline_mode, 0x9abd8afb, "");
SYMBOL_CRC(drm_mode_is_420_only, 0xe7a9ecea, "");
SYMBOL_CRC(drm_mode_is_420_also, 0xace169b3, "");
SYMBOL_CRC(drm_mode_is_420, 0x784d6883, "");
SYMBOL_CRC(drm_set_preferred_mode, 0xf2f2c947, "");
SYMBOL_CRC(drm_modeset_lock_all, 0xcad69cd0, "");
SYMBOL_CRC(drm_modeset_unlock_all, 0x711beace, "");
SYMBOL_CRC(drm_warn_on_modeset_not_all_locked, 0x05327c3a, "");
SYMBOL_CRC(drm_modeset_acquire_init, 0xe89b3019, "");
SYMBOL_CRC(drm_modeset_acquire_fini, 0xd18b6e4d, "");
SYMBOL_CRC(drm_modeset_drop_locks, 0xf88747c7, "");
SYMBOL_CRC(drm_modeset_backoff, 0x602bafc7, "");
SYMBOL_CRC(drm_modeset_lock_init, 0x888db041, "");
SYMBOL_CRC(drm_modeset_lock, 0x1bd70945, "");
SYMBOL_CRC(drm_modeset_lock_single_interruptible, 0x55b2bce5, "");
SYMBOL_CRC(drm_modeset_unlock, 0xb3bdf225, "");
SYMBOL_CRC(drm_modeset_lock_all_ctx, 0x69c87b42, "");
SYMBOL_CRC(drm_universal_plane_init, 0x9598d3be, "");
SYMBOL_CRC(__drmm_universal_plane_alloc, 0x60a19b90, "");
SYMBOL_CRC(__drm_universal_plane_alloc, 0x1720028c, "");
SYMBOL_CRC(drm_plane_cleanup, 0x7434c872, "");
SYMBOL_CRC(drm_plane_from_index, 0x5fc05d00, "");
SYMBOL_CRC(drm_plane_force_disable, 0xd5768a67, "");
SYMBOL_CRC(drm_mode_plane_set_obj_prop, 0xe72f8497, "");
SYMBOL_CRC(drm_plane_has_format, 0x96e100b8, "");
SYMBOL_CRC(drm_any_plane_has_format, 0x275ef49e, "");
SYMBOL_CRC(drm_plane_enable_fb_damage_clips, 0xccac2415, "");
SYMBOL_CRC(drm_plane_get_damage_clips_count, 0x364a3a85, "");
SYMBOL_CRC(drm_plane_get_damage_clips, 0x7e7123ab, "");
SYMBOL_CRC(drm_plane_create_scaling_filter_property, 0x8c51d4e0, "");
SYMBOL_CRC(drm_plane_add_size_hints_property, 0x50244c94, "");
SYMBOL_CRC(drm_gem_dmabuf_export, 0x4e2a6c71, "");
SYMBOL_CRC(drm_gem_dmabuf_release, 0x95bd9a13, "");
SYMBOL_CRC(drm_gem_prime_fd_to_handle, 0xfba8859d, "");
SYMBOL_CRC(drm_gem_prime_handle_to_fd, 0x45f3eefd, "");
SYMBOL_CRC(drm_gem_map_attach, 0xe3a86906, "");
SYMBOL_CRC(drm_gem_map_detach, 0x2562a18b, "");
SYMBOL_CRC(drm_gem_map_dma_buf, 0xbbaafc3d, "");
SYMBOL_CRC(drm_gem_unmap_dma_buf, 0x59b35a43, "");
SYMBOL_CRC(drm_gem_dmabuf_vmap, 0x76356ec8, "");
SYMBOL_CRC(drm_gem_dmabuf_vunmap, 0x2ee9d538, "");
SYMBOL_CRC(drm_gem_prime_mmap, 0x8f19058b, "");
SYMBOL_CRC(drm_gem_dmabuf_mmap, 0xf9549033, "");
SYMBOL_CRC(drm_prime_pages_to_sg, 0x338f7a54, "");
SYMBOL_CRC(drm_prime_get_contiguous_size, 0xdad9c8b1, "");
SYMBOL_CRC(drm_gem_prime_export, 0x59120f7f, "");
SYMBOL_CRC(drm_gem_prime_import_dev, 0xa60c21e1, "");
SYMBOL_CRC(drm_gem_prime_import, 0x08d1e85e, "");
SYMBOL_CRC(drm_prime_sg_to_page_array, 0xb2c82eea, "");
SYMBOL_CRC(drm_prime_sg_to_dma_addr_array, 0x4e2a621e, "");
SYMBOL_CRC(drm_prime_gem_destroy, 0x17fc7bfe, "");
SYMBOL_CRC(__drm_debug, 0x69353664, "");
SYMBOL_CRC(__drm_puts_coredump, 0xc9f4f448, "");
SYMBOL_CRC(__drm_printfn_coredump, 0x95bf149b, "");
SYMBOL_CRC(__drm_puts_seq_file, 0x25b1a326, "");
SYMBOL_CRC(__drm_printfn_seq_file, 0x2140e8a1, "");
SYMBOL_CRC(__drm_printfn_info, 0x4488028a, "");
SYMBOL_CRC(__drm_printfn_dbg, 0x5fafb06f, "");
SYMBOL_CRC(__drm_printfn_err, 0x51a893c2, "");
SYMBOL_CRC(drm_puts, 0x4925085d, "");
SYMBOL_CRC(drm_printf, 0xbc0d826d, "");
SYMBOL_CRC(drm_print_bits, 0x1a01342e, "");
SYMBOL_CRC(drm_dev_printk, 0xa3d21f80, "");
SYMBOL_CRC(__drm_dev_dbg, 0x2673f198, "");
SYMBOL_CRC(__drm_err, 0xb11ac7a7, "");
SYMBOL_CRC(drm_print_regset32, 0xf07268f6, "");
SYMBOL_CRC(drm_property_create, 0x64740ce5, "");
SYMBOL_CRC(drm_property_create_enum, 0x70c1777d, "");
SYMBOL_CRC(drm_property_create_bitmask, 0xa21b8fd9, "");
SYMBOL_CRC(drm_property_create_range, 0x0b2b8475, "");
SYMBOL_CRC(drm_property_create_signed_range, 0x6f23d43f, "");
SYMBOL_CRC(drm_property_create_object, 0xc01f1d72, "");
SYMBOL_CRC(drm_property_create_bool, 0xdcc2d7e7, "");
SYMBOL_CRC(drm_property_add_enum, 0xadbf2952, "");
SYMBOL_CRC(drm_property_destroy, 0x7a4140bf, "");
SYMBOL_CRC(drm_property_create_blob, 0x05e1d7ce, "");
SYMBOL_CRC(drm_property_blob_put, 0xe3a89ae7, "");
SYMBOL_CRC(drm_property_blob_get, 0x96e34d25, "");
SYMBOL_CRC(drm_property_lookup_blob, 0x6baa9acd, "");
SYMBOL_CRC(drm_property_replace_global_blob, 0xa2832246, "");
SYMBOL_CRC(drm_property_replace_blob, 0xd7196fec, "");
SYMBOL_CRC(drm_property_replace_blob_from_id, 0x088c460e, "");
SYMBOL_CRC(drm_syncobj_find, 0x38e00646, "");
SYMBOL_CRC(drm_syncobj_add_point, 0xf62fbc06, "");
SYMBOL_CRC(drm_syncobj_replace_fence, 0x14bda767, "");
SYMBOL_CRC(drm_syncobj_find_fence, 0xf6f11703, "");
SYMBOL_CRC(drm_syncobj_free, 0x1a411479, "");
SYMBOL_CRC(drm_syncobj_create, 0xc6b8039b, "");
SYMBOL_CRC(drm_syncobj_get_handle, 0x1324e53b, "");
SYMBOL_CRC(drm_syncobj_get_fd, 0xb6ecc20f, "");
SYMBOL_CRC(drm_timeout_abs_to_jiffies, 0x50674de7, "");
SYMBOL_CRC(drm_sysfs_hotplug_event, 0x7646bd38, "");
SYMBOL_CRC(drm_sysfs_connector_hotplug_event, 0x9c0fbfa3, "");
SYMBOL_CRC(drm_sysfs_connector_property_event, 0x6e32dbb4, "");
SYMBOL_CRC(drm_class_device_register, 0x8ccfcb49, "_gpl");
SYMBOL_CRC(drm_class_device_unregister, 0x74934b16, "_gpl");
SYMBOL_CRC(drm_crtc_vblank_crtc, 0x69b902a6, "");
SYMBOL_CRC(drm_crtc_accurate_vblank_count, 0xac9c0468, "");
SYMBOL_CRC(drm_vblank_init, 0xd69a7a68, "");
SYMBOL_CRC(drm_dev_has_vblank, 0xcb8b78bd, "");
SYMBOL_CRC(drm_crtc_vblank_waitqueue, 0x83c84884, "");
SYMBOL_CRC(drm_calc_timestamping_constants, 0x3d89608e, "");
SYMBOL_CRC(drm_crtc_vblank_helper_get_vblank_timestamp_internal, 0xc7f99f4b, "");
SYMBOL_CRC(drm_crtc_vblank_helper_get_vblank_timestamp, 0x3ff8bbac, "");
SYMBOL_CRC(drm_crtc_vblank_count, 0x8c46f712, "");
SYMBOL_CRC(drm_crtc_vblank_count_and_time, 0x75ad6c80, "");
SYMBOL_CRC(drm_crtc_next_vblank_start, 0x7d181e6c, "");
SYMBOL_CRC(drm_crtc_arm_vblank_event, 0xf6a14e79, "");
SYMBOL_CRC(drm_crtc_send_vblank_event, 0x40848ba7, "");
SYMBOL_CRC(drm_crtc_vblank_get, 0x98118ef5, "");
SYMBOL_CRC(drm_crtc_vblank_put, 0x1c8295b5, "");
SYMBOL_CRC(drm_wait_one_vblank, 0x0128961c, "");
SYMBOL_CRC(drm_crtc_wait_one_vblank, 0xfb041086, "");
SYMBOL_CRC(drm_crtc_vblank_off, 0xb2579555, "");
SYMBOL_CRC(drm_crtc_vblank_reset, 0x967240e5, "");
SYMBOL_CRC(drm_crtc_set_max_vblank_count, 0xe62e416a, "");
SYMBOL_CRC(drm_crtc_vblank_on, 0x3dae3a1d, "");
SYMBOL_CRC(drm_crtc_vblank_restore, 0x2a2affdd, "");
SYMBOL_CRC(drm_handle_vblank, 0xc3576ecb, "");
SYMBOL_CRC(drm_crtc_handle_vblank, 0x077c768b, "");
SYMBOL_CRC(drm_vblank_work_schedule, 0x67c8c1c4, "");
SYMBOL_CRC(drm_vblank_work_cancel_sync, 0x8cbb1c37, "");
SYMBOL_CRC(drm_vblank_work_flush, 0x77cc8127, "");
SYMBOL_CRC(drm_vblank_work_flush_all, 0x5ad28d24, "");
SYMBOL_CRC(drm_vblank_work_init, 0x9c091a62, "");
SYMBOL_CRC(drm_vma_offset_manager_init, 0x3c22a4d8, "");
SYMBOL_CRC(drm_vma_offset_manager_destroy, 0x07fb449a, "");
SYMBOL_CRC(drm_vma_offset_lookup_locked, 0xc7910e38, "");
SYMBOL_CRC(drm_vma_offset_add, 0xe8a0e334, "");
SYMBOL_CRC(drm_vma_offset_remove, 0x4831da6e, "");
SYMBOL_CRC(drm_vma_node_allow, 0xc7d04fc5, "");
SYMBOL_CRC(drm_vma_node_allow_once, 0x820ac5c0, "");
SYMBOL_CRC(drm_vma_node_revoke, 0x7b2e2166, "");
SYMBOL_CRC(drm_vma_node_is_allowed, 0x24cf437a, "");
SYMBOL_CRC(drm_writeback_connector_init, 0x811fb91c, "");
SYMBOL_CRC(drm_writeback_connector_init_with_encoder, 0xa4297ed3, "");
SYMBOL_CRC(drm_writeback_prepare_job, 0xdba690c6, "");
SYMBOL_CRC(drm_writeback_queue_job, 0x54582e83, "");
SYMBOL_CRC(drm_writeback_cleanup_job, 0xdb177cd1, "");
SYMBOL_CRC(drm_writeback_signal_completion, 0xa4aff612, "");
SYMBOL_CRC(drm_writeback_get_out_fence, 0x8bc91f99, "");
SYMBOL_CRC(drm_compat_ioctl, 0xb2c8ce84, "");
SYMBOL_CRC(drm_panel_init, 0xc99f67da, "");
SYMBOL_CRC(drm_panel_add, 0x679ddb23, "");
SYMBOL_CRC(drm_panel_remove, 0x7239b27c, "");
SYMBOL_CRC(drm_panel_prepare, 0x671b40c7, "");
SYMBOL_CRC(drm_panel_unprepare, 0x69da4bac, "");
SYMBOL_CRC(drm_panel_enable, 0xad9cd033, "");
SYMBOL_CRC(drm_panel_disable, 0xa5a3c84f, "");
SYMBOL_CRC(drm_panel_get_modes, 0x345749c0, "");
SYMBOL_CRC(of_drm_find_panel, 0x8ea96c1e, "");
SYMBOL_CRC(of_drm_get_panel_orientation, 0xcdfa21a3, "");
SYMBOL_CRC(drm_is_panel_follower, 0xcd07881c, "");
SYMBOL_CRC(drm_panel_add_follower, 0x6e7a1202, "");
SYMBOL_CRC(drm_panel_remove_follower, 0x5d350cdc, "");
SYMBOL_CRC(devm_drm_panel_add_follower, 0xa4ab0f8a, "");
SYMBOL_CRC(drm_panel_of_backlight, 0xb53f4fab, "");
SYMBOL_CRC(drm_of_crtc_port_mask, 0x3288e261, "");
SYMBOL_CRC(drm_of_find_possible_crtcs, 0x4921ac59, "");
SYMBOL_CRC(drm_of_component_match_add, 0xbc68693f, "_gpl");
SYMBOL_CRC(drm_of_component_probe, 0x9b65030f, "");
SYMBOL_CRC(drm_of_encoder_active_endpoint, 0xd9b5e2a1, "_gpl");
SYMBOL_CRC(drm_of_find_panel_or_bridge, 0xbf4236c7, "_gpl");
SYMBOL_CRC(drm_of_lvds_get_dual_link_pixel_order, 0x260efac5, "_gpl");
SYMBOL_CRC(drm_of_lvds_get_data_mapping, 0x2d1ec786, "_gpl");
SYMBOL_CRC(drm_of_get_data_lanes_count, 0xed62de9c, "_gpl");
SYMBOL_CRC(drm_of_get_data_lanes_count_ep, 0x43a50234, "_gpl");
SYMBOL_CRC(drm_of_get_dsi_bus, 0xcf963eda, "_gpl");
SYMBOL_CRC(drm_debugfs_gpuva_info, 0x132a29ba, "");
SYMBOL_CRC(drm_debugfs_create_files, 0x22ebdd2e, "");
SYMBOL_CRC(drm_debugfs_remove_files, 0x41194d60, "");
SYMBOL_CRC(drm_debugfs_add_file, 0x570e16d0, "");
SYMBOL_CRC(drm_debugfs_add_files, 0x474b0787, "");
SYMBOL_CRC(drm_crtc_add_crc_entry, 0xa369b197, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc528a49a, "queued_write_lock_slowpath" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xd4845a05, "try_module_get" },
	{ 0xea44a38b, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc6f7e15e, "ww_mutex_lock_interruptible" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x11a1ed3c, "alloc_anon_inode" },
	{ 0x83b75fd, "show_class_attr_string" },
	{ 0x4c583dcd, "kthread_cancel_work_sync" },
	{ 0xb86e9579, "is_acpi_device_node" },
	{ 0x212c88de, "kthread_create_worker" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xb63e6d34, "kthread_flush_work" },
	{ 0x4506c655, "bpf_trace_run4" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x20978fb9, "idr_find" },
	{ 0x9308ab62, "param_ops_ulong" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xe9d10d9d, "of_node_put" },
	{ 0xf9ed9452, "of_property_read_variable_u32_array" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xbfd77d62, "shmem_read_folio_gfp" },
	{ 0x393a64ae, "__folio_batch_release" },
	{ 0xdec5f1bf, "dev_set_name" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x66278a1, "component_master_add_with_match" },
	{ 0x8abd045a, "seq_buf_printf" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x93b9a682, "trace_raw_output_prep" },
	{ 0x478fc40d, "dma_resv_init" },
	{ 0x2c91e17c, "vm_get_page_prot" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x1f4f53f5, "dma_resv_wait_timeout" },
	{ 0x9838955f, "device_unregister" },
	{ 0x35190c94, "debugfs_create_symlink" },
	{ 0xca9360b5, "rb_next" },
	{ 0x8b618d08, "overflowuid" },
	{ 0x556be6e0, "__trace_trigger_soft_disabled" },
	{ 0x6d43541e, "kthread_flush_worker" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x6749d53f, "hdmi_vendor_infoframe_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x8dceb523, "request_firmware" },
	{ 0x3ebb35fe, "class_destroy" },
	{ 0xcb6b138, "trace_event_printf" },
	{ 0x917369df, "of_graph_is_present" },
	{ 0x96848186, "scnprintf" },
	{ 0x7b82b9a1, "idr_replace" },
	{ 0xc9820bd, "ww_mutex_unlock" },
	{ 0x3b9c57bf, "device_initialize" },
	{ 0xb3eae4d1, "__kmalloc_node_track_caller_noprof" },
	{ 0x75d0deb9, "nsecs_to_jiffies64" },
	{ 0x62ac2844, "fd_install" },
	{ 0x689067dd, "dma_fence_chain_ops" },
	{ 0x6ed28b41, "of_graph_parse_endpoint" },
	{ 0x3f7c8b8f, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x726ca848, "component_del" },
	{ 0x18764fbc, "unmap_mapping_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xd0741cad, "iput" },
	{ 0x5b66fa60, "seq_lseek" },
	{ 0x61d0ab1e, "of_node_get" },
	{ 0x75a84cc, "of_graph_get_remote_port_parent" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xa9a07ff6, "of_graph_get_remote_port" },
	{ 0xe8f51d80, "dma_buf_unmap_attachment_unlocked" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x628c0f8f, "dma_fence_add_callback" },
	{ 0x5eea036f, "synchronize_srcu" },
	{ 0xccaf994e, "dma_fence_set_deadline" },
	{ 0x67155184, "get_device" },
	{ 0x94aa6c4c, "dma_buf_attach" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x5d112304, "__memcpy_fromio" },
	{ 0xfeb001ec, "class_create_file_ns" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x4a64ac99, "of_graph_get_endpoint_by_regs" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x354b3d7c, "wake_up_process" },
	{ 0x34070452, "dev_driver_string" },
	{ 0xe86cfceb, "dma_buf_map_attachment_unlocked" },
	{ 0xfb6dfa14, "trace_event_buffer_commit" },
	{ 0x122c3a7e, "_printk" },
	{ 0x701aff11, "ww_mutex_trylock" },
	{ 0xca7450ad, "register_acpi_bus_type" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xdda1d224, "devm_of_find_backlight" },
	{ 0xe533a845, "of_get_next_child" },
	{ 0x617c452b, "queued_read_lock_slowpath" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xc180ffdb, "dma_max_mapping_size" },
	{ 0x8619869e, "put_device" },
	{ 0xf82ec573, "rb_prev" },
	{ 0xd9e1071a, "dma_buf_export" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0xee0118df, "aperture_remove_conflicting_devices" },
	{ 0xa2c4d1b8, "kthread_queue_work" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x70daa11e, "dma_fence_remove_callback" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0x6e3b4a93, "folio_mark_dirty" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0xc6cbbc89, "capable" },
	{ 0xcfc9deaf, "atomic_dec_and_mutex_lock" },
	{ 0x1f9a9c72, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xed35c0dc, "sysfs_create_link" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x6fff261f, "__arch_clear_user" },
	{ 0x800473f, "__cond_resched" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x98555a05, "dma_fence_chain_walk" },
	{ 0x4edc6205, "debugfs_lookup" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xb679512f, "__task_pid_nr_ns" },
	{ 0xdd058624, "kobject_uevent_env" },
	{ 0x4ea5d10, "ksize" },
	{ 0x42a663fc, "shmem_file_setup" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x3da092b8, "dma_fence_get_stub" },
	{ 0x2e439142, "drm_get_panel_orientation_quirk" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x4bb807c7, "perf_trace_run_bpf_submit" },
	{ 0x97b585fb, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x2d938670, "simple_open" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0x61373533, "device_add" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x2691b191, "__of_parse_phandle_with_args" },
	{ 0x5ef57105, "sysfs_remove_link" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x1aacf176, "pid_task" },
	{ 0x3a2d14ef, "__srcu_read_lock" },
	{ 0x587b0954, "kvasprintf" },
	{ 0xa1d8004a, "videomode_from_timing" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xfdc0adc2, "noop_llseek" },
	{ 0xaacf03c1, "dma_fence_signal" },
	{ 0xc31e6824, "folio_mark_accessed" },
	{ 0x7385efb9, "dma_resv_fini" },
	{ 0xd066367f, "class_create" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x954f099c, "idr_preload" },
	{ 0x7ef4bddc, "__sg_page_iter_next" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0x73031e46, "dma_buf_get" },
	{ 0x495eed8e, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xf308580a, "aperture_remove_conflicting_pci_devices" },
	{ 0x6f2c2cc6, "seq_putc" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0xc3f628d8, "ww_mutex_lock" },
	{ 0x2092327, "trace_event_reg" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xf0e0696d, "of_property_count_elems_of_size" },
	{ 0xc8610a49, "dma_buf_put" },
	{ 0xffb7c514, "ida_free" },
	{ 0x4f06087e, "dma_buf_fd" },
	{ 0xdbcbd433, "of_property_read_string" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x5b36a3ec, "of_find_property" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0xfbf4347c, "of_graph_get_next_endpoint" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xf77555cd, "__memcpy_toio" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xa33705b7, "of_device_is_available" },
	{ 0xdeb99119, "dma_fence_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xfcfd1684, "of_graph_get_remote_node" },
	{ 0x11089ac7, "_ctype" },
	{ 0x65ea0b6f, "device_register" },
	{ 0x61401cd3, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xae1e51fc, "sg_alloc_table_from_pages_segment" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xdcb764ad, "memset" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0x52e86a19, "unregister_acpi_bus_type" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x7358fb91, "param_ops_string" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x4841bdee, "strnchr" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x918fe3d4, "component_release_of" },
	{ 0xc15426db, "devm_aperture_acquire_for_platform_device" },
	{ 0x8feeab11, "init_pseudo" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x529bc4c7, "check_move_unevictable_folios" },
	{ 0x2da8d207, "bpf_trace_run3" },
	{ 0x32f1e81b, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4eb2b066, "hdmi_avi_infoframe_init" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0x13107c3a, "debugfs_create_file" },
	{ 0xda2d7a21, "trace_event_buffer_reserve" },
	{ 0x697d02d2, "of_find_mipi_dsi_host_by_node" },
	{ 0xcd0d4d23, "dma_map_sgtable" },
	{ 0xbb44b8bf, "kthread_destroy_worker" },
	{ 0xdab55259, "component_match_add_release" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xe436e90c, "__dma_fence_unwrap_merge" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xa6457c89, "hdmi_infoframe_pack" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x2a5a048f, "dentry_open" },
	{ 0xe091c977, "list_sort" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x8af106b1, "of_get_videomode" },
	{ 0xacdd7225, "__register_chrdev" },
	{ 0x562dc30, "__sg_page_iter_start" },
	{ 0x5737dbe8, "seq_write" },
	{ 0x6b49a0c, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x899fbd06, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd69fd17, "__srcu_read_unlock" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x562689dd, "i2c_transfer" },
	{ 0xba00daa2, "dma_fence_allocate_private_stub" },
	{ 0xf98d9090, "dma_buf_detach" },
	{ 0x3daae96c, "dma_fence_signal_timestamp" },
	{ 0x3af1ef53, "dma_fence_chain_init" },
	{ 0xa5c872a7, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xc59e04c7, "pid_vnr" },
	{ 0x3f780e90, "sched_set_fifo" },
	{ 0xe647c55, "of_node_name_eq" },
	{ 0x11b820e0, "simple_release_fs" },
	{ 0x5986a5d8, "dma_unmap_sg_attrs" },
	{ 0x17b54fce, "__seq_puts" },
	{ 0xe5602a5e, "kill_anon_super" },
	{ 0xb71a1e0b, "from_kuid_munged" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0xfe1f1c42, "__devm_add_action" },
	{ 0x5951752b, "component_add" },
	{ 0x30babdac, "dma_resv_test_signaled" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0xcc328a5c, "reservation_ww_class" },
	{ 0x98cf60b3, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0xbb5dd4a, "dma_fence_chain_find_seqno" },
	{ 0xcb74520d, "param_ops_int" },
	{ 0x2151991b, "_dev_printk" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x3466fede, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0xe820ea6a, "debugfs_create_dir" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x46bd5d6e, "video_get_options" },
	{ 0x5359e8dc, "__kvmalloc_node_noprof" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x7155bcf8, "sync_file_get_fence" },
	{ 0x5f9d8bb7, "put_pid" },
	{ 0x9aaacae9, "__dev_fwnode" },
	{ 0x83012dcb, "pci_bus_type" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0xc34ee371, "of_get_display_timing" },
	{ 0x7529f084, "class_remove_file_ns" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x36fbd894, "simple_pin_fs" },
	{ 0x734896cf, "sync_file_create" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xe3ad3046, "__sg_page_iter_dma_next" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "backlight");


MODULE_INFO(srcversion, "2B6D33A4658B46BB39CBC2A");
