#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gpuvm_range_valid, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_resv_object_alloc, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_init, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_put, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_prepare_vm, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_prepare_objects, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_prepare_range, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_exec_lock, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_exec_lock_array, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_exec_lock_range, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_validate, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_resv_add_fence, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_put, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_find, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_obtain, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_obtain_prealloc, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_extobj_add, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_evict, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_insert, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_remove, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_link, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_unlink, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find_first, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find_prev, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find_next, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_interval_empty, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_map, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_remap, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_unmap, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_sm_map, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_sm_unmap, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_sm_map_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_sm_unmap_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_prefetch_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_unmap_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_ops_free, "_gpl", "");

SYMBOL_CRC(drm_gpuvm_range_valid, 0x4893e4b2, "_gpl");
SYMBOL_CRC(drm_gpuvm_resv_object_alloc, 0x9b7fb413, "_gpl");
SYMBOL_CRC(drm_gpuvm_init, 0xe1664acd, "_gpl");
SYMBOL_CRC(drm_gpuvm_put, 0xceedf893, "_gpl");
SYMBOL_CRC(drm_gpuvm_prepare_vm, 0x2d0a43e4, "_gpl");
SYMBOL_CRC(drm_gpuvm_prepare_objects, 0x6d87f18d, "_gpl");
SYMBOL_CRC(drm_gpuvm_prepare_range, 0x48faa14e, "_gpl");
SYMBOL_CRC(drm_gpuvm_exec_lock, 0xcaaf5f29, "_gpl");
SYMBOL_CRC(drm_gpuvm_exec_lock_array, 0x330f9973, "_gpl");
SYMBOL_CRC(drm_gpuvm_exec_lock_range, 0xcae437b4, "_gpl");
SYMBOL_CRC(drm_gpuvm_validate, 0x92983055, "_gpl");
SYMBOL_CRC(drm_gpuvm_resv_add_fence, 0x571aa0b5, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_create, 0x9fb0c9ec, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_put, 0xc2c9d863, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_find, 0x1631c23d, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_obtain, 0xf61ab933, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_obtain_prealloc, 0x8d466b65, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_extobj_add, 0x60696401, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_evict, 0x82f2fe56, "_gpl");
SYMBOL_CRC(drm_gpuva_insert, 0xf585fdfe, "_gpl");
SYMBOL_CRC(drm_gpuva_remove, 0x8f86bc6a, "_gpl");
SYMBOL_CRC(drm_gpuva_link, 0x221c10ad, "_gpl");
SYMBOL_CRC(drm_gpuva_unlink, 0xdd62f004, "_gpl");
SYMBOL_CRC(drm_gpuva_find_first, 0x6e5ee64e, "_gpl");
SYMBOL_CRC(drm_gpuva_find, 0x24bd493c, "_gpl");
SYMBOL_CRC(drm_gpuva_find_prev, 0xb31c7a7e, "_gpl");
SYMBOL_CRC(drm_gpuva_find_next, 0x88006f6c, "_gpl");
SYMBOL_CRC(drm_gpuvm_interval_empty, 0x78200e0e, "_gpl");
SYMBOL_CRC(drm_gpuva_map, 0xc7bdddcd, "_gpl");
SYMBOL_CRC(drm_gpuva_remap, 0x6e44f17c, "_gpl");
SYMBOL_CRC(drm_gpuva_unmap, 0xe73724b3, "_gpl");
SYMBOL_CRC(drm_gpuvm_sm_map, 0x190faeb3, "_gpl");
SYMBOL_CRC(drm_gpuvm_sm_unmap, 0x042fba0b, "_gpl");
SYMBOL_CRC(drm_gpuvm_sm_map_ops_create, 0x0db5b82a, "_gpl");
SYMBOL_CRC(drm_gpuvm_sm_unmap_ops_create, 0x470b00c4, "_gpl");
SYMBOL_CRC(drm_gpuvm_prefetch_ops_create, 0xfd366d5e, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_unmap_ops_create, 0x44e77561, "_gpl");
SYMBOL_CRC(drm_gpuva_ops_free, 0x86f20a4e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb034e139, "drm_gem_object_release" },
	{ 0x37a0cba, "kfree" },
	{ 0x34070452, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0x79782548, "drm_exec_prepare_array" },
	{ 0x1c00cde1, "dma_resv_add_fence" },
	{ 0xdcb764ad, "memset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xc94edb17, "drm_gem_private_object_init" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0xca9360b5, "rb_next" },
	{ 0xdf476524, "drm_exec_prepare_obj" },
	{ 0xb32e08a7, "drm_exec_lock_obj" },
	{ 0xc73bb667, "drm_exec_init" },
	{ 0xc23b2ae7, "drm_exec_cleanup" },
	{ 0x3c1c94e2, "drm_exec_fini" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0xf82ec573, "rb_prev" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x800473f, "__cond_resched" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "drm,drm_exec");


MODULE_INFO(srcversion, "AE6034294DD56076A1A429C");
