#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbea9abc8, "drm_framebuffer_cleanup" },
	{ 0xe9dad64a, "drm_gem_fb_destroy" },
	{ 0x5f1f0602, "drm_client_register" },
	{ 0x6caa7ea2, "drm_kms_helper_poll_fini" },
	{ 0xbb2e9e29, "drm_open" },
	{ 0x3cc8f38f, "regulator_enable" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0x2ea02ac1, "of_drm_find_bridge" },
	{ 0x438627b2, "drm_fb_helper_init" },
	{ 0x24600a27, "devm_platform_ioremap_resource" },
	{ 0x57055918, "drm_poll" },
	{ 0x38f2174b, "drm_fb_helper_debug_enter" },
	{ 0xa500d43d, "mipi_dsi_host_register" },
	{ 0x72801fe0, "drm_bridge_add" },
	{ 0xcb824037, "regmap_write" },
	{ 0x29f078d1, "drm_mode_legacy_fb_format" },
	{ 0x4c55545d, "devm_request_threaded_irq" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0xe9d10d9d, "of_node_put" },
	{ 0x3af1a68d, "of_get_next_parent" },
	{ 0xc12f0ec8, "drm_kms_helper_poll_init" },
	{ 0xc72f4d5a, "drm_framebuffer_init" },
	{ 0xe264eaea, "drm_fb_helper_lastclose" },
	{ 0x3b82c1cf, "platform_driver_unregister" },
	{ 0xc17775fb, "drm_fb_helper_setcmap" },
	{ 0xc53aebd3, "drm_fb_helper_alloc_info" },
	{ 0xedcf6c54, "drm_helper_disable_unused_functions" },
	{ 0x5b2ca68c, "of_address_to_resource" },
	{ 0xa42c601b, "drm_fb_helper_unprepare" },
	{ 0x66278a1, "component_master_add_with_match" },
	{ 0x2c91e17c, "vm_get_page_prot" },
	{ 0x3ca3a89a, "drm_atomic_helper_disable_plane" },
	{ 0x8f19058b, "drm_gem_prime_mmap" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x40de2244, "drm_fb_helper_fini" },
	{ 0xb14ab1ef, "hdmi_audio_infoframe_init" },
	{ 0x64ac67a6, "drm_atomic_helper_shutdown" },
	{ 0x3ea528ee, "devm_ioremap" },
	{ 0xedc03953, "iounmap" },
	{ 0x91203d85, "component_compare_dev" },
	{ 0x4d506369, "drm_mode_object_get" },
	{ 0xb65dd6be, "gpiod_to_irq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x726ca848, "component_del" },
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0xecf3c608, "drm_hdmi_avi_infoframe_from_display_mode" },
	{ 0xe091a060, "samsung_dsim_pm_ops" },
	{ 0xcac098b6, "drm_helper_hpd_irq_event" },
	{ 0x4a19445b, "dma_buf_mmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x1f47f93a, "drm_atomic_helper_crtc_destroy_state" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x15ef5468, "drm_crtc_cleanup" },
	{ 0x75a84cc, "of_graph_get_remote_port_parent" },
	{ 0xdf0635a, "drm_connector_list_iter_begin" },
	{ 0x13375699, "drm_fb_helper_fill_info" },
	{ 0x54134365, "samsung_dsim_probe" },
	{ 0x572108ae, "drm_gem_create_mmap_offset" },
	{ 0x36e784a6, "i2c_transfer_buffer_flags" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xf1fc073c, "gpiod_get_value" },
	{ 0x4260e85a, "drm_encoder_cleanup" },
	{ 0xca7988dd, "drm_gem_object_init" },
	{ 0xd0f57328, "drm_connector_unregister" },
	{ 0xe2964344, "__wake_up" },
	{ 0xac907ca3, "drmm_mode_config_init" },
	{ 0xb488bd02, "devm_clk_get" },
	{ 0x170e8282, "drm_plane_create_zpos_property" },
	{ 0x97462990, "devm_regulator_get_optional" },
	{ 0x4a64ac99, "of_graph_get_endpoint_by_regs" },
	{ 0x60687dc4, "drm_add_modes_noedid" },
	{ 0xa6d4aefd, "drm_bridge_remove" },
	{ 0x273b6952, "drm_mode_object_put" },
	{ 0x34070452, "dev_driver_string" },
	{ 0x77e36f63, "drm_fb_helper_hotplug_event" },
	{ 0xc6c5c854, "of_find_compatible_node" },
	{ 0x98118ef5, "drm_crtc_vblank_get" },
	{ 0x7ca2d2ba, "drm_gem_object_lookup" },
	{ 0x40848ba7, "drm_crtc_send_vblank_event" },
	{ 0xc0e9d4, "drm_connector_attach_encoder" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xa1186750, "fb_sys_write" },
	{ 0x122c3a7e, "_printk" },
	{ 0x2396c7f0, "clk_set_parent" },
	{ 0x29e1e204, "hdmi_audio_infoframe_pack" },
	{ 0x9c358ca1, "sys_imageblit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa9823767, "drm_fb_helper_blank" },
	{ 0xb7702e57, "platform_get_irq_byname" },
	{ 0xe4bbb1b0, "drm_fb_helper_check_var" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xdef642b, "drm_atomic_helper_commit" },
	{ 0x403825b2, "syscon_regmap_lookup_by_phandle" },
	{ 0x8619869e, "put_device" },
	{ 0x47da703, "drm_atomic_helper_check" },
	{ 0xf693587e, "pm_runtime_enable" },
	{ 0x4186d5a6, "__drm_atomic_helper_plane_destroy_state" },
	{ 0x5f2bfaac, "drm_atomic_helper_connector_destroy_state" },
	{ 0x86d7d8d3, "sys_fillrect" },
	{ 0x58aba11a, "drm_connector_list_iter_end" },
	{ 0x36d5dce6, "regulator_bulk_disable" },
	{ 0xe8ecf988, "drm_gem_mmap" },
	{ 0x526eef2c, "hdmi_vendor_infoframe_pack" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0xb0740727, "drm_ioctl" },
	{ 0x7434c872, "drm_plane_cleanup" },
	{ 0x4575a0ca, "drm_mode_set_crtcinfo" },
	{ 0x813afd68, "drm_framebuffer_remove" },
	{ 0xa3d21f80, "drm_dev_printk" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x2c92f911, "drm_client_init" },
	{ 0x800473f, "__cond_resched" },
	{ 0xbb3d1556, "of_get_child_by_name" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xb394cd5b, "drm_gem_vm_close" },
	{ 0x3e2f973f, "drm_gem_vm_open" },
	{ 0x85405af6, "drm_fb_helper_prepare" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x57bc19d2, "down_write" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x8dafaf22, "hdmi_avi_infoframe_pack" },
	{ 0xce807a25, "up_write" },
	{ 0x38f78982, "drm_mode_config_helper_suspend" },
	{ 0x2691b191, "__of_parse_phandle_with_args" },
	{ 0xa7914185, "drm_connector_init_with_ddc" },
	{ 0x955ba9f0, "platform_device_unregister" },
	{ 0x29ae5fdf, "drm_add_edid_modes" },
	{ 0xfdc0adc2, "noop_llseek" },
	{ 0x5cbfc99, "drm_read" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xb034e139, "drm_gem_object_release" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x642cc440, "dma_alloc_attrs" },
	{ 0xdad9c8b1, "drm_prime_get_contiguous_size" },
	{ 0xb3a0a4a5, "drm_gem_dumb_map_offset" },
	{ 0xfe9f72f3, "drm_display_mode_to_videomode" },
	{ 0x3dae3a1d, "drm_crtc_vblank_on" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x5bfe36f5, "drm_gem_handle_create" },
	{ 0xcd8a8182, "drm_gem_fb_get_obj" },
	{ 0x3b5babb0, "of_iomap" },
	{ 0xc5fdf1bc, "drm_crtc_init_with_planes" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xe147a7b3, "drm_helper_mode_fill_fb_struct" },
	{ 0x3389abaf, "__drm_atomic_helper_plane_reset" },
	{ 0x2673f198, "__drm_dev_dbg" },
	{ 0x20f7a8a1, "drm_dev_unregister" },
	{ 0x25b8f202, "drm_atomic_helper_commit_tail_rpm" },
	{ 0x9ce050be, "drm_mode_copy" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xdcb764ad, "memset" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0xc1ba744a, "drm_dev_put" },
	{ 0x7b2b5888, "drm_connector_update_edid_property" },
	{ 0x5cdbb5b2, "drm_plane_create_alpha_property" },
	{ 0x84342fb2, "drm_atomic_helper_set_config" },
	{ 0x73814bf9, "drm_fb_helper_pan_display" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x6d6b21f3, "regulator_bulk_enable" },
	{ 0x31565f22, "devm_regulator_bulk_get" },
	{ 0xc1d28e97, "drm_atomic_helper_connector_duplicate_state" },
	{ 0xc92fc75c, "drm_client_release" },
	{ 0x6a4a0153, "__drm_atomic_helper_plane_duplicate_state" },
	{ 0xf4d76834, "drm_connector_cleanup" },
	{ 0xed317aae, "drm_get_format_info" },
	{ 0xed826b94, "__platform_driver_register" },
	{ 0x9598d3be, "drm_universal_plane_init" },
	{ 0x1d51b3fb, "samsung_dsim_remove" },
	{ 0x4596604e, "drm_atomic_helper_crtc_reset" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x767565ec, "sys_copyarea" },
	{ 0x75f6e82, "drm_connector_list_iter_next" },
	{ 0x362dcefc, "platform_device_register_full" },
	{ 0x870c85d3, "component_master_del" },
	{ 0xecf6c88c, "drm_simple_encoder_init" },
	{ 0x404667b0, "dma_free_attrs" },
	{ 0xd69a7a68, "drm_vblank_init" },
	{ 0x133e2f27, "regmap_read" },
	{ 0x4f139bf4, "__pm_runtime_resume" },
	{ 0xdab55259, "component_match_add_release" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xa1295ae4, "drm_kms_helper_hotplug_event" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x63dd255d, "platform_find_device_by_driver" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x3a707c93, "pm_runtime_force_resume" },
	{ 0x68c031ce, "component_bind_all" },
	{ 0xa74c5cb4, "devm_gpiod_get" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xb2579555, "drm_crtc_vblank_off" },
	{ 0x56470118, "__warn_printk" },
	{ 0x191aa226, "mipi_dsi_host_unregister" },
	{ 0x1c70b7de, "drm_helper_probe_single_connector_modes" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x77c768b, "drm_crtc_handle_vblank" },
	{ 0xa60c21e1, "drm_gem_prime_import_dev" },
	{ 0xb24a032c, "fb_sys_read" },
	{ 0x210deaf2, "drm_fb_helper_debug_leave" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xea3e8797, "dma_mmap_attrs" },
	{ 0x8e598b4b, "drm_bridge_attach" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x66476727, "drm_atomic_helper_page_flip" },
	{ 0x207bb5ea, "regmap_update_bits_base" },
	{ 0x708548b4, "drm_gem_fb_create_handle" },
	{ 0x85377110, "cec_fill_conn_info_from_drm" },
	{ 0xd0b5edbf, "dma_get_sgtable_attrs" },
	{ 0x157b086f, "drm_atomic_helper_connector_reset" },
	{ 0xc3293cf7, "regulator_disable" },
	{ 0x92f2a8c, "dev_err_probe" },
	{ 0xd7aaaef5, "drm_mode_config_reset" },
	{ 0x817cce4, "drm_plane_create_blend_mode_property" },
	{ 0x5951752b, "component_add" },
	{ 0xccbfc095, "drm_mode_config_cleanup" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x3c637c, "drm_hdmi_vendor_infoframe_from_display_mode" },
	{ 0x450abac7, "drm_mode_config_helper_resume" },
	{ 0xf140f20, "component_unbind_all" },
	{ 0x2ace5d43, "drm_fb_helper_initial_config" },
	{ 0x1b633f1a, "drm_dev_alloc" },
	{ 0xc1e79586, "of_device_get_match_data" },
	{ 0x568d4681, "__pm_runtime_disable" },
	{ 0xb764ca40, "i2c_find_device_by_fwnode" },
	{ 0xc9238202, "drm_atomic_helper_crtc_duplicate_state" },
	{ 0xf6a14e79, "drm_crtc_arm_vblank_event" },
	{ 0xa5cfc8b0, "drm_fb_helper_unregister_info" },
	{ 0x690b3a83, "drm_atomic_helper_update_plane" },
	{ 0x8c6ca3c3, "drm_get_edid" },
	{ 0x815588a6, "clk_enable" },
	{ 0xb3b109ef, "pm_runtime_force_suspend" },
	{ 0xb2c8ce84, "drm_compat_ioctl" },
	{ 0x9e5f6329, "drm_dev_register" },
	{ 0x6ba1d052, "i2c_find_adapter_by_fwnode" },
	{ 0x61f81ab3, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xfc8747f8, "drm_plane_create_zpos_immutable_property" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0xbdc4c8ed, "drm_fb_helper_ioctl" },
	{ 0xc29a439a, "drm_fb_helper_set_par" },
	{ 0x17fc7bfe, "drm_prime_gem_destroy" },
	{ 0xa9bf4986, "drm_release" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "drm,drm_kms_helper,samsung-dsim,cec");

MODULE_ALIAS("of:N*T*Csamsung,exynos4210-hdmi");
MODULE_ALIAS("of:N*T*Csamsung,exynos4210-hdmiC*");
MODULE_ALIAS("of:N*T*Csamsung,exynos4212-hdmi");
MODULE_ALIAS("of:N*T*Csamsung,exynos4212-hdmiC*");
MODULE_ALIAS("of:N*T*Csamsung,exynos5420-hdmi");
MODULE_ALIAS("of:N*T*Csamsung,exynos5420-hdmiC*");
MODULE_ALIAS("of:N*T*Csamsung,exynos5433-hdmi");
MODULE_ALIAS("of:N*T*Csamsung,exynos5433-hdmiC*");
MODULE_ALIAS("of:N*T*Csamsung,exynos7-decon");
MODULE_ALIAS("of:N*T*Csamsung,exynos7-deconC*");
MODULE_ALIAS("of:N*T*Csamsung,exynos5433-mic");
MODULE_ALIAS("of:N*T*Csamsung,exynos5433-micC*");
MODULE_ALIAS("of:N*T*Csamsung,exynos3250-mipi-dsi");
MODULE_ALIAS("of:N*T*Csamsung,exynos3250-mipi-dsiC*");
MODULE_ALIAS("of:N*T*Csamsung,exynos4210-mipi-dsi");
MODULE_ALIAS("of:N*T*Csamsung,exynos4210-mipi-dsiC*");
MODULE_ALIAS("of:N*T*Csamsung,exynos5410-mipi-dsi");
MODULE_ALIAS("of:N*T*Csamsung,exynos5410-mipi-dsiC*");
MODULE_ALIAS("of:N*T*Csamsung,exynos5422-mipi-dsi");
MODULE_ALIAS("of:N*T*Csamsung,exynos5422-mipi-dsiC*");
MODULE_ALIAS("of:N*T*Csamsung,exynos5433-mipi-dsi");
MODULE_ALIAS("of:N*T*Csamsung,exynos5433-mipi-dsiC*");
MODULE_ALIAS("of:N*T*Csamsung,exynos5433-decon");
MODULE_ALIAS("of:N*T*Csamsung,exynos5433-deconC*");
MODULE_ALIAS("of:N*T*Csamsung,exynos5433-decon-tv");
MODULE_ALIAS("of:N*T*Csamsung,exynos5433-decon-tvC*");

MODULE_INFO(srcversion, "8D850B475ECD2FC6E466B05");
