#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9cb0b255, "drm_atomic_helper_plane_destroy_state" },
	{ 0x6caa7ea2, "drm_kms_helper_poll_fini" },
	{ 0xbb2e9e29, "drm_open" },
	{ 0x57055918, "drm_poll" },
	{ 0x4c55545d, "devm_request_threaded_irq" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0xe9d10d9d, "of_node_put" },
	{ 0xc12f0ec8, "drm_kms_helper_poll_init" },
	{ 0x3b82c1cf, "platform_driver_unregister" },
	{ 0xd706cd02, "platform_get_irq" },
	{ 0x66278a1, "component_master_add_with_match" },
	{ 0x3ca3a89a, "drm_atomic_helper_disable_plane" },
	{ 0x64ac67a6, "drm_atomic_helper_shutdown" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0x1f47f93a, "drm_atomic_helper_crtc_destroy_state" },
	{ 0x15ef5468, "drm_crtc_cleanup" },
	{ 0x744302c, "drm_fb_dma_get_gem_obj" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0xac907ca3, "drmm_mode_config_init" },
	{ 0xb488bd02, "devm_clk_get" },
	{ 0x98118ef5, "drm_crtc_vblank_get" },
	{ 0x40848ba7, "drm_crtc_send_vblank_event" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xdef642b, "drm_atomic_helper_commit" },
	{ 0x403825b2, "syscon_regmap_lookup_by_phandle" },
	{ 0x47da703, "drm_atomic_helper_check" },
	{ 0x2a964717, "drm_atomic_helper_plane_duplicate_state" },
	{ 0xe8ecf988, "drm_gem_mmap" },
	{ 0x43f81957, "clk_round_rate" },
	{ 0xb0740727, "drm_ioctl" },
	{ 0x7434c872, "drm_plane_cleanup" },
	{ 0xc43f2a4f, "drm_fbdev_dma_setup" },
	{ 0x31ee523a, "drm_atomic_get_crtc_state" },
	{ 0xbb3d1556, "of_get_child_by_name" },
	{ 0x1f5d4469, "devm_kfree" },
	{ 0xfdc0adc2, "noop_llseek" },
	{ 0x5cbfc99, "drm_read" },
	{ 0x6e7902da, "platform_get_resource" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x50b0cc8e, "drm_gem_dma_dumb_create" },
	{ 0x3dae3a1d, "drm_crtc_vblank_on" },
	{ 0x49066c90, "drm_gem_fb_create" },
	{ 0x2f800286, "drm_atomic_helper_plane_reset" },
	{ 0xc5fdf1bc, "drm_crtc_init_with_planes" },
	{ 0xfcfd1684, "of_graph_get_remote_node" },
	{ 0x2673f198, "__drm_dev_dbg" },
	{ 0x20f7a8a1, "drm_dev_unregister" },
	{ 0xc1ba744a, "drm_dev_put" },
	{ 0x84342fb2, "drm_atomic_helper_set_config" },
	{ 0xed826b94, "__platform_driver_register" },
	{ 0x9598d3be, "drm_universal_plane_init" },
	{ 0x7bfd68d, "__devm_reset_control_get" },
	{ 0x4596604e, "drm_atomic_helper_crtc_reset" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xbc68693f, "drm_of_component_match_add" },
	{ 0x870c85d3, "component_master_del" },
	{ 0xd69a7a68, "drm_vblank_init" },
	{ 0xf9189652, "component_compare_of" },
	{ 0xbfc8b417, "devm_ioremap_resource" },
	{ 0x68c031ce, "component_bind_all" },
	{ 0xb2579555, "drm_crtc_vblank_off" },
	{ 0x77c768b, "drm_crtc_handle_vblank" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x66476727, "drm_atomic_helper_page_flip" },
	{ 0x207bb5ea, "regmap_update_bits_base" },
	{ 0xd7aaaef5, "drm_mode_config_reset" },
	{ 0xccbfc095, "drm_mode_config_cleanup" },
	{ 0xf140f20, "component_unbind_all" },
	{ 0x1b633f1a, "drm_dev_alloc" },
	{ 0xc1e79586, "of_device_get_match_data" },
	{ 0xc9238202, "drm_atomic_helper_crtc_duplicate_state" },
	{ 0xf6a14e79, "drm_crtc_arm_vblank_event" },
	{ 0x690b3a83, "drm_atomic_helper_update_plane" },
	{ 0x815588a6, "clk_enable" },
	{ 0xb2c8ce84, "drm_compat_ioctl" },
	{ 0x9e5f6329, "drm_dev_register" },
	{ 0xa9bf4986, "drm_release" },
	{ 0x249e10b2, "drm_gem_dma_prime_import_sg_table" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "drm_kms_helper,drm,drm_dma_helper");

MODULE_ALIAS("of:N*T*Chisilicon,hi6220-ade");
MODULE_ALIAS("of:N*T*Chisilicon,hi6220-adeC*");

MODULE_INFO(srcversion, "D62435807EBC0DEAE8EA1F1");
