#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xae01aadf, "vmbus_driver_unregister" },
	{ 0xbb2e9e29, "drm_open" },
	{ 0x57055918, "drm_poll" },
	{ 0xa6b263c1, "drm_dev_enter" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xccac2415, "drm_plane_enable_fb_damage_clips" },
	{ 0xa6257a2f, "complete" },
	{ 0x229315e3, "drm_gem_shmem_dumb_create" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x64ac67a6, "drm_atomic_helper_shutdown" },
	{ 0x43ba1bed, "__pci_register_driver" },
	{ 0x9c7bd44a, "vmbus_sendpacket" },
	{ 0x3faf9e22, "drm_gem_simple_kms_begin_shadow_fb_access" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x4829a47e, "memcpy" },
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0x384ddb7d, "drm_aperture_remove_conflicting_framebuffers" },
	{ 0xac907ca3, "drmm_mode_config_init" },
	{ 0x54163263, "vmbus_close" },
	{ 0xe1a350f8, "pci_unregister_driver" },
	{ 0x9267cc24, "vmbus_recvpacket" },
	{ 0x60687dc4, "drm_add_modes_noedid" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xdef642b, "drm_atomic_helper_commit" },
	{ 0x47da703, "drm_atomic_helper_check" },
	{ 0x5f2bfaac, "drm_atomic_helper_connector_destroy_state" },
	{ 0xe8ecf988, "drm_gem_mmap" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0xb0740727, "drm_ioctl" },
	{ 0x740e4e3b, "drm_gem_simple_kms_destroy_shadow_plane_state" },
	{ 0x28a7e69b, "drm_dev_unplug" },
	{ 0x4b68aa28, "drm_connector_init" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x38f78982, "drm_mode_config_helper_suspend" },
	{ 0xecdce549, "vmbus_open" },
	{ 0xf2f1b33d, "drm_atomic_helper_damage_merged" },
	{ 0xfdc0adc2, "noop_llseek" },
	{ 0x5cbfc99, "drm_read" },
	{ 0x751f125f, "drm_gem_fb_create_with_dirty" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0x46a417ca, "vmbus_proto_version" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0xb6a6b711, "drm_fb_clip_offset" },
	{ 0x4ddb2bd3, "__devm_drm_dev_alloc" },
	{ 0x9e745c60, "drm_gem_shmem_prime_import_sg_table" },
	{ 0xdcb764ad, "memset" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0xc1d28e97, "drm_atomic_helper_connector_duplicate_state" },
	{ 0x50dba3da, "drm_simple_display_pipe_init" },
	{ 0xf4d76834, "drm_connector_cleanup" },
	{ 0xcd3649dc, "drm_fb_memcpy" },
	{ 0x31e2e77f, "vmbus_free_mmio" },
	{ 0x6da467cb, "pfn_is_map_memory" },
	{ 0xef537138, "drm_gem_simple_kms_duplicate_shadow_plane_state" },
	{ 0xff1922dd, "__vmbus_driver_register" },
	{ 0x1c70b7de, "drm_helper_probe_single_connector_modes" },
	{ 0xcdbd3127, "drm_gem_simple_kms_reset_shadow_plane" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xf2f2c947, "drm_set_preferred_mode" },
	{ 0x157b086f, "drm_atomic_helper_connector_reset" },
	{ 0x896f1b4d, "vmbus_allocate_mmio" },
	{ 0xd7aaaef5, "drm_mode_config_reset" },
	{ 0x450abac7, "drm_mode_config_helper_resume" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0x2df329a3, "drm_fbdev_shmem_setup" },
	{ 0xcc6eb62d, "drm_gem_simple_kms_end_shadow_fb_access" },
	{ 0xb2c8ce84, "drm_compat_ioctl" },
	{ 0x9e5f6329, "drm_dev_register" },
	{ 0xa9bf4986, "drm_release" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "hv_vmbus,drm,drm_shmem_helper,drm_kms_helper");

MODULE_ALIAS("vmbus:02780ada77e3ac4a8e770558eb1073f8");
MODULE_ALIAS("pci:v00001414d00005353sv00000000sd00000000bc*sc*i*");

MODULE_INFO(srcversion, "B73BAD659770948D39A4CC2");
