#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(meson_venc_hdmi_supported_mode, "_gpl", "");
KSYMTAB_FUNC(meson_venc_hdmi_supported_vic, "_gpl", "");
KSYMTAB_FUNC(meson_venc_hdmi_venc_repeat, "_gpl", "");
KSYMTAB_FUNC(meson_venc_hdmi_mode_set, "_gpl", "");
KSYMTAB_FUNC(meson_venc_mipi_dsi_mode_set, "_gpl", "");
KSYMTAB_FUNC(meson_vclk_dmt_supported_freq, "_gpl", "");
KSYMTAB_FUNC(meson_vclk_vic_supported_freq, "_gpl", "");
KSYMTAB_FUNC(meson_vclk_setup, "_gpl", "");

SYMBOL_CRC(meson_venc_hdmi_supported_mode, 0x94a785f8, "_gpl");
SYMBOL_CRC(meson_venc_hdmi_supported_vic, 0xab5bee2f, "_gpl");
SYMBOL_CRC(meson_venc_hdmi_venc_repeat, 0x2c73cfcf, "_gpl");
SYMBOL_CRC(meson_venc_hdmi_mode_set, 0x04dfc37b, "_gpl");
SYMBOL_CRC(meson_venc_mipi_dsi_mode_set, 0xfcf50f34, "_gpl");
SYMBOL_CRC(meson_vclk_dmt_supported_freq, 0x673de424, "_gpl");
SYMBOL_CRC(meson_vclk_vic_supported_freq, 0x88f200ad, "_gpl");
SYMBOL_CRC(meson_vclk_setup, 0x510cb3a9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9cb0b255, "drm_atomic_helper_plane_destroy_state" },
	{ 0x6caa7ea2, "drm_kms_helper_poll_fini" },
	{ 0xbb2e9e29, "drm_open" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0x2ea02ac1, "of_drm_find_bridge" },
	{ 0x57055918, "drm_poll" },
	{ 0xb8550bfc, "drm_connector_attach_max_bpc_property" },
	{ 0x72801fe0, "drm_bridge_add" },
	{ 0xcb824037, "regmap_write" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0xe9d10d9d, "of_node_put" },
	{ 0xc12f0ec8, "drm_kms_helper_poll_init" },
	{ 0x3b82c1cf, "platform_driver_unregister" },
	{ 0x305ea78d, "of_find_device_by_node" },
	{ 0xd706cd02, "platform_get_irq" },
	{ 0x66278a1, "component_master_add_with_match" },
	{ 0x2fa6a9e8, "drm_mode_probed_add" },
	{ 0x3ca3a89a, "drm_atomic_helper_disable_plane" },
	{ 0x64ac67a6, "drm_atomic_helper_shutdown" },
	{ 0xe7a9ecea, "drm_mode_is_420_only" },
	{ 0x90ebf05d, "drm_connector_atomic_hdr_metadata_equal" },
	{ 0x3ea528ee, "devm_ioremap" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0xc144ff53, "drm_gem_dma_dumb_create_internal" },
	{ 0x1f47f93a, "drm_atomic_helper_crtc_destroy_state" },
	{ 0x15ef5468, "drm_crtc_cleanup" },
	{ 0x384ddb7d, "drm_aperture_remove_conflicting_framebuffers" },
	{ 0x75a84cc, "of_graph_get_remote_port_parent" },
	{ 0xfbd79150, "meson_canvas_free" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xa9a07ff6, "of_graph_get_remote_port" },
	{ 0x744302c, "drm_fb_dma_get_gem_obj" },
	{ 0x14804209, "platform_get_resource_byname" },
	{ 0xac907ca3, "drmm_mode_config_init" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0xb891f827, "drm_atomic_helper_bridge_reset" },
	{ 0xa6d4aefd, "drm_bridge_remove" },
	{ 0x98118ef5, "drm_crtc_vblank_get" },
	{ 0x40848ba7, "drm_crtc_send_vblank_event" },
	{ 0xc0e9d4, "drm_connector_attach_encoder" },
	{ 0xffda9598, "drm_atomic_get_new_connector_for_encoder" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xdef642b, "drm_atomic_helper_commit" },
	{ 0x47da703, "drm_atomic_helper_check" },
	{ 0x9b95c885, "drm_mode_match" },
	{ 0x28fd78f, "drm_bridge_edid_read" },
	{ 0x2a964717, "drm_atomic_helper_plane_duplicate_state" },
	{ 0xe8ecf988, "drm_gem_mmap" },
	{ 0x673c5a86, "meson_canvas_config" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0xb0740727, "drm_ioctl" },
	{ 0x7434c872, "drm_plane_cleanup" },
	{ 0xace169b3, "drm_mode_is_420_also" },
	{ 0xc43f2a4f, "drm_fbdev_dma_setup" },
	{ 0x31ee523a, "drm_atomic_get_crtc_state" },
	{ 0x800473f, "__cond_resched" },
	{ 0x1f5d4469, "devm_kfree" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x38f78982, "drm_mode_config_helper_suspend" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xfdc0adc2, "noop_llseek" },
	{ 0x5cbfc99, "drm_read" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x642cc440, "dma_alloc_attrs" },
	{ 0x3dae3a1d, "drm_crtc_vblank_on" },
	{ 0x49066c90, "drm_gem_fb_create" },
	{ 0x30ea7ad1, "drm_atomic_helper_check_plane_state" },
	{ 0x2f800286, "drm_atomic_helper_plane_reset" },
	{ 0xfbf4347c, "of_graph_get_next_endpoint" },
	{ 0x6022f042, "of_match_node" },
	{ 0xc5fdf1bc, "drm_crtc_init_with_planes" },
	{ 0x37a80d17, "drm_mode_duplicate" },
	{ 0xa33705b7, "of_device_is_available" },
	{ 0x1c8295b5, "drm_crtc_vblank_put" },
	{ 0xfcfd1684, "of_graph_get_remote_node" },
	{ 0x2673f198, "__drm_dev_dbg" },
	{ 0x20f7a8a1, "drm_dev_unregister" },
	{ 0x25b8f202, "drm_atomic_helper_commit_tail_rpm" },
	{ 0xdcb764ad, "memset" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0xeca45fb, "__devm_regmap_init_mmio_clk" },
	{ 0xc1ba744a, "drm_dev_put" },
	{ 0xe84ced10, "soc_device_match" },
	{ 0xa4b92dc4, "devm_platform_ioremap_resource_byname" },
	{ 0x84342fb2, "drm_atomic_helper_set_config" },
	{ 0x7b4620da, "drm_bridge_connector_init" },
	{ 0x98fed39f, "drm_edid_raw" },
	{ 0xed826b94, "__platform_driver_register" },
	{ 0x9598d3be, "drm_universal_plane_init" },
	{ 0x494128eb, "meson_canvas_alloc" },
	{ 0x4596604e, "drm_atomic_helper_crtc_reset" },
	{ 0xb78f764, "meson_canvas_get" },
	{ 0x870c85d3, "component_master_del" },
	{ 0xecf6c88c, "drm_simple_encoder_init" },
	{ 0x404667b0, "dma_free_attrs" },
	{ 0xd69a7a68, "drm_vblank_init" },
	{ 0x133e2f27, "regmap_read" },
	{ 0x825f7d1c, "drm_atomic_helper_bridge_destroy_state" },
	{ 0xdab55259, "component_match_add_release" },
	{ 0xf9189652, "component_compare_of" },
	{ 0x68c031ce, "component_bind_all" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xb2579555, "drm_crtc_vblank_off" },
	{ 0x77c768b, "drm_crtc_handle_vblank" },
	{ 0x9b285573, "drm_match_cea_mode" },
	{ 0x8e598b4b, "drm_bridge_attach" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x66476727, "drm_atomic_helper_page_flip" },
	{ 0x207bb5ea, "regmap_update_bits_base" },
	{ 0x85377110, "cec_fill_conn_info_from_drm" },
	{ 0x157b086f, "drm_atomic_helper_connector_reset" },
	{ 0x92f2a8c, "dev_err_probe" },
	{ 0xd7aaaef5, "drm_mode_config_reset" },
	{ 0x450abac7, "drm_mode_config_helper_resume" },
	{ 0x3f49881, "drm_atomic_helper_bridge_duplicate_state" },
	{ 0xf140f20, "component_unbind_all" },
	{ 0x1b633f1a, "drm_dev_alloc" },
	{ 0xc1e79586, "of_device_get_match_data" },
	{ 0xc9238202, "drm_atomic_helper_crtc_duplicate_state" },
	{ 0xb2fe793f, "drm_connector_attach_hdr_output_metadata_property" },
	{ 0x690b3a83, "drm_atomic_helper_update_plane" },
	{ 0xb2c8ce84, "drm_compat_ioctl" },
	{ 0x9e5f6329, "drm_dev_register" },
	{ 0xfc8747f8, "drm_plane_create_zpos_immutable_property" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0xa9bf4986, "drm_release" },
	{ 0x249e10b2, "drm_gem_dma_prime_import_sg_table" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "drm_kms_helper,drm,drm_dma_helper,meson-canvas,drm_display_helper,cec");

MODULE_ALIAS("of:N*T*Camlogic,meson-gxbb-vpu");
MODULE_ALIAS("of:N*T*Camlogic,meson-gxbb-vpuC*");
MODULE_ALIAS("of:N*T*Camlogic,meson-gxl-vpu");
MODULE_ALIAS("of:N*T*Camlogic,meson-gxl-vpuC*");
MODULE_ALIAS("of:N*T*Camlogic,meson-gxm-vpu");
MODULE_ALIAS("of:N*T*Camlogic,meson-gxm-vpuC*");
MODULE_ALIAS("of:N*T*Camlogic,meson-g12a-vpu");
MODULE_ALIAS("of:N*T*Camlogic,meson-g12a-vpuC*");

MODULE_INFO(srcversion, "8B1BCD46D08D821502E52C5");
