#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa369b197, "drm_crtc_add_crc_entry" },
	{ 0xc528a49a, "queued_write_lock_slowpath" },
	{ 0x2e4bbcea, "drm_atomic_get_old_crtc_for_encoder" },
	{ 0xe9dad64a, "drm_gem_fb_destroy" },
	{ 0x9cb0b255, "drm_atomic_helper_plane_destroy_state" },
	{ 0x5f1f0602, "drm_client_register" },
	{ 0x5b63862, "param_ops_ullong" },
	{ 0x40e0c393, "iommu_map_sg" },
	{ 0x8d701329, "drm_dp_clock_recovery_ok" },
	{ 0x62a50743, "of_devfreq_cooling_register" },
	{ 0xb7c69a63, "unregister_vmap_purge_notifier" },
	{ 0x6caa7ea2, "drm_kms_helper_poll_fini" },
	{ 0xbb2e9e29, "drm_open" },
	{ 0x3cc8f38f, "regulator_enable" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0x345749c0, "drm_panel_get_modes" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0xfce0789c, "shrinker_alloc" },
	{ 0x438627b2, "drm_fb_helper_init" },
	{ 0xc1156ce1, "drm_sched_entity_push_job" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x79008c7e, "drm_dsc_setup_rc_params" },
	{ 0x57055918, "drm_poll" },
	{ 0x38f2174b, "drm_fb_helper_debug_enter" },
	{ 0x4ae2f637, "vmf_insert_pfn" },
	{ 0xc6f7e15e, "ww_mutex_lock_interruptible" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x4c583dcd, "kthread_cancel_work_sync" },
	{ 0xa500d43d, "mipi_dsi_host_register" },
	{ 0x212c88de, "kthread_create_worker" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x8d039641, "simple_attr_open" },
	{ 0x1de3435d, "phy_configure" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x76dfa58a, "free_io_pgtable_ops" },
	{ 0x88124472, "drm_atomic_helper_commit_modeset_enables" },
	{ 0x4506c655, "bpf_trace_run4" },
	{ 0x29f078d1, "drm_mode_legacy_fb_format" },
	{ 0x38e00646, "drm_syncobj_find" },
	{ 0xa00ba5e6, "handle_level_irq" },
	{ 0x4c55545d, "devm_request_threaded_irq" },
	{ 0x20978fb9, "idr_find" },
	{ 0x60b73b66, "param_ops_uint" },
	{ 0xbebaed22, "debugfs_attr_write" },
	{ 0x5246a9ae, "drm_dp_aux_register" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0xd6f26cec, "drm_gem_get_pages" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0xe9d10d9d, "of_node_put" },
	{ 0xc733a8f5, "generic_handle_domain_irq" },
	{ 0x9d417740, "drm_dp_dpcd_read" },
	{ 0xd62ccf48, "devm_pm_runtime_enable" },
	{ 0x24501588, "drm_sched_entity_init" },
	{ 0xf9ed9452, "of_property_read_variable_u32_array" },
	{ 0xc12f0ec8, "drm_kms_helper_poll_init" },
	{ 0xad9cd033, "drm_panel_enable" },
	{ 0x4b7ebf95, "drm_mm_remove_node" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x31a4767f, "qcom_scm_hdcp_available" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xc72f4d5a, "drm_framebuffer_init" },
	{ 0xccac2415, "drm_plane_enable_fb_damage_clips" },
	{ 0xe264eaea, "drm_fb_helper_lastclose" },
	{ 0xe1d8bfa3, "devfreq_cooling_unregister" },
	{ 0x61cd94a9, "devm_platform_get_and_ioremap_resource" },
	{ 0x3b82c1cf, "platform_driver_unregister" },
	{ 0x8ea96c1e, "of_drm_find_panel" },
	{ 0xb7c67cde, "__devm_clk_hw_register_divider" },
	{ 0x1fdcb67f, "drm_atomic_helper_check_wb_connector_state" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc17775fb, "drm_fb_helper_setcmap" },
	{ 0xc53aebd3, "drm_fb_helper_alloc_info" },
	{ 0x407d099d, "dev_pm_opp_of_find_icc_paths" },
	{ 0x305ea78d, "of_find_device_by_node" },
	{ 0xedcf6c54, "drm_helper_disable_unused_functions" },
	{ 0x67d245cf, "devm_pm_opp_set_config" },
	{ 0x63c35977, "drm_atomic_get_private_obj_state" },
	{ 0xd706cd02, "platform_get_irq" },
	{ 0x711beace, "drm_modeset_unlock_all" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb0a0da0c, "rational_best_approximation" },
	{ 0x95883bb4, "drm_dsc_initial_scale_value" },
	{ 0x5b2ca68c, "of_address_to_resource" },
	{ 0xa42c601b, "drm_fb_helper_unprepare" },
	{ 0xcc558535, "dev_pm_opp_get_level" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x66278a1, "component_master_add_with_match" },
	{ 0xd9916c3a, "idr_alloc_u32" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x93b9a682, "trace_raw_output_prep" },
	{ 0x2c91e17c, "vm_get_page_prot" },
	{ 0x3ca3a89a, "drm_atomic_helper_disable_plane" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x8f19058b, "drm_gem_prime_mmap" },
	{ 0x1f4f53f5, "dma_resv_wait_timeout" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x7e85034f, "bpf_trace_run6" },
	{ 0xb51314d5, "__devm_clk_hw_register_mux" },
	{ 0x5542443b, "drm_flip_work_init" },
	{ 0x74ccc61, "pm_runtime_set_autosuspend_delay" },
	{ 0x166c148c, "devm_regulator_bulk_get_const" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x556be6e0, "__trace_trigger_soft_disabled" },
	{ 0x2b96ca1f, "get_pid_task" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x57698a50, "drm_mm_takedown" },
	{ 0xe84d372c, "irq_domain_remove" },
	{ 0xcad69cd0, "drm_modeset_lock_all" },
	{ 0x40de2244, "drm_fb_helper_fini" },
	{ 0x7044974f, "nvmem_cell_get" },
	{ 0xb14ab1ef, "hdmi_audio_infoframe_init" },
	{ 0x64ac67a6, "drm_atomic_helper_shutdown" },
	{ 0x6d627a58, "gpiod_set_value_cansleep" },
	{ 0x89b8ffcb, "drm_atomic_private_obj_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x8dceb523, "request_firmware" },
	{ 0x73011db0, "drm_dp_bw_code_to_link_rate" },
	{ 0xcb6b138, "trace_event_printf" },
	{ 0x7f478df3, "drm_dp_set_subconnector_property" },
	{ 0x96848186, "scnprintf" },
	{ 0x6cb4395c, "drm_atomic_helper_cleanup_planes" },
	{ 0xf0b2419f, "cmd_db_read_aux_data" },
	{ 0xb4032484, "drm_mm_insert_node_in_range" },
	{ 0xd39d4627, "__put_task_struct" },
	{ 0x23daa989, "mipi_dsi_create_packet" },
	{ 0xe7a9ecea, "drm_mode_is_420_only" },
	{ 0x931e06ca, "invalidate_mapping_pages" },
	{ 0xdc894f1a, "should_fail" },
	{ 0x3ea528ee, "devm_ioremap" },
	{ 0xc9820bd, "ww_mutex_unlock" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0xb2c82eea, "drm_prime_sg_to_page_array" },
	{ 0xedc03953, "iounmap" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0xb1d6696, "drm_sched_job_cleanup" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0xfbb3c71f, "devfreq_recommended_opp" },
	{ 0x479f7d4b, "clk_bulk_disable" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xee026213, "__drmm_crtc_alloc_with_planes" },
	{ 0xe22b9656, "devm_of_clk_add_hw_provider" },
	{ 0xd29f7cea, "drm_sched_job_add_syncobj_dependency" },
	{ 0x62ac2844, "fd_install" },
	{ 0x728c207f, "devm_of_dp_aux_populate_bus" },
	{ 0x6ed28b41, "of_graph_parse_endpoint" },
	{ 0x3f7c8b8f, "trace_event_raw_init" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x4829a47e, "memcpy" },
	{ 0x726ca848, "component_del" },
	{ 0x18764fbc, "unmap_mapping_range" },
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0x1c00cde1, "dma_resv_add_fence" },
	{ 0xecf3c608, "drm_hdmi_avi_infoframe_from_display_mode" },
	{ 0xc73bb667, "drm_exec_init" },
	{ 0xcac098b6, "drm_helper_hpd_irq_event" },
	{ 0x94961283, "vunmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x9f0d24aa, "drm_atomic_print_new_state" },
	{ 0x63c08029, "clk_bulk_unprepare" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x1f47f93a, "drm_atomic_helper_crtc_destroy_state" },
	{ 0x54582e83, "drm_writeback_queue_job" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xb9cad492, "__drm_atomic_state_free" },
	{ 0x65aae550, "irq_set_chained_handler_and_data" },
	{ 0x1a15552b, "drm_atomic_helper_commit_planes" },
	{ 0x5b66fa60, "seq_lseek" },
	{ 0xa4aff612, "drm_writeback_signal_completion" },
	{ 0x384ddb7d, "drm_aperture_remove_conflicting_framebuffers" },
	{ 0x1f45bfb1, "icc_set_bw" },
	{ 0xb82a9624, "devm_clk_hw_register" },
	{ 0x75a84cc, "of_graph_get_remote_port_parent" },
	{ 0xed62de9c, "drm_of_get_data_lanes_count" },
	{ 0x13375699, "drm_fb_helper_fill_info" },
	{ 0x572108ae, "drm_gem_create_mmap_offset" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc4e40b90, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x29e97989, "of_clk_hw_simple_get" },
	{ 0xf1fc073c, "gpiod_get_value" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xe807266f, "devm_gpiod_get_optional" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xca7988dd, "drm_gem_object_init" },
	{ 0xe2964344, "__wake_up" },
	{ 0xe89b3019, "drm_modeset_acquire_init" },
	{ 0x2140e8a1, "__drm_printfn_seq_file" },
	{ 0x2e3b2b87, "divider_round_rate_parent" },
	{ 0x12b1a636, "drm_sched_job_init" },
	{ 0x148653, "vsnprintf" },
	{ 0xccaf994e, "dma_fence_set_deadline" },
	{ 0x14804209, "platform_get_resource_byname" },
	{ 0x9152cc21, "drm_sched_job_add_dependency" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x981ae878, "bpf_trace_run8" },
	{ 0x4d924f20, "memremap" },
	{ 0x2c5a4ad, "of_platform_depopulate" },
	{ 0xacfeea2f, "divider_recalc_rate" },
	{ 0xac907ca3, "drmm_mode_config_init" },
	{ 0xbcd43c3c, "dev_pm_genpd_remove_notifier" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0x8525b949, "sched_set_fifo_low" },
	{ 0xa44eb44e, "drm_detect_hdmi_monitor" },
	{ 0xceb0328a, "drm_atomic_helper_duplicate_state" },
	{ 0xb488bd02, "devm_clk_get" },
	{ 0xdcdd47da, "drm_dp_read_sink_count" },
	{ 0xb315247b, "dma_resv_set_deadline" },
	{ 0x170e8282, "drm_plane_create_zpos_property" },
	{ 0xb891f827, "drm_atomic_helper_bridge_reset" },
	{ 0x64d11af1, "dma_fence_wait_timeout" },
	{ 0x842dd90c, "drm_flip_work_commit" },
	{ 0x4a64ac99, "of_graph_get_endpoint_by_regs" },
	{ 0x60687dc4, "drm_add_modes_noedid" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x354b3d7c, "wake_up_process" },
	{ 0xf4f67952, "shrinker_free" },
	{ 0x45eeca11, "dev_pm_domain_attach_by_name" },
	{ 0x77c7afab, "nvmem_cell_read_variable_le_u32" },
	{ 0x34070452, "dev_driver_string" },
	{ 0x24774d45, "pinctrl_pm_select_default_state" },
	{ 0xfb6dfa14, "trace_event_buffer_commit" },
	{ 0x77e36f63, "drm_fb_helper_hotplug_event" },
	{ 0x384b280d, "drm_mm_print" },
	{ 0x98118ef5, "drm_crtc_vblank_get" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0x7ca2d2ba, "drm_gem_object_lookup" },
	{ 0x40848ba7, "drm_crtc_send_vblank_event" },
	{ 0x43fd73ec, "drm_dp_link_train_channel_eq_delay" },
	{ 0xc0e9d4, "drm_connector_attach_encoder" },
	{ 0xcedafaa5, "request_firmware_direct" },
	{ 0xffda9598, "drm_atomic_get_new_connector_for_encoder" },
	{ 0x95fb09e4, "drm_atomic_helper_commit_modeset_disables" },
	{ 0xfe12bcb9, "drm_dsc_compute_rc_parameters" },
	{ 0xac9c0468, "drm_crtc_accurate_vblank_count" },
	{ 0x9ba5f0be, "drm_dp_aux_init" },
	{ 0x2ed3c600, "drm_mode_debug_printmodeline" },
	{ 0x85540ebc, "nvmem_cell_put" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xa1186750, "fb_sys_write" },
	{ 0xa119eba3, "drm_edid_connector_update" },
	{ 0x7b674d15, "of_device_compatible_match" },
	{ 0xb053adda, "drm_rect_rotate" },
	{ 0x122c3a7e, "_printk" },
	{ 0xdf476524, "drm_exec_prepare_obj" },
	{ 0x1f273d5b, "devm_clk_bulk_get" },
	{ 0xf62fbc06, "drm_syncobj_add_point" },
	{ 0x29e1e204, "hdmi_audio_infoframe_pack" },
	{ 0x9c358ca1, "sys_imageblit" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xe529d882, "drm_dp_dpcd_read_link_status" },
	{ 0xcd860fe3, "drm_fb_helper_damage_range" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x584782ce, "__drmm_add_action_or_reset" },
	{ 0xa9823767, "drm_fb_helper_blank" },
	{ 0xb7702e57, "platform_get_irq_byname" },
	{ 0xc281052d, "devm_kstrdup" },
	{ 0x582f248e, "drm_dp_get_adjust_request_pre_emphasis" },
	{ 0x50b240ea, "iommu_paging_domain_alloc" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xc94edb17, "drm_gem_private_object_init" },
	{ 0xe4bbb1b0, "drm_fb_helper_check_var" },
	{ 0xebabea96, "__drm_atomic_helper_private_obj_duplicate_state" },
	{ 0x617c452b, "queued_read_lock_slowpath" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x931f6e47, "debugfs_create_x64" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xdef642b, "drm_atomic_helper_commit" },
	{ 0x23dd3a06, "irq_set_chip_and_handler_name" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x403825b2, "syscon_regmap_lookup_by_phandle" },
	{ 0x8619869e, "put_device" },
	{ 0x47da703, "drm_atomic_helper_check" },
	{ 0x9bd4bc67, "drm_fb_helper_damage_area" },
	{ 0x20bd8d86, "drm_atomic_private_obj_fini" },
	{ 0xf693587e, "pm_runtime_enable" },
	{ 0x4186d5a6, "__drm_atomic_helper_plane_destroy_state" },
	{ 0x5f2bfaac, "drm_atomic_helper_connector_destroy_state" },
	{ 0xac5bf6d, "dev_pm_opp_put" },
	{ 0x86d7d8d3, "sys_fillrect" },
	{ 0xaa5082a6, "dev_pm_qos_update_request" },
	{ 0xe2fdcc90, "of_machine_compatible_match" },
	{ 0xa916b694, "strnlen" },
	{ 0xe62e416a, "drm_crtc_set_max_vblank_count" },
	{ 0x14bda767, "drm_syncobj_replace_fence" },
	{ 0xa7ff7035, "shrinker_register" },
	{ 0x6d1c219a, "phy_exit" },
	{ 0xa2c4d1b8, "kthread_queue_work" },
	{ 0x36d5dce6, "regulator_bulk_disable" },
	{ 0x65ad9c1d, "devm_regulator_get" },
	{ 0x2a964717, "drm_atomic_helper_plane_duplicate_state" },
	{ 0xe8ecf988, "drm_gem_mmap" },
	{ 0xb1acb0d6, "dev_pm_opp_get_freq_indexed" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0x896eabf4, "dev_pm_domain_detach" },
	{ 0x43f81957, "clk_round_rate" },
	{ 0xb0740727, "drm_ioctl" },
	{ 0x693138, "clk_hw_round_rate" },
	{ 0x813afd68, "drm_framebuffer_remove" },
	{ 0x47cfd825, "kstrtouint_from_user" },
	{ 0x6f0ecff1, "i2c_del_adapter" },
	{ 0xa3d21f80, "drm_dev_printk" },
	{ 0xc6cbbc89, "capable" },
	{ 0xc23b2ae7, "drm_exec_cleanup" },
	{ 0x99f018c4, "nvmem_cell_read" },
	{ 0x31ee523a, "drm_atomic_get_crtc_state" },
	{ 0x9b128a66, "qcom_scm_set_remote_state" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xb9234c4d, "drm_dp_vsc_sdp_pack" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x3b8af0cb, "of_icc_get" },
	{ 0xc7a7e770, "clk_bulk_enable" },
	{ 0x8573f146, "drm_sched_entity_destroy" },
	{ 0x2c92f911, "drm_client_init" },
	{ 0x7d181e6c, "drm_crtc_next_vblank_start" },
	{ 0x81926149, "__drmm_encoder_alloc" },
	{ 0x800473f, "__cond_resched" },
	{ 0xdf666902, "drm_rotation_simplify" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe2188475, "drm_atomic_helper_dirtyfb" },
	{ 0xbb3d1556, "of_get_child_by_name" },
	{ 0x1bd70945, "drm_modeset_lock" },
	{ 0x579acfde, "debugfs_attr_read" },
	{ 0xb394cd5b, "drm_gem_vm_close" },
	{ 0xb3bdf225, "drm_modeset_unlock" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xf2a4d3f4, "drm_sched_wqueue_start" },
	{ 0x3e2f973f, "drm_gem_vm_open" },
	{ 0x85405af6, "drm_fb_helper_prepare" },
	{ 0x6a9f15b6, "iommu_detach_device" },
	{ 0xa5a3c84f, "drm_panel_disable" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4b68aa28, "drm_connector_init" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x40f0683e, "reset_control_put" },
	{ 0x4bb807c7, "perf_trace_run_bpf_submit" },
	{ 0x22ebdd2e, "drm_debugfs_create_files" },
	{ 0x60a19b90, "__drmm_universal_plane_alloc" },
	{ 0x57bc19d2, "down_write" },
	{ 0x1f5d4469, "devm_kfree" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0xedd2abda, "iommu_domain_free" },
	{ 0x69c87b42, "drm_modeset_lock_all_ctx" },
	{ 0xce807a25, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x2bd9d0b2, "debugfs_create_bool" },
	{ 0x78ede91f, "of_clk_hw_onecell_get" },
	{ 0xa3534211, "pinctrl_pm_select_sleep_state" },
	{ 0x38f78982, "drm_mode_config_helper_suspend" },
	{ 0x2d938670, "simple_open" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0xac9c6a30, "debugfs_create_file_unsafe" },
	{ 0x2691b191, "__of_parse_phandle_with_args" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xfdd37fb, "dev_pm_opp_find_freq_floor" },
	{ 0x9295faf0, "simple_attr_release" },
	{ 0xf690693b, "drm_dp_aux_unregister" },
	{ 0x1aacf176, "pid_task" },
	{ 0xce647e2d, "drm_sched_job_add_implicit_dependencies" },
	{ 0x955ba9f0, "platform_device_unregister" },
	{ 0xf34bb33, "dev_pm_opp_add_dynamic" },
	{ 0x2c13941b, "iommu_unmap" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xfdc0adc2, "noop_llseek" },
	{ 0xaacf03c1, "dma_fence_signal" },
	{ 0xae9ee64a, "clk_hw_get_rate" },
	{ 0x5cbfc99, "drm_read" },
	{ 0x132777cd, "drm_edid_connector_add_modes" },
	{ 0x6e7902da, "platform_get_resource" },
	{ 0x44494c12, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0xb034e139, "drm_gem_object_release" },
	{ 0x954f099c, "idr_preload" },
	{ 0xe2c37148, "drm_show_fdinfo" },
	{ 0x2f8476d5, "qcom_scm_gpu_init_regs" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3fad436, "dev_pm_opp_set_rate" },
	{ 0xa956955b, "drm_gem_lru_init" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x642cc440, "dma_alloc_attrs" },
	{ 0x9e9fdd9d, "memunmap" },
	{ 0xda51eea, "drm_sched_init" },
	{ 0x6f2c2cc6, "seq_putc" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0xb51a47e6, "drm_sched_job_arm" },
	{ 0xc3f628d8, "ww_mutex_lock" },
	{ 0x49631f04, "phy_power_on" },
	{ 0x2092327, "trace_event_reg" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x528dc8ba, "drm_sched_fini" },
	{ 0x3ed90591, "iommu_set_fault_handler" },
	{ 0xa4297ed3, "drm_writeback_connector_init_with_encoder" },
	{ 0xf0e0696d, "of_property_count_elems_of_size" },
	{ 0x43b87157, "drm_connector_attach_dp_subconnector_property" },
	{ 0x574348ab, "debugfs_create_u64" },
	{ 0x3dae3a1d, "drm_crtc_vblank_on" },
	{ 0xc5c99a79, "drm_dp_get_adjust_request_voltage" },
	{ 0x570e4364, "drm_dp_link_train_clock_recovery_delay" },
	{ 0xdbcbd433, "of_property_read_string" },
	{ 0xe0233335, "vmap" },
	{ 0x5bfe36f5, "drm_gem_handle_create" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x5b36a3ec, "of_find_property" },
	{ 0x47083a1f, "pm_runtime_get_if_in_use" },
	{ 0xcd8a8182, "drm_gem_fb_get_obj" },
	{ 0x9213273c, "drm_state_dump" },
	{ 0x30ea7ad1, "drm_atomic_helper_check_plane_state" },
	{ 0xa6c9f3d6, "kstrdup_quotable_cmdline" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x2f800286, "drm_atomic_helper_plane_reset" },
	{ 0x6e30ba8e, "drm_rect_rotate_inv" },
	{ 0xfbf4347c, "of_graph_get_next_endpoint" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x37a80d17, "drm_mode_duplicate" },
	{ 0x4cdb9669, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xf77555cd, "__memcpy_toio" },
	{ 0xe147a7b3, "drm_helper_mode_fill_fb_struct" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xa33705b7, "of_device_is_available" },
	{ 0x1c8295b5, "drm_crtc_vblank_put" },
	{ 0xdeb99119, "dma_fence_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x33eff487, "drm_dp_vsc_sdp_supported" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x3389abaf, "__drm_atomic_helper_plane_reset" },
	{ 0xfcfd1684, "of_graph_get_remote_node" },
	{ 0x2673f198, "__drm_dev_dbg" },
	{ 0x338f7a54, "drm_prime_pages_to_sg" },
	{ 0x91f44510, "idr_alloc_cyclic" },
	{ 0xe8a3861c, "qcom_mdt_get_size" },
	{ 0x11089ac7, "_ctype" },
	{ 0x20f7a8a1, "drm_dev_unregister" },
	{ 0xdc0f8a86, "bpf_trace_run1" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x9ce050be, "drm_mode_copy" },
	{ 0x26815dbc, "drm_dp_link_rate_to_bw_code" },
	{ 0xf017bd93, "devm_of_icc_get" },
	{ 0x3d4d5204, "dev_pm_opp_set_opp" },
	{ 0xcae187b0, "devm_clk_register" },
	{ 0xd0e95456, "drm_dsc_get_bpp_int" },
	{ 0xdcb764ad, "memset" },
	{ 0x6c5618ce, "drmm_kmalloc" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0xf0517d7a, "drm_mm_init" },
	{ 0xc1ba744a, "drm_dev_put" },
	{ 0x43a50234, "drm_of_get_data_lanes_count_ep" },
	{ 0x1a411479, "drm_syncobj_free" },
	{ 0xbca691b6, "devm_pm_opp_of_add_table" },
	{ 0x5cdbb5b2, "drm_plane_create_alpha_property" },
	{ 0xe39c777f, "dev_pm_opp_find_freq_exact" },
	{ 0x43674595, "param_ops_charp" },
	{ 0x856df7bc, "device_link_del" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x127a8c6b, "drm_flip_work_queue" },
	{ 0xa4b92dc4, "devm_platform_ioremap_resource_byname" },
	{ 0x4419dde5, "debugfs_create_u32" },
	{ 0x84342fb2, "drm_atomic_helper_set_config" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xc450cd70, "irq_domain_xlate_onecell" },
	{ 0x3ecfdc89, "dev_pm_opp_get_opp_count" },
	{ 0x73bb66ef, "dev_pm_genpd_add_notifier" },
	{ 0x51d0534d, "devm_clk_bulk_get_optional" },
	{ 0x73814bf9, "drm_fb_helper_pan_display" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x705bbc14, "of_property_read_variable_u8_array" },
	{ 0x89031544, "of_property_read_u64_index" },
	{ 0x7b4620da, "drm_bridge_connector_init" },
	{ 0x24ada755, "drm_dsc_set_rc_buf_thresh" },
	{ 0x448af6f4, "__traceiter_gpu_mem_total" },
	{ 0x274e4b6a, "__drm_atomic_helper_crtc_duplicate_state" },
	{ 0x25b1a326, "__drm_puts_seq_file" },
	{ 0x6d6b21f3, "regulator_bulk_enable" },
	{ 0xf4b7aeb, "__tracepoint_gpu_mem_total" },
	{ 0x31565f22, "devm_regulator_bulk_get" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x5e798ffb, "divider_get_val" },
	{ 0xc1d28e97, "drm_atomic_helper_connector_duplicate_state" },
	{ 0x241914f8, "drm_atomic_get_new_crtc_for_encoder" },
	{ 0xc92fc75c, "drm_client_release" },
	{ 0x60b2cc58, "dev_pm_genpd_synced_poweroff" },
	{ 0x14ce27a9, "phy_power_off" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x98fed39f, "drm_edid_raw" },
	{ 0x6a4a0153, "__drm_atomic_helper_plane_duplicate_state" },
	{ 0xb27ac687, "dev_coredumpm_timeout" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x6dd3f46f, "i2c_add_adapter" },
	{ 0xf4d76834, "drm_connector_cleanup" },
	{ 0xed317aae, "drm_get_format_info" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xec96039d, "drm_gem_lru_scan" },
	{ 0xedcf81ce, "drm_dp_channel_eq_ok" },
	{ 0xed826b94, "__platform_driver_register" },
	{ 0x31d75226, "kthread_create_on_node" },
	{ 0xf0efe64b, "dma_set_coherent_mask" },
	{ 0xa3d4c3ea, "drm_gem_lru_move_tail_locked" },
	{ 0xce06599e, "devm_kasprintf" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x4596604e, "drm_atomic_helper_crtc_reset" },
	{ 0x2da8d207, "bpf_trace_run3" },
	{ 0x4b9181dd, "devm_clk_get_optional" },
	{ 0x32f1e81b, "seq_read" },
	{ 0x30110d0d, "__drm_atomic_helper_crtc_destroy_state" },
	{ 0x58eb4865, "drm_crtc_enable_color_mgmt" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xc8d6d367, "phy_set_mode_ext" },
	{ 0x767565ec, "sys_copyarea" },
	{ 0x8792fc75, "shmem_truncate_range" },
	{ 0x13107c3a, "debugfs_create_file" },
	{ 0xbc68693f, "drm_of_component_match_add" },
	{ 0xd18b6e4d, "drm_modeset_acquire_fini" },
	{ 0x362dcefc, "platform_device_register_full" },
	{ 0x870c85d3, "component_master_del" },
	{ 0x404667b0, "dma_free_attrs" },
	{ 0xd69a7a68, "drm_vblank_init" },
	{ 0xbc0d826d, "drm_printf" },
	{ 0x2fcb3b2f, "qcom_mdt_load" },
	{ 0xda2d7a21, "trace_event_buffer_reserve" },
	{ 0x6d5a834, "of_device_is_compatible" },
	{ 0x56795bce, "irq_domain_instantiate" },
	{ 0x825f7d1c, "drm_atomic_helper_bridge_destroy_state" },
	{ 0x4f139bf4, "__pm_runtime_resume" },
	{ 0xcd0d4d23, "dma_map_sgtable" },
	{ 0x251fda2, "devfreq_suspend_device" },
	{ 0xbb44b8bf, "kthread_destroy_worker" },
	{ 0x8045fb09, "debugfs_create_x32" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x14c5dd46, "param_ops_bool" },
	{ 0xbf4236c7, "drm_of_find_panel_or_bridge" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xa6457c89, "hdmi_infoframe_pack" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0xf9189652, "component_compare_of" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x7e62e7ae, "devm_drm_of_get_bridge" },
	{ 0xbfc8b417, "devm_ioremap_resource" },
	{ 0x356103fa, "drm_gem_free_mmap_offset" },
	{ 0x3a707c93, "pm_runtime_force_resume" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x562dc30, "__sg_page_iter_start" },
	{ 0x68c031ce, "component_bind_all" },
	{ 0x26ed2186, "register_vmap_purge_notifier" },
	{ 0x5737dbe8, "seq_write" },
	{ 0x6b49a0c, "platform_bus_type" },
	{ 0x54c31fb9, "devm_devfreq_add_device" },
	{ 0x4925085d, "drm_puts" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3ff8bbac, "drm_crtc_vblank_helper_get_vblank_timestamp" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x210086f6, "__reset_control_get" },
	{ 0xb2579555, "drm_crtc_vblank_off" },
	{ 0xb7692f1f, "drm_show_memory_stats" },
	{ 0x56470118, "__warn_printk" },
	{ 0x191aa226, "mipi_dsi_host_unregister" },
	{ 0xa38622d3, "drm_sched_wqueue_stop" },
	{ 0x899fbd06, "seq_printf" },
	{ 0x1c70b7de, "drm_helper_probe_single_connector_modes" },
	{ 0x95bf149b, "__drm_printfn_coredump" },
	{ 0x7275da8b, "drm_plane_create_rotation_property" },
	{ 0xb7c4be8a, "__drm_atomic_helper_crtc_reset" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x602bafc7, "drm_modeset_backoff" },
	{ 0x671b40c7, "drm_panel_prepare" },
	{ 0x77c768b, "drm_crtc_handle_vblank" },
	{ 0x48dc35b4, "clk_hw_get_parent" },
	{ 0xb24a032c, "fb_sys_read" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x7c1e789c, "devm_clk_bulk_get_all" },
	{ 0x4488028a, "__drm_printfn_info" },
	{ 0xa0d3456d, "nr_swap_pages" },
	{ 0x210deaf2, "drm_fb_helper_debug_leave" },
	{ 0x562689dd, "i2c_transfer" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x5289465c, "drm_dp_read_downstream_info" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0x5cc5a410, "dev_pm_opp_find_freq_ceil" },
	{ 0x2bb015f4, "device_iommu_capable" },
	{ 0xdd7e3192, "qcom_scm_pas_auth_and_reset" },
	{ 0x7e29e6be, "drm_mode_destroy" },
	{ 0x8e598b4b, "drm_bridge_attach" },
	{ 0xa5c872a7, "single_release" },
	{ 0x20a789ac, "irq_set_chip_data" },
	{ 0xa7313b8f, "drm_self_refresh_helper_init" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x6d32653a, "of_dp_aux_depopulate_bus" },
	{ 0x66476727, "drm_atomic_helper_page_flip" },
	{ 0xb34e2c9a, "dma_set_mask" },
	{ 0x207bb5ea, "regmap_update_bits_base" },
	{ 0x708548b4, "drm_gem_fb_create_handle" },
	{ 0x6c5d102b, "iommu_set_pgtable_quirks" },
	{ 0x3f780e90, "sched_set_fifo" },
	{ 0xb67a9e76, "drm_atomic_helper_commit_hw_done" },
	{ 0x157b086f, "drm_atomic_helper_connector_reset" },
	{ 0x3596386a, "alloc_io_pgtable_ops" },
	{ 0xc3293cf7, "regulator_disable" },
	{ 0xead5c8e5, "clk_bulk_prepare" },
	{ 0x92f2a8c, "dev_err_probe" },
	{ 0xd7aaaef5, "drm_mode_config_reset" },
	{ 0x3c1c94e2, "drm_exec_fini" },
	{ 0x5986a5d8, "dma_unmap_sg_attrs" },
	{ 0xb9fc381a, "qcom_scm_hdcp_req" },
	{ 0x60057c0f, "dev_pm_qos_add_request" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0x817cce4, "drm_plane_create_blend_mode_property" },
	{ 0xc6323239, "drm_flip_work_cleanup" },
	{ 0x827d8a32, "__pm_runtime_suspend" },
	{ 0xf88747c7, "drm_modeset_drop_locks" },
	{ 0x9a6e244a, "dev_pm_opp_get_voltage" },
	{ 0x5951752b, "component_add" },
	{ 0x30babdac, "dma_resv_test_signaled" },
	{ 0x21691c76, "drm_bridge_hpd_notify" },
	{ 0x1d8af63f, "irq_of_parse_and_map" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0x99094fb2, "qcom_scm_is_available" },
	{ 0x98cf60b3, "strlen" },
	{ 0x6af8cf14, "drm_dp_read_dpcd_caps" },
	{ 0x91930acb, "__pm_runtime_use_autosuspend" },
	{ 0x16460e9a, "phy_calibrate" },
	{ 0x37119ca5, "bpf_trace_run7" },
	{ 0x450abac7, "drm_mode_config_helper_resume" },
	{ 0xadbeed61, "mipi_dsi_packet_format_is_long" },
	{ 0xa049a5c5, "devm_phy_get" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x3f49881, "drm_atomic_helper_bridge_duplicate_state" },
	{ 0xf140f20, "component_unbind_all" },
	{ 0x2ace5d43, "drm_fb_helper_initial_config" },
	{ 0x3466fede, "single_open" },
	{ 0x1b633f1a, "drm_dev_alloc" },
	{ 0xc1e79586, "of_device_get_match_data" },
	{ 0x2b1787f9, "gpiod_set_consumer_name" },
	{ 0xc9f4f448, "__drm_puts_coredump" },
	{ 0x124be67f, "drm_gem_lru_move_tail" },
	{ 0x568d4681, "__pm_runtime_disable" },
	{ 0x27864d57, "memparse" },
	{ 0x68d500e1, "devm_regulator_get_exclusive" },
	{ 0xa0708ce6, "devfreq_resume_device" },
	{ 0xe820ea6a, "debugfs_create_dir" },
	{ 0xc9238202, "drm_atomic_helper_crtc_duplicate_state" },
	{ 0x8140bf93, "dev_pm_qos_remove_request" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0xef782814, "of_dma_configure_id" },
	{ 0x43fa3dfb, "of_platform_populate" },
	{ 0xa5cfc8b0, "drm_fb_helper_unregister_info" },
	{ 0x7b9479d, "fault_create_debugfs_attr" },
	{ 0x690b3a83, "drm_atomic_helper_update_plane" },
	{ 0x87b397b4, "device_link_add" },
	{ 0x30d27d32, "of_find_matching_node_and_match" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x5359e8dc, "__kvmalloc_node_noprof" },
	{ 0xbc8b7f8d, "drm_gem_put_pages" },
	{ 0x815588a6, "clk_enable" },
	{ 0xb797075, "devm_clk_hw_register_fixed_factor_parent_hw" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xbda804be, "drm_dp_dpcd_write" },
	{ 0x8e39398, "cmd_db_read_addr" },
	{ 0x100525b2, "devm_drm_bridge_add" },
	{ 0xcdb99cc9, "drm_mode_init" },
	{ 0xb3b109ef, "pm_runtime_force_suspend" },
	{ 0x7155bcf8, "sync_file_get_fence" },
	{ 0xb2c8ce84, "drm_compat_ioctl" },
	{ 0x5f9d8bb7, "put_pid" },
	{ 0x9e5f6329, "drm_dev_register" },
	{ 0x69da4bac, "drm_panel_unprepare" },
	{ 0x50fd755a, "dma_resv_describe" },
	{ 0xd02a45e8, "of_property_read_string_helper" },
	{ 0x61f81ab3, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe98f607e, "iommu_attach_device" },
	{ 0x238175f3, "drm_gem_plane_helper_prepare_fb" },
	{ 0xe2468a48, "drm_dsc_flatness_det_thresh" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0xbdc4c8ed, "drm_fb_helper_ioctl" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x6e0ab6c1, "drm_bridge_detect" },
	{ 0xc29a439a, "drm_fb_helper_set_par" },
	{ 0x734896cf, "sync_file_create" },
	{ 0x17fc7bfe, "drm_prime_gem_destroy" },
	{ 0xa9bf4986, "drm_release" },
	{ 0x19fd9ca6, "drm_edid_read_ddc" },
	{ 0x627ba04b, "drm_dsc_set_const_params" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xa507069a, "phy_init" },
	{ 0xa70245d1, "drm_helper_move_panel_connectors_to_head" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xe3ad3046, "__sg_page_iter_dma_next" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "drm,drm_kms_helper,drm_display_helper,gpu-sched,drm_dp_aux_bus,drm_exec,mdt_loader");

MODULE_ALIAS("of:N*T*Cqcom,msm8998-dpu");
MODULE_ALIAS("of:N*T*Cqcom,msm8998-dpuC*");
MODULE_ALIAS("of:N*T*Cqcom,qcm2290-dpu");
MODULE_ALIAS("of:N*T*Cqcom,qcm2290-dpuC*");
MODULE_ALIAS("of:N*T*Cqcom,sdm630-mdp5");
MODULE_ALIAS("of:N*T*Cqcom,sdm630-mdp5C*");
MODULE_ALIAS("of:N*T*Cqcom,sdm660-mdp5");
MODULE_ALIAS("of:N*T*Cqcom,sdm660-mdp5C*");
MODULE_ALIAS("of:N*T*Cqcom,sdm670-dpu");
MODULE_ALIAS("of:N*T*Cqcom,sdm670-dpuC*");
MODULE_ALIAS("of:N*T*Cqcom,sdm845-dpu");
MODULE_ALIAS("of:N*T*Cqcom,sdm845-dpuC*");
MODULE_ALIAS("of:N*T*Cqcom,sc7180-dpu");
MODULE_ALIAS("of:N*T*Cqcom,sc7180-dpuC*");
MODULE_ALIAS("of:N*T*Cqcom,sc7280-dpu");
MODULE_ALIAS("of:N*T*Cqcom,sc7280-dpuC*");
MODULE_ALIAS("of:N*T*Cqcom,sc8180x-dpu");
MODULE_ALIAS("of:N*T*Cqcom,sc8180x-dpuC*");
MODULE_ALIAS("of:N*T*Cqcom,sc8280xp-dpu");
MODULE_ALIAS("of:N*T*Cqcom,sc8280xp-dpuC*");
MODULE_ALIAS("of:N*T*Cqcom,sm6115-dpu");
MODULE_ALIAS("of:N*T*Cqcom,sm6115-dpuC*");
MODULE_ALIAS("of:N*T*Cqcom,sm6125-dpu");
MODULE_ALIAS("of:N*T*Cqcom,sm6125-dpuC*");
MODULE_ALIAS("of:N*T*Cqcom,sm6350-dpu");
MODULE_ALIAS("of:N*T*Cqcom,sm6350-dpuC*");
MODULE_ALIAS("of:N*T*Cqcom,sm6375-dpu");
MODULE_ALIAS("of:N*T*Cqcom,sm6375-dpuC*");
MODULE_ALIAS("of:N*T*Cqcom,sm7150-dpu");
MODULE_ALIAS("of:N*T*Cqcom,sm7150-dpuC*");
MODULE_ALIAS("of:N*T*Cqcom,sm8150-dpu");
MODULE_ALIAS("of:N*T*Cqcom,sm8150-dpuC*");
MODULE_ALIAS("of:N*T*Cqcom,sm8250-dpu");
MODULE_ALIAS("of:N*T*Cqcom,sm8250-dpuC*");
MODULE_ALIAS("of:N*T*Cqcom,sm8350-dpu");
MODULE_ALIAS("of:N*T*Cqcom,sm8350-dpuC*");
MODULE_ALIAS("of:N*T*Cqcom,sm8450-dpu");
MODULE_ALIAS("of:N*T*Cqcom,sm8450-dpuC*");
MODULE_ALIAS("of:N*T*Cqcom,sm8550-dpu");
MODULE_ALIAS("of:N*T*Cqcom,sm8550-dpuC*");
MODULE_ALIAS("of:N*T*Cqcom,sm8650-dpu");
MODULE_ALIAS("of:N*T*Cqcom,sm8650-dpuC*");
MODULE_ALIAS("of:N*T*Cqcom,x1e80100-dpu");
MODULE_ALIAS("of:N*T*Cqcom,x1e80100-dpuC*");
MODULE_ALIAS("of:N*T*Cqcom,mdp4");
MODULE_ALIAS("of:N*T*Cqcom,mdp4C*");
MODULE_ALIAS("of:N*T*Cqcom,mdp5");
MODULE_ALIAS("of:N*T*Cqcom,mdp5C*");
MODULE_ALIAS("of:N*T*Cqcom,mdss_mdp");
MODULE_ALIAS("of:N*T*Cqcom,mdss_mdpC*");
MODULE_ALIAS("of:N*T*Cqcom,mdss");
MODULE_ALIAS("of:N*T*Cqcom,mdssC*");
MODULE_ALIAS("of:N*T*Cqcom,msm8998-mdss");
MODULE_ALIAS("of:N*T*Cqcom,msm8998-mdssC*");
MODULE_ALIAS("of:N*T*Cqcom,qcm2290-mdss");
MODULE_ALIAS("of:N*T*Cqcom,qcm2290-mdssC*");
MODULE_ALIAS("of:N*T*Cqcom,sdm670-mdss");
MODULE_ALIAS("of:N*T*Cqcom,sdm670-mdssC*");
MODULE_ALIAS("of:N*T*Cqcom,sdm845-mdss");
MODULE_ALIAS("of:N*T*Cqcom,sdm845-mdssC*");
MODULE_ALIAS("of:N*T*Cqcom,sc7180-mdss");
MODULE_ALIAS("of:N*T*Cqcom,sc7180-mdssC*");
MODULE_ALIAS("of:N*T*Cqcom,sc7280-mdss");
MODULE_ALIAS("of:N*T*Cqcom,sc7280-mdssC*");
MODULE_ALIAS("of:N*T*Cqcom,sc8180x-mdss");
MODULE_ALIAS("of:N*T*Cqcom,sc8180x-mdssC*");
MODULE_ALIAS("of:N*T*Cqcom,sc8280xp-mdss");
MODULE_ALIAS("of:N*T*Cqcom,sc8280xp-mdssC*");
MODULE_ALIAS("of:N*T*Cqcom,sm6115-mdss");
MODULE_ALIAS("of:N*T*Cqcom,sm6115-mdssC*");
MODULE_ALIAS("of:N*T*Cqcom,sm6125-mdss");
MODULE_ALIAS("of:N*T*Cqcom,sm6125-mdssC*");
MODULE_ALIAS("of:N*T*Cqcom,sm6350-mdss");
MODULE_ALIAS("of:N*T*Cqcom,sm6350-mdssC*");
MODULE_ALIAS("of:N*T*Cqcom,sm6375-mdss");
MODULE_ALIAS("of:N*T*Cqcom,sm6375-mdssC*");
MODULE_ALIAS("of:N*T*Cqcom,sm7150-mdss");
MODULE_ALIAS("of:N*T*Cqcom,sm7150-mdssC*");
MODULE_ALIAS("of:N*T*Cqcom,sm8150-mdss");
MODULE_ALIAS("of:N*T*Cqcom,sm8150-mdssC*");
MODULE_ALIAS("of:N*T*Cqcom,sm8250-mdss");
MODULE_ALIAS("of:N*T*Cqcom,sm8250-mdssC*");
MODULE_ALIAS("of:N*T*Cqcom,sm8350-mdss");
MODULE_ALIAS("of:N*T*Cqcom,sm8350-mdssC*");
MODULE_ALIAS("of:N*T*Cqcom,sm8450-mdss");
MODULE_ALIAS("of:N*T*Cqcom,sm8450-mdssC*");
MODULE_ALIAS("of:N*T*Cqcom,sm8550-mdss");
MODULE_ALIAS("of:N*T*Cqcom,sm8550-mdssC*");
MODULE_ALIAS("of:N*T*Cqcom,sm8650-mdss");
MODULE_ALIAS("of:N*T*Cqcom,sm8650-mdssC*");
MODULE_ALIAS("of:N*T*Cqcom,x1e80100-mdss");
MODULE_ALIAS("of:N*T*Cqcom,x1e80100-mdssC*");

MODULE_INFO(srcversion, "E247189C25E8C5F4B73CB5C");
