#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(pl111_versatile_init, "_gpl", "");

SYMBOL_CRC(pl111_versatile_init, 0xf944a711, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x44ade54d, "platform_device_put" },
	{ 0xbb2e9e29, "drm_open" },
	{ 0x57055918, "drm_poll" },
	{ 0xc569d8ce, "__clk_get_name" },
	{ 0xcb824037, "regmap_write" },
	{ 0x4c55545d, "devm_request_threaded_irq" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0xe9d10d9d, "of_node_put" },
	{ 0xf9ed9452, "of_property_read_variable_u32_array" },
	{ 0xc12f0ec8, "drm_kms_helper_poll_init" },
	{ 0x305ea78d, "of_find_device_by_node" },
	{ 0x16d4720e, "amba_driver_unregister" },
	{ 0xf72fab30, "drm_simple_display_pipe_attach_bridge" },
	{ 0x64ac67a6, "drm_atomic_helper_shutdown" },
	{ 0xb6f317b, "devm_regmap_init_vexpress_config" },
	{ 0xb82a9624, "devm_clk_hw_register" },
	{ 0xef09ea75, "drm_panel_bridge_remove" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x6ad6907b, "of_get_next_available_child" },
	{ 0xac907ca3, "drmm_mode_config_init" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0xb488bd02, "devm_clk_get" },
	{ 0x98118ef5, "drm_crtc_vblank_get" },
	{ 0x40848ba7, "drm_crtc_send_vblank_event" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xc06bf752, "drm_fb_dma_get_gem_addr" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xdef642b, "drm_atomic_helper_commit" },
	{ 0x47da703, "drm_atomic_helper_check" },
	{ 0xb183bf2c, "of_reserved_mem_device_release" },
	{ 0xe8ecf988, "drm_gem_mmap" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0xb0740727, "drm_ioctl" },
	{ 0x693138, "clk_hw_round_rate" },
	{ 0x2096e05f, "__amba_driver_register" },
	{ 0xc43f2a4f, "drm_fbdev_dma_setup" },
	{ 0x22ebdd2e, "drm_debugfs_create_files" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x2aaa9688, "drm_panel_bridge_add_typed" },
	{ 0xeceac78f, "drm_panel_bridge_connector" },
	{ 0xfdc0adc2, "noop_llseek" },
	{ 0x5cbfc99, "drm_read" },
	{ 0x88c69e1e, "syscon_node_to_regmap" },
	{ 0x50b0cc8e, "drm_gem_dma_dumb_create" },
	{ 0x3dae3a1d, "drm_crtc_vblank_on" },
	{ 0x49066c90, "drm_gem_fb_create" },
	{ 0xfbf4347c, "of_graph_get_next_endpoint" },
	{ 0x2673f198, "__drm_dev_dbg" },
	{ 0x20f7a8a1, "drm_dev_unregister" },
	{ 0xc1ba744a, "drm_dev_put" },
	{ 0x29dfd773, "of_reserved_mem_device_init_by_idx" },
	{ 0x50dba3da, "drm_simple_display_pipe_init" },
	{ 0xd69a7a68, "drm_vblank_init" },
	{ 0x6d5a834, "of_device_is_compatible" },
	{ 0xbf4236c7, "drm_of_find_panel_or_bridge" },
	{ 0xbfc8b417, "devm_ioremap_resource" },
	{ 0xb2579555, "drm_crtc_vblank_off" },
	{ 0x56470118, "__warn_printk" },
	{ 0x899fbd06, "seq_printf" },
	{ 0x77c768b, "drm_crtc_handle_vblank" },
	{ 0x48dc35b4, "clk_hw_get_parent" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x207bb5ea, "regmap_update_bits_base" },
	{ 0xd7aaaef5, "drm_mode_config_reset" },
	{ 0x1b633f1a, "drm_dev_alloc" },
	{ 0x7e15780a, "of_find_node_opts_by_path" },
	{ 0xf6a14e79, "drm_crtc_arm_vblank_event" },
	{ 0x30d27d32, "of_find_matching_node_and_match" },
	{ 0x815588a6, "clk_enable" },
	{ 0xb2c8ce84, "drm_compat_ioctl" },
	{ 0x9e5f6329, "drm_dev_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xa9bf4986, "drm_release" },
	{ 0x249e10b2, "drm_gem_dma_prime_import_sg_table" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "drm,drm_kms_helper,drm_dma_helper");

MODULE_ALIAS("amba:d???41110");
MODULE_ALIAS("amba:d??18011[01]");
MODULE_ALIAS("amba:d???41111");

MODULE_INFO(srcversion, "9FDD87E69E0B36698FBEDA3");
