#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rcar_mipi_dsi_pclk_enable, "_gpl", "");
KSYMTAB_FUNC(rcar_mipi_dsi_pclk_disable, "_gpl", "");

SYMBOL_CRC(rcar_mipi_dsi_pclk_enable, 0xb2cf09bf, "_gpl");
SYMBOL_CRC(rcar_mipi_dsi_pclk_disable, 0x3c96ad54, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x556e4390, "clk_get_rate" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0xed826b94, "__platform_driver_register" },
	{ 0x191aa226, "mipi_dsi_host_unregister" },
	{ 0xa6d4aefd, "drm_bridge_remove" },
	{ 0x7e62e7ae, "devm_drm_of_get_bridge" },
	{ 0x72801fe0, "drm_bridge_add" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x8e598b4b, "drm_bridge_attach" },
	{ 0x3b82c1cf, "platform_driver_unregister" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0xc1e79586, "of_device_get_match_data" },
	{ 0x43a50234, "drm_of_get_data_lanes_count_ep" },
	{ 0x24600a27, "devm_platform_ioremap_resource" },
	{ 0xb488bd02, "devm_clk_get" },
	{ 0x7bfd68d, "__devm_reset_control_get" },
	{ 0xa500d43d, "mipi_dsi_host_register" },
	{ 0x92f2a8c, "dev_err_probe" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x800473f, "__cond_resched" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xffda9598, "drm_atomic_get_new_connector_for_encoder" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0x3f49881, "drm_atomic_helper_bridge_duplicate_state" },
	{ 0x825f7d1c, "drm_atomic_helper_bridge_destroy_state" },
	{ 0xb891f827, "drm_atomic_helper_bridge_reset" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "drm,drm_kms_helper");

MODULE_ALIAS("of:N*T*Crenesas,r8a779a0-dsi-csi2-tx");
MODULE_ALIAS("of:N*T*Crenesas,r8a779a0-dsi-csi2-txC*");
MODULE_ALIAS("of:N*T*Crenesas,r8a779g0-dsi-csi2-tx");
MODULE_ALIAS("of:N*T*Crenesas,r8a779g0-dsi-csi2-txC*");

MODULE_INFO(srcversion, "96C11407DC9A2F0BCB8DF2B");
