#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rockchip_drm_wait_vact_end, "", "");
KSYMTAB_DATA(vop_component_ops, "_gpl", "");

SYMBOL_CRC(rockchip_drm_wait_vact_end, 0x71fd88e3, "");
SYMBOL_CRC(vop_component_ops, 0x5ec71fe8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2ca523bf, "extcon_get_state" },
	{ 0xe9dad64a, "drm_gem_fb_destroy" },
	{ 0x9cb0b255, "drm_atomic_helper_plane_destroy_state" },
	{ 0x40e0c393, "iommu_map_sg" },
	{ 0x44ade54d, "platform_device_put" },
	{ 0x38dc063f, "of_graph_get_remote_endpoint" },
	{ 0x6caa7ea2, "drm_kms_helper_poll_fini" },
	{ 0xbb2e9e29, "drm_open" },
	{ 0x3cc8f38f, "regulator_enable" },
	{ 0x24600a27, "devm_platform_ioremap_resource" },
	{ 0x57055918, "drm_poll" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x24e8df22, "drm_mode_crtc_set_gamma_size" },
	{ 0x1de3435d, "phy_configure" },
	{ 0xcb824037, "regmap_write" },
	{ 0x41361ae4, "dw_mipi_dsi_set_slave" },
	{ 0x4c55545d, "devm_request_threaded_irq" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0xd6f26cec, "drm_gem_get_pages" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0xe9d10d9d, "of_node_put" },
	{ 0xc12f0ec8, "drm_kms_helper_poll_init" },
	{ 0x4b7ebf95, "drm_mm_remove_node" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x61cd94a9, "devm_platform_get_and_ioremap_resource" },
	{ 0x3b82c1cf, "platform_driver_unregister" },
	{ 0x305ea78d, "of_find_device_by_node" },
	{ 0xd706cd02, "platform_get_irq" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x66278a1, "component_master_add_with_match" },
	{ 0x60d96c6c, "__devm_of_phy_provider_register" },
	{ 0x2c91e17c, "vm_get_page_prot" },
	{ 0x3ca3a89a, "drm_atomic_helper_disable_plane" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x5542443b, "drm_flip_work_init" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x57698a50, "drm_mm_takedown" },
	{ 0x64ac67a6, "drm_atomic_helper_shutdown" },
	{ 0x8dceb523, "request_firmware" },
	{ 0x73011db0, "drm_dp_bw_code_to_link_rate" },
	{ 0xb4032484, "drm_mm_insert_node_in_range" },
	{ 0xdafa1790, "dw_hdmi_phy_read_hpd" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x91203d85, "component_compare_dev" },
	{ 0x42926f4a, "dw_hdmi_resume" },
	{ 0x6ed28b41, "of_graph_parse_endpoint" },
	{ 0x4d506369, "drm_mode_object_get" },
	{ 0x40fcfe4c, "of_phy_simple_xlate" },
	{ 0x4829a47e, "memcpy" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x726ca848, "component_del" },
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0xcac098b6, "drm_helper_hpd_irq_event" },
	{ 0x94961283, "vunmap" },
	{ 0xc2f3871d, "drm_self_refresh_helper_cleanup" },
	{ 0x37a0cba, "kfree" },
	{ 0x4921ac59, "drm_of_find_possible_crtcs" },
	{ 0x15ef5468, "drm_crtc_cleanup" },
	{ 0x384ddb7d, "drm_aperture_remove_conflicting_framebuffers" },
	{ 0x75a84cc, "of_graph_get_remote_port_parent" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xefa96a3b, "analogix_dp_unbind" },
	{ 0x4260e85a, "drm_encoder_cleanup" },
	{ 0xca7988dd, "drm_gem_object_init" },
	{ 0xd0f57328, "drm_connector_unregister" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0xb1242358, "analogix_dp_resume" },
	{ 0xac907ca3, "drmm_mode_config_init" },
	{ 0x2f76df5c, "extcon_get_edev_by_phandle" },
	{ 0xb488bd02, "devm_clk_get" },
	{ 0x842dd90c, "drm_flip_work_commit" },
	{ 0x4a64ac99, "of_graph_get_endpoint_by_regs" },
	{ 0x5202532e, "analogix_dp_suspend" },
	{ 0x273b6952, "drm_mode_object_put" },
	{ 0xc6c5c854, "of_find_compatible_node" },
	{ 0x98118ef5, "drm_crtc_vblank_get" },
	{ 0x40848ba7, "drm_crtc_send_vblank_event" },
	{ 0xc0e9d4, "drm_connector_attach_encoder" },
	{ 0x789b16e1, "drm_gem_fb_afbc_init" },
	{ 0xffda9598, "drm_atomic_get_new_connector_for_encoder" },
	{ 0x82843856, "__platform_register_drivers" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xa119eba3, "drm_edid_connector_update" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x50b240ea, "iommu_paging_domain_alloc" },
	{ 0x42ac3b2e, "dw_mipi_dsi_remove" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xdef642b, "drm_atomic_helper_commit" },
	{ 0x403825b2, "syscon_regmap_lookup_by_phandle" },
	{ 0x8619869e, "put_device" },
	{ 0x47da703, "drm_atomic_helper_check" },
	{ 0xf693587e, "pm_runtime_enable" },
	{ 0x5f2bfaac, "drm_atomic_helper_connector_destroy_state" },
	{ 0x65ad9c1d, "devm_regulator_get" },
	{ 0x2a964717, "drm_atomic_helper_plane_duplicate_state" },
	{ 0xe8ecf988, "drm_gem_mmap" },
	{ 0x43f81957, "clk_round_rate" },
	{ 0xb0740727, "drm_ioctl" },
	{ 0x7434c872, "drm_plane_cleanup" },
	{ 0xa3d21f80, "drm_dev_printk" },
	{ 0xc43f2a4f, "drm_fbdev_dma_setup" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x800473f, "__cond_resched" },
	{ 0xe2188475, "drm_atomic_helper_dirtyfb" },
	{ 0xbb3d1556, "of_get_child_by_name" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x6a9f15b6, "iommu_detach_device" },
	{ 0x6910e4cd, "drm_format_info_min_pitch" },
	{ 0xfdaa1085, "of_match_device" },
	{ 0x4b68aa28, "drm_connector_init" },
	{ 0xcc876e05, "devm_kmemdup" },
	{ 0x57bc19d2, "down_write" },
	{ 0x1f5d4469, "devm_kfree" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0xedd2abda, "iommu_domain_free" },
	{ 0xce807a25, "up_write" },
	{ 0x38f78982, "drm_mode_config_helper_suspend" },
	{ 0x2691b191, "__of_parse_phandle_with_args" },
	{ 0x955ba9f0, "platform_device_unregister" },
	{ 0x270177ab, "__drm_atomic_helper_connector_reset" },
	{ 0x98b828e5, "__drm_atomic_helper_connector_destroy_state" },
	{ 0x2c13941b, "iommu_unmap" },
	{ 0xfdc0adc2, "noop_llseek" },
	{ 0x5cbfc99, "drm_read" },
	{ 0x132777cd, "drm_edid_connector_add_modes" },
	{ 0x6e7902da, "platform_get_resource" },
	{ 0xca9e957d, "__dma_sync_sg_for_device" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0xb034e139, "drm_gem_object_release" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xcc98ec6f, "__drm_atomic_helper_connector_hdmi_reset" },
	{ 0x642cc440, "dma_alloc_attrs" },
	{ 0xdad9c8b1, "drm_prime_get_contiguous_size" },
	{ 0x4848cfb1, "phy_mipi_dphy_get_default_config" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0x49631f04, "phy_power_on" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x3dae3a1d, "drm_crtc_vblank_on" },
	{ 0x5ded8f6b, "dw_mipi_dsi_probe" },
	{ 0xe0233335, "vmap" },
	{ 0x5bfe36f5, "drm_gem_handle_create" },
	{ 0x5b36a3ec, "of_find_property" },
	{ 0x47083a1f, "pm_runtime_get_if_in_use" },
	{ 0x30ea7ad1, "drm_atomic_helper_check_plane_state" },
	{ 0x2f800286, "drm_atomic_helper_plane_reset" },
	{ 0x6022f042, "of_match_node" },
	{ 0xc5fdf1bc, "drm_crtc_init_with_planes" },
	{ 0xf06e373f, "drm_gem_dma_vm_ops" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xa33705b7, "of_device_is_available" },
	{ 0x1c8295b5, "drm_crtc_vblank_put" },
	{ 0xb334b75c, "drm_edid_read_custom" },
	{ 0xfcfd1684, "of_graph_get_remote_node" },
	{ 0x2673f198, "__drm_dev_dbg" },
	{ 0x338f7a54, "drm_prime_pages_to_sg" },
	{ 0x20f7a8a1, "drm_dev_unregister" },
	{ 0x25b8f202, "drm_atomic_helper_commit_tail_rpm" },
	{ 0x9ce050be, "drm_mode_copy" },
	{ 0xdcb764ad, "memset" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0xf0517d7a, "drm_mm_init" },
	{ 0xc1ba744a, "drm_dev_put" },
	{ 0xf2d1b30f, "devm_extcon_register_notifier" },
	{ 0x856df7bc, "device_link_del" },
	{ 0x127a8c6b, "drm_flip_work_queue" },
	{ 0x84342fb2, "drm_atomic_helper_set_config" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x274e4b6a, "__drm_atomic_helper_crtc_duplicate_state" },
	{ 0xc1d28e97, "drm_atomic_helper_connector_duplicate_state" },
	{ 0x14ce27a9, "phy_power_off" },
	{ 0x44bece5f, "analogix_dp_probe" },
	{ 0x98fed39f, "drm_edid_raw" },
	{ 0x6dd3f46f, "i2c_add_adapter" },
	{ 0xf4d76834, "drm_connector_cleanup" },
	{ 0xed317aae, "drm_get_format_info" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xedcf81ce, "drm_dp_channel_eq_ok" },
	{ 0xed826b94, "__platform_driver_register" },
	{ 0x9598d3be, "drm_universal_plane_init" },
	{ 0x7bfd68d, "__devm_reset_control_get" },
	{ 0xf5922009, "dw_hdmi_phy_update_hpd" },
	{ 0x4b9181dd, "devm_clk_get_optional" },
	{ 0x30110d0d, "__drm_atomic_helper_crtc_destroy_state" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x58eb4865, "drm_crtc_enable_color_mgmt" },
	{ 0xd667204, "dw_mipi_dsi_unbind" },
	{ 0xc8d6d367, "phy_set_mode_ext" },
	{ 0x513e71f7, "__drm_atomic_helper_connector_duplicate_state" },
	{ 0x46d8f1db, "devm_phy_optional_get" },
	{ 0xd6968220, "dw_hdmi_phy_setup_hpd" },
	{ 0x362dcefc, "platform_device_register_full" },
	{ 0x870c85d3, "component_master_del" },
	{ 0xecf6c88c, "drm_simple_encoder_init" },
	{ 0x404667b0, "dma_free_attrs" },
	{ 0xd69a7a68, "drm_vblank_init" },
	{ 0xdeab2af0, "i2c_put_adapter" },
	{ 0x4f139bf4, "__pm_runtime_resume" },
	{ 0xcd0d4d23, "dma_map_sgtable" },
	{ 0xd9b5e2a1, "drm_of_encoder_active_endpoint" },
	{ 0xdab55259, "component_match_add_release" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa1295ae4, "drm_kms_helper_hotplug_event" },
	{ 0x63dd255d, "platform_find_device_by_driver" },
	{ 0xbf4236c7, "drm_of_find_panel_or_bridge" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xe7a75f0a, "vm_map_pages" },
	{ 0xbd08907b, "drm_gem_fb_init_with_funcs" },
	{ 0xbfc8b417, "devm_ioremap_resource" },
	{ 0x3a707c93, "pm_runtime_force_resume" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x4c6a1a6e, "extcon_get_property" },
	{ 0x68c031ce, "component_bind_all" },
	{ 0x3e0eb438, "analogix_dp_bind" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xb2579555, "drm_crtc_vblank_off" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1c70b7de, "drm_helper_probe_single_connector_modes" },
	{ 0xa25174d8, "devm_phy_create" },
	{ 0x7275da8b, "drm_plane_create_rotation_property" },
	{ 0xb7c4be8a, "__drm_atomic_helper_crtc_reset" },
	{ 0x77c768b, "drm_crtc_handle_vblank" },
	{ 0xae899c66, "dw_hdmi_bind" },
	{ 0xe80b41e6, "dw_mipi_dsi_bind" },
	{ 0x82a90636, "drm_atomic_get_plane_state" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x881bad5e, "phy_mipi_dphy_config_validate" },
	{ 0x9b285573, "drm_match_cea_mode" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xea3e8797, "dma_mmap_attrs" },
	{ 0xa7313b8f, "drm_self_refresh_helper_init" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x66476727, "drm_atomic_helper_page_flip" },
	{ 0x708548b4, "drm_gem_fb_create_handle" },
	{ 0x931b4871, "drm_atomic_helper_connector_hdmi_update_infoframes" },
	{ 0xd0b5edbf, "dma_get_sgtable_attrs" },
	{ 0x157b086f, "drm_atomic_helper_connector_reset" },
	{ 0xc3293cf7, "regulator_disable" },
	{ 0xd7aaaef5, "drm_mode_config_reset" },
	{ 0xa5ae24a7, "drm_atomic_helper_connector_hdmi_check" },
	{ 0x5986a5d8, "dma_unmap_sg_attrs" },
	{ 0xc6323239, "drm_flip_work_cleanup" },
	{ 0x5951752b, "component_add" },
	{ 0xdd714fc, "drmm_connector_hdmi_init" },
	{ 0x450abac7, "drm_mode_config_helper_resume" },
	{ 0xf140f20, "component_unbind_all" },
	{ 0x1b633f1a, "drm_dev_alloc" },
	{ 0xc1e79586, "of_device_get_match_data" },
	{ 0x568d4681, "__pm_runtime_disable" },
	{ 0x690b3a83, "drm_atomic_helper_update_plane" },
	{ 0x87b397b4, "device_link_add" },
	{ 0xbc8b7f8d, "drm_gem_put_pages" },
	{ 0x815588a6, "clk_enable" },
	{ 0xd0642b55, "platform_unregister_drivers" },
	{ 0xb3b109ef, "pm_runtime_force_suspend" },
	{ 0xb2c8ce84, "drm_compat_ioctl" },
	{ 0x9e5f6329, "drm_dev_register" },
	{ 0x61f81ab3, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe98f607e, "iommu_attach_device" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x280039fd, "devm_of_phy_get_by_index" },
	{ 0x17fc7bfe, "drm_prime_gem_destroy" },
	{ 0xa9bf4986, "drm_release" },
	{ 0x19fd9ca6, "drm_edid_read_ddc" },
	{ 0x316212a8, "dw_hdmi_unbind" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "drm_kms_helper,drm,dw-mipi-dsi,drm_display_helper,dw-hdmi,analogix_dp,drm_dma_helper");

MODULE_ALIAS("of:N*T*Crockchip,px30-mipi-dsi");
MODULE_ALIAS("of:N*T*Crockchip,px30-mipi-dsiC*");
MODULE_ALIAS("of:N*T*Crockchip,rk3128-mipi-dsi");
MODULE_ALIAS("of:N*T*Crockchip,rk3128-mipi-dsiC*");
MODULE_ALIAS("of:N*T*Crockchip,rk3288-mipi-dsi");
MODULE_ALIAS("of:N*T*Crockchip,rk3288-mipi-dsiC*");
MODULE_ALIAS("of:N*T*Crockchip,rk3399-mipi-dsi");
MODULE_ALIAS("of:N*T*Crockchip,rk3399-mipi-dsiC*");
MODULE_ALIAS("of:N*T*Crockchip,rk3568-mipi-dsi");
MODULE_ALIAS("of:N*T*Crockchip,rk3568-mipi-dsiC*");
MODULE_ALIAS("of:N*T*Crockchip,rv1126-mipi-dsi");
MODULE_ALIAS("of:N*T*Crockchip,rv1126-mipi-dsiC*");
MODULE_ALIAS("of:N*T*Crockchip,rk3036-vop");
MODULE_ALIAS("of:N*T*Crockchip,rk3036-vopC*");
MODULE_ALIAS("of:N*T*Crockchip,rk3126-vop");
MODULE_ALIAS("of:N*T*Crockchip,rk3126-vopC*");
MODULE_ALIAS("of:N*T*Crockchip,px30-vop-big");
MODULE_ALIAS("of:N*T*Crockchip,px30-vop-bigC*");
MODULE_ALIAS("of:N*T*Crockchip,px30-vop-lit");
MODULE_ALIAS("of:N*T*Crockchip,px30-vop-litC*");
MODULE_ALIAS("of:N*T*Crockchip,rk3066-vop");
MODULE_ALIAS("of:N*T*Crockchip,rk3066-vopC*");
MODULE_ALIAS("of:N*T*Crockchip,rk3188-vop");
MODULE_ALIAS("of:N*T*Crockchip,rk3188-vopC*");
MODULE_ALIAS("of:N*T*Crockchip,rk3288-vop");
MODULE_ALIAS("of:N*T*Crockchip,rk3288-vopC*");
MODULE_ALIAS("of:N*T*Crockchip,rk3368-vop");
MODULE_ALIAS("of:N*T*Crockchip,rk3368-vopC*");
MODULE_ALIAS("of:N*T*Crockchip,rk3366-vop");
MODULE_ALIAS("of:N*T*Crockchip,rk3366-vopC*");
MODULE_ALIAS("of:N*T*Crockchip,rk3399-vop-big");
MODULE_ALIAS("of:N*T*Crockchip,rk3399-vop-bigC*");
MODULE_ALIAS("of:N*T*Crockchip,rk3399-vop-lit");
MODULE_ALIAS("of:N*T*Crockchip,rk3399-vop-litC*");
MODULE_ALIAS("of:N*T*Crockchip,rk3228-vop");
MODULE_ALIAS("of:N*T*Crockchip,rk3228-vopC*");
MODULE_ALIAS("of:N*T*Crockchip,rk3328-vop");
MODULE_ALIAS("of:N*T*Crockchip,rk3328-vopC*");
MODULE_ALIAS("of:N*T*Crockchip,rv1126-vop");
MODULE_ALIAS("of:N*T*Crockchip,rv1126-vopC*");
MODULE_ALIAS("of:N*T*Crockchip,rk3036-inno-hdmi");
MODULE_ALIAS("of:N*T*Crockchip,rk3036-inno-hdmiC*");
MODULE_ALIAS("of:N*T*Crockchip,rk3128-inno-hdmi");
MODULE_ALIAS("of:N*T*Crockchip,rk3128-inno-hdmiC*");
MODULE_ALIAS("of:N*T*Crockchip,rk3228-dw-hdmi");
MODULE_ALIAS("of:N*T*Crockchip,rk3228-dw-hdmiC*");
MODULE_ALIAS("of:N*T*Crockchip,rk3288-dw-hdmi");
MODULE_ALIAS("of:N*T*Crockchip,rk3288-dw-hdmiC*");
MODULE_ALIAS("of:N*T*Crockchip,rk3328-dw-hdmi");
MODULE_ALIAS("of:N*T*Crockchip,rk3328-dw-hdmiC*");
MODULE_ALIAS("of:N*T*Crockchip,rk3399-dw-hdmi");
MODULE_ALIAS("of:N*T*Crockchip,rk3399-dw-hdmiC*");
MODULE_ALIAS("of:N*T*Crockchip,rk3568-dw-hdmi");
MODULE_ALIAS("of:N*T*Crockchip,rk3568-dw-hdmiC*");
MODULE_ALIAS("of:N*T*Crockchip,rk3399-cdn-dp");
MODULE_ALIAS("of:N*T*Crockchip,rk3399-cdn-dpC*");
MODULE_ALIAS("of:N*T*Crockchip,display-subsystem");
MODULE_ALIAS("of:N*T*Crockchip,display-subsystemC*");
MODULE_ALIAS("of:N*T*Crockchip,rk3288-dp");
MODULE_ALIAS("of:N*T*Crockchip,rk3288-dpC*");
MODULE_ALIAS("of:N*T*Crockchip,rk3399-edp");
MODULE_ALIAS("of:N*T*Crockchip,rk3399-edpC*");

MODULE_INFO(srcversion, "E99E21DC88CB9E3DD162EBA");
