#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_sched_tdr_queue_imm, "", "");
KSYMTAB_FUNC(drm_sched_fault, "", "");
KSYMTAB_FUNC(drm_sched_suspend_timeout, "", "");
KSYMTAB_FUNC(drm_sched_resume_timeout, "", "");
KSYMTAB_FUNC(drm_sched_stop, "", "");
KSYMTAB_FUNC(drm_sched_start, "", "");
KSYMTAB_FUNC(drm_sched_resubmit_jobs, "", "");
KSYMTAB_FUNC(drm_sched_job_init, "", "");
KSYMTAB_FUNC(drm_sched_job_arm, "", "");
KSYMTAB_FUNC(drm_sched_job_add_dependency, "", "");
KSYMTAB_FUNC(drm_sched_job_add_syncobj_dependency, "", "");
KSYMTAB_FUNC(drm_sched_job_add_resv_dependencies, "", "");
KSYMTAB_FUNC(drm_sched_job_add_implicit_dependencies, "", "");
KSYMTAB_FUNC(drm_sched_job_cleanup, "", "");
KSYMTAB_FUNC(drm_sched_pick_best, "", "");
KSYMTAB_FUNC(drm_sched_init, "", "");
KSYMTAB_FUNC(drm_sched_fini, "", "");
KSYMTAB_FUNC(drm_sched_increase_karma, "", "");
KSYMTAB_FUNC(drm_sched_wqueue_ready, "", "");
KSYMTAB_FUNC(drm_sched_wqueue_stop, "", "");
KSYMTAB_FUNC(drm_sched_wqueue_start, "", "");
KSYMTAB_FUNC(to_drm_sched_fence, "", "");
KSYMTAB_FUNC(drm_sched_entity_init, "", "");
KSYMTAB_FUNC(drm_sched_entity_modify_sched, "", "");
KSYMTAB_FUNC(drm_sched_entity_error, "", "");
KSYMTAB_FUNC(drm_sched_entity_flush, "", "");
KSYMTAB_FUNC(drm_sched_entity_fini, "", "");
KSYMTAB_FUNC(drm_sched_entity_destroy, "", "");
KSYMTAB_FUNC(drm_sched_entity_set_priority, "", "");
KSYMTAB_FUNC(drm_sched_entity_push_job, "", "");

SYMBOL_CRC(drm_sched_tdr_queue_imm, 0x049b5488, "");
SYMBOL_CRC(drm_sched_fault, 0xa2f62066, "");
SYMBOL_CRC(drm_sched_suspend_timeout, 0x59d61b84, "");
SYMBOL_CRC(drm_sched_resume_timeout, 0x45148560, "");
SYMBOL_CRC(drm_sched_stop, 0x03b1b7c2, "");
SYMBOL_CRC(drm_sched_start, 0xe3f3f273, "");
SYMBOL_CRC(drm_sched_resubmit_jobs, 0x1473dc58, "");
SYMBOL_CRC(drm_sched_job_init, 0x12b1a636, "");
SYMBOL_CRC(drm_sched_job_arm, 0xb51a47e6, "");
SYMBOL_CRC(drm_sched_job_add_dependency, 0x9152cc21, "");
SYMBOL_CRC(drm_sched_job_add_syncobj_dependency, 0xd29f7cea, "");
SYMBOL_CRC(drm_sched_job_add_resv_dependencies, 0xe3b2ded3, "");
SYMBOL_CRC(drm_sched_job_add_implicit_dependencies, 0xce647e2d, "");
SYMBOL_CRC(drm_sched_job_cleanup, 0x0b1d6696, "");
SYMBOL_CRC(drm_sched_pick_best, 0xefddddc7, "");
SYMBOL_CRC(drm_sched_init, 0x0da51eea, "");
SYMBOL_CRC(drm_sched_fini, 0x528dc8ba, "");
SYMBOL_CRC(drm_sched_increase_karma, 0xcc854124, "");
SYMBOL_CRC(drm_sched_wqueue_ready, 0xa27e762a, "");
SYMBOL_CRC(drm_sched_wqueue_stop, 0xa38622d3, "");
SYMBOL_CRC(drm_sched_wqueue_start, 0xf2a4d3f4, "");
SYMBOL_CRC(to_drm_sched_fence, 0x65907faa, "");
SYMBOL_CRC(drm_sched_entity_init, 0x24501588, "");
SYMBOL_CRC(drm_sched_entity_modify_sched, 0xcf43c9b2, "");
SYMBOL_CRC(drm_sched_entity_error, 0xc0d51028, "");
SYMBOL_CRC(drm_sched_entity_flush, 0xdf38ae08, "");
SYMBOL_CRC(drm_sched_entity_fini, 0xc56f1378, "");
SYMBOL_CRC(drm_sched_entity_destroy, 0x8573f146, "");
SYMBOL_CRC(drm_sched_entity_set_priority, 0x7742e335, "");
SYMBOL_CRC(drm_sched_entity_push_job, 0xc1156ce1, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xf6f11703, "drm_syncobj_find_fence" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x93b9a682, "trace_raw_output_prep" },
	{ 0xca9360b5, "rb_next" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x556be6e0, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xcb6b138, "trace_event_printf" },
	{ 0x3f7c8b8f, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc4e40b90, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x628c0f8f, "dma_fence_add_callback" },
	{ 0xccaf994e, "dma_fence_set_deadline" },
	{ 0x3494ac55, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x64d11af1, "dma_fence_wait_timeout" },
	{ 0x34070452, "dev_driver_string" },
	{ 0xfb6dfa14, "trace_event_buffer_commit" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x95f4b962, "dma_resv_iter_next" },
	{ 0x70daa11e, "dma_fence_remove_callback" },
	{ 0xa3d21f80, "drm_dev_printk" },
	{ 0x800473f, "__cond_resched" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x4bb807c7, "perf_trace_run_bpf_submit" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xaacf03c1, "dma_fence_signal" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xbc037f7, "kmem_cache_free" },
	{ 0x2092327, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xdeb99119, "dma_fence_init" },
	{ 0xdc0f8a86, "bpf_trace_run1" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xdcb764ad, "memset" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xd235061c, "kmem_cache_alloc_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x745a981, "xa_erase" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xda2d7a21, "trace_event_buffer_reserve" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xe2de0042, "dma_resv_iter_first" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0x98cf60b3, "strlen" },
	{ 0xcb74520d, "param_ops_int" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x309989e7, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "drm");


MODULE_INFO(srcversion, "D62199473760ED70E336390");
