#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x450abac7, "drm_mode_config_helper_resume" },
	{ 0x38f78982, "drm_mode_config_helper_suspend" },
	{ 0x64ac67a6, "drm_atomic_helper_shutdown" },
	{ 0xedc03953, "iounmap" },
	{ 0x35beca42, "pci_release_regions" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0xdbdf6c92, "ioport_resource" },
	{ 0x1035c7c2, "__release_region" },
	{ 0x28a7e69b, "drm_dev_unplug" },
	{ 0xc1ba744a, "drm_dev_put" },
	{ 0x49066c90, "drm_gem_fb_create" },
	{ 0xe1a350f8, "pci_unregister_driver" },
	{ 0x132777cd, "drm_edid_connector_add_modes" },
	{ 0x60687dc4, "drm_add_modes_noedid" },
	{ 0xf2f2c947, "drm_set_preferred_mode" },
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0x43ba1bed, "__pci_register_driver" },
	{ 0x47da36a0, "pci_request_region" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x122c3a7e, "_printk" },
	{ 0x85bd1608, "__request_region" },
	{ 0x2673f198, "__drm_dev_dbg" },
	{ 0x5fa936ab, "drm_aperture_remove_conflicting_pci_framebuffers" },
	{ 0x1b633f1a, "drm_dev_alloc" },
	{ 0xad1a4a95, "pcim_enable_device" },
	{ 0x6c5618ce, "drmm_kmalloc" },
	{ 0x69d15dcc, "drmm_vram_helper_init" },
	{ 0xac907ca3, "drmm_mode_config_init" },
	{ 0x4b68aa28, "drm_connector_init" },
	{ 0x9b9de1c1, "drm_edid_header_is_valid" },
	{ 0xb334b75c, "drm_edid_read_custom" },
	{ 0x65bd9972, "drm_connector_attach_edid_property" },
	{ 0xa119eba3, "drm_edid_connector_update" },
	{ 0x50dba3da, "drm_simple_display_pipe_init" },
	{ 0xd7aaaef5, "drm_mode_config_reset" },
	{ 0x9e5f6329, "drm_dev_register" },
	{ 0x4f5e2275, "drm_fbdev_ttm_setup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x975da5bb, "drm_gem_vram_offset" },
	{ 0xa6b263c1, "drm_dev_enter" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0x8e387533, "drm_vram_mm_debugfs_init" },
	{ 0xf6205bb9, "drm_gem_vram_driver_dumb_create" },
	{ 0xdb2efb12, "drm_gem_ttm_dumb_map_offset" },
	{ 0xfdc0adc2, "noop_llseek" },
	{ 0x5cbfc99, "drm_read" },
	{ 0x57055918, "drm_poll" },
	{ 0xb0740727, "drm_ioctl" },
	{ 0xb2c8ce84, "drm_compat_ioctl" },
	{ 0xe8ecf988, "drm_gem_mmap" },
	{ 0xbb2e9e29, "drm_open" },
	{ 0xa9bf4986, "drm_release" },
	{ 0x5379c61a, "drm_vram_helper_mode_valid" },
	{ 0x47da703, "drm_atomic_helper_check" },
	{ 0xdef642b, "drm_atomic_helper_commit" },
	{ 0x157b086f, "drm_atomic_helper_connector_reset" },
	{ 0x1c70b7de, "drm_helper_probe_single_connector_modes" },
	{ 0xf4d76834, "drm_connector_cleanup" },
	{ 0xc1d28e97, "drm_atomic_helper_connector_duplicate_state" },
	{ 0x5f2bfaac, "drm_atomic_helper_connector_destroy_state" },
	{ 0xc2efe010, "drm_gem_vram_simple_display_pipe_prepare_fb" },
	{ 0xeea3e4f9, "drm_gem_vram_simple_display_pipe_cleanup_fb" },
	{ 0xcb74520d, "param_ops_int" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "drm_kms_helper,drm,drm_vram_helper,drm_ttm_helper");

MODULE_ALIAS("pci:v00001234d00001111sv00001AF4sd00001100bc*sc*i*");
MODULE_ALIAS("pci:v00001234d00001111sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00004321d00001111sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "06CC19CA4B2CCD90B2A971A");
