#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x64ac67a6, "drm_atomic_helper_shutdown" },
	{ 0x28a7e69b, "drm_dev_unplug" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0x6910e4cd, "drm_format_info_min_pitch" },
	{ 0x60687dc4, "drm_add_modes_noedid" },
	{ 0xf2f2c947, "drm_set_preferred_mode" },
	{ 0x107b3948, "drm_atomic_helper_check_crtc_primary_plane" },
	{ 0x215f26d0, "__drm_gem_destroy_shadow_plane_state" },
	{ 0x37a0cba, "kfree" },
	{ 0xe1a350f8, "pci_unregister_driver" },
	{ 0x4ddb2bd3, "__devm_drm_dev_alloc" },
	{ 0x3ea528ee, "devm_ioremap" },
	{ 0xac907ca3, "drmm_mode_config_init" },
	{ 0x9598d3be, "drm_universal_plane_init" },
	{ 0xd7aaaef5, "drm_mode_config_reset" },
	{ 0x9e5f6329, "drm_dev_register" },
	{ 0xccac2415, "drm_plane_enable_fb_damage_clips" },
	{ 0xc5fdf1bc, "drm_crtc_init_with_planes" },
	{ 0x2df329a3, "drm_fbdev_shmem_setup" },
	{ 0xdc1fd150, "drm_encoder_init" },
	{ 0x4b68aa28, "drm_connector_init" },
	{ 0xc0e9d4, "drm_connector_attach_encoder" },
	{ 0x5fa936ab, "drm_aperture_remove_conflicting_pci_framebuffers" },
	{ 0xad1a4a95, "pcim_enable_device" },
	{ 0x87b4d3f3, "pci_request_regions" },
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0x43ba1bed, "__pci_register_driver" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x28eec03c, "__drm_gem_duplicate_shadow_plane_state" },
	{ 0xa6b263c1, "drm_dev_enter" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x30ea7ad1, "drm_atomic_helper_check_plane_state" },
	{ 0x18ffc869, "__drm_gem_reset_shadow_plane" },
	{ 0xf69242a0, "drm_atomic_helper_damage_iter_init" },
	{ 0xb6a6b711, "drm_fb_clip_offset" },
	{ 0x588368de, "drm_fb_blit" },
	{ 0x6b5c2b06, "drm_atomic_helper_damage_iter_next" },
	{ 0x9e745c60, "drm_gem_shmem_prime_import_sg_table" },
	{ 0x229315e3, "drm_gem_shmem_dumb_create" },
	{ 0xfdc0adc2, "noop_llseek" },
	{ 0x5cbfc99, "drm_read" },
	{ 0x57055918, "drm_poll" },
	{ 0xb0740727, "drm_ioctl" },
	{ 0xb2c8ce84, "drm_compat_ioctl" },
	{ 0xe8ecf988, "drm_gem_mmap" },
	{ 0xbb2e9e29, "drm_open" },
	{ 0xa9bf4986, "drm_release" },
	{ 0x751f125f, "drm_gem_fb_create_with_dirty" },
	{ 0x47da703, "drm_atomic_helper_check" },
	{ 0xdef642b, "drm_atomic_helper_commit" },
	{ 0x157b086f, "drm_atomic_helper_connector_reset" },
	{ 0x1c70b7de, "drm_helper_probe_single_connector_modes" },
	{ 0xf4d76834, "drm_connector_cleanup" },
	{ 0xc1d28e97, "drm_atomic_helper_connector_duplicate_state" },
	{ 0x5f2bfaac, "drm_atomic_helper_connector_destroy_state" },
	{ 0x4260e85a, "drm_encoder_cleanup" },
	{ 0x4596604e, "drm_atomic_helper_crtc_reset" },
	{ 0x15ef5468, "drm_crtc_cleanup" },
	{ 0x84342fb2, "drm_atomic_helper_set_config" },
	{ 0x66476727, "drm_atomic_helper_page_flip" },
	{ 0xc9238202, "drm_atomic_helper_crtc_duplicate_state" },
	{ 0x1f47f93a, "drm_atomic_helper_crtc_destroy_state" },
	{ 0x690b3a83, "drm_atomic_helper_update_plane" },
	{ 0x3ca3a89a, "drm_atomic_helper_disable_plane" },
	{ 0x7434c872, "drm_plane_cleanup" },
	{ 0x7546ddc8, "drm_gem_begin_shadow_fb_access" },
	{ 0xe772ac0e, "drm_gem_end_shadow_fb_access" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "drm_kms_helper,drm,drm_shmem_helper");

MODULE_ALIAS("pci:v00001013d000000B8sv00001AF4sd00001100bc*sc*i*");
MODULE_ALIAS("pci:v00001013d000000B8sv00005853sd00000001bc*sc*i*");

MODULE_INFO(srcversion, "C501974F942223127A9DEE5");
