#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf5b551e2, "__hid_register_driver" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x635ea665, "hid_hw_raw_request" },
	{ 0x37a0cba, "kfree" },
	{ 0x5d3ce374, "hid_hw_output_report" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x1e80e994, "devm_input_allocate_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x44a18989, "input_register_device" },
	{ 0x92ec28ad, "input_set_abs_params" },
	{ 0xf92a031b, "input_alloc_absinfo" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa359e790, "usb_submit_urb" },
	{ 0x4829a47e, "memcpy" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x66c4aea8, "hid_open_report" },
	{ 0xab23df85, "hid_hw_start" },
	{ 0xc42816b7, "hid_is_usb" },
	{ 0x9181493a, "usb_alloc_urb" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1d3f22b7, "usb_free_urb" },
	{ 0x4dad0a9b, "hid_hw_stop" },
	{ 0xbc399f0e, "hid_unregister_driver" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x2ba7f5b, "input_mt_init_slots" },
	{ 0x86f6553b, "input_event" },
	{ 0x63258ba3, "input_mt_report_slot_state" },
	{ 0xc111dfd7, "input_mt_sync_frame" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xb054cd4d, "power_supply_get_drvdata" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0x41e40f20, "hid_hw_close" },
	{ 0xffb7c514, "ida_free" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x6ddf4e70, "hid_hw_request" },
	{ 0xdcb764ad, "memset" },
	{ 0x98cf60b3, "strlen" },
	{ 0xb71e4901, "devm_led_classdev_register_ext" },
	{ 0x45e0e3c9, "hid_validate_values" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x270e3fa7, "input_set_capability" },
	{ 0x24a612a7, "input_ff_create_memless" },
	{ 0xce06599e, "devm_kasprintf" },
	{ 0x906f42f3, "devm_power_supply_register" },
	{ 0x445df6d7, "power_supply_powers" },
	{ 0x59b214e8, "hid_hw_open" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x122c3a7e, "_printk" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "ff-memless");

MODULE_ALIAS("hid:b0003g*v0000054Cp00000268");
MODULE_ALIAS("hid:b0003g*v0000054Cp0000042F");
MODULE_ALIAS("hid:b0005g*v0000054Cp0000042F");
MODULE_ALIAS("hid:b0003g*v0000054Cp000003D5");
MODULE_ALIAS("hid:b0005g*v0000054Cp000003D5");
MODULE_ALIAS("hid:b0005g*v0000054Cp00000268");
MODULE_ALIAS("hid:b0003g*v0000054Cp0000024B");
MODULE_ALIAS("hid:b0003g*v0000054Cp00000374");
MODULE_ALIAS("hid:b0003g*v0000054Cp00000002");
MODULE_ALIAS("hid:b0003g*v0000054Cp00001000");
MODULE_ALIAS("hid:b0005g*v0000054Cp00000306");
MODULE_ALIAS("hid:b0005g*v0000046Dp00000306");
MODULE_ALIAS("hid:b0005g*v00000609p00000306");
MODULE_ALIAS("hid:b0003g*v00001345p00003008");
MODULE_ALIAS("hid:b0005g*v00000609p00000368");
MODULE_ALIAS("hid:b0005g*v00000609p00000369");
MODULE_ALIAS("hid:b0003g*v000012BAp0000074B");
MODULE_ALIAS("hid:b0003g*v00001430p0000474C");
MODULE_ALIAS("hid:b0003g*v000012BAp00000100");
MODULE_ALIAS("hid:b0003g*v00001430p000007BB");

MODULE_INFO(srcversion, "2B09015E49B8E183D2369F9");
