#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(pmbus_clear_cache, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_set_update, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_set_page, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_write_byte, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_write_word_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_update_fan, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_read_word_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_read_byte_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_write_byte_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_update_byte_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_fan_rate_device, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_fan_rate_cached, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_clear_faults, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_check_byte_register, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_check_word_register, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_driver_info, "_gpl", "PMBUS");
KSYMTAB_DATA(pmbus_regulator_ops, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_do_probe, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_debugfs_dir, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_lock_interruptible, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_unlock, "_gpl", "PMBUS");

SYMBOL_CRC(pmbus_clear_cache, 0x6c6394d8, "_gpl");
SYMBOL_CRC(pmbus_set_update, 0xe3b8548a, "_gpl");
SYMBOL_CRC(pmbus_set_page, 0xbec2722e, "_gpl");
SYMBOL_CRC(pmbus_write_byte, 0x7bf60355, "_gpl");
SYMBOL_CRC(pmbus_write_word_data, 0xb8bd6e3c, "_gpl");
SYMBOL_CRC(pmbus_update_fan, 0xe6e7bb18, "_gpl");
SYMBOL_CRC(pmbus_read_word_data, 0xad19fea3, "_gpl");
SYMBOL_CRC(pmbus_read_byte_data, 0x0ddac495, "_gpl");
SYMBOL_CRC(pmbus_write_byte_data, 0xcfd9fb3d, "_gpl");
SYMBOL_CRC(pmbus_update_byte_data, 0xa862cc66, "_gpl");
SYMBOL_CRC(pmbus_get_fan_rate_device, 0x78feca6b, "_gpl");
SYMBOL_CRC(pmbus_get_fan_rate_cached, 0xab1416a9, "_gpl");
SYMBOL_CRC(pmbus_clear_faults, 0x9f0b7dd8, "_gpl");
SYMBOL_CRC(pmbus_check_byte_register, 0x1e618a53, "_gpl");
SYMBOL_CRC(pmbus_check_word_register, 0x90283a3a, "_gpl");
SYMBOL_CRC(pmbus_get_driver_info, 0xfac292ce, "_gpl");
SYMBOL_CRC(pmbus_regulator_ops, 0x8c3e57d7, "_gpl");
SYMBOL_CRC(pmbus_do_probe, 0xfac5823c, "_gpl");
SYMBOL_CRC(pmbus_get_debugfs_dir, 0xb458405b, "_gpl");
SYMBOL_CRC(pmbus_lock_interruptible, 0x169e2b7e, "_gpl");
SYMBOL_CRC(pmbus_unlock, 0x79e88b71, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x58ff94b1, "i2c_smbus_write_byte_data" },
	{ 0xb5c09e53, "i2c_smbus_read_byte_data" },
	{ 0x432acced, "i2c_smbus_write_byte" },
	{ 0x499375c0, "i2c_smbus_write_word_data" },
	{ 0xdb224242, "i2c_smbus_read_word_data" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf80a3ec7, "device_remove_file" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x61942225, "devm_krealloc" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe820ea6a, "debugfs_create_dir" },
	{ 0x495eed8e, "debugfs_remove" },
	{ 0x8d039641, "simple_attr_open" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x86c3c516, "i2c_smbus_read_block_data" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4cc16b2d, "devm_thermal_of_zone_register" },
	{ 0xf516f2f2, "rdev_get_dev" },
	{ 0xcf0d105c, "rdev_get_id" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x4c55545d, "devm_request_threaded_irq" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0xaafc7140, "sysfs_notify" },
	{ 0xbed38642, "kobject_uevent" },
	{ 0x8a94dec9, "regulator_notifier_call_chain" },
	{ 0xdcb764ad, "memset" },
	{ 0x84c185d3, "thermal_zone_device_priv" },
	{ 0xcee212f7, "i2c_smbus_xfer" },
	{ 0x9818813d, "device_create_file" },
	{ 0xfe1f1c42, "__devm_add_action" },
	{ 0x96848186, "scnprintf" },
	{ 0x13107c3a, "debugfs_create_file" },
	{ 0x9166fada, "strncpy" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc281052d, "devm_kstrdup" },
	{ 0x7410aba2, "strreplace" },
	{ 0x4829a47e, "memcpy" },
	{ 0x443f0512, "devm_hwmon_device_register_with_groups" },
	{ 0x1c16e444, "devm_regulator_register" },
	{ 0x92f2a8c, "dev_err_probe" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0xfdc0adc2, "noop_llseek" },
	{ 0x2d938670, "simple_open" },
	{ 0x579acfde, "debugfs_attr_read" },
	{ 0xbebaed22, "debugfs_attr_write" },
	{ 0x9295faf0, "simple_attr_release" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "396207AED3A699221C7726C");
