#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(stm_register_protocol, "_gpl", "");
KSYMTAB_FUNC(stm_unregister_protocol, "_gpl", "");
KSYMTAB_FUNC(stm_data_write, "_gpl", "");
KSYMTAB_FUNC(stm_register_device, "_gpl", "");
KSYMTAB_FUNC(stm_unregister_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_register_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_unregister_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_write, "_gpl", "");
KSYMTAB_FUNC(to_pdrv_policy_node, "_gpl", "");

SYMBOL_CRC(stm_register_protocol, 0x28976bf2, "_gpl");
SYMBOL_CRC(stm_unregister_protocol, 0x31fb52f3, "_gpl");
SYMBOL_CRC(stm_data_write, 0x9b825240, "_gpl");
SYMBOL_CRC(stm_register_device, 0x6054c9e1, "_gpl");
SYMBOL_CRC(stm_unregister_device, 0x693f7859, "_gpl");
SYMBOL_CRC(stm_source_register_device, 0x1f903240, "_gpl");
SYMBOL_CRC(stm_source_unregister_device, 0x0d06711b, "_gpl");
SYMBOL_CRC(stm_source_write, 0xbc69aefc, "_gpl");
SYMBOL_CRC(to_pdrv_policy_node, 0x8046ebff, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd4845a05, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xd97976ae, "config_group_init" },
	{ 0xd64ed259, "__memcat_p" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x9838955f, "device_unregister" },
	{ 0x74ccc61, "pm_runtime_set_autosuspend_delay" },
	{ 0x2c9997d1, "vm_iomap_memory" },
	{ 0xfbbffe52, "config_item_get" },
	{ 0x3b9c57bf, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0x5eea036f, "synchronize_srcu" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0x98caea94, "configfs_unregister_subsystem" },
	{ 0xd7094a04, "__pm_runtime_set_status" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x8619869e, "put_device" },
	{ 0xf693587e, "pm_runtime_enable" },
	{ 0x9f984513, "strrchr" },
	{ 0x1f9a9c72, "module_put" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x54b50667, "compat_ptr_ioctl" },
	{ 0xeda6e663, "init_srcu_struct" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xf11e6754, "configfs_register_subsystem" },
	{ 0x61373533, "device_add" },
	{ 0x3a2d14ef, "__srcu_read_lock" },
	{ 0xe61dd884, "config_group_init_type_name" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x2e6fc05a, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xe81b53a6, "cleanup_srcu_struct" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xdcb764ad, "memset" },
	{ 0x22059431, "__get_task_comm" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xd51564f, "pm_runtime_no_callbacks" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x29600a67, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x6e42fcb2, "pm_runtime_forbid" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x4f139bf4, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x7cec6c96, "config_item_put" },
	{ 0xacdd7225, "__register_chrdev" },
	{ 0x9c4fee7, "kobject_set_name" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0xd806e3a, "device_match_name" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xd69fd17, "__srcu_read_unlock" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x827d8a32, "__pm_runtime_suspend" },
	{ 0x91930acb, "__pm_runtime_use_autosuspend" },
	{ 0x568d4681, "__pm_runtime_disable" },
	{ 0xaa3a3bb3, "class_register" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xda4e1eea, "class_find_device" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F3C366FE97849773DEC0BCE");
