#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(i2c_dw_validate_speed, "_gpl", "");
KSYMTAB_FUNC(i2c_dw_acpi_configure, "_gpl", "");
KSYMTAB_FUNC(i2c_dw_adjust_bus_speed, "_gpl", "");
KSYMTAB_FUNC(i2c_dw_prepare_clk, "_gpl", "");
KSYMTAB_FUNC(i2c_dw_configure_master, "_gpl", "");
KSYMTAB_FUNC(i2c_dw_probe_master, "_gpl", "");
KSYMTAB_FUNC(i2c_dw_configure_slave, "_gpl", "");
KSYMTAB_FUNC(i2c_dw_probe_slave, "_gpl", "");

SYMBOL_CRC(i2c_dw_validate_speed, 0x52a3d476, "_gpl");
SYMBOL_CRC(i2c_dw_acpi_configure, 0xb9d9d281, "_gpl");
SYMBOL_CRC(i2c_dw_adjust_bus_speed, 0x067ac03d, "_gpl");
SYMBOL_CRC(i2c_dw_prepare_clk, 0x65cbb2d4, "_gpl");
SYMBOL_CRC(i2c_dw_configure_master, 0x988c82be, "_gpl");
SYMBOL_CRC(i2c_dw_probe_master, 0xc8ea2f18, "_gpl");
SYMBOL_CRC(i2c_dw_configure_slave, 0xc69cf4ce, "_gpl");
SYMBOL_CRC(i2c_dw_probe_slave, 0xa5406ebe, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x550f3e05, "i2c_freq_mode_string" },
	{ 0xb86e9579, "is_acpi_device_node" },
	{ 0xcb824037, "regmap_write" },
	{ 0x4c55545d, "devm_request_threaded_irq" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xfbd12525, "i2c_recover_bus" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa6257a2f, "complete" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0xd688308c, "i2c_generic_scl_recovery" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe807266f, "devm_gpiod_get_optional" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x92fc6a2a, "i2c_add_numbered_adapter" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0x800473f, "__cond_resched" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0xd732a3b0, "i2c_slave_event" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0xdcb764ad, "memset" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x133e2f27, "regmap_read" },
	{ 0x4f139bf4, "__pm_runtime_resume" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x34e68cd3, "devm_pinctrl_get" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x207bb5ea, "regmap_update_bits_base" },
	{ 0x827d8a32, "__pm_runtime_suspend" },
	{ 0xb85f6e62, "i2c_acpi_find_bus_speed" },
	{ 0x21ef374c, "try_wait_for_completion" },
	{ 0x815588a6, "clk_enable" },
	{ 0x61f81ab3, "__pm_runtime_idle" },
	{ 0xe3f1c600, "__devm_regmap_init" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9A8FBEB2550E381A87C1213");
