#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb86e9579, "is_acpi_device_node" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0xedc724c0, "pci_alloc_irq_vectors" },
	{ 0x67ac03d, "i2c_dw_adjust_bus_speed" },
	{ 0x74ccc61, "pm_runtime_set_autosuspend_delay" },
	{ 0x4a718b07, "i2c_new_ccgx_ucsi" },
	{ 0x43ba1bed, "__pci_register_driver" },
	{ 0xa5406ebe, "i2c_dw_probe_slave" },
	{ 0xbfd79310, "pci_irq_vector" },
	{ 0xe1a350f8, "pci_unregister_driver" },
	{ 0xc69cf4ce, "i2c_dw_configure_slave" },
	{ 0xfe96fee4, "devm_free_irq" },
	{ 0x6f0ecff1, "i2c_del_adapter" },
	{ 0xe67c4154, "pcim_iomap_regions" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0xb9d9d281, "i2c_dw_acpi_configure" },
	{ 0x6703bd4d, "i2c_parse_fw_timings" },
	{ 0xaff5b1dd, "pci_set_master" },
	{ 0x6e42fcb2, "pm_runtime_forbid" },
	{ 0x2454ddca, "pm_runtime_allow" },
	{ 0x52a3d476, "i2c_dw_validate_speed" },
	{ 0x988c82be, "i2c_dw_configure_master" },
	{ 0x256ebd80, "i2c_detect_slave_mode" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x92f2a8c, "dev_err_probe" },
	{ 0x38f3d0a0, "pcim_iomap_table" },
	{ 0x827d8a32, "__pm_runtime_suspend" },
	{ 0xd979312f, "set_primary_fwnode" },
	{ 0x91930acb, "__pm_runtime_use_autosuspend" },
	{ 0xad1a4a95, "pcim_enable_device" },
	{ 0x71e8d353, "pci_free_irq_vectors" },
	{ 0xc8ea2f18, "i2c_dw_probe_master" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "i2c-designware-core,i2c-ccgx-ucsi");

MODULE_ALIAS("pci:v00008086d00000817sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000818sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000819sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000082Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000082Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000082Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001195sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001196sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000F41sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000F42sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000F43sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000F44sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000F45sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000F46sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000F47sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009C61sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009C62sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000022C1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000022C2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000022C3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000022C4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000022C5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000022C6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000022C7sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004BB9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004BBAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004BBBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004BBCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004BBDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004BBEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004BBFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004BC0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00007314sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073A4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073E4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073C4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00007444sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00007464sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "B319A5BF0111DB9ED06DB6E");
