#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x11f75d2, "device_property_present" },
	{ 0x24600a27, "devm_platform_ioremap_resource" },
	{ 0xb86e9579, "is_acpi_device_node" },
	{ 0xcb824037, "regmap_write" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0x3b82c1cf, "platform_driver_unregister" },
	{ 0xd706cd02, "platform_get_irq" },
	{ 0x67ac03d, "i2c_dw_adjust_bus_speed" },
	{ 0x74ccc61, "pm_runtime_set_autosuspend_delay" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0xa5406ebe, "i2c_dw_probe_slave" },
	{ 0xd7094a04, "__pm_runtime_set_status" },
	{ 0xc69cf4ce, "i2c_dw_configure_slave" },
	{ 0xf693587e, "pm_runtime_enable" },
	{ 0x6f0ecff1, "i2c_del_adapter" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0xb9d9d281, "i2c_dw_acpi_configure" },
	{ 0x65cbb2d4, "i2c_dw_prepare_clk" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x2933431d, "dev_get_regmap" },
	{ 0x88c69e1e, "syscon_node_to_regmap" },
	{ 0x6703bd4d, "i2c_parse_fw_timings" },
	{ 0xe401d208, "device_get_match_data" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0xed826b94, "__platform_driver_register" },
	{ 0x7bfd68d, "__devm_reset_control_get" },
	{ 0x4b9181dd, "devm_clk_get_optional" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x133e2f27, "regmap_read" },
	{ 0x52a3d476, "i2c_dw_validate_speed" },
	{ 0x4f139bf4, "__pm_runtime_resume" },
	{ 0x988c82be, "i2c_dw_configure_master" },
	{ 0x256ebd80, "i2c_detect_slave_mode" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xd979312f, "set_primary_fwnode" },
	{ 0x91930acb, "__pm_runtime_use_autosuspend" },
	{ 0x568d4681, "__pm_runtime_disable" },
	{ 0x61f81ab3, "__pm_runtime_idle" },
	{ 0xc8ea2f18, "i2c_dw_probe_master" },
	{ 0xe3f1c600, "__devm_regmap_init" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "i2c-designware-core");

MODULE_ALIAS("acpi*:INT33C2:*");
MODULE_ALIAS("acpi*:INT33C3:*");
MODULE_ALIAS("acpi*:INT3432:*");
MODULE_ALIAS("acpi*:INT3433:*");
MODULE_ALIAS("acpi*:INTC10EF:*");
MODULE_ALIAS("acpi*:80860F41:*");
MODULE_ALIAS("acpi*:808622C1:*");
MODULE_ALIAS("acpi*:AMD0010:*");
MODULE_ALIAS("acpi*:AMDI0010:*");
MODULE_ALIAS("acpi*:AMDI0019:*");
MODULE_ALIAS("acpi*:AMDI0510:*");
MODULE_ALIAS("acpi*:APMC0D0F:*");
MODULE_ALIAS("acpi*:HISI02A1:*");
MODULE_ALIAS("acpi*:HISI02A2:*");
MODULE_ALIAS("acpi*:HISI02A3:*");
MODULE_ALIAS("acpi*:HYGO0010:*");
MODULE_ALIAS("of:N*T*Csnps,designware-i2c");
MODULE_ALIAS("of:N*T*Csnps,designware-i2cC*");
MODULE_ALIAS("of:N*T*Cmscc,ocelot-i2c");
MODULE_ALIAS("of:N*T*Cmscc,ocelot-i2cC*");
MODULE_ALIAS("of:N*T*Cbaikal,bt1-sys-i2c");
MODULE_ALIAS("of:N*T*Cbaikal,bt1-sys-i2cC*");
MODULE_ALIAS("platform:i2c_designware");

MODULE_INFO(srcversion, "17911C5AB26D6B12DC05E33");
