#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xed826b94, "__platform_driver_register" },
	{ 0x12db92cd, "i2c_free_slave_host_notify_device" },
	{ 0x6f0ecff1, "i2c_del_adapter" },
	{ 0x1ece6e0, "dma_release_channel" },
	{ 0x568d4681, "__pm_runtime_disable" },
	{ 0x61f81ab3, "__pm_runtime_idle" },
	{ 0x4f139bf4, "__pm_runtime_resume" },
	{ 0x6703bd4d, "i2c_parse_fw_timings" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3b82c1cf, "platform_driver_unregister" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0xb488bd02, "devm_clk_get" },
	{ 0x61cd94a9, "devm_platform_get_and_ioremap_resource" },
	{ 0xc1e79586, "of_device_get_match_data" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf693587e, "pm_runtime_enable" },
	{ 0x5b36a3ec, "of_find_property" },
	{ 0x7bfd68d, "__devm_reset_control_get" },
	{ 0x8c743fb6, "reset_control_status" },
	{ 0xd706cd02, "platform_get_irq" },
	{ 0x4c55545d, "devm_request_threaded_irq" },
	{ 0x92fc6a2a, "i2c_add_numbered_adapter" },
	{ 0xfe90ae65, "i2c_new_slave_host_notify_device" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xa6613056, "dma_unmap_page_attrs" },
	{ 0x800473f, "__cond_resched" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xb4c63861, "dma_map_page_attrs" },
	{ 0x34070452, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xfbd12525, "i2c_recover_bus" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xdcb764ad, "memset" },
	{ 0x977e2d86, "dma_request_chan" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xd732a3b0, "i2c_slave_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd688308c, "i2c_generic_scl_recovery" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "i2c-smbus");

MODULE_ALIAS("of:N*T*Crenesas,i2c-r8a7778");
MODULE_ALIAS("of:N*T*Crenesas,i2c-r8a7778C*");
MODULE_ALIAS("of:N*T*Crenesas,i2c-r8a7779");
MODULE_ALIAS("of:N*T*Crenesas,i2c-r8a7779C*");
MODULE_ALIAS("of:N*T*Crenesas,i2c-r8a7790");
MODULE_ALIAS("of:N*T*Crenesas,i2c-r8a7790C*");
MODULE_ALIAS("of:N*T*Crenesas,i2c-r8a7791");
MODULE_ALIAS("of:N*T*Crenesas,i2c-r8a7791C*");
MODULE_ALIAS("of:N*T*Crenesas,i2c-r8a7792");
MODULE_ALIAS("of:N*T*Crenesas,i2c-r8a7792C*");
MODULE_ALIAS("of:N*T*Crenesas,i2c-r8a7793");
MODULE_ALIAS("of:N*T*Crenesas,i2c-r8a7793C*");
MODULE_ALIAS("of:N*T*Crenesas,i2c-r8a7794");
MODULE_ALIAS("of:N*T*Crenesas,i2c-r8a7794C*");
MODULE_ALIAS("of:N*T*Crenesas,i2c-r8a7795");
MODULE_ALIAS("of:N*T*Crenesas,i2c-r8a7795C*");
MODULE_ALIAS("of:N*T*Crenesas,i2c-r8a7796");
MODULE_ALIAS("of:N*T*Crenesas,i2c-r8a7796C*");
MODULE_ALIAS("of:N*T*Crenesas,i2c-r8a779f0");
MODULE_ALIAS("of:N*T*Crenesas,i2c-r8a779f0C*");
MODULE_ALIAS("of:N*T*Crenesas,rcar-gen1-i2c");
MODULE_ALIAS("of:N*T*Crenesas,rcar-gen1-i2cC*");
MODULE_ALIAS("of:N*T*Crenesas,rcar-gen2-i2c");
MODULE_ALIAS("of:N*T*Crenesas,rcar-gen2-i2cC*");
MODULE_ALIAS("of:N*T*Crenesas,rcar-gen3-i2c");
MODULE_ALIAS("of:N*T*Crenesas,rcar-gen3-i2cC*");
MODULE_ALIAS("of:N*T*Crenesas,rcar-gen4-i2c");
MODULE_ALIAS("of:N*T*Crenesas,rcar-gen4-i2cC*");

MODULE_INFO(srcversion, "A307B768049E5DC23909233");
