#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xed826b94, "__platform_driver_register" },
	{ 0x479f7d4b, "clk_bulk_disable" },
	{ 0xc724705e, "pinctrl_pm_select_idle_state" },
	{ 0xa6257a2f, "complete" },
	{ 0x3b82c1cf, "platform_driver_unregister" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x6f0ecff1, "i2c_del_adapter" },
	{ 0xb3b109ef, "pm_runtime_force_suspend" },
	{ 0x404667b0, "dma_free_attrs" },
	{ 0x1ece6e0, "dma_release_channel" },
	{ 0x63c08029, "clk_bulk_unprepare" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xdcb764ad, "memset" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x4829a47e, "memcpy" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x800473f, "__cond_resched" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xb86e9579, "is_acpi_device_node" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x24774d45, "pinctrl_pm_select_default_state" },
	{ 0xc7a7e770, "clk_bulk_enable" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xe401d208, "device_get_match_data" },
	{ 0x61cd94a9, "devm_platform_get_and_ioremap_resource" },
	{ 0xd706cd02, "platform_get_irq" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0x4c55545d, "devm_request_threaded_irq" },
	{ 0x6703bd4d, "i2c_parse_fw_timings" },
	{ 0x11f75d2, "device_property_present" },
	{ 0x6d5a834, "of_device_is_compatible" },
	{ 0xf693587e, "pm_runtime_enable" },
	{ 0x4f139bf4, "__pm_runtime_resume" },
	{ 0x61f81ab3, "__pm_runtime_idle" },
	{ 0xd979312f, "set_primary_fwnode" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x92fc6a2a, "i2c_add_numbered_adapter" },
	{ 0x568d4681, "__pm_runtime_disable" },
	{ 0x7bfd68d, "__devm_reset_control_get" },
	{ 0x92f2a8c, "dev_err_probe" },
	{ 0x1f273d5b, "devm_clk_bulk_get" },
	{ 0xead5c8e5, "clk_bulk_prepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0xd7ca7d9, "pm_runtime_irq_safe" },
	{ 0x977e2d86, "dma_request_chan" },
	{ 0x642cc440, "dma_alloc_attrs" },
	{ 0x5ca10ce4, "__dma_sync_single_for_cpu" },
	{ 0x698b966, "__dma_sync_single_for_device" },
	{ 0xfbd12525, "i2c_recover_bus" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("acpi*:NVDA0101:*");
MODULE_ALIAS("acpi*:NVDA0201:*");
MODULE_ALIAS("acpi*:NVDA0301:*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra194-i2c");
MODULE_ALIAS("of:N*T*Cnvidia,tegra194-i2cC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra186-i2c");
MODULE_ALIAS("of:N*T*Cnvidia,tegra186-i2cC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra210-i2c-vi");
MODULE_ALIAS("of:N*T*Cnvidia,tegra210-i2c-viC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra210-i2c");
MODULE_ALIAS("of:N*T*Cnvidia,tegra210-i2cC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra124-i2c");
MODULE_ALIAS("of:N*T*Cnvidia,tegra124-i2cC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra114-i2c");
MODULE_ALIAS("of:N*T*Cnvidia,tegra114-i2cC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra30-i2c");
MODULE_ALIAS("of:N*T*Cnvidia,tegra30-i2cC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra20-i2c");
MODULE_ALIAS("of:N*T*Cnvidia,tegra20-i2cC*");

MODULE_INFO(srcversion, "306FC7E47C30B1914B07860");
