#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(bmc150_regmap_conf, "_gpl", "IIO_BMC150");
KSYMTAB_FUNC(bmc150_accel_core_probe, "_gpl", "IIO_BMC150");
KSYMTAB_FUNC(bmc150_accel_core_remove, "_gpl", "IIO_BMC150");
KSYMTAB_DATA(bmc150_accel_pm_ops, "_gpl", "IIO_BMC150");

SYMBOL_CRC(bmc150_regmap_conf, 0x42675f2f, "_gpl");
SYMBOL_CRC(bmc150_accel_core_probe, 0x98abe5c2, "_gpl");
SYMBOL_CRC(bmc150_accel_core_remove, 0xce8f95c9, "_gpl");
SYMBOL_CRC(bmc150_accel_pm_ops, 0xa7cbcb15, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcb824037, "regmap_write" },
	{ 0x38bcf45f, "regmap_get_device" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x5e5fd12a, "iio_get_time_ns" },
	{ 0xd095eba2, "iio_trigger_poll" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x207bb5ea, "regmap_update_bits_base" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x133e2f27, "regmap_read" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4f139bf4, "__pm_runtime_resume" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x827d8a32, "__pm_runtime_suspend" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x7dd6ff96, "iio_device_get_current_mode" },
	{ 0xdcb764ad, "memset" },
	{ 0x281d3f1, "regmap_raw_read" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x6c651a70, "iio_push_to_buffers" },
	{ 0x8f2ccb41, "iio_push_event" },
	{ 0xc867d2cf, "regmap_bulk_read" },
	{ 0xd21ab39a, "iio_trigger_notify_done" },
	{ 0x43882f45, "iio_device_unregister" },
	{ 0x568d4681, "__pm_runtime_disable" },
	{ 0xd7094a04, "__pm_runtime_set_status" },
	{ 0x4c4c7cca, "iio_trigger_unregister" },
	{ 0x56d1c71c, "iio_triggered_buffer_cleanup" },
	{ 0x36d5dce6, "regulator_bulk_disable" },
	{ 0x2882afa5, "devm_iio_device_alloc" },
	{ 0xb86e9579, "is_acpi_device_node" },
	{ 0x23492c9e, "iio_read_mount_matrix" },
	{ 0x31565f22, "devm_regulator_bulk_get" },
	{ 0x6d6b21f3, "regulator_bulk_enable" },
	{ 0xf9a482f9, "msleep" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xdf76bbeb, "iio_pollfunc_store_time" },
	{ 0xdfd21c79, "iio_triggered_buffer_setup_ext" },
	{ 0x4c55545d, "devm_request_threaded_irq" },
	{ 0xcdbf0876, "of_irq_get_byname" },
	{ 0x9880e469, "iio_device_id" },
	{ 0x54329c2c, "__devm_iio_trigger_alloc" },
	{ 0xacf7437a, "iio_trigger_register" },
	{ 0xbb94b238, "acpi_device_hid" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0x1d40a65, "iio_read_acpi_mount_matrix" },
	{ 0x92f2a8c, "dev_err_probe" },
	{ 0xf693587e, "pm_runtime_enable" },
	{ 0x74ccc61, "pm_runtime_set_autosuspend_delay" },
	{ 0x91930acb, "__pm_runtime_use_autosuspend" },
	{ 0x5a7ab950, "__iio_device_register" },
	{ 0x95e077b5, "iio_buffer_enabled" },
	{ 0x7417539d, "iio_read_const_attr" },
	{ 0x2f65a220, "iio_show_mount_matrix" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "industrialio,industrialio-triggered-buffer");


MODULE_INFO(srcversion, "02581253527BAA6A2F48A4D");
