#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa733da49, "i2c_register_driver" },
	{ 0x58ff94b1, "i2c_smbus_write_byte_data" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf9a482f9, "msleep" },
	{ 0xf1fc073c, "gpiod_get_value" },
	{ 0xb5c09e53, "i2c_smbus_read_byte_data" },
	{ 0x800473f, "__cond_resched" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe2964344, "__wake_up" },
	{ 0xf8046dec, "i2c_smbus_read_i2c_block_data_or_emulated" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x4c55545d, "devm_request_threaded_irq" },
	{ 0xb65dd6be, "gpiod_to_irq" },
	{ 0x1641a478, "i2c_del_driver" },
	{ 0x3cc8f38f, "regulator_enable" },
	{ 0x6d627a58, "gpiod_set_value_cansleep" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0xc3293cf7, "regulator_disable" },
	{ 0x55e06866, "i2c_client_get_device_id" },
	{ 0xe807266f, "devm_gpiod_get_optional" },
	{ 0x2b1787f9, "gpiod_set_consumer_name" },
	{ 0x2882afa5, "devm_iio_device_alloc" },
	{ 0x23492c9e, "iio_read_mount_matrix" },
	{ 0x8740e5ca, "i2c_get_match_data" },
	{ 0x9aaacae9, "__dev_fwnode" },
	{ 0x65ad9c1d, "devm_regulator_get" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xdfd21c79, "iio_triggered_buffer_setup_ext" },
	{ 0x5a7ab950, "__iio_device_register" },
	{ 0xd7094a04, "__pm_runtime_set_status" },
	{ 0xf693587e, "pm_runtime_enable" },
	{ 0x74ccc61, "pm_runtime_set_autosuspend_delay" },
	{ 0x91930acb, "__pm_runtime_use_autosuspend" },
	{ 0x61f81ab3, "__pm_runtime_idle" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0x56d1c71c, "iio_triggered_buffer_cleanup" },
	{ 0x4f139bf4, "__pm_runtime_resume" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x827d8a32, "__pm_runtime_suspend" },
	{ 0xd21ab39a, "iio_trigger_notify_done" },
	{ 0x5e5fd12a, "iio_get_time_ns" },
	{ 0x6c651a70, "iio_push_to_buffers" },
	{ 0x568d4681, "__pm_runtime_disable" },
	{ 0x43882f45, "iio_device_unregister" },
	{ 0xb3b109ef, "pm_runtime_force_suspend" },
	{ 0x3a707c93, "pm_runtime_force_resume" },
	{ 0x2f65a220, "iio_show_mount_matrix" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "industrialio,industrialio-triggered-buffer");

MODULE_ALIAS("of:N*T*Casahi-kasei,ak8975");
MODULE_ALIAS("of:N*T*Casahi-kasei,ak8975C*");
MODULE_ALIAS("of:N*T*Cak8975");
MODULE_ALIAS("of:N*T*Cak8975C*");
MODULE_ALIAS("of:N*T*Casahi-kasei,ak8963");
MODULE_ALIAS("of:N*T*Casahi-kasei,ak8963C*");
MODULE_ALIAS("of:N*T*Cak8963");
MODULE_ALIAS("of:N*T*Cak8963C*");
MODULE_ALIAS("of:N*T*Casahi-kasei,ak09911");
MODULE_ALIAS("of:N*T*Casahi-kasei,ak09911C*");
MODULE_ALIAS("of:N*T*Cak09911");
MODULE_ALIAS("of:N*T*Cak09911C*");
MODULE_ALIAS("of:N*T*Casahi-kasei,ak09912");
MODULE_ALIAS("of:N*T*Casahi-kasei,ak09912C*");
MODULE_ALIAS("of:N*T*Cak09912");
MODULE_ALIAS("of:N*T*Cak09912C*");
MODULE_ALIAS("of:N*T*Casahi-kasei,ak09916");
MODULE_ALIAS("of:N*T*Casahi-kasei,ak09916C*");
MODULE_ALIAS("of:N*T*Cak09916");
MODULE_ALIAS("of:N*T*Cak09916C*");
MODULE_ALIAS("i2c:AK8963");
MODULE_ALIAS("i2c:ak8963");
MODULE_ALIAS("i2c:ak8975");
MODULE_ALIAS("i2c:ak09911");
MODULE_ALIAS("i2c:ak09912");
MODULE_ALIAS("i2c:ak09916");
MODULE_ALIAS("acpi*:AK8963:*");
MODULE_ALIAS("acpi*:AK8975:*");
MODULE_ALIAS("acpi*:AK009911:*");
MODULE_ALIAS("acpi*:AK09911:*");
MODULE_ALIAS("acpi*:AK09912:*");
MODULE_ALIAS("acpi*:AKM9911:*");
MODULE_ALIAS("acpi*:INVN6500:*");

MODULE_INFO(srcversion, "41C19BB44A44120D4F9CF20");
