#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ibcm_reject_msg, "", "");
KSYMTAB_FUNC(ib_create_cm_id, "", "");
KSYMTAB_FUNC(ib_destroy_cm_id, "", "");
KSYMTAB_FUNC(ib_cm_listen, "", "");
KSYMTAB_FUNC(ib_cm_insert_listen, "", "");
KSYMTAB_FUNC(ib_send_cm_req, "", "");
KSYMTAB_FUNC(ib_send_cm_rep, "", "");
KSYMTAB_FUNC(ib_send_cm_rtu, "", "");
KSYMTAB_FUNC(ib_send_cm_dreq, "", "");
KSYMTAB_FUNC(ib_send_cm_drep, "", "");
KSYMTAB_FUNC(ib_send_cm_rej, "", "");
KSYMTAB_FUNC(ib_send_cm_mra, "", "");
KSYMTAB_FUNC(ib_send_cm_sidr_req, "", "");
KSYMTAB_FUNC(ib_send_cm_sidr_rep, "", "");
KSYMTAB_FUNC(ib_cm_notify, "", "");
KSYMTAB_FUNC(ib_cm_init_qp_attr, "", "");

SYMBOL_CRC(ibcm_reject_msg, 0x69824a14, "");
SYMBOL_CRC(ib_create_cm_id, 0xb0ef77dc, "");
SYMBOL_CRC(ib_destroy_cm_id, 0xfd813f9a, "");
SYMBOL_CRC(ib_cm_listen, 0x901df804, "");
SYMBOL_CRC(ib_cm_insert_listen, 0xd6a4fd8b, "");
SYMBOL_CRC(ib_send_cm_req, 0x3fea1f18, "");
SYMBOL_CRC(ib_send_cm_rep, 0x449bdbb3, "");
SYMBOL_CRC(ib_send_cm_rtu, 0xc0d4e0a0, "");
SYMBOL_CRC(ib_send_cm_dreq, 0x74778e67, "");
SYMBOL_CRC(ib_send_cm_drep, 0xbce6a396, "");
SYMBOL_CRC(ib_send_cm_rej, 0x955838a3, "");
SYMBOL_CRC(ib_send_cm_mra, 0x96298cd4, "");
SYMBOL_CRC(ib_send_cm_sidr_req, 0x2d05beb8, "");
SYMBOL_CRC(ib_send_cm_sidr_rep, 0x234a0251, "");
SYMBOL_CRC(ib_cm_notify, 0xb395fd2c, "");
SYMBOL_CRC(ib_cm_init_qp_attr, 0x387c8481, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc528a49a, "queued_write_lock_slowpath" },
	{ 0x1bf9f269, "ib_unregister_client" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x68345f99, "ib_init_ah_attr_from_path" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xa6257a2f, "complete" },
	{ 0x93b9a682, "trace_raw_output_prep" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x556be6e0, "__trace_trigger_soft_disabled" },
	{ 0xcb6b138, "trace_event_printf" },
	{ 0x3f7c8b8f, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1f546ffa, "rdma_query_gid" },
	{ 0xd4e365e8, "ib_port_register_client_groups" },
	{ 0x72fd6a2e, "ib_modify_port" },
	{ 0xc4e40b90, "bpf_trace_run2" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xfb6dfa14, "trace_event_buffer_commit" },
	{ 0x8d97abff, "rdma_create_ah" },
	{ 0xf4fce241, "ib_init_ah_attr_from_wc" },
	{ 0xbd5a5c17, "ib_find_cached_pkey" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x617c452b, "queued_read_lock_slowpath" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x830a5a81, "ib_register_client" },
	{ 0xa9467bec, "ib_unregister_mad_agent" },
	{ 0x800473f, "__cond_resched" },
	{ 0xd89c9131, "ib_post_send_mad" },
	{ 0xbe54d954, "ib_create_send_mad" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x4bb807c7, "perf_trace_run_bpf_submit" },
	{ 0xc8d305f0, "rdma_destroy_ah_attr" },
	{ 0x7709f24c, "ib_set_client_data" },
	{ 0x32d2a0b9, "ib_get_cached_pkey" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xd4845057, "rdma_put_gid_attr" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xb04a43ad, "__xa_alloc_cyclic" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x2092327, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xdc0f8a86, "bpf_trace_run1" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xdcb764ad, "memset" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xe7c033ff, "rdma_destroy_ah_user" },
	{ 0xe26b121, "ib_free_send_mad" },
	{ 0x5b7535d8, "ib_port_unregister_client_groups" },
	{ 0x745a981, "xa_erase" },
	{ 0x2da8d207, "bpf_trace_run3" },
	{ 0x1bdf9382, "rdma_move_ah_attr" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xda2d7a21, "trace_event_buffer_reserve" },
	{ 0x351dbb3a, "rdma_find_gid" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xe3d9a0b, "ib_free_recv_mad" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xad727827, "ib_register_mad_agent" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x4038fc47, "ib_modify_mad" },
	{ 0x3a5b5d3a, "ib_create_ah_from_wc" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "7B571F88C441DF41FDE7A84");
