#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ib_pack, "", "");
KSYMTAB_FUNC(ib_unpack, "", "");
KSYMTAB_FUNC(ib_ud_ip4_csum, "", "");
KSYMTAB_FUNC(ib_ud_header_init, "", "");
KSYMTAB_FUNC(ib_ud_header_pack, "", "");
KSYMTAB_FUNC(ib_ud_header_unpack, "", "");
KSYMTAB_FUNC(ib_event_msg, "", "");
KSYMTAB_FUNC(ib_wc_status_msg, "", "");
KSYMTAB_FUNC(ib_rate_to_mult, "", "");
KSYMTAB_FUNC(mult_to_ib_rate, "", "");
KSYMTAB_FUNC(ib_rate_to_mbps, "", "");
KSYMTAB_FUNC(rdma_node_get_transport, "", "");
KSYMTAB_FUNC(rdma_port_get_link_layer, "", "");
KSYMTAB_FUNC(__ib_alloc_pd, "", "");
KSYMTAB_FUNC(ib_dealloc_pd_user, "", "");
KSYMTAB_FUNC(rdma_copy_ah_attr, "", "");
KSYMTAB_FUNC(rdma_replace_ah_attr, "", "");
KSYMTAB_FUNC(rdma_move_ah_attr, "", "");
KSYMTAB_FUNC(rdma_create_ah, "", "");
KSYMTAB_FUNC(rdma_create_user_ah, "", "");
KSYMTAB_FUNC(ib_get_rdma_header_version, "", "");
KSYMTAB_FUNC(ib_get_gids_from_rdma_hdr, "", "");
KSYMTAB_FUNC(ib_init_ah_attr_from_wc, "", "");
KSYMTAB_FUNC(rdma_move_grh_sgid_attr, "", "");
KSYMTAB_FUNC(rdma_destroy_ah_attr, "", "");
KSYMTAB_FUNC(ib_create_ah_from_wc, "", "");
KSYMTAB_FUNC(rdma_modify_ah, "", "");
KSYMTAB_FUNC(rdma_query_ah, "", "");
KSYMTAB_FUNC(rdma_destroy_ah_user, "", "");
KSYMTAB_FUNC(ib_create_srq_user, "", "");
KSYMTAB_FUNC(ib_modify_srq, "", "");
KSYMTAB_FUNC(ib_query_srq, "", "");
KSYMTAB_FUNC(ib_destroy_srq_user, "", "");
KSYMTAB_FUNC(ib_open_qp, "", "");
KSYMTAB_FUNC(ib_create_qp_user, "", "");
KSYMTAB_FUNC(ib_qp_usecnt_inc, "", "");
KSYMTAB_FUNC(ib_qp_usecnt_dec, "", "");
KSYMTAB_FUNC(ib_create_qp_kernel, "", "");
KSYMTAB_FUNC(ib_modify_qp_is_ok, "", "");
KSYMTAB_FUNC(ib_modify_qp_with_udata, "", "");
KSYMTAB_FUNC(ib_get_eth_speed, "", "");
KSYMTAB_FUNC(ib_modify_qp, "", "");
KSYMTAB_FUNC(ib_query_qp, "", "");
KSYMTAB_FUNC(ib_close_qp, "", "");
KSYMTAB_FUNC(ib_destroy_qp_user, "", "");
KSYMTAB_FUNC(__ib_create_cq, "", "");
KSYMTAB_FUNC(rdma_set_cq_moderation, "", "");
KSYMTAB_FUNC(ib_destroy_cq_user, "", "");
KSYMTAB_FUNC(ib_resize_cq, "", "");
KSYMTAB_FUNC(ib_reg_user_mr, "", "");
KSYMTAB_FUNC(ib_advise_mr, "", "");
KSYMTAB_FUNC(ib_dereg_mr_user, "", "");
KSYMTAB_FUNC(ib_alloc_mr, "", "");
KSYMTAB_FUNC(ib_alloc_mr_integrity, "", "");
KSYMTAB_FUNC(ib_attach_mcast, "", "");
KSYMTAB_FUNC(ib_detach_mcast, "", "");
KSYMTAB_FUNC(ib_alloc_xrcd_user, "", "");
KSYMTAB_FUNC(ib_dealloc_xrcd_user, "", "");
KSYMTAB_FUNC(ib_create_wq, "", "");
KSYMTAB_FUNC(ib_destroy_wq_user, "", "");
KSYMTAB_FUNC(ib_check_mr_status, "", "");
KSYMTAB_FUNC(ib_set_vf_link_state, "", "");
KSYMTAB_FUNC(ib_get_vf_config, "", "");
KSYMTAB_FUNC(ib_get_vf_stats, "", "");
KSYMTAB_FUNC(ib_set_vf_guid, "", "");
KSYMTAB_FUNC(ib_get_vf_guid, "", "");
KSYMTAB_FUNC(ib_map_mr_sg_pi, "", "");
KSYMTAB_FUNC(ib_map_mr_sg, "", "");
KSYMTAB_FUNC(ib_sg_to_pages, "", "");
KSYMTAB_FUNC(ib_drain_sq, "", "");
KSYMTAB_FUNC(ib_drain_rq, "", "");
KSYMTAB_FUNC(ib_drain_qp, "", "");
KSYMTAB_FUNC(rdma_alloc_netdev, "", "");
KSYMTAB_FUNC(rdma_init_netdev, "", "");
KSYMTAB_FUNC(__rdma_block_iter_start, "", "");
KSYMTAB_FUNC(__rdma_block_iter_next, "", "");
KSYMTAB_FUNC(rdma_alloc_hw_stats_struct, "", "");
KSYMTAB_FUNC(rdma_free_hw_stats_struct, "", "");
KSYMTAB_FUNC(ib_process_cq_direct, "", "");
KSYMTAB_FUNC(__ib_alloc_cq, "", "");
KSYMTAB_FUNC(__ib_alloc_cq_any, "", "");
KSYMTAB_FUNC(ib_free_cq, "", "");
KSYMTAB_FUNC(ib_cq_pool_get, "", "");
KSYMTAB_FUNC(ib_cq_pool_put, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_init, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_signature_init, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_wrs, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_post, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_destroy, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_destroy_signature, "", "");
KSYMTAB_FUNC(rdma_rw_mr_factor, "", "");
KSYMTAB_FUNC(ib_port_sysfs_get_ibdev_kobj, "", "");
KSYMTAB_FUNC(ib_port_register_client_groups, "", "");
KSYMTAB_FUNC(ib_port_unregister_client_groups, "", "");
KSYMTAB_DATA(ib_wq, "_gpl", "");
KSYMTAB_FUNC(rdma_dev_access_netns, "", "");
KSYMTAB_FUNC(ibdev_printk, "", "");
KSYMTAB_FUNC(ibdev_emerg, "", "");
KSYMTAB_FUNC(ibdev_alert, "", "");
KSYMTAB_FUNC(ibdev_crit, "", "");
KSYMTAB_FUNC(ibdev_err, "", "");
KSYMTAB_FUNC(ibdev_warn, "", "");
KSYMTAB_FUNC(ibdev_notice, "", "");
KSYMTAB_FUNC(ibdev_info, "", "");
KSYMTAB_FUNC(ib_device_put, "", "");
KSYMTAB_FUNC(ib_device_get_by_name, "", "");
KSYMTAB_FUNC(_ib_alloc_device, "", "");
KSYMTAB_FUNC(ib_dealloc_device, "", "");
KSYMTAB_FUNC(ib_port_immutable_read, "", "");
KSYMTAB_FUNC(ib_get_device_fw_str, "", "");
KSYMTAB_FUNC(ib_register_device, "", "");
KSYMTAB_FUNC(ib_unregister_device, "", "");
KSYMTAB_FUNC(ib_unregister_device_and_put, "", "");
KSYMTAB_FUNC(ib_unregister_driver, "", "");
KSYMTAB_FUNC(ib_unregister_device_queued, "", "");
KSYMTAB_FUNC(ib_register_client, "", "");
KSYMTAB_FUNC(ib_unregister_client, "", "");
KSYMTAB_FUNC(ib_set_client_data, "", "");
KSYMTAB_FUNC(ib_register_event_handler, "", "");
KSYMTAB_FUNC(ib_unregister_event_handler, "", "");
KSYMTAB_FUNC(ib_query_port, "", "");
KSYMTAB_FUNC(ib_device_set_netdev, "", "");
KSYMTAB_FUNC(ib_device_get_by_netdev, "", "");
KSYMTAB_FUNC(ib_query_pkey, "", "");
KSYMTAB_FUNC(ib_modify_device, "", "");
KSYMTAB_FUNC(ib_modify_port, "", "");
KSYMTAB_FUNC(ib_find_gid, "", "");
KSYMTAB_FUNC(ib_find_pkey, "", "");
KSYMTAB_FUNC(ib_get_net_dev_by_params, "", "");
KSYMTAB_FUNC(ib_set_device_ops, "", "");
KSYMTAB_FUNC(ib_add_sub_device, "", "");
KSYMTAB_FUNC(ib_del_sub_device_and_put, "", "");
KSYMTAB_FUNC(ib_dma_virt_map_sg, "", "");
KSYMTAB_DATA(zgid, "", "");
KSYMTAB_FUNC(ib_cache_gid_type_str, "", "");
KSYMTAB_FUNC(rdma_is_zero_gid, "", "");
KSYMTAB_FUNC(ib_cache_gid_parse_type_str, "", "");
KSYMTAB_FUNC(rdma_find_gid_by_port, "", "");
KSYMTAB_FUNC(rdma_query_gid, "", "");
KSYMTAB_FUNC(rdma_read_gid_hw_context, "", "");
KSYMTAB_FUNC(rdma_find_gid, "", "");
KSYMTAB_FUNC(ib_get_cached_pkey, "", "");
KSYMTAB_FUNC(ib_get_cached_subnet_prefix, "", "");
KSYMTAB_FUNC(ib_find_cached_pkey, "", "");
KSYMTAB_FUNC(ib_find_exact_cached_pkey, "", "");
KSYMTAB_FUNC(ib_get_cached_lmc, "", "");
KSYMTAB_FUNC(ib_get_cached_port_state, "", "");
KSYMTAB_FUNC(rdma_get_gid_attr, "", "");
KSYMTAB_FUNC(rdma_query_gid_table, "", "");
KSYMTAB_FUNC(rdma_put_gid_attr, "", "");
KSYMTAB_FUNC(rdma_hold_gid_attr, "", "");
KSYMTAB_FUNC(rdma_read_gid_attr_ndev_rcu, "", "");
KSYMTAB_FUNC(rdma_read_gid_l2_fields, "", "");
KSYMTAB_FUNC(ib_dispatch_event, "", "");
KSYMTAB_FUNC(rdma_nl_chk_listeners, "", "");
KSYMTAB_FUNC(rdma_nl_register, "", "");
KSYMTAB_FUNC(rdma_nl_unregister, "", "");
KSYMTAB_FUNC(ibnl_put_msg, "", "");
KSYMTAB_FUNC(ibnl_put_attr, "", "");
KSYMTAB_FUNC(rdma_nl_unicast, "", "");
KSYMTAB_FUNC(rdma_nl_unicast_wait, "", "");
KSYMTAB_FUNC(rdma_nl_multicast, "", "");
KSYMTAB_FUNC(roce_gid_type_mask_support, "", "");
KSYMTAB_FUNC(rdma_roce_rescan_device, "", "");
KSYMTAB_FUNC(ib_mr_pool_get, "", "");
KSYMTAB_FUNC(ib_mr_pool_put, "", "");
KSYMTAB_FUNC(ib_mr_pool_init, "", "");
KSYMTAB_FUNC(ib_mr_pool_destroy, "", "");
KSYMTAB_FUNC(rdma_addr_size, "", "");
KSYMTAB_FUNC(rdma_addr_size_in6, "", "");
KSYMTAB_FUNC(rdma_addr_size_kss, "", "");
KSYMTAB_FUNC(rdma_copy_src_l2_addr, "", "");
KSYMTAB_FUNC(rdma_translate_ip, "", "");
KSYMTAB_FUNC(rdma_resolve_ip, "", "");
KSYMTAB_FUNC(rdma_addr_cancel, "", "");
KSYMTAB_FUNC(ib_sa_register_client, "", "");
KSYMTAB_FUNC(ib_sa_unregister_client, "", "");
KSYMTAB_FUNC(ib_sa_cancel_query, "", "");
KSYMTAB_FUNC(ib_init_ah_attr_from_path, "", "");
KSYMTAB_FUNC(ib_sa_unpack_path, "", "");
KSYMTAB_FUNC(ib_sa_pack_path, "", "");
KSYMTAB_FUNC(ib_sa_path_rec_get, "", "");
KSYMTAB_FUNC(ib_sa_guid_info_rec_query, "", "");
KSYMTAB_FUNC(ib_sa_join_multicast, "", "");
KSYMTAB_FUNC(ib_sa_free_multicast, "", "");
KSYMTAB_FUNC(ib_sa_get_mcmember_rec, "", "");
KSYMTAB_FUNC(ib_init_ah_from_mcmember, "", "");
KSYMTAB_FUNC(ib_response_mad, "", "");
KSYMTAB_FUNC(ib_register_mad_agent, "", "");
KSYMTAB_FUNC(ib_unregister_mad_agent, "", "");
KSYMTAB_FUNC(ib_mad_kernel_rmpp_agent, "", "");
KSYMTAB_FUNC(ib_create_send_mad, "", "");
KSYMTAB_FUNC(ib_get_mad_data_offset, "", "");
KSYMTAB_FUNC(ib_is_mad_class_rmpp, "", "");
KSYMTAB_FUNC(ib_get_rmpp_segment, "", "");
KSYMTAB_FUNC(ib_free_send_mad, "", "");
KSYMTAB_FUNC(ib_post_send_mad, "", "");
KSYMTAB_FUNC(ib_free_recv_mad, "", "");
KSYMTAB_FUNC(ib_modify_mad, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_string, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u32, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u32_hex, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u64, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u64_hex, "", "");
KSYMTAB_FUNC(rdma_nl_get_privileged_qkey, "", "");
KSYMTAB_FUNC(rdma_nl_stat_hwcounter_entry, "", "");
KSYMTAB_FUNC(rdma_link_register, "", "");
KSYMTAB_FUNC(rdma_link_unregister, "", "");
KSYMTAB_FUNC(rdma_restrack_count, "", "");
KSYMTAB_FUNC(rdma_restrack_set_name, "", "");
KSYMTAB_FUNC(rdma_restrack_parent_name, "", "");
KSYMTAB_FUNC(rdma_restrack_new, "", "");
KSYMTAB_FUNC(rdma_restrack_add, "", "");
KSYMTAB_FUNC(rdma_restrack_get, "", "");
KSYMTAB_FUNC(rdma_restrack_get_byid, "", "");
KSYMTAB_FUNC(rdma_restrack_put, "", "");
KSYMTAB_FUNC(rdma_restrack_del, "", "");
KSYMTAB_FUNC(rdma_umap_priv_init, "", "");
KSYMTAB_FUNC(rdma_user_mmap_io, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_get_pgoff, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_get, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_put, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_remove, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_insert_range, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_insert, "", "");
KSYMTAB_FUNC(ib_create_qp_security, "", "");
KSYMTAB_FUNC(ib_rdmacg_try_charge, "", "");
KSYMTAB_FUNC(ib_rdmacg_uncharge, "", "");

SYMBOL_CRC(ib_pack, 0x22f3cf93, "");
SYMBOL_CRC(ib_unpack, 0xa432baf6, "");
SYMBOL_CRC(ib_ud_ip4_csum, 0x6b958320, "");
SYMBOL_CRC(ib_ud_header_init, 0xb7852a05, "");
SYMBOL_CRC(ib_ud_header_pack, 0xe9e799fc, "");
SYMBOL_CRC(ib_ud_header_unpack, 0x3fc2387c, "");
SYMBOL_CRC(ib_event_msg, 0xf6ed3334, "");
SYMBOL_CRC(ib_wc_status_msg, 0xe5840ec6, "");
SYMBOL_CRC(ib_rate_to_mult, 0x5987bc79, "");
SYMBOL_CRC(mult_to_ib_rate, 0x6644920a, "");
SYMBOL_CRC(ib_rate_to_mbps, 0x6c183078, "");
SYMBOL_CRC(rdma_node_get_transport, 0xf5dedb30, "");
SYMBOL_CRC(rdma_port_get_link_layer, 0xfaf13615, "");
SYMBOL_CRC(__ib_alloc_pd, 0xdfa1f13e, "");
SYMBOL_CRC(ib_dealloc_pd_user, 0xba299095, "");
SYMBOL_CRC(rdma_copy_ah_attr, 0x328c5e68, "");
SYMBOL_CRC(rdma_replace_ah_attr, 0xfa19b8d9, "");
SYMBOL_CRC(rdma_move_ah_attr, 0x1bdf9382, "");
SYMBOL_CRC(rdma_create_ah, 0x8d97abff, "");
SYMBOL_CRC(rdma_create_user_ah, 0x90305de2, "");
SYMBOL_CRC(ib_get_rdma_header_version, 0x00cd25ea, "");
SYMBOL_CRC(ib_get_gids_from_rdma_hdr, 0x58df5b94, "");
SYMBOL_CRC(ib_init_ah_attr_from_wc, 0xf4fce241, "");
SYMBOL_CRC(rdma_move_grh_sgid_attr, 0x4262d5ca, "");
SYMBOL_CRC(rdma_destroy_ah_attr, 0xc8d305f0, "");
SYMBOL_CRC(ib_create_ah_from_wc, 0x3a5b5d3a, "");
SYMBOL_CRC(rdma_modify_ah, 0xe518a564, "");
SYMBOL_CRC(rdma_query_ah, 0xb6b587f6, "");
SYMBOL_CRC(rdma_destroy_ah_user, 0xe7c033ff, "");
SYMBOL_CRC(ib_create_srq_user, 0xc33a136b, "");
SYMBOL_CRC(ib_modify_srq, 0xd11e0718, "");
SYMBOL_CRC(ib_query_srq, 0x0fbf954e, "");
SYMBOL_CRC(ib_destroy_srq_user, 0xda55cbcd, "");
SYMBOL_CRC(ib_open_qp, 0x26afb247, "");
SYMBOL_CRC(ib_create_qp_user, 0x5e2ea716, "");
SYMBOL_CRC(ib_qp_usecnt_inc, 0x280048f2, "");
SYMBOL_CRC(ib_qp_usecnt_dec, 0x9ebba75f, "");
SYMBOL_CRC(ib_create_qp_kernel, 0xd829aea4, "");
SYMBOL_CRC(ib_modify_qp_is_ok, 0xab62888d, "");
SYMBOL_CRC(ib_modify_qp_with_udata, 0x83adfb41, "");
SYMBOL_CRC(ib_get_eth_speed, 0xec6e1f22, "");
SYMBOL_CRC(ib_modify_qp, 0xbdc1cb98, "");
SYMBOL_CRC(ib_query_qp, 0x94cfacdd, "");
SYMBOL_CRC(ib_close_qp, 0x66221bab, "");
SYMBOL_CRC(ib_destroy_qp_user, 0x0c655be5, "");
SYMBOL_CRC(__ib_create_cq, 0x05e6748b, "");
SYMBOL_CRC(rdma_set_cq_moderation, 0x9dc1538c, "");
SYMBOL_CRC(ib_destroy_cq_user, 0x7b4b5942, "");
SYMBOL_CRC(ib_resize_cq, 0x33072227, "");
SYMBOL_CRC(ib_reg_user_mr, 0x72378b9e, "");
SYMBOL_CRC(ib_advise_mr, 0x0273fb43, "");
SYMBOL_CRC(ib_dereg_mr_user, 0x6da6aa4a, "");
SYMBOL_CRC(ib_alloc_mr, 0x6a559517, "");
SYMBOL_CRC(ib_alloc_mr_integrity, 0xd105a5dc, "");
SYMBOL_CRC(ib_attach_mcast, 0xccaec031, "");
SYMBOL_CRC(ib_detach_mcast, 0x8c26520d, "");
SYMBOL_CRC(ib_alloc_xrcd_user, 0x14f7b5ec, "");
SYMBOL_CRC(ib_dealloc_xrcd_user, 0x9b44d2b1, "");
SYMBOL_CRC(ib_create_wq, 0x86889248, "");
SYMBOL_CRC(ib_destroy_wq_user, 0xd0ea3ddc, "");
SYMBOL_CRC(ib_check_mr_status, 0xeb63a2ca, "");
SYMBOL_CRC(ib_set_vf_link_state, 0x3f5b1bc9, "");
SYMBOL_CRC(ib_get_vf_config, 0xab51646b, "");
SYMBOL_CRC(ib_get_vf_stats, 0x242444b1, "");
SYMBOL_CRC(ib_set_vf_guid, 0x9620b006, "");
SYMBOL_CRC(ib_get_vf_guid, 0xc5655f23, "");
SYMBOL_CRC(ib_map_mr_sg_pi, 0xc208f858, "");
SYMBOL_CRC(ib_map_mr_sg, 0x47726ea5, "");
SYMBOL_CRC(ib_sg_to_pages, 0x2e5352d2, "");
SYMBOL_CRC(ib_drain_sq, 0x2b8859c8, "");
SYMBOL_CRC(ib_drain_rq, 0x23535c86, "");
SYMBOL_CRC(ib_drain_qp, 0x8c063019, "");
SYMBOL_CRC(rdma_alloc_netdev, 0x8832e62a, "");
SYMBOL_CRC(rdma_init_netdev, 0x2e842b42, "");
SYMBOL_CRC(__rdma_block_iter_start, 0x680e3cfd, "");
SYMBOL_CRC(__rdma_block_iter_next, 0x61373fd2, "");
SYMBOL_CRC(rdma_alloc_hw_stats_struct, 0x0d3354a6, "");
SYMBOL_CRC(rdma_free_hw_stats_struct, 0xc8d38664, "");
SYMBOL_CRC(ib_process_cq_direct, 0xbf36c2f7, "");
SYMBOL_CRC(__ib_alloc_cq, 0xf8125e2c, "");
SYMBOL_CRC(__ib_alloc_cq_any, 0x5b6dfaab, "");
SYMBOL_CRC(ib_free_cq, 0xbcf6f7cb, "");
SYMBOL_CRC(ib_cq_pool_get, 0x428fa6b3, "");
SYMBOL_CRC(ib_cq_pool_put, 0xbc0a7127, "");
SYMBOL_CRC(rdma_rw_ctx_init, 0x59a465a8, "");
SYMBOL_CRC(rdma_rw_ctx_signature_init, 0x358862f0, "");
SYMBOL_CRC(rdma_rw_ctx_wrs, 0xe2c5e37f, "");
SYMBOL_CRC(rdma_rw_ctx_post, 0x405ffc11, "");
SYMBOL_CRC(rdma_rw_ctx_destroy, 0xfd2c505d, "");
SYMBOL_CRC(rdma_rw_ctx_destroy_signature, 0xeb939d21, "");
SYMBOL_CRC(rdma_rw_mr_factor, 0x68a523d0, "");
SYMBOL_CRC(ib_port_sysfs_get_ibdev_kobj, 0x78ec8152, "");
SYMBOL_CRC(ib_port_register_client_groups, 0xd4e365e8, "");
SYMBOL_CRC(ib_port_unregister_client_groups, 0x5b7535d8, "");
SYMBOL_CRC(ib_wq, 0xdbd019c4, "_gpl");
SYMBOL_CRC(rdma_dev_access_netns, 0x3ede0633, "");
SYMBOL_CRC(ibdev_printk, 0x32fffe0a, "");
SYMBOL_CRC(ibdev_emerg, 0x6e547191, "");
SYMBOL_CRC(ibdev_alert, 0x510d70b5, "");
SYMBOL_CRC(ibdev_crit, 0x4a9ca1ca, "");
SYMBOL_CRC(ibdev_err, 0x8c554aba, "");
SYMBOL_CRC(ibdev_warn, 0xfc9b1441, "");
SYMBOL_CRC(ibdev_notice, 0xd6b4695f, "");
SYMBOL_CRC(ibdev_info, 0x3b729243, "");
SYMBOL_CRC(ib_device_put, 0xf7a6730d, "");
SYMBOL_CRC(ib_device_get_by_name, 0x8889d43d, "");
SYMBOL_CRC(_ib_alloc_device, 0x0a60d807, "");
SYMBOL_CRC(ib_dealloc_device, 0xea01d142, "");
SYMBOL_CRC(ib_port_immutable_read, 0x6dad8843, "");
SYMBOL_CRC(ib_get_device_fw_str, 0x00db8258, "");
SYMBOL_CRC(ib_register_device, 0xf079aef4, "");
SYMBOL_CRC(ib_unregister_device, 0xea4d2949, "");
SYMBOL_CRC(ib_unregister_device_and_put, 0x3a931613, "");
SYMBOL_CRC(ib_unregister_driver, 0xd0478dc4, "");
SYMBOL_CRC(ib_unregister_device_queued, 0x6c759964, "");
SYMBOL_CRC(ib_register_client, 0x830a5a81, "");
SYMBOL_CRC(ib_unregister_client, 0x1bf9f269, "");
SYMBOL_CRC(ib_set_client_data, 0x7709f24c, "");
SYMBOL_CRC(ib_register_event_handler, 0xb102f136, "");
SYMBOL_CRC(ib_unregister_event_handler, 0x82b3b4aa, "");
SYMBOL_CRC(ib_query_port, 0x40b166d7, "");
SYMBOL_CRC(ib_device_set_netdev, 0x7d7089ea, "");
SYMBOL_CRC(ib_device_get_by_netdev, 0x0a0a11f9, "");
SYMBOL_CRC(ib_query_pkey, 0x231fcad7, "");
SYMBOL_CRC(ib_modify_device, 0xf6c7641d, "");
SYMBOL_CRC(ib_modify_port, 0x72fd6a2e, "");
SYMBOL_CRC(ib_find_gid, 0xf2411a70, "");
SYMBOL_CRC(ib_find_pkey, 0x2566911e, "");
SYMBOL_CRC(ib_get_net_dev_by_params, 0xbc97d11a, "");
SYMBOL_CRC(ib_set_device_ops, 0xd948eaef, "");
SYMBOL_CRC(ib_add_sub_device, 0xa6b77601, "");
SYMBOL_CRC(ib_del_sub_device_and_put, 0x4a55d7c1, "");
SYMBOL_CRC(ib_dma_virt_map_sg, 0xe3305b68, "");
SYMBOL_CRC(zgid, 0x434c5d10, "");
SYMBOL_CRC(ib_cache_gid_type_str, 0x55bb02f3, "");
SYMBOL_CRC(rdma_is_zero_gid, 0x6f3614b6, "");
SYMBOL_CRC(ib_cache_gid_parse_type_str, 0x90e807c7, "");
SYMBOL_CRC(rdma_find_gid_by_port, 0xb2cd4261, "");
SYMBOL_CRC(rdma_query_gid, 0x1f546ffa, "");
SYMBOL_CRC(rdma_read_gid_hw_context, 0x85d3d2f8, "");
SYMBOL_CRC(rdma_find_gid, 0x351dbb3a, "");
SYMBOL_CRC(ib_get_cached_pkey, 0x32d2a0b9, "");
SYMBOL_CRC(ib_get_cached_subnet_prefix, 0x8b8d5742, "");
SYMBOL_CRC(ib_find_cached_pkey, 0xbd5a5c17, "");
SYMBOL_CRC(ib_find_exact_cached_pkey, 0xe16cf111, "");
SYMBOL_CRC(ib_get_cached_lmc, 0xdd5204c0, "");
SYMBOL_CRC(ib_get_cached_port_state, 0x26940874, "");
SYMBOL_CRC(rdma_get_gid_attr, 0x885b38a5, "");
SYMBOL_CRC(rdma_query_gid_table, 0x656f8fd1, "");
SYMBOL_CRC(rdma_put_gid_attr, 0xd4845057, "");
SYMBOL_CRC(rdma_hold_gid_attr, 0x96ac463c, "");
SYMBOL_CRC(rdma_read_gid_attr_ndev_rcu, 0x8c595733, "");
SYMBOL_CRC(rdma_read_gid_l2_fields, 0x7cbcd528, "");
SYMBOL_CRC(ib_dispatch_event, 0xb0a19a6a, "");
SYMBOL_CRC(rdma_nl_chk_listeners, 0x45fb8985, "");
SYMBOL_CRC(rdma_nl_register, 0x316a6113, "");
SYMBOL_CRC(rdma_nl_unregister, 0x75a729a0, "");
SYMBOL_CRC(ibnl_put_msg, 0x13b5af5c, "");
SYMBOL_CRC(ibnl_put_attr, 0xde7f6920, "");
SYMBOL_CRC(rdma_nl_unicast, 0x269d6913, "");
SYMBOL_CRC(rdma_nl_unicast_wait, 0xeaf6e9ee, "");
SYMBOL_CRC(rdma_nl_multicast, 0xe9a8e106, "");
SYMBOL_CRC(roce_gid_type_mask_support, 0x3405c535, "");
SYMBOL_CRC(rdma_roce_rescan_device, 0x055ebd73, "");
SYMBOL_CRC(ib_mr_pool_get, 0x0b0c0089, "");
SYMBOL_CRC(ib_mr_pool_put, 0x27cdd54b, "");
SYMBOL_CRC(ib_mr_pool_init, 0xf4bd429e, "");
SYMBOL_CRC(ib_mr_pool_destroy, 0xbfb84e29, "");
SYMBOL_CRC(rdma_addr_size, 0x70807834, "");
SYMBOL_CRC(rdma_addr_size_in6, 0xd6636ca6, "");
SYMBOL_CRC(rdma_addr_size_kss, 0x305e5701, "");
SYMBOL_CRC(rdma_copy_src_l2_addr, 0x35d29152, "");
SYMBOL_CRC(rdma_translate_ip, 0x2a920ea7, "");
SYMBOL_CRC(rdma_resolve_ip, 0x5ed82612, "");
SYMBOL_CRC(rdma_addr_cancel, 0x4f34ab74, "");
SYMBOL_CRC(ib_sa_register_client, 0x0c86f5cb, "");
SYMBOL_CRC(ib_sa_unregister_client, 0x439ce33c, "");
SYMBOL_CRC(ib_sa_cancel_query, 0xda0d50ec, "");
SYMBOL_CRC(ib_init_ah_attr_from_path, 0x68345f99, "");
SYMBOL_CRC(ib_sa_unpack_path, 0xd21bb37a, "");
SYMBOL_CRC(ib_sa_pack_path, 0xb4c40040, "");
SYMBOL_CRC(ib_sa_path_rec_get, 0x54c1c1f5, "");
SYMBOL_CRC(ib_sa_guid_info_rec_query, 0xfa91f596, "");
SYMBOL_CRC(ib_sa_join_multicast, 0xc9a9d35d, "");
SYMBOL_CRC(ib_sa_free_multicast, 0x4e90435c, "");
SYMBOL_CRC(ib_sa_get_mcmember_rec, 0x6059b5a9, "");
SYMBOL_CRC(ib_init_ah_from_mcmember, 0xc1f1c5cc, "");
SYMBOL_CRC(ib_response_mad, 0x4e155af0, "");
SYMBOL_CRC(ib_register_mad_agent, 0xad727827, "");
SYMBOL_CRC(ib_unregister_mad_agent, 0xa9467bec, "");
SYMBOL_CRC(ib_mad_kernel_rmpp_agent, 0x40fcd2b4, "");
SYMBOL_CRC(ib_create_send_mad, 0xbe54d954, "");
SYMBOL_CRC(ib_get_mad_data_offset, 0x787ccc4c, "");
SYMBOL_CRC(ib_is_mad_class_rmpp, 0x613b1e2e, "");
SYMBOL_CRC(ib_get_rmpp_segment, 0xd9e26fb5, "");
SYMBOL_CRC(ib_free_send_mad, 0x0e26b121, "");
SYMBOL_CRC(ib_post_send_mad, 0xd89c9131, "");
SYMBOL_CRC(ib_free_recv_mad, 0x0e3d9a0b, "");
SYMBOL_CRC(ib_modify_mad, 0x4038fc47, "");
SYMBOL_CRC(rdma_nl_put_driver_string, 0xdc8b73d9, "");
SYMBOL_CRC(rdma_nl_put_driver_u32, 0xecb8faad, "");
SYMBOL_CRC(rdma_nl_put_driver_u32_hex, 0x73b0e3de, "");
SYMBOL_CRC(rdma_nl_put_driver_u64, 0x1d5aab80, "");
SYMBOL_CRC(rdma_nl_put_driver_u64_hex, 0x8b171f3a, "");
SYMBOL_CRC(rdma_nl_get_privileged_qkey, 0x992de6f8, "");
SYMBOL_CRC(rdma_nl_stat_hwcounter_entry, 0xd6c93f61, "");
SYMBOL_CRC(rdma_link_register, 0x7e64c4a1, "");
SYMBOL_CRC(rdma_link_unregister, 0x3c0cef1d, "");
SYMBOL_CRC(rdma_restrack_count, 0xf8648a12, "");
SYMBOL_CRC(rdma_restrack_set_name, 0x4666699a, "");
SYMBOL_CRC(rdma_restrack_parent_name, 0x054e6fd0, "");
SYMBOL_CRC(rdma_restrack_new, 0x49873247, "");
SYMBOL_CRC(rdma_restrack_add, 0x017abe25, "");
SYMBOL_CRC(rdma_restrack_get, 0xcc43826f, "");
SYMBOL_CRC(rdma_restrack_get_byid, 0xc6608e94, "");
SYMBOL_CRC(rdma_restrack_put, 0x9688f73b, "");
SYMBOL_CRC(rdma_restrack_del, 0xbe2adde4, "");
SYMBOL_CRC(rdma_umap_priv_init, 0x2f51ba94, "");
SYMBOL_CRC(rdma_user_mmap_io, 0xa41f9449, "");
SYMBOL_CRC(rdma_user_mmap_entry_get_pgoff, 0x38135185, "");
SYMBOL_CRC(rdma_user_mmap_entry_get, 0x5c0447b7, "");
SYMBOL_CRC(rdma_user_mmap_entry_put, 0x771b744e, "");
SYMBOL_CRC(rdma_user_mmap_entry_remove, 0x851ed9d1, "");
SYMBOL_CRC(rdma_user_mmap_entry_insert_range, 0x29d3361e, "");
SYMBOL_CRC(rdma_user_mmap_entry_insert, 0x997444f5, "");
SYMBOL_CRC(ib_create_qp_security, 0xeda97c4b, "");
SYMBOL_CRC(ib_rdmacg_try_charge, 0xe1e32d46, "");
SYMBOL_CRC(ib_rdmacg_uncharge, 0xac8e0981, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc528a49a, "queued_write_lock_slowpath" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc49158a0, "__netlink_dump_start" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x1757935, "rdmacg_register_device" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xbc36adaa, "rdmacg_try_charge" },
	{ 0x38b17cd4, "netdev_walk_all_lower_dev_rcu" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4506c655, "bpf_trace_run4" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xb2a60d30, "__nlmsg_put" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xc2af5a6, "skb_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xdec5f1bf, "dev_set_name" },
	{ 0x5c171c7c, "ip6_dst_hoplimit" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x93b9a682, "trace_raw_output_prep" },
	{ 0x1b6865c, "xa_get_mark" },
	{ 0x60714e08, "nla_put_64bit" },
	{ 0xb32fdc18, "xas_find_marked" },
	{ 0xca9360b5, "rb_next" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x556be6e0, "__trace_trigger_soft_disabled" },
	{ 0x6dd04304, "__kmalloc_node_noprof" },
	{ 0xa6613056, "dma_unmap_page_attrs" },
	{ 0xcb6b138, "trace_event_printf" },
	{ 0x37ab0778, "__ip_dev_find" },
	{ 0x1b023a57, "sysfs_remove_groups" },
	{ 0xe02c9c92, "__xa_erase" },
	{ 0xd39d4627, "__put_task_struct" },
	{ 0x1b777357, "rdmacg_unregister_device" },
	{ 0x23967b1, "xas_find" },
	{ 0x1a4d9418, "kobject_init" },
	{ 0x3b9c57bf, "device_initialize" },
	{ 0xc160220d, "__dynamic_ibdev_dbg" },
	{ 0x1446282, "sysfs_create_groups" },
	{ 0x3f7c8b8f, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x21e74a21, "remap_pfn_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xd0ebde4f, "in6_dev_finish_destroy" },
	{ 0x32cd246e, "__netlink_kernel_create" },
	{ 0xc4e40b90, "bpf_trace_run2" },
	{ 0xc6ae011, "ip_route_output_flow" },
	{ 0x67155184, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0x88822d38, "unregister_blocking_lsm_notifier" },
	{ 0x43072ea2, "netlink_ack" },
	{ 0xd7d280ad, "irq_poll_complete" },
	{ 0x23718531, "netlink_broadcast_filtered" },
	{ 0xadfbd24f, "device_rename" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x389b64a2, "static_key_count" },
	{ 0x34070452, "dev_driver_string" },
	{ 0xfb6dfa14, "trace_event_buffer_commit" },
	{ 0xb4c63861, "dma_map_page_attrs" },
	{ 0xca0eee00, "alloc_netdev_mqs" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x489f6e0b, "rdma_dim" },
	{ 0x617c452b, "queued_read_lock_slowpath" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x8619869e, "put_device" },
	{ 0x615f183a, "net_ns_type_operations" },
	{ 0xe58090ca, "security_ib_endport_manage_subnet" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x95463bb7, "__alloc_skb" },
	{ 0xf8db677c, "netlink_capable" },
	{ 0x3f89071b, "security_ib_pkey_access" },
	{ 0xc6cbbc89, "capable" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x800473f, "__cond_resched" },
	{ 0xb679512f, "__task_pid_nr_ns" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0x462c5c15, "vlan_dev_real_dev" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x4bb807c7, "perf_trace_run_bpf_submit" },
	{ 0x57bc19d2, "down_write" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x7ee7ac5d, "init_net" },
	{ 0x17e1c98a, "kobject_add" },
	{ 0xce807a25, "up_write" },
	{ 0x6474338, "ipv6_stub" },
	{ 0xb6476d61, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x61373533, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x9f66a4ce, "sk_skb_reason_drop" },
	{ 0x8172d5ff, "netlink_unicast" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xea03c881, "dev_get_by_index" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xb04a43ad, "__xa_alloc_cyclic" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbfe0703a, "skb_push" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x5a921311, "strncmp" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0x2092327, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x230fb777, "netlink_kernel_release" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x2e6fc05a, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x59f2589b, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x2edb012e, "sysfs_create_group" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x5e1ec18c, "on_exadata" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x3e80f4d8, "__ethtool_get_link_ksettings" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x131a6146, "xa_clear_mark" },
	{ 0xdc0f8a86, "bpf_trace_run1" },
	{ 0x61401cd3, "device_del" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0x56e88310, "netdev_get_xmit_slave" },
	{ 0xdcb764ad, "memset" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xece784c2, "rb_first" },
	{ 0xbd707a5e, "__neigh_event_send" },
	{ 0x5308d007, "dev_printk_emit" },
	{ 0x446f57ea, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0x99eabdf8, "skb_trim" },
	{ 0x6612530c, "netdev_has_upper_dev_all_rcu" },
	{ 0xa0ebc08, "__xa_cmpxchg" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7f7f7bb4, "irq_poll_disable" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0x8933ac5a, "netdev_walk_all_upper_dev_rcu" },
	{ 0xe5561d7c, "sysfs_remove_group" },
	{ 0x2da8d207, "bpf_trace_run3" },
	{ 0xcd8e1166, "__put_net" },
	{ 0x231754af, "_dev_notice" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x426eff70, "neigh_destroy" },
	{ 0x72584bb2, "kobject_del" },
	{ 0xda2d7a21, "trace_event_buffer_reserve" },
	{ 0xcd0d4d23, "dma_map_sgtable" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x14c5dd46, "param_ops_bool" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xa3b7f5ee, "netdev_master_upper_dev_get_rcu" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x554ae3a4, "irq_poll_sched" },
	{ 0xe900068a, "dev_get_by_name" },
	{ 0x61e3f45c, "netlink_ns_capable" },
	{ 0x8500f07e, "dst_release" },
	{ 0xbed38642, "kobject_uevent" },
	{ 0x911a1ba0, "rdmacg_uncharge" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0x2f2e91b2, "security_ib_alloc_security" },
	{ 0x18888d00, "downgrade_write" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xf738d1be, "register_blocking_lsm_notifier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x65070d00, "vlan_dev_vlan_id" },
	{ 0x5986a5d8, "dma_unmap_sg_attrs" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xab3697e4, "irq_poll_init" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xd0342df8, "ipv6_chk_addr" },
	{ 0x9da0ba4, "xa_set_mark" },
	{ 0x98cf60b3, "strlen" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xcb74520d, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x349cba85, "strchr" },
	{ 0x50be748d, "security_ib_free_security" },
	{ 0xcb4ba199, "netlink_has_listeners" },
	{ 0x5359e8dc, "__kvmalloc_node_noprof" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0x311e6281, "register_pernet_device" },
	{ 0x95b08404, "get_net_ns_by_fd" },
	{ 0xaa3a3bb3, "class_register" },
	{ 0xe1a8d7c9, "net_rwsem" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x677d981d, "kobject_put" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E2A9CD5AEA46EB03C94502F");
