#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ib_uverbs_get_ucontext_file, "", "");
KSYMTAB_FUNC(flow_resources_alloc, "", "");
KSYMTAB_FUNC(ib_uverbs_flow_resources_free, "", "");
KSYMTAB_FUNC(flow_resources_add, "", "");
KSYMTAB_FUNC(ib_copy_ah_attr_to_user, "", "");
KSYMTAB_FUNC(ib_copy_qp_attr_to_user, "", "");
KSYMTAB_FUNC(ib_copy_path_rec_to_user, "", "");
KSYMTAB_FUNC(ib_copy_path_rec_from_user, "", "");
KSYMTAB_FUNC(uverbs_uobject_put, "", "");
KSYMTAB_DATA(uverbs_idr_class, "", "");
KSYMTAB_FUNC(uverbs_uobject_fd_release, "", "");
KSYMTAB_DATA(uverbs_fd_class, "", "");
KSYMTAB_FUNC(uverbs_destroy_def_handler, "", "");
KSYMTAB_FUNC(_uverbs_alloc, "", "");
KSYMTAB_FUNC(uverbs_get_flags64, "", "");
KSYMTAB_FUNC(uverbs_get_flags32, "", "");
KSYMTAB_FUNC(uverbs_copy_to, "", "");
KSYMTAB_FUNC(_uverbs_get_const_signed, "", "");
KSYMTAB_FUNC(_uverbs_get_const_unsigned, "", "");
KSYMTAB_FUNC(uverbs_copy_to_struct_or_zero, "", "");
KSYMTAB_FUNC(uverbs_finalize_uobj_create, "", "");
KSYMTAB_FUNC(ib_umem_find_best_pgsz, "", "");
KSYMTAB_FUNC(ib_umem_get, "", "");
KSYMTAB_FUNC(ib_umem_release, "", "");
KSYMTAB_FUNC(ib_umem_copy_from, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_map_pages, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_unmap_pages, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_get, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_get_pinned, "", "");
KSYMTAB_FUNC(ib_umem_odp_alloc_implicit, "", "");
KSYMTAB_FUNC(ib_umem_odp_alloc_child, "", "");
KSYMTAB_FUNC(ib_umem_odp_get, "", "");
KSYMTAB_FUNC(ib_umem_odp_release, "", "");
KSYMTAB_FUNC(ib_umem_odp_map_dma_and_lock, "", "");
KSYMTAB_FUNC(ib_umem_odp_unmap_dma_pages, "", "");

SYMBOL_CRC(ib_uverbs_get_ucontext_file, 0xfe77cc18, "");
SYMBOL_CRC(flow_resources_alloc, 0xedd890e5, "");
SYMBOL_CRC(ib_uverbs_flow_resources_free, 0xcfb3f7a3, "");
SYMBOL_CRC(flow_resources_add, 0x6247bb20, "");
SYMBOL_CRC(ib_copy_ah_attr_to_user, 0x7a9e44e9, "");
SYMBOL_CRC(ib_copy_qp_attr_to_user, 0x542e4eb6, "");
SYMBOL_CRC(ib_copy_path_rec_to_user, 0x36c34dc6, "");
SYMBOL_CRC(ib_copy_path_rec_from_user, 0x754b0000, "");
SYMBOL_CRC(uverbs_uobject_put, 0x7290739a, "");
SYMBOL_CRC(uverbs_idr_class, 0xdd65b252, "");
SYMBOL_CRC(uverbs_uobject_fd_release, 0x10ab2424, "");
SYMBOL_CRC(uverbs_fd_class, 0xf835836e, "");
SYMBOL_CRC(uverbs_destroy_def_handler, 0xaf0ddf09, "");
SYMBOL_CRC(_uverbs_alloc, 0x9dee4869, "");
SYMBOL_CRC(uverbs_get_flags64, 0x98fb5219, "");
SYMBOL_CRC(uverbs_get_flags32, 0x46a67c9d, "");
SYMBOL_CRC(uverbs_copy_to, 0x258c9df8, "");
SYMBOL_CRC(_uverbs_get_const_signed, 0xcb09c61c, "");
SYMBOL_CRC(_uverbs_get_const_unsigned, 0x57b7e197, "");
SYMBOL_CRC(uverbs_copy_to_struct_or_zero, 0x7fb32d3b, "");
SYMBOL_CRC(uverbs_finalize_uobj_create, 0x7b27a760, "");
SYMBOL_CRC(ib_umem_find_best_pgsz, 0xcf98b120, "");
SYMBOL_CRC(ib_umem_get, 0xde24de12, "");
SYMBOL_CRC(ib_umem_release, 0x009e3c49, "");
SYMBOL_CRC(ib_umem_copy_from, 0xaac11356, "");
SYMBOL_CRC(ib_umem_dmabuf_map_pages, 0xb1f4043f, "");
SYMBOL_CRC(ib_umem_dmabuf_unmap_pages, 0xe169d4f5, "");
SYMBOL_CRC(ib_umem_dmabuf_get, 0xc2eeaab5, "");
SYMBOL_CRC(ib_umem_dmabuf_get_pinned, 0x2e45b030, "");
SYMBOL_CRC(ib_umem_odp_alloc_implicit, 0xc708be1c, "");
SYMBOL_CRC(ib_umem_odp_alloc_child, 0xeb12ccdf, "");
SYMBOL_CRC(ib_umem_odp_get, 0x304cf462, "");
SYMBOL_CRC(ib_umem_odp_release, 0x21008247, "");
SYMBOL_CRC(ib_umem_odp_map_dma_and_lock, 0x083ffc46, "");
SYMBOL_CRC(ib_umem_odp_unmap_dma_pages, 0xee3ca5a8, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd890478b, "pin_user_pages_fast" },
	{ 0xd213c8bf, "mmu_interval_notifier_remove" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xd4845a05, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xea44a38b, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x1bf9f269, "ib_unregister_client" },
	{ 0x83b75fd, "show_class_attr_string" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x9b839c0b, "unpin_user_pages_dirty_lock" },
	{ 0x20978fb9, "idr_find" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xdec5f1bf, "dev_set_name" },
	{ 0xfc9b1441, "ibdev_warn" },
	{ 0xa6257a2f, "complete" },
	{ 0x4e671beb, "dump_page" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x1d846f02, "mmu_interval_read_begin" },
	{ 0x5e2ea716, "ib_create_qp_user" },
	{ 0x1f4f53f5, "dma_resv_wait_timeout" },
	{ 0x98df6f92, "cdev_device_del" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x2b96ca1f, "get_pid_task" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x7ae9082b, "kill_fasync" },
	{ 0xa6613056, "dma_unmap_page_attrs" },
	{ 0xc4da97d8, "__mmap_lock_do_trace_acquire_returned" },
	{ 0xc36d5e18, "fget" },
	{ 0xd39d4627, "__put_task_struct" },
	{ 0xfbf954e, "ib_query_srq" },
	{ 0xc9820bd, "ww_mutex_unlock" },
	{ 0x3b9c57bf, "device_initialize" },
	{ 0xc160220d, "__dynamic_ibdev_dbg" },
	{ 0xe1e32d46, "ib_rdmacg_try_charge" },
	{ 0x62ac2844, "fd_install" },
	{ 0x4829a47e, "memcpy" },
	{ 0x5d95ac8b, "sg_alloc_append_table_from_pages" },
	{ 0x37a0cba, "kfree" },
	{ 0x4f1e4d2b, "unpin_user_page_range_dirty_lock" },
	{ 0xd0741cad, "iput" },
	{ 0x98817750, "dma_buf_unpin" },
	{ 0x7d1b088, "zap_vma_ptes" },
	{ 0x6da6aa4a, "ib_dereg_mr_user" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xcf2ea86b, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0xe2964344, "__wake_up" },
	{ 0x5eea036f, "synchronize_srcu" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x3ede0633, "rdma_dev_access_netns" },
	{ 0x67155184, "get_device" },
	{ 0x94cfacdd, "ib_query_qp" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xd469bccc, "__tracepoint_mmap_lock_released" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0xf54fd3ce, "dma_buf_dynamic_attach" },
	{ 0xfeb001ec, "class_create_file_ns" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x5fc52abd, "radix_tree_iter_delete" },
	{ 0xda55cbcd, "ib_destroy_srq_user" },
	{ 0x8c595733, "rdma_read_gid_attr_ndev_rcu" },
	{ 0xa4f64e35, "hmm_range_fault" },
	{ 0xb4c63861, "dma_map_page_attrs" },
	{ 0x5a956b5b, "empty_zero_page" },
	{ 0x122c3a7e, "_printk" },
	{ 0xc1e2cc0b, "cdev_device_add" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x17abe25, "rdma_restrack_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x8619869e, "put_device" },
	{ 0x41efdeaf, "radix_tree_lookup_slot" },
	{ 0x83adfb41, "ib_modify_qp_with_udata" },
	{ 0xb102f136, "ib_register_event_handler" },
	{ 0x8c26520d, "ib_detach_mcast" },
	{ 0x244b2191, "dma_buf_map_attachment" },
	{ 0x581e9a37, "__free_pages" },
	{ 0x82b3b4aa, "ib_unregister_event_handler" },
	{ 0xc6cbbc89, "capable" },
	{ 0x1f9a9c72, "module_put" },
	{ 0x830a5a81, "ib_register_client" },
	{ 0x6fff261f, "__arch_clear_user" },
	{ 0x54b50667, "compat_ptr_ioctl" },
	{ 0x800473f, "__cond_resched" },
	{ 0xc33a136b, "ib_create_srq_user" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x6a4f623b, "mmu_notifier_synchronize" },
	{ 0xb679512f, "__task_pid_nr_ns" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xeda6e663, "init_srcu_struct" },
	{ 0x97b585fb, "fput" },
	{ 0x7709f24c, "ib_set_client_data" },
	{ 0x57bc19d2, "down_write" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0x4c51bcca, "dma_buf_unmap_attachment" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x5df2b678, "radix_tree_next_chunk" },
	{ 0x3a2d14ef, "__srcu_read_lock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xd4845057, "rdma_put_gid_attr" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x138d06cc, "init_on_alloc" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe4bbc1dd, "kimage_voffset" },
	{ 0x73031e46, "dma_buf_get" },
	{ 0x40b166d7, "ib_query_port" },
	{ 0x5a921311, "strncmp" },
	{ 0xf07b07f6, "sg_free_append_table" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0xc3f628d8, "ww_mutex_lock" },
	{ 0x7addba2d, "fasync_helper" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x280048f2, "ib_qp_usecnt_inc" },
	{ 0xc8610a49, "dma_buf_put" },
	{ 0xffb7c514, "ida_free" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x2e6fc05a, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xe81b53a6, "cleanup_srcu_struct" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xc655be5, "ib_destroy_qp_user" },
	{ 0x992de6f8, "rdma_nl_get_privileged_qkey" },
	{ 0xdcb764ad, "memset" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x4666699a, "rdma_restrack_set_name" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x90305de2, "rdma_create_user_ah" },
	{ 0xe7c033ff, "rdma_destroy_ah_user" },
	{ 0xec2f87a5, "dma_buf_pin" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x7b4b5942, "ib_destroy_cq_user" },
	{ 0x668b19a1, "down_read" },
	{ 0xd667103, "__mmdrop" },
	{ 0xbe2adde4, "rdma_restrack_del" },
	{ 0xa0ebc08, "__xa_cmpxchg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x456d74d5, "set_page_dirty" },
	{ 0x745a981, "xa_erase" },
	{ 0xe77bf1d3, "__mmap_lock_do_trace_start_locking" },
	{ 0xac8e0981, "ib_rdmacg_uncharge" },
	{ 0x705109d4, "igrab" },
	{ 0xe3305b68, "ib_dma_virt_map_sg" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xeb327e1b, "mmput" },
	{ 0xcd0d4d23, "dma_map_sgtable" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x385c7481, "__tracepoint_mmap_lock_start_locking" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7ff1ef81, "__mmap_lock_do_trace_released" },
	{ 0x14f7b5ec, "ib_alloc_xrcd_user" },
	{ 0x5b3e282f, "xa_store" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xd69fd17, "__srcu_read_unlock" },
	{ 0x9dc1538c, "rdma_set_cq_moderation" },
	{ 0x557d1823, "alloc_pages_noprof" },
	{ 0x9b44d2b1, "ib_dealloc_xrcd_user" },
	{ 0xf98d9090, "dma_buf_detach" },
	{ 0x51d96502, "stream_open" },
	{ 0xf0c74a93, "mmu_interval_notifier_insert" },
	{ 0x90f3a16a, "mmput_async" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x26afb247, "ib_open_qp" },
	{ 0xba299095, "ib_dealloc_pd_user" },
	{ 0x885b38a5, "rdma_get_gid_attr" },
	{ 0x5986a5d8, "dma_unmap_sg_attrs" },
	{ 0xfaf13615, "rdma_port_get_link_layer" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x49873247, "rdma_restrack_new" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0x656f8fd1, "rdma_query_gid_table" },
	{ 0x6693c70c, "get_task_pid" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x9688f73b, "rdma_restrack_put" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xccaec031, "ib_attach_mcast" },
	{ 0x5359e8dc, "__kvmalloc_node_noprof" },
	{ 0x2f51ba94, "rdma_umap_priv_init" },
	{ 0x53b954a2, "up_read" },
	{ 0xcc5d22d9, "can_do_mlock" },
	{ 0xd0ea3ddc, "ib_destroy_wq_user" },
	{ 0x5f9d8bb7, "put_pid" },
	{ 0xaa3a3bb3, "class_register" },
	{ 0x858a550d, "cdev_init" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0x771b744e, "rdma_user_mmap_entry_put" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "482346190C11FA6D2935B76");
