#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rdma_event_msg, "", "");
KSYMTAB_FUNC(rdma_reject_msg, "", "");
KSYMTAB_FUNC(rdma_consumer_reject_data, "", "");
KSYMTAB_FUNC(rdma_iw_cm_id, "", "");
KSYMTAB_FUNC(rdma_res_to_id, "", "");
KSYMTAB_FUNC(__rdma_create_kernel_id, "", "");
KSYMTAB_FUNC(rdma_create_user_id, "", "");
KSYMTAB_FUNC(rdma_create_qp, "", "");
KSYMTAB_FUNC(rdma_destroy_qp, "", "");
KSYMTAB_FUNC(rdma_init_qp_attr, "", "");
KSYMTAB_FUNC(rdma_destroy_id, "", "");
KSYMTAB_FUNC(rdma_get_service_id, "", "");
KSYMTAB_FUNC(rdma_read_gids, "", "");
KSYMTAB_FUNC(rdma_set_service_type, "", "");
KSYMTAB_FUNC(rdma_set_ack_timeout, "", "");
KSYMTAB_FUNC(rdma_set_min_rnr_timer, "", "");
KSYMTAB_FUNC(rdma_set_ib_path, "", "");
KSYMTAB_FUNC(rdma_resolve_route, "", "");
KSYMTAB_FUNC(rdma_set_reuseaddr, "", "");
KSYMTAB_FUNC(rdma_notify_addr_change, "", "");
KSYMTAB_FUNC(rdma_set_afonly, "", "");
KSYMTAB_FUNC(rdma_listen, "", "");
KSYMTAB_FUNC(rdma_resolve_addr, "", "");
KSYMTAB_FUNC(rdma_bind_addr, "", "");
KSYMTAB_FUNC(rdma_connect_locked, "", "");
KSYMTAB_FUNC(rdma_connect, "", "");
KSYMTAB_FUNC(rdma_connect_ece, "", "");
KSYMTAB_FUNC(rdma_accept, "", "");
KSYMTAB_FUNC(rdma_accept_ece, "", "");
KSYMTAB_FUNC(rdma_lock_handler, "", "");
KSYMTAB_FUNC(rdma_unlock_handler, "", "");
KSYMTAB_FUNC(rdma_notify, "", "");
KSYMTAB_FUNC(rdma_reject, "", "");
KSYMTAB_FUNC(rdma_disconnect, "", "");
KSYMTAB_FUNC(rdma_join_multicast, "", "");
KSYMTAB_FUNC(rdma_leave_multicast, "", "");

SYMBOL_CRC(rdma_event_msg, 0x907df803, "");
SYMBOL_CRC(rdma_reject_msg, 0x04e66299, "");
SYMBOL_CRC(rdma_consumer_reject_data, 0x7aade6aa, "");
SYMBOL_CRC(rdma_iw_cm_id, 0xd0f559dc, "");
SYMBOL_CRC(rdma_res_to_id, 0x94c5dae7, "");
SYMBOL_CRC(__rdma_create_kernel_id, 0x42cedb2c, "");
SYMBOL_CRC(rdma_create_user_id, 0xb71ef361, "");
SYMBOL_CRC(rdma_create_qp, 0x43d9a7de, "");
SYMBOL_CRC(rdma_destroy_qp, 0x83c392bb, "");
SYMBOL_CRC(rdma_init_qp_attr, 0xfe8c6828, "");
SYMBOL_CRC(rdma_destroy_id, 0x7248d2d6, "");
SYMBOL_CRC(rdma_get_service_id, 0xc171c11c, "");
SYMBOL_CRC(rdma_read_gids, 0x44d2025b, "");
SYMBOL_CRC(rdma_set_service_type, 0xcb2631a2, "");
SYMBOL_CRC(rdma_set_ack_timeout, 0xdb87dd04, "");
SYMBOL_CRC(rdma_set_min_rnr_timer, 0xbc861dd1, "");
SYMBOL_CRC(rdma_set_ib_path, 0x1910f3af, "");
SYMBOL_CRC(rdma_resolve_route, 0x7c9819f8, "");
SYMBOL_CRC(rdma_set_reuseaddr, 0xe40d58f1, "");
SYMBOL_CRC(rdma_notify_addr_change, 0xca77939f, "");
SYMBOL_CRC(rdma_set_afonly, 0xeb386f4f, "");
SYMBOL_CRC(rdma_listen, 0xb986c2a9, "");
SYMBOL_CRC(rdma_resolve_addr, 0x9ea3680f, "");
SYMBOL_CRC(rdma_bind_addr, 0x0a459d8e, "");
SYMBOL_CRC(rdma_connect_locked, 0x0c378b94, "");
SYMBOL_CRC(rdma_connect, 0xfb0f2a26, "");
SYMBOL_CRC(rdma_connect_ece, 0xe184a13d, "");
SYMBOL_CRC(rdma_accept, 0x90512220, "");
SYMBOL_CRC(rdma_accept_ece, 0x3020456e, "");
SYMBOL_CRC(rdma_lock_handler, 0x4a61eb5f, "");
SYMBOL_CRC(rdma_unlock_handler, 0x4e99f0f0, "");
SYMBOL_CRC(rdma_notify, 0xe9fbbb72, "");
SYMBOL_CRC(rdma_reject, 0xd8a37994, "");
SYMBOL_CRC(rdma_disconnect, 0x9281962c, "");
SYMBOL_CRC(rdma_join_multicast, 0xa4796ffa, "");
SYMBOL_CRC(rdma_leave_multicast, 0x75c4cadd, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2d05beb8, "ib_send_cm_sidr_req" },
	{ 0x55bb02f3, "ib_cache_gid_type_str" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xaabf6341, "iw_create_cm_id" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x1bf9f269, "ib_unregister_client" },
	{ 0x38b17cd4, "netdev_walk_all_lower_dev_rcu" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x234a0251, "ib_send_cm_sidr_rep" },
	{ 0x4506c655, "bpf_trace_run4" },
	{ 0xd97976ae, "config_group_init" },
	{ 0x68345f99, "ib_init_ah_attr_from_path" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xb2cd4261, "rdma_find_gid_by_port" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x93b9a682, "trace_raw_output_prep" },
	{ 0xd6a4fd8b, "ib_cm_insert_listen" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x556be6e0, "__trace_trigger_soft_disabled" },
	{ 0xcb6b138, "trace_event_printf" },
	{ 0xc86f5cb, "ib_sa_register_client" },
	{ 0x3f7c8b8f, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1f546ffa, "rdma_query_gid" },
	{ 0x96b6f7ec, "rt6_lookup" },
	{ 0x2a920ea7, "rdma_translate_ip" },
	{ 0xc4e40b90, "bpf_trace_run2" },
	{ 0x3ede0633, "rdma_dev_access_netns" },
	{ 0xca07287c, "fib_table_lookup" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x70807834, "rdma_addr_size" },
	{ 0xfd813f9a, "ib_destroy_cm_id" },
	{ 0xf5dedb30, "rdma_node_get_transport" },
	{ 0x98caea94, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x8f0d0005, "register_pernet_subsys" },
	{ 0xfb6dfa14, "trace_event_buffer_commit" },
	{ 0x356f0d90, "register_net_sysctl_sz" },
	{ 0x1c50a09, "ip_mc_inc_group" },
	{ 0x8c595733, "rdma_read_gid_attr_ndev_rcu" },
	{ 0xbd5a5c17, "ib_find_cached_pkey" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1fbd16da, "ip_tos2prio" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xb30e11e6, "iw_cm_connect" },
	{ 0x17abe25, "rdma_restrack_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x4f34ab74, "rdma_addr_cancel" },
	{ 0xb395fd2c, "ib_cm_notify" },
	{ 0xa916b694, "strnlen" },
	{ 0x6059b5a9, "ib_sa_get_mcmember_rec" },
	{ 0xc6cbbc89, "capable" },
	{ 0xda0d50ec, "ib_sa_cancel_query" },
	{ 0x830a5a81, "ib_register_client" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x800473f, "__cond_resched" },
	{ 0x54c1c1f5, "ib_sa_path_rec_get" },
	{ 0xb0ef77dc, "ib_create_cm_id" },
	{ 0xf60e46fb, "__ip_mc_dec_group" },
	{ 0x462c5c15, "vlan_dev_real_dev" },
	{ 0x439ce33c, "ib_sa_unregister_client" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x4bb807c7, "perf_trace_run_bpf_submit" },
	{ 0xc1f1c5cc, "ib_init_ah_from_mcmember" },
	{ 0xc8d305f0, "rdma_destroy_ah_attr" },
	{ 0x7709f24c, "ib_set_client_data" },
	{ 0x7ee7ac5d, "init_net" },
	{ 0x32d2a0b9, "ib_get_cached_pkey" },
	{ 0xf11e6754, "configfs_register_subsystem" },
	{ 0xe9d8813f, "configfs_remove_default_groups" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xd4845057, "rdma_put_gid_attr" },
	{ 0xe61dd884, "config_group_init_type_name" },
	{ 0xea03c881, "dev_get_by_index" },
	{ 0x7b5f2498, "iw_destroy_cm_id" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x449bdbb3, "ib_send_cm_rep" },
	{ 0x2092327, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x90e807c7, "ib_cache_gid_parse_type_str" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x374dacd3, "iw_cm_disconnect" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xf3df871f, "iwcm_reject_msg" },
	{ 0xdc0f8a86, "bpf_trace_run1" },
	{ 0xc655be5, "ib_destroy_qp_user" },
	{ 0xe7e13a1f, "unregister_pernet_subsys" },
	{ 0x387c8481, "ib_cm_init_qp_attr" },
	{ 0xdcb764ad, "memset" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0xbce6a396, "ib_send_cm_drep" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x4666699a, "rdma_restrack_set_name" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xbc97d11a, "ib_get_net_dev_by_params" },
	{ 0x4e90435c, "ib_sa_free_multicast" },
	{ 0x26940874, "ib_get_cached_port_state" },
	{ 0x96298cd4, "ib_send_cm_mra" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbe2adde4, "rdma_restrack_del" },
	{ 0xbdc1cb98, "ib_modify_qp" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0x2da8d207, "bpf_trace_run3" },
	{ 0xcd8e1166, "__put_net" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x54e6fd0, "rdma_restrack_parent_name" },
	{ 0xae158f54, "iw_cm_accept" },
	{ 0xda2d7a21, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x14c5dd46, "param_ops_bool" },
	{ 0x7cec6c96, "config_item_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2bfba460, "iw_cm_reject" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x69824a14, "ibcm_reject_msg" },
	{ 0x60dc442f, "iw_cm_init_qp_attr" },
	{ 0x8500f07e, "dst_release" },
	{ 0xc0d4e0a0, "ib_send_cm_rtu" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x74778e67, "ib_send_cm_dreq" },
	{ 0x3fea1f18, "ib_send_cm_req" },
	{ 0xd829aea4, "ib_create_qp_kernel" },
	{ 0xc9a9d35d, "ib_sa_join_multicast" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x3405c535, "roce_gid_type_mask_support" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5ac8c04c, "unregister_net_sysctl_table" },
	{ 0x885b38a5, "rdma_get_gid_attr" },
	{ 0x49873247, "rdma_restrack_new" },
	{ 0xf96bef16, "__fib_lookup" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xfcb47b2, "iw_cm_listen" },
	{ 0x955838a3, "ib_send_cm_rej" },
	{ 0x35d29152, "rdma_copy_src_l2_addr" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x5ed82612, "rdma_resolve_ip" },
	{ 0x3eca0c01, "proc_dointvec_minmax" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "ib_cm,ib_core,iw_cm");


MODULE_INFO(srcversion, "BE0BB47D93945E7D3D52337");
