#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf16bfc83, "cxgb4_create_server" },
	{ 0x9b7072be, "cxgb4_read_sge_timestamp" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x489088d7, "cxgb4_l2t_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e3c49, "ib_umem_release" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x680e3cfd, "__rdma_block_iter_start" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xc2af5a6, "skb_put" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x67667ef, "cxgb4_bar2_sge_qregs" },
	{ 0x1bf32316, "cxgb4_pktgl_to_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xced0f4d4, "gen_pool_create" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x87ef83ff, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x10521f6c, "cxgb4_port_idx" },
	{ 0xa6613056, "dma_unmap_page_attrs" },
	{ 0x37ab0778, "__ip_dev_find" },
	{ 0xe02c9c92, "__xa_erase" },
	{ 0xedc03953, "iounmap" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x86ee612f, "cxgb4_get_tcp_stats" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x8b171f3a, "rdma_nl_put_driver_u64_hex" },
	{ 0x4829a47e, "memcpy" },
	{ 0xe0da9abe, "cxgb4_flush_eq_cache" },
	{ 0x2e5352d2, "ib_sg_to_pages" },
	{ 0x21e74a21, "remap_pfn_range" },
	{ 0x61373fd2, "__rdma_block_iter_next" },
	{ 0x37a0cba, "kfree" },
	{ 0x5b66fa60, "seq_lseek" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x50ee5c07, "cxgb4_best_aligned_mtu" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xd3354a6, "rdma_alloc_hw_stats_struct" },
	{ 0xa60d807, "_ib_alloc_device" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xd9eaee2a, "cxgb4_register_uld" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x5195dcc3, "skb_queue_purge_reason" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x34070452, "dev_driver_string" },
	{ 0xea4d2949, "ib_unregister_device" },
	{ 0xb4c63861, "dma_map_page_attrs" },
	{ 0x6c224cda, "gen_pool_destroy" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1fbd16da, "ip_tos2prio" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf079aef4, "ib_register_device" },
	{ 0x617c452b, "queued_read_lock_slowpath" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x58c53109, "cxgb4_remove_server" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x95463bb7, "__alloc_skb" },
	{ 0xecb8faad, "rdma_nl_put_driver_u32" },
	{ 0x136711a4, "skb_queue_tail" },
	{ 0xd7c2e7d1, "cxgb4_clip_get" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x9ec7a4fb, "cxgb_find_route" },
	{ 0x9a62e594, "cxgb4_sync_txq_pidx" },
	{ 0x800473f, "__cond_resched" },
	{ 0xb0a19a6a, "ib_dispatch_event" },
	{ 0x27c9203d, "cxgb4_select_ntuple" },
	{ 0x462c5c15, "vlan_dev_real_dev" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xd0f559dc, "rdma_iw_cm_id" },
	{ 0xe207e1a6, "cxgb4_free_atid" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x7ee7ac5d, "init_net" },
	{ 0xb6476d61, "skb_pull" },
	{ 0x24d273d1, "add_timer" },
	{ 0x34f7b26, "cxgb4_remove_server_filter" },
	{ 0x9f66a4ce, "sk_skb_reason_drop" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x38637059, "cxgb_find_route6" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7d7089ea, "ib_device_set_netdev" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0xde24de12, "ib_umem_get" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe4bbc1dd, "kimage_voffset" },
	{ 0x642cc440, "dma_alloc_attrs" },
	{ 0x495eed8e, "debugfs_remove" },
	{ 0x40b166d7, "ib_query_port" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0x94b748d5, "cxgb4_l2t_send" },
	{ 0x255ab30f, "cxgb_get_4tuple" },
	{ 0x3f5c27d1, "cxgb4_read_tpte" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xca7c7df2, "cxgb4_alloc_stid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xb37da2b5, "debugfs_create_file_size" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x551dfe26, "default_llseek" },
	{ 0x79a8edd6, "cxgb4_create_server_filter" },
	{ 0xdcb764ad, "memset" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0x73b0e3de, "rdma_nl_put_driver_u32_hex" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xdd5227d5, "cxgb4_ofld_send" },
	{ 0x944438ee, "tcp_parse_options" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x1f993373, "cxgb4_remove_tid" },
	{ 0x9798a0a6, "cxgb4_alloc_atid" },
	{ 0xbefa51a3, "gen_pool_add_owner" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xea01d142, "ib_dealloc_device" },
	{ 0x5ee26656, "cxgb4_alloc_sftid" },
	{ 0x99eabdf8, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x218521ff, "in_dev_finish_destroy" },
	{ 0x32f1e81b, "seq_read" },
	{ 0x86245834, "cxgb4_port_chan" },
	{ 0x426eff70, "neigh_destroy" },
	{ 0x404667b0, "dma_free_attrs" },
	{ 0xcd819a94, "cxgb4_dbfifo_count" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf1a5528, "cxgb4_unregister_uld" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x60ba97c, "gen_pool_free_owner" },
	{ 0x6df08b47, "cxgb4_free_stid" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x899fbd06, "seq_printf" },
	{ 0x2b593aa8, "gen_pool_alloc_algo_owner" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x8500f07e, "dst_release" },
	{ 0xa5c872a7, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x6b25ea18, "cxgb4_create_server6" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xec6e1f22, "ib_get_eth_speed" },
	{ 0xd0342df8, "ipv6_chk_addr" },
	{ 0xcb74520d, "param_ops_int" },
	{ 0x3466fede, "single_open" },
	{ 0x1d5aab80, "rdma_nl_put_driver_u64" },
	{ 0xe820ea6a, "debugfs_create_dir" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xa816f6fd, "cxgb4_l2t_release" },
	{ 0x60eadb7f, "cxgb4_clip_release" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xd948eaef, "ib_set_device_ops" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "cxgb4,ib_uverbs,ib_core,libcxgb,rdma_cm");


MODULE_INFO(srcversion, "04DEDAAEC3B64FC73D0769A");
