#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc528a49a, "queued_write_lock_slowpath" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x214a685d, "mlx5_eswitch_add_send_to_vport_rule" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9ebfd159, "mlx5_modify_header_alloc" },
	{ 0x85730c0d, "mlx5_dm_sw_icm_dealloc" },
	{ 0x9e3c49, "ib_umem_release" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb00eb881, "mlx5_db_free" },
	{ 0x6fdc0689, "mlx5_core_destroy_mkey" },
	{ 0xbe7fce93, "mlx5_eswitch_mode" },
	{ 0x532b7f6, "mlx5_cmd_check" },
	{ 0x680e3cfd, "__rdma_block_iter_start" },
	{ 0x60b73b66, "param_ops_uint" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x597181e5, "mlx5_rl_add_rate_raw" },
	{ 0xdf2c2742, "rb_last" },
	{ 0x80493af, "mlx5_lag_query_cong_counters" },
	{ 0x46a67c9d, "uverbs_get_flags32" },
	{ 0x29a4e23b, "mlx5_rsc_dump_cmd_create" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xdd65b252, "uverbs_idr_class" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xd1683865, "mlx5_core_destroy_psv" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x466a44a2, "mlx5_eq_enable" },
	{ 0xa85e04b7, "mlx5_flow_table_id" },
	{ 0x7cbcd528, "rdma_read_gid_l2_fields" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xca9360b5, "rb_next" },
	{ 0xdfa1f13e, "__ib_alloc_pd" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x3e4863b4, "mlx5_lag_get_next_peer_mdev" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xad6815cd, "mlx5_rsc_dump_cmd_destroy" },
	{ 0x3d65bd6d, "register_netdevice_notifier_dev_net" },
	{ 0xa6613056, "dma_unmap_page_attrs" },
	{ 0xe0cd2a31, "mlx5_query_nic_vport_qkey_viol_cntr" },
	{ 0xab62888d, "ib_modify_qp_is_ok" },
	{ 0xe02c9c92, "__xa_erase" },
	{ 0xd4636eb5, "mlx5_nic_vport_update_local_lb" },
	{ 0xcf2a6966, "up" },
	{ 0xc9820bd, "ww_mutex_unlock" },
	{ 0x61492bb7, "mlx5_rl_are_equal" },
	{ 0x5c6e2b0d, "mlx5_create_flow_group" },
	{ 0x10ab2424, "uverbs_uobject_fd_release" },
	{ 0x33986e5c, "debugfs_create_atomic_t" },
	{ 0xf0a8d04b, "mlx5_core_create_psv" },
	{ 0xcf98b120, "ib_umem_find_best_pgsz" },
	{ 0xf24d3896, "mlx5_core_modify_hca_vport_context" },
	{ 0x6c0687dd, "mlx5_rl_add_rate" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x3883c5e7, "mlx5_eq_update_ci" },
	{ 0x888a2246, "mlx5_create_auto_grouped_flow_table" },
	{ 0x188ea02, "mlx5_core_create_mkey" },
	{ 0x59bc2ade, "mlx5_cmd_do" },
	{ 0x4829a47e, "memcpy" },
	{ 0x8d37865, "mlx5_debug_qp_add" },
	{ 0x2e5352d2, "ib_sg_to_pages" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x61373fd2, "__rdma_block_iter_next" },
	{ 0x37a0cba, "kfree" },
	{ 0x538fa013, "mlx5_fc_create" },
	{ 0x6297d34c, "mlx5_cmd_out_err" },
	{ 0xf13bb367, "mlx5_core_create_rqt" },
	{ 0xb07e8bbf, "mlx5_query_hca_vport_node_guid" },
	{ 0x45701d71, "mlx5_core_query_vendor_id" },
	{ 0x9d09a2ce, "mlx5_modify_header_dealloc" },
	{ 0xd35a6d31, "mempool_kmalloc" },
	{ 0xeb12ccdf, "ib_umem_odp_alloc_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xbf36c2f7, "ib_process_cq_direct" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1d64e5c4, "mlx5_lag_is_mpesw" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x7b27a760, "uverbs_finalize_uobj_create" },
	{ 0x67155184, "get_device" },
	{ 0xeac67fc2, "mlx5_eswitch_get_encap_mode" },
	{ 0x6d0da09c, "mlx5_rsc_dump_next" },
	{ 0x94cfacdd, "ib_query_qp" },
	{ 0xd3354a6, "rdma_alloc_hw_stats_struct" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xa60d807, "_ib_alloc_device" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0x51469a87, "mlx5_debugfs_get_dev_root" },
	{ 0xedd890e5, "flow_resources_alloc" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0xb4ba2719, "mlx5_core_query_rq" },
	{ 0xd6a813bd, "mlx5_packet_reformat_dealloc" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xc708be1c, "ib_umem_odp_alloc_implicit" },
	{ 0x34070452, "dev_driver_string" },
	{ 0xda55cbcd, "ib_destroy_srq_user" },
	{ 0x6a037cf1, "mempool_kfree" },
	{ 0xea4d2949, "ib_unregister_device" },
	{ 0xbd5a5c17, "ib_find_cached_pkey" },
	{ 0xb4c63861, "dma_map_page_attrs" },
	{ 0x12ae9fe6, "auxiliary_driver_unregister" },
	{ 0x7ceeac9, "panic_notifier_list" },
	{ 0x302877e, "mlx5_cmd_exec" },
	{ 0x915d5b6d, "mlx5_eq_get_eqe" },
	{ 0x122c3a7e, "_printk" },
	{ 0x7ff618ad, "mlx5_core_dealloc_pd" },
	{ 0x11987c82, "mlx5_rdma_rn_get_params" },
	{ 0x1000e51, "schedule" },
	{ 0x2f0cd28a, "mlx5_wc_support_get" },
	{ 0xf079aef4, "ib_register_device" },
	{ 0x617c452b, "queued_read_lock_slowpath" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b9997fb, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x8619869e, "put_device" },
	{ 0xf82ec573, "rb_prev" },
	{ 0x605d5bfa, "cache_line_size" },
	{ 0x92d098a4, "mlx5_lag_mode_is_hash" },
	{ 0xc88f38b4, "mlx5_debug_qp_remove" },
	{ 0xbf0c8380, "pcie_relaxed_ordering_enabled" },
	{ 0x13326ef, "mlx5_eq_notifier_register" },
	{ 0x581e9a37, "__free_pages" },
	{ 0x30772fbf, "mlx5_core_create_tis" },
	{ 0xb6ca3929, "mlx5_nic_vport_affiliate_multiport" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0x47cfd825, "kstrtouint_from_user" },
	{ 0xc6cbbc89, "capable" },
	{ 0x2e6ada71, "mlx5_cmd_create_vport_lag" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x66e44194, "mlx5_query_min_inline" },
	{ 0xbf0af4c4, "mlx5_core_create_rq" },
	{ 0x58d2143f, "mlx5_eswitch_get_vport_metadata_for_match" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x5fd86a69, "mlx5_packet_reformat_alloc" },
	{ 0x800473f, "__cond_resched" },
	{ 0xc33a136b, "ib_create_srq_user" },
	{ 0x851ed9d1, "rdma_user_mmap_entry_remove" },
	{ 0x57b7e197, "_uverbs_get_const_unsigned" },
	{ 0xeb347bac, "unregister_netdevice_notifier_dev_net" },
	{ 0xb0a19a6a, "ib_dispatch_event" },
	{ 0xfeb343d1, "mempool_alloc_noprof" },
	{ 0xa3ed80eb, "vm_insert_page" },
	{ 0x77e622be, "mlx5_lag_is_shared_fdb" },
	{ 0x21008247, "ib_umem_odp_release" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x8737bb2f, "pci_clear_master" },
	{ 0xd461479d, "mlx5_query_nic_vport_system_image_guid" },
	{ 0x5ca10ce4, "__dma_sync_single_for_cpu" },
	{ 0x47924dbf, "mlx5_eswitch_unregister_vport_reps" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xe33abebc, "mlx5_notifier_register" },
	{ 0xf9a97682, "mlx5_core_create_cq" },
	{ 0x57bc19d2, "down_write" },
	{ 0x6d4b07ae, "mlx5_dm_sw_icm_alloc" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x5648fbba, "mlx5_is_roce_on" },
	{ 0xce807a25, "up_write" },
	{ 0x88fadcb5, "mlx5_lag_get_roce_netdev" },
	{ 0x89d0b1ea, "mlx5_add_flow_rules" },
	{ 0x2d938670, "simple_open" },
	{ 0xcc002b85, "mlx5_destroy_flow_table" },
	{ 0x55b3c60d, "mlx5_eswitch_uplink_get_proto_dev" },
	{ 0xecd8594d, "mlx5_get_flow_namespace" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x96eb2c99, "mlx5_fc_id" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x304cf462, "ib_umem_odp_get" },
	{ 0x6626afca, "down" },
	{ 0xf7736190, "mlx5_query_port_ptys" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xde24de12, "ib_umem_get" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb4017741, "mlx5_cmd_init_async_ctx" },
	{ 0xa83b4362, "mlx5_eq_create_generic" },
	{ 0x6f8706be, "mlx5_put_uars_page" },
	{ 0xd2a36f35, "mlx5_cmd_query_cong_counter" },
	{ 0x603e9a18, "mlx5_lag_get_slave_port" },
	{ 0xb1f4043f, "ib_umem_dmabuf_map_pages" },
	{ 0xe4a10218, "mlx5_get_uars_page" },
	{ 0x495eed8e, "debugfs_remove" },
	{ 0xfd5facf5, "mlx5_query_ib_port_oper" },
	{ 0x40b166d7, "ib_query_port" },
	{ 0xf8125e2c, "__ib_alloc_cq" },
	{ 0x79bb530e, "mlx5_query_nic_vport_node_guid" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0xc3f628d8, "ww_mutex_lock" },
	{ 0xd1a4edc4, "mlx5_set_port_caps" },
	{ 0x38135185, "rdma_user_mmap_entry_get_pgoff" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x589cd5aa, "mlx5_comp_eqn_put_low" },
	{ 0xafc29d8e, "mlx5_del_flow_rules" },
	{ 0xee3ca5a8, "ib_umem_odp_unmap_dma_pages" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xa28a3b38, "mlx5_core_modify_sq" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0xc2eeaab5, "ib_umem_dmabuf_get" },
	{ 0xf331d92b, "mlx5_query_hca_vport_system_image_guid" },
	{ 0xa330240f, "mlx5_core_query_sq_state" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x84926888, "debugfs_create_ulong" },
	{ 0xbb74ee28, "mlx5_core_query_vport_counter" },
	{ 0xfe77cc18, "ib_uverbs_get_ucontext_file" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0x5e6748b, "__ib_create_cq" },
	{ 0xf9dca3f9, "mlx5_query_port_max_mtu" },
	{ 0xc655be5, "ib_destroy_qp_user" },
	{ 0xcb09c61c, "_uverbs_get_const_signed" },
	{ 0x8a828656, "mlx5_query_hca_vport_gid" },
	{ 0x87dfbb6d, "mlx5_frag_buf_free" },
	{ 0x936ad65b, "mlx5_nic_vport_disable_roce" },
	{ 0xf835836e, "uverbs_fd_class" },
	{ 0xc92a6a38, "mlx5_comp_irqn_get" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x20a19047, "mlx5_notifier_unregister" },
	{ 0xdcb764ad, "memset" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0xe5ad0cad, "mlx5_create_lag_demux_flow_table" },
	{ 0x3312177d, "mlx5_cmd_exec_cb" },
	{ 0xf4d5e5ed, "mlx5_lag_get_num_ports" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x52ee6c51, "mlx5_rl_remove_rate" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x4419dde5, "debugfs_create_u32" },
	{ 0xa5e52a9d, "mlx5_eswitch_register_vport_reps" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x6efad164, "mlx5_core_modify_cq" },
	{ 0xece784c2, "rb_first" },
	{ 0xe6ad8054, "mlx5_eswitch_vport_match_metadata_enabled" },
	{ 0xea01d142, "ib_dealloc_device" },
	{ 0x94a88aab, "mlx5_blocking_notifier_unregister" },
	{ 0x213f5989, "mlx5_fc_query" },
	{ 0x7b4b5942, "ib_destroy_cq_user" },
	{ 0xa41f9449, "rdma_user_mmap_io" },
	{ 0x99eabdf8, "skb_trim" },
	{ 0xd667103, "__mmdrop" },
	{ 0xa0ebc08, "__xa_cmpxchg" },
	{ 0xbdc1cb98, "ib_modify_qp" },
	{ 0x9d272ff9, "mlx5_eswitch_get_core_dev" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7f7f7bb4, "irq_poll_disable" },
	{ 0x29d3361e, "rdma_user_mmap_entry_insert_range" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0x2e45b030, "ib_umem_dmabuf_get_pinned" },
	{ 0xe5840ec6, "ib_wc_status_msg" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0xe169d4f5, "ib_umem_dmabuf_unmap_pages" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x4b57c66c, "mlx5_eswitch_get_proto_dev" },
	{ 0x13107c3a, "debugfs_create_file" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x7fb32d3b, "uverbs_copy_to_struct_or_zero" },
	{ 0x7181db30, "atomic_notifier_chain_unregister" },
	{ 0xcfb3f7a3, "ib_uverbs_flow_resources_free" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x83ffc46, "ib_umem_odp_map_dma_and_lock" },
	{ 0x2213aa1f, "mempool_create_node_noprof" },
	{ 0xbcf6f7cb, "ib_free_cq" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9db8ccf5, "mlx5_eq_notifier_unregister" },
	{ 0xb86b2802, "mlx5_comp_eqn_get" },
	{ 0xff0a821d, "mlx5_query_port_vl_hw_cap" },
	{ 0x698b966, "__dma_sync_single_for_device" },
	{ 0xabca015a, "mlx5_query_hca_vport_pkey" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xa0a5a69a, "mlx5_core_uplink_netdev_event_replay" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x89e1838d, "mlx5_frag_buf_alloc_node" },
	{ 0xa3b7f5ee, "netdev_master_upper_dev_get_rcu" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x75351a76, "netdev_master_upper_dev_get" },
	{ 0x9dee4869, "_uverbs_alloc" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x29a79f5c, "mlx5_fc_destroy" },
	{ 0x56470118, "__warn_printk" },
	{ 0x256aba90, "mlx5_lag_is_master" },
	{ 0xc486ae1a, "mlx5_nic_vport_unaffiliate_multiport" },
	{ 0x5b3e282f, "xa_store" },
	{ 0x2c644d58, "mlx5_query_hca_vport_context" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x231fcad7, "ib_query_pkey" },
	{ 0x7290739a, "uverbs_uobject_put" },
	{ 0x5348d243, "mlx5_core_roce_gid_set" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x15ac6858, "mlx5_comp_eqn_get_low" },
	{ 0xb633f115, "irq_poll_enable" },
	{ 0xb078d414, "mlx5_query_port_oper_mtu" },
	{ 0xe6a1cea8, "mlx5_nic_vport_enable_roce" },
	{ 0x6dad8843, "ib_port_immutable_read" },
	{ 0x557d1823, "alloc_pages_noprof" },
	{ 0xd829aea4, "ib_create_qp_kernel" },
	{ 0x258c9df8, "uverbs_copy_to" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xca9beaa4, "__xa_store" },
	{ 0x2a72487f, "mlx5_blocking_notifier_register" },
	{ 0x6247bb20, "flow_resources_add" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x53cdea34, "mlx5_core_modify_rq" },
	{ 0xb2b0c69d, "mlx5_core_query_mkey" },
	{ 0x5e9bb2e, "__auxiliary_driver_register" },
	{ 0x2399c9e3, "mlx5_db_alloc_node" },
	{ 0xd6c93f61, "rdma_nl_stat_hwcounter_entry" },
	{ 0x6c3c3dc, "_dev_crit" },
	{ 0xaf0ddf09, "uverbs_destroy_def_handler" },
	{ 0x2fc53cb1, "mlx5_qp_debugfs_init" },
	{ 0xba299095, "ib_dealloc_pd_user" },
	{ 0xbcc0053f, "mlx5_core_modify_tis" },
	{ 0xf4922a24, "mlx5_core_mp_event_replay" },
	{ 0x386fecbf, "mlx5_comp_vectors_max" },
	{ 0x3a0488e0, "mlx5_create_cq" },
	{ 0xfaf13615, "rdma_port_get_link_layer" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xb470052b, "mlx5_eswitch_get_total_vports" },
	{ 0x866f71b6, "mlx5_core_destroy_cq" },
	{ 0x9f79f95a, "mlx5_core_reserved_gids_count" },
	{ 0xc38fdfec, "mlx5_debugfs_root" },
	{ 0xa7cdb96f, "mlx5_core_modify_cq_moderation" },
	{ 0xaac11356, "ib_umem_copy_from" },
	{ 0x2151991b, "_dev_printk" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xc4492a8e, "mlx5_qp_debugfs_cleanup" },
	{ 0xfe624aa9, "mlx5_eq_disable" },
	{ 0x922f35cb, "mlx5_cmd_cleanup_async_ctx" },
	{ 0xe820ea6a, "debugfs_create_dir" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x23bb3f50, "mlx5_create_flow_table" },
	{ 0x5359e8dc, "__kvmalloc_node_noprof" },
	{ 0x7c985eda, "mlx5_rl_remove_rate_raw" },
	{ 0x55ebd73, "rdma_roce_rescan_device" },
	{ 0xb28dbbe8, "mlx5_destroy_flow_group" },
	{ 0xf7ae95bb, "mlx5_alloc_bfreg" },
	{ 0x82744e18, "mlx5_eq_destroy_generic" },
	{ 0xdc8b73d9, "rdma_nl_put_driver_string" },
	{ 0xb361f8ce, "mlx5_lag_is_active" },
	{ 0xdc8d6ef5, "mlx5_free_bfreg" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0xa1e1ec57, "mlx5_cmd_destroy_vport_lag" },
	{ 0xd948eaef, "ib_set_device_ops" },
	{ 0x771b744e, "rdma_user_mmap_entry_put" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa1f3e50, "mlx5_core_access_reg" },
	{ 0x72460c4, "mlx5_fill_page_frag_array" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "mlx5_core,ib_uverbs,ib_core");

MODULE_ALIAS("auxiliary:mlx5_core.rdma-rep");
MODULE_ALIAS("auxiliary:mlx5_core.multiport");
MODULE_ALIAS("auxiliary:mlx5_core.rdma");

MODULE_INFO(srcversion, "65703369A0696BCFA09C0F9");
