#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ipoib_get_netdev_pkey, "", "");

SYMBOL_CRC(ipoib_get_netdev_pkey, 0xa6eecc8e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x859f2f5a, "dev_set_mtu" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x1bf9f269, "ib_unregister_client" },
	{ 0x4455aa76, "icmp6_send" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x68345f99, "ib_init_ah_attr_from_path" },
	{ 0xc2af5a6, "skb_put" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x9620b006, "ib_set_vf_guid" },
	{ 0xe712cab5, "netdev_update_features" },
	{ 0xbdc26b3b, "netif_napi_add_weight" },
	{ 0xe600abbd, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x49ee7ce3, "unregister_netdev" },
	{ 0x87ef83ff, "skb_dequeue" },
	{ 0xca9360b5, "rb_next" },
	{ 0xdfa1f13e, "__ib_alloc_pd" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xa6613056, "dma_unmap_page_attrs" },
	{ 0xeb16b253, "rtnl_link_register" },
	{ 0xc86f5cb, "ib_sa_register_client" },
	{ 0xaa783c17, "dev_trans_start" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1f546ffa, "rdma_query_gid" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x5b66fa60, "seq_lseek" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x46fb0ede, "dev_kfree_skb_irq_reason" },
	{ 0x901df804, "ib_cm_listen" },
	{ 0x12e92ab7, "__netif_napi_del" },
	{ 0x77a07d84, "unregister_netdevice_queue" },
	{ 0xab51646b, "ib_get_vf_config" },
	{ 0x94cfacdd, "ib_query_qp" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xf6cc8099, "netif_tx_unlock" },
	{ 0xfd813f9a, "ib_destroy_cm_id" },
	{ 0xbe14473c, "__dev_get_by_name" },
	{ 0xf2411a70, "ib_find_gid" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x34070452, "dev_driver_string" },
	{ 0x8d97abff, "rdma_create_ah" },
	{ 0x8fe7fc51, "dev_addr_mod" },
	{ 0xda55cbcd, "ib_destroy_srq_user" },
	{ 0xbd5a5c17, "ib_find_cached_pkey" },
	{ 0xb4c63861, "dma_map_page_attrs" },
	{ 0xdb5b677b, "napi_complete_done" },
	{ 0xca0eee00, "alloc_netdev_mqs" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xc037dde3, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6f7d2f61, "__napi_schedule" },
	{ 0xb102f136, "ib_register_event_handler" },
	{ 0x8c26520d, "ib_detach_mcast" },
	{ 0xa916b694, "strnlen" },
	{ 0x6059b5a9, "ib_sa_get_mcmember_rec" },
	{ 0x82b3b4aa, "ib_unregister_event_handler" },
	{ 0xecb7ae28, "napi_gro_receive" },
	{ 0xc5655f23, "ib_get_vf_guid" },
	{ 0xc6cbbc89, "capable" },
	{ 0x136711a4, "skb_queue_tail" },
	{ 0xda0d50ec, "ib_sa_cancel_query" },
	{ 0x830a5a81, "ib_register_client" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xc33a136b, "ib_create_srq_user" },
	{ 0x9818813d, "device_create_file" },
	{ 0x54c1c1f5, "ib_sa_path_rec_get" },
	{ 0xb0ef77dc, "ib_create_cm_id" },
	{ 0x439ce33c, "ib_sa_unregister_client" },
	{ 0x5ca10ce4, "__dma_sync_single_for_cpu" },
	{ 0xa247b83b, "__dev_get_by_index" },
	{ 0x8241aab5, "rtnl_link_unregister" },
	{ 0xc8d305f0, "rdma_destroy_ah_attr" },
	{ 0x7709f24c, "ib_set_client_data" },
	{ 0x57bc19d2, "down_write" },
	{ 0x8832e62a, "rdma_alloc_netdev" },
	{ 0x7ee7ac5d, "init_net" },
	{ 0xce807a25, "up_write" },
	{ 0x939afdd4, "inet_confirm_addr" },
	{ 0xb6476d61, "skb_pull" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x82013be2, "netif_set_real_num_tx_queues" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x2eadb402, "netif_set_real_num_rx_queues" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x9f43a51d, "netdev_printk" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbfe0703a, "skb_push" },
	{ 0x495eed8e, "debugfs_remove" },
	{ 0xad0c171b, "napi_enable" },
	{ 0x40b166d7, "ib_query_port" },
	{ 0x6f2c2cc6, "seq_putc" },
	{ 0xf24849a9, "netif_receive_skb" },
	{ 0x449bdbb3, "ib_send_cm_rep" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0x1ca4f351, "register_netdev" },
	{ 0x9166fada, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x2e9d1dca, "free_netdev" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xfb7b1730, "ethtool_op_get_link" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x5e6748b, "__ib_create_cq" },
	{ 0x11089ac7, "_ctype" },
	{ 0xc655be5, "ib_destroy_qp_user" },
	{ 0x69f2e923, "netif_tx_wake_queue" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x387c8481, "ib_cm_init_qp_attr" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x242444b1, "ib_get_vf_stats" },
	{ 0xdcb764ad, "memset" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0xbce6a396, "ib_send_cm_drep" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xa86fbee8, "__pskb_pull_tail" },
	{ 0x9e9af7c7, "netif_tx_lock" },
	{ 0xece784c2, "rb_first" },
	{ 0xe7c033ff, "rdma_destroy_ah_user" },
	{ 0x5409cff7, "__netdev_alloc_skb" },
	{ 0x4e90435c, "ib_sa_free_multicast" },
	{ 0xdb8258, "ib_get_device_fw_str" },
	{ 0x7b4b5942, "ib_destroy_cq_user" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xbdc1cb98, "ib_modify_qp" },
	{ 0x7fe32873, "rb_replace_node" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x4841bdee, "strnchr" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8933ac5a, "netdev_walk_all_upper_dev_rcu" },
	{ 0x32f1e81b, "seq_read" },
	{ 0x218521ff, "in_dev_finish_destroy" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x42e1d441, "__icmp_send" },
	{ 0x13107c3a, "debugfs_create_file" },
	{ 0xeacf0ae1, "__dev_queue_xmit" },
	{ 0x999e8297, "vfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x698b966, "__dma_sync_single_for_device" },
	{ 0xa3b7f5ee, "netdev_master_upper_dev_get_rcu" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc9ad94d3, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x899fbd06, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x231fcad7, "ib_query_pkey" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x8500f07e, "dst_release" },
	{ 0xaa985d4e, "netif_carrier_on" },
	{ 0x9dc1538c, "rdma_set_cq_moderation" },
	{ 0xc0d4e0a0, "ib_send_cm_rtu" },
	{ 0x32844c58, "arp_tbl" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x557d1823, "alloc_pages_noprof" },
	{ 0x3fea1f18, "ib_send_cm_req" },
	{ 0xd829aea4, "ib_create_qp_kernel" },
	{ 0xc9a9d35d, "ib_sa_join_multicast" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x2e842b42, "rdma_init_netdev" },
	{ 0xba299095, "ib_dealloc_pd_user" },
	{ 0x74af89c1, "seq_open" },
	{ 0x2566911e, "ib_find_pkey" },
	{ 0xd0342df8, "ipv6_chk_addr" },
	{ 0x3f5b1bc9, "ib_set_vf_link_state" },
	{ 0xc25a42ab, "napi_schedule_prep" },
	{ 0x98cf60b3, "strlen" },
	{ 0xdb763fe2, "napi_disable" },
	{ 0xd7c7d5c, "dev_kfree_skb_any_reason" },
	{ 0xcb74520d, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xcf3b69b3, "netdev_stats_to_stats64" },
	{ 0xe820ea6a, "debugfs_create_dir" },
	{ 0xccaec031, "ib_attach_mcast" },
	{ 0x5359e8dc, "__kvmalloc_node_noprof" },
	{ 0xfea5c8f4, "dev_change_flags" },
	{ 0x53b954a2, "up_read" },
	{ 0xf9a482f9, "msleep" },
	{ 0x955838a3, "ib_send_cm_rej" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0xf80a3ec7, "device_remove_file" },
	{ 0x6c183078, "ib_rate_to_mbps" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xec0e8314, "register_netdevice" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "ib_core,ib_cm");


MODULE_INFO(srcversion, "792049B779B70FB6872A2BE");
