#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf3fafdad, "target_register_template" },
	{ 0x830a5a81, "ib_register_client" },
	{ 0x30231c7c, "target_unregister_template" },
	{ 0x72fd6a2e, "ib_modify_port" },
	{ 0xa9467bec, "ib_unregister_mad_agent" },
	{ 0xdcb764ad, "memset" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xa6257a2f, "complete" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x37a0cba, "kfree" },
	{ 0x28120a4, "__sbitmap_queue_get" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xea3c8e4e, "scsilun_to_int" },
	{ 0xd92e1bb6, "target_submit_tmr" },
	{ 0xe9fbbb72, "rdma_notify" },
	{ 0xb395fd2c, "ib_cm_notify" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x7ee7ac5d, "init_net" },
	{ 0x42cedb2c, "__rdma_create_kernel_id" },
	{ 0xa459d8e, "rdma_bind_addr" },
	{ 0xb986c2a9, "rdma_listen" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x7248d2d6, "rdma_destroy_id" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x98cf60b3, "strlen" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x8a794e52, "target_put_sess_cmd" },
	{ 0xdf1ada8e, "target_execute_cmd" },
	{ 0xe2c5e37f, "rdma_rw_ctx_wrs" },
	{ 0x1bf9f269, "ib_unregister_client" },
	{ 0x81ab511d, "transport_generic_free_cmd" },
	{ 0x5acd61a4, "transport_generic_request_failure" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbdc1cb98, "ib_modify_qp" },
	{ 0x387c8481, "ib_cm_init_qp_attr" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x74a0fedd, "sbitmap_queue_clear" },
	{ 0xfd2c505d, "rdma_rw_ctx_destroy" },
	{ 0x5bdb610a, "target_free_sgl" },
	{ 0x5b8d4bdb, "kmem_cache_size" },
	{ 0xa6613056, "dma_unmap_page_attrs" },
	{ 0xbc037f7, "kmem_cache_free" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xe7c033ff, "rdma_destroy_ah_user" },
	{ 0xe26b121, "ib_free_send_mad" },
	{ 0xda55cbcd, "ib_destroy_srq_user" },
	{ 0x309989e7, "kmem_cache_destroy" },
	{ 0xfd8127d5, "core_tpg_deregister" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x13b6545d, "target_stop_session" },
	{ 0x740197d8, "target_wait_for_sess_cmds" },
	{ 0xb9ced788, "target_remove_session" },
	{ 0xfd813f9a, "ib_destroy_cm_id" },
	{ 0xc655be5, "ib_destroy_qp_user" },
	{ 0xbc0a7127, "ib_cq_pool_put" },
	{ 0x4829a47e, "memcpy" },
	{ 0x698b966, "__dma_sync_single_for_device" },
	{ 0x5359e8dc, "__kvmalloc_node_noprof" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xb4c63861, "dma_map_page_attrs" },
	{ 0xd235061c, "kmem_cache_alloc_noprof" },
	{ 0x34070452, "dev_driver_string" },
	{ 0xc33a136b, "ib_create_srq_user" },
	{ 0x3494ac55, "kmem_cache_create" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x36294f7c, "core_tpg_register" },
	{ 0x43d9a7de, "rdma_create_qp" },
	{ 0x428fa6b3, "ib_cq_pool_get" },
	{ 0xd829aea4, "ib_create_qp_kernel" },
	{ 0xbd5a5c17, "ib_find_cached_pkey" },
	{ 0x74778e67, "ib_send_cm_dreq" },
	{ 0x9281962c, "rdma_disconnect" },
	{ 0xbce6a396, "ib_send_cm_drep" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x82b3b4aa, "ib_unregister_event_handler" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x7709f24c, "ib_set_client_data" },
	{ 0xba299095, "ib_dealloc_pd_user" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe1a60205, "inet_pton_with_scope" },
	{ 0xaefbcacd, "target_alloc_sgl" },
	{ 0x59a465a8, "rdma_rw_ctx_init" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x586a40bd, "target_send_busy" },
	{ 0x48f48a45, "target_init_cmd" },
	{ 0x989e39bf, "target_submit_prep" },
	{ 0x404147ad, "target_submit" },
	{ 0x5ca10ce4, "__dma_sync_single_for_cpu" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x3a5b5d3a, "ib_create_ah_from_wc" },
	{ 0xbe54d954, "ib_create_send_mad" },
	{ 0xd89c9131, "ib_post_send_mad" },
	{ 0xe3d9a0b, "ib_free_recv_mad" },
	{ 0x40b166d7, "ib_query_port" },
	{ 0x1f546ffa, "rdma_query_gid" },
	{ 0xad727827, "ib_register_mad_agent" },
	{ 0xdfa1f13e, "__ib_alloc_pd" },
	{ 0xfaf13615, "rdma_port_get_link_layer" },
	{ 0x901df804, "ib_cm_listen" },
	{ 0xb0ef77dc, "ib_create_cm_id" },
	{ 0xb102f136, "ib_register_event_handler" },
	{ 0xd8a37994, "rdma_reject" },
	{ 0x955838a3, "ib_send_cm_rej" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xe819ddcb, "target_setup_session" },
	{ 0x90512220, "rdma_accept" },
	{ 0x449bdbb3, "ib_send_cm_rep" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xcb74520d, "param_ops_int" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "target_core_mod,ib_core,rdma_cm,ib_cm");


MODULE_INFO(srcversion, "93D2306A30FCCD928C77BBE");
