#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa733da49, "i2c_register_driver" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x562689dd, "i2c_transfer" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x86f6553b, "input_event" },
	{ 0x63258ba3, "input_mt_report_slot_state" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x11f75d2, "device_property_present" },
	{ 0xd80f18f2, "device_property_read_u32_array" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0x1641a478, "i2c_del_driver" },
	{ 0xac53e259, "gpiod_set_value" },
	{ 0xf9a482f9, "msleep" },
	{ 0xd40f97f4, "irq_get_irq_data" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x37a0cba, "kfree" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x4829a47e, "memcpy" },
	{ 0x36e784a6, "i2c_transfer_buffer_flags" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x14ea756b, "input_device_enabled" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0xb88825d, "input_unregister_device" },
	{ 0x36d5dce6, "regulator_bulk_disable" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0x6f23486d, "input_allocate_device" },
	{ 0x270e3fa7, "input_set_capability" },
	{ 0x92ec28ad, "input_set_abs_params" },
	{ 0x2ba7f5b, "input_mt_init_slots" },
	{ 0x44a18989, "input_register_device" },
	{ 0xf92a031b, "input_alloc_absinfo" },
	{ 0xd5bb24ad, "input_free_device" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x45f953f8, "input_mt_report_pointer_emulation" },
	{ 0xa6257a2f, "complete" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xdcb764ad, "memset" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0x5a921311, "strncmp" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xd7ff39d2, "request_firmware_nowait" },
	{ 0xb86e9579, "is_acpi_device_node" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x31565f22, "devm_regulator_bulk_get" },
	{ 0xe807266f, "devm_gpiod_get_optional" },
	{ 0x4c55545d, "devm_request_threaded_irq" },
	{ 0x6d6b21f3, "regulator_bulk_enable" },
	{ 0x8dceb523, "request_firmware" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("i2c:qt602240_ts");
MODULE_ALIAS("i2c:atmel_mxt_ts");
MODULE_ALIAS("i2c:atmel_mxt_tp");
MODULE_ALIAS("i2c:maxtouch");
MODULE_ALIAS("i2c:mXT224");
MODULE_ALIAS("acpi*:ATML0000:*");
MODULE_ALIAS("acpi*:ATML0001:*");
MODULE_ALIAS("of:N*T*Catmel,maxtouch");
MODULE_ALIAS("of:N*T*Catmel,maxtouchC*");
MODULE_ALIAS("of:N*T*Catmel,qt602240_ts");
MODULE_ALIAS("of:N*T*Catmel,qt602240_tsC*");
MODULE_ALIAS("of:N*T*Catmel,atmel_mxt_ts");
MODULE_ALIAS("of:N*T*Catmel,atmel_mxt_tsC*");
MODULE_ALIAS("of:N*T*Catmel,atmel_mxt_tp");
MODULE_ALIAS("of:N*T*Catmel,atmel_mxt_tpC*");
MODULE_ALIAS("of:N*T*Catmel,mXT224");
MODULE_ALIAS("of:N*T*Catmel,mXT224C*");

MODULE_INFO(srcversion, "41DDD102C0E8016C2469ECD");
