#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa733da49, "i2c_register_driver" },
	{ 0x58ff94b1, "i2c_smbus_write_byte_data" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x7053a53f, "firmware_request_nowarn" },
	{ 0x27350abb, "i2c_smbus_write_i2c_block_data" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0xb4b27579, "firmware_request_platform" },
	{ 0xd80f18f2, "device_property_read_u32_array" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xdcb764ad, "memset" },
	{ 0x72b94a05, "i2c_smbus_read_i2c_block_data" },
	{ 0x86f6553b, "input_event" },
	{ 0xc111dfd7, "input_mt_sync_frame" },
	{ 0xcf9b558d, "touchscreen_set_mt_pos" },
	{ 0xe018eca2, "input_mt_assign_slots" },
	{ 0x63258ba3, "input_mt_report_slot_state" },
	{ 0x36d5dce6, "regulator_bulk_disable" },
	{ 0xb86e9579, "is_acpi_device_node" },
	{ 0xdbe6aea9, "acpi_match_device" },
	{ 0x11089ac7, "_ctype" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa916b694, "strnlen" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x1e80e994, "devm_input_allocate_device" },
	{ 0x92ec28ad, "input_set_abs_params" },
	{ 0x4fff5631, "touchscreen_parse_properties" },
	{ 0x2ba7f5b, "input_mt_init_slots" },
	{ 0x11f75d2, "device_property_present" },
	{ 0x44a18989, "input_register_device" },
	{ 0x270e3fa7, "input_set_capability" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xf92a031b, "input_alloc_absinfo" },
	{ 0x1641a478, "i2c_del_driver" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x6d627a58, "gpiod_set_value_cansleep" },
	{ 0xf9a482f9, "msleep" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0xd7094a04, "__pm_runtime_set_status" },
	{ 0xf693587e, "pm_runtime_enable" },
	{ 0x2454ddca, "pm_runtime_allow" },
	{ 0x827d8a32, "__pm_runtime_suspend" },
	{ 0x6e42fcb2, "pm_runtime_forbid" },
	{ 0x568d4681, "__pm_runtime_disable" },
	{ 0x55e06866, "i2c_client_get_device_id" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0x379cc63e, "device_property_read_string" },
	{ 0x31565f22, "devm_regulator_bulk_get" },
	{ 0x6d6b21f3, "regulator_bulk_enable" },
	{ 0xfe1f1c42, "__devm_add_action" },
	{ 0xe807266f, "devm_gpiod_get_optional" },
	{ 0x4c55545d, "devm_request_threaded_irq" },
	{ 0x92f2a8c, "dev_err_probe" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("of:N*T*Csilead,gsl1680");
MODULE_ALIAS("of:N*T*Csilead,gsl1680C*");
MODULE_ALIAS("of:N*T*Csilead,gsl1688");
MODULE_ALIAS("of:N*T*Csilead,gsl1688C*");
MODULE_ALIAS("of:N*T*Csilead,gsl3670");
MODULE_ALIAS("of:N*T*Csilead,gsl3670C*");
MODULE_ALIAS("of:N*T*Csilead,gsl3675");
MODULE_ALIAS("of:N*T*Csilead,gsl3675C*");
MODULE_ALIAS("of:N*T*Csilead,gsl3692");
MODULE_ALIAS("of:N*T*Csilead,gsl3692C*");
MODULE_ALIAS("acpi*:GSL1680:*");
MODULE_ALIAS("acpi*:GSL1688:*");
MODULE_ALIAS("acpi*:GSL3670:*");
MODULE_ALIAS("acpi*:GSL3675:*");
MODULE_ALIAS("acpi*:GSL3692:*");
MODULE_ALIAS("acpi*:MSSL1680:*");
MODULE_ALIAS("acpi*:MSSL0001:*");
MODULE_ALIAS("acpi*:MSSL0002:*");
MODULE_ALIAS("acpi*:MSSL0017:*");
MODULE_ALIAS("i2c:gsl1680");
MODULE_ALIAS("i2c:gsl1688");
MODULE_ALIAS("i2c:gsl3670");
MODULE_ALIAS("i2c:gsl3675");
MODULE_ALIAS("i2c:gsl3692");
MODULE_ALIAS("i2c:mssl1680");

MODULE_INFO(srcversion, "C985B7C4C42603B7C5CF641");
