#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x158a5fd3, "register_md_personality" },
	{ 0x37a0cba, "kfree" },
	{ 0xc50dde03, "md_bitmap_endwrite" },
	{ 0x7e3c49e9, "md_write_end" },
	{ 0x679c6b91, "bio_free_pages" },
	{ 0xd43cb3a, "bio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe2964344, "__wake_up" },
	{ 0x525943c4, "bio_alloc_clone" },
	{ 0xce076101, "bio_trim" },
	{ 0xfdd593c1, "submit_bio_wait" },
	{ 0x1ccf2ce9, "rdev_set_badblocks" },
	{ 0x95e89a6c, "md_bitmap_resize" },
	{ 0x4491a8a3, "md_set_array_sectors" },
	{ 0x7d8220e8, "mddev_stack_new_rdev" },
	{ 0x899fbd06, "seq_printf" },
	{ 0xdcb764ad, "memset" },
	{ 0x36370808, "md_init_stacking_limits" },
	{ 0xf176c274, "mddev_stack_rdev_limits" },
	{ 0x9f292093, "queue_limits_set" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe91b8348, "unregister_md_personality" },
	{ 0x35b8003b, "md_error" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xbb9c0973, "__put_devmap_managed_folio_refs" },
	{ 0xa873d5b5, "__folio_put" },
	{ 0x4e671beb, "dump_page" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0xca9360b5, "rb_next" },
	{ 0x62c09e40, "badblocks_check" },
	{ 0x53be0507, "md_bitmap_unplug_async" },
	{ 0x1901b718, "bio_associate_blkg" },
	{ 0x600e6eee, "submit_bio_noacct" },
	{ 0x800473f, "__cond_resched" },
	{ 0x287318b1, "bio_endio" },
	{ 0x102f58d7, "md_bitmap_unplug" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0x680667d2, "bio_uninit" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xfeb343d1, "mempool_alloc_noprof" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1000e51, "schedule" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xff6fb696, "md_wakeup_thread" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xed30eb5e, "blk_start_plug" },
	{ 0x8ea9edee, "blk_finish_plug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xdb62c9ae, "kernfs_notify" },
	{ 0x122c3a7e, "_printk" },
	{ 0x9db268d3, "__blk_trace_note_message" },
	{ 0xee45e1cc, "md_integrity_register" },
	{ 0x5c6207d3, "md_cluster_ops" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x38e46431, "mempool_exit" },
	{ 0x8349818b, "bioset_exit" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xe00db6dc, "__tracepoint_block_bio_remap" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xbdb4fc9d, "__traceiter_block_bio_remap" },
	{ 0x7475e266, "bio_split" },
	{ 0x874dd544, "bio_chain" },
	{ 0x36b50566, "md_account_bio" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xf2d95916, "mempool_init_noprof" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5ef57105, "sysfs_remove_link" },
	{ 0xed35c0dc, "sysfs_create_link" },
	{ 0x18195903, "md_allow_write" },
	{ 0x8f83e2b4, "md_done_sync" },
	{ 0x8856e074, "md_bitmap_end_sync" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0xd8d77e1f, "sync_page_io" },
	{ 0x557d1823, "alloc_pages_noprof" },
	{ 0xae4eb2fd, "bioset_init" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xbf3c312a, "md_register_thread" },
	{ 0x7cffd853, "md_unregister_thread" },
	{ 0xd97e0d07, "bio_alloc_bioset" },
	{ 0xef377c83, "bio_add_page" },
	{ 0xb407b7c6, "bio_copy_data" },
	{ 0x4fc14926, "md_bitmap_start_sync" },
	{ 0xdfe4bd75, "md_bitmap_cond_end_sync" },
	{ 0x4661bd34, "bio_reset" },
	{ 0x379897b7, "md_bitmap_close_sync" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0xf847c0d4, "__bio_add_page" },
	{ 0x99498165, "rdev_clear_badblocks" },
	{ 0x727338f6, "bio_init" },
	{ 0xaab3347, "bio_kmalloc" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xab595612, "md_check_recovery" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x2168c00c, "md_bitmap_startwrite" },
	{ 0x20761276, "md_wait_for_blocked_rdev" },
	{ 0xd27b25dd, "blk_check_plugged" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x6ecfbf0d, "md_write_start" },
	{ 0x77278a7f, "md_flush_request" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2BC23E23EA340A804EA99F1");
