#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(media_device_register_entity, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister_entity, "_gpl", "");
KSYMTAB_FUNC(media_device_init, "_gpl", "");
KSYMTAB_FUNC(media_device_cleanup, "_gpl", "");
KSYMTAB_FUNC(__media_device_register, "_gpl", "");
KSYMTAB_FUNC(media_device_register_entity_notify, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister_entity_notify, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister, "_gpl", "");
KSYMTAB_FUNC(media_device_pci_init, "_gpl", "");
KSYMTAB_FUNC(__media_device_usb_init, "_gpl", "");
KSYMTAB_FUNC(media_entity_enum_init, "_gpl", "");
KSYMTAB_FUNC(media_entity_enum_cleanup, "_gpl", "");
KSYMTAB_FUNC(media_entity_pads_init, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_init, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_cleanup, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_start, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_next, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_alloc_start, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_pad_iter_next, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_entity_iter_init, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_entity_iter_cleanup, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_entity_iter_next, "_gpl", "");
KSYMTAB_FUNC(media_get_pad_index, "_gpl", "");
KSYMTAB_FUNC(media_create_pad_link, "_gpl", "");
KSYMTAB_FUNC(media_create_pad_links, "_gpl", "");
KSYMTAB_FUNC(__media_entity_remove_links, "_gpl", "");
KSYMTAB_FUNC(media_entity_remove_links, "_gpl", "");
KSYMTAB_FUNC(__media_entity_setup_link, "_gpl", "");
KSYMTAB_FUNC(media_entity_setup_link, "_gpl", "");
KSYMTAB_FUNC(media_entity_find_link, "_gpl", "");
KSYMTAB_FUNC(media_pad_remote_pad_first, "_gpl", "");
KSYMTAB_FUNC(media_entity_remote_pad_unique, "_gpl", "");
KSYMTAB_FUNC(media_pad_remote_pad_unique, "_gpl", "");
KSYMTAB_FUNC(media_entity_get_fwnode_pad, "_gpl", "");
KSYMTAB_FUNC(media_entity_pipeline, "_gpl", "");
KSYMTAB_FUNC(media_pad_pipeline, "_gpl", "");
KSYMTAB_FUNC(media_devnode_create, "_gpl", "");
KSYMTAB_FUNC(media_devnode_remove, "_gpl", "");
KSYMTAB_FUNC(media_create_intf_link, "_gpl", "");
KSYMTAB_FUNC(__media_remove_intf_link, "_gpl", "");
KSYMTAB_FUNC(media_remove_intf_link, "_gpl", "");
KSYMTAB_FUNC(__media_remove_intf_links, "_gpl", "");
KSYMTAB_FUNC(media_remove_intf_links, "_gpl", "");
KSYMTAB_FUNC(media_create_ancillary_link, "_gpl", "");
KSYMTAB_FUNC(__media_entity_next_link, "_gpl", "");
KSYMTAB_FUNC(media_request_put, "_gpl", "");
KSYMTAB_FUNC(media_request_get_by_fd, "_gpl", "");
KSYMTAB_FUNC(media_request_object_find, "_gpl", "");
KSYMTAB_FUNC(media_request_object_put, "_gpl", "");
KSYMTAB_FUNC(media_request_object_init, "_gpl", "");
KSYMTAB_FUNC(media_request_object_bind, "_gpl", "");
KSYMTAB_FUNC(media_request_object_unbind, "_gpl", "");
KSYMTAB_FUNC(media_request_object_complete, "_gpl", "");
KSYMTAB_FUNC(media_device_usb_allocate, "_gpl", "");
KSYMTAB_FUNC(media_device_delete, "_gpl", "");

SYMBOL_CRC(media_device_register_entity, 0x5f744ec4, "_gpl");
SYMBOL_CRC(media_device_unregister_entity, 0x8fbc2804, "_gpl");
SYMBOL_CRC(media_device_init, 0xcf188879, "_gpl");
SYMBOL_CRC(media_device_cleanup, 0xd46c4218, "_gpl");
SYMBOL_CRC(__media_device_register, 0x284de4e6, "_gpl");
SYMBOL_CRC(media_device_register_entity_notify, 0x7bf077ad, "_gpl");
SYMBOL_CRC(media_device_unregister_entity_notify, 0x41db60ff, "_gpl");
SYMBOL_CRC(media_device_unregister, 0x2f618926, "_gpl");
SYMBOL_CRC(media_device_pci_init, 0x7de97b25, "_gpl");
SYMBOL_CRC(__media_device_usb_init, 0xd4f04cd8, "_gpl");
SYMBOL_CRC(media_entity_enum_init, 0xe0a2bcb9, "_gpl");
SYMBOL_CRC(media_entity_enum_cleanup, 0xe5ceecd6, "_gpl");
SYMBOL_CRC(media_entity_pads_init, 0x7c3d751b, "_gpl");
SYMBOL_CRC(media_graph_walk_init, 0x54eb2ade, "_gpl");
SYMBOL_CRC(media_graph_walk_cleanup, 0x7b67bfbf, "_gpl");
SYMBOL_CRC(media_graph_walk_start, 0xc5684abf, "_gpl");
SYMBOL_CRC(media_graph_walk_next, 0xabb8a985, "_gpl");
SYMBOL_CRC(__media_pipeline_start, 0x6fe98027, "_gpl");
SYMBOL_CRC(media_pipeline_start, 0xcd9210b7, "_gpl");
SYMBOL_CRC(__media_pipeline_stop, 0xb42281b9, "_gpl");
SYMBOL_CRC(media_pipeline_stop, 0x9a630a40, "_gpl");
SYMBOL_CRC(media_pipeline_alloc_start, 0xa2221e72, "_gpl");
SYMBOL_CRC(__media_pipeline_pad_iter_next, 0xa9c91082, "_gpl");
SYMBOL_CRC(media_pipeline_entity_iter_init, 0x040d43aa, "_gpl");
SYMBOL_CRC(media_pipeline_entity_iter_cleanup, 0x65dd67e0, "_gpl");
SYMBOL_CRC(__media_pipeline_entity_iter_next, 0x0f8801c9, "_gpl");
SYMBOL_CRC(media_get_pad_index, 0xda7af216, "_gpl");
SYMBOL_CRC(media_create_pad_link, 0xc06308b4, "_gpl");
SYMBOL_CRC(media_create_pad_links, 0x48b02483, "_gpl");
SYMBOL_CRC(__media_entity_remove_links, 0x9d946779, "_gpl");
SYMBOL_CRC(media_entity_remove_links, 0x764a91bf, "_gpl");
SYMBOL_CRC(__media_entity_setup_link, 0x1135fecd, "_gpl");
SYMBOL_CRC(media_entity_setup_link, 0x3a455357, "_gpl");
SYMBOL_CRC(media_entity_find_link, 0xb2e6acc5, "_gpl");
SYMBOL_CRC(media_pad_remote_pad_first, 0xba1900eb, "_gpl");
SYMBOL_CRC(media_entity_remote_pad_unique, 0x9d8931ec, "_gpl");
SYMBOL_CRC(media_pad_remote_pad_unique, 0x477c6624, "_gpl");
SYMBOL_CRC(media_entity_get_fwnode_pad, 0xe023b107, "_gpl");
SYMBOL_CRC(media_entity_pipeline, 0x51cec4ab, "_gpl");
SYMBOL_CRC(media_pad_pipeline, 0x1595c776, "_gpl");
SYMBOL_CRC(media_devnode_create, 0x8c74dcb9, "_gpl");
SYMBOL_CRC(media_devnode_remove, 0xdd58ec30, "_gpl");
SYMBOL_CRC(media_create_intf_link, 0xb4ad9c09, "_gpl");
SYMBOL_CRC(__media_remove_intf_link, 0xce6b6e29, "_gpl");
SYMBOL_CRC(media_remove_intf_link, 0xedd1b0ee, "_gpl");
SYMBOL_CRC(__media_remove_intf_links, 0x324b5386, "_gpl");
SYMBOL_CRC(media_remove_intf_links, 0x40a7eaf5, "_gpl");
SYMBOL_CRC(media_create_ancillary_link, 0xf5b94af4, "_gpl");
SYMBOL_CRC(__media_entity_next_link, 0x9420c024, "_gpl");
SYMBOL_CRC(media_request_put, 0x3a35b8f5, "_gpl");
SYMBOL_CRC(media_request_get_by_fd, 0x80e98234, "_gpl");
SYMBOL_CRC(media_request_object_find, 0x0a0a6cc8, "_gpl");
SYMBOL_CRC(media_request_object_put, 0x0f66db97, "_gpl");
SYMBOL_CRC(media_request_object_init, 0x79cd2c0f, "_gpl");
SYMBOL_CRC(media_request_object_bind, 0x539e6f66, "_gpl");
SYMBOL_CRC(media_request_object_unbind, 0xa028594e, "_gpl");
SYMBOL_CRC(media_request_object_complete, 0xff8a2206, "_gpl");
SYMBOL_CRC(media_device_usb_allocate, 0x8b932941, "_gpl");
SYMBOL_CRC(media_device_delete, 0xfc824ee1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xd4845a05, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xea44a38b, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xdec5f1bf, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x98df6f92, "cdev_device_del" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x3b9c57bf, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x62ac2844, "fd_install" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe2964344, "__wake_up" },
	{ 0x67155184, "get_device" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x122c3a7e, "_printk" },
	{ 0xc1e2cc0b, "cdev_device_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x8619869e, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x9c26c8f1, "fwnode_graph_parse_endpoint" },
	{ 0x1f9a9c72, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x9818813d, "device_create_file" },
	{ 0x2efa2c2b, "bus_unregister" },
	{ 0x97b585fb, "fput" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xffb7c514, "ida_free" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xdcb764ad, "memset" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x6b49a0c, "platform_bus_type" },
	{ 0x9c4fee7, "kobject_set_name" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x858a550d, "cdev_init" },
	{ 0x83012dcb, "pci_bus_type" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0xf80a3ec7, "device_remove_file" },
	{ 0xb9cb04c5, "bus_register" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "53E3D798C82384C14394313");
