#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ivtv_ext_init, "", "");
KSYMTAB_FUNC(ivtv_set_irq_mask, "", "");
KSYMTAB_FUNC(ivtv_api, "", "");
KSYMTAB_FUNC(ivtv_vapi, "", "");
KSYMTAB_FUNC(ivtv_vapi_result, "", "");
KSYMTAB_FUNC(ivtv_clear_irq_mask, "", "");
KSYMTAB_DATA(ivtv_debug, "", "");
KSYMTAB_FUNC(ivtv_reset_ir_gpio, "", "");
KSYMTAB_FUNC(ivtv_udma_setup, "", "");
KSYMTAB_FUNC(ivtv_udma_unmap, "", "");
KSYMTAB_FUNC(ivtv_udma_alloc, "", "");
KSYMTAB_FUNC(ivtv_udma_prepare, "", "");
KSYMTAB_FUNC(ivtv_init_on_first_open, "", "");
KSYMTAB_FUNC(ivtv_firmware_check, "", "");
KSYMTAB_FUNC(ivtv_claim_stream, "", "");
KSYMTAB_FUNC(ivtv_release_stream, "", "");
KSYMTAB_FUNC(ivtv_start_v4l2_encode_stream, "", "");
KSYMTAB_FUNC(ivtv_stop_v4l2_encode_stream, "", "");

SYMBOL_CRC(ivtv_ext_init, 0x2792c8aa, "");
SYMBOL_CRC(ivtv_set_irq_mask, 0x61eeca7f, "");
SYMBOL_CRC(ivtv_api, 0x5272f52b, "");
SYMBOL_CRC(ivtv_vapi, 0x5e4370f6, "");
SYMBOL_CRC(ivtv_vapi_result, 0xeb322226, "");
SYMBOL_CRC(ivtv_clear_irq_mask, 0xa6cd757a, "");
SYMBOL_CRC(ivtv_debug, 0x14f67530, "");
SYMBOL_CRC(ivtv_reset_ir_gpio, 0x30ba5cd5, "");
SYMBOL_CRC(ivtv_udma_setup, 0x0d4dfa05, "");
SYMBOL_CRC(ivtv_udma_unmap, 0x281d08e1, "");
SYMBOL_CRC(ivtv_udma_alloc, 0x0558263f, "");
SYMBOL_CRC(ivtv_udma_prepare, 0x6304de3a, "");
SYMBOL_CRC(ivtv_init_on_first_open, 0xe0014f80, "");
SYMBOL_CRC(ivtv_firmware_check, 0x16d117ba, "");
SYMBOL_CRC(ivtv_claim_stream, 0x2940d147, "");
SYMBOL_CRC(ivtv_release_stream, 0xb2808d85, "");
SYMBOL_CRC(ivtv_start_v4l2_encode_stream, 0x4147d77e, "");
SYMBOL_CRC(ivtv_stop_v4l2_encode_stream, 0x1ae7c43e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x72344016, "v4l2_fh_exit" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x62dc3d4c, "cx2341x_handler_set_busy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x589aec05, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9cdd023b, "i2c_bit_add_bus" },
	{ 0x13080b53, "v4l2_fh_del" },
	{ 0x1e6734c1, "v4l2_i2c_new_subdev_board" },
	{ 0x6d43541e, "kthread_flush_worker" },
	{ 0xe0545e8, "v4l2_fh_add" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xa6613056, "dma_unmap_page_attrs" },
	{ 0x8dceb523, "request_firmware" },
	{ 0x43ba1bed, "__pci_register_driver" },
	{ 0xba5039ee, "v4l2_ctrl_handler_init_class" },
	{ 0x3ea528ee, "devm_ioremap" },
	{ 0x7cbd924, "unpin_user_pages" },
	{ 0x3e9436c4, "param_array_ops" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x36e784a6, "i2c_transfer_buffer_flags" },
	{ 0x4faf9ded, "v4l2_subdev_init" },
	{ 0xe2964344, "__wake_up" },
	{ 0x5d112304, "__memcpy_fromio" },
	{ 0xe1a350f8, "pci_unregister_driver" },
	{ 0x354b3d7c, "wake_up_process" },
	{ 0x34070452, "dev_driver_string" },
	{ 0xb4c63861, "dma_map_page_attrs" },
	{ 0xaf20b3d2, "__devm_request_region" },
	{ 0x122c3a7e, "_printk" },
	{ 0x43867472, "v4l2_ctrl_handler_log_status" },
	{ 0x20053120, "v4l2_ctrl_handler_setup" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x66df0226, "video_devdata" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x54088bd5, "i2c_new_scanned_device" },
	{ 0xfd0e00f4, "cx2341x_handler_setup" },
	{ 0xa916b694, "strnlen" },
	{ 0xa2c4d1b8, "kthread_queue_work" },
	{ 0x581e9a37, "__free_pages" },
	{ 0x6f0ecff1, "i2c_del_adapter" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xb2a2c3ee, "__v4l2_ctrl_s_ctrl" },
	{ 0x5ca10ce4, "__dma_sync_single_for_cpu" },
	{ 0x955b0e2e, "kthread_worker_fn" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa07a37f0, "memchr" },
	{ 0x23fd324, "tveeprom_read" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2d96b208, "v4l2_device_set_name" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x12710965, "v4l2_fh_is_singular" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd399ce1a, "pci_read_config_word" },
	{ 0x2691a73c, "v4l2_ctrl_subscribe_event" },
	{ 0x81850ded, "v4l2_fh_init" },
	{ 0x325dff7d, "v4l2_event_pending" },
	{ 0x7ad68aec, "__kthread_init_worker" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x178247a7, "video_unregister_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x4cdb9669, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x470d5fa2, "v4l2_event_subscribe" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xdcb764ad, "memset" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xaff5b1dd, "pci_set_master" },
	{ 0x21e70c9e, "v4l2_ctrl_new_std_menu" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xf7c3ef4e, "__v4l2_device_register_subdev" },
	{ 0x2241c173, "v4l2_device_register" },
	{ 0x7358fb91, "param_ops_string" },
	{ 0x6dd3f46f, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x31d75226, "kthread_create_on_node" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe210c058, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x698b966, "__dma_sync_single_for_device" },
	{ 0x2fd31ec7, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x364019bd, "pin_user_pages_unlocked" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf2f701c6, "v4l2_ctrl_new_std" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x3371aa50, "v4l2_ctrl_g_ctrl" },
	{ 0xf0b94d75, "cx2341x_handler_init" },
	{ 0x2b2a781e, "cx2341x_handler_set_50hz" },
	{ 0xd9b006d6, "v4l2_ctrl_handler_free" },
	{ 0x2f9fd29b, "v4l2_device_unregister" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xb34e2c9a, "dma_set_mask" },
	{ 0x3f780e90, "sched_set_fifo" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x9505cd0d, "v4l2_subdev_call_wrappers" },
	{ 0x5986a5d8, "dma_unmap_sg_attrs" },
	{ 0xd9d075de, "v4l2_event_queue" },
	{ 0x912f2c8f, "v4l2_i2c_new_subdev" },
	{ 0xc57c18f5, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0xcb74520d, "param_ops_int" },
	{ 0xad1a4a95, "pcim_enable_device" },
	{ 0xbc9b47d8, "video_device_release_empty" },
	{ 0xe8c92ef, "v4l2_ctrl_cluster" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xee4ade57, "pci_write_config_dword" },
	{ 0x781208dd, "v4l2_event_unsubscribe" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x992d47c0, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "videodev,cx2341x,i2c-algo-bit,tveeprom");

MODULE_ALIAS("pci:v00004444d00000803sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00004444d00000016sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "B1225A0FA9EB7CCB07B31CC");
