#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vsp1_du_init, "_gpl", "");
KSYMTAB_FUNC(vsp1_du_setup_lif, "_gpl", "");
KSYMTAB_FUNC(vsp1_du_atomic_begin, "_gpl", "");
KSYMTAB_FUNC(vsp1_du_atomic_update, "_gpl", "");
KSYMTAB_FUNC(vsp1_du_atomic_flush, "_gpl", "");
KSYMTAB_FUNC(vsp1_du_map_sg, "_gpl", "");
KSYMTAB_FUNC(vsp1_du_unmap_sg, "_gpl", "");

SYMBOL_CRC(vsp1_du_init, 0x84668a00, "_gpl");
SYMBOL_CRC(vsp1_du_setup_lif, 0x6e018c2f, "_gpl");
SYMBOL_CRC(vsp1_du_atomic_begin, 0x11c1f2bb, "_gpl");
SYMBOL_CRC(vsp1_du_atomic_update, 0xe6c46080, "_gpl");
SYMBOL_CRC(vsp1_du_atomic_flush, 0xf39530cc, "_gpl");
SYMBOL_CRC(vsp1_du_map_sg, 0xd197e448, "_gpl");
SYMBOL_CRC(vsp1_du_unmap_sg, 0xf0dbe9f0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaadcd78a, "vb2_queue_init" },
	{ 0x72344016, "v4l2_fh_exit" },
	{ 0x24600a27, "devm_platform_ioremap_resource" },
	{ 0x589aec05, "video_ioctl2" },
	{ 0x2f618926, "media_device_unregister" },
	{ 0x9877c29f, "rcar_fcp_get" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x4c55545d, "devm_request_threaded_irq" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0xe9d10d9d, "of_node_put" },
	{ 0x610adf59, "vb2_ioctl_streamoff" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x2f184745, "video_device_pipeline_stop" },
	{ 0x3b82c1cf, "platform_driver_unregister" },
	{ 0xd706cd02, "platform_get_irq" },
	{ 0xa387aa93, "vb2_ioctl_expbuf" },
	{ 0xcf188879, "media_device_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x4ad5d888, "rcar_fcp_enable" },
	{ 0x13080b53, "v4l2_fh_del" },
	{ 0xe0545e8, "v4l2_fh_add" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x62cacf0b, "vb2_ops_wait_finish" },
	{ 0x5fe6f6e8, "rcar_fcp_disable" },
	{ 0xba5039ee, "v4l2_ctrl_handler_init_class" },
	{ 0xe0a2bcb9, "media_entity_enum_init" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x37a0cba, "kfree" },
	{ 0x690764fe, "vb2_dma_contig_memops" },
	{ 0x284de4e6, "__media_device_register" },
	{ 0x3321f626, "vb2_ioctl_querybuf" },
	{ 0x4faf9ded, "v4l2_subdev_init" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x806aab09, "__v4l2_subdev_state_get_crop" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4ca03189, "v4l2_fh_open" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0xed5d487, "__v4l2_subdev_state_alloc" },
	{ 0xc06308b4, "media_create_pad_link" },
	{ 0xe5ceecd6, "media_entity_enum_cleanup" },
	{ 0x122c3a7e, "_printk" },
	{ 0x3880c26d, "rcar_fcp_get_device" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x20053120, "v4l2_ctrl_handler_setup" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x66df0226, "video_devdata" },
	{ 0xf693587e, "pm_runtime_enable" },
	{ 0x22fb2b11, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0x12423d29, "__video_device_pipeline_start" },
	{ 0x214bd55b, "vb2_streamon" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xfc536090, "__v4l2_subdev_state_get_compose" },
	{ 0x81dd797b, "vb2_plane_cookie" },
	{ 0xd46c4218, "media_device_cleanup" },
	{ 0x800473f, "__cond_resched" },
	{ 0x6aad4acf, "v4l2_subdev_link_validate" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9bf74d1c, "__v4l2_subdev_state_get_format" },
	{ 0xfd375e39, "vb2_ioctl_dqbuf" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0xd1d4513f, "vb2_ioctl_create_bufs" },
	{ 0x2691b191, "__of_parse_phandle_with_args" },
	{ 0xb8b19d5, "v4l2_ctrl_new_custom" },
	{ 0x7b67bfbf, "media_graph_walk_cleanup" },
	{ 0xefb05b49, "vb2_ioctl_prepare_buf" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x642cc440, "dma_alloc_attrs" },
	{ 0xba1900eb, "media_pad_remote_pad_first" },
	{ 0x7c4430da, "vb2_buffer_done" },
	{ 0x7c5b1508, "vb2_plane_vaddr" },
	{ 0x81850ded, "v4l2_fh_init" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x7c3d751b, "media_entity_pads_init" },
	{ 0xabb8a985, "media_graph_walk_next" },
	{ 0x178247a7, "video_unregister_device" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x3569483a, "vb2_ioctl_qbuf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xeb711e2c, "vb2_fop_mmap" },
	{ 0x462aa708, "vb2_vmalloc_memops" },
	{ 0xdcb764ad, "memset" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0xe84ced10, "soc_device_match" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xf7c3ef4e, "__v4l2_device_register_subdev" },
	{ 0x2241c173, "v4l2_device_register" },
	{ 0xed826b94, "__platform_driver_register" },
	{ 0x7bfd68d, "__devm_reset_control_get" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x404667b0, "dma_free_attrs" },
	{ 0x4f139bf4, "__pm_runtime_resume" },
	{ 0xcd0d4d23, "dma_map_sgtable" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xe210c058, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x3845cd26, "vb2_ops_wait_prepare" },
	{ 0x3a707c93, "pm_runtime_force_resume" },
	{ 0x5719b093, "__v4l2_subdev_state_free" },
	{ 0x3d858696, "rcar_fcp_put" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x73a160e1, "vb2_ioctl_streamon" },
	{ 0x9e4c44a2, "__v4l2_device_register_subdev_nodes" },
	{ 0x6652fdda, "vb2_fop_poll" },
	{ 0xf2f701c6, "v4l2_ctrl_new_std" },
	{ 0xd9b006d6, "v4l2_ctrl_handler_free" },
	{ 0x2f9fd29b, "v4l2_device_unregister" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xc5684abf, "media_graph_walk_start" },
	{ 0x54eb2ade, "media_graph_walk_init" },
	{ 0x92f2a8c, "dev_err_probe" },
	{ 0x9505cd0d, "v4l2_subdev_call_wrappers" },
	{ 0x5986a5d8, "dma_unmap_sg_attrs" },
	{ 0xc1e79586, "of_device_get_match_data" },
	{ 0x568d4681, "__pm_runtime_disable" },
	{ 0xbc9b47d8, "video_device_release_empty" },
	{ 0xe8c92ef, "v4l2_ctrl_cluster" },
	{ 0xceab0311, "strchrnul" },
	{ 0xb3b109ef, "pm_runtime_force_suspend" },
	{ 0x61f81ab3, "__pm_runtime_idle" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0xa3974ad5, "vb2_ioctl_reqbufs" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-v4l2,videodev,mc,rcar-fcp,videobuf2-dma-contig,videobuf2-common,videobuf2-vmalloc");

MODULE_ALIAS("of:N*T*Crenesas,vsp1");
MODULE_ALIAS("of:N*T*Crenesas,vsp1C*");
MODULE_ALIAS("of:N*T*Crenesas,vsp2");
MODULE_ALIAS("of:N*T*Crenesas,vsp2C*");
MODULE_ALIAS("of:N*T*Crenesas,r9a07g044-vsp2");
MODULE_ALIAS("of:N*T*Crenesas,r9a07g044-vsp2C*");

MODULE_INFO(srcversion, "28571AAAA4CC2C2D4B399EF");
