#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cx231xx_get_i2c_adap, "_gpl", "");
KSYMTAB_FUNC(cx231xx_tuner_callback, "_gpl", "");
KSYMTAB_FUNC(cx231xx_register_extension, "", "");
KSYMTAB_FUNC(cx231xx_unregister_extension, "", "");
KSYMTAB_FUNC(cx231xx_send_usb_command, "_gpl", "");
KSYMTAB_FUNC(cx231xx_set_alt_setting, "_gpl", "");
KSYMTAB_FUNC(cx231xx_demod_reset, "_gpl", "");
KSYMTAB_FUNC(is_fw_load, "_gpl", "");
KSYMTAB_FUNC(cx231xx_set_mode, "_gpl", "");
KSYMTAB_FUNC(cx231xx_uninit_isoc, "_gpl", "");
KSYMTAB_FUNC(cx231xx_uninit_bulk, "_gpl", "");
KSYMTAB_FUNC(cx231xx_init_isoc, "_gpl", "");
KSYMTAB_FUNC(cx231xx_init_bulk, "_gpl", "");
KSYMTAB_FUNC(cx231xx_dev_init, "_gpl", "");
KSYMTAB_FUNC(cx231xx_dev_uninit, "_gpl", "");
KSYMTAB_FUNC(cx231xx_send_gpio_cmd, "_gpl", "");
KSYMTAB_FUNC(cx231xx_enable656, "_gpl", "");
KSYMTAB_FUNC(cx231xx_disable656, "_gpl", "");
KSYMTAB_FUNC(cx231xx_unmute_audio, "_gpl", "");
KSYMTAB_FUNC(cx231xx_enable_i2c_port_3, "_gpl", "");
KSYMTAB_FUNC(cx231xx_capture_start, "_gpl", "");
KSYMTAB_FUNC(cx231xx_uninit_vbi_isoc, "_gpl", "");
KSYMTAB_FUNC(cx231xx_init_vbi_isoc, "_gpl", "");

SYMBOL_CRC(cx231xx_get_i2c_adap, 0x51b82808, "_gpl");
SYMBOL_CRC(cx231xx_tuner_callback, 0x017ea7c7, "_gpl");
SYMBOL_CRC(cx231xx_register_extension, 0x8f9af4c1, "");
SYMBOL_CRC(cx231xx_unregister_extension, 0xce84cefd, "");
SYMBOL_CRC(cx231xx_send_usb_command, 0x35985491, "_gpl");
SYMBOL_CRC(cx231xx_set_alt_setting, 0xb4280953, "_gpl");
SYMBOL_CRC(cx231xx_demod_reset, 0x32d8a0bf, "_gpl");
SYMBOL_CRC(is_fw_load, 0x19f07431, "_gpl");
SYMBOL_CRC(cx231xx_set_mode, 0x95441472, "_gpl");
SYMBOL_CRC(cx231xx_uninit_isoc, 0x181da2b8, "_gpl");
SYMBOL_CRC(cx231xx_uninit_bulk, 0x041e3713, "_gpl");
SYMBOL_CRC(cx231xx_init_isoc, 0x77cf2e4d, "_gpl");
SYMBOL_CRC(cx231xx_init_bulk, 0x53b62059, "_gpl");
SYMBOL_CRC(cx231xx_dev_init, 0x4edc35d3, "_gpl");
SYMBOL_CRC(cx231xx_dev_uninit, 0xc86d9ebb, "_gpl");
SYMBOL_CRC(cx231xx_send_gpio_cmd, 0x8593b592, "_gpl");
SYMBOL_CRC(cx231xx_enable656, 0xc8300bce, "_gpl");
SYMBOL_CRC(cx231xx_disable656, 0x9df0688f, "_gpl");
SYMBOL_CRC(cx231xx_unmute_audio, 0x4504aafb, "_gpl");
SYMBOL_CRC(cx231xx_enable_i2c_port_3, 0x452c1cfd, "_gpl");
SYMBOL_CRC(cx231xx_capture_start, 0x2d8d569c, "_gpl");
SYMBOL_CRC(cx231xx_uninit_vbi_isoc, 0x5ebf854c, "_gpl");
SYMBOL_CRC(cx231xx_init_vbi_isoc, 0x27f88493, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaadcd78a, "vb2_queue_init" },
	{ 0x9181493a, "usb_alloc_urb" },
	{ 0x6c47d509, "v4l2_ctrl_poll" },
	{ 0x589aec05, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x2f618926, "media_device_unregister" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x1d3f22b7, "usb_free_urb" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0x610adf59, "vb2_ioctl_streamoff" },
	{ 0xc4606fed, "v4l2_ctrl_radio_filter" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x60eb31e9, "usb_alloc_coherent" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd1e1268b, "v4l2_ctrl_add_handler" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x8dceb523, "request_firmware" },
	{ 0x62cacf0b, "vb2_ops_wait_finish" },
	{ 0xd941f894, "usb_register_driver" },
	{ 0xba5039ee, "v4l2_ctrl_handler_init_class" },
	{ 0x3e9436c4, "param_array_ops" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x284de4e6, "__media_device_register" },
	{ 0x3321f626, "vb2_ioctl_querybuf" },
	{ 0x36e784a6, "i2c_transfer_buffer_flags" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4ca03189, "v4l2_fh_open" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0x122c3a7e, "_printk" },
	{ 0x53c09a97, "usb_clear_halt" },
	{ 0x836447e1, "usb_put_dev" },
	{ 0xaa3a99c1, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x66df0226, "video_devdata" },
	{ 0x22fb2b11, "vb2_fop_release" },
	{ 0xfd0e00f4, "cx2341x_handler_setup" },
	{ 0xa916b694, "strnlen" },
	{ 0x5a18818f, "usb_get_dev" },
	{ 0xf5ef842e, "v4l_bound_align_image" },
	{ 0xa359e790, "usb_submit_urb" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0x6f0ecff1, "i2c_del_adapter" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x5f744ec4, "media_device_register_entity" },
	{ 0xd46c4218, "media_device_cleanup" },
	{ 0xfd375e39, "vb2_ioctl_dqbuf" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0xd6442a53, "i2c_unregister_device" },
	{ 0x525a880f, "usb_free_coherent" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd6cc6cc2, "usb_control_msg" },
	{ 0x7c4430da, "vb2_buffer_done" },
	{ 0x7c5b1508, "vb2_plane_vaddr" },
	{ 0x2691a73c, "v4l2_ctrl_subscribe_event" },
	{ 0xc74b6f45, "usb_set_interface" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x7c3d751b, "media_entity_pads_init" },
	{ 0x178247a7, "video_unregister_device" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd1f902dd, "i2c_new_client_device" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x4d8dc364, "usb_deregister" },
	{ 0x3569483a, "vb2_ioctl_qbuf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xeb711e2c, "vb2_fop_mmap" },
	{ 0xf72d77ef, "v4l2_s_ctrl" },
	{ 0x4d6d78fa, "i2c_mux_alloc" },
	{ 0x462aa708, "vb2_vmalloc_memops" },
	{ 0xdcb764ad, "memset" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xb2b20e1c, "vb2_fop_read" },
	{ 0x2241c173, "v4l2_device_register" },
	{ 0x6dd3f46f, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe929fb13, "rc_allocate_device" },
	{ 0x859f18cc, "usb_unlink_urb" },
	{ 0x3a455357, "media_entity_setup_link" },
	{ 0x999e8297, "vfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xe210c058, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x3845cd26, "vb2_ops_wait_prepare" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xfd8b9fb9, "usb_kill_urb" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x73a160e1, "vb2_ioctl_streamon" },
	{ 0x408b18ff, "v4l2_mc_create_media_graph" },
	{ 0x6652fdda, "vb2_fop_poll" },
	{ 0xf0b94d75, "cx2341x_handler_init" },
	{ 0x2b2a781e, "cx2341x_handler_set_50hz" },
	{ 0xd4f04cd8, "__media_device_usb_init" },
	{ 0xd9b006d6, "v4l2_ctrl_handler_free" },
	{ 0x562689dd, "i2c_transfer" },
	{ 0x2f9fd29b, "v4l2_device_unregister" },
	{ 0xc8f10100, "usb_reset_endpoint" },
	{ 0x6f2269f2, "i2c_mux_del_adapters" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0x9505cd0d, "v4l2_subdev_call_wrappers" },
	{ 0xa271ebe0, "v4l2_ctrl_log_status" },
	{ 0x912f2c8f, "v4l2_i2c_new_subdev" },
	{ 0xcb74520d, "param_ops_int" },
	{ 0xbc9b47d8, "video_device_release_empty" },
	{ 0x8480c1bb, "i2c_mux_add_adapter" },
	{ 0xfc6b9c0a, "_vb2_fop_release" },
	{ 0xf9a482f9, "msleep" },
	{ 0x781208dd, "v4l2_event_unsubscribe" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xa3974ad5, "vb2_ioctl_reqbufs" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-v4l2,videodev,mc,cx2341x,videobuf2-common,i2c-mux,videobuf2-vmalloc,rc-core,tveeprom");

MODULE_ALIAS("usb:v1D19p6109d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p5A3Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A2d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A1d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A4d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A5d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p589Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A0d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07CApC039d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB110d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB111d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB120d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB123d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB124d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB151d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB150d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB130d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB131d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB138d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB139d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB140d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pC200d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2013p0259d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2013p025Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1554p5010d400[0-1]dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1554p5014d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B80pE424d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B80pE421d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1F4Dp0237d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0FD9p0037d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1F4Dp0102d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0CCDp00A6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B80pD3B2d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15F4p0135d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v199Ep8002d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "B08B6CDBAF0D4E5F4D985D2");
