#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(gspca_debug, "", "");
KSYMTAB_FUNC(gspca_frame_add, "", "");
KSYMTAB_FUNC(gspca_dev_probe2, "", "");
KSYMTAB_FUNC(gspca_dev_probe, "", "");
KSYMTAB_FUNC(gspca_disconnect, "", "");
KSYMTAB_FUNC(gspca_suspend, "", "");
KSYMTAB_FUNC(gspca_resume, "", "");
KSYMTAB_FUNC(gspca_expo_autogain, "", "");
KSYMTAB_FUNC(gspca_coarse_grained_expo_autogain, "", "");

SYMBOL_CRC(gspca_debug, 0x9670af2c, "");
SYMBOL_CRC(gspca_frame_add, 0x5e3612c7, "");
SYMBOL_CRC(gspca_dev_probe2, 0xa113c9b0, "");
SYMBOL_CRC(gspca_dev_probe, 0x6725535c, "");
SYMBOL_CRC(gspca_disconnect, 0xa26b5f2c, "");
SYMBOL_CRC(gspca_suspend, 0x18ac385a, "");
SYMBOL_CRC(gspca_resume, 0xa3eb3a13, "");
SYMBOL_CRC(gspca_expo_autogain, 0xf60d7156, "");
SYMBOL_CRC(gspca_coarse_grained_expo_autogain, 0xb1f9318b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaadcd78a, "vb2_queue_init" },
	{ 0x6f23486d, "input_allocate_device" },
	{ 0x9181493a, "usb_alloc_urb" },
	{ 0x589aec05, "video_ioctl2" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x1d3f22b7, "usb_free_urb" },
	{ 0x89493239, "v4l2_device_put" },
	{ 0x610adf59, "vb2_ioctl_streamoff" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x60eb31e9, "usb_alloc_coherent" },
	{ 0xa387aa93, "vb2_ioctl_expbuf" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa8a4dd06, "usb_ifnum_to_if" },
	{ 0x62cacf0b, "vb2_ops_wait_finish" },
	{ 0xb88825d, "input_unregister_device" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x3321f626, "vb2_ioctl_querybuf" },
	{ 0x4ca03189, "v4l2_fh_open" },
	{ 0xd5bb24ad, "input_free_device" },
	{ 0x122c3a7e, "_printk" },
	{ 0x53c09a97, "usb_clear_halt" },
	{ 0x20053120, "v4l2_ctrl_handler_setup" },
	{ 0x44a18989, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x66df0226, "video_devdata" },
	{ 0xfd88fc22, "vb2_queue_error" },
	{ 0x22fb2b11, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0xa359e790, "usb_submit_urb" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xb2a2c3ee, "__v4l2_ctrl_s_ctrl" },
	{ 0xfd375e39, "vb2_ioctl_dqbuf" },
	{ 0x525a880f, "usb_free_coherent" },
	{ 0xd1d4513f, "vb2_ioctl_create_bufs" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7c4430da, "vb2_buffer_done" },
	{ 0x7c5b1508, "vb2_plane_vaddr" },
	{ 0x2691a73c, "v4l2_ctrl_subscribe_event" },
	{ 0xc74b6f45, "usb_set_interface" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x178247a7, "video_unregister_device" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x3569483a, "vb2_ioctl_qbuf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xeb711e2c, "vb2_fop_mmap" },
	{ 0x462aa708, "vb2_vmalloc_memops" },
	{ 0xdcb764ad, "memset" },
	{ 0x64c66f25, "v4l2_device_disconnect" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xb2b20e1c, "vb2_fop_read" },
	{ 0x2241c173, "v4l2_device_register" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xe210c058, "__video_register_device" },
	{ 0x3845cd26, "vb2_ops_wait_prepare" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xfd8b9fb9, "usb_kill_urb" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x73a160e1, "vb2_ioctl_streamon" },
	{ 0x6652fdda, "vb2_fop_poll" },
	{ 0x3371aa50, "v4l2_ctrl_g_ctrl" },
	{ 0xd9b006d6, "v4l2_ctrl_handler_free" },
	{ 0x2f9fd29b, "v4l2_device_unregister" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xcb74520d, "param_ops_int" },
	{ 0xbc9b47d8, "video_device_release_empty" },
	{ 0xf9a482f9, "msleep" },
	{ 0x781208dd, "v4l2_event_unsubscribe" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0xa3974ad5, "vb2_ioctl_reqbufs" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-v4l2,videodev,videobuf2-common,videobuf2-vmalloc");


MODULE_INFO(srcversion, "C0F5C38121EAAFD38E0612A");
