#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(v4l2_async_nf_init, "", "");
KSYMTAB_FUNC(v4l2_async_subdev_nf_init, "_gpl", "");
KSYMTAB_FUNC(v4l2_async_nf_register, "", "");
KSYMTAB_FUNC(v4l2_async_nf_unregister, "", "");
KSYMTAB_FUNC(v4l2_async_nf_cleanup, "_gpl", "");
KSYMTAB_FUNC(__v4l2_async_nf_add_fwnode, "_gpl", "");
KSYMTAB_FUNC(__v4l2_async_nf_add_fwnode_remote, "_gpl", "");
KSYMTAB_FUNC(__v4l2_async_nf_add_i2c, "_gpl", "");
KSYMTAB_FUNC(v4l2_async_subdev_endpoint_add, "_gpl", "");
KSYMTAB_FUNC(v4l2_async_connection_unique, "_gpl", "");
KSYMTAB_FUNC(__v4l2_async_register_subdev, "", "");
KSYMTAB_FUNC(v4l2_async_unregister_subdev, "", "");

SYMBOL_CRC(v4l2_async_nf_init, 0x49e97472, "");
SYMBOL_CRC(v4l2_async_subdev_nf_init, 0x551206a3, "_gpl");
SYMBOL_CRC(v4l2_async_nf_register, 0xbdb30027, "");
SYMBOL_CRC(v4l2_async_nf_unregister, 0xa81ddf88, "");
SYMBOL_CRC(v4l2_async_nf_cleanup, 0x8d832010, "_gpl");
SYMBOL_CRC(__v4l2_async_nf_add_fwnode, 0x946c9b9b, "_gpl");
SYMBOL_CRC(__v4l2_async_nf_add_fwnode_remote, 0xdd025fe1, "_gpl");
SYMBOL_CRC(__v4l2_async_nf_add_i2c, 0xd88e5344, "_gpl");
SYMBOL_CRC(v4l2_async_subdev_endpoint_add, 0xc636cd67, "_gpl");
SYMBOL_CRC(v4l2_async_connection_unique, 0xe8c6e523, "_gpl");
SYMBOL_CRC(__v4l2_async_register_subdev, 0x5bd63d20, "");
SYMBOL_CRC(v4l2_async_unregister_subdev, 0x176726b0, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x43985d87, "i2c_verify_client" },
	{ 0xe820ea6a, "debugfs_create_dir" },
	{ 0x13107c3a, "debugfs_create_file" },
	{ 0x3466fede, "single_open" },
	{ 0x495eed8e, "debugfs_remove" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x899fbd06, "seq_printf" },
	{ 0x442dd3bb, "fwnode_property_present" },
	{ 0x8991755, "fwnode_graph_get_port_parent" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xaeb77b1a, "fwnode_handle_get" },
	{ 0x37a0cba, "kfree" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xe379766b, "v4l2_device_unregister_subdev" },
	{ 0x9cb27719, "v4l2_subdev_put_privacy_led" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xba4dbf74, "fwnode_graph_get_remote_endpoint" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0x9aaacae9, "__dev_fwnode" },
	{ 0xf7c3ef4e, "__v4l2_device_register_subdev" },
	{ 0xf5b94af4, "media_create_ancillary_link" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5b66fa60, "seq_lseek" },
	{ 0x32f1e81b, "seq_read" },
	{ 0xa5c872a7, "single_release" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "videodev,mc");


MODULE_INFO(srcversion, "5BA6B5B7A07FBD1A4525A8B");
