#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(v4l2_m2m_get_vq, "", "");
KSYMTAB_FUNC(v4l2_m2m_next_buf, "_gpl", "");
KSYMTAB_FUNC(v4l2_m2m_last_buf, "_gpl", "");
KSYMTAB_FUNC(v4l2_m2m_buf_remove, "_gpl", "");
KSYMTAB_FUNC(v4l2_m2m_buf_remove_by_buf, "_gpl", "");
KSYMTAB_FUNC(v4l2_m2m_buf_remove_by_idx, "_gpl", "");
KSYMTAB_FUNC(v4l2_m2m_get_curr_priv, "", "");
KSYMTAB_FUNC(v4l2_m2m_try_schedule, "_gpl", "");
KSYMTAB_FUNC(v4l2_m2m_job_finish, "", "");
KSYMTAB_FUNC(v4l2_m2m_buf_done_and_job_finish, "", "");
KSYMTAB_FUNC(v4l2_m2m_suspend, "", "");
KSYMTAB_FUNC(v4l2_m2m_resume, "", "");
KSYMTAB_FUNC(v4l2_m2m_reqbufs, "_gpl", "");
KSYMTAB_FUNC(v4l2_m2m_querybuf, "_gpl", "");
KSYMTAB_FUNC(v4l2_m2m_last_buffer_done, "_gpl", "");
KSYMTAB_FUNC(v4l2_m2m_update_start_streaming_state, "_gpl", "");
KSYMTAB_FUNC(v4l2_m2m_update_stop_streaming_state, "_gpl", "");
KSYMTAB_FUNC(v4l2_m2m_qbuf, "_gpl", "");
KSYMTAB_FUNC(v4l2_m2m_dqbuf, "_gpl", "");
KSYMTAB_FUNC(v4l2_m2m_prepare_buf, "_gpl", "");
KSYMTAB_FUNC(v4l2_m2m_create_bufs, "_gpl", "");
KSYMTAB_FUNC(v4l2_m2m_expbuf, "_gpl", "");
KSYMTAB_FUNC(v4l2_m2m_streamon, "_gpl", "");
KSYMTAB_FUNC(v4l2_m2m_streamoff, "_gpl", "");
KSYMTAB_FUNC(v4l2_m2m_poll, "_gpl", "");
KSYMTAB_FUNC(v4l2_m2m_mmap, "", "");
KSYMTAB_FUNC(v4l2_m2m_unregister_media_controller, "_gpl", "");
KSYMTAB_FUNC(v4l2_m2m_register_media_controller, "_gpl", "");
KSYMTAB_FUNC(v4l2_m2m_init, "_gpl", "");
KSYMTAB_FUNC(v4l2_m2m_release, "_gpl", "");
KSYMTAB_FUNC(v4l2_m2m_ctx_init, "_gpl", "");
KSYMTAB_FUNC(v4l2_m2m_ctx_release, "_gpl", "");
KSYMTAB_FUNC(v4l2_m2m_buf_queue, "_gpl", "");
KSYMTAB_FUNC(v4l2_m2m_buf_copy_metadata, "_gpl", "");
KSYMTAB_FUNC(v4l2_m2m_request_queue, "_gpl", "");
KSYMTAB_FUNC(v4l2_m2m_ioctl_reqbufs, "_gpl", "");
KSYMTAB_FUNC(v4l2_m2m_ioctl_create_bufs, "_gpl", "");
KSYMTAB_FUNC(v4l2_m2m_ioctl_remove_bufs, "_gpl", "");
KSYMTAB_FUNC(v4l2_m2m_ioctl_querybuf, "_gpl", "");
KSYMTAB_FUNC(v4l2_m2m_ioctl_qbuf, "_gpl", "");
KSYMTAB_FUNC(v4l2_m2m_ioctl_dqbuf, "_gpl", "");
KSYMTAB_FUNC(v4l2_m2m_ioctl_prepare_buf, "_gpl", "");
KSYMTAB_FUNC(v4l2_m2m_ioctl_expbuf, "_gpl", "");
KSYMTAB_FUNC(v4l2_m2m_ioctl_streamon, "_gpl", "");
KSYMTAB_FUNC(v4l2_m2m_ioctl_streamoff, "_gpl", "");
KSYMTAB_FUNC(v4l2_m2m_ioctl_try_encoder_cmd, "_gpl", "");
KSYMTAB_FUNC(v4l2_m2m_ioctl_try_decoder_cmd, "_gpl", "");
KSYMTAB_FUNC(v4l2_m2m_encoder_cmd, "_gpl", "");
KSYMTAB_FUNC(v4l2_m2m_decoder_cmd, "_gpl", "");
KSYMTAB_FUNC(v4l2_m2m_ioctl_encoder_cmd, "_gpl", "");
KSYMTAB_FUNC(v4l2_m2m_ioctl_decoder_cmd, "_gpl", "");
KSYMTAB_FUNC(v4l2_m2m_ioctl_stateless_try_decoder_cmd, "_gpl", "");
KSYMTAB_FUNC(v4l2_m2m_ioctl_stateless_decoder_cmd, "_gpl", "");
KSYMTAB_FUNC(v4l2_m2m_fop_mmap, "_gpl", "");
KSYMTAB_FUNC(v4l2_m2m_fop_poll, "_gpl", "");

SYMBOL_CRC(v4l2_m2m_get_vq, 0x51d15c78, "");
SYMBOL_CRC(v4l2_m2m_next_buf, 0xf3d478e5, "_gpl");
SYMBOL_CRC(v4l2_m2m_last_buf, 0x5fe331a6, "_gpl");
SYMBOL_CRC(v4l2_m2m_buf_remove, 0x33376f95, "_gpl");
SYMBOL_CRC(v4l2_m2m_buf_remove_by_buf, 0x641be308, "_gpl");
SYMBOL_CRC(v4l2_m2m_buf_remove_by_idx, 0x17f873df, "_gpl");
SYMBOL_CRC(v4l2_m2m_get_curr_priv, 0x459e133f, "");
SYMBOL_CRC(v4l2_m2m_try_schedule, 0xb0bb37cd, "_gpl");
SYMBOL_CRC(v4l2_m2m_job_finish, 0xe29d5721, "");
SYMBOL_CRC(v4l2_m2m_buf_done_and_job_finish, 0xe869421a, "");
SYMBOL_CRC(v4l2_m2m_suspend, 0xf626dd03, "");
SYMBOL_CRC(v4l2_m2m_resume, 0x5352d022, "");
SYMBOL_CRC(v4l2_m2m_reqbufs, 0x4245b118, "_gpl");
SYMBOL_CRC(v4l2_m2m_querybuf, 0xf5ff3dc0, "_gpl");
SYMBOL_CRC(v4l2_m2m_last_buffer_done, 0xec5b2fcd, "_gpl");
SYMBOL_CRC(v4l2_m2m_update_start_streaming_state, 0x435b876c, "_gpl");
SYMBOL_CRC(v4l2_m2m_update_stop_streaming_state, 0x2e9f513c, "_gpl");
SYMBOL_CRC(v4l2_m2m_qbuf, 0x15aca5b3, "_gpl");
SYMBOL_CRC(v4l2_m2m_dqbuf, 0x8f0b0234, "_gpl");
SYMBOL_CRC(v4l2_m2m_prepare_buf, 0xcd98277a, "_gpl");
SYMBOL_CRC(v4l2_m2m_create_bufs, 0x2e4c9ace, "_gpl");
SYMBOL_CRC(v4l2_m2m_expbuf, 0xe40c0f68, "_gpl");
SYMBOL_CRC(v4l2_m2m_streamon, 0x12cb6d9c, "_gpl");
SYMBOL_CRC(v4l2_m2m_streamoff, 0x28763f24, "_gpl");
SYMBOL_CRC(v4l2_m2m_poll, 0x108f696d, "_gpl");
SYMBOL_CRC(v4l2_m2m_mmap, 0x2dae9801, "");
SYMBOL_CRC(v4l2_m2m_unregister_media_controller, 0xf13ff84d, "_gpl");
SYMBOL_CRC(v4l2_m2m_register_media_controller, 0xd810d7ff, "_gpl");
SYMBOL_CRC(v4l2_m2m_init, 0x730f2eae, "_gpl");
SYMBOL_CRC(v4l2_m2m_release, 0xc6fca5ad, "_gpl");
SYMBOL_CRC(v4l2_m2m_ctx_init, 0x85355af1, "_gpl");
SYMBOL_CRC(v4l2_m2m_ctx_release, 0x26a3df03, "_gpl");
SYMBOL_CRC(v4l2_m2m_buf_queue, 0x24c07c37, "_gpl");
SYMBOL_CRC(v4l2_m2m_buf_copy_metadata, 0x151e7f1d, "_gpl");
SYMBOL_CRC(v4l2_m2m_request_queue, 0x4d18c3c6, "_gpl");
SYMBOL_CRC(v4l2_m2m_ioctl_reqbufs, 0x3f4e93cb, "_gpl");
SYMBOL_CRC(v4l2_m2m_ioctl_create_bufs, 0xb3252e05, "_gpl");
SYMBOL_CRC(v4l2_m2m_ioctl_remove_bufs, 0x40a30797, "_gpl");
SYMBOL_CRC(v4l2_m2m_ioctl_querybuf, 0x03cea128, "_gpl");
SYMBOL_CRC(v4l2_m2m_ioctl_qbuf, 0x4c592a03, "_gpl");
SYMBOL_CRC(v4l2_m2m_ioctl_dqbuf, 0xa24be653, "_gpl");
SYMBOL_CRC(v4l2_m2m_ioctl_prepare_buf, 0x20614209, "_gpl");
SYMBOL_CRC(v4l2_m2m_ioctl_expbuf, 0x0fed1005, "_gpl");
SYMBOL_CRC(v4l2_m2m_ioctl_streamon, 0x9ac8bc9f, "_gpl");
SYMBOL_CRC(v4l2_m2m_ioctl_streamoff, 0xd65eeabe, "_gpl");
SYMBOL_CRC(v4l2_m2m_ioctl_try_encoder_cmd, 0x8e9440f1, "_gpl");
SYMBOL_CRC(v4l2_m2m_ioctl_try_decoder_cmd, 0x010d1a31, "_gpl");
SYMBOL_CRC(v4l2_m2m_encoder_cmd, 0x0c922b78, "_gpl");
SYMBOL_CRC(v4l2_m2m_decoder_cmd, 0xddb72adf, "_gpl");
SYMBOL_CRC(v4l2_m2m_ioctl_encoder_cmd, 0xcf3e502b, "_gpl");
SYMBOL_CRC(v4l2_m2m_ioctl_decoder_cmd, 0x2b672cdd, "_gpl");
SYMBOL_CRC(v4l2_m2m_ioctl_stateless_try_decoder_cmd, 0xf10d739b, "_gpl");
SYMBOL_CRC(v4l2_m2m_ioctl_stateless_decoder_cmd, 0x050a450a, "_gpl");
SYMBOL_CRC(v4l2_m2m_fop_mmap, 0x1b94dd8a, "_gpl");
SYMBOL_CRC(v4l2_m2m_fop_poll, 0xf8529677, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7c4430da, "vb2_buffer_done" },
	{ 0x175d0918, "vb2_mmap" },
	{ 0x40a7eaf5, "media_remove_intf_links" },
	{ 0xdd58ec30, "media_devnode_remove" },
	{ 0x764a91bf, "media_entity_remove_links" },
	{ 0x8fbc2804, "media_device_unregister_entity" },
	{ 0x37a0cba, "kfree" },
	{ 0xa916b694, "strnlen" },
	{ 0x98cf60b3, "strlen" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x7c3d751b, "media_entity_pads_init" },
	{ 0x5f744ec4, "media_device_register_entity" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xc06308b4, "media_create_pad_link" },
	{ 0x8c74dcb9, "media_devnode_create" },
	{ 0xb4ad9c09, "media_create_intf_link" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe2964344, "__wake_up" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x800473f, "__cond_resched" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1000e51, "schedule" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2670aab4, "vb2_queue_release" },
	{ 0x129bf771, "vb2_streamoff" },
	{ 0x92249407, "vb2_create_bufs" },
	{ 0x32ad72ef, "vb2_expbuf" },
	{ 0xc427ff37, "vb2_reqbufs" },
	{ 0x39d4bcfa, "vb2_querybuf" },
	{ 0x71cf83e4, "vb2_core_remove_bufs" },
	{ 0x980c6c7a, "vb2_dqbuf" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x214bd55b, "vb2_streamon" },
	{ 0xa336a3d4, "vb2_request_object_is_buffer" },
	{ 0x66df0226, "video_devdata" },
	{ 0x82592ae, "vb2_prepare_buf" },
	{ 0x325dff7d, "v4l2_event_pending" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x4584e60, "vb2_qbuf" },
	{ 0x14c5dd46, "param_ops_bool" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-common,mc,videobuf2-v4l2,videodev");


MODULE_INFO(srcversion, "94AC155A2B8340FA75D888B");
