#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(qcom_pmic_get, "_gpl", "");

SYMBOL_CRC(qcom_pmic_get, 0x399b0172, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfdaa1085, "of_match_device" },
	{ 0x92c9b419, "__spmi_driver_register" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x133e2f27, "regmap_read" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0xbf2de6e3, "of_get_parent" },
	{ 0xe533a845, "of_get_next_child" },
	{ 0xe6734a7e, "of_property_read_u32_index" },
	{ 0xe9d10d9d, "of_node_put" },
	{ 0x8619869e, "put_device" },
	{ 0x67155184, "get_device" },
	{ 0xdf277454, "spmi_find_device_by_of_node" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4ab5f7b2, "__devm_regmap_init_spmi_ext" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0xe401d208, "device_get_match_data" },
	{ 0x17e44346, "devm_of_platform_populate" },
	{ 0x3ffe3b9b, "driver_unregister" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "regmap-spmi");

MODULE_ALIAS("of:N*T*Cqcom,pm660");
MODULE_ALIAS("of:N*T*Cqcom,pm660C*");
MODULE_ALIAS("of:N*T*Cqcom,pm660l");
MODULE_ALIAS("of:N*T*Cqcom,pm660lC*");
MODULE_ALIAS("of:N*T*Cqcom,pm8004");
MODULE_ALIAS("of:N*T*Cqcom,pm8004C*");
MODULE_ALIAS("of:N*T*Cqcom,pm8005");
MODULE_ALIAS("of:N*T*Cqcom,pm8005C*");
MODULE_ALIAS("of:N*T*Cqcom,pm8019");
MODULE_ALIAS("of:N*T*Cqcom,pm8019C*");
MODULE_ALIAS("of:N*T*Cqcom,pm8028");
MODULE_ALIAS("of:N*T*Cqcom,pm8028C*");
MODULE_ALIAS("of:N*T*Cqcom,pm8110");
MODULE_ALIAS("of:N*T*Cqcom,pm8110C*");
MODULE_ALIAS("of:N*T*Cqcom,pm8150");
MODULE_ALIAS("of:N*T*Cqcom,pm8150C*");
MODULE_ALIAS("of:N*T*Cqcom,pm8150b");
MODULE_ALIAS("of:N*T*Cqcom,pm8150bC*");
MODULE_ALIAS("of:N*T*Cqcom,pm8150c");
MODULE_ALIAS("of:N*T*Cqcom,pm8150cC*");
MODULE_ALIAS("of:N*T*Cqcom,pm8150l");
MODULE_ALIAS("of:N*T*Cqcom,pm8150lC*");
MODULE_ALIAS("of:N*T*Cqcom,pm8226");
MODULE_ALIAS("of:N*T*Cqcom,pm8226C*");
MODULE_ALIAS("of:N*T*Cqcom,pm8841");
MODULE_ALIAS("of:N*T*Cqcom,pm8841C*");
MODULE_ALIAS("of:N*T*Cqcom,pm8901");
MODULE_ALIAS("of:N*T*Cqcom,pm8901C*");
MODULE_ALIAS("of:N*T*Cqcom,pm8909");
MODULE_ALIAS("of:N*T*Cqcom,pm8909C*");
MODULE_ALIAS("of:N*T*Cqcom,pm8916");
MODULE_ALIAS("of:N*T*Cqcom,pm8916C*");
MODULE_ALIAS("of:N*T*Cqcom,pm8937");
MODULE_ALIAS("of:N*T*Cqcom,pm8937C*");
MODULE_ALIAS("of:N*T*Cqcom,pm8941");
MODULE_ALIAS("of:N*T*Cqcom,pm8941C*");
MODULE_ALIAS("of:N*T*Cqcom,pm8950");
MODULE_ALIAS("of:N*T*Cqcom,pm8950C*");
MODULE_ALIAS("of:N*T*Cqcom,pm8994");
MODULE_ALIAS("of:N*T*Cqcom,pm8994C*");
MODULE_ALIAS("of:N*T*Cqcom,pm8998");
MODULE_ALIAS("of:N*T*Cqcom,pm8998C*");
MODULE_ALIAS("of:N*T*Cqcom,pma8084");
MODULE_ALIAS("of:N*T*Cqcom,pma8084C*");
MODULE_ALIAS("of:N*T*Cqcom,pmd9635");
MODULE_ALIAS("of:N*T*Cqcom,pmd9635C*");
MODULE_ALIAS("of:N*T*Cqcom,pmi8950");
MODULE_ALIAS("of:N*T*Cqcom,pmi8950C*");
MODULE_ALIAS("of:N*T*Cqcom,pmi8962");
MODULE_ALIAS("of:N*T*Cqcom,pmi8962C*");
MODULE_ALIAS("of:N*T*Cqcom,pmi8994");
MODULE_ALIAS("of:N*T*Cqcom,pmi8994C*");
MODULE_ALIAS("of:N*T*Cqcom,pmi8998");
MODULE_ALIAS("of:N*T*Cqcom,pmi8998C*");
MODULE_ALIAS("of:N*T*Cqcom,pmk8002");
MODULE_ALIAS("of:N*T*Cqcom,pmk8002C*");
MODULE_ALIAS("of:N*T*Cqcom,pmp8074");
MODULE_ALIAS("of:N*T*Cqcom,pmp8074C*");
MODULE_ALIAS("of:N*T*Cqcom,smb2351");
MODULE_ALIAS("of:N*T*Cqcom,smb2351C*");
MODULE_ALIAS("of:N*T*Cqcom,spmi-pmic");
MODULE_ALIAS("of:N*T*Cqcom,spmi-pmicC*");

MODULE_INFO(srcversion, "2C43AA5F7684D1CD56D523E");
