#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dw_mci_probe, "", "");
KSYMTAB_FUNC(dw_mci_remove, "", "");
KSYMTAB_FUNC(dw_mci_runtime_suspend, "", "");
KSYMTAB_FUNC(dw_mci_runtime_resume, "", "");

SYMBOL_CRC(dw_mci_probe, 0x39f497c0, "");
SYMBOL_CRC(dw_mci_remove, 0x3da77ddb, "");
SYMBOL_CRC(dw_mci_runtime_suspend, 0xe931ce96, "");
SYMBOL_CRC(dw_mci_runtime_resume, 0xe59e3369, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x4829a47e, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x992d47c0, "dma_map_sg_attrs" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x1ece6e0, "dma_release_channel" },
	{ 0x37a0cba, "kfree" },
	{ 0x5986a5d8, "dma_unmap_sg_attrs" },
	{ 0xd8e99ff5, "system_bh_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xce18e5f2, "__dma_sync_sg_for_cpu" },
	{ 0x3466fede, "single_open" },
	{ 0x4d1d5f77, "mmc_remove_host" },
	{ 0x1ab35ddf, "mmc_free_host" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0xfcdd3ded, "mmc_can_gpio_cd" },
	{ 0x122c3a7e, "_printk" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x977e2d86, "dma_request_chan" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xdc894f1a, "should_fail" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0x7c1c3168, "sg_miter_next" },
	{ 0x23a087a2, "sg_miter_stop" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x899fbd06, "seq_printf" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xdcb764ad, "memset" },
	{ 0xca9e957d, "__dma_sync_sg_for_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe9e95e18, "mmc_regulator_set_vqmmc" },
	{ 0x4f139bf4, "__pm_runtime_resume" },
	{ 0x827d8a32, "__pm_runtime_suspend" },
	{ 0x317fcce8, "mmc_gpio_get_ro" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x962f385c, "dmam_alloc_attrs" },
	{ 0x7f2f1536, "device_property_read_string_array" },
	{ 0x11f75d2, "device_property_present" },
	{ 0xb34e2c9a, "dma_set_mask" },
	{ 0xf0efe64b, "dma_set_coherent_mask" },
	{ 0x5bd69b0c, "sg_miter_start" },
	{ 0xa91a2714, "mmc_gpio_get_cd" },
	{ 0x7f16d3b3, "mmc_request_done" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0x1c070bd8, "mmc_regulator_set_ocr" },
	{ 0x3cc8f38f, "regulator_enable" },
	{ 0xc3293cf7, "regulator_disable" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x95a908ee, "mmc_alloc_host" },
	{ 0x2d72e2ed, "mmc_regulator_get_supply" },
	{ 0x72868442, "mmc_of_parse" },
	{ 0x9fed5e, "of_alias_get_id" },
	{ 0x2c8051e3, "mmc_add_host" },
	{ 0x13107c3a, "debugfs_create_file" },
	{ 0x4419dde5, "debugfs_create_u32" },
	{ 0x931f6e47, "debugfs_create_x64" },
	{ 0x7b9479d, "fault_create_debugfs_attr" },
	{ 0xb488bd02, "devm_clk_get" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0x7bfd68d, "__devm_reset_control_get" },
	{ 0xd80f18f2, "device_property_read_u32_array" },
	{ 0x4c55545d, "devm_request_threaded_irq" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x92f2a8c, "dev_err_probe" },
	{ 0x94d8056, "mmc_detect_change" },
	{ 0xc2686773, "sdio_signal_irq" },
	{ 0x5b66fa60, "seq_lseek" },
	{ 0x32f1e81b, "seq_read" },
	{ 0xa5c872a7, "single_release" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "683E21A4F77A1318A4BB6AD");
