#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb38aefe4, "clk_hw_get_name" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x378adfb7, "zynqmp_pm_sd_dll_reset" },
	{ 0xce316d7e, "zynqmp_pm_set_sd_tapdelay" },
	{ 0x122c3a7e, "_printk" },
	{ 0x514d2002, "sdhci_cqe_irq" },
	{ 0xf8c024e0, "cqhci_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xed826b94, "__platform_driver_register" },
	{ 0x815588a6, "clk_enable" },
	{ 0xe8215f2b, "sdhci_resume_host" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x49631f04, "phy_power_on" },
	{ 0x4a172208, "cqhci_resume" },
	{ 0xe600b50b, "cqhci_deactivate" },
	{ 0xb6d7437e, "sdhci_suspend_host" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x14ce27a9, "phy_power_off" },
	{ 0xb7329c06, "clk_set_phase" },
	{ 0x655fe73e, "sdhci_dumpregs" },
	{ 0x3b82c1cf, "platform_driver_unregister" },
	{ 0xf9ed9452, "of_property_read_variable_u32_array" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0x6a5a6c6c, "sdhci_reset" },
	{ 0x7bfd68d, "__devm_reset_control_get" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x70423efb, "zynqmp_pm_set_sd_config" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x6d5a834, "of_device_is_compatible" },
	{ 0xdcb764ad, "memset" },
	{ 0xcb824037, "regmap_write" },
	{ 0x207bb5ea, "regmap_update_bits_base" },
	{ 0x3cda949, "sdhci_enable_clk" },
	{ 0x7dc555af, "sdhci_execute_tuning" },
	{ 0x6d1c219a, "phy_exit" },
	{ 0x5b36a3ec, "of_find_property" },
	{ 0x72103e9c, "of_clk_del_provider" },
	{ 0x882e5b9c, "sdhci_pltfm_remove" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xe6d002d0, "sdhci_cqe_enable" },
	{ 0xd02a45e8, "of_property_read_string_helper" },
	{ 0xc569d8ce, "__clk_get_name" },
	{ 0xcae187b0, "devm_clk_register" },
	{ 0xd99afddf, "of_clk_src_simple_get" },
	{ 0x47b3cbf9, "of_clk_add_provider" },
	{ 0xc1e79586, "of_device_get_match_data" },
	{ 0x405bb40f, "sdhci_pltfm_init" },
	{ 0x2691b191, "__of_parse_phandle_with_args" },
	{ 0x88c69e1e, "syscon_node_to_regmap" },
	{ 0xe9d10d9d, "of_node_put" },
	{ 0x37bd21b8, "sdhci_get_property" },
	{ 0xb488bd02, "devm_clk_get" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x6da4b6e0, "sdhci_pltfm_free" },
	{ 0x8a28a4a0, "devm_clk_get_optional_enabled" },
	{ 0x72868442, "mmc_of_parse" },
	{ 0xeedfa62a, "zynqmp_pm_is_function_supported" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0xa049a5c5, "devm_phy_get" },
	{ 0xa507069a, "phy_init" },
	{ 0x8d7c1ad6, "sdhci_setup_host" },
	{ 0x92f2a8c, "dev_err_probe" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0xf61234f3, "cqhci_init" },
	{ 0x4e8e4e1e, "__sdhci_add_host" },
	{ 0x5aecd988, "sdhci_cleanup_host" },
	{ 0xd5f4880b, "sdhci_add_host" },
	{ 0x5b9953b2, "sdhci_set_clock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x800473f, "__cond_resched" },
	{ 0xf9a482f9, "msleep" },
	{ 0x7c56d16f, "sdhci_set_power_and_bus_voltage" },
	{ 0xa13f3709, "sdhci_pltfm_clk_get_max_clock" },
	{ 0x266307bb, "sdhci_set_bus_width" },
	{ 0xa8fb585e, "sdhci_set_uhs_signaling" },
	{ 0x7733bda2, "sdhci_cqe_disable" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "sdhci,cqhci,sdhci-pltfm");

MODULE_ALIAS("of:N*T*Crockchip,rk3399-sdhci-5.1");
MODULE_ALIAS("of:N*T*Crockchip,rk3399-sdhci-5.1C*");
MODULE_ALIAS("of:N*T*Cintel,lgm-sdhci-5.1-emmc");
MODULE_ALIAS("of:N*T*Cintel,lgm-sdhci-5.1-emmcC*");
MODULE_ALIAS("of:N*T*Cintel,lgm-sdhci-5.1-sdxc");
MODULE_ALIAS("of:N*T*Cintel,lgm-sdhci-5.1-sdxcC*");
MODULE_ALIAS("of:N*T*Cintel,keembay-sdhci-5.1-emmc");
MODULE_ALIAS("of:N*T*Cintel,keembay-sdhci-5.1-emmcC*");
MODULE_ALIAS("of:N*T*Cintel,keembay-sdhci-5.1-sd");
MODULE_ALIAS("of:N*T*Cintel,keembay-sdhci-5.1-sdC*");
MODULE_ALIAS("of:N*T*Cintel,keembay-sdhci-5.1-sdio");
MODULE_ALIAS("of:N*T*Cintel,keembay-sdhci-5.1-sdioC*");
MODULE_ALIAS("of:N*T*Carasan,sdhci-8.9a");
MODULE_ALIAS("of:N*T*Carasan,sdhci-8.9aC*");
MODULE_ALIAS("of:N*T*Carasan,sdhci-5.1");
MODULE_ALIAS("of:N*T*Carasan,sdhci-5.1C*");
MODULE_ALIAS("of:N*T*Carasan,sdhci-4.9a");
MODULE_ALIAS("of:N*T*Carasan,sdhci-4.9aC*");
MODULE_ALIAS("of:N*T*Cxlnx,zynqmp-8.9a");
MODULE_ALIAS("of:N*T*Cxlnx,zynqmp-8.9aC*");
MODULE_ALIAS("of:N*T*Cxlnx,versal-8.9a");
MODULE_ALIAS("of:N*T*Cxlnx,versal-8.9aC*");
MODULE_ALIAS("of:N*T*Cxlnx,versal-net-emmc");
MODULE_ALIAS("of:N*T*Cxlnx,versal-net-emmcC*");

MODULE_INFO(srcversion, "23E3C93915A391D3431D42C");
