#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x11f75d2, "device_property_present" },
	{ 0x266307bb, "sdhci_set_bus_width" },
	{ 0x8391ff7b, "sdhci_start_signal_voltage_switch" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0x3b82c1cf, "platform_driver_unregister" },
	{ 0x5b2ca68c, "of_address_to_resource" },
	{ 0x74ccc61, "pm_runtime_set_autosuspend_delay" },
	{ 0x6a5a6c6c, "sdhci_reset" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0xb488bd02, "devm_clk_get" },
	{ 0xd7094a04, "__pm_runtime_set_status" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x6da4b6e0, "sdhci_pltfm_free" },
	{ 0x1c070bd8, "mmc_regulator_set_ocr" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf693587e, "pm_runtime_enable" },
	{ 0xd80f18f2, "device_property_read_u32_array" },
	{ 0x800473f, "__cond_resched" },
	{ 0x6fe54262, "sdhci_runtime_resume_host" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x45bdfbfd, "sdhci_runtime_suspend_host" },
	{ 0x4a2c5625, "sdhci_set_ios" },
	{ 0x379cc63e, "device_property_read_string" },
	{ 0x37bd21b8, "sdhci_get_property" },
	{ 0xdbcbd433, "of_property_read_string" },
	{ 0x5b9953b2, "sdhci_set_clock" },
	{ 0xdcb764ad, "memset" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0xe401d208, "device_get_match_data" },
	{ 0x7dc555af, "sdhci_execute_tuning" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xed826b94, "__platform_driver_register" },
	{ 0xf0efe64b, "dma_set_coherent_mask" },
	{ 0xd5f4880b, "sdhci_add_host" },
	{ 0xa13f3709, "sdhci_pltfm_clk_get_max_clock" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x72868442, "mmc_of_parse" },
	{ 0x4f139bf4, "__pm_runtime_resume" },
	{ 0x6e3a6da7, "sdhci_enable_sdio_irq" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xbfc8b417, "devm_ioremap_resource" },
	{ 0x3a707c93, "pm_runtime_force_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4d0893bd, "sdhci_set_power_noreg" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xb34e2c9a, "dma_set_mask" },
	{ 0x405bb40f, "sdhci_pltfm_init" },
	{ 0x827d8a32, "__pm_runtime_suspend" },
	{ 0x81188c30, "match_string" },
	{ 0x91930acb, "__pm_runtime_use_autosuspend" },
	{ 0x568d4681, "__pm_runtime_disable" },
	{ 0x815588a6, "clk_enable" },
	{ 0xb3b109ef, "pm_runtime_force_suspend" },
	{ 0x12a920ba, "sdhci_remove_host" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "sdhci,sdhci-pltfm");

MODULE_ALIAS("acpi*:MRVL0002:*");
MODULE_ALIAS("acpi*:MRVL0003:*");
MODULE_ALIAS("acpi*:MRVL0004:*");
MODULE_ALIAS("of:N*T*Cmarvell,armada-ap806-sdhci");
MODULE_ALIAS("of:N*T*Cmarvell,armada-ap806-sdhciC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada-ap807-sdhci");
MODULE_ALIAS("of:N*T*Cmarvell,armada-ap807-sdhciC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada-cp110-sdhci");
MODULE_ALIAS("of:N*T*Cmarvell,armada-cp110-sdhciC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada-3700-sdhci");
MODULE_ALIAS("of:N*T*Cmarvell,armada-3700-sdhciC*");
MODULE_ALIAS("of:N*T*Cmarvell,ac5-sdhci");
MODULE_ALIAS("of:N*T*Cmarvell,ac5-sdhciC*");

MODULE_INFO(srcversion, "7C6231FD50E4BCECBFA9AC1");
