#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mux_chip_alloc, "_gpl", "");
KSYMTAB_FUNC(mux_chip_register, "_gpl", "");
KSYMTAB_FUNC(mux_chip_unregister, "_gpl", "");
KSYMTAB_FUNC(mux_chip_free, "_gpl", "");
KSYMTAB_FUNC(devm_mux_chip_alloc, "_gpl", "");
KSYMTAB_FUNC(devm_mux_chip_register, "_gpl", "");
KSYMTAB_FUNC(mux_control_states, "_gpl", "");
KSYMTAB_FUNC(mux_control_select_delay, "_gpl", "");
KSYMTAB_FUNC(mux_state_select_delay, "_gpl", "");
KSYMTAB_FUNC(mux_control_try_select_delay, "_gpl", "");
KSYMTAB_FUNC(mux_state_try_select_delay, "_gpl", "");
KSYMTAB_FUNC(mux_control_deselect, "_gpl", "");
KSYMTAB_FUNC(mux_state_deselect, "_gpl", "");
KSYMTAB_FUNC(mux_control_get, "_gpl", "");
KSYMTAB_FUNC(mux_control_put, "_gpl", "");
KSYMTAB_FUNC(devm_mux_control_get, "_gpl", "");
KSYMTAB_FUNC(devm_mux_state_get, "_gpl", "");

SYMBOL_CRC(mux_chip_alloc, 0xe166a8a0, "_gpl");
SYMBOL_CRC(mux_chip_register, 0x1ec8f6d6, "_gpl");
SYMBOL_CRC(mux_chip_unregister, 0x16ce34c2, "_gpl");
SYMBOL_CRC(mux_chip_free, 0x575b7770, "_gpl");
SYMBOL_CRC(devm_mux_chip_alloc, 0x392b477d, "_gpl");
SYMBOL_CRC(devm_mux_chip_register, 0x2fd3c552, "_gpl");
SYMBOL_CRC(mux_control_states, 0x713fceee, "_gpl");
SYMBOL_CRC(mux_control_select_delay, 0x4c01651b, "_gpl");
SYMBOL_CRC(mux_state_select_delay, 0xfa76e911, "_gpl");
SYMBOL_CRC(mux_control_try_select_delay, 0x0f66eb51, "_gpl");
SYMBOL_CRC(mux_state_try_select_delay, 0x0a65c89f, "_gpl");
SYMBOL_CRC(mux_control_deselect, 0x364eff14, "_gpl");
SYMBOL_CRC(mux_state_deselect, 0x7cf08396, "_gpl");
SYMBOL_CRC(mux_control_get, 0x4ff42d72, "_gpl");
SYMBOL_CRC(mux_control_put, 0xaa8f3f60, "_gpl");
SYMBOL_CRC(devm_mux_control_get, 0xf462f3a0, "_gpl");
SYMBOL_CRC(devm_mux_state_get, 0xce099c10, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xe9d10d9d, "of_node_put" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xdec5f1bf, "dev_set_name" },
	{ 0x99589ac1, "of_property_match_string" },
	{ 0xd54de68f, "device_match_of_node" },
	{ 0xcf2a6966, "up" },
	{ 0x3b9c57bf, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd1e9d3a, "devres_add" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8619869e, "put_device" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x61373533, "device_add" },
	{ 0x2691b191, "__of_parse_phandle_with_args" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4da76e58, "__devres_alloc_node" },
	{ 0xffb7c514, "ida_free" },
	{ 0x2e6fc05a, "class_unregister" },
	{ 0xe9ffc063, "down_trylock" },
	{ 0x61401cd3, "device_del" },
	{ 0xdcb764ad, "memset" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x36b6ebbf, "down_killable" },
	{ 0xaa3a3bb3, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0xda4e1eea, "class_find_device" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "330F3890F0AECD292E3B2B5");
