#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(m_can_check_mram_cfg, "_gpl", "");
KSYMTAB_FUNC(m_can_init_ram, "_gpl", "");
KSYMTAB_FUNC(m_can_class_get_clocks, "_gpl", "");
KSYMTAB_FUNC(m_can_class_allocate_dev, "_gpl", "");
KSYMTAB_FUNC(m_can_class_free_dev, "_gpl", "");
KSYMTAB_FUNC(m_can_class_register, "_gpl", "");
KSYMTAB_FUNC(m_can_class_unregister, "_gpl", "");
KSYMTAB_FUNC(m_can_class_suspend, "_gpl", "");
KSYMTAB_FUNC(m_can_class_resume, "_gpl", "");

SYMBOL_CRC(m_can_check_mram_cfg, 0xc135ec74, "_gpl");
SYMBOL_CRC(m_can_init_ram, 0xab4336f7, "_gpl");
SYMBOL_CRC(m_can_class_get_clocks, 0x8455ebb5, "_gpl");
SYMBOL_CRC(m_can_class_allocate_dev, 0x69bec0b6, "_gpl");
SYMBOL_CRC(m_can_class_free_dev, 0x6c93db7f, "_gpl");
SYMBOL_CRC(m_can_class_register, 0x708478b0, "_gpl");
SYMBOL_CRC(m_can_class_unregister, 0x8b1074e1, "_gpl");
SYMBOL_CRC(m_can_class_suspend, 0xf1f35b84, "_gpl");
SYMBOL_CRC(m_can_class_resume, 0xab73e75f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x9aaacae9, "__dev_fwnode" },
	{ 0xf3f34fd5, "fwnode_property_read_u32_array" },
	{ 0x596a9971, "alloc_candev_mqs" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0x9e0a114d, "free_candev" },
	{ 0x492fdb70, "netdev_err" },
	{ 0x7a9a7d4a, "can_rx_offload_get_echo_skb_queue_timestamp" },
	{ 0xe529f632, "can_get_echo_skb" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf021d3fb, "unregister_candev" },
	{ 0xf4af322e, "can_rx_offload_del" },
	{ 0x9504df26, "irq_wake_thread" },
	{ 0x2c068059, "can_free_echo_skb" },
	{ 0x373b0d5, "dql_reset" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xb488bd02, "devm_clk_get" },
	{ 0x3ac8793, "netdev_warn" },
	{ 0xbdc26b3b, "netif_napi_add_weight" },
	{ 0x4f139bf4, "__pm_runtime_resume" },
	{ 0x61f81ab3, "__pm_runtime_idle" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0x9f7484fa, "register_candev" },
	{ 0x92e9e137, "of_can_transceiver" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0xf2bba263, "can_rx_offload_add_manual" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0x69f2e923, "netif_tx_wake_queue" },
	{ 0x49631f04, "phy_power_on" },
	{ 0x2573d3af, "open_candev" },
	{ 0x14ce27a9, "phy_power_off" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xfe07dfd, "close_candev" },
	{ 0xad0c171b, "napi_enable" },
	{ 0xc268749, "can_rx_offload_enable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xdb763fe2, "napi_disable" },
	{ 0x24774d45, "pinctrl_pm_select_default_state" },
	{ 0xbe714ee0, "netif_device_attach" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0x30132990, "netif_schedule_queue" },
	{ 0xb5def6d0, "alloc_canfd_skb" },
	{ 0xedca3eab, "can_rx_offload_queue_timestamp" },
	{ 0xeb3085e, "alloc_can_skb" },
	{ 0x9f66a4ce, "sk_skb_reason_drop" },
	{ 0xf24849a9, "netif_receive_skb" },
	{ 0xe3c7bd1e, "__dynamic_netdev_dbg" },
	{ 0xf12d9387, "can_fd_dlc2len" },
	{ 0x338e80e9, "hrtimer_try_to_cancel" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0x871da0cd, "alloc_can_err_skb" },
	{ 0x9ddad07, "can_bus_off" },
	{ 0xa3534211, "pinctrl_pm_select_sleep_state" },
	{ 0xbafc27ae, "netif_device_detach" },
	{ 0x3c96fa2f, "hrtimer_active" },
	{ 0xc25a42ab, "napi_schedule_prep" },
	{ 0x617a9e4d, "can_rx_offload_threaded_irq_finish" },
	{ 0x6f7d2f61, "__napi_schedule" },
	{ 0xf07464e4, "hrtimer_forward" },
	{ 0xdb5b677b, "napi_complete_done" },
	{ 0xdcb764ad, "memset" },
	{ 0x626b52f0, "can_skb_get_frame_len" },
	{ 0x6047ede6, "can_fd_len2dlc" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x244efd4, "can_put_echo_skb" },
	{ 0xcfc393e4, "can_dropped_invalid_skb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9f43a51d, "netdev_printk" },
	{ 0xab70dae4, "softnet_data" },
	{ 0xe4373252, "ethtool_op_get_ts_info" },
	{ 0x2fb7146c, "can_change_mtu" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "can-dev");


MODULE_INFO(srcversion, "F93C83440E668DA123574E2");
