#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x468b22d, "mdiobus_alloc_size" },
	{ 0xe520c99, "b53_br_fast_age" },
	{ 0x24600a27, "devm_platform_ioremap_resource" },
	{ 0xbad7e05e, "of_remove_property" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x4c55545d, "devm_request_threaded_irq" },
	{ 0x1e2cb1ca, "ethtool_rx_flow_rule_destroy" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0xe9d10d9d, "of_node_put" },
	{ 0xf9ed9452, "of_property_read_variable_u32_array" },
	{ 0x3b82c1cf, "platform_driver_unregister" },
	{ 0x8fb27e4e, "of_phy_find_device" },
	{ 0xdd8a098d, "mdiobus_read_nested" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9f4046e4, "b53_get_ethtool_phy_stats" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x142d2cdf, "b53_get_ethtool_stats" },
	{ 0x85f03079, "b53_fdb_del" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x37a0cba, "kfree" },
	{ 0x61d0ab1e, "of_node_get" },
	{ 0x43a655a5, "dsa_switch_suspend" },
	{ 0xbfc85b2b, "of_find_node_by_name" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x94451f3c, "flow_rule_match_ipv4_addrs" },
	{ 0x8ab6dd69, "b53_vlan_filtering" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x6ad6907b, "of_get_next_available_child" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0xbfee71a3, "b53_mdb_add" },
	{ 0xc6c5c854, "of_find_compatible_node" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x8619869e, "put_device" },
	{ 0xd5136a50, "dsa_devlink_resources_unregister" },
	{ 0xe2fdcc90, "of_machine_compatible_match" },
	{ 0xa916b694, "strnlen" },
	{ 0xe08154e9, "b53_vlan_add" },
	{ 0xd424c7f4, "b53_get_strings" },
	{ 0xd8524a8b, "b53_br_join" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x3bec708b, "b53_switch_alloc" },
	{ 0x181f31a7, "b53_switch_register" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x1e743875, "dsa_port_phylink_mac_change" },
	{ 0xfc747034, "mdiobus_write_nested" },
	{ 0x3678dab3, "phy_device_remove" },
	{ 0x85cc00dc, "b53_get_sset_count" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x4f2bd9c6, "ethtool_rx_flow_rule_create" },
	{ 0x11458252, "b53_br_set_stp_state" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xcf1a4abf, "dsa_unregister_switch" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x5b36a3ec, "of_find_property" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x6022f042, "of_match_node" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb7df6e1a, "mdiobus_free" },
	{ 0x901228ea, "b53_mirror_add" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x2342d76f, "b53_configure_vlan" },
	{ 0xdcb764ad, "memset" },
	{ 0x34a5fc2e, "flow_rule_match_ports" },
	{ 0x8a6a9830, "phy_device_free" },
	{ 0x13bc7e51, "b53_mirror_del" },
	{ 0xc869bfe4, "b53_enable_port" },
	{ 0x41f14d64, "flow_rule_match_ipv6_addrs" },
	{ 0xdfd232fe, "b53_get_mac_eee" },
	{ 0xed826b94, "__platform_driver_register" },
	{ 0x7bfd68d, "__devm_reset_control_get" },
	{ 0xb78e35f5, "b53_eee_init" },
	{ 0x4b9181dd, "devm_clk_get_optional" },
	{ 0xab686963, "mdiobus_unregister" },
	{ 0x95cabc80, "of_get_phy_mode" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb256be20, "b53_fdb_add" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x559e722b, "b53_mdb_del" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc9ad94d3, "netif_carrier_off" },
	{ 0x227eb56b, "b53_br_leave" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb0478643, "__mdiobus_register" },
	{ 0xdbb39b74, "b53_br_flags" },
	{ 0xbe4c4d23, "phy_init_hw" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x83426d12, "b53_get_tag_protocol" },
	{ 0xcedcbdbe, "b53_br_flags_pre" },
	{ 0xaec84d22, "b53_set_mac_eee" },
	{ 0xa3f7e990, "b53_brcm_hdr_setup" },
	{ 0x1d8af63f, "irq_of_parse_and_map" },
	{ 0x3956cd49, "b53_fdb_dump" },
	{ 0x815588a6, "clk_enable" },
	{ 0x703822a6, "flow_rule_match_ip" },
	{ 0x4a02b1fb, "dsa_switch_shutdown" },
	{ 0xba3a26ab, "of_mdio_find_bus" },
	{ 0x1e7771fa, "b53_vlan_del" },
	{ 0x970eaf46, "dsa_switch_resume" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x49203c27, "b53_setup_devlink_resources" },
	{ 0x934d325c, "b53_disable_port" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "b53_common");

MODULE_ALIAS("of:N*T*Cbrcm,bcm4908-switch");
MODULE_ALIAS("of:N*T*Cbrcm,bcm4908-switchC*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm7445-switch-v4.0");
MODULE_ALIAS("of:N*T*Cbrcm,bcm7445-switch-v4.0C*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm7278-switch-v4.0");
MODULE_ALIAS("of:N*T*Cbrcm,bcm7278-switch-v4.0C*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm7278-switch-v4.8");
MODULE_ALIAS("of:N*T*Cbrcm,bcm7278-switch-v4.8C*");

MODULE_INFO(srcversion, "F2EEB50041B5C32CFCF88A8");
