#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x15ba50a6, "jiffies" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xdcb764ad, "memset" },
	{ 0x4829a47e, "memcpy" },
	{ 0xa6613056, "dma_unmap_page_attrs" },
	{ 0xd7c7d5c, "dev_kfree_skb_any_reason" },
	{ 0x840bee01, "phy_ethtool_ksettings_get" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37a0cba, "kfree" },
	{ 0x404667b0, "dma_free_attrs" },
	{ 0x39e7a97a, "phy_print_status" },
	{ 0x605d5bfa, "cache_line_size" },
	{ 0xbd541c97, "ssb_pcihost_register" },
	{ 0x16ea0bd7, "__ssb_driver_register" },
	{ 0xe1a350f8, "pci_unregister_driver" },
	{ 0x8c91698e, "ssb_driver_unregister" },
	{ 0x468b22d, "mdiobus_alloc_size" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xb0478643, "__mdiobus_register" },
	{ 0x90931c3, "mdiobus_is_registered_device" },
	{ 0xf3023c79, "phy_connect" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xa6f6d9c6, "phy_attached_info" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0xb7df6e1a, "mdiobus_free" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0xab686963, "mdiobus_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x46fb0ede, "dev_kfree_skb_irq_reason" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0x30132990, "netif_schedule_queue" },
	{ 0x69f2e923, "netif_tx_wake_queue" },
	{ 0x49ee7ce3, "unregister_netdev" },
	{ 0xb0a83f0f, "ssb_device_disable" },
	{ 0x964fba0a, "ssb_bus_may_powerdown" },
	{ 0x12e92ab7, "__netif_napi_del" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x2e9d1dca, "free_netdev" },
	{ 0x8cf7351e, "phy_disconnect" },
	{ 0xcfd729a4, "pci_set_power_state" },
	{ 0x698b966, "__dma_sync_single_for_device" },
	{ 0x5ca10ce4, "__dma_sync_single_for_cpu" },
	{ 0x3932f94, "netdev_info" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xc25a42ab, "napi_schedule_prep" },
	{ 0x6f7d2f61, "__napi_schedule" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xd399ce1a, "pci_read_config_word" },
	{ 0xf54d522d, "pci_write_config_word" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x492fdb70, "netdev_err" },
	{ 0xbaedacc7, "device_set_wakeup_enable" },
	{ 0x380bb05a, "phy_mii_ioctl" },
	{ 0x54fe50d5, "generic_mii_ioctl" },
	{ 0x439cd2a3, "ssb_device_is_enabled" },
	{ 0x87c16d3b, "ssb_device_enable" },
	{ 0x665e0271, "ssb_pcicore_dev_irqvecs_enable" },
	{ 0xdfb9abfd, "ssb_clockspeed" },
	{ 0xf7f5887d, "alloc_etherdev_mqs" },
	{ 0xbdc26b3b, "netif_napi_add_weight" },
	{ 0x9c678b52, "ssb_bus_powerup" },
	{ 0xb34e2c9a, "dma_set_mask" },
	{ 0xf0efe64b, "dma_set_coherent_mask" },
	{ 0x8dfabee7, "ssb_dma_translation" },
	{ 0x8fe7fc51, "dev_addr_mod" },
	{ 0x1ca4f351, "register_netdev" },
	{ 0xc9ad94d3, "netif_carrier_off" },
	{ 0xb2a00e3, "device_set_wakeup_capable" },
	{ 0x122c3a7e, "_printk" },
	{ 0x373b0d5, "dql_reset" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xbafc27ae, "netif_device_detach" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xdb763fe2, "napi_disable" },
	{ 0xb36ff769, "phy_stop" },
	{ 0x2fae313d, "phy_ethtool_ksettings_set" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0xaa985d4e, "netif_carrier_on" },
	{ 0x3ac8793, "netdev_warn" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x5409cff7, "__netdev_alloc_skb" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xb4c63861, "dma_map_page_attrs" },
	{ 0x95463bb7, "__alloc_skb" },
	{ 0x34070452, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xbe714ee0, "netif_device_attach" },
	{ 0x845f920a, "napi_alloc_skb" },
	{ 0xc2af5a6, "skb_put" },
	{ 0xffceeeb5, "eth_type_trans" },
	{ 0xf24849a9, "netif_receive_skb" },
	{ 0xb6476d61, "skb_pull" },
	{ 0xdb5b677b, "napi_complete_done" },
	{ 0x642cc440, "dma_alloc_attrs" },
	{ 0xad0c171b, "napi_enable" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x24d273d1, "add_timer" },
	{ 0xdf611f9b, "phy_start" },
	{ 0x64cd86f, "eth_validate_addr" },
	{ 0xfb7b1730, "ethtool_op_get_link" },
	{ 0xcb74520d, "param_ops_int" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "ssb");

MODULE_ALIAS("ssb:v4243id0806rev*");
MODULE_ALIAS("pci:v000014E4d00004401sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004402sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000170Csv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "182B1D9CBA7712F01A7368C");
