#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cnic_register_driver, "", "");
KSYMTAB_FUNC(cnic_unregister_driver, "", "");

SYMBOL_CRC(cnic_register_driver, 0x3b66969a, "");
SYMBOL_CRC(cnic_unregister_driver, 0x636af174, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf9a482f9, "msleep" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x404667b0, "dma_free_attrs" },
	{ 0x642cc440, "dma_alloc_attrs" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x9c7353eb, "uio_event_notify" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x492fdb70, "netdev_err" },
	{ 0xdcb764ad, "memset" },
	{ 0x3ac8793, "netdev_warn" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x7ee7ac5d, "init_net" },
	{ 0x39ed8622, "ip6_route_output_flags" },
	{ 0x8500f07e, "dst_release" },
	{ 0x37a0cba, "kfree" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x8573dcbb, "uio_unregister_device" },
	{ 0x4413fecd, "pci_dev_put" },
	{ 0xc528a49a, "queued_write_lock_slowpath" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x122c3a7e, "_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x3932f94, "netdev_info" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x800473f, "__cond_resched" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x8d3e0394, "pci_dev_get" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xc6ae011, "ip_route_output_flow" },
	{ 0x462c5c15, "vlan_dev_real_dev" },
	{ 0x65070d00, "vlan_dev_vlan_id" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x5359e8dc, "__kvmalloc_node_noprof" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x617c452b, "queued_read_lock_slowpath" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xc8819d68, "__uio_register_device" },
	{ 0xc6cbbc89, "capable" },
	{ 0xe2964344, "__wake_up" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "uio");


MODULE_INFO(srcversion, "D821889AADDCFF10E754D5D");
