#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3620bc61, "xsk_tx_completed" },
	{ 0x845f920a, "napi_alloc_skb" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xf7f5887d, "alloc_etherdev_mqs" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x44901dbc, "xp_alloc" },
	{ 0xffdc8235, "napi_gro_frags" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x9161142d, "bpf_prog_put" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x22e015ca, "xp_dma_map" },
	{ 0xe62f4ba2, "skb_copy_bits" },
	{ 0xb4ff356f, "dma_pool_create" },
	{ 0x25fa08f6, "pci_msix_vec_count" },
	{ 0x8344b777, "pci_enable_device" },
	{ 0xeffe1416, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x41ba7aeb, "pci_iomap" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xbdc26b3b, "netif_napi_add_weight" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4e671beb, "dump_page" },
	{ 0x49ee7ce3, "unregister_netdev" },
	{ 0x9a409be7, "napi_get_frags" },
	{ 0xa6613056, "dma_unmap_page_attrs" },
	{ 0x43ba1bed, "__pci_register_driver" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x87b4d3f3, "pci_request_regions" },
	{ 0x4829a47e, "memcpy" },
	{ 0x94961283, "vunmap" },
	{ 0x37a0cba, "kfree" },
	{ 0xbdae928c, "xdp_do_redirect" },
	{ 0x3ac8793, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x12e92ab7, "__netif_napi_del" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0xe1a350f8, "pci_unregister_driver" },
	{ 0x492fdb70, "netdev_err" },
	{ 0xf4ee861a, "pskb_expand_head" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x34070452, "dev_driver_string" },
	{ 0x8fe7fc51, "dev_addr_mod" },
	{ 0x4c437cda, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xffceeeb5, "eth_type_trans" },
	{ 0xb4c63861, "dma_map_page_attrs" },
	{ 0xdb5b677b, "napi_complete_done" },
	{ 0x122c3a7e, "_printk" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x6f7d2f61, "__napi_schedule" },
	{ 0xdc070a1c, "pci_enable_msix_range" },
	{ 0xa916b694, "strnlen" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0xecb7ae28, "napi_gro_receive" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xcdf474a9, "xdp_rxq_info_is_reg" },
	{ 0x5ca10ce4, "__dma_sync_single_for_cpu" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xcea4261d, "__irq_apply_affinity_hint" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0xab70dae4, "softnet_data" },
	{ 0xacce839d, "cpu_bit_bitmap" },
	{ 0xd6553172, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x8f9753ee, "xsk_tx_peek_desc" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x82013be2, "netif_set_real_num_tx_queues" },
	{ 0x9f66a4ce, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xd40f97f4, "irq_get_irq_data" },
	{ 0x2eadb402, "netif_set_real_num_rx_queues" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x642cc440, "dma_alloc_attrs" },
	{ 0xad0c171b, "napi_enable" },
	{ 0x33273102, "xsk_uses_need_wakeup" },
	{ 0x1ca4f351, "register_netdev" },
	{ 0x2e9d1dca, "free_netdev" },
	{ 0x1f89f564, "xsk_get_pool_from_qid" },
	{ 0xe0233335, "vmap" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbb9c0973, "__put_devmap_managed_folio_refs" },
	{ 0xfb7b1730, "ethtool_op_get_link" },
	{ 0x95de0e37, "netif_set_xps_queue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x9663604d, "pci_iounmap" },
	{ 0x69f2e923, "netif_tx_wake_queue" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xdcb764ad, "memset" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0x30132990, "netif_schedule_queue" },
	{ 0xaff5b1dd, "pci_set_master" },
	{ 0xa86fbee8, "__pskb_pull_tail" },
	{ 0x70756c, "xp_dma_unmap" },
	{ 0xe3c7bd1e, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf0efe64b, "dma_set_coherent_mask" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x43a8d207, "xsk_set_tx_need_wakeup" },
	{ 0x404667b0, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x35beca42, "pci_release_regions" },
	{ 0x698b966, "__dma_sync_single_for_device" },
	{ 0x8bddc3ec, "xp_set_rxq_info" },
	{ 0xfd8ae64d, "xdp_rxq_info_unreg" },
	{ 0xa873d5b5, "__folio_put" },
	{ 0xd2adf171, "__xdp_rxq_info_reg" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc9ad94d3, "netif_carrier_off" },
	{ 0xaa985d4e, "netif_carrier_on" },
	{ 0x373b0d5, "dql_reset" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x28eda9d3, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x557d1823, "alloc_pages_noprof" },
	{ 0xebaddcc6, "pci_disable_device" },
	{ 0x3a77ba0c, "xp_free" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xb34e2c9a, "dma_set_mask" },
	{ 0xc198c6bd, "netif_set_tso_max_size" },
	{ 0xfc138b47, "skb_add_rx_frag_netmem" },
	{ 0x7141d3f7, "page_frag_cache_drain" },
	{ 0x4fb8e731, "xdp_master_redirect" },
	{ 0xa91c433f, "__page_frag_alloc_align" },
	{ 0xbfe37010, "xp_raw_get_data" },
	{ 0x9da672ca, "__napi_schedule_irqoff" },
	{ 0xc25a42ab, "napi_schedule_prep" },
	{ 0x708b295, "napi_consume_skb" },
	{ 0xdb763fe2, "napi_disable" },
	{ 0xd7c7d5c, "dev_kfree_skb_any_reason" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd371b0df, "vcalloc_noprof" },
	{ 0x5359e8dc, "__kvmalloc_node_noprof" },
	{ 0x4e62ef2c, "skb_clone_tx_timestamp" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe4373252, "ethtool_op_get_ts_info" },
	{ 0xc3544d10, "xsk_tx_release" },
	{ 0x3932f94, "netdev_info" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00001AE0d00000042sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "869E67399F8F3AFAC2D29B9");
