#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ixgbe_xdp_locking_key, "", "");

SYMBOL_CRC(ixgbe_xdp_locking_key, 0xbaa35511, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc48a0fa6, "netdev_crit" },
	{ 0x92cb609e, "__tracepoint_xdp_exception" },
	{ 0x3620bc61, "xsk_tx_completed" },
	{ 0x845f920a, "napi_alloc_skb" },
	{ 0xf7f5887d, "alloc_etherdev_mqs" },
	{ 0x48117b21, "secpath_set" },
	{ 0x571dff42, "mdiobus_c45_read" },
	{ 0xffb5089c, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x44901dbc, "xp_alloc" },
	{ 0x209375fe, "dev_get_stats" },
	{ 0xbaedacc7, "device_set_wakeup_enable" },
	{ 0xd853fe12, "pcie_capability_read_word" },
	{ 0xab90cd8a, "__skb_pad" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x907c5b4f, "pci_find_ext_capability" },
	{ 0x9161142d, "bpf_prog_put" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x22e015ca, "xp_dma_map" },
	{ 0xe62f4ba2, "skb_copy_bits" },
	{ 0xb4ff356f, "dma_pool_create" },
	{ 0x60b73b66, "param_ops_uint" },
	{ 0x495231ea, "mul_u64_u64_div_u64" },
	{ 0xdbaa67a4, "pci_request_selected_regions" },
	{ 0x64efd98d, "pci_release_selected_regions" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0x4288d82c, "pci_wake_from_d3" },
	{ 0xc2af5a6, "skb_put" },
	{ 0xeffe1416, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xdc6c9cfa, "pci_enable_device_mem" },
	{ 0x4679fb71, "consume_skb" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xbdc26b3b, "netif_napi_add_weight" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x317d8b6b, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4413fecd, "pci_dev_put" },
	{ 0xc8089c04, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x17a0aa31, "ndo_dflt_bridge_getlink" },
	{ 0x49ee7ce3, "unregister_netdev" },
	{ 0xdc969dad, "xdp_convert_zc_to_xdp_frame" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xca1b34d1, "xdp_features_set_redirect_target" },
	{ 0x6dd04304, "__kmalloc_node_noprof" },
	{ 0x4c2afe3d, "pci_get_device" },
	{ 0xa6613056, "dma_unmap_page_attrs" },
	{ 0x838eb641, "vmalloc_node_noprof" },
	{ 0xf7370f56, "system_state" },
	{ 0x43ba1bed, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0xa8eea8b1, "pci_num_vf" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xaa783c17, "dev_trans_start" },
	{ 0xb68458a1, "pci_disable_msi" },
	{ 0xe414fb5b, "ptp_clock_index" },
	{ 0x7c709594, "___pskb_trim" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xbdae928c, "xdp_do_redirect" },
	{ 0x64cd86f, "eth_validate_addr" },
	{ 0xbb4f4766, "simple_write_to_buffer" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x3ac8793, "netdev_warn" },
	{ 0xbc6b983b, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xcfd729a4, "pci_set_power_state" },
	{ 0xd4f86adb, "xdp_rxq_info_unreg_mem_model" },
	{ 0x12e92ab7, "__netif_napi_del" },
	{ 0x49ca83, "xfrm_aead_get_byname" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xe1a350f8, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x35fdef2a, "netdev_features_change" },
	{ 0x492fdb70, "netdev_err" },
	{ 0xf4ee861a, "pskb_expand_head" },
	{ 0xd7ed180c, "mdiobus_c45_write" },
	{ 0x389b64a2, "static_key_count" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x34070452, "dev_driver_string" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0x8fe7fc51, "dev_addr_mod" },
	{ 0x4c437cda, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xffceeeb5, "eth_type_trans" },
	{ 0x3dea7ab3, "pci_read_config_dword" },
	{ 0xb4c63861, "dma_map_page_attrs" },
	{ 0xdb5b677b, "napi_complete_done" },
	{ 0xd7b909d4, "__alloc_pages_noprof" },
	{ 0x122c3a7e, "_printk" },
	{ 0x61e45e3e, "ndo_dflt_fdb_add" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xc037dde3, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xdc070a1c, "pci_enable_msix_range" },
	{ 0xb31e1254, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x95463bb7, "__alloc_skb" },
	{ 0xbafc27ae, "netif_device_detach" },
	{ 0x618911fc, "numa_node" },
	{ 0x581e9a37, "__free_pages" },
	{ 0x51136605, "dev_addr_add" },
	{ 0xc8d16490, "__hw_addr_unsync_dev" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0xecb7ae28, "napi_gro_receive" },
	{ 0xbe714ee0, "netif_device_attach" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0xc68451e9, "xdp_features_clear_redirect_target" },
	{ 0xe64b6826, "pci_select_bars" },
	{ 0x32a2c60a, "netdev_pick_tx" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x2021f502, "xp_raw_get_dma" },
	{ 0x40346e26, "eth_get_headlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xf09add98, "device_wakeup_disable" },
	{ 0xaeeec582, "flow_block_cb_setup_simple" },
	{ 0x800473f, "__cond_resched" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x52b549a, "__skb_get_hash_net" },
	{ 0x5ca10ce4, "__dma_sync_single_for_cpu" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x9373e7d0, "pci_enable_msi" },
	{ 0xcea4261d, "__irq_apply_affinity_hint" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0xab70dae4, "softnet_data" },
	{ 0x2d938670, "simple_open" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xd6553172, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xf79c4542, "ptp_clock_register" },
	{ 0xf0299c83, "dcb_ieee_getapp_mask" },
	{ 0x8f9753ee, "xsk_tx_peek_desc" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x90794060, "__traceiter_xdp_exception" },
	{ 0x82013be2, "netif_set_real_num_tx_queues" },
	{ 0x9f66a4ce, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x2eadb402, "netif_set_real_num_rx_queues" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x78381d09, "pci_get_domain_bus_and_slot" },
	{ 0x642cc440, "dma_alloc_attrs" },
	{ 0x495eed8e, "debugfs_remove" },
	{ 0x5cacf14f, "pcie_flr" },
	{ 0xd399ce1a, "pci_read_config_word" },
	{ 0xad0c171b, "napi_enable" },
	{ 0x1ae1b6b6, "xsk_clear_rx_need_wakeup" },
	{ 0x33273102, "xsk_uses_need_wakeup" },
	{ 0x1ca4f351, "register_netdev" },
	{ 0x3d4f5621, "mdiobus_read" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x2e9d1dca, "free_netdev" },
	{ 0x1f89f564, "xsk_get_pool_from_qid" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xfb7b1730, "ethtool_op_get_link" },
	{ 0x145c8336, "eth_platform_get_mac_address" },
	{ 0x95de0e37, "netif_set_xps_queue" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x8ba8c93d, "dev_addr_del" },
	{ 0xfc943800, "netif_tx_stop_all_queues" },
	{ 0x4656f3ed, "pci_restore_state" },
	{ 0x69f2e923, "netif_tx_wake_queue" },
	{ 0xd81b8685, "netdev_set_sb_channel" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xd553910f, "dcb_getapp" },
	{ 0x443f0512, "devm_hwmon_device_register_with_groups" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xdcb764ad, "memset" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xb436ba7a, "ptp_clock_event" },
	{ 0x30132990, "netif_schedule_queue" },
	{ 0xaff5b1dd, "pci_set_master" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x424e572b, "netdev_set_tc_queue" },
	{ 0x90c0cf53, "ptp_clock_unregister" },
	{ 0xa86fbee8, "__pskb_pull_tail" },
	{ 0x70756c, "xp_dma_unmap" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xf521073a, "devm_mdiobus_alloc_size" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe3c7bd1e, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2a87e246, "netdev_unbind_sb_channel" },
	{ 0xf0efe64b, "dma_set_coherent_mask" },
	{ 0x8933ac5a, "netdev_walk_all_upper_dev_rcu" },
	{ 0x889213d8, "__page_frag_cache_drain" },
	{ 0xab686963, "mdiobus_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x2cbf4ff6, "ipv6_find_hdr" },
	{ 0xd6d1e1e8, "netdev_bind_sb_channel_queue" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x13107c3a, "debugfs_create_file" },
	{ 0x43a8d207, "xsk_set_tx_need_wakeup" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xb82bcc6f, "netdev_reset_tc" },
	{ 0x404667b0, "dma_free_attrs" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x999e8297, "vfree" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x14c5dd46, "param_ops_bool" },
	{ 0x698b966, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x9ec7f4f3, "pcie_print_link_status" },
	{ 0x8bddc3ec, "xp_set_rxq_info" },
	{ 0xfd8ae64d, "xdp_rxq_info_unreg" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xdaceb7a6, "mdio_mii_ioctl" },
	{ 0xad83cfb7, "mdiobus_write" },
	{ 0x8d3e0394, "pci_dev_get" },
	{ 0x2495b0bd, "napi_build_skb" },
	{ 0xd2adf171, "__xdp_rxq_info_reg" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc9ad94d3, "netif_carrier_off" },
	{ 0xb3c1ea16, "__hw_addr_sync_dev" },
	{ 0xf9b662f8, "pci_disable_sriov" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xaa985d4e, "netif_carrier_on" },
	{ 0x7d8bf959, "netdev_set_num_tc" },
	{ 0x373b0d5, "dql_reset" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xb0478643, "__mdiobus_register" },
	{ 0x28eda9d3, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xebaddcc6, "pci_disable_device" },
	{ 0x3a77ba0c, "xp_free" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x51155c7f, "dev_uc_add" },
	{ 0xb34e2c9a, "dma_set_mask" },
	{ 0xc198c6bd, "netif_set_tso_max_size" },
	{ 0x5986a5d8, "dma_unmap_sg_attrs" },
	{ 0xfc138b47, "skb_add_rx_frag_netmem" },
	{ 0x4fb8e731, "xdp_master_redirect" },
	{ 0x9da672ca, "__napi_schedule_irqoff" },
	{ 0xc25a42ab, "napi_schedule_prep" },
	{ 0x708b295, "napi_consume_skb" },
	{ 0x7bc85d2e, "pci_sriov_set_totalvfs" },
	{ 0x98cf60b3, "strlen" },
	{ 0xdb763fe2, "napi_disable" },
	{ 0xd7c7d5c, "dev_kfree_skb_any_reason" },
	{ 0xe5254b18, "dcb_ieee_delapp" },
	{ 0xcb74520d, "param_ops_int" },
	{ 0xe820ea6a, "debugfs_create_dir" },
	{ 0xf54d522d, "pci_write_config_word" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x9e95fede, "pci_enable_sriov" },
	{ 0x4e62ef2c, "skb_clone_tx_timestamp" },
	{ 0x3e632955, "dcb_ieee_setapp" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe4373252, "ethtool_op_get_ts_info" },
	{ 0xc3544d10, "xsk_tx_release" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x3932f94, "netdev_info" },
	{ 0x60443957, "mdio45_probe" },
	{ 0x992d47c0, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x7073737c, "pci_get_dsn" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "mdio");

MODULE_ALIAS("pci:v00008086d000010B6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000010C6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000010C7sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000010C8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000150Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000010DDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000010ECsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000010F1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000010E1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000010F4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000010DBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001508sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000010F7sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000010FCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001517sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000010FBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001507sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001514sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000010F9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000152Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001529sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000151Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000010F8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001528sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000154Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000154Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001558sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001557sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000154Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001560sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001563sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015D1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015AAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015B0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015ABsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015ADsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015ACsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015AEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015C2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015C3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015C4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015C6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015C7sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015C8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015CEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015E4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015E5sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "30F8A1AF344292112FBC471");
