#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__otx2_mbox_reset, "", "");
KSYMTAB_FUNC(otx2_mbox_reset, "", "");
KSYMTAB_FUNC(otx2_mbox_destroy, "", "");
KSYMTAB_FUNC(otx2_mbox_init, "", "");
KSYMTAB_FUNC(otx2_mbox_regions_init, "", "");
KSYMTAB_FUNC(otx2_mbox_wait_for_rsp, "", "");
KSYMTAB_FUNC(otx2_mbox_busy_poll_for_rsp, "", "");
KSYMTAB_FUNC(otx2_mbox_msg_send, "", "");
KSYMTAB_FUNC(otx2_mbox_msg_send_up, "", "");
KSYMTAB_FUNC(otx2_mbox_wait_for_zero, "", "");
KSYMTAB_FUNC(otx2_mbox_alloc_msg_rsp, "", "");
KSYMTAB_FUNC(otx2_mbox_get_rsp, "", "");
KSYMTAB_FUNC(otx2_mbox_check_rsp_msgs, "", "");
KSYMTAB_FUNC(otx2_reply_invalid_msg, "", "");
KSYMTAB_FUNC(otx2_mbox_nonempty, "", "");
KSYMTAB_FUNC(otx2_mbox_id2name, "", "");
KSYMTAB_DATA(__tracepoint_otx2_msg_alloc, "", "");
KSYMTAB_FUNC(__traceiter_otx2_msg_alloc, "", "");
KSYMTAB_DATA(__SCK__tp_func_otx2_msg_alloc, "", "");
KSYMTAB_DATA(__tracepoint_otx2_msg_interrupt, "", "");
KSYMTAB_FUNC(__traceiter_otx2_msg_interrupt, "", "");
KSYMTAB_DATA(__SCK__tp_func_otx2_msg_interrupt, "", "");
KSYMTAB_DATA(__tracepoint_otx2_msg_process, "", "");
KSYMTAB_FUNC(__traceiter_otx2_msg_process, "", "");
KSYMTAB_DATA(__SCK__tp_func_otx2_msg_process, "", "");

SYMBOL_CRC(__otx2_mbox_reset, 0x4f154990, "");
SYMBOL_CRC(otx2_mbox_reset, 0xed9829ed, "");
SYMBOL_CRC(otx2_mbox_destroy, 0x57ccdd04, "");
SYMBOL_CRC(otx2_mbox_init, 0x74098c17, "");
SYMBOL_CRC(otx2_mbox_regions_init, 0x20966c82, "");
SYMBOL_CRC(otx2_mbox_wait_for_rsp, 0x4f98c5fb, "");
SYMBOL_CRC(otx2_mbox_busy_poll_for_rsp, 0x9b6a149f, "");
SYMBOL_CRC(otx2_mbox_msg_send, 0x5ad6f674, "");
SYMBOL_CRC(otx2_mbox_msg_send_up, 0x16770d34, "");
SYMBOL_CRC(otx2_mbox_wait_for_zero, 0xfd929d54, "");
SYMBOL_CRC(otx2_mbox_alloc_msg_rsp, 0xfb83d52b, "");
SYMBOL_CRC(otx2_mbox_get_rsp, 0x65037898, "");
SYMBOL_CRC(otx2_mbox_check_rsp_msgs, 0xbd1051ce, "");
SYMBOL_CRC(otx2_reply_invalid_msg, 0x8246ebd4, "");
SYMBOL_CRC(otx2_mbox_nonempty, 0xb01e2d8c, "");
SYMBOL_CRC(otx2_mbox_id2name, 0x8f772a3f, "");
SYMBOL_CRC(__tracepoint_otx2_msg_alloc, 0x24ec38de, "");
SYMBOL_CRC(__traceiter_otx2_msg_alloc, 0xa4fdc716, "");
SYMBOL_CRC(__SCK__tp_func_otx2_msg_alloc, 0x6365a74f, "");
SYMBOL_CRC(__tracepoint_otx2_msg_interrupt, 0xc704095c, "");
SYMBOL_CRC(__traceiter_otx2_msg_interrupt, 0xf292a8fa, "");
SYMBOL_CRC(__SCK__tp_func_otx2_msg_interrupt, 0x364e8761, "");
SYMBOL_CRC(__tracepoint_otx2_msg_process, 0xc619ea5d, "");
SYMBOL_CRC(__traceiter_otx2_msg_process, 0xe7334f47, "");
SYMBOL_CRC(__SCK__tp_func_otx2_msg_process, 0xcef3985a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4506c655, "bpf_trace_run4" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x93b9a682, "trace_raw_output_prep" },
	{ 0x556be6e0, "__trace_trigger_soft_disabled" },
	{ 0xcb6b138, "trace_event_printf" },
	{ 0x3f7c8b8f, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0xfb6dfa14, "trace_event_buffer_commit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x4bb807c7, "perf_trace_run_bpf_submit" },
	{ 0x2092327, "trace_event_reg" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xdcb764ad, "memset" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2da8d207, "bpf_trace_run3" },
	{ 0xda2d7a21, "trace_event_buffer_reserve" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x98cf60b3, "strlen" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C0A388F6B5E1A6EE2EBDDAC");
