#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mlx5_core_uplink_netdev_event_replay, "", "");
KSYMTAB_FUNC(mlx5_core_mp_event_replay, "", "");
KSYMTAB_FUNC(mlx5_is_roce_on, "", "");
KSYMTAB_FUNC(mlx5_vf_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_vf_put_core_dev, "", "");
KSYMTAB_FUNC(mlx5_cmd_out_err, "", "");
KSYMTAB_FUNC(mlx5_cmd_check, "", "");
KSYMTAB_FUNC(mlx5_cmd_do, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_polling, "", "");
KSYMTAB_FUNC(mlx5_cmd_init_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_cleanup_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_cb, "", "");
KSYMTAB_DATA(mlx5_debugfs_root, "", "");
KSYMTAB_FUNC(mlx5_debugfs_get_dev_root, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_init, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_cleanup, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_add, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_remove, "", "");
KSYMTAB_FUNC(mlx5_core_query_vendor_id, "", "");
KSYMTAB_FUNC(mlx5_eq_enable, "", "");
KSYMTAB_FUNC(mlx5_eq_disable, "", "");
KSYMTAB_FUNC(mlx5_eq_create_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_destroy_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_get_eqe, "", "");
KSYMTAB_FUNC(mlx5_eq_update_ci, "", "");
KSYMTAB_FUNC(mlx5_comp_eqn_get, "", "");
KSYMTAB_FUNC(mlx5_comp_eqn_get_low, "", "");
KSYMTAB_FUNC(mlx5_comp_eqn_put_low, "", "");
KSYMTAB_FUNC(mlx5_comp_irqn_get, "", "");
KSYMTAB_FUNC(mlx5_comp_vectors_max, "", "");
KSYMTAB_FUNC(mlx5_comp_vector_get_cpu, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_get_uars_page, "", "");
KSYMTAB_FUNC(mlx5_put_uars_page, "", "");
KSYMTAB_FUNC(mlx5_alloc_bfreg, "", "");
KSYMTAB_FUNC(mlx5_free_bfreg, "", "");
KSYMTAB_FUNC(mlx5_core_attach_mcg, "", "");
KSYMTAB_FUNC(mlx5_core_detach_mcg, "", "");
KSYMTAB_FUNC(mlx5_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_cq, "", "");
KSYMTAB_FUNC(mlx5_core_query_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq_moderation, "", "");
KSYMTAB_FUNC(mlx5_frag_buf_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_frag_buf_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array_perm, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array, "_gpl", "");
KSYMTAB_FUNC(mlx5_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_caps, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ptys, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_ib_port_oper, "", "");
KSYMTAB_FUNC(mlx5_toggle_port_link, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_max_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_oper_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom_by_page, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_vl_hw_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_query_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_create_psv, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_psv, "", "");
KSYMTAB_FUNC(mlx5_core_get_terminate_scatter_list_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_create_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_rq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rq, "", "");
KSYMTAB_FUNC(mlx5_core_query_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq_state, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_tir, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tir, "", "");
KSYMTAB_FUNC(mlx5_core_create_tis, "", "");
KSYMTAB_FUNC(mlx5_core_modify_tis, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tis, "", "");
KSYMTAB_FUNC(mlx5_core_create_rqt, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rqt, "", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_vlans, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_qkey_viol_cntr, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_gid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_pkey, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_update_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_query_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_enable_roce, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_disable_roce, "", "");
KSYMTAB_FUNC(mlx5_core_query_vport_counter, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_modify_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_affiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_unaffiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_vport_get_other_func_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_create_flow_table, "", "");
KSYMTAB_FUNC(mlx5_flow_table_id, "", "");
KSYMTAB_FUNC(mlx5_create_lag_demux_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_auto_grouped_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_flow_group, "", "");
KSYMTAB_FUNC(mlx5_add_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_del_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_table, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_group, "", "");
KSYMTAB_FUNC(mlx5_get_fdb_sub_ns, "", "");
KSYMTAB_FUNC(mlx5_get_flow_namespace, "", "");
KSYMTAB_FUNC(mlx5_fs_add_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_fs_remove_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_modify_header_alloc, "", "");
KSYMTAB_FUNC(mlx5_modify_header_dealloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_alloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_dealloc, "", "");
KSYMTAB_FUNC(mlx5_fc_create, "", "");
KSYMTAB_FUNC(mlx5_fc_id, "", "");
KSYMTAB_FUNC(mlx5_fc_destroy, "", "");
KSYMTAB_FUNC(mlx5_fc_query, "", "");
KSYMTAB_FUNC(mlx5_rl_is_in_range, "", "");
KSYMTAB_FUNC(mlx5_rl_are_equal, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate, "", "");
KSYMTAB_FUNC(mlx5_cmd_create_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_cmd_destroy_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_cmd_query_cong_counter, "", "");
KSYMTAB_FUNC(mlx5_lag_is_roce, "", "");
KSYMTAB_FUNC(mlx5_lag_is_active, "", "");
KSYMTAB_FUNC(mlx5_lag_mode_is_hash, "", "");
KSYMTAB_FUNC(mlx5_lag_is_master, "", "");
KSYMTAB_FUNC(mlx5_lag_is_sriov, "", "");
KSYMTAB_FUNC(mlx5_lag_is_shared_fdb, "", "");
KSYMTAB_FUNC(mlx5_lag_get_roce_netdev, "", "");
KSYMTAB_FUNC(mlx5_lag_get_slave_port, "", "");
KSYMTAB_FUNC(mlx5_lag_get_num_ports, "", "");
KSYMTAB_FUNC(mlx5_lag_get_next_peer_mdev, "", "");
KSYMTAB_FUNC(mlx5_lag_query_cong_counters, "", "");
KSYMTAB_FUNC(mlx5_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_core_reserved_gids_count, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_roce_gid_set, "", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_dealloc, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_set_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fw, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fw, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fw, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_create, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_destroy, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_next, "", "");
KSYMTAB_FUNC(mlx5_wc_support_get, "", "");
KSYMTAB_FUNC(mlx5_lag_is_mpesw, "", "");
KSYMTAB_FUNC(mlx5_eswitch_mode, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_encap_mode, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_total_vports, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_add_send_to_vport_rule, "", "");
KSYMTAB_FUNC(mlx5_eswitch_register_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_unregister_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_uplink_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_rep, "", "");
KSYMTAB_FUNC(mlx5_eswitch_reg_c1_loopback_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_match_metadata_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_match, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_set, "", "");
KSYMTAB_FUNC(mlx5_mpfs_add_mac, "", "");
KSYMTAB_FUNC(mlx5_mpfs_del_mac, "", "");
KSYMTAB_FUNC(mlx5_rdma_rn_get_params, "", "");
KSYMTAB_FUNC(mlx5_ipsec_device_caps, "_gpl", "");

SYMBOL_CRC(mlx5_core_uplink_netdev_event_replay, 0xa0a5a69a, "");
SYMBOL_CRC(mlx5_core_mp_event_replay, 0xf4922a24, "");
SYMBOL_CRC(mlx5_is_roce_on, 0x5648fbba, "");
SYMBOL_CRC(mlx5_vf_get_core_dev, 0x438c028c, "");
SYMBOL_CRC(mlx5_vf_put_core_dev, 0xfef514d1, "");
SYMBOL_CRC(mlx5_cmd_out_err, 0x6297d34c, "");
SYMBOL_CRC(mlx5_cmd_check, 0x0532b7f6, "");
SYMBOL_CRC(mlx5_cmd_do, 0x59bc2ade, "");
SYMBOL_CRC(mlx5_cmd_exec, 0x0302877e, "");
SYMBOL_CRC(mlx5_cmd_exec_polling, 0xbc68e5e2, "");
SYMBOL_CRC(mlx5_cmd_init_async_ctx, 0xb4017741, "");
SYMBOL_CRC(mlx5_cmd_cleanup_async_ctx, 0x922f35cb, "");
SYMBOL_CRC(mlx5_cmd_exec_cb, 0x3312177d, "");
SYMBOL_CRC(mlx5_debugfs_root, 0xc38fdfec, "");
SYMBOL_CRC(mlx5_debugfs_get_dev_root, 0x51469a87, "");
SYMBOL_CRC(mlx5_qp_debugfs_init, 0x2fc53cb1, "");
SYMBOL_CRC(mlx5_qp_debugfs_cleanup, 0xc4492a8e, "");
SYMBOL_CRC(mlx5_debug_qp_add, 0x08d37865, "");
SYMBOL_CRC(mlx5_debug_qp_remove, 0xc88f38b4, "");
SYMBOL_CRC(mlx5_core_query_vendor_id, 0x45701d71, "");
SYMBOL_CRC(mlx5_eq_enable, 0x466a44a2, "");
SYMBOL_CRC(mlx5_eq_disable, 0xfe624aa9, "");
SYMBOL_CRC(mlx5_eq_create_generic, 0xa83b4362, "");
SYMBOL_CRC(mlx5_eq_destroy_generic, 0x82744e18, "");
SYMBOL_CRC(mlx5_eq_get_eqe, 0x915d5b6d, "");
SYMBOL_CRC(mlx5_eq_update_ci, 0x3883c5e7, "");
SYMBOL_CRC(mlx5_comp_eqn_get, 0xb86b2802, "");
SYMBOL_CRC(mlx5_comp_eqn_get_low, 0x15ac6858, "");
SYMBOL_CRC(mlx5_comp_eqn_put_low, 0x589cd5aa, "");
SYMBOL_CRC(mlx5_comp_irqn_get, 0xc92a6a38, "");
SYMBOL_CRC(mlx5_comp_vectors_max, 0x386fecbf, "");
SYMBOL_CRC(mlx5_comp_vector_get_cpu, 0x184ffcd4, "");
SYMBOL_CRC(mlx5_eq_notifier_register, 0x013326ef, "");
SYMBOL_CRC(mlx5_eq_notifier_unregister, 0x9db8ccf5, "");
SYMBOL_CRC(mlx5_get_uars_page, 0xe4a10218, "");
SYMBOL_CRC(mlx5_put_uars_page, 0x6f8706be, "");
SYMBOL_CRC(mlx5_alloc_bfreg, 0xf7ae95bb, "");
SYMBOL_CRC(mlx5_free_bfreg, 0xdc8d6ef5, "");
SYMBOL_CRC(mlx5_core_attach_mcg, 0x1e8dfd31, "");
SYMBOL_CRC(mlx5_core_detach_mcg, 0x6ca16aa3, "");
SYMBOL_CRC(mlx5_create_cq, 0x3a0488e0, "");
SYMBOL_CRC(mlx5_core_create_cq, 0xf9a97682, "");
SYMBOL_CRC(mlx5_core_destroy_cq, 0x866f71b6, "");
SYMBOL_CRC(mlx5_core_query_cq, 0x878426a5, "");
SYMBOL_CRC(mlx5_core_modify_cq, 0x6efad164, "");
SYMBOL_CRC(mlx5_core_modify_cq_moderation, 0xa7cdb96f, "");
SYMBOL_CRC(mlx5_frag_buf_alloc_node, 0x89e1838d, "_gpl");
SYMBOL_CRC(mlx5_frag_buf_free, 0x87dfbb6d, "_gpl");
SYMBOL_CRC(mlx5_db_alloc_node, 0x2399c9e3, "_gpl");
SYMBOL_CRC(mlx5_db_free, 0xb00eb881, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array_perm, 0x81aadc6a, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array, 0x072460c4, "_gpl");
SYMBOL_CRC(mlx5_access_reg, 0x8512c6ae, "_gpl");
SYMBOL_CRC(mlx5_core_access_reg, 0x0a1f3e50, "_gpl");
SYMBOL_CRC(mlx5_set_port_caps, 0xd1a4edc4, "_gpl");
SYMBOL_CRC(mlx5_query_port_ptys, 0xf7736190, "_gpl");
SYMBOL_CRC(mlx5_query_ib_port_oper, 0xfd5facf5, "");
SYMBOL_CRC(mlx5_toggle_port_link, 0xe7302e2b, "_gpl");
SYMBOL_CRC(mlx5_set_port_admin_status, 0xbec24712, "_gpl");
SYMBOL_CRC(mlx5_query_port_admin_status, 0xf2444b52, "_gpl");
SYMBOL_CRC(mlx5_set_port_mtu, 0xfc315893, "_gpl");
SYMBOL_CRC(mlx5_query_port_max_mtu, 0xf9dca3f9, "_gpl");
SYMBOL_CRC(mlx5_query_port_oper_mtu, 0xb078d414, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom, 0x1b5e66c5, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom_by_page, 0xd65c07bb, "_gpl");
SYMBOL_CRC(mlx5_query_port_vl_hw_cap, 0xff0a821d, "_gpl");
SYMBOL_CRC(mlx5_set_port_pause, 0xa998871b, "_gpl");
SYMBOL_CRC(mlx5_query_port_pause, 0x611c5f42, "_gpl");
SYMBOL_CRC(mlx5_set_port_pfc, 0x725194f8, "_gpl");
SYMBOL_CRC(mlx5_query_port_pfc, 0xd05acb71, "_gpl");
SYMBOL_CRC(mlx5_set_port_prio_tc, 0x3c9224e7, "_gpl");
SYMBOL_CRC(mlx5_query_port_prio_tc, 0x6113bbc0, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_group, 0x88b5403d, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_group, 0x2d25968a, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_bw_alloc, 0x696c5367, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_bw_alloc, 0xd9ce16a9, "_gpl");
SYMBOL_CRC(mlx5_modify_port_ets_rate_limit, 0xf5947c22, "_gpl");
SYMBOL_CRC(mlx5_query_port_ets_rate_limit, 0x3c093a5f, "_gpl");
SYMBOL_CRC(mlx5_set_port_wol, 0x7b80b520, "_gpl");
SYMBOL_CRC(mlx5_query_port_wol, 0x7bc7f2a7, "_gpl");
SYMBOL_CRC(mlx5_core_create_mkey, 0x0188ea02, "");
SYMBOL_CRC(mlx5_core_destroy_mkey, 0x6fdc0689, "");
SYMBOL_CRC(mlx5_core_query_mkey, 0xb2b0c69d, "");
SYMBOL_CRC(mlx5_core_create_psv, 0xf0a8d04b, "");
SYMBOL_CRC(mlx5_core_destroy_psv, 0xd1683865, "");
SYMBOL_CRC(mlx5_core_get_terminate_scatter_list_mkey, 0x3f1e05ba, "");
SYMBOL_CRC(mlx5_core_alloc_pd, 0x29937111, "");
SYMBOL_CRC(mlx5_core_dealloc_pd, 0x7ff618ad, "");
SYMBOL_CRC(mlx5_core_alloc_transport_domain, 0xc9abbde6, "");
SYMBOL_CRC(mlx5_core_dealloc_transport_domain, 0xe4ab3ad3, "");
SYMBOL_CRC(mlx5_core_create_rq, 0xbf0af4c4, "");
SYMBOL_CRC(mlx5_core_modify_rq, 0x53cdea34, "");
SYMBOL_CRC(mlx5_core_destroy_rq, 0x7a1fe9ad, "");
SYMBOL_CRC(mlx5_core_query_rq, 0xb4ba2719, "");
SYMBOL_CRC(mlx5_core_modify_sq, 0xa28a3b38, "");
SYMBOL_CRC(mlx5_core_query_sq, 0x45fdf615, "");
SYMBOL_CRC(mlx5_core_query_sq_state, 0xa330240f, "_gpl");
SYMBOL_CRC(mlx5_core_create_tir, 0x39302445, "");
SYMBOL_CRC(mlx5_core_destroy_tir, 0x87d99231, "");
SYMBOL_CRC(mlx5_core_create_tis, 0x30772fbf, "");
SYMBOL_CRC(mlx5_core_modify_tis, 0xbcc0053f, "");
SYMBOL_CRC(mlx5_core_destroy_tis, 0xd810866e, "");
SYMBOL_CRC(mlx5_core_create_rqt, 0xf13bb367, "");
SYMBOL_CRC(mlx5_core_destroy_rqt, 0x45d30085, "");
SYMBOL_CRC(mlx5_query_nic_vport_min_inline, 0x598536f5, "_gpl");
SYMBOL_CRC(mlx5_query_min_inline, 0x66e44194, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_address, 0x5ff9aef9, "_gpl");
SYMBOL_CRC(mlx5_query_mac_address, 0xf0de8361, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_address, 0x6f022723, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mtu, 0x0b658d0c, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mtu, 0x6d62bcf1, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_list, 0x66827fe7, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_list, 0x159369db, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_vlans, 0x9f949fe7, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_system_image_guid, 0xd461479d, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_node_guid, 0x79bb530e, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_qkey_viol_cntr, 0xe0cd2a31, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_gid, 0x8a828656, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_pkey, 0xabca015a, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_context, 0x2c644d58, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_system_image_guid, 0xf331d92b, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_node_guid, 0xb07e8bbf, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_promisc, 0xa3aa5b6c, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_promisc, 0x2dd56552, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_update_local_lb, 0xd4636eb5, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_query_local_lb, 0xeb888a76, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_enable_roce, 0xe6a1cea8, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_disable_roce, 0x936ad65b, "");
SYMBOL_CRC(mlx5_core_query_vport_counter, 0xbb74ee28, "_gpl");
SYMBOL_CRC(mlx5_core_modify_hca_vport_context, 0xf24d3896, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_affiliate_multiport, 0xb6ca3929, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_unaffiliate_multiport, 0xc486ae1a, "_gpl");
SYMBOL_CRC(mlx5_query_nic_system_image_guid, 0xea162f4b, "_gpl");
SYMBOL_CRC(mlx5_vport_get_other_func_cap, 0xbcfe6a82, "_gpl");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_unregister, 0xad2f7ecf, "");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_register, 0xa5e847c9, "");
SYMBOL_CRC(mlx5_create_flow_table, 0x23bb3f50, "");
SYMBOL_CRC(mlx5_flow_table_id, 0xa85e04b7, "");
SYMBOL_CRC(mlx5_create_lag_demux_flow_table, 0xe5ad0cad, "");
SYMBOL_CRC(mlx5_create_auto_grouped_flow_table, 0x888a2246, "");
SYMBOL_CRC(mlx5_create_flow_group, 0x5c6e2b0d, "");
SYMBOL_CRC(mlx5_add_flow_rules, 0x89d0b1ea, "");
SYMBOL_CRC(mlx5_del_flow_rules, 0xafc29d8e, "");
SYMBOL_CRC(mlx5_destroy_flow_table, 0xcc002b85, "");
SYMBOL_CRC(mlx5_destroy_flow_group, 0xb28dbbe8, "");
SYMBOL_CRC(mlx5_get_fdb_sub_ns, 0xfff2bf0a, "");
SYMBOL_CRC(mlx5_get_flow_namespace, 0xecd8594d, "");
SYMBOL_CRC(mlx5_fs_add_rx_underlay_qpn, 0x4d73352e, "");
SYMBOL_CRC(mlx5_fs_remove_rx_underlay_qpn, 0x54c69c12, "");
SYMBOL_CRC(mlx5_modify_header_alloc, 0x9ebfd159, "");
SYMBOL_CRC(mlx5_modify_header_dealloc, 0x9d09a2ce, "");
SYMBOL_CRC(mlx5_packet_reformat_alloc, 0x5fd86a69, "");
SYMBOL_CRC(mlx5_packet_reformat_dealloc, 0xd6a813bd, "");
SYMBOL_CRC(mlx5_fc_create, 0x538fa013, "");
SYMBOL_CRC(mlx5_fc_id, 0x96eb2c99, "");
SYMBOL_CRC(mlx5_fc_destroy, 0x29a79f5c, "");
SYMBOL_CRC(mlx5_fc_query, 0x213f5989, "");
SYMBOL_CRC(mlx5_rl_is_in_range, 0x11716b4c, "");
SYMBOL_CRC(mlx5_rl_are_equal, 0x61492bb7, "");
SYMBOL_CRC(mlx5_rl_add_rate_raw, 0x597181e5, "");
SYMBOL_CRC(mlx5_rl_remove_rate_raw, 0x7c985eda, "");
SYMBOL_CRC(mlx5_rl_add_rate, 0x6c0687dd, "");
SYMBOL_CRC(mlx5_rl_remove_rate, 0x52ee6c51, "");
SYMBOL_CRC(mlx5_cmd_create_vport_lag, 0x2e6ada71, "");
SYMBOL_CRC(mlx5_cmd_destroy_vport_lag, 0xa1e1ec57, "");
SYMBOL_CRC(mlx5_cmd_query_cong_counter, 0xd2a36f35, "");
SYMBOL_CRC(mlx5_lag_is_roce, 0xcf11958d, "");
SYMBOL_CRC(mlx5_lag_is_active, 0xb361f8ce, "");
SYMBOL_CRC(mlx5_lag_mode_is_hash, 0x92d098a4, "");
SYMBOL_CRC(mlx5_lag_is_master, 0x256aba90, "");
SYMBOL_CRC(mlx5_lag_is_sriov, 0x1d6c28e2, "");
SYMBOL_CRC(mlx5_lag_is_shared_fdb, 0x77e622be, "");
SYMBOL_CRC(mlx5_lag_get_roce_netdev, 0x88fadcb5, "");
SYMBOL_CRC(mlx5_lag_get_slave_port, 0x603e9a18, "");
SYMBOL_CRC(mlx5_lag_get_num_ports, 0xf4d5e5ed, "");
SYMBOL_CRC(mlx5_lag_get_next_peer_mdev, 0x3e4863b4, "");
SYMBOL_CRC(mlx5_lag_query_cong_counters, 0x080493af, "");
SYMBOL_CRC(mlx5_notifier_register, 0xe33abebc, "");
SYMBOL_CRC(mlx5_notifier_unregister, 0x20a19047, "");
SYMBOL_CRC(mlx5_blocking_notifier_register, 0x2a72487f, "");
SYMBOL_CRC(mlx5_blocking_notifier_unregister, 0x94a88aab, "");
SYMBOL_CRC(mlx5_core_reserved_gids_count, 0x9f79f95a, "_gpl");
SYMBOL_CRC(mlx5_core_roce_gid_set, 0x5348d243, "");
SYMBOL_CRC(mlx5_dm_sw_icm_alloc, 0x6d4b07ae, "_gpl");
SYMBOL_CRC(mlx5_dm_sw_icm_dealloc, 0x85730c0d, "_gpl");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_ft, 0x73fc1d8e, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_ft, 0xab521f6e, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_ft, 0x3475821f, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_ft, 0xdae8aa4d, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_ft, 0xd020dd1f, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_ft, 0x9d6135dc, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_fg, 0x12135c1c, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_fg, 0x1c57c524, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_fg, 0x559ac38d, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fg, 0xbb07ebdf, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fg, 0xba5c2f4f, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fg, 0xfc8e744e, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_set_fte, 0xf52e1946, "");
SYMBOL_CRC(__traceiter_mlx5_fs_set_fte, 0x2159bf85, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_set_fte, 0x7261330b, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fte, 0x6cd5a182, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fte, 0x4aedea6d, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fte, 0xeb9a8bcf, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_rule, 0xf06725b6, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_rule, 0x9e31c9ec, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_rule, 0xf88d57b1, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_rule, 0x45b52e00, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_rule, 0x5ed395f6, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_rule, 0x4d5f5c07, "");
SYMBOL_CRC(__tracepoint_mlx5_fw, 0x4d62e046, "");
SYMBOL_CRC(__traceiter_mlx5_fw, 0xa203b6db, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fw, 0x7b359a09, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_create, 0x29a4e23b, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_destroy, 0xad6815cd, "");
SYMBOL_CRC(mlx5_rsc_dump_next, 0x6d0da09c, "");
SYMBOL_CRC(mlx5_wc_support_get, 0x2f0cd28a, "");
SYMBOL_CRC(mlx5_lag_is_mpesw, 0x1d64e5c4, "");
SYMBOL_CRC(mlx5_eswitch_mode, 0xbe7fce93, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_encap_mode, 0xeac67fc2, "");
SYMBOL_CRC(mlx5_eswitch_get_total_vports, 0xb470052b, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_core_dev, 0x9d272ff9, "");
SYMBOL_CRC(mlx5_eswitch_add_send_to_vport_rule, 0x214a685d, "");
SYMBOL_CRC(mlx5_eswitch_register_vport_reps, 0xa5e52a9d, "");
SYMBOL_CRC(mlx5_eswitch_unregister_vport_reps, 0x47924dbf, "");
SYMBOL_CRC(mlx5_eswitch_get_proto_dev, 0x4b57c66c, "");
SYMBOL_CRC(mlx5_eswitch_uplink_get_proto_dev, 0x55b3c60d, "");
SYMBOL_CRC(mlx5_eswitch_vport_rep, 0x4ccd6507, "");
SYMBOL_CRC(mlx5_eswitch_reg_c1_loopback_enabled, 0x495bff63, "");
SYMBOL_CRC(mlx5_eswitch_vport_match_metadata_enabled, 0xe6ad8054, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_match, 0x58d2143f, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_set, 0x36d83d36, "");
SYMBOL_CRC(mlx5_mpfs_add_mac, 0xffcdda52, "");
SYMBOL_CRC(mlx5_mpfs_del_mac, 0xae3a5cff, "");
SYMBOL_CRC(mlx5_rdma_rn_get_params, 0x11987c82, "");
SYMBOL_CRC(mlx5_ipsec_device_caps, 0x1b9d8b7e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92cb609e, "__tracepoint_xdp_exception" },
	{ 0x22e43dbd, "__inet_lookup_established" },
	{ 0x3620bc61, "xsk_tx_completed" },
	{ 0x845f920a, "napi_alloc_skb" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xf7f5887d, "alloc_etherdev_mqs" },
	{ 0x26dd815e, "netdev_lower_get_next" },
	{ 0x48117b21, "secpath_set" },
	{ 0xc5c80f8, "flow_block_cb_lookup" },
	{ 0xffb5089c, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x705185bd, "devl_rate_leaf_create" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x44901dbc, "xp_alloc" },
	{ 0xd853fe12, "pcie_capability_read_word" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6a4d3b4f, "devl_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x26bdef41, "flow_rule_match_enc_keyid" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x9161142d, "bpf_prog_put" },
	{ 0xf1fb01b9, "page_pool_get_stats" },
	{ 0x92e683f5, "down_timeout" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x8d039641, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xfb06957f, "pci_cfg_access_unlock" },
	{ 0x22e015ca, "xp_dma_map" },
	{ 0x4506c655, "bpf_trace_run4" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xa7ba2111, "devlink_unregister" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xe62f4ba2, "skb_copy_bits" },
	{ 0xbebaed22, "debugfs_attr_write" },
	{ 0xb4ff356f, "dma_pool_create" },
	{ 0x60b73b66, "param_ops_uint" },
	{ 0x495231ea, "mul_u64_u64_div_u64" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x25fa08f6, "pci_msix_vec_count" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x8344b777, "pci_enable_device" },
	{ 0xc2af5a6, "skb_put" },
	{ 0xeffe1416, "skb_tstamp_tx" },
	{ 0x6a76e187, "devlink_fmsg_binary_pair_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x154b6fe3, "call_switchdev_notifiers" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0xe3ff2c41, "get_random_u64" },
	{ 0x2df638ab, "flow_indr_dev_register" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x7e626fce, "register_fib_notifier" },
	{ 0x9c9173b7, "auxiliary_device_init" },
	{ 0x5c171c7c, "ip6_dst_hoplimit" },
	{ 0xe712cab5, "netdev_update_features" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xe25b9861, "flow_rule_match_enc_ip" },
	{ 0xfe13a601, "trace_seq_printf" },
	{ 0xedc724c0, "pci_alloc_irq_vectors" },
	{ 0xbdc26b3b, "netif_napi_add_weight" },
	{ 0x1215aabc, "pci_enable_atomic_ops_to_root" },
	{ 0xe600abbd, "seq_release" },
	{ 0x9d5f5eb1, "dev_add_pack" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4e671beb, "dump_page" },
	{ 0xd9916c3a, "idr_alloc_u32" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x9d43a157, "devlink_fmsg_u32_pair_put" },
	{ 0x93b9a682, "trace_raw_output_prep" },
	{ 0x8e50f0bc, "devlink_fmsg_arr_pair_nest_end" },
	{ 0xea5776e5, "xsk_clear_tx_need_wakeup" },
	{ 0x44efd09a, "udp4_hwcsum" },
	{ 0x1b6865c, "xa_get_mark" },
	{ 0x6a3c918, "devl_lock" },
	{ 0xc8089c04, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x17a0aa31, "ndo_dflt_bridge_getlink" },
	{ 0x49ee7ce3, "unregister_netdev" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0xdc969dad, "xdp_convert_zc_to_xdp_frame" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0xca9360b5, "rb_next" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x556be6e0, "__trace_trigger_soft_disabled" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0xfdadafa8, "flow_rule_match_tcp" },
	{ 0x6dd04304, "__kmalloc_node_noprof" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0x3d65bd6d, "register_netdevice_notifier_dev_net" },
	{ 0xa6613056, "dma_unmap_page_attrs" },
	{ 0xcb6b138, "trace_event_printf" },
	{ 0xa594060a, "devlink_health_reporter_create" },
	{ 0x96848186, "scnprintf" },
	{ 0xf8e92c44, "flow_rule_match_cvlan" },
	{ 0xe02c9c92, "__xa_erase" },
	{ 0x43ba1bed, "__pci_register_driver" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xcf2a6966, "up" },
	{ 0x99f7371c, "refcount_dec_and_mutex_lock" },
	{ 0x6d83af4a, "xdp_rxq_info_unused" },
	{ 0xedc03953, "iounmap" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0xa8eea8b1, "pci_num_vf" },
	{ 0x33986e5c, "debugfs_create_atomic_t" },
	{ 0xa06aee8e, "flow_rule_match_eth_addrs" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x1a8b6bc7, "xfrm_state_check_expire" },
	{ 0xd7162b1c, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xe414fb5b, "ptp_clock_index" },
	{ 0x87b4d3f3, "pci_request_regions" },
	{ 0x7c709594, "___pskb_trim" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0x3f7c8b8f, "trace_event_raw_init" },
	{ 0xb6000734, "flow_block_cb_free" },
	{ 0xc99f20c0, "devl_port_fn_devlink_set" },
	{ 0x4829a47e, "memcpy" },
	{ 0x7453c690, "xp_can_alloc" },
	{ 0x5d5a87b9, "psample_sample_packet" },
	{ 0x8a1df058, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0xbb400bfc, "devlink_alloc_ns" },
	{ 0x3d519a85, "devl_rate_leaf_destroy" },
	{ 0x515824d8, "alloc_cpumask_var_node" },
	{ 0xf5268dbd, "pci_sriov_get_totalvfs" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xbac910ae, "devlink_register" },
	{ 0x40cd1a0, "devlink_remote_reload_actions_performed" },
	{ 0xf8c3f39f, "devlink_fmsg_obj_nest_end" },
	{ 0x5b66fa60, "seq_lseek" },
	{ 0xba6a8b08, "page_pool_destroy" },
	{ 0xbdae928c, "xdp_do_redirect" },
	{ 0x48832e1d, "devlink_free" },
	{ 0xdf9ecc63, "tls_get_record" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc4e40b90, "bpf_trace_run2" },
	{ 0xff1e9dd8, "seq_list_start" },
	{ 0x3ac8793, "netdev_warn" },
	{ 0x530e0f8c, "devl_health_reporter_destroy" },
	{ 0xbc6b983b, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe5bbe7d7, "devl_rate_nodes_destroy" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xbfd79310, "pci_irq_vector" },
	{ 0x94451f3c, "flow_rule_match_ipv4_addrs" },
	{ 0xc6ae011, "ip_route_output_flow" },
	{ 0x12e92ab7, "__netif_napi_del" },
	{ 0xe5ce1a56, "rhashtable_walk_enter" },
	{ 0x1281003, "devlink_fmsg_binary_put" },
	{ 0x3494ac55, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0x6027b89a, "sched_numa_hop_mask" },
	{ 0xd239cafc, "sock_gen_put" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0xe1a350f8, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x907d14d, "blocking_notifier_chain_register" },
	{ 0x492fdb70, "netdev_err" },
	{ 0x990e41d0, "pci_cfg_access_lock" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x389b64a2, "static_key_count" },
	{ 0xc1070983, "register_netdevice_notifier_net" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x34070452, "dev_driver_string" },
	{ 0x2a785c1d, "netdev_port_same_parent_id" },
	{ 0xfb6dfa14, "trace_event_buffer_commit" },
	{ 0x8fe7fc51, "dev_addr_mod" },
	{ 0x4c437cda, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x84a0ca4d, "bitmap_zalloc_node" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xafc892e2, "ptp_find_pin" },
	{ 0xffceeeb5, "eth_type_trans" },
	{ 0x3dea7ab3, "pci_read_config_dword" },
	{ 0xcedafaa5, "request_firmware_direct" },
	{ 0x80cd669f, "flow_rule_match_icmp" },
	{ 0x12ae9fe6, "auxiliary_driver_unregister" },
	{ 0xb4c63861, "dma_map_page_attrs" },
	{ 0x5566284a, "trace_seq_putc" },
	{ 0xdb5b677b, "napi_complete_done" },
	{ 0xd7b909d4, "__alloc_pages_noprof" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0xca17ac01, "_find_next_andnot_bit" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x5b7a6486, "devlink_port_attrs_pci_vf_set" },
	{ 0x90013ea6, "priv_to_devlink" },
	{ 0x823eae06, "blocking_notifier_call_chain" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0x617c452b, "queued_read_lock_slowpath" },
	{ 0x5dfdb5c4, "vlan_dev_vlan_proto" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b9997fb, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x8619869e, "put_device" },
	{ 0x7f52071a, "net_dim" },
	{ 0x6f7d2f61, "__napi_schedule" },
	{ 0xcfbd5d71, "devlink_port_health_reporter_create" },
	{ 0x605d5bfa, "cache_line_size" },
	{ 0xbf0c8380, "pcie_relaxed_ordering_enabled" },
	{ 0xb31e1254, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0xe534f13d, "devlink_port_attrs_pci_pf_set" },
	{ 0x98ff62d9, "flow_rule_match_enc_ipv4_addrs" },
	{ 0xbafc27ae, "netif_device_detach" },
	{ 0x618911fc, "numa_node" },
	{ 0x581e9a37, "__free_pages" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0x862b1a79, "skb_vlan_pop" },
	{ 0xecb7ae28, "napi_gro_receive" },
	{ 0xbe714ee0, "netif_device_attach" },
	{ 0x2b9b3a95, "devl_resource_register" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0x32a2c60a, "netdev_pick_tx" },
	{ 0x4d66aa96, "flow_indr_dev_unregister" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x2021f502, "xp_raw_get_dma" },
	{ 0x40346e26, "eth_get_headlen" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0xcdf474a9, "xdp_rxq_info_is_reg" },
	{ 0xa5967325, "flow_rule_match_enc_opts" },
	{ 0xc2c5802, "work_busy" },
	{ 0x92bd31db, "devlink_net" },
	{ 0x7fcc1f2e, "devlink_fmsg_bool_pair_put" },
	{ 0x5a01e8ab, "free_fib_info" },
	{ 0x1591b2c6, "hyperv_read_cfg_blk" },
	{ 0x6d6767fe, "devl_health_reporter_create" },
	{ 0xaeeec582, "flow_block_cb_setup_simple" },
	{ 0x800473f, "__cond_resched" },
	{ 0x289d2ff, "pci_msix_can_alloc_dyn" },
	{ 0x60195b48, "flow_rule_match_basic" },
	{ 0xeb347bac, "unregister_netdevice_notifier_dev_net" },
	{ 0x323e342, "pci_find_capability" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0xb48df5af, "pci_iov_vf_id" },
	{ 0x4b27d977, "devlink_fmsg_arr_pair_nest_start" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x579acfde, "debugfs_attr_read" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x8a37931f, "flow_rule_match_ct" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0x462c5c15, "vlan_dev_real_dev" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x5ca10ce4, "__dma_sync_single_for_cpu" },
	{ 0x93042c72, "pci_msix_free_irq" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xa247b83b, "__dev_get_by_index" },
	{ 0x4bb807c7, "perf_trace_run_bpf_submit" },
	{ 0x461dfab1, "devlink_fmsg_pair_nest_start" },
	{ 0xcea4261d, "__irq_apply_affinity_hint" },
	{ 0x276f0145, "devlink_port_unregister" },
	{ 0x736251f5, "dev_get_port_parent_id" },
	{ 0x57bc19d2, "down_write" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x7ee7ac5d, "init_net" },
	{ 0xce807a25, "up_write" },
	{ 0xab70dae4, "softnet_data" },
	{ 0x6474338, "ipv6_stub" },
	{ 0x2d938670, "simple_open" },
	{ 0xb6476d61, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xacce839d, "cpu_bit_bitmap" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xd6553172, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x9295faf0, "simple_attr_release" },
	{ 0xf79c4542, "ptp_clock_register" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0xacc6a7bd, "devl_nested_devlink_set" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x8f9753ee, "xsk_tx_peek_desc" },
	{ 0xf136cf72, "hwmon_device_register_with_info" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x90794060, "__traceiter_xdp_exception" },
	{ 0xafaa6031, "_find_next_and_bit" },
	{ 0x82013be2, "netif_set_real_num_tx_queues" },
	{ 0x8ec9aec2, "devlink_fmsg_u8_pair_put" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x9f66a4ce, "sk_skb_reason_drop" },
	{ 0xb521cebf, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xd40f97f4, "irq_get_irq_data" },
	{ 0xcc59f66, "dev_remove_pack" },
	{ 0x2eadb402, "netif_set_real_num_rx_queues" },
	{ 0x6626afca, "down" },
	{ 0xea03c881, "dev_get_by_index" },
	{ 0x44494c12, "bpf_trace_run5" },
	{ 0xc1c9b4cc, "flow_indr_block_cb_alloc" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x1a0460a6, "skb_store_bits" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6aa6c3b8, "devl_port_register_with_ops" },
	{ 0xfffcb06b, "dev_get_by_index_rcu" },
	{ 0x9f43a51d, "netdev_printk" },
	{ 0x954f099c, "idr_preload" },
	{ 0xc4d702d9, "mlxfw_firmware_flash" },
	{ 0x929e4028, "devlink_fmsg_u32_put" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xa1cc32d8, "pcie_capability_clear_and_set_word_locked" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbfe0703a, "skb_push" },
	{ 0xbc037f7, "kmem_cache_free" },
	{ 0x642cc440, "dma_alloc_attrs" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x495eed8e, "debugfs_remove" },
	{ 0xd399ce1a, "pci_read_config_word" },
	{ 0xad0c171b, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x1ae1b6b6, "xsk_clear_rx_need_wakeup" },
	{ 0x11156b9c, "unregister_netdevice_notifier_net" },
	{ 0x5fb0b1a8, "auxiliary_device_sysfs_irq_remove" },
	{ 0x33273102, "xsk_uses_need_wakeup" },
	{ 0x1ca4f351, "register_netdev" },
	{ 0x331b6c12, "unregister_fib_notifier" },
	{ 0x2092327, "trace_event_reg" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x31f55ea8, "devlink_port_attrs_pci_sf_set" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x1af267f8, "int_pow" },
	{ 0x5cede0a7, "xdp_flush_frame_bulk" },
	{ 0x574348ab, "debugfs_create_u64" },
	{ 0xffb7c514, "ida_free" },
	{ 0x2e9d1dca, "free_netdev" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0x221394ae, "hyperv_reg_block_invalidate" },
	{ 0x521004e0, "debugfs_create_size_t" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x2dd0e7fa, "devl_params_register" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9a5dce5c, "rhashtable_walk_start_check" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xba72ef4b, "page_pool_put_unrefed_netmem" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb1518e15, "cancel_work" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbb9c0973, "__put_devmap_managed_folio_refs" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xfb7b1730, "ethtool_op_get_link" },
	{ 0x5e1ec18c, "on_exadata" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x95de0e37, "netif_set_xps_queue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x3e80f4d8, "__ethtool_get_link_ksettings" },
	{ 0x9cd7551a, "rhashtable_walk_stop" },
	{ 0xe9ffc063, "down_trylock" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x49dbb0b9, "devlink_fmsg_binary_pair_nest_end" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x4656f3ed, "pci_restore_state" },
	{ 0xdc0f8a86, "bpf_trace_run1" },
	{ 0x51f47354, "__inet6_lookup_established" },
	{ 0x69f2e923, "netif_tx_wake_queue" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x61401cd3, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0xc9a0b1e3, "page_pool_create" },
	{ 0x7dbe35e4, "skb_checksum" },
	{ 0x7c340d57, "devl_param_driverinit_value_set" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xdcb764ad, "memset" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0x34a5fc2e, "flow_rule_match_ports" },
	{ 0xa6832797, "devlink_fmsg_binary_pair_nest_start" },
	{ 0xf71fdfdc, "__kmalloc_cache_node_noprof" },
	{ 0x6f41a639, "irq_cpu_rmap_remove" },
	{ 0x22f36d97, "xfrm_replay_seqhi" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x45e4d6cf, "devl_resources_unregister" },
	{ 0xb436ba7a, "ptp_clock_event" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x30132990, "netif_schedule_queue" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xb4863b72, "devlink_fmsg_u64_pair_put" },
	{ 0xaff5b1dd, "pci_set_master" },
	{ 0x30d94f20, "devl_trap_groups_register" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x4419dde5, "debugfs_create_u32" },
	{ 0xd235061c, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x41f14d64, "flow_rule_match_ipv6_addrs" },
	{ 0x424e572b, "netdev_set_tc_queue" },
	{ 0xd3752c27, "atomic_notifier_call_chain" },
	{ 0x119b43c0, "devl_params_unregister" },
	{ 0x90c0cf53, "ptp_clock_unregister" },
	{ 0xa86fbee8, "__pskb_pull_tail" },
	{ 0x70756c, "xp_dma_unmap" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0xece784c2, "rb_first" },
	{ 0x5409cff7, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0xc84a4bc5, "devlink_trap_report" },
	{ 0xbd707a5e, "__neigh_event_send" },
	{ 0x6190b4d9, "flow_block_cb_alloc" },
	{ 0xa0994320, "devlink_fmsg_obj_nest_start" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0x5308d007, "dev_printk_emit" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9bb21bb0, "devl_traps_register" },
	{ 0xf3076911, "devl_unlock" },
	{ 0xbdc8c686, "free_cpumask_var" },
	{ 0xe3c7bd1e, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf0efe64b, "dma_set_coherent_mask" },
	{ 0x9d26f3cb, "__neigh_create" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0xac219ddd, "flow_rule_match_enc_control" },
	{ 0x2da8d207, "bpf_trace_run3" },
	{ 0x32f1e81b, "seq_read" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0xe5f73406, "hyperv_write_cfg_blk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x2cbf4ff6, "ipv6_find_hdr" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x60c69018, "net_dim_get_rx_moderation" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x13107c3a, "debugfs_create_file" },
	{ 0xdc3de425, "rps_may_expire_flow" },
	{ 0x4ece3615, "blocking_notifier_chain_unregister" },
	{ 0x43a8d207, "xsk_set_tx_need_wakeup" },
	{ 0xeacf0ae1, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xb82bcc6f, "netdev_reset_tc" },
	{ 0x426eff70, "neigh_destroy" },
	{ 0x404667b0, "dma_free_attrs" },
	{ 0x8d2f7c81, "rhltable_init_noprof" },
	{ 0x7181db30, "atomic_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x28839c12, "rhashtable_init_noprof" },
	{ 0xda2d7a21, "trace_event_buffer_reserve" },
	{ 0x850bb6db, "devlink_health_reporter_destroy" },
	{ 0x8045fb09, "debugfs_create_x32" },
	{ 0x8602d4ec, "flow_rule_match_enc_ipv6_addrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xdfcc992c, "current_work" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x513be302, "flow_rule_match_enc_ports" },
	{ 0x79e8c6b3, "xdp_return_frame_bulk" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x14c5dd46, "param_ops_bool" },
	{ 0x35beca42, "pci_release_regions" },
	{ 0x82d13cbc, "netif_queue_set_napi" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x698b966, "__dma_sync_single_for_device" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x56212663, "bpf_prog_add" },
	{ 0x9005f3a2, "net_dim_get_def_tx_moderation" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xc5c34e64, "devl_assert_locked" },
	{ 0x9ec7f4f3, "pcie_print_link_status" },
	{ 0x8bddc3ec, "xp_set_rxq_info" },
	{ 0x36380d70, "flow_rule_match_vlan" },
	{ 0x1ed36880, "devl_port_unregister" },
	{ 0xfd8ae64d, "xdp_rxq_info_unreg" },
	{ 0x87ec261d, "page_pool_alloc_pages" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x3fc2bbf2, "devl_param_driverinit_value_get" },
	{ 0x2495b0bd, "napi_build_skb" },
	{ 0xa3b7f5ee, "netdev_master_upper_dev_get_rcu" },
	{ 0xa873d5b5, "__folio_put" },
	{ 0xd2adf171, "__xdp_rxq_info_reg" },
	{ 0xf46f738, "xdp_set_features_flag" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x75351a76, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xfd26d691, "bpf_prog_inc" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xf6b6ad5b, "netif_carrier_event" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc9ad94d3, "netif_carrier_off" },
	{ 0x899fbd06, "seq_printf" },
	{ 0x2e0caff4, "flow_rule_match_meta" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb6226fbe, "devlink_priv" },
	{ 0xca12fd75, "devlink_port_register_with_ops" },
	{ 0xf9b662f8, "pci_disable_sriov" },
	{ 0xd1fba8ff, "metadata_dst_alloc" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x8500f07e, "dst_release" },
	{ 0xaa985d4e, "netif_carrier_on" },
	{ 0x7d8bf959, "netdev_set_num_tc" },
	{ 0x373b0d5, "dql_reset" },
	{ 0x6321f225, "hwmon_device_unregister" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x32844c58, "arp_tbl" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x557d1823, "alloc_pages_noprof" },
	{ 0xebaddcc6, "pci_disable_device" },
	{ 0x6638f664, "net_dim_get_def_rx_moderation" },
	{ 0xdc9fcddf, "net_dim_get_tx_moderation" },
	{ 0x3a77ba0c, "xp_free" },
	{ 0x54651f9b, "rhashtable_walk_next" },
	{ 0xf7ec202c, "page_pool_update_nid" },
	{ 0xa5c872a7, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x6137b6cd, "devlink_fmsg_string_pair_put" },
	{ 0xb34e2c9a, "dma_set_mask" },
	{ 0x5e9bb2e, "__auxiliary_driver_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc198c6bd, "netif_set_tso_max_size" },
	{ 0x65070d00, "vlan_dev_vlan_id" },
	{ 0x3bc09ab, "__skb_flow_dissect" },
	{ 0xd3be9856, "pci_msix_alloc_irq_at" },
	{ 0x74af89c1, "seq_open" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0xfc138b47, "skb_add_rx_frag_netmem" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x4fb8e731, "xdp_master_redirect" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x32ad451e, "skb_coalesce_rx_frag" },
	{ 0xbfe37010, "xp_raw_get_data" },
	{ 0x5613e881, "tls_validate_xmit_skb" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x9da0ba4, "xa_set_mark" },
	{ 0xc25a42ab, "napi_schedule_prep" },
	{ 0xd2082388, "qdisc_reset" },
	{ 0x708b295, "napi_consume_skb" },
	{ 0xa924297d, "devlink_fmsg_pair_nest_end" },
	{ 0xf5436c71, "xp_alloc_batch" },
	{ 0xd8003745, "flow_rule_match_mpls" },
	{ 0x98cf60b3, "strlen" },
	{ 0xdb763fe2, "napi_disable" },
	{ 0xd7c7d5c, "dev_kfree_skb_any_reason" },
	{ 0xe5254b18, "dcb_ieee_delapp" },
	{ 0x37119ca5, "bpf_trace_run7" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x13142630, "devl_port_health_reporter_create" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x554ab118, "debugfs_create_u8" },
	{ 0x3466fede, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x170d34ce, "devl_register" },
	{ 0x349cba85, "strchr" },
	{ 0xe820ea6a, "debugfs_create_dir" },
	{ 0xcc1b882a, "idr_get_next_ul" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x9ce94a69, "skb_ext_add" },
	{ 0xbb54717d, "pcie_bandwidth_available" },
	{ 0x71e8d353, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x5359e8dc, "__kvmalloc_node_noprof" },
	{ 0xb13c99f9, "flow_rule_match_control" },
	{ 0x703822a6, "flow_rule_match_ip" },
	{ 0x9e95fede, "pci_enable_sriov" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xf188a662, "rhashtable_walk_exit" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xca24d6db, "auxiliary_device_sysfs_irq_add" },
	{ 0x3e632955, "dcb_ieee_setapp" },
	{ 0x8422a939, "devl_trap_groups_unregister" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xc3544d10, "xsk_tx_release" },
	{ 0x5b3ce758, "devl_traps_unregister" },
	{ 0xa5661f1a, "pci_iov_get_pf_drvdata" },
	{ 0xee4ade57, "pci_write_config_dword" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x3932f94, "netdev_info" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xdf62a4bf, "neigh_lookup" },
	{ 0x309989e7, "kmem_cache_destroy" },
	{ 0xc24f13ce, "page_pool_put_unrefed_page" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "psample,tls,pci-hyperv-intf,mlxfw");

MODULE_ALIAS("auxiliary:mlx5_core.sf");
MODULE_ALIAS("auxiliary:mlx5_core.eth-rep");
MODULE_ALIAS("pci:v000015B3d00001011sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001012sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001013sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001014sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001015sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001016sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001017sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001018sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001019sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001023sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001025sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DFsv*sd*bc*sc*i*");
MODULE_ALIAS("auxiliary:mlx5_core.eth");

MODULE_INFO(srcversion, "A21BB61D85B8380F4DD2899");
