#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(macsec_pn_wrapped, "_gpl", "");
KSYMTAB_FUNC(macsec_get_real_dev, "_gpl", "");
KSYMTAB_FUNC(macsec_netdev_is_offloaded, "_gpl", "");

SYMBOL_CRC(macsec_pn_wrapped, 0x6137b2ae, "_gpl");
SYMBOL_CRC(macsec_get_real_dev, 0x7f699fcb, "_gpl");
SYMBOL_CRC(macsec_netdev_is_offloaded, 0x6a69f0ff, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x122c3a7e, "_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xeb16b253, "rtnl_link_register" },
	{ 0x6ad33698, "genl_register_family" },
	{ 0x8241aab5, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xdcb764ad, "memset" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x37a0cba, "kfree" },
	{ 0xc63dce24, "crypto_destroy_tfm" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x7237aa40, "crypto_alloc_aead" },
	{ 0x7432b9d2, "crypto_aead_setkey" },
	{ 0xbf829c5, "crypto_aead_setauthsize" },
	{ 0x60714e08, "nla_put_64bit" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xb6476d61, "skb_pull" },
	{ 0x7c709594, "___pskb_trim" },
	{ 0x9d58bf, "ether_setup" },
	{ 0x8fa5a6ee, "dev_fetch_sw_netstats" },
	{ 0x66730462, "dev_mc_sync" },
	{ 0x91fae72f, "dev_uc_sync" },
	{ 0x35e80359, "dev_set_allmulti" },
	{ 0x7e5f59fe, "dev_set_promiscuity" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xf3ba733b, "genl_unregister_family" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xa247b83b, "__dev_get_by_index" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1552fa53, "skb_ensure_writable_head_tail" },
	{ 0x9f66a4ce, "sk_skb_reason_drop" },
	{ 0x6b53f5f8, "skb_clone" },
	{ 0x1638a5e4, "__netif_rx" },
	{ 0x99eabdf8, "skb_trim" },
	{ 0xf466761e, "metadata_dst_free" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xeacf0ae1, "__dev_queue_xmit" },
	{ 0x77a07d84, "unregister_netdevice_queue" },
	{ 0x682ff282, "netdev_upper_dev_unlink" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd8fd808d, "netdev_rx_handler_unregister" },
	{ 0x59732ff4, "netif_stacked_transfer_operstate" },
	{ 0x859f2f5a, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xc9ad94d3, "netif_carrier_off" },
	{ 0xb3e6625c, "dev_mc_unsync" },
	{ 0xcf32175f, "dev_uc_unsync" },
	{ 0x33794fe8, "dev_uc_del" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x8fe7fc51, "dev_addr_mod" },
	{ 0x51155c7f, "dev_uc_add" },
	{ 0x9137c6a, "gro_cells_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x8ce14d8, "skb_cow_data" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xa96a58df, "skb_to_sgvec" },
	{ 0xab469c39, "crypto_aead_decrypt" },
	{ 0x4679fb71, "consume_skb" },
	{ 0x4d611cf3, "skb_copy" },
	{ 0xaa985d4e, "netif_carrier_on" },
	{ 0xffceeeb5, "eth_type_trans" },
	{ 0xd1ab323f, "gro_cells_receive" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xfae4eec, "skb_copy_expand" },
	{ 0xbfe0703a, "skb_push" },
	{ 0xc2af5a6, "skb_put" },
	{ 0xb78cf7ea, "crypto_aead_encrypt" },
	{ 0x8500f07e, "dst_release" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xec0e8314, "register_netdevice" },
	{ 0x6438bc1d, "netdev_upper_dev_link" },
	{ 0xd1fba8ff, "metadata_dst_alloc" },
	{ 0x52553a94, "linkwatch_fire_event" },
	{ 0xf04e9898, "netdev_rx_handler_register" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x6fe3a147, "genlmsg_put" },
	{ 0xa86fbee8, "__pskb_pull_tail" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "981086FA488E38EE0F6C8FC");
