#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9ad43fc5, "phy_drivers_register" },
	{ 0x3d4f5621, "mdiobus_read" },
	{ 0x1bd0c66b, "genphy_read_status" },
	{ 0x2e3092aa, "phy_trigger_machine" },
	{ 0x3e70a397, "phy_error" },
	{ 0xb1ebe03c, "bcm54xx_auxctl_read" },
	{ 0x7de050a2, "bcm54xx_auxctl_write" },
	{ 0x2064ccc6, "bcm_phy_read_shadow" },
	{ 0x9ddc9cbd, "bcm_phy_write_shadow" },
	{ 0x27f10053, "phy_modify" },
	{ 0x33ad008e, "bcm_config_lre_aneg" },
	{ 0x67f3f0fb, "__genphy_config_aneg" },
	{ 0x5b36a3ec, "of_find_property" },
	{ 0xf7c65d6, "bcm_phy_write_exp" },
	{ 0xa88d9082, "genphy_c37_read_status" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3eeb099c, "genphy_c37_config_aneg" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0xddcedce2, "bcm_phy_get_wol" },
	{ 0x84365d36, "bcm_phy_set_wol" },
	{ 0xcff50945, "bcm_phy_get_stats" },
	{ 0xa8b07360, "phy_drivers_unregister" },
	{ 0xad83cfb7, "mdiobus_write" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x64b610cd, "__mdiobus_write" },
	{ 0xec3aef2d, "__phy_modify" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x25fc5c1a, "__mdiobus_read" },
	{ 0xff5effe2, "bcm_phy_read_exp" },
	{ 0x690f585e, "phy_basic_ports_array" },
	{ 0xfec7c124, "genphy_read_abilities" },
	{ 0xf4ef904, "bcm_phy_get_sset_count" },
	{ 0xee84f606, "bcm_ptp_probe" },
	{ 0xa74c5cb4, "devm_gpiod_get" },
	{ 0xb65dd6be, "gpiod_to_irq" },
	{ 0xa0f0ddfd, "bcm_phy_wol_isr" },
	{ 0x4c55545d, "devm_request_threaded_irq" },
	{ 0xb2a00e3, "device_set_wakeup_capable" },
	{ 0xbba5bd2b, "device_wakeup_enable" },
	{ 0x18973ecf, "phy_resolve_aneg_linkmode" },
	{ 0xe54c4503, "bcm_ptp_stop" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x72b2fa6d, "bcm_ptp_config_init" },
	{ 0xda5b42df, "pm_wakeup_dev_event" },
	{ 0xcc98d94, "genphy_resume" },
	{ 0x4118dec3, "genphy_soft_reset" },
	{ 0x51a0a7bb, "bcm_phy_config_intr" },
	{ 0x3a33d776, "bcm_phy_handle_interrupt" },
	{ 0x12fb1e41, "bcm_phy_get_strings" },
	{ 0x11ede611, "bcm_phy_led_brightness_set" },
	{ 0x82cf631a, "genphy_suspend" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "bcm-phy-lib,bcm-phy-ptp");

MODULE_ALIAS("mdio:0000000000100000011000000111????");
MODULE_ALIAS("mdio:0000000000100000011000001110????");
MODULE_ALIAS("mdio:0110000000001101100001001010????");
MODULE_ALIAS("mdio:0000000000100000011000001100????");
MODULE_ALIAS("mdio:0000001101100010010111100110????");
MODULE_ALIAS("mdio:0000001101100010010111010001????");
MODULE_ALIAS("mdio:0000000000100000011000001011????");
MODULE_ALIAS("mdio:0000000101000011101111001010????");
MODULE_ALIAS("mdio:0000001101100010010111010000????");
MODULE_ALIAS("mdio:0000001101100010010111001100????");
MODULE_ALIAS("mdio:0000000101000011101111001011????");
MODULE_ALIAS("mdio:0000000101000011101111010110????");
MODULE_ALIAS("mdio:0000000101000011101111010111????");
MODULE_ALIAS("mdio:0000001101100010010111011001????");
MODULE_ALIAS("mdio:0000000101000011101111000111????");
MODULE_ALIAS("mdio:0000000001000000011000011110????");
MODULE_ALIAS("mdio:0000000101000011101111000011????");
MODULE_ALIAS("mdio:0000000101000011101111001111????");
MODULE_ALIAS("mdio:0000001101100010010111110010????");
MODULE_ALIAS("mdio:0000001101100010010111100001????");
MODULE_ALIAS("mdio:0000001101100010010111001101????");

MODULE_INFO(srcversion, "0D8A86636DABFB5DEE19F38");
