#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(smsc_phy_config_intr, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_handle_interrupt, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_config_init, "_gpl", "");
KSYMTAB_FUNC(lan87xx_read_status, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_get_tunable, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_set_tunable, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_probe, "_gpl", "");

SYMBOL_CRC(smsc_phy_config_intr, 0xe8ec3154, "_gpl");
SYMBOL_CRC(smsc_phy_handle_interrupt, 0x5984d65d, "_gpl");
SYMBOL_CRC(smsc_phy_config_init, 0x015cb13a, "_gpl");
SYMBOL_CRC(lan87xx_read_status, 0x45c21750, "_gpl");
SYMBOL_CRC(smsc_phy_get_tunable, 0xa0c4bf7e, "_gpl");
SYMBOL_CRC(smsc_phy_set_tunable, 0xc7c10c7f, "_gpl");
SYMBOL_CRC(smsc_phy_probe, 0x897f4dcb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3d4f5621, "mdiobus_read" },
	{ 0x2e3092aa, "phy_trigger_machine" },
	{ 0x3e70a397, "phy_error" },
	{ 0x1bd0c66b, "genphy_read_status" },
	{ 0xad83cfb7, "mdiobus_write" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x800473f, "__cond_resched" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0x11f75d2, "device_property_present" },
	{ 0x8a28a4a0, "devm_clk_get_optional_enabled" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x92f2a8c, "dev_err_probe" },
	{ 0x9ad43fc5, "phy_drivers_register" },
	{ 0xc9b97586, "phy_read_mmd" },
	{ 0x67f3f0fb, "__genphy_config_aneg" },
	{ 0x27f10053, "phy_modify" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x4118dec3, "genphy_soft_reset" },
	{ 0xa8b07360, "phy_drivers_unregister" },
	{ 0xbd6841d4, "crc16" },
	{ 0x70173deb, "phy_write_mmd" },
	{ 0xdcb764ad, "memset" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x82cf631a, "genphy_suspend" },
	{ 0xcc98d94, "genphy_resume" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("mdio:0000000000000111110000001010????");
MODULE_ALIAS("mdio:0000000000000111110000001011????");
MODULE_ALIAS("mdio:0000000000000111110000001100????");
MODULE_ALIAS("mdio:0000000000000111110000001101????");
MODULE_ALIAS("mdio:0000000000000111110000001111????");
MODULE_ALIAS("mdio:0000000000000111110000010001????");
MODULE_ALIAS("mdio:0000000000000111110000010011??0?");

MODULE_INFO(srcversion, "66F96A3A218F829563119ED");
