#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tap_del_queues, "_gpl", "");
KSYMTAB_FUNC(tap_handle_frame, "_gpl", "");
KSYMTAB_FUNC(tap_get_minor, "_gpl", "");
KSYMTAB_FUNC(tap_free_minor, "_gpl", "");
KSYMTAB_FUNC(tap_get_socket, "_gpl", "");
KSYMTAB_FUNC(tap_get_ptr_ring, "_gpl", "");
KSYMTAB_FUNC(tap_queue_resize, "_gpl", "");
KSYMTAB_FUNC(tap_create_cdev, "_gpl", "");
KSYMTAB_FUNC(tap_destroy_cdev, "_gpl", "");

SYMBOL_CRC(tap_del_queues, 0x75634475, "_gpl");
SYMBOL_CRC(tap_handle_frame, 0x8dcb887d, "_gpl");
SYMBOL_CRC(tap_get_minor, 0xa9913dd3, "_gpl");
SYMBOL_CRC(tap_free_minor, 0xd6d58b09, "_gpl");
SYMBOL_CRC(tap_get_socket, 0x31fb45a2, "_gpl");
SYMBOL_CRC(tap_get_ptr_ring, 0x95f043fe, "_gpl");
SYMBOL_CRC(tap_queue_resize, 0x9c19dfbe, "_gpl");
SYMBOL_CRC(tap_create_cdev, 0x80f8730b, "_gpl");
SYMBOL_CRC(tap_destroy_cdev, 0xa68d753a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xe2964344, "__wake_up" },
	{ 0x9f66a4ce, "sk_skb_reason_drop" },
	{ 0xe0a547c9, "skb_copy_datagram_iter" },
	{ 0xa1e755a7, "_copy_to_iter" },
	{ 0xe75df258, "iov_iter_advance" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x858a550d, "cdev_init" },
	{ 0xc5f88650, "cdev_add" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xfbdecde3, "cdev_del" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xcafe0b48, "sk_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x4679fb71, "consume_skb" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x1000e51, "schedule" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5359e8dc, "__kvmalloc_node_noprof" },
	{ 0x37a0cba, "kfree" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x492fdb70, "netdev_err" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0x3bc09ab, "__skb_flow_dissect" },
	{ 0xb5546cb0, "skb_partial_csum_set" },
	{ 0xa86fbee8, "__pskb_pull_tail" },
	{ 0xb4c7e417, "iov_iter_npages" },
	{ 0xe4eb44bf, "sock_alloc_send_pskb" },
	{ 0xc2af5a6, "skb_put" },
	{ 0x8c735d89, "zerocopy_sg_from_iter" },
	{ 0xeacf0ae1, "__dev_queue_xmit" },
	{ 0xfff625ed, "_copy_from_iter" },
	{ 0x4201d04c, "skb_copy_datagram_from_iter" },
	{ 0xc87ff6e5, "iov_iter_revert" },
	{ 0xe62f4ba2, "skb_copy_bits" },
	{ 0x91f5e5f3, "build_skb" },
	{ 0xbfe0703a, "skb_push" },
	{ 0xba9c2f08, "__skb_gso_segment" },
	{ 0xc037dde3, "skb_checksum_help" },
	{ 0x5120bdcb, "kfree_skb_list_reason" },
	{ 0x52b549a, "__skb_get_hash_net" },
	{ 0x20978fb9, "idr_find" },
	{ 0x2b97e4b, "sk_alloc" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x93d43075, "sock_init_data_uid" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xdc598d1e, "dev_set_mac_address_user" },
	{ 0x3cbd55ed, "dev_get_mac_address" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x54b50667, "compat_ptr_ioctl" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "AB2B144EBEFF351009FE509");
