#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tun_ptr_free, "_gpl", "");
KSYMTAB_FUNC(tun_get_socket, "_gpl", "");
KSYMTAB_FUNC(tun_get_tx_ring, "_gpl", "");

SYMBOL_CRC(tun_ptr_free, 0x4099f919, "_gpl");
SYMBOL_CRC(tun_get_socket, 0xa42ed0cc, "_gpl");
SYMBOL_CRC(tun_get_tx_ring, 0xecc44ae7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xa916b694, "strnlen" },
	{ 0x4829a47e, "memcpy" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x7addba2d, "fasync_helper" },
	{ 0x94dd280a, "__f_setown" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3932f94, "netdev_info" },
	{ 0xaa985d4e, "netif_carrier_on" },
	{ 0xc9ad94d3, "netif_carrier_off" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0xfcdc0fc1, "from_kgid_munged" },
	{ 0xb71a1e0b, "from_kuid_munged" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x3190c2f9, "bpf_prog_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfc943800, "netif_tx_stop_all_queues" },
	{ 0x11bae7a4, "dev_get_tstats64" },
	{ 0x122c3a7e, "_printk" },
	{ 0xeb16b253, "rtnl_link_register" },
	{ 0xedd818fe, "misc_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x8241aab5, "rtnl_link_unregister" },
	{ 0x58f09138, "misc_deregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x9f66a4ce, "sk_skb_reason_drop" },
	{ 0xd6553172, "xdp_return_frame" },
	{ 0x9a409be7, "napi_get_frags" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xeb471d0d, "iov_iter_single_seg_count" },
	{ 0xf4ee861a, "pskb_expand_head" },
	{ 0x91a488ac, "__netdev_alloc_frag_align" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0x7ae9082b, "kill_fasync" },
	{ 0x91f5e5f3, "build_skb" },
	{ 0xc2af5a6, "skb_put" },
	{ 0x6ff4a491, "skb_set_owner_w" },
	{ 0x4e671beb, "dump_page" },
	{ 0x9161142d, "bpf_prog_put" },
	{ 0x2b97e4b, "sk_alloc" },
	{ 0x5359e8dc, "__kvmalloc_node_noprof" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x93d43075, "sock_init_data_uid" },
	{ 0xcafe0b48, "sk_free" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x5195dcc3, "skb_queue_purge_reason" },
	{ 0xdb763fe2, "napi_disable" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xfd8ae64d, "xdp_rxq_info_unreg" },
	{ 0x12e92ab7, "__netif_napi_del" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x1f9a9c72, "module_put" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xdcb764ad, "memset" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x7bd0cf41, "bpf_prog_get_type_dev" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0x3bc09ab, "__skb_flow_dissect" },
	{ 0xb5546cb0, "skb_partial_csum_set" },
	{ 0xa86fbee8, "__pskb_pull_tail" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x50097088, "security_tun_dev_free_security" },
	{ 0x49608959, "migrate_disable" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xf789443e, "__skb_get_hash_symmetric_net" },
	{ 0x86bb688f, "netdev_core_stats_inc" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x899fbd06, "seq_printf" },
	{ 0x9be7bde4, "security_tun_dev_attach" },
	{ 0xcdf474a9, "xdp_rxq_info_is_reg" },
	{ 0x82013be2, "netif_set_real_num_tx_queues" },
	{ 0x2eadb402, "netif_set_real_num_rx_queues" },
	{ 0x9f8c5901, "lock_sock_nested" },
	{ 0xdb872e8f, "sk_attach_filter" },
	{ 0x231a085c, "release_sock" },
	{ 0xd2adf171, "__xdp_rxq_info_reg" },
	{ 0x4c437cda, "xdp_rxq_info_reg_mem_model" },
	{ 0xbdc26b3b, "netif_napi_add_weight" },
	{ 0xad0c171b, "napi_enable" },
	{ 0xbe14473c, "__dev_get_by_name" },
	{ 0x1d3b79dd, "ns_capable" },
	{ 0xda3d10a8, "security_tun_dev_open" },
	{ 0x66f61d0f, "netdev_state_change" },
	{ 0xc6cbbc89, "capable" },
	{ 0x39461d6a, "in_egroup_p" },
	{ 0x4f1cd128, "security_tun_dev_create" },
	{ 0xca0eee00, "alloc_netdev_mqs" },
	{ 0xad50ffb0, "ip_tunnel_header_ops" },
	{ 0xec0e8314, "register_netdevice" },
	{ 0x69f2e923, "netif_tx_wake_queue" },
	{ 0x9d58bf, "ether_setup" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x8fe7fc51, "dev_addr_mod" },
	{ 0x2e9d1dca, "free_netdev" },
	{ 0x438610bd, "security_tun_dev_alloc_security" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf24849a9, "netif_receive_skb" },
	{ 0xa1e755a7, "_copy_to_iter" },
	{ 0xe75df258, "iov_iter_advance" },
	{ 0xe0a547c9, "skb_copy_datagram_iter" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x492fdb70, "netdev_err" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x1000e51, "schedule" },
	{ 0x4679fb71, "consume_skb" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xecb7ae28, "napi_gro_receive" },
	{ 0xdb5b677b, "napi_complete_done" },
	{ 0x9870c16f, "sock_recv_errqueue" },
	{ 0xbdae928c, "xdp_do_redirect" },
	{ 0xc8089c04, "bpf_warn_invalid_xdp_action" },
	{ 0x92cb609e, "__tracepoint_xdp_exception" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x90794060, "__traceiter_xdp_exception" },
	{ 0xfc7854b0, "xdp_return_frame_rx_napi" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xdc969dad, "xdp_convert_zc_to_xdp_frame" },
	{ 0x4d1d4c64, "skb_page_frag_refill" },
	{ 0x3c224c47, "copy_page_from_iter" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x4fb8e731, "xdp_master_redirect" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xa873d5b5, "__folio_put" },
	{ 0xbb9c0973, "__put_devmap_managed_folio_refs" },
	{ 0xdf9088d9, "sk_filter_trim_cap" },
	{ 0x4e62ef2c, "skb_clone_tx_timestamp" },
	{ 0x1c091d8a, "skb_tx_error" },
	{ 0x8761c87b, "rps_needed" },
	{ 0xeffe1416, "skb_tstamp_tx" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x96b52fbe, "skb_copy_ubufs" },
	{ 0x7c709594, "___pskb_trim" },
	{ 0xd41660db, "net_hotdata" },
	{ 0xfff625ed, "_copy_from_iter" },
	{ 0xb4c7e417, "iov_iter_npages" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4201d04c, "skb_copy_datagram_from_iter" },
	{ 0xffceeeb5, "eth_type_trans" },
	{ 0xfe83965a, "do_xdp_generic" },
	{ 0xe4eb44bf, "sock_alloc_send_pskb" },
	{ 0x8c735d89, "zerocopy_sg_from_iter" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xbfe0703a, "skb_push" },
	{ 0x40346e26, "eth_get_headlen" },
	{ 0xc25a42ab, "napi_schedule_prep" },
	{ 0xffdc8235, "napi_gro_frags" },
	{ 0xc87ff6e5, "iov_iter_revert" },
	{ 0x6f7d2f61, "__napi_schedule" },
	{ 0x77a07d84, "unregister_netdevice_queue" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x889213d8, "__page_frag_cache_drain" },
	{ 0xefd21bfb, "get_net_ns" },
	{ 0xad82ea09, "open_related_ns" },
	{ 0x34f3484e, "security_tun_dev_attach_queue" },
	{ 0x8ca92f8a, "sk_detach_filter" },
	{ 0xe712cab5, "netdev_update_features" },
	{ 0x437be782, "make_kgid" },
	{ 0xedf92aba, "make_kuid" },
	{ 0x4bbb3e25, "init_user_ns" },
	{ 0x9d2ce248, "from_kuid" },
	{ 0x3cbd55ed, "dev_get_mac_address" },
	{ 0xdc598d1e, "dev_set_mac_address_user" },
	{ 0x58fcbc7d, "call_netdevice_notifiers" },
	{ 0x7e3b99ab, "from_kgid" },
	{ 0x2b02565, "__module_get" },
	{ 0xf20ba0d, "passthru_features_check" },
	{ 0xadb19534, "eth_mac_addr" },
	{ 0x64cd86f, "eth_validate_addr" },
	{ 0xfb7b1730, "ethtool_op_get_link" },
	{ 0xe4373252, "ethtool_op_get_ts_info" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1A5F8A55FB43852999F991E");
