#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd941f894, "usb_register_driver" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xd6cc6cc2, "usb_control_msg" },
	{ 0x37a0cba, "kfree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x3ac8793, "netdev_warn" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x8fe7fc51, "dev_addr_mod" },
	{ 0x145c8336, "eth_platform_get_mac_address" },
	{ 0xe3c7bd1e, "__dynamic_netdev_dbg" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x492fdb70, "netdev_err" },
	{ 0xf9a482f9, "msleep" },
	{ 0x853c4149, "usb_autopm_get_interface" },
	{ 0xe0cf529c, "usb_autopm_put_interface" },
	{ 0x2fae313d, "phy_ethtool_ksettings_set" },
	{ 0x3d4f5621, "mdiobus_read" },
	{ 0xad83cfb7, "mdiobus_write" },
	{ 0x840bee01, "phy_ethtool_ksettings_get" },
	{ 0xdcb764ad, "memset" },
	{ 0xb4b1ba1f, "phy_ethtool_set_eee" },
	{ 0x31e9b90b, "phy_ethtool_get_eee" },
	{ 0x4829a47e, "memcpy" },
	{ 0xbaedacc7, "device_set_wakeup_enable" },
	{ 0x2160a51c, "phy_ethtool_set_wol" },
	{ 0xffceeeb5, "eth_type_trans" },
	{ 0x89b690bf, "skb_defer_rx_timestamp" },
	{ 0xecb7ae28, "napi_gro_receive" },
	{ 0x23dd3a06, "irq_set_chip_and_handler_name" },
	{ 0x20a789ac, "irq_set_chip_data" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0x39e7a97a, "phy_print_status" },
	{ 0x425a3157, "phy_find_first" },
	{ 0xbde3d06b, "phy_register_fixup_for_uid" },
	{ 0x25c10d1, "fixed_phy_register" },
	{ 0xc9b97586, "phy_read_mmd" },
	{ 0x70173deb, "phy_write_mmd" },
	{ 0x4d8dc364, "usb_deregister" },
	{ 0xe62f4ba2, "skb_copy_bits" },
	{ 0xa86fbee8, "__pskb_pull_tail" },
	{ 0xa50fe82b, "phy_connect_direct" },
	{ 0xe09e7e63, "phy_remove_link_mode" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x2640ea93, "phy_support_eee" },
	{ 0xf0e0696d, "of_property_count_elems_of_size" },
	{ 0x67f3f0fb, "__genphy_config_aneg" },
	{ 0xb00c517, "fixed_phy_unregister" },
	{ 0xd738ca1b, "phy_unregister_fixup_for_uid" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xb6476d61, "skb_pull" },
	{ 0x845f920a, "napi_alloc_skb" },
	{ 0xc2af5a6, "skb_put" },
	{ 0x136711a4, "skb_queue_tail" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xab686963, "mdiobus_unregister" },
	{ 0xb7df6e1a, "mdiobus_free" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0xe84d372c, "irq_domain_remove" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x1bd0c66b, "genphy_read_status" },
	{ 0xd7c7d5c, "dev_kfree_skb_any_reason" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xa359e790, "usb_submit_urb" },
	{ 0x81e2bdf4, "generic_handle_irq_safe" },
	{ 0xbafc27ae, "netif_device_detach" },
	{ 0xc1e7bd92, "usb_get_urb" },
	{ 0x859f18cc, "usb_unlink_urb" },
	{ 0x1d3f22b7, "usb_free_urb" },
	{ 0xc25a42ab, "napi_schedule_prep" },
	{ 0x6f7d2f61, "__napi_schedule" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x87ef83ff, "skb_dequeue" },
	{ 0x5195dcc3, "skb_queue_purge_reason" },
	{ 0x9181493a, "usb_alloc_urb" },
	{ 0x95463bb7, "__alloc_skb" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x3932f94, "netdev_info" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xe6b16cb1, "handle_simple_irq" },
	{ 0xe5a42869, "irq_domain_create_simple" },
	{ 0x8bef06fe, "irq_create_mapping_affinity" },
	{ 0x468b22d, "mdiobus_alloc_size" },
	{ 0xbb3d1556, "of_get_child_by_name" },
	{ 0xab6e3c0f, "__of_mdiobus_register" },
	{ 0xe9d10d9d, "of_node_put" },
	{ 0x12e92ab7, "__netif_napi_del" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x49ee7ce3, "unregister_netdev" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x8cf7351e, "phy_disconnect" },
	{ 0x807766ea, "usb_scuttle_anchored_urbs" },
	{ 0xfd8b9fb9, "usb_kill_urb" },
	{ 0x2e9d1dca, "free_netdev" },
	{ 0x836447e1, "usb_put_dev" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xdb763fe2, "napi_disable" },
	{ 0xb36ff769, "phy_stop" },
	{ 0x9e9af7c7, "netif_tx_lock" },
	{ 0xf6cc8099, "netif_tx_unlock" },
	{ 0x1f9f594e, "usb_autopm_get_interface_async" },
	{ 0xa0e38902, "usb_autopm_put_interface_async" },
	{ 0x69f2e923, "netif_tx_wake_queue" },
	{ 0x6254a8e5, "usb_anchor_urb" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4e62ef2c, "skb_clone_tx_timestamp" },
	{ 0xeffe1416, "skb_tstamp_tx" },
	{ 0x5a18818f, "usb_get_dev" },
	{ 0xf7f5887d, "alloc_etherdev_mqs" },
	{ 0xc198c6bd, "netif_set_tso_max_size" },
	{ 0xbdc26b3b, "netif_napi_add_weight" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x1ca4f351, "register_netdev" },
	{ 0x74ccc61, "pm_runtime_set_autosuspend_delay" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x53c09a97, "usb_clear_halt" },
	{ 0xdb5b677b, "napi_complete_done" },
	{ 0x510247dd, "usb_get_from_anchor" },
	{ 0xdf611f9b, "phy_start" },
	{ 0xad0c171b, "napi_enable" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xbe714ee0, "netif_device_attach" },
	{ 0xc9ad94d3, "netif_carrier_off" },
	{ 0x6568ce44, "skb_unlink" },
	{ 0x64cd86f, "eth_validate_addr" },
	{ 0x6ce2592c, "phy_do_ioctl_running" },
	{ 0x52af8ef5, "phy_ethtool_nway_reset" },
	{ 0xe4373252, "ethtool_op_get_ts_info" },
	{ 0xcb74520d, "param_ops_int" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("usb:v0424p7800d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p7850d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p7801d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07C9p0012d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "BD7C8B065714563FA8A22E7");
