#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ath11k_debug_mask, "", "");
KSYMTAB_FUNC(ath11k_core_suspend, "", "");
KSYMTAB_FUNC(ath11k_core_resume, "", "");
KSYMTAB_FUNC(ath11k_core_pre_init, "", "");
KSYMTAB_FUNC(ath11k_core_init, "", "");
KSYMTAB_FUNC(ath11k_core_deinit, "", "");
KSYMTAB_FUNC(ath11k_core_free, "", "");
KSYMTAB_FUNC(ath11k_core_alloc, "", "");
KSYMTAB_FUNC(ath11k_hal_srng_init, "", "");
KSYMTAB_FUNC(ath11k_hal_srng_deinit, "", "");
KSYMTAB_DATA(ath11k_cold_boot_cal, "", "");
KSYMTAB_FUNC(ath11k_qmi_fwreset_from_cold_boot, "", "");
KSYMTAB_FUNC(ath11k_qmi_deinit_service, "", "");
KSYMTAB_FUNC(ath11k_dp_service_srng, "", "");
KSYMTAB_FUNC(ath11k_info, "", "");
KSYMTAB_FUNC(ath11k_err, "", "");
KSYMTAB_FUNC(ath11k_warn, "", "");
KSYMTAB_FUNC(__ath11k_dbg, "", "");
KSYMTAB_FUNC(ath11k_dbg_dump, "", "");
KSYMTAB_FUNC(ath11k_ce_per_engine_service, "", "");
KSYMTAB_FUNC(ath11k_ce_get_shadow_config, "", "");
KSYMTAB_FUNC(ath11k_ce_cleanup_pipes, "", "");
KSYMTAB_FUNC(ath11k_ce_rx_post_buf, "", "");
KSYMTAB_FUNC(ath11k_ce_free_pipes, "", "");
KSYMTAB_FUNC(ath11k_ce_alloc_pipes, "", "");
KSYMTAB_FUNC(ath11k_ce_get_attr_flags, "", "");
KSYMTAB_FUNC(ath11k_pcic_init_msi_config, "", "");
KSYMTAB_FUNC(ath11k_pcic_write32, "", "");
KSYMTAB_FUNC(ath11k_pcic_read32, "", "");
KSYMTAB_FUNC(ath11k_pcic_read, "", "");
KSYMTAB_FUNC(ath11k_pcic_get_msi_address, "", "");
KSYMTAB_FUNC(ath11k_pcic_get_user_msi_assignment, "", "");
KSYMTAB_FUNC(ath11k_pcic_get_ce_msi_idx, "", "");
KSYMTAB_FUNC(ath11k_pcic_free_irq, "", "");
KSYMTAB_FUNC(ath11k_pcic_ext_irq_enable, "", "");
KSYMTAB_FUNC(ath11k_pcic_ext_irq_disable, "", "");
KSYMTAB_FUNC(ath11k_pcic_config_irq, "", "");
KSYMTAB_FUNC(ath11k_pcic_ce_irqs_enable, "", "");
KSYMTAB_FUNC(ath11k_pcic_ce_irq_disable_sync, "", "");
KSYMTAB_FUNC(ath11k_pcic_stop, "", "");
KSYMTAB_FUNC(ath11k_pcic_start, "", "");
KSYMTAB_FUNC(ath11k_pcic_map_service_to_pipe, "", "");
KSYMTAB_FUNC(ath11k_pcic_register_pci_ops, "", "");
KSYMTAB_FUNC(ath11k_pci_enable_ce_irqs_except_wake_irq, "", "");
KSYMTAB_FUNC(ath11k_pci_disable_ce_irqs_except_wake_irq, "", "");
KSYMTAB_FUNC(ath11k_debugfs_soc_destroy, "", "");
KSYMTAB_DATA(__tracepoint_ath11k_log_dbg, "", "");

SYMBOL_CRC(ath11k_debug_mask, 0x9c51bcc4, "");
SYMBOL_CRC(ath11k_core_suspend, 0xa6bea9ef, "");
SYMBOL_CRC(ath11k_core_resume, 0x16facaa6, "");
SYMBOL_CRC(ath11k_core_pre_init, 0xb52f52eb, "");
SYMBOL_CRC(ath11k_core_init, 0xf19dbac2, "");
SYMBOL_CRC(ath11k_core_deinit, 0x531cdcd2, "");
SYMBOL_CRC(ath11k_core_free, 0x3c889555, "");
SYMBOL_CRC(ath11k_core_alloc, 0x182a05e8, "");
SYMBOL_CRC(ath11k_hal_srng_init, 0x86095ea4, "");
SYMBOL_CRC(ath11k_hal_srng_deinit, 0xadc8e58a, "");
SYMBOL_CRC(ath11k_cold_boot_cal, 0xf0197188, "");
SYMBOL_CRC(ath11k_qmi_fwreset_from_cold_boot, 0x1041072f, "");
SYMBOL_CRC(ath11k_qmi_deinit_service, 0x9a6e4d1c, "");
SYMBOL_CRC(ath11k_dp_service_srng, 0x500f57d1, "");
SYMBOL_CRC(ath11k_info, 0xabe00f7e, "");
SYMBOL_CRC(ath11k_err, 0x451afa74, "");
SYMBOL_CRC(ath11k_warn, 0x34ce76a4, "");
SYMBOL_CRC(__ath11k_dbg, 0xf3ba4e35, "");
SYMBOL_CRC(ath11k_dbg_dump, 0x92b18491, "");
SYMBOL_CRC(ath11k_ce_per_engine_service, 0xef7a0252, "");
SYMBOL_CRC(ath11k_ce_get_shadow_config, 0x6e174ff2, "");
SYMBOL_CRC(ath11k_ce_cleanup_pipes, 0xf2320579, "");
SYMBOL_CRC(ath11k_ce_rx_post_buf, 0x7c5f8e22, "");
SYMBOL_CRC(ath11k_ce_free_pipes, 0x3042da20, "");
SYMBOL_CRC(ath11k_ce_alloc_pipes, 0x891ee9b6, "");
SYMBOL_CRC(ath11k_ce_get_attr_flags, 0x1e708dea, "");
SYMBOL_CRC(ath11k_pcic_init_msi_config, 0x3fa150b6, "");
SYMBOL_CRC(ath11k_pcic_write32, 0x3ac58fbb, "");
SYMBOL_CRC(ath11k_pcic_read32, 0xfea81a50, "");
SYMBOL_CRC(ath11k_pcic_read, 0xa25cc16e, "");
SYMBOL_CRC(ath11k_pcic_get_msi_address, 0xeed1ad03, "");
SYMBOL_CRC(ath11k_pcic_get_user_msi_assignment, 0x280b9f27, "");
SYMBOL_CRC(ath11k_pcic_get_ce_msi_idx, 0x246de21a, "");
SYMBOL_CRC(ath11k_pcic_free_irq, 0x197b2abd, "");
SYMBOL_CRC(ath11k_pcic_ext_irq_enable, 0x7f41ae31, "");
SYMBOL_CRC(ath11k_pcic_ext_irq_disable, 0x06a786a3, "");
SYMBOL_CRC(ath11k_pcic_config_irq, 0x34bf8d58, "");
SYMBOL_CRC(ath11k_pcic_ce_irqs_enable, 0x077e2775, "");
SYMBOL_CRC(ath11k_pcic_ce_irq_disable_sync, 0x1e4148ba, "");
SYMBOL_CRC(ath11k_pcic_stop, 0x7a2159e4, "");
SYMBOL_CRC(ath11k_pcic_start, 0x16097537, "");
SYMBOL_CRC(ath11k_pcic_map_service_to_pipe, 0xb17f5b05, "");
SYMBOL_CRC(ath11k_pcic_register_pci_ops, 0xf9815e0d, "");
SYMBOL_CRC(ath11k_pci_enable_ce_irqs_except_wake_irq, 0xc50e10d9, "");
SYMBOL_CRC(ath11k_pci_disable_ce_irqs_except_wake_irq, 0x3dce6172, "");
SYMBOL_CRC(ath11k_debugfs_soc_destroy, 0xb310059a, "");
SYMBOL_CRC(__tracepoint_ath11k_log_dbg, 0x0dae0eb8, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x24ccf766, "ieee80211_beacon_update_cntdwn" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x5c03eae0, "ieee80211_gtk_rekey_notify" },
	{ 0xbaedacc7, "device_set_wakeup_enable" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0x2761939a, "cfg80211_chandef_dfs_usable" },
	{ 0xbb8d5f22, "ieee80211_connection_loss" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb2a00e3, "device_set_wakeup_capable" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4506c655, "bpf_trace_run4" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x20978fb9, "idr_find" },
	{ 0x60b73b66, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xe9d10d9d, "of_node_put" },
	{ 0xc2af5a6, "skb_put" },
	{ 0x4cd2fe40, "qmi_response_type_v01_ei" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x57674fd7, "__sw_hweight16" },
	{ 0x7053a53f, "firmware_request_nowarn" },
	{ 0x36c5ad15, "qmi_handle_init" },
	{ 0x4679fb71, "consume_skb" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xbdc26b3b, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x5b2ca68c, "of_address_to_resource" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xad4cbd44, "device_get_mac_address" },
	{ 0x93b9a682, "trace_raw_output_prep" },
	{ 0x23f3b4be, "ieee80211_get_unsol_bcast_probe_resp_tmpl" },
	{ 0x35190c94, "debugfs_create_symlink" },
	{ 0x87ef83ff, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x556be6e0, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xdb9f7425, "ieee80211_free_hw" },
	{ 0xa6613056, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xcb6b138, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0xe7bc8968, "ieee80211_iterate_stations_atomic" },
	{ 0x3ea528ee, "devm_ioremap" },
	{ 0xedc03953, "iounmap" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0xf5ac16e8, "ieee80211_tx_status_ext" },
	{ 0x3f7c8b8f, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0xfb2ad75f, "ieee80211_beacon_loss" },
	{ 0x37a0cba, "kfree" },
	{ 0x8dea144a, "ieee80211_get_fils_discovery_tmpl" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x132bfe7c, "thermal_cooling_device_register" },
	{ 0xa443a193, "ieee80211_register_hw" },
	{ 0xbb4f4766, "simple_write_to_buffer" },
	{ 0x1ecbd4ec, "ieee80211_restart_hw" },
	{ 0xc4e40b90, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xd13274b4, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0x148653, "vsnprintf" },
	{ 0x12e92ab7, "__netif_napi_del" },
	{ 0x8cb097b3, "ieee80211_hw_restart_disconnect" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xf4ee861a, "pskb_expand_head" },
	{ 0x34070452, "dev_driver_string" },
	{ 0xfb6dfa14, "trace_event_buffer_commit" },
	{ 0xc63dce24, "crypto_destroy_tfm" },
	{ 0xdf256037, "kstrtou8_from_user" },
	{ 0x6269d570, "ieee80211_find_sta" },
	{ 0xb4c63861, "dma_map_page_attrs" },
	{ 0xac1c68c4, "qmi_send_request" },
	{ 0xdb5b677b, "napi_complete_done" },
	{ 0x8be56097, "ieee80211_handle_wake_tx_queue" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xdfc275f, "ieee80211_tx_status_irqsafe" },
	{ 0x617c452b, "queued_read_lock_slowpath" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0x77d0380b, "ieee80211_iter_chan_contexts_atomic" },
	{ 0x6f7d2f61, "__napi_schedule" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xfe916dc6, "hex_dump_to_buffer" },
	{ 0xa916b694, "strnlen" },
	{ 0x4d3e2151, "cfg80211_put_bss" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x489eda10, "memset32" },
	{ 0xe58e9685, "qmi_txn_wait" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0x47cfd825, "kstrtouint_from_user" },
	{ 0x136711a4, "skb_queue_tail" },
	{ 0xd403a9e, "ieee80211_get_channel_khz" },
	{ 0xed35c0dc, "sysfs_create_link" },
	{ 0xd8a5da11, "ieee80211_obss_color_collision_notify" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x800473f, "__cond_resched" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x7a1208f2, "wiphy_to_ieee80211_hw" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x4edc6205, "debugfs_lookup" },
	{ 0x52b549a, "__skb_get_hash_net" },
	{ 0x5ca10ce4, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x55692e7d, "ieee80211_queue_delayed_work" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x4bb807c7, "perf_trace_run_bpf_submit" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x2bd9d0b2, "debugfs_create_bool" },
	{ 0xaa3d5f21, "crypto_shash_setkey" },
	{ 0x2d938670, "simple_open" },
	{ 0xb6476d61, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xb17b6866, "qmi_txn_cancel" },
	{ 0x2691b191, "__of_parse_phandle_with_args" },
	{ 0x5ef57105, "sysfs_remove_link" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0x9f66a4ce, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x22c18a03, "ieee80211_find_sta_by_ifaddr" },
	{ 0x44494c12, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x9b8785e, "ieee80211_remain_on_channel_expired" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbfe0703a, "skb_push" },
	{ 0x642cc440, "dma_alloc_attrs" },
	{ 0x495eed8e, "debugfs_remove" },
	{ 0xad0c171b, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0xcd5b3cc2, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0x2092327, "trace_event_reg" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xbfbbbf9, "ieee80211_wake_queues" },
	{ 0x2e9d1dca, "free_netdev" },
	{ 0xdbcbd433, "of_property_read_string" },
	{ 0x47862685, "wiphy_read_of_freq_limits" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x4fd46962, "qmi_txn_init" },
	{ 0x865852cd, "ieee80211_report_low_ack" },
	{ 0xf22cdd12, "ieee80211_beacon_get_template" },
	{ 0xb75a5d88, "crypto_shash_update" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x26a0a846, "ieee80211_free_txskb" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xf77555cd, "__memcpy_toio" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2935d794, "ieee80211_alloc_hw_nm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x11089ac7, "_ctype" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x551dfe26, "default_llseek" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x3b055253, "kernel_connect" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x443f0512, "devm_hwmon_device_register_with_groups" },
	{ 0xdcb764ad, "memset" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0xf9ca2eb4, "kstrtoint_from_user" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x7c983a5d, "dmi_walk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xa4aa68c6, "ieee80211_beacon_free_ema_list" },
	{ 0x5409cff7, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0x2ba82024, "ieee80211_ready_on_channel" },
	{ 0x9d044308, "ieee80211_stop_queues" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x99eabdf8, "skb_trim" },
	{ 0xa4e59da1, "qmi_handle_release" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2da8d207, "bpf_trace_run3" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0xb506baa3, "ieee80211_vif_to_wdev" },
	{ 0x13107c3a, "debugfs_create_file" },
	{ 0xfcce6093, "alloc_netdev_dummy" },
	{ 0x404667b0, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x28839c12, "rhashtable_init_noprof" },
	{ 0xda2d7a21, "trace_event_buffer_reserve" },
	{ 0x6157449c, "ieee80211_scan_completed" },
	{ 0xc466477d, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x4ecd0998, "crypto_shash_final" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x14c5dd46, "param_ops_bool" },
	{ 0xc4b210c0, "ieee80211_unregister_hw" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8db941b8, "dput" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x2855b5b2, "ieee80211_color_change_finish" },
	{ 0x1eb713b4, "ieee80211_radar_detected" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2360e3e7, "thermal_cooling_device_unregister" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x2f266e04, "ieee80211_queue_work" },
	{ 0xc25a42ab, "napi_schedule_prep" },
	{ 0x98cf60b3, "strlen" },
	{ 0xdb763fe2, "napi_disable" },
	{ 0xd7c7d5c, "dev_kfree_skb_any_reason" },
	{ 0x5cba2be4, "ieee80211_bss_get_elem" },
	{ 0x327b4025, "regulatory_set_wiphy_regd" },
	{ 0x2151991b, "_dev_printk" },
	{ 0x3f1513ce, "cfg80211_chandef_dfs_cac_time" },
	{ 0x2227c4aa, "crypto_alloc_shash" },
	{ 0xe820ea6a, "debugfs_create_dir" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0xac25e2f5, "ieee80211_beacon_get_template_ema_list" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x86f8f299, "qmi_add_lookup" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x664a493d, "__cfg80211_get_bss" },
	{ 0xf9a482f9, "msleep" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0xe4c787fb, "ieee80211_csa_finish" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xdcad7bca, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211,qmi_helpers");


MODULE_INFO(srcversion, "8BB584AB00141094FBF9FCB");
