#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ath9k_cmn_rx_accept, "", "");
KSYMTAB_FUNC(ath9k_cmn_rx_skb_postprocess, "", "");
KSYMTAB_FUNC(ath9k_cmn_process_rate, "", "");
KSYMTAB_FUNC(ath9k_cmn_process_rssi, "", "");
KSYMTAB_FUNC(ath9k_cmn_get_hw_crypto_keytype, "", "");
KSYMTAB_FUNC(ath9k_cmn_get_channel, "", "");
KSYMTAB_FUNC(ath9k_cmn_count_streams, "", "");
KSYMTAB_FUNC(ath9k_cmn_update_txpow, "", "");
KSYMTAB_FUNC(ath9k_cmn_init_crypto, "", "");
KSYMTAB_FUNC(ath9k_cmn_init_channels_rates, "", "");
KSYMTAB_FUNC(ath9k_cmn_setup_ht_cap, "", "");
KSYMTAB_FUNC(ath9k_cmn_reload_chainmask, "", "");
KSYMTAB_FUNC(ath9k_cmn_beacon_config_sta, "", "");
KSYMTAB_FUNC(ath9k_cmn_beacon_config_adhoc, "", "");
KSYMTAB_FUNC(ath9k_cmn_beacon_config_ap, "", "");
KSYMTAB_FUNC(ath9k_cmn_debug_modal_eeprom, "", "");
KSYMTAB_FUNC(ath9k_cmn_debug_base_eeprom, "", "");
KSYMTAB_FUNC(ath9k_cmn_debug_stat_rx, "", "");
KSYMTAB_FUNC(ath9k_cmn_debug_recv, "", "");
KSYMTAB_FUNC(ath9k_cmn_debug_phy_err, "", "");

SYMBOL_CRC(ath9k_cmn_rx_accept, 0xb9ae011b, "");
SYMBOL_CRC(ath9k_cmn_rx_skb_postprocess, 0x154af3cb, "");
SYMBOL_CRC(ath9k_cmn_process_rate, 0x7a8fe962, "");
SYMBOL_CRC(ath9k_cmn_process_rssi, 0x507c01dd, "");
SYMBOL_CRC(ath9k_cmn_get_hw_crypto_keytype, 0x04039f94, "");
SYMBOL_CRC(ath9k_cmn_get_channel, 0xed4faff8, "");
SYMBOL_CRC(ath9k_cmn_count_streams, 0xd2981357, "");
SYMBOL_CRC(ath9k_cmn_update_txpow, 0xb9986d44, "");
SYMBOL_CRC(ath9k_cmn_init_crypto, 0xe38e6d40, "");
SYMBOL_CRC(ath9k_cmn_init_channels_rates, 0xd063ff6e, "");
SYMBOL_CRC(ath9k_cmn_setup_ht_cap, 0x983ee72e, "");
SYMBOL_CRC(ath9k_cmn_reload_chainmask, 0x292c1abc, "");
SYMBOL_CRC(ath9k_cmn_beacon_config_sta, 0x79c19848, "");
SYMBOL_CRC(ath9k_cmn_beacon_config_adhoc, 0x92e6399d, "");
SYMBOL_CRC(ath9k_cmn_beacon_config_ap, 0xa6dc7d33, "");
SYMBOL_CRC(ath9k_cmn_debug_modal_eeprom, 0xbe17c178, "");
SYMBOL_CRC(ath9k_cmn_debug_base_eeprom, 0x3a22b727, "");
SYMBOL_CRC(ath9k_cmn_debug_stat_rx, 0x1a0aa030, "");
SYMBOL_CRC(ath9k_cmn_debug_recv, 0x93f39f16, "");
SYMBOL_CRC(ath9k_cmn_debug_phy_err, 0x82fa613e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3c0936dd, "ath9k_hw_set_txpowerlimit" },
	{ 0x8fd018f, "ath_hw_keyreset" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x96848186, "scnprintf" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xd13274b4, "ieee80211_get_hdrlen_from_skb" },
	{ 0x2d938670, "simple_open" },
	{ 0xb6476d61, "skb_pull" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x551dfe26, "default_llseek" },
	{ 0xdcb764ad, "memset" },
	{ 0x950f19eb, "ath9k_hw_gettsf64" },
	{ 0x13107c3a, "debugfs_create_file" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "ath9k_hw,ath,cfg80211");


MODULE_INFO(srcversion, "BD058D5C6536F7696F72A1B");
