#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9181493a, "usb_alloc_urb" },
	{ 0x6254a8e5, "usb_anchor_urb" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x1d3f22b7, "usb_free_urb" },
	{ 0x2f50c013, "ath9k_hw_reset_calvalid" },
	{ 0x60b73b66, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xc2af5a6, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xc8a233ee, "ath_key_config" },
	{ 0x1c22520c, "ath9k_hw_btcoex_init_3wire" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x87ef83ff, "skb_dequeue" },
	{ 0xb9ae011b, "ath9k_cmn_rx_accept" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xdb9f7425, "ieee80211_free_hw" },
	{ 0x117a7dbf, "ath9k_hw_reset" },
	{ 0x8dceb523, "request_firmware" },
	{ 0xd941f894, "usb_register_driver" },
	{ 0xef9bc4c, "ath9k_hw_setuptxqueue" },
	{ 0x8c78a2b8, "ath9k_hw_startpcureceive" },
	{ 0xa0ebda50, "ath9k_hw_gpio_request_out" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x2f0e65e1, "ieee80211_start_tx_ba_session" },
	{ 0x6dcb8b7b, "ath9k_hw_setmcastfilter" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3ca27412, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x6ddfd720, "ath9k_hw_btcoex_set_weight" },
	{ 0xc7d2b07a, "led_classdev_unregister" },
	{ 0xa443a193, "ieee80211_register_hw" },
	{ 0xeb296f65, "ieee80211_emulate_change_chanctx" },
	{ 0x357336bc, "__ieee80211_create_tpt_led_trigger" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x4e641444, "ath9k_hw_setpower" },
	{ 0xd13274b4, "ieee80211_get_hdrlen_from_skb" },
	{ 0x1fcd5e4c, "__ieee80211_get_radio_led_name" },
	{ 0x9b8e84d4, "ath9k_hw_phy_disable" },
	{ 0x154af3cb, "ath9k_cmn_rx_skb_postprocess" },
	{ 0x5c0fa9c8, "ath_hw_setbssidmask" },
	{ 0x79c19848, "ath9k_cmn_beacon_config_sta" },
	{ 0x5151717a, "ath9k_hw_setrxabort" },
	{ 0xacbdd927, "ath9k_hw_btcoex_bt_stomp" },
	{ 0x153baf63, "ath9k_hw_gpio_free" },
	{ 0x2317184f, "usb_interrupt_msg" },
	{ 0xd84797f, "ieee80211_tx_status_skb" },
	{ 0x405a3670, "ieee80211_get_buffered_bc" },
	{ 0x93c7edeb, "usb_find_common_endpoints" },
	{ 0x6269d570, "ieee80211_find_sta" },
	{ 0x8be56097, "ieee80211_handle_wake_tx_queue" },
	{ 0x122c3a7e, "_printk" },
	{ 0xc2654a3a, "ath9k_hw_beaconinit" },
	{ 0x836447e1, "usb_put_dev" },
	{ 0xaa3a99c1, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xdda89c0c, "ath9k_hw_settsf64" },
	{ 0x962c8ae1, "usb_kill_anchored_urbs" },
	{ 0x5a18818f, "usb_get_dev" },
	{ 0x95463bb7, "__alloc_skb" },
	{ 0x6c469e57, "ath9k_hw_init_global_settings" },
	{ 0x17cf403f, "ath9k_hw_name" },
	{ 0xa359e790, "usb_submit_urb" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0x6d38ec8e, "ath9k_hw_beaconq_setup" },
	{ 0x136711a4, "skb_queue_tail" },
	{ 0xb783af47, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x67d342dc, "ath9k_hw_init_btcoex_hw" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x7a1208f2, "wiphy_to_ieee80211_hw" },
	{ 0xe423d4bf, "ath_reg_notifier_apply" },
	{ 0x55692e7d, "ieee80211_queue_delayed_work" },
	{ 0xd7f5537f, "ath9k_hw_write_associd" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0xd7ff39d2, "request_firmware_nowait" },
	{ 0xb6476d61, "skb_pull" },
	{ 0x3939f8f0, "rfkill_pause_polling" },
	{ 0x9f66a4ce, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbfe0703a, "skb_push" },
	{ 0x4571aea8, "ath_is_world_regd" },
	{ 0x5a921311, "strncmp" },
	{ 0x507c01dd, "ath9k_cmn_process_rssi" },
	{ 0xd6cc6cc2, "usb_control_msg" },
	{ 0x92e6399d, "ath9k_cmn_beacon_config_adhoc" },
	{ 0xcd5b3cc2, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0xa8765efb, "ath_is_mybeacon" },
	{ 0x8b2d04e8, "ath9k_hw_ani_monitor" },
	{ 0x32a4842e, "ath9k_hw_getrxfilter" },
	{ 0x9b844e60, "ath9k_hw_btcoex_disable" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xbfbbbf9, "ieee80211_wake_queues" },
	{ 0xa6dc7d33, "ath9k_cmn_beacon_config_ap" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x434844c, "ath9k_hw_set_tsfadjust" },
	{ 0xc54c5b1c, "ath9k_hw_set_sta_beacon_timers" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x81e4beca, "led_classdev_register_ext" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2935d794, "ieee80211_alloc_hw_nm" },
	{ 0x4d8dc364, "usb_deregister" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xdcb764ad, "memset" },
	{ 0x950f19eb, "ath9k_hw_gettsf64" },
	{ 0xf853f470, "ieee80211_emulate_add_chanctx" },
	{ 0xe32df580, "ath9k_hw_resettxqueue" },
	{ 0xafd2c44e, "ath9k_hw_disable" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x2261196, "ath9k_hw_setopmode" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xd29d3445, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x176da023, "ath_printk" },
	{ 0x5409cff7, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xe3eb2d61, "usb_unanchor_urb" },
	{ 0x9d044308, "ieee80211_stop_queues" },
	{ 0x99eabdf8, "skb_trim" },
	{ 0xd063ff6e, "ath9k_cmn_init_channels_rates" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf13765e4, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x292c1abc, "ath9k_cmn_reload_chainmask" },
	{ 0xc1e7bd92, "usb_get_urb" },
	{ 0x3a35edb, "wiphy_rfkill_start_polling" },
	{ 0x93fb280e, "ath9k_hw_reset_tsf" },
	{ 0x280f34c5, "ath9k_hw_releasetxqueue" },
	{ 0x6d1dfb86, "ath9k_hw_get_txq_props" },
	{ 0xea01aadb, "ath9k_hw_setrxfilter" },
	{ 0xc466477d, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xc4b210c0, "ieee80211_unregister_hw" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xfd8b9fb9, "usb_kill_urb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x766a9f88, "ath_regd_init" },
	{ 0x1dcb6318, "ath9k_hw_gpio_get" },
	{ 0xcce31ff9, "ieee80211_beacon_get_tim" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xb9986d44, "ath9k_cmn_update_txpow" },
	{ 0x559e5c40, "ath_key_delete" },
	{ 0x245d2b2c, "ath9k_hw_stopdmarecv" },
	{ 0x4039f94, "ath9k_cmn_get_hw_crypto_keytype" },
	{ 0x7ab8293f, "ath9k_hw_wait" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x34eb9c3b, "ath9k_hw_btcoex_enable" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x7a8fe962, "ath9k_cmn_process_rate" },
	{ 0x2f266e04, "ieee80211_queue_work" },
	{ 0xe38e6d40, "ath9k_cmn_init_crypto" },
	{ 0x315af04f, "ath9k_hw_set_gpio" },
	{ 0x67e43354, "device_release_driver" },
	{ 0xd7c7d5c, "dev_kfree_skb_any_reason" },
	{ 0xcb74520d, "param_ops_int" },
	{ 0xa5193a82, "ath9k_hw_deinit" },
	{ 0xbd616535, "ieee80211_emulate_remove_chanctx" },
	{ 0xed4faff8, "ath9k_cmn_get_channel" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0xeae2c139, "ath9k_hw_init" },
	{ 0xe4c787fb, "ieee80211_csa_finish" },
	{ 0x7b6c022b, "ath9k_hw_set_txq_props" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xdcad7bca, "ieee80211_rx_napi" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "ath9k_hw,ath,ath9k_common,mac80211,cfg80211,rfkill");

MODULE_ALIAS("usb:v0CF3p9271d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0CF3p1006d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0846p9030d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07B8p9271d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07D1p3A10d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13D3p3327d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13D3p3328d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13D3p3346d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13D3p3348d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13D3p3349d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13D3p3350d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04CAp4605d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v040Dp3801d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0CF3pB003d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0CF3pB002d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v057Cp8403d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0471p209Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1EDAp2315d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0CF3p7015d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0CF3p7010d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0846p9018d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v083ApA704d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p017Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0197d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04DAp3904d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0930p0A08d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0CF3p20FFd*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "BD6644EB3219C64B9D8743C");
