#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37dc6251, "ieee80211_queue_stopped" },
	{ 0x9025f190, "ieee80211_stop_tx_ba_session" },
	{ 0x44ec1c5e, "usb_put_intf" },
	{ 0x9181493a, "usb_alloc_urb" },
	{ 0xbaedacc7, "device_set_wakeup_enable" },
	{ 0x6254a8e5, "usb_anchor_urb" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x1d3f22b7, "usb_free_urb" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0xc2af5a6, "skb_put" },
	{ 0x86b13d2a, "usb_unpoison_anchored_urbs" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xa8a4dd06, "usb_ifnum_to_if" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x87ef83ff, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xdb9f7425, "ieee80211_free_hw" },
	{ 0xd941f894, "usb_register_driver" },
	{ 0x1e80e994, "devm_input_allocate_device" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3ca27412, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0xc7d2b07a, "led_classdev_unregister" },
	{ 0xa443a193, "ieee80211_register_hw" },
	{ 0xeb296f65, "ieee80211_emulate_change_chanctx" },
	{ 0x1ecbd4ec, "ieee80211_restart_hw" },
	{ 0x46fb0ede, "dev_kfree_skb_irq_reason" },
	{ 0xa706e468, "usb_check_int_endpoints" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xd4d281cf, "ieee80211_wake_queue" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0x1d8c8df0, "usb_get_intf" },
	{ 0x842f046d, "usb_poison_anchored_urbs" },
	{ 0x2245647f, "__ieee80211_get_tx_led_name" },
	{ 0x6269d570, "ieee80211_find_sta" },
	{ 0x40f0d125, "ieee80211_get_tx_rates" },
	{ 0xacf4622f, "usb_driver_release_interface" },
	{ 0x8be56097, "ieee80211_handle_wake_tx_queue" },
	{ 0xdfc275f, "ieee80211_tx_status_irqsafe" },
	{ 0x44a18989, "input_register_device" },
	{ 0xed065a16, "usb_reset_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x962c8ae1, "usb_kill_anchored_urbs" },
	{ 0xa916b694, "strnlen" },
	{ 0xb1ab353, "ath_regd_get_band_ctl" },
	{ 0xa359e790, "usb_submit_urb" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0x136711a4, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x6a5e0c0e, "usb_queue_reset_device" },
	{ 0xb783af47, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x17c3dbe8, "devm_bitmap_zalloc" },
	{ 0x800473f, "__cond_resched" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x7a1208f2, "wiphy_to_ieee80211_hw" },
	{ 0xe423d4bf, "ath_reg_notifier_apply" },
	{ 0x55692e7d, "ieee80211_queue_delayed_work" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0xd7ff39d2, "request_firmware_nowait" },
	{ 0xb6476d61, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0x9f66a4ce, "sk_skb_reason_drop" },
	{ 0x598b0519, "ieee80211_sta_block_awake" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbfe0703a, "skb_push" },
	{ 0x270e3fa7, "input_set_capability" },
	{ 0x4571aea8, "ath_is_world_regd" },
	{ 0xd6cc6cc2, "usb_control_msg" },
	{ 0xa8765efb, "ath_is_mybeacon" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xbfbbbf9, "ieee80211_wake_queues" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x26a0a846, "ieee80211_free_txskb" },
	{ 0x81e4beca, "led_classdev_register_ext" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2935d794, "ieee80211_alloc_hw_nm" },
	{ 0x4d8dc364, "usb_deregister" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xdcb764ad, "memset" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0xf853f470, "ieee80211_emulate_add_chanctx" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xd29d3445, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x86f6553b, "input_event" },
	{ 0x7bd7df1b, "ieee80211_stop_queue" },
	{ 0x5409cff7, "__netdev_alloc_skb" },
	{ 0xe3eb2d61, "usb_unanchor_urb" },
	{ 0x9d044308, "ieee80211_stop_queues" },
	{ 0x99eabdf8, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc5953ef1, "__ieee80211_get_assoc_led_name" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x14c5dd46, "param_ops_bool" },
	{ 0xc4b210c0, "ieee80211_unregister_hw" },
	{ 0x807766ea, "usb_scuttle_anchored_urbs" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x766a9f88, "ath_regd_init" },
	{ 0xcce31ff9, "ieee80211_beacon_get_tim" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x510247dd, "usb_get_from_anchor" },
	{ 0x3e3bad0a, "__tasklet_hi_schedule" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x2f266e04, "ieee80211_queue_work" },
	{ 0xd7c7d5c, "dev_kfree_skb_any_reason" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xcb74520d, "param_ops_int" },
	{ 0xaad0ae78, "__bitmap_shift_right" },
	{ 0x407af304, "usb_wait_anchor_empty_timeout" },
	{ 0xbd616535, "ieee80211_emulate_remove_chanctx" },
	{ 0xf9a482f9, "msleep" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x53767a05, "usb_check_bulk_endpoints" },
	{ 0xdcad7bca, "ieee80211_rx_napi" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211,ath");

MODULE_ALIAS("usb:v0CF3p9170d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0CF3p1001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0CF3p1002d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0CF3p1010d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0CF3p1011d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:vCACEp0300d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07D1p3C10d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07D1p3A09d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07D1p3A0Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0846p9040d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0846p9010d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0846p9001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0ACEp1221d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1435p0804d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1435p0326d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0586p3417d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0CDEp0023d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0CDEp0026d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0CDEp0027d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v083ApF522d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2019p5304d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04BBp093Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0409p0249d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0409p02B4d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v057Cp8401d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v057Cp8402d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1668p1200d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B75p9170d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "FD06FE5BA40B083EBEB7C21");
