#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(brcmf_set_wsec, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_cmd_data_set, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_cmd_data_get, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_iovar_data_set, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_iovar_data_get, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_bsscfg_data_set, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_bsscfg_data_get, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_xtlv_data_set, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_xtlv_data_get, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fwvid_register_vendor, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fwvid_unregister_vendor, "_gpl", "BRCMFMAC");

SYMBOL_CRC(brcmf_set_wsec, 0x66d1e3b3, "_gpl");
SYMBOL_CRC(brcmf_fil_cmd_data_set, 0xc80906fb, "_gpl");
SYMBOL_CRC(brcmf_fil_cmd_data_get, 0x0ad6bf40, "_gpl");
SYMBOL_CRC(brcmf_fil_iovar_data_set, 0x041d206a, "_gpl");
SYMBOL_CRC(brcmf_fil_iovar_data_get, 0x93d3c8e0, "_gpl");
SYMBOL_CRC(brcmf_fil_bsscfg_data_set, 0x86c4fdd0, "_gpl");
SYMBOL_CRC(brcmf_fil_bsscfg_data_get, 0x84e7a20f, "_gpl");
SYMBOL_CRC(brcmf_fil_xtlv_data_set, 0xfa534642, "_gpl");
SYMBOL_CRC(brcmf_fil_xtlv_data_get, 0x127b641c, "_gpl");
SYMBOL_CRC(brcmf_fwvid_register_vendor, 0x74508817, "_gpl");
SYMBOL_CRC(brcmf_fwvid_unregister_vendor, 0x6cdf4149, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0xcc06d476, "brcmu_pktq_mlen" },
	{ 0xc3303aa7, "cfg80211_sched_scan_results" },
	{ 0x5d240399, "sdio_retune_hold_now" },
	{ 0x500b187c, "sdio_release_host" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x9181493a, "usb_alloc_urb" },
	{ 0x6a5b76d9, "sdio_disable_func" },
	{ 0x8d1e8e52, "cfg80211_mgmt_tx_status_ext" },
	{ 0xbaedacc7, "device_set_wakeup_enable" },
	{ 0xe0cf529c, "usb_autopm_put_interface" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xd2ca62ba, "sdio_set_block_size" },
	{ 0xb86e9579, "is_acpi_device_node" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x1d3f22b7, "usb_free_urb" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0xe9d10d9d, "of_node_put" },
	{ 0x8344b777, "pci_enable_device" },
	{ 0xc2af5a6, "skb_put" },
	{ 0xd63df1a, "brcmu_pkt_buf_free_skb" },
	{ 0xf9ed9452, "of_property_read_variable_u32_array" },
	{ 0x840f2630, "sdio_retune_crc_disable" },
	{ 0x557d0ea1, "cfg80211_scan_done" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x7053a53f, "firmware_request_nowarn" },
	{ 0x3b82c1cf, "platform_driver_unregister" },
	{ 0x748930d1, "sdio_claim_host" },
	{ 0xcaabeb4, "cfg80211_sched_scan_stopped" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc6e8f292, "sdio_memcpy_fromio" },
	{ 0x4679fb71, "consume_skb" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x49ee7ce3, "unregister_netdev" },
	{ 0xe5edf9c8, "cfg80211_remain_on_channel_expired" },
	{ 0x87ef83ff, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xdba1ea2f, "cfg80211_register_netdevice" },
	{ 0xa6613056, "dma_unmap_page_attrs" },
	{ 0x8dceb523, "request_firmware" },
	{ 0xd941f894, "usb_register_driver" },
	{ 0x96848186, "scnprintf" },
	{ 0x43ba1bed, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0xb68458a1, "pci_disable_msi" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xdfeb0acf, "cfg80211_port_authorized" },
	{ 0xaf3f43f2, "brcmu_pktq_init" },
	{ 0x626e37, "brcmu_pktq_penq_head" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xf65c1742, "sdio_memcpy_toio" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x2bc4739b, "cfg80211_new_sta" },
	{ 0xfb685018, "of_irq_parse_one" },
	{ 0xa17c0ccf, "brcmu_dotrev_str" },
	{ 0x5d112304, "__memcpy_fromio" },
	{ 0xaa5d929b, "cfg80211_disconnected" },
	{ 0x9d58bf, "ether_setup" },
	{ 0xe1a350f8, "pci_unregister_driver" },
	{ 0x94389fcd, "of_get_property" },
	{ 0xf4ee861a, "pskb_expand_head" },
	{ 0x354b3d7c, "wake_up_process" },
	{ 0x34070452, "dev_driver_string" },
	{ 0x8fe7fc51, "dev_addr_mod" },
	{ 0x62e2bda2, "sdio_f0_readb" },
	{ 0xdf256037, "kstrtou8_from_user" },
	{ 0xffceeeb5, "eth_type_trans" },
	{ 0x3dea7ab3, "pci_read_config_dword" },
	{ 0xb4c63861, "dma_map_page_attrs" },
	{ 0xca0eee00, "alloc_netdev_mqs" },
	{ 0x4945b134, "wiphy_new_nm" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf74e4ea3, "cfg80211_ready_on_channel" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xc281052d, "devm_kstrdup" },
	{ 0x875a6c8c, "cfg80211_classify8021d" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8f0cc07, "sdio_release_irq" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x6b493365, "cfg80211_crit_proto_stopped" },
	{ 0xfdb9953, "wiphy_register" },
	{ 0x187f9eb2, "__cfg80211_alloc_reply_skb" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x4d3e2151, "cfg80211_put_bss" },
	{ 0x62c73610, "cfg80211_roamed" },
	{ 0xa359e790, "usb_submit_urb" },
	{ 0x9f984513, "strrchr" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0x7a7db114, "of_get_mac_address" },
	{ 0x136711a4, "skb_queue_tail" },
	{ 0xd403a9e, "ieee80211_get_channel_khz" },
	{ 0xc52f111f, "cfg80211_check_combinations" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x86daf326, "sdio_set_host_pm_flags" },
	{ 0xbc8c4b6c, "sdio_f0_writeb" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0x12f5e663, "sdio_unregister_driver" },
	{ 0x800473f, "__cond_resched" },
	{ 0x26daab1c, "sdio_readsb" },
	{ 0xe135a96e, "usb_match_id" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9373e7d0, "pci_enable_msi" },
	{ 0x7e4c3df5, "efi" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0xbba5bd2b, "device_wakeup_enable" },
	{ 0xebc437ff, "cfg80211_ibss_joined" },
	{ 0xd7ff39d2, "request_firmware_nowait" },
	{ 0x2d938670, "simple_open" },
	{ 0xb6476d61, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x24d273d1, "add_timer" },
	{ 0x9f66a4ce, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xd40f97f4, "irq_get_irq_data" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xf3c58dbc, "wiphy_apply_custom_regulatory" },
	{ 0x94630eb5, "cfg80211_michael_mic_failure" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbfe0703a, "skb_push" },
	{ 0xb338134, "sdio_retune_crc_enable" },
	{ 0xcbbd1315, "brcmu_pktq_flush" },
	{ 0x2c2476e9, "brcmu_pktq_peek_tail" },
	{ 0x642cc440, "dma_alloc_attrs" },
	{ 0x5a921311, "strncmp" },
	{ 0x2f360eda, "cfg80211_del_sta_sinfo" },
	{ 0x3826fdac, "sdio_readl" },
	{ 0xa5be0c32, "mmc_set_data_timeout" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0x1ca4f351, "register_netdev" },
	{ 0x42f158d, "wiphy_unregister" },
	{ 0x2e9d1dca, "free_netdev" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xdbcbd433, "of_property_read_string" },
	{ 0x47862685, "wiphy_read_of_freq_limits" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x5b36a3ec, "of_find_property" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4cdb9669, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x145c8336, "eth_platform_get_mac_address" },
	{ 0xf77555cd, "__memcpy_toio" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x4d8dc364, "usb_deregister" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x69f2e923, "netif_tx_wake_queue" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xdcb764ad, "memset" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0xbeadbeac, "brcmu_pktq_pdeq_match" },
	{ 0x6299b88e, "cfg80211_vendor_cmd_reply" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xdf931c6f, "__sdio_register_driver" },
	{ 0xbeb58047, "sdio_writel" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xf9c0b663, "strlcat" },
	{ 0xaff5b1dd, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x96b0714d, "mmc_wait_for_req" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xa86fbee8, "__pskb_pull_tail" },
	{ 0x51335c0e, "netif_rx" },
	{ 0x5409cff7, "__netdev_alloc_skb" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x7358fb91, "param_ops_string" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x99eabdf8, "skb_trim" },
	{ 0x6568ce44, "skb_unlink" },
	{ 0x14355ae1, "sdio_get_host_pm_caps" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x31d75226, "kthread_create_on_node" },
	{ 0xce06599e, "devm_kasprintf" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6e42fcb2, "pm_runtime_forbid" },
	{ 0x13107c3a, "debugfs_create_file" },
	{ 0x12f642fc, "brcmu_pktq_mdeq" },
	{ 0xb72f8fec, "cfg80211_unregister_wdev" },
	{ 0xc5c6eb99, "pci_pme_capable" },
	{ 0x1c3bbc61, "brcmu_pktq_penq" },
	{ 0x404667b0, "dma_free_attrs" },
	{ 0x2454ddca, "pm_runtime_allow" },
	{ 0x999e8297, "vfree" },
	{ 0xd9c9c4d0, "__platform_driver_probe" },
	{ 0x6d5a834, "of_device_is_compatible" },
	{ 0xff81fc1e, "cfg80211_rx_mgmt_ext" },
	{ 0x85df9b6c, "strsep" },
	{ 0x853c4149, "usb_autopm_get_interface" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf264a1dd, "brcmu_pktq_pdeq_tail" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x4e499996, "driver_for_each_device" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xc310b981, "strnstr" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xfd8b9fb9, "usb_kill_urb" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc9ad94d3, "netif_carrier_off" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xaa985d4e, "netif_carrier_on" },
	{ 0x90da6be8, "brcmu_pkt_buf_get_skb" },
	{ 0xa7ee9eaa, "mmc_hw_reset" },
	{ 0x445d6222, "sdio_retune_release" },
	{ 0x803d8599, "sdio_claim_irq" },
	{ 0xb07ffd6, "cfg80211_report_wowlan_wakeup" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xebaddcc6, "pci_disable_device" },
	{ 0xbaa4cc1b, "pci_match_id" },
	{ 0xefe67b65, "sdio_enable_func" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xe93e59ff, "acpi_dev_get_property" },
	{ 0xf5596d89, "cfg80211_get_p2p_attr" },
	{ 0xcdf5f16b, "send_sig" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xea3339c, "cfg80211_inform_bss_data" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xea124bd1, "gcd" },
	{ 0xdb80ee87, "irq_create_of_mapping" },
	{ 0x67e43354, "device_release_driver" },
	{ 0x98cf60b3, "strlen" },
	{ 0xd7c7d5c, "dev_kfree_skb_any_reason" },
	{ 0xcb74520d, "param_ops_int" },
	{ 0x7e15780a, "of_find_node_opts_by_path" },
	{ 0x349cba85, "strchr" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0x11e1190f, "cfg80211_connect_done" },
	{ 0x7410aba2, "strreplace" },
	{ 0xceab0311, "strchrnul" },
	{ 0xd923a37, "wiphy_free" },
	{ 0xd02a45e8, "of_property_read_string_helper" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0xa1e874bd, "cfg80211_cqm_rssi_notify" },
	{ 0xee4ade57, "pci_write_config_dword" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0xd6217d91, "brcmu_d11_attach" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xf85686bf, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xaed3c628, "sdio_readb" },
	{ 0xe1925cff, "sdio_writeb" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "brcmutil,cfg80211");

MODULE_ALIAS("sdio:c*v02D0dA887*");
MODULE_ALIAS("sdio:c*v02D0d4324*");
MODULE_ALIAS("sdio:c*v02D0d4329*");
MODULE_ALIAS("sdio:c*v02D0d4330*");
MODULE_ALIAS("sdio:c*v02D0d4334*");
MODULE_ALIAS("sdio:c*v02D0dA94C*");
MODULE_ALIAS("sdio:c*v02D0dA94D*");
MODULE_ALIAS("sdio:c*v02D0dA962*");
MODULE_ALIAS("sdio:c*v02D0dA9A4*");
MODULE_ALIAS("sdio:c*v02D0d4335*");
MODULE_ALIAS("sdio:c*v02D0d4339*");
MODULE_ALIAS("sdio:c*v02D0dA9A6*");
MODULE_ALIAS("sdio:c*v02D0dA9AF*");
MODULE_ALIAS("sdio:c*v02D0d4345*");
MODULE_ALIAS("sdio:c*v02D0dA9BF*");
MODULE_ALIAS("sdio:c*v02D0d4354*");
MODULE_ALIAS("sdio:c*v02D0d4356*");
MODULE_ALIAS("sdio:c*v02D0d4359*");
MODULE_ALIAS("sdio:c*v02D0d4373*");
MODULE_ALIAS("sdio:c*v02D0dA804*");
MODULE_ALIAS("sdio:c*v02D0dAAE8*");
MODULE_ALIAS("sdio:c*v02D0d4355*");
MODULE_ALIAS("sdio:c*v04B4dBD3D*");
MODULE_ALIAS("pci:v000014E4d000043A3sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004355sv000014E4sd00004355bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004354sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043DCsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043ECsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043D3sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043D9sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d0000AA31sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043E9sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043EFsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043BAsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043BBsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043BCsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d0000AA52sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004464sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043CAsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043CBsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043CCsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004365sv000014E4sd00004365bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043C3sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043C4sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043C5sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d0000440Dsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004415sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004488sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004425sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004433sv*sd*bc02sc80i*");
MODULE_ALIAS("usb:v0A5CpBD1Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5CpBD17d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5CpBD1Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5CpBD27d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p0039d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04B4pBD29d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v043Ep3101d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5Cp0BDCd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04B4p0BDCd*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "602C886B99D4E90676A5C3E");
