#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(_il_poll_bit, "", "");
KSYMTAB_FUNC(il_set_bit, "", "");
KSYMTAB_FUNC(il_clear_bit, "", "");
KSYMTAB_FUNC(_il_grab_nic_access, "_gpl", "");
KSYMTAB_FUNC(il_poll_bit, "", "");
KSYMTAB_FUNC(il_rd_prph, "", "");
KSYMTAB_FUNC(il_wr_prph, "", "");
KSYMTAB_FUNC(il_read_targ_mem, "", "");
KSYMTAB_FUNC(il_write_targ_mem, "", "");
KSYMTAB_FUNC(il_get_cmd_string, "", "");
KSYMTAB_FUNC(il_send_cmd_sync, "", "");
KSYMTAB_FUNC(il_send_cmd, "", "");
KSYMTAB_FUNC(il_send_cmd_pdu, "", "");
KSYMTAB_FUNC(il_send_cmd_pdu_async, "", "");
KSYMTAB_FUNC(il_leds_init, "", "");
KSYMTAB_FUNC(il_leds_exit, "", "");
KSYMTAB_FUNC(il_eeprom_query_addr, "", "");
KSYMTAB_FUNC(il_eeprom_query16, "", "");
KSYMTAB_FUNC(il_eeprom_init, "", "");
KSYMTAB_FUNC(il_eeprom_free, "", "");
KSYMTAB_FUNC(il_init_channel_map, "", "");
KSYMTAB_FUNC(il_free_channel_map, "", "");
KSYMTAB_FUNC(il_get_channel_info, "", "");
KSYMTAB_FUNC(il_power_update_mode, "", "");
KSYMTAB_FUNC(il_power_initialize, "", "");
KSYMTAB_FUNC(il_scan_cancel, "", "");
KSYMTAB_FUNC(il_scan_cancel_timeout, "", "");
KSYMTAB_FUNC(il_setup_rx_scan_handlers, "", "");
KSYMTAB_FUNC(il_get_active_dwell_time, "", "");
KSYMTAB_FUNC(il_get_passive_dwell_time, "", "");
KSYMTAB_FUNC(il_init_scan_params, "", "");
KSYMTAB_FUNC(il_mac_hw_scan, "", "");
KSYMTAB_FUNC(il_fill_probe_req, "", "");
KSYMTAB_FUNC(il_setup_scan_deferred_work, "", "");
KSYMTAB_FUNC(il_cancel_scan_deferred_work, "", "");
KSYMTAB_FUNC(il_send_add_sta, "", "");
KSYMTAB_FUNC(il_prep_station, "_gpl", "");
KSYMTAB_FUNC(il_add_station_common, "", "");
KSYMTAB_FUNC(il_remove_station, "_gpl", "");
KSYMTAB_FUNC(il_clear_ucode_stations, "", "");
KSYMTAB_FUNC(il_restore_stations, "", "");
KSYMTAB_FUNC(il_get_free_ucode_key_idx, "", "");
KSYMTAB_FUNC(il_dealloc_bcast_stations, "_gpl", "");
KSYMTAB_FUNC(il_send_lq_cmd, "", "");
KSYMTAB_FUNC(il_mac_sta_remove, "", "");
KSYMTAB_FUNC(il_rx_queue_space, "", "");
KSYMTAB_FUNC(il_rx_queue_update_write_ptr, "", "");
KSYMTAB_FUNC(il_rx_queue_alloc, "", "");
KSYMTAB_FUNC(il_hdl_spectrum_measurement, "", "");
KSYMTAB_FUNC(il_set_decrypted_flag, "", "");
KSYMTAB_FUNC(il_txq_update_write_ptr, "", "");
KSYMTAB_FUNC(il_tx_queue_unmap, "", "");
KSYMTAB_FUNC(il_tx_queue_free, "", "");
KSYMTAB_FUNC(il_cmd_queue_unmap, "", "");
KSYMTAB_FUNC(il_cmd_queue_free, "", "");
KSYMTAB_FUNC(il_queue_space, "", "");
KSYMTAB_FUNC(il_tx_queue_init, "", "");
KSYMTAB_FUNC(il_tx_queue_reset, "", "");
KSYMTAB_FUNC(il_tx_cmd_complete, "", "");
KSYMTAB_DATA(il_debug_level, "", "");
KSYMTAB_DATA(il_bcast_addr, "", "");
KSYMTAB_FUNC(il_init_geos, "", "");
KSYMTAB_FUNC(il_free_geos, "", "");
KSYMTAB_FUNC(il_is_ht40_tx_allowed, "", "");
KSYMTAB_FUNC(il_send_rxon_timing, "", "");
KSYMTAB_FUNC(il_set_rxon_hwcrypto, "", "");
KSYMTAB_FUNC(il_check_rxon_cmd, "", "");
KSYMTAB_FUNC(il_full_rxon_required, "", "");
KSYMTAB_FUNC(il_get_lowest_plcp, "", "");
KSYMTAB_FUNC(il_set_rxon_ht, "", "");
KSYMTAB_FUNC(il_get_single_channel_number, "", "");
KSYMTAB_FUNC(il_set_rxon_channel, "", "");
KSYMTAB_FUNC(il_set_flags_for_band, "", "");
KSYMTAB_FUNC(il_connection_init_rx_config, "", "");
KSYMTAB_FUNC(il_set_rate, "", "");
KSYMTAB_FUNC(il_chswitch_done, "", "");
KSYMTAB_FUNC(il_hdl_csa, "", "");
KSYMTAB_FUNC(il_print_rx_config_cmd, "", "");
KSYMTAB_FUNC(il_irq_handle_error, "", "");
KSYMTAB_FUNC(_il_apm_stop, "", "");
KSYMTAB_FUNC(il_apm_stop, "", "");
KSYMTAB_FUNC(il_apm_init, "", "");
KSYMTAB_FUNC(il_set_tx_power, "", "");
KSYMTAB_FUNC(il_send_bt_config, "", "");
KSYMTAB_FUNC(il_send_stats_request, "", "");
KSYMTAB_FUNC(il_hdl_pm_sleep, "", "");
KSYMTAB_FUNC(il_hdl_pm_debug_stats, "", "");
KSYMTAB_FUNC(il_hdl_error, "", "");
KSYMTAB_FUNC(il_mac_conf_tx, "", "");
KSYMTAB_FUNC(il_mac_tx_last_beacon, "_gpl", "");
KSYMTAB_FUNC(il_mac_add_interface, "", "");
KSYMTAB_FUNC(il_mac_remove_interface, "", "");
KSYMTAB_FUNC(il_alloc_txq_mem, "", "");
KSYMTAB_FUNC(il_free_txq_mem, "", "");
KSYMTAB_FUNC(il_force_reset, "", "");
KSYMTAB_FUNC(il_mac_change_interface, "", "");
KSYMTAB_FUNC(il_mac_flush, "", "");
KSYMTAB_FUNC(il_bg_watchdog, "", "");
KSYMTAB_FUNC(il_setup_watchdog, "", "");
KSYMTAB_FUNC(il_usecs_to_beacons, "", "");
KSYMTAB_FUNC(il_add_beacon_time, "", "");
KSYMTAB_DATA(il_pm_ops, "", "");
KSYMTAB_FUNC(il_mac_config, "", "");
KSYMTAB_FUNC(il_mac_reset_tsf, "", "");
KSYMTAB_FUNC(il_mac_bss_info_changed, "", "");
KSYMTAB_FUNC(il_isr, "", "");
KSYMTAB_FUNC(il_tx_cmd_protection, "", "");
KSYMTAB_FUNC(il_update_stats, "", "");
KSYMTAB_FUNC(il_dbgfs_register, "", "");
KSYMTAB_FUNC(il_dbgfs_unregister, "", "");

SYMBOL_CRC(_il_poll_bit, 0x99d0ec94, "");
SYMBOL_CRC(il_set_bit, 0x6045cdc1, "");
SYMBOL_CRC(il_clear_bit, 0x5012ca2d, "");
SYMBOL_CRC(_il_grab_nic_access, 0x04806de1, "_gpl");
SYMBOL_CRC(il_poll_bit, 0xd678ee1f, "");
SYMBOL_CRC(il_rd_prph, 0x30f11624, "");
SYMBOL_CRC(il_wr_prph, 0x7d99c267, "");
SYMBOL_CRC(il_read_targ_mem, 0xf21d4fda, "");
SYMBOL_CRC(il_write_targ_mem, 0x37237fe5, "");
SYMBOL_CRC(il_get_cmd_string, 0xb65510a3, "");
SYMBOL_CRC(il_send_cmd_sync, 0x0588bbf5, "");
SYMBOL_CRC(il_send_cmd, 0x66d2c203, "");
SYMBOL_CRC(il_send_cmd_pdu, 0x419cc509, "");
SYMBOL_CRC(il_send_cmd_pdu_async, 0x6ae7e114, "");
SYMBOL_CRC(il_leds_init, 0x584e8f8a, "");
SYMBOL_CRC(il_leds_exit, 0xdf04b48e, "");
SYMBOL_CRC(il_eeprom_query_addr, 0x221561a4, "");
SYMBOL_CRC(il_eeprom_query16, 0xe6d42756, "");
SYMBOL_CRC(il_eeprom_init, 0xb77debad, "");
SYMBOL_CRC(il_eeprom_free, 0x4611ae3d, "");
SYMBOL_CRC(il_init_channel_map, 0x7f7f2e9c, "");
SYMBOL_CRC(il_free_channel_map, 0x79faf4ff, "");
SYMBOL_CRC(il_get_channel_info, 0xfae2db22, "");
SYMBOL_CRC(il_power_update_mode, 0x6fb9d54e, "");
SYMBOL_CRC(il_power_initialize, 0x424bb23b, "");
SYMBOL_CRC(il_scan_cancel, 0x4a3b4fc3, "");
SYMBOL_CRC(il_scan_cancel_timeout, 0x047f4c5a, "");
SYMBOL_CRC(il_setup_rx_scan_handlers, 0xe9b834a6, "");
SYMBOL_CRC(il_get_active_dwell_time, 0xa314c22b, "");
SYMBOL_CRC(il_get_passive_dwell_time, 0x6fe713c8, "");
SYMBOL_CRC(il_init_scan_params, 0x9b17f0f0, "");
SYMBOL_CRC(il_mac_hw_scan, 0xa541d6d1, "");
SYMBOL_CRC(il_fill_probe_req, 0x93543bfd, "");
SYMBOL_CRC(il_setup_scan_deferred_work, 0x75c3ed02, "");
SYMBOL_CRC(il_cancel_scan_deferred_work, 0xef49b783, "");
SYMBOL_CRC(il_send_add_sta, 0xac3c27c8, "");
SYMBOL_CRC(il_prep_station, 0x51405aec, "_gpl");
SYMBOL_CRC(il_add_station_common, 0x3ff644f8, "");
SYMBOL_CRC(il_remove_station, 0xcd695be5, "_gpl");
SYMBOL_CRC(il_clear_ucode_stations, 0x86796dc4, "");
SYMBOL_CRC(il_restore_stations, 0x5d5463a6, "");
SYMBOL_CRC(il_get_free_ucode_key_idx, 0x329d5036, "");
SYMBOL_CRC(il_dealloc_bcast_stations, 0x5a0a7fa8, "_gpl");
SYMBOL_CRC(il_send_lq_cmd, 0x575dbaa5, "");
SYMBOL_CRC(il_mac_sta_remove, 0xfd11ba48, "");
SYMBOL_CRC(il_rx_queue_space, 0xdfc86dc3, "");
SYMBOL_CRC(il_rx_queue_update_write_ptr, 0x7ca652af, "");
SYMBOL_CRC(il_rx_queue_alloc, 0x365b0199, "");
SYMBOL_CRC(il_hdl_spectrum_measurement, 0x7095ff2e, "");
SYMBOL_CRC(il_set_decrypted_flag, 0xba1948a2, "");
SYMBOL_CRC(il_txq_update_write_ptr, 0x8577d0b1, "");
SYMBOL_CRC(il_tx_queue_unmap, 0x112dfb3a, "");
SYMBOL_CRC(il_tx_queue_free, 0x21128b58, "");
SYMBOL_CRC(il_cmd_queue_unmap, 0x5f0b0858, "");
SYMBOL_CRC(il_cmd_queue_free, 0x1f9a55c6, "");
SYMBOL_CRC(il_queue_space, 0x2bf7eea6, "");
SYMBOL_CRC(il_tx_queue_init, 0xab6a3744, "");
SYMBOL_CRC(il_tx_queue_reset, 0x94f3fc7c, "");
SYMBOL_CRC(il_tx_cmd_complete, 0x84b7d9f3, "");
SYMBOL_CRC(il_debug_level, 0x416bd26a, "");
SYMBOL_CRC(il_bcast_addr, 0xf70a693b, "");
SYMBOL_CRC(il_init_geos, 0xb124d098, "");
SYMBOL_CRC(il_free_geos, 0x7a3251bd, "");
SYMBOL_CRC(il_is_ht40_tx_allowed, 0xbb4b8a26, "");
SYMBOL_CRC(il_send_rxon_timing, 0x48df98b1, "");
SYMBOL_CRC(il_set_rxon_hwcrypto, 0xbd662cac, "");
SYMBOL_CRC(il_check_rxon_cmd, 0x91c3216c, "");
SYMBOL_CRC(il_full_rxon_required, 0x6a14be7c, "");
SYMBOL_CRC(il_get_lowest_plcp, 0x97f64f18, "");
SYMBOL_CRC(il_set_rxon_ht, 0x01cfde1b, "");
SYMBOL_CRC(il_get_single_channel_number, 0xc4e818cd, "");
SYMBOL_CRC(il_set_rxon_channel, 0xb98c3029, "");
SYMBOL_CRC(il_set_flags_for_band, 0x453ca04f, "");
SYMBOL_CRC(il_connection_init_rx_config, 0x3e68232d, "");
SYMBOL_CRC(il_set_rate, 0x8bf2d13f, "");
SYMBOL_CRC(il_chswitch_done, 0xed693fe0, "");
SYMBOL_CRC(il_hdl_csa, 0xb248474e, "");
SYMBOL_CRC(il_print_rx_config_cmd, 0x9d8d55d4, "");
SYMBOL_CRC(il_irq_handle_error, 0x174a59a8, "");
SYMBOL_CRC(_il_apm_stop, 0x8efdd504, "");
SYMBOL_CRC(il_apm_stop, 0x5841adfe, "");
SYMBOL_CRC(il_apm_init, 0xfa3c673d, "");
SYMBOL_CRC(il_set_tx_power, 0x84894cd6, "");
SYMBOL_CRC(il_send_bt_config, 0xc0d2702c, "");
SYMBOL_CRC(il_send_stats_request, 0x8af5c6c3, "");
SYMBOL_CRC(il_hdl_pm_sleep, 0x6c168926, "");
SYMBOL_CRC(il_hdl_pm_debug_stats, 0xf9dbfa7e, "");
SYMBOL_CRC(il_hdl_error, 0xa3c24653, "");
SYMBOL_CRC(il_mac_conf_tx, 0xe079abdc, "");
SYMBOL_CRC(il_mac_tx_last_beacon, 0x96bb5168, "_gpl");
SYMBOL_CRC(il_mac_add_interface, 0x2602d953, "");
SYMBOL_CRC(il_mac_remove_interface, 0xb1980fcd, "");
SYMBOL_CRC(il_alloc_txq_mem, 0x28eae0a1, "");
SYMBOL_CRC(il_free_txq_mem, 0x14ddbc49, "");
SYMBOL_CRC(il_force_reset, 0xa8e81383, "");
SYMBOL_CRC(il_mac_change_interface, 0x1e4e8125, "");
SYMBOL_CRC(il_mac_flush, 0x7c6f859b, "");
SYMBOL_CRC(il_bg_watchdog, 0x9cc714af, "");
SYMBOL_CRC(il_setup_watchdog, 0xfe00ea8f, "");
SYMBOL_CRC(il_usecs_to_beacons, 0xc4a6aa41, "");
SYMBOL_CRC(il_add_beacon_time, 0x6ab1b1ef, "");
SYMBOL_CRC(il_pm_ops, 0x1e373250, "");
SYMBOL_CRC(il_mac_config, 0x22579866, "");
SYMBOL_CRC(il_mac_reset_tsf, 0x8ba787cf, "");
SYMBOL_CRC(il_mac_bss_info_changed, 0x6eec1810, "");
SYMBOL_CRC(il_isr, 0xb7bd33ff, "");
SYMBOL_CRC(il_tx_cmd_protection, 0x1477d646, "");
SYMBOL_CRC(il_update_stats, 0x46484d51, "");
SYMBOL_CRC(il_dbgfs_register, 0xbe6c0449, "");
SYMBOL_CRC(il_dbgfs_unregister, 0xcac10d73, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xd853fe12, "pcie_capability_read_word" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x5ad4611c, "ieee80211_chswitch_done" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x4679fb71, "consume_skb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xa6613056, "dma_unmap_page_attrs" },
	{ 0x96848186, "scnprintf" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc7d2b07a, "led_classdev_unregister" },
	{ 0x357336bc, "__ieee80211_create_tpt_led_trigger" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x46fb0ede, "dev_kfree_skb_irq_reason" },
	{ 0x1fcd5e4c, "__ieee80211_get_radio_led_name" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xd4d281cf, "ieee80211_wake_queue" },
	{ 0x34070452, "dev_driver_string" },
	{ 0x6269d570, "ieee80211_find_sta" },
	{ 0xb4c63861, "dma_map_page_attrs" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x800473f, "__cond_resched" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x2bd9d0b2, "debugfs_create_bool" },
	{ 0x2d938670, "simple_open" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x642cc440, "dma_alloc_attrs" },
	{ 0x495eed8e, "debugfs_remove" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x81e4beca, "led_classdev_register_ext" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xdcb764ad, "memset" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf13765e4, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x13107c3a, "debugfs_create_file" },
	{ 0x404667b0, "dma_free_attrs" },
	{ 0x6157449c, "ieee80211_scan_completed" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x14c5dd46, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2fd31ec7, "pci_write_config_byte" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xcce31ff9, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xcb74520d, "param_ops_int" },
	{ 0xe820ea6a, "debugfs_create_dir" },
	{ 0xe7508f4f, "generic_file_llseek" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xf9a482f9, "msleep" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "F1D014DC4AFEAD0A7570335");
