#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0x24ccf766, "ieee80211_beacon_update_cntdwn" },
	{ 0xfc59b5bf, "thermal_zone_device_unregister" },
	{ 0x9025f190, "ieee80211_stop_tx_ba_session" },
	{ 0xbc7afad7, "iwl_trans_wait_tx_queues_empty" },
	{ 0x5c03eae0, "ieee80211_gtk_rekey_notify" },
	{ 0xbaedacc7, "device_set_wakeup_enable" },
	{ 0x70b9a724, "regulatory_set_wiphy_regd_sync" },
	{ 0x1cf75d45, "ieee80211_get_tkip_p1k_iv" },
	{ 0x84c185d3, "thermal_zone_device_priv" },
	{ 0xd4845a05, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xcb897a7, "ieee80211_start_tx_ba_cb_irqsafe" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xbb8d5f22, "ieee80211_connection_loss" },
	{ 0x7a7ae811, "ieee80211_report_wowlan_wakeup" },
	{ 0x1280bc58, "iwl_uefi_get_sgom_table" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xd9fbdfce, "iwl_set_soc_latency" },
	{ 0xa3a59471, "iwl_acpi_get_guid_lock_status" },
	{ 0x7a060a6a, "iwl_bios_get_pwr_limit" },
	{ 0xcc0e7274, "ieee80211_iterate_interfaces" },
	{ 0x74dd884e, "ieee80211_sched_scan_stopped" },
	{ 0x34e28a81, "iwl_configure_rxq" },
	{ 0x495231ea, "mul_u64_u64_div_u64" },
	{ 0x5e9e3815, "iwl_trans_set_q_ptrs" },
	{ 0x5ad4611c, "ieee80211_chswitch_done" },
	{ 0xc89a703c, "cfg80211_bss_iter" },
	{ 0xc2af5a6, "skb_put" },
	{ 0x5988395c, "iwl_notification_wait_init" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x963b4912, "ieee80211_unreserve_tid" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x57674fd7, "__sw_hweight16" },
	{ 0x4a3c0b0a, "iwl_sar_fill_profile" },
	{ 0x4679fb71, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x6964bdcd, "iwl_trans_reclaim" },
	{ 0xb03afd54, "iwl_fill_ppag_table" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x63c9733c, "iwl_trans_configure" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4e671beb, "dump_page" },
	{ 0x7c5d72, "iwl_dbg_tlv_del_timers" },
	{ 0x8b96a8df, "wiphy_work_flush" },
	{ 0x776221bf, "iwl_send_phy_db_data" },
	{ 0x6380d73f, "ieee80211_update_mu_groups" },
	{ 0x35190c94, "debugfs_create_symlink" },
	{ 0x87ef83ff, "skb_dequeue" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xdb9f7425, "ieee80211_free_hw" },
	{ 0xe75b7e77, "iwl_notification_wait" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x836739ca, "iwl_fw_runtime_suspend" },
	{ 0x958d1955, "iwl_fw_lookup_notif_ver" },
	{ 0x96848186, "scnprintf" },
	{ 0xc7adfbb5, "iwl_trans_start_hw" },
	{ 0x2b3d0e1d, "ieee80211_get_tkip_p2k" },
	{ 0xcbb7f1e5, "iwl_fill_lari_config" },
	{ 0xe7bc8968, "ieee80211_iterate_stations_atomic" },
	{ 0x2393d0d6, "iwl_fw_disable_dbg_asserts" },
	{ 0x8edbf177, "iwl_trans_start_fw" },
	{ 0xe1e3d705, "for_each_thermal_trip" },
	{ 0xdeebc41c, "thermal_zone_device_update" },
	{ 0xf5ac16e8, "ieee80211_tx_status_ext" },
	{ 0xe414fb5b, "ptp_clock_index" },
	{ 0x6a5e11bc, "debugfs_create_blob" },
	{ 0xb9bcb8e, "iwl_fw_runtime_init" },
	{ 0x4ca081c, "iwl_fw_dbg_collect_trig" },
	{ 0x2f0e65e1, "ieee80211_start_tx_ba_session" },
	{ 0x4829a47e, "memcpy" },
	{ 0xfb2ad75f, "ieee80211_beacon_loss" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x1789b457, "iwl_fw_dbg_collect_desc" },
	{ 0x132bfe7c, "thermal_cooling_device_register" },
	{ 0xc7d2b07a, "led_classdev_unregister" },
	{ 0xa443a193, "ieee80211_register_hw" },
	{ 0x1ecbd4ec, "ieee80211_restart_hw" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x152f2083, "ieee80211_sta_eosp" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x60bc609b, "ieee80211_rate_control_unregister" },
	{ 0x1fcd5e4c, "__ieee80211_get_radio_led_name" },
	{ 0x78971d7e, "iwl_he_is_sgi" },
	{ 0x5c52e109, "iwl_opmode_deregister" },
	{ 0xe2964344, "__wake_up" },
	{ 0x9758f4b6, "iwl_bios_get_tas_table" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x16012dcc, "iwl_trans_txq_set_shared_mode" },
	{ 0x67155184, "get_device" },
	{ 0x1332e4de, "iwl_abort_notification_waits" },
	{ 0x856e6017, "iwl_get_nvm" },
	{ 0x35033c81, "iwl_phy_db_free" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x8cb097b3, "ieee80211_hw_restart_disconnect" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x8509f7d, "iwl_trans_fw_alive" },
	{ 0xf4ee861a, "pskb_expand_head" },
	{ 0x84bb50e1, "iwl_rs_pretty_ant" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x5195dcc3, "skb_queue_purge_reason" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xcf72a552, "iwl_init_paging" },
	{ 0x3995014f, "thermal_zone_device_enable" },
	{ 0xd84797f, "ieee80211_tx_status_skb" },
	{ 0xed3a7884, "__iwl_warn" },
	{ 0x31ea4124, "cfg80211_pmsr_report" },
	{ 0x6269d570, "ieee80211_find_sta" },
	{ 0xb8b36d14, "ieee80211_iter_keys" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x122c3a7e, "_printk" },
	{ 0xda5b42df, "pm_wakeup_dev_event" },
	{ 0xaeb9a917, "ieee80211_get_key_rx_seq" },
	{ 0x3198fdb5, "device_reprobe" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x12c2d041, "ieee80211_sta_set_buffered" },
	{ 0x766c7a56, "ieee80211_sta_uapsd_trigger" },
	{ 0x6d7c57fb, "iwl_fw_dbg_clear_monitor_buf" },
	{ 0xc037dde3, "skb_checksum_help" },
	{ 0x617c452b, "queued_read_lock_slowpath" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7eb0a69, "wiphy_delayed_work_queue" },
	{ 0xca789001, "iwl_bios_get_ewrd_table" },
	{ 0x1317a0c0, "__iwl_info" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x8619869e, "put_device" },
	{ 0x1dab0efe, "ieee80211_set_key_rx_seq" },
	{ 0x7b06950a, "iwl_fw_lookup_cmd_ver" },
	{ 0x5b396220, "iwl_pnvm_load" },
	{ 0x95463bb7, "__alloc_skb" },
	{ 0xd0cb913b, "iwl_fw_dbg_error_collect" },
	{ 0x581e9a37, "__free_pages" },
	{ 0x7ce31c3e, "iwlwifi_mod_params" },
	{ 0x6b0e2cc4, "iwl_read_external_nvm" },
	{ 0xe2972ef9, "cfg80211_pmsr_complete" },
	{ 0x136711a4, "skb_queue_tail" },
	{ 0x652dc1e2, "_iwl_dbg_tlv_time_point" },
	{ 0x1f9a9c72, "module_put" },
	{ 0xd403a9e, "ieee80211_get_channel_khz" },
	{ 0xb783af47, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0xea792270, "ieee80211_remove_key" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x800473f, "__cond_resched" },
	{ 0x7a1208f2, "wiphy_to_ieee80211_hw" },
	{ 0xa78afa25, "iwl_write_prph_delay" },
	{ 0xd874bc1e, "ieee80211_rx_ba_timer_expired" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x28f0b9e5, "ieee80211_gtk_rekey_add" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xca9a3884, "iwl_trans_pcie_remove" },
	{ 0x7c55f97b, "iwl_is_tas_approved" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0xb7c0f443, "sort" },
	{ 0x2bd9d0b2, "debugfs_create_bool" },
	{ 0x2d938670, "simple_open" },
	{ 0x8721c47f, "iwl_fw_dbg_collect" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x32d1b8f5, "ieee80211_reserve_tid" },
	{ 0xf79c4542, "ptp_clock_register" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0x9f66a4ce, "sk_skb_reason_drop" },
	{ 0x8bc99609, "iwl_bios_get_mcc" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x22c18a03, "ieee80211_find_sta_by_ifaddr" },
	{ 0x598b0519, "ieee80211_sta_block_awake" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xea1b26fc, "iwl_nvm_fixups" },
	{ 0xd0e572e1, "iwl_bios_get_eckv" },
	{ 0x652032cb, "mac_pton" },
	{ 0x9b8785e, "ieee80211_remain_on_channel_expired" },
	{ 0xa4e2a3d2, "iwl_trans_tx" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbc037f7, "kmem_cache_free" },
	{ 0x495eed8e, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xcd5b3cc2, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0x538c4351, "iwl_write32" },
	{ 0x5d4f43ba, "ieee80211_beacon_set_cntdwn" },
	{ 0xc26a05eb, "ieee80211_sta_pspoll" },
	{ 0xbfbbbf9, "ieee80211_wake_queues" },
	{ 0x49e0135d, "iwl_new_rate_from_v1" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xcf1a5cb8, "iwl_fwrt_dump_error_logs" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xf22cdd12, "ieee80211_beacon_get_template" },
	{ 0xb1f70e92, "ieee80211_rate_control_register" },
	{ 0x579b4f45, "wiphy_work_queue" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xbc19deed, "iwl_parse_nvm_mcc_info" },
	{ 0xf5e53b6d, "iwl_bios_get_wgds_table" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x74818240, "ieee80211_iter_keys_rcu" },
	{ 0x80925aa2, "ieee80211_data_to_8023_exthdr" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd004ea88, "ieee80211_key_mic_failure" },
	{ 0x26a0a846, "ieee80211_free_txskb" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x81e4beca, "led_classdev_register_ext" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x8897dde5, "ieee80211_channel_switch_disconnect" },
	{ 0x2935d794, "ieee80211_alloc_hw_nm" },
	{ 0xb37b318c, "iwl_rs_pretty_bw" },
	{ 0x53f0d695, "iwl_free_fw_paging" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xe0eb5838, "iwl_init_notification_wait" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x551dfe26, "default_llseek" },
	{ 0xb3a67332, "iwl_sar_geo_support" },
	{ 0x402a745d, "cfg80211_bss_flush" },
	{ 0x6a53512, "ieee80211_tx_dequeue" },
	{ 0x98d8b9e6, "thermal_zone_device_register_with_trips" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x2c19c3c0, "nl80211_chan_width_to_mhz" },
	{ 0xb1e7244, "iwl_acpi_get_phy_filters" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xee1e2d02, "iwl_uefi_get_step_table" },
	{ 0x8a786caa, "wiphy_work_cancel" },
	{ 0xdcb764ad, "memset" },
	{ 0x85de3f6f, "wiphy_delayed_work_timer" },
	{ 0xe71d7880, "iwl_reinit_cab" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0xd781368c, "wiphy_delayed_work_cancel" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x79d3f16, "__iwl_dbg" },
	{ 0x4419dde5, "debugfs_create_u32" },
	{ 0xd235061c, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x90c0cf53, "ptp_clock_unregister" },
	{ 0x38d12809, "iwl_get_shared_mem_conf" },
	{ 0x295533f9, "iwl_bios_get_wrds_table" },
	{ 0xa04fc083, "iwl_read_prph" },
	{ 0x2ba82024, "ieee80211_ready_on_channel" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x7ee27613, "ieee80211_send_eosp_nullfunc" },
	{ 0xe3386f07, "iwl_trans_txq_disable" },
	{ 0xbcff9f4c, "iwl_trans_txq_free" },
	{ 0x9d044308, "ieee80211_stop_queues" },
	{ 0x2b526e15, "iwl_trans_send_cmd" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x391eda45, "ieee80211_get_tkip_rx_p1k" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8afb6669, "ieee80211_cqm_beacon_loss_notify" },
	{ 0xe282448f, "iwl_uefi_get_uats_table" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf13765e4, "wiphy_rfkill_set_hw_state_reason" },
	{ 0xbafc8994, "iwl_wait_notification" },
	{ 0xb506baa3, "ieee80211_vif_to_wdev" },
	{ 0x5f94aaa5, "ieee80211_mark_rx_ba_filtered_frames" },
	{ 0xd24108d4, "rfkill_soft_blocked" },
	{ 0x4d0fd8ca, "iwl_fw_dbg_stop_restart_recording" },
	{ 0x13107c3a, "debugfs_create_file" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xb5cc5acc, "ieee80211_sched_scan_results" },
	{ 0x6157449c, "ieee80211_scan_completed" },
	{ 0x765e1385, "iwl_trans_set_bits_mask" },
	{ 0xc466477d, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x7c3ac925, "ieee80211_get_vht_max_nss" },
	{ 0x16ad7c5f, "ieee80211_tkip_add_iv" },
	{ 0x37956b72, "rs_pretty_print_rate" },
	{ 0xc4b210c0, "ieee80211_unregister_hw" },
	{ 0xb7d5ffb1, "iwl_rate_mcs" },
	{ 0x52fd6b7b, "iwl_trans_txq_alloc" },
	{ 0xe60f645f, "ieee80211_resume_disconnect" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x874c77de, "iwl_fw_rate_idx_to_plcp" },
	{ 0x1e7aadd8, "iwl_trans_freeze_txq_timer" },
	{ 0x56470118, "__warn_printk" },
	{ 0x93a33e1, "ieee80211_set_active_links_async" },
	{ 0xf173182d, "iwl_opmode_register" },
	{ 0x91d7ca3c, "iwl_sar_geo_fill_table" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x4d611cf3, "skb_copy" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x742da00a, "iwl_set_bits_mask_prph" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xce0c6460, "iwl_phy_db_set_section" },
	{ 0x23026b4b, "cfg80211_chandef_create" },
	{ 0x7a6b28d2, "ieee80211_tdls_oper_request" },
	{ 0xe875fa32, "iwl_bios_get_ppag_table" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x557d1823, "alloc_pages_noprof" },
	{ 0x54ab5a99, "ieee80211_cqm_rssi_notify" },
	{ 0x1a0fabf2, "iwl_fw_dbg_read_d3_debug_data" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xecea02fb, "iwl_fw_dbg_stop_sync" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x9761885d, "iwl_force_nmi" },
	{ 0x21256bf4, "iwl_is_ppag_approved" },
	{ 0x1295ed80, "ieee80211_request_smps" },
	{ 0x2360e3e7, "thermal_cooling_device_unregister" },
	{ 0x2710c362, "iwl_dump_desc_assert" },
	{ 0xf15b75dc, "cfg80211_get_iftype_ext_capa" },
	{ 0x2241b2fa, "iwl_trans_stop_device" },
	{ 0xfc138b47, "skb_add_rx_frag_netmem" },
	{ 0xf2e33be1, "iwl_fw_start_dbg_conf" },
	{ 0x7a6002d, "iwl_fw_runtime_resume" },
	{ 0xeea4735e, "iwl_bios_get_dsm" },
	{ 0x3fa1aefc, "ieee80211_set_active_links" },
	{ 0x3261fbe, "iwl_trans_read_mem" },
	{ 0x497bb3fd, "ieee80211_sta_ps_transition" },
	{ 0xb01ef5fd, "iwl_trans_op_mode_leave" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x327b4025, "regulatory_set_wiphy_regd" },
	{ 0xcb74520d, "param_ops_int" },
	{ 0x2b8cb301, "iwl_trans_wait_txq_empty" },
	{ 0xf88964e4, "iwl_remove_notification" },
	{ 0x554ab118, "debugfs_create_u8" },
	{ 0xe820ea6a, "debugfs_create_dir" },
	{ 0x275269b3, "ieee80211_ie_split_ric" },
	{ 0x6c6fb691, "ieee80211_sta_recalc_aggregates" },
	{ 0xe7508f4f, "generic_file_llseek" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x40c680ec, "iwl_trans_d3_suspend" },
	{ 0xba9c2f08, "__skb_gso_segment" },
	{ 0x16b2ec8, "iwl_trans_d3_resume" },
	{ 0x29b0cc2d, "iwl_parse_nvm_data" },
	{ 0x1f1f0cb9, "iwl_trans_txq_enable_cfg" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xf15245c9, "ieee80211_disconnect" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0xf6571864, "ieee80211_iterate_active_interfaces_mtx" },
	{ 0xe2d07e4, "__iwl_err" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xe4c787fb, "ieee80211_csa_finish" },
	{ 0x9e1c1431, "ieee80211_key_replay" },
	{ 0xf0782b49, "ieee80211_rx_irqsafe" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xdcad7bca, "ieee80211_rx_napi" },
	{ 0x509d5096, "cfg80211_rx_unprot_mlme_mgmt" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x59276c80, "iwl_phy_db_init" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "mac80211,iwlwifi,cfg80211,rfkill");


MODULE_INFO(srcversion, "0A57BD9E126E35715C7C9AA");
