#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x500b187c, "sdio_release_host" },
	{ 0x6a5b76d9, "sdio_disable_func" },
	{ 0xd2ca62ba, "sdio_set_block_size" },
	{ 0x7bbd42d1, "mwifiex_init_shutdown_fw" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0xc2af5a6, "skb_put" },
	{ 0xd06af487, "mwifiex_drv_info_dump" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x748930d1, "sdio_claim_host" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7964b670, "mwifiex_upload_device_dump" },
	{ 0x67ed4146, "mwifiex_enable_hs" },
	{ 0x35c7f26d, "mwifiex_remove_card" },
	{ 0xc54305a, "mwifiex_deauthenticate_all" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x85f7fc68, "mwifiex_handle_rx_packet" },
	{ 0xdf8fc8c7, "mwifiex_reinit_sw" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0x62e2bda2, "sdio_f0_readb" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8f0cc07, "sdio_release_irq" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x136711a4, "skb_queue_tail" },
	{ 0x7b0e755f, "mwifiex_dnld_fw" },
	{ 0x86daf326, "sdio_set_host_pm_flags" },
	{ 0x12f5e663, "sdio_unregister_driver" },
	{ 0x26daab1c, "sdio_readsb" },
	{ 0xd4dad9f3, "mwifiex_alloc_dma_align_buf" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0xb6476d61, "skb_pull" },
	{ 0x6019eee6, "mwifiex_shutdown_sw" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x6022f042, "of_match_node" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xa68dd769, "mwifiex_add_card" },
	{ 0xdcb764ad, "memset" },
	{ 0xdf931c6f, "__sdio_register_driver" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5200b464, "_mwifiex_dbg" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x99eabdf8, "skb_trim" },
	{ 0x14355ae1, "sdio_get_host_pm_caps" },
	{ 0x4ffe2717, "mwifiex_prepare_fw_dump_info" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xed34e844, "mwifiex_main_process" },
	{ 0x999e8297, "vfree" },
	{ 0x44533685, "mwifiex_process_sleep_confirm_resp" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xaa1c1d94, "mwifiex_disable_auto_ds" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xa7ee9eaa, "mmc_hw_reset" },
	{ 0x803d8599, "sdio_claim_irq" },
	{ 0xefe67b65, "sdio_enable_func" },
	{ 0x76d3e52, "sdio_writesb" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x860989ce, "mwifiex_cancel_hs" },
	{ 0x98cf60b3, "strlen" },
	{ 0xd7c7d5c, "dev_kfree_skb_any_reason" },
	{ 0xf9a482f9, "msleep" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xaed3c628, "sdio_readb" },
	{ 0xe1925cff, "sdio_writeb" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "mwifiex");

MODULE_ALIAS("sdio:c*v02DFd9116*");
MODULE_ALIAS("sdio:c*v02DFd9119*");
MODULE_ALIAS("sdio:c*v02DFd9129*");
MODULE_ALIAS("sdio:c*v02DFd912D*");
MODULE_ALIAS("sdio:c*v02DFd9135*");
MODULE_ALIAS("sdio:c*v02DFd9139*");
MODULE_ALIAS("sdio:c*v02DFd9145*");
MODULE_ALIAS("sdio:c*v02DFd9159*");
MODULE_ALIAS("sdio:c*v02DFd9149*");
MODULE_ALIAS("sdio:c*v02DFd9141*");

MODULE_INFO(srcversion, "EFAD2FF59DFC744DB82A5E9");
