#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__mt76u_vendor_request, "_gpl", "");
KSYMTAB_FUNC(mt76u_vendor_request, "_gpl", "");
KSYMTAB_FUNC(___mt76u_rr, "_gpl", "");
KSYMTAB_FUNC(___mt76u_wr, "_gpl", "");
KSYMTAB_FUNC(mt76u_read_copy, "_gpl", "");
KSYMTAB_FUNC(mt76u_single_wr, "_gpl", "");
KSYMTAB_FUNC(mt76u_alloc_mcu_queue, "_gpl", "");
KSYMTAB_FUNC(mt76u_stop_rx, "_gpl", "");
KSYMTAB_FUNC(mt76u_resume_rx, "_gpl", "");
KSYMTAB_FUNC(mt76u_stop_tx, "_gpl", "");
KSYMTAB_FUNC(mt76u_queues_deinit, "_gpl", "");
KSYMTAB_FUNC(mt76u_alloc_queues, "_gpl", "");
KSYMTAB_FUNC(__mt76u_init, "_gpl", "");
KSYMTAB_FUNC(mt76u_init, "_gpl", "");

SYMBOL_CRC(__mt76u_vendor_request, 0x54a07de7, "_gpl");
SYMBOL_CRC(mt76u_vendor_request, 0xf74a0483, "_gpl");
SYMBOL_CRC(___mt76u_rr, 0x9f9b65f5, "_gpl");
SYMBOL_CRC(___mt76u_wr, 0x7e1717da, "_gpl");
SYMBOL_CRC(mt76u_read_copy, 0x83c94f3e, "_gpl");
SYMBOL_CRC(mt76u_single_wr, 0x0e07d5d7, "_gpl");
SYMBOL_CRC(mt76u_alloc_mcu_queue, 0xe1e971b8, "_gpl");
SYMBOL_CRC(mt76u_stop_rx, 0x292bf5c1, "_gpl");
SYMBOL_CRC(mt76u_resume_rx, 0xf11a2d0b, "_gpl");
SYMBOL_CRC(mt76u_stop_tx, 0x65957f4b, "_gpl");
SYMBOL_CRC(mt76u_queues_deinit, 0xe7017c1f, "_gpl");
SYMBOL_CRC(mt76u_alloc_queues, 0x20b1df83, "_gpl");
SYMBOL_CRC(__mt76u_init, 0x17360726, "_gpl");
SYMBOL_CRC(mt76u_init, 0x1971058c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1d3f22b7, "usb_free_urb" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0xc2af5a6, "skb_put" },
	{ 0xf255fd3d, "page_pool_alloc_frag" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x93b9a682, "trace_raw_output_prep" },
	{ 0x556be6e0, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xcb6b138, "trace_event_printf" },
	{ 0x3f7c8b8f, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x39c7ab64, "mt76_has_tx_pending" },
	{ 0xba6a8b08, "page_pool_destroy" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc4e40b90, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xa935b788, "kthread_park" },
	{ 0x8525b949, "sched_set_fifo_low" },
	{ 0xb51e25fa, "mt76_tx_status_check" },
	{ 0x354b3d7c, "wake_up_process" },
	{ 0xfb6dfa14, "trace_event_buffer_commit" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xa916b694, "strnlen" },
	{ 0x95463bb7, "__alloc_skb" },
	{ 0xa359e790, "usb_submit_urb" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xf900e832, "kthread_unpark" },
	{ 0x800473f, "__cond_resched" },
	{ 0x91f5e5f3, "build_skb" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x4bb807c7, "perf_trace_run_bpf_submit" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd6cc6cc2, "usb_control_msg" },
	{ 0x84c52940, "usb_poison_urb" },
	{ 0x2092327, "trace_event_reg" },
	{ 0x971a36c3, "usb_unpoison_urb" },
	{ 0xc6634315, "mt76_ac_to_hwq" },
	{ 0xba72ef4b, "page_pool_put_unrefed_netmem" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4cdb9669, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xdcb764ad, "memset" },
	{ 0xd09440c8, "mt76_queue_tx_complete" },
	{ 0x31d75226, "kthread_create_on_node" },
	{ 0x2da8d207, "bpf_trace_run3" },
	{ 0x491f3d43, "mt76_rx_poll_complete" },
	{ 0xda2d7a21, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x14c5dd46, "param_ops_bool" },
	{ 0xfd8b9fb9, "usb_kill_urb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1ec57b4f, "__mt76_worker_fn" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x5670fdba, "usb_init_urb" },
	{ 0xfc138b47, "skb_add_rx_frag_netmem" },
	{ 0x9cebb97, "mt76_create_page_pool" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xa96a58df, "skb_to_sgvec" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "mt76");


MODULE_INFO(srcversion, "135D9876FC9445087BF5174");
