#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt76_set_irq_mask, "_gpl", "");
KSYMTAB_FUNC(mt76_mmio_init, "_gpl", "");
KSYMTAB_FUNC(__mt76_poll, "_gpl", "");
KSYMTAB_FUNC(____mt76_poll_msec, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_alloc, "_gpl", "");
KSYMTAB_FUNC(mt76_get_min_avg_rssi, "_gpl", "");
KSYMTAB_FUNC(__mt76_worker_fn, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mac_txdone, "_gpl", "");
KSYMTAB_FUNC(__traceiter_mac_txdone, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_mac_txdone, "_gpl", "");
KSYMTAB_DATA(__tracepoint_dev_irq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_dev_irq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_dev_irq, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_put_txwi, "_gpl", "");
KSYMTAB_FUNC(mt76_put_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_free_pending_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_rx_poll, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_attach, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_cleanup, "_gpl", "");
KSYMTAB_DATA(mt76_rates, "_gpl", "");
KSYMTAB_FUNC(mt76_set_stream_caps, "_gpl", "");
KSYMTAB_FUNC(mt76_alloc_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_register_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_unregister_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_create_page_pool, "_gpl", "");
KSYMTAB_FUNC(mt76_alloc_device, "_gpl", "");
KSYMTAB_FUNC(mt76_register_device, "_gpl", "");
KSYMTAB_FUNC(mt76_unregister_device, "_gpl", "");
KSYMTAB_FUNC(mt76_free_device, "_gpl", "");
KSYMTAB_FUNC(mt76_rx, "_gpl", "");
KSYMTAB_FUNC(mt76_has_tx_pending, "_gpl", "");
KSYMTAB_FUNC(mt76_update_survey_active_time, "_gpl", "");
KSYMTAB_FUNC(mt76_update_survey, "_gpl", "");
KSYMTAB_FUNC(mt76_set_channel, "_gpl", "");
KSYMTAB_FUNC(mt76_get_survey, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_key_setup, "", "");
KSYMTAB_FUNC(mt76_rx_signal, "", "");
KSYMTAB_FUNC(mt76_rx_poll_complete, "_gpl", "");
KSYMTAB_FUNC(__mt76_sta_remove, "_gpl", "");
KSYMTAB_FUNC(mt76_sta_state, "_gpl", "");
KSYMTAB_FUNC(mt76_sta_pre_rcu_remove, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_init, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_cleanup, "_gpl", "");
KSYMTAB_FUNC(mt76_get_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76_init_sar_power, "_gpl", "");
KSYMTAB_FUNC(mt76_get_sar_power, "_gpl", "");
KSYMTAB_FUNC(mt76_csa_finish, "_gpl", "");
KSYMTAB_FUNC(mt76_csa_check, "_gpl", "");
KSYMTAB_FUNC(mt76_set_tim, "_gpl", "");
KSYMTAB_FUNC(mt76_insert_ccmp_hdr, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rate, "_gpl", "");
KSYMTAB_FUNC(mt76_sw_scan, "_gpl", "");
KSYMTAB_FUNC(mt76_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(mt76_get_antenna, "_gpl", "");
KSYMTAB_FUNC(mt76_init_queue, "_gpl", "");
KSYMTAB_FUNC(mt76_calculate_default_rate, "_gpl", "");
KSYMTAB_FUNC(mt76_ethtool_worker, "_gpl", "");
KSYMTAB_FUNC(mt76_ethtool_page_pool_stats, "_gpl", "");
KSYMTAB_FUNC(mt76_phy_dfs_state, "_gpl", "");
KSYMTAB_FUNC(mt76_queues_read, "_gpl", "");
KSYMTAB_FUNC(mt76_seq_puts_array, "_gpl", "");
KSYMTAB_FUNC(mt76_register_debugfs_fops, "_gpl", "");
KSYMTAB_FUNC(mt76_get_of_data_from_mtd, "_gpl", "");
KSYMTAB_FUNC(mt76_get_of_data_from_nvmem, "_gpl", "");
KSYMTAB_FUNC(mt76_eeprom_override, "_gpl", "");
KSYMTAB_FUNC(mt76_find_power_limits_node, "_gpl", "");
KSYMTAB_FUNC(mt76_find_channel_node, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rate_power_limits, "_gpl", "");
KSYMTAB_FUNC(mt76_eeprom_init, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_check_agg_ssn, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_lock, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_unlock, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_done, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_add, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_get, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_check, "_gpl", "");
KSYMTAB_FUNC(__mt76_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76_tx, "_gpl", "");
KSYMTAB_FUNC(mt76_release_buffered_frames, "_gpl", "");
KSYMTAB_FUNC(mt76_txq_schedule, "_gpl", "");
KSYMTAB_FUNC(mt76_txq_schedule_all, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_worker_run, "_gpl", "");
KSYMTAB_FUNC(mt76_stop_tx_queues, "_gpl", "");
KSYMTAB_FUNC(mt76_wake_tx_queue, "_gpl", "");
KSYMTAB_FUNC(mt76_ac_to_hwq, "_gpl", "");
KSYMTAB_FUNC(mt76_skb_adjust_pad, "_gpl", "");
KSYMTAB_FUNC(mt76_queue_tx_complete, "_gpl", "");
KSYMTAB_FUNC(__mt76_set_tx_blocked, "_gpl", "");
KSYMTAB_FUNC(mt76_token_consume, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_token_consume, "_gpl", "");
KSYMTAB_FUNC(mt76_token_release, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_token_release, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_aggr_start, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_aggr_stop, "_gpl", "");
KSYMTAB_FUNC(__mt76_mcu_msg_alloc, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_get_response, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_rx_event, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_send_and_get_msg, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_skb_send_and_get_msg, "_gpl", "");
KSYMTAB_FUNC(__mt76_mcu_send_firmware, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_release_rx_buf, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_offload_disable, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_reset_complete, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_net_setup_tc, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_dma_reset, "_gpl", "");
KSYMTAB_FUNC(mt76_pci_disable_aspm, "_gpl", "");
KSYMTAB_FUNC(mt76_pci_aspm_supported, "_gpl", "");

SYMBOL_CRC(mt76_set_irq_mask, 0x6553c966, "_gpl");
SYMBOL_CRC(mt76_mmio_init, 0x6ca29c73, "_gpl");
SYMBOL_CRC(__mt76_poll, 0xbfa70823, "_gpl");
SYMBOL_CRC(____mt76_poll_msec, 0x379fa6bc, "_gpl");
SYMBOL_CRC(mt76_wcid_alloc, 0xe40b66ef, "_gpl");
SYMBOL_CRC(mt76_get_min_avg_rssi, 0x5ea61cf4, "_gpl");
SYMBOL_CRC(__mt76_worker_fn, 0x1ec57b4f, "_gpl");
SYMBOL_CRC(__tracepoint_mac_txdone, 0x9d28c26e, "_gpl");
SYMBOL_CRC(__traceiter_mac_txdone, 0x0f47639c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_mac_txdone, 0xc6315d8e, "_gpl");
SYMBOL_CRC(__tracepoint_dev_irq, 0xb608bb75, "_gpl");
SYMBOL_CRC(__traceiter_dev_irq, 0x8ccc2e9b, "_gpl");
SYMBOL_CRC(__SCK__tp_func_dev_irq, 0x805fc13a, "_gpl");
SYMBOL_CRC(mt76_get_rxwi, 0x35a7aea7, "_gpl");
SYMBOL_CRC(mt76_put_txwi, 0xa234b50f, "_gpl");
SYMBOL_CRC(mt76_put_rxwi, 0x2f0a6fd6, "_gpl");
SYMBOL_CRC(mt76_free_pending_rxwi, 0xbec04c49, "_gpl");
SYMBOL_CRC(mt76_dma_rx_poll, 0x411f7768, "_gpl");
SYMBOL_CRC(mt76_dma_attach, 0xb5ba9d16, "_gpl");
SYMBOL_CRC(mt76_dma_cleanup, 0x11a6c021, "_gpl");
SYMBOL_CRC(mt76_rates, 0x17f568e9, "_gpl");
SYMBOL_CRC(mt76_set_stream_caps, 0x6897849a, "_gpl");
SYMBOL_CRC(mt76_alloc_phy, 0x2241489b, "_gpl");
SYMBOL_CRC(mt76_register_phy, 0xe0282a0b, "_gpl");
SYMBOL_CRC(mt76_unregister_phy, 0x5accb7c7, "_gpl");
SYMBOL_CRC(mt76_create_page_pool, 0x09cebb97, "_gpl");
SYMBOL_CRC(mt76_alloc_device, 0x609095f7, "_gpl");
SYMBOL_CRC(mt76_register_device, 0xa37a5b74, "_gpl");
SYMBOL_CRC(mt76_unregister_device, 0x5057326b, "_gpl");
SYMBOL_CRC(mt76_free_device, 0x24a2889b, "_gpl");
SYMBOL_CRC(mt76_rx, 0x5cbe99e2, "_gpl");
SYMBOL_CRC(mt76_has_tx_pending, 0x39c7ab64, "_gpl");
SYMBOL_CRC(mt76_update_survey_active_time, 0x6a19f99c, "_gpl");
SYMBOL_CRC(mt76_update_survey, 0x7e92311b, "_gpl");
SYMBOL_CRC(mt76_set_channel, 0x17381c4c, "_gpl");
SYMBOL_CRC(mt76_get_survey, 0x26b2413e, "_gpl");
SYMBOL_CRC(mt76_wcid_key_setup, 0x31bb8ac8, "");
SYMBOL_CRC(mt76_rx_signal, 0x327a9822, "");
SYMBOL_CRC(mt76_rx_poll_complete, 0x491f3d43, "_gpl");
SYMBOL_CRC(__mt76_sta_remove, 0x05ba75fe, "_gpl");
SYMBOL_CRC(mt76_sta_state, 0x70eed9eb, "_gpl");
SYMBOL_CRC(mt76_sta_pre_rcu_remove, 0x4846c22d, "_gpl");
SYMBOL_CRC(mt76_wcid_init, 0xfdee55aa, "_gpl");
SYMBOL_CRC(mt76_wcid_cleanup, 0x4df8f2cf, "_gpl");
SYMBOL_CRC(mt76_get_txpower, 0x8a62077d, "_gpl");
SYMBOL_CRC(mt76_init_sar_power, 0xd6511315, "_gpl");
SYMBOL_CRC(mt76_get_sar_power, 0x30ff3e25, "_gpl");
SYMBOL_CRC(mt76_csa_finish, 0xc806fe62, "_gpl");
SYMBOL_CRC(mt76_csa_check, 0x8573b30d, "_gpl");
SYMBOL_CRC(mt76_set_tim, 0x2139d5f4, "_gpl");
SYMBOL_CRC(mt76_insert_ccmp_hdr, 0x334d5b19, "_gpl");
SYMBOL_CRC(mt76_get_rate, 0xcdee2b03, "_gpl");
SYMBOL_CRC(mt76_sw_scan, 0x347b70dc, "_gpl");
SYMBOL_CRC(mt76_sw_scan_complete, 0xa4fc837c, "_gpl");
SYMBOL_CRC(mt76_get_antenna, 0xb9209a6e, "_gpl");
SYMBOL_CRC(mt76_init_queue, 0x62a5cd5d, "_gpl");
SYMBOL_CRC(mt76_calculate_default_rate, 0xb68fbba4, "_gpl");
SYMBOL_CRC(mt76_ethtool_worker, 0xab9d88b8, "_gpl");
SYMBOL_CRC(mt76_ethtool_page_pool_stats, 0xf6f1392f, "_gpl");
SYMBOL_CRC(mt76_phy_dfs_state, 0xd0ac1d95, "_gpl");
SYMBOL_CRC(mt76_queues_read, 0xb3d11248, "_gpl");
SYMBOL_CRC(mt76_seq_puts_array, 0xc15b19e7, "_gpl");
SYMBOL_CRC(mt76_register_debugfs_fops, 0x8423c241, "_gpl");
SYMBOL_CRC(mt76_get_of_data_from_mtd, 0x7986aa26, "_gpl");
SYMBOL_CRC(mt76_get_of_data_from_nvmem, 0x06447691, "_gpl");
SYMBOL_CRC(mt76_eeprom_override, 0xe3a4458e, "_gpl");
SYMBOL_CRC(mt76_find_power_limits_node, 0xe105e450, "_gpl");
SYMBOL_CRC(mt76_find_channel_node, 0x622c5d46, "_gpl");
SYMBOL_CRC(mt76_get_rate_power_limits, 0x6b5609a3, "_gpl");
SYMBOL_CRC(mt76_eeprom_init, 0xdf190f7f, "_gpl");
SYMBOL_CRC(mt76_tx_check_agg_ssn, 0x10bf9025, "_gpl");
SYMBOL_CRC(mt76_tx_status_lock, 0x53f32243, "_gpl");
SYMBOL_CRC(mt76_tx_status_unlock, 0xeb8e2378, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_done, 0xe0eed0cd, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_add, 0x4eaa32a8, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_get, 0x1efdc7fc, "_gpl");
SYMBOL_CRC(mt76_tx_status_check, 0xb51e25fa, "_gpl");
SYMBOL_CRC(__mt76_tx_complete_skb, 0x6d0cdc56, "_gpl");
SYMBOL_CRC(mt76_tx, 0xbfb322d2, "_gpl");
SYMBOL_CRC(mt76_release_buffered_frames, 0x76c8b606, "_gpl");
SYMBOL_CRC(mt76_txq_schedule, 0x8ddd667b, "_gpl");
SYMBOL_CRC(mt76_txq_schedule_all, 0xd83bfe09, "_gpl");
SYMBOL_CRC(mt76_tx_worker_run, 0x0783784b, "_gpl");
SYMBOL_CRC(mt76_stop_tx_queues, 0x91fcaa9a, "_gpl");
SYMBOL_CRC(mt76_wake_tx_queue, 0x382733fc, "_gpl");
SYMBOL_CRC(mt76_ac_to_hwq, 0xc6634315, "_gpl");
SYMBOL_CRC(mt76_skb_adjust_pad, 0x0d22c2ce, "_gpl");
SYMBOL_CRC(mt76_queue_tx_complete, 0xd09440c8, "_gpl");
SYMBOL_CRC(__mt76_set_tx_blocked, 0x49fa39bc, "_gpl");
SYMBOL_CRC(mt76_token_consume, 0xe739389f, "_gpl");
SYMBOL_CRC(mt76_rx_token_consume, 0x72ae9bec, "_gpl");
SYMBOL_CRC(mt76_token_release, 0x5c35f2d3, "_gpl");
SYMBOL_CRC(mt76_rx_token_release, 0x6704dfeb, "_gpl");
SYMBOL_CRC(mt76_rx_aggr_start, 0xa4c26431, "_gpl");
SYMBOL_CRC(mt76_rx_aggr_stop, 0xefd5ad9c, "_gpl");
SYMBOL_CRC(__mt76_mcu_msg_alloc, 0x885f6ba6, "_gpl");
SYMBOL_CRC(mt76_mcu_get_response, 0x7f92d328, "_gpl");
SYMBOL_CRC(mt76_mcu_rx_event, 0xd0c73f59, "_gpl");
SYMBOL_CRC(mt76_mcu_send_and_get_msg, 0xb8238587, "_gpl");
SYMBOL_CRC(mt76_mcu_skb_send_and_get_msg, 0x525360e5, "_gpl");
SYMBOL_CRC(__mt76_mcu_send_firmware, 0x7fd00d78, "_gpl");
SYMBOL_CRC(mt76_wed_release_rx_buf, 0x2a310631, "_gpl");
SYMBOL_CRC(mt76_wed_offload_disable, 0xda4fd8c4, "_gpl");
SYMBOL_CRC(mt76_wed_reset_complete, 0x4958cfc1, "_gpl");
SYMBOL_CRC(mt76_wed_net_setup_tc, 0x62736dbc, "_gpl");
SYMBOL_CRC(mt76_wed_dma_reset, 0xf86709df, "_gpl");
SYMBOL_CRC(mt76_pci_disable_aspm, 0x87095fa1, "_gpl");
SYMBOL_CRC(mt76_pci_aspm_supported, 0xc370e9a5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa05ffc58, "ieee80211_sta_register_airtime" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xd853fe12, "pcie_capability_read_word" },
	{ 0xab90cd8a, "__skb_pad" },
	{ 0xf1fb01b9, "page_pool_get_stats" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x8d039641, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x328fb888, "__ieee80211_schedule_txq" },
	{ 0xbebaed22, "debugfs_attr_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0xe9d10d9d, "of_node_put" },
	{ 0xc2af5a6, "skb_put" },
	{ 0xf9ed9452, "of_property_read_variable_u32_array" },
	{ 0xf255fd3d, "page_pool_alloc_frag" },
	{ 0x2d569990, "__iowrite32_copy_full" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x57674fd7, "__sw_hweight16" },
	{ 0x4679fb71, "consume_skb" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xbdc26b3b, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x962f385c, "dmam_alloc_attrs" },
	{ 0x93b9a682, "trace_raw_output_prep" },
	{ 0x6b8bf149, "netif_receive_skb_list" },
	{ 0x87ef83ff, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x556be6e0, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xdb9f7425, "ieee80211_free_hw" },
	{ 0xa6613056, "dma_unmap_page_attrs" },
	{ 0x71157113, "ieee80211_txq_schedule_start" },
	{ 0xcb6b138, "trace_event_printf" },
	{ 0xf5ac16e8, "ieee80211_tx_status_ext" },
	{ 0x6a5e11bc, "debugfs_create_blob" },
	{ 0x3f7c8b8f, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf95322f4, "kthread_parkme" },
	{ 0xba6a8b08, "page_pool_destroy" },
	{ 0xa443a193, "ieee80211_register_hw" },
	{ 0xc7d2b07a, "led_classdev_unregister" },
	{ 0x357336bc, "__ieee80211_create_tpt_led_trigger" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x152f2083, "ieee80211_sta_eosp" },
	{ 0xd13274b4, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0x12e92ab7, "__netif_napi_del" },
	{ 0xa935b788, "kthread_park" },
	{ 0x8525b949, "sched_set_fifo_low" },
	{ 0x79defbe1, "kthread_should_park" },
	{ 0x94389fcd, "of_get_property" },
	{ 0x354b3d7c, "wake_up_process" },
	{ 0x34070452, "dev_driver_string" },
	{ 0xfb6dfa14, "trace_event_buffer_commit" },
	{ 0xb4c63861, "dma_map_page_attrs" },
	{ 0x85540ebc, "nvmem_cell_put" },
	{ 0xdb5b677b, "napi_complete_done" },
	{ 0x40f0d125, "ieee80211_get_tx_rates" },
	{ 0x670757ee, "ieee80211_send_bar" },
	{ 0x2162b72e, "cfg80211_reg_check_beaconing" },
	{ 0xaeb9a917, "ieee80211_get_key_rx_seq" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x766c7a56, "ieee80211_sta_uapsd_trigger" },
	{ 0xe533a845, "of_get_next_child" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb9b06042, "debugfs_create_devm_seqfile" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xa916b694, "strnlen" },
	{ 0x95463bb7, "__alloc_skb" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x8d8912d8, "pci_disable_link_state" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0xecb7ae28, "napi_gro_receive" },
	{ 0x7a7db114, "of_get_mac_address" },
	{ 0x23f1d7a6, "page_pool_ethtool_stats_get_count" },
	{ 0x136711a4, "skb_queue_tail" },
	{ 0x99f018c4, "nvmem_cell_read" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x73c90389, "page_pool_ethtool_stats_get" },
	{ 0x7b82d407, "dev_set_threaded" },
	{ 0x800473f, "__cond_resched" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xbb3d1556, "of_get_child_by_name" },
	{ 0x579acfde, "debugfs_attr_read" },
	{ 0x5ca10ce4, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x55692e7d, "ieee80211_queue_delayed_work" },
	{ 0xcc876e05, "devm_kmemdup" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x4bb807c7, "perf_trace_run_bpf_submit" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x44f12496, "of_prop_next_string" },
	{ 0xac9c6a30, "debugfs_create_file_unsafe" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x9295faf0, "simple_attr_release" },
	{ 0x49aa2731, "ieee80211_calc_rx_airtime" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0x22c18a03, "ieee80211_find_sta_by_ifaddr" },
	{ 0xfcc3de91, "ieee80211_next_txq" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xa1cc32d8, "pcie_capability_clear_and_set_word_locked" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbfe0703a, "skb_push" },
	{ 0xad0c171b, "napi_enable" },
	{ 0xcd5b3cc2, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0x6f2c2cc6, "seq_putc" },
	{ 0x2092327, "trace_event_reg" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0xc26a05eb, "ieee80211_sta_pspoll" },
	{ 0x2e9d1dca, "free_netdev" },
	{ 0x3801776b, "__ioread32_copy" },
	{ 0x47862685, "wiphy_read_of_freq_limits" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x5b36a3ec, "of_find_property" },
	{ 0xba72ef4b, "page_pool_put_unrefed_netmem" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4cdb9669, "kthread_stop" },
	{ 0x26a0a846, "ieee80211_free_txskb" },
	{ 0x81e4beca, "led_classdev_register_ext" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xa33705b7, "of_device_is_available" },
	{ 0x2935d794, "ieee80211_alloc_hw_nm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x6a53512, "ieee80211_tx_dequeue" },
	{ 0x84e8d8e6, "ieee80211_rx_list" },
	{ 0xc9a0b1e3, "page_pool_create" },
	{ 0xdcb764ad, "memset" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x4419dde5, "debugfs_create_u32" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x31d75226, "kthread_create_on_node" },
	{ 0x2da8d207, "bpf_trace_run3" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xfcce6093, "alloc_netdev_dummy" },
	{ 0xda2d7a21, "trace_event_buffer_reserve" },
	{ 0xc466477d, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x698b966, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xc4b210c0, "ieee80211_unregister_hw" },
	{ 0x2495b0bd, "napi_build_skb" },
	{ 0x5737dbe8, "seq_write" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3335af8a, "of_nvmem_cell_get" },
	{ 0x899fbd06, "seq_printf" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xfc138b47, "skb_add_rx_frag_netmem" },
	{ 0x497bb3fd, "ieee80211_sta_ps_transition" },
	{ 0x554ab118, "debugfs_create_u8" },
	{ 0xe820ea6a, "debugfs_create_dir" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0xe4c787fb, "ieee80211_csa_finish" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "87EB4CEF5FEDD55C394092D");
