#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x629e0bd1, "mt76x02u_tx_complete_skb" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0x285c4d9, "mt76x0_set_sar_specs" },
	{ 0x7053a53f, "firmware_request_nowarn" },
	{ 0xc0daed8a, "mt76x02_set_ethtool_fwver" },
	{ 0x878be121, "mt76x02_set_key" },
	{ 0x76c8b606, "mt76_release_buffered_frames" },
	{ 0x8dceb523, "request_firmware" },
	{ 0xd941f894, "usb_register_driver" },
	{ 0x8a62077d, "mt76_get_txpower" },
	{ 0x382733fc, "mt76_wake_tx_queue" },
	{ 0xb9209a6e, "mt76_get_antenna" },
	{ 0x37a0cba, "kfree" },
	{ 0xeb296f65, "ieee80211_emulate_change_chanctx" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x3a667fe7, "mt76x02_sta_ps" },
	{ 0xf11a2d0b, "mt76u_resume_rx" },
	{ 0xb55b9f72, "mt76x02_sta_rate_tbl_update" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0x609095f7, "mt76_alloc_device" },
	{ 0x836447e1, "usb_put_dev" },
	{ 0xed065a16, "usb_reset_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe81ce1f8, "mt76x02_update_channel" },
	{ 0x5a18818f, "usb_get_dev" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0x5f52626f, "mt76x02_configure_filter" },
	{ 0x24a2889b, "mt76_free_device" },
	{ 0x33738a79, "mt76x0_chip_onoff" },
	{ 0x5debbf2, "mt76x02_queue_rx_skb" },
	{ 0xe7017c1f, "mt76u_queues_deinit" },
	{ 0x55692e7d, "ieee80211_queue_delayed_work" },
	{ 0xec818418, "mt76x0_config" },
	{ 0x918a4299, "mt76x0_register_device" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x446c48ba, "mt76x02u_mcu_fw_reset" },
	{ 0xf0dfe8e4, "mt76x0_phy_calibrate" },
	{ 0x2139d5f4, "mt76_set_tim" },
	{ 0xc7fe7306, "mt76x02_sw_scan_complete" },
	{ 0x3b0dba26, "mt76x02_tx" },
	{ 0xcfd75ffd, "mt76x02_sta_remove" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x4d8dc364, "usb_deregister" },
	{ 0xd00856c5, "mt76x02_tx_status_data" },
	{ 0x986980e3, "mt76x02_sta_add" },
	{ 0x3b37f223, "mt76x0_mac_stop" },
	{ 0x23cdf940, "mt76x02u_mcu_fw_send_data" },
	{ 0x1971058c, "mt76u_init" },
	{ 0x26b2413e, "mt76_get_survey" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0xf853f470, "ieee80211_emulate_add_chanctx" },
	{ 0x9a915334, "mt76x02u_init_mcu" },
	{ 0xd905ab10, "mt76x02u_tx_prepare_skb" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xd29d3445, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0xa3d397e2, "mt76x02_set_rts_threshold" },
	{ 0x70eed9eb, "mt76_sta_state" },
	{ 0x7111e71a, "mt76x0_init_hardware" },
	{ 0xce464042, "mt76x02u_mac_start" },
	{ 0x4976cf2, "mt76x02_bss_info_changed" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x20b1df83, "mt76u_alloc_queues" },
	{ 0x65957f4b, "mt76u_stop_tx" },
	{ 0x9f02f6fe, "mt76x02u_init_beacon_config" },
	{ 0xc4b210c0, "ieee80211_unregister_hw" },
	{ 0xf74a0483, "mt76u_vendor_request" },
	{ 0xba4c1a11, "mt76x02_add_interface" },
	{ 0x379fa6bc, "____mt76_poll_msec" },
	{ 0x6406d69b, "mt76x02u_exit_beacon_config" },
	{ 0x292bf5c1, "mt76u_stop_rx" },
	{ 0x9c7f848d, "mt76x02_ampdu_action" },
	{ 0x33d35f12, "mt76x02_conf_tx" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x347b70dc, "mt76_sw_scan" },
	{ 0x4846c22d, "mt76_sta_pre_rcu_remove" },
	{ 0xbfa70823, "__mt76_poll" },
	{ 0xbd616535, "ieee80211_emulate_remove_chanctx" },
	{ 0x67c39931, "mt76x02_remove_interface" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "mt76x02-usb,mt76x0-common,mt76x02-lib,mt76,mac80211,mt76-usb");

MODULE_ALIAS("usb:v148Fp7610d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p003Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E8Dp7610d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7392pA711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7392pB711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp761Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp760Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p17D1d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p17DBd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DF6p0075d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2019pAB31d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p3D02d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0586p3425d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07B8p7610d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04BBp0951d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v057Cp8502d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v293Cp5702d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v20F4p806Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7392pC711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DF6p0079d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2357p0123d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2357p010Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2357p0105d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E8Dp7630d*dc*dsc*dp*icFFisc02ipFFin*");
MODULE_ALIAS("usb:v0E8Dp7650d*dc*dsc*dp*icFFisc02ipFFin*");

MODULE_INFO(srcversion, "34CD9DF443ABB11E2177106");
