#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x629e0bd1, "mt76x02u_tx_complete_skb" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0xc0daed8a, "mt76x02_set_ethtool_fwver" },
	{ 0x878be121, "mt76x02_set_key" },
	{ 0x76c8b606, "mt76_release_buffered_frames" },
	{ 0x8dceb523, "request_firmware" },
	{ 0xd941f894, "usb_register_driver" },
	{ 0x8a62077d, "mt76_get_txpower" },
	{ 0x6c69f3c8, "mt76_write_mac_initvals" },
	{ 0xbbc2272c, "mt76x2_reset_wlan" },
	{ 0xe73724cc, "mt76x2_mcu_set_channel" },
	{ 0xfa51eea8, "mt76x02_mcu_set_radio_state" },
	{ 0x382733fc, "mt76_wake_tx_queue" },
	{ 0xb9209a6e, "mt76_get_antenna" },
	{ 0xd74faca7, "mt76x2_apply_gain_adj" },
	{ 0xeb296f65, "ieee80211_emulate_change_chanctx" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x3a667fe7, "mt76x02_sta_ps" },
	{ 0xb0b2d21d, "mt76x2_set_sar_specs" },
	{ 0xf11a2d0b, "mt76u_resume_rx" },
	{ 0xb55b9f72, "mt76x02_sta_rate_tbl_update" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0x609095f7, "mt76_alloc_device" },
	{ 0x2583b828, "mt76x02_mac_shared_key_setup" },
	{ 0xbd63abeb, "mt76x02_ext_pa_enabled" },
	{ 0xffc3f3e2, "mt76x2_mac_stop" },
	{ 0x836447e1, "usb_put_dev" },
	{ 0xed065a16, "usb_reset_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe81ce1f8, "mt76x02_update_channel" },
	{ 0x90827043, "mt76x2_configure_tx_delay" },
	{ 0x5a18818f, "usb_get_dev" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0x5f52626f, "mt76x02_configure_filter" },
	{ 0x24a2889b, "mt76_free_device" },
	{ 0x5debbf2, "mt76x02_queue_rx_skb" },
	{ 0xe7017c1f, "mt76u_queues_deinit" },
	{ 0x55692e7d, "ieee80211_queue_delayed_work" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x446c48ba, "mt76x02u_mcu_fw_reset" },
	{ 0xba33e6af, "mt76x02_mac_setaddr" },
	{ 0xa37a5b74, "mt76_register_device" },
	{ 0x2139d5f4, "mt76_set_tim" },
	{ 0xc7fe7306, "mt76x02_sw_scan_complete" },
	{ 0x296eb20c, "mt76x02_phy_set_bw" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xa63861f1, "mt76x02_phy_set_band" },
	{ 0x17381c4c, "mt76_set_channel" },
	{ 0xe216406b, "mt76x02_init_device" },
	{ 0x3b0dba26, "mt76x02_tx" },
	{ 0xbfbbbf9, "ieee80211_wake_queues" },
	{ 0xe9abc2bd, "mt76x02_eeprom_parse_hw_cap" },
	{ 0xcfd75ffd, "mt76x02_sta_remove" },
	{ 0x61b8bd8e, "mt76x02_phy_set_rxpath" },
	{ 0x472f57bb, "mt76x02_edcca_init" },
	{ 0x4d8dc364, "usb_deregister" },
	{ 0xd00856c5, "mt76x02_tx_status_data" },
	{ 0x986980e3, "mt76x02_sta_add" },
	{ 0x684bf562, "mt76x2_mcu_load_cr" },
	{ 0x1ab4ac3a, "mt76x2_init_txpower" },
	{ 0x23cdf940, "mt76x02u_mcu_fw_send_data" },
	{ 0x1971058c, "mt76u_init" },
	{ 0x26b2413e, "mt76_get_survey" },
	{ 0x93cc390f, "mt76x02_init_debugfs" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0xf853f470, "ieee80211_emulate_add_chanctx" },
	{ 0x9a915334, "mt76x02u_init_mcu" },
	{ 0xd905ab10, "mt76x02u_tx_prepare_skb" },
	{ 0xd29d3445, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x38b5dd96, "mt76x2_mcu_init_gain" },
	{ 0x70eed9eb, "mt76_sta_state" },
	{ 0xc1aba3b4, "mt76x2_phy_tssi_compensate" },
	{ 0x9d044308, "ieee80211_stop_queues" },
	{ 0xce464042, "mt76x02u_mac_start" },
	{ 0x4519adaf, "mt76x02_mac_cc_reset" },
	{ 0x4976cf2, "mt76x02_bss_info_changed" },
	{ 0x89a2b8e1, "mt76x02_init_agc_gain" },
	{ 0x8ba89eb2, "mt76x2_phy_update_channel_gain" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xd83bfe09, "mt76_txq_schedule_all" },
	{ 0x20b1df83, "mt76u_alloc_queues" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x65957f4b, "mt76u_stop_tx" },
	{ 0x9f02f6fe, "mt76x02u_init_beacon_config" },
	{ 0xc4b210c0, "ieee80211_unregister_hw" },
	{ 0xf74a0483, "mt76u_vendor_request" },
	{ 0xba4c1a11, "mt76x02_add_interface" },
	{ 0x379fa6bc, "____mt76_poll_msec" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x30ff3e25, "mt76_get_sar_power" },
	{ 0x292bf5c1, "mt76u_stop_rx" },
	{ 0x9c7f848d, "mt76x02_ampdu_action" },
	{ 0x9c35e82a, "mt76x02_mcu_calibrate" },
	{ 0x33d35f12, "mt76x02_conf_tx" },
	{ 0xf7fa1ec3, "mt76x02_mcu_function_select" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x347b70dc, "mt76_sw_scan" },
	{ 0x4846c22d, "mt76_sta_pre_rcu_remove" },
	{ 0xeb683d2a, "mt76x02_mac_wcid_setup" },
	{ 0xbfa70823, "__mt76_poll" },
	{ 0x8a577633, "mt76x2_read_rx_gain" },
	{ 0x8eba16a7, "mt76x2_phy_set_txpower_regs" },
	{ 0x7e7a4e84, "mt76x2_phy_set_txpower" },
	{ 0x4522a8bd, "mt76x02_phy_set_txdac" },
	{ 0xbd616535, "ieee80211_emulate_remove_chanctx" },
	{ 0x5bd84fd5, "mt76x02_rates" },
	{ 0xf9a482f9, "msleep" },
	{ 0x67c39931, "mt76x02_remove_interface" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "mt76x02-usb,mt76x02-lib,mt76,mt76x2-common,mac80211,mt76-usb");

MODULE_ALIAS("usb:v0B05p1833d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p17EBd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p180Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E8Dp7612d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v057Cp8503d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7392pB711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E8Dp7632d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2C4Ep0103d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0846p9014d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0846p9053d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v045Ep02E6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v045Ep02FEd*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "EFD8C4061C24FF01545D55A");
