#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt7921_rx_check, "_gpl", "");
KSYMTAB_FUNC(mt7921_queue_rx_skb, "_gpl", "");
KSYMTAB_FUNC(mt7921_usb_sdio_tx_prepare_skb, "_gpl", "");
KSYMTAB_FUNC(mt7921_usb_sdio_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt7921_usb_sdio_tx_status_data, "_gpl", "");
KSYMTAB_FUNC(mt7921_mcu_parse_response, "_gpl", "");
KSYMTAB_FUNC(mt7921_run_firmware, "_gpl", "");
KSYMTAB_FUNC(mt7921_mcu_radio_led_ctrl, "_gpl", "");
KSYMTAB_FUNC(mt7921_mcu_set_eeprom, "_gpl", "");
KSYMTAB_FUNC(__mt7921_start, "_gpl", "");
KSYMTAB_FUNC(mt7921_roc_abort_sync, "_gpl", "");
KSYMTAB_FUNC(mt7921_mac_sta_add, "_gpl", "");
KSYMTAB_FUNC(mt7921_mac_sta_assoc, "_gpl", "");
KSYMTAB_FUNC(mt7921_mac_sta_remove, "_gpl", "");
KSYMTAB_DATA(mt7921_ops, "_gpl", "");
KSYMTAB_FUNC(mt7921_regd_update, "_gpl", "");
KSYMTAB_FUNC(mt7921_mac_init, "_gpl", "");
KSYMTAB_FUNC(mt7921_register_device, "_gpl", "");

SYMBOL_CRC(mt7921_rx_check, 0xebfac212, "_gpl");
SYMBOL_CRC(mt7921_queue_rx_skb, 0x7d6c8a2b, "_gpl");
SYMBOL_CRC(mt7921_usb_sdio_tx_prepare_skb, 0xe629dde5, "_gpl");
SYMBOL_CRC(mt7921_usb_sdio_tx_complete_skb, 0x46eb38ca, "_gpl");
SYMBOL_CRC(mt7921_usb_sdio_tx_status_data, 0x65389a9e, "_gpl");
SYMBOL_CRC(mt7921_mcu_parse_response, 0xa3ba8665, "_gpl");
SYMBOL_CRC(mt7921_run_firmware, 0xa9650318, "_gpl");
SYMBOL_CRC(mt7921_mcu_radio_led_ctrl, 0xf7c521b7, "_gpl");
SYMBOL_CRC(mt7921_mcu_set_eeprom, 0x1ac1d246, "_gpl");
SYMBOL_CRC(__mt7921_start, 0xdded3a58, "_gpl");
SYMBOL_CRC(mt7921_roc_abort_sync, 0x6ff13db9, "_gpl");
SYMBOL_CRC(mt7921_mac_sta_add, 0xcec18ecb, "_gpl");
SYMBOL_CRC(mt7921_mac_sta_assoc, 0xabc94c81, "_gpl");
SYMBOL_CRC(mt7921_mac_sta_remove, 0xa9d0c292, "_gpl");
SYMBOL_CRC(mt7921_ops, 0x6f74ef75, "_gpl");
SYMBOL_CRC(mt7921_regd_update, 0x86a73d10, "_gpl");
SYMBOL_CRC(mt7921_mac_init, 0x5479dcd6, "_gpl");
SYMBOL_CRC(mt7921_register_device, 0xf8109913, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9a72fb63, "mt76_connac_mcu_update_gtk_rekey" },
	{ 0x878cd64d, "mt76_connac_mcu_set_rate_txpower" },
	{ 0xa05ffc58, "ieee80211_sta_register_airtime" },
	{ 0x55c2c6ca, "mt792x_init_wcid" },
	{ 0x827a31e2, "mt792x_init_acpi_sar" },
	{ 0xd6511315, "mt76_init_sar_power" },
	{ 0xbb8d5f22, "ieee80211_connection_loss" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x8d039641, "simple_attr_open" },
	{ 0xcc0e7274, "ieee80211_iterate_interfaces" },
	{ 0x78f07345, "mt792x_stop" },
	{ 0xbebaed22, "debugfs_attr_write" },
	{ 0xa8cfeb93, "mt76_connac_mcu_sta_update_hdr_trans" },
	{ 0x4c2962b, "mt76_connac_mcu_sched_scan_enable" },
	{ 0xc2af5a6, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x4679fb71, "consume_skb" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x622c5d46, "mt76_find_channel_node" },
	{ 0xec9bc4c9, "mt76_connac_mcu_uni_set_chctx" },
	{ 0x13360c2e, "mt792x_tx_worker" },
	{ 0x800d193b, "mt792x_flush" },
	{ 0xe8e863d4, "mt792x_rx_get_wcid" },
	{ 0x87ef83ff, "skb_dequeue" },
	{ 0xa25337f, "mt76_connac_gen_ppe_thresh" },
	{ 0x5e46da98, "mt76_connac_mcu_set_rts_thresh" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xa01ef002, "mt76_connac_mcu_set_channel_domain" },
	{ 0x912bd40b, "mt76_connac_mcu_uni_add_dev" },
	{ 0x76c8b606, "mt76_release_buffered_frames" },
	{ 0x8dceb523, "request_firmware" },
	{ 0x8a62077d, "mt76_get_txpower" },
	{ 0x4eaa32a8, "mt76_tx_status_skb_add" },
	{ 0xc949209d, "mt76_connac_pm_wake" },
	{ 0x2f44a80c, "mt76_connac2_mac_fill_rx_rate" },
	{ 0xdf73a34, "mt792x_pm_wake_work" },
	{ 0x554d6472, "mt76_connac_mcu_set_deep_sleep" },
	{ 0x382733fc, "mt76_wake_tx_queue" },
	{ 0x4829a47e, "memcpy" },
	{ 0x7002a851, "mt76_connac_mcu_chip_config" },
	{ 0xb9209a6e, "mt76_get_antenna" },
	{ 0x95827d35, "mt792x_set_coverage_class" },
	{ 0x1c52a151, "mt792x_acpi_get_flags" },
	{ 0x6d0cdc56, "__mt76_tx_complete_skb" },
	{ 0x5b66fa60, "seq_lseek" },
	{ 0x6897849a, "mt76_set_stream_caps" },
	{ 0xd4663c79, "mt792x_mac_assoc_rssi" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xd13274b4, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0xe731fec5, "mt792x_mac_work" },
	{ 0x203f8b37, "mt76_connac_mcu_update_arp_filter" },
	{ 0x9ccaeb2e, "mt76_connac2_tx_check_aggr" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0xd0c73f59, "mt76_mcu_rx_event" },
	{ 0x38135db1, "__traceiter_lp_event" },
	{ 0xf4ee861a, "pskb_expand_head" },
	{ 0xfdee55aa, "mt76_wcid_init" },
	{ 0x354b3d7c, "wake_up_process" },
	{ 0x200609de, "mt76_connac_free_pending_tx_skbs" },
	{ 0xcb712abf, "mt792x_sta_statistics" },
	{ 0x5195dcc3, "skb_queue_purge_reason" },
	{ 0x197ebd16, "mt76_connac_power_save_sched" },
	{ 0xbef993e5, "mt792x_conf_tx" },
	{ 0x2162b72e, "cfg80211_reg_check_beaconing" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x617c452b, "queued_read_lock_slowpath" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb9b06042, "debugfs_create_devm_seqfile" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x658f3984, "mt792x_get_et_sset_count" },
	{ 0x6a18c36f, "mt76_connac_mcu_set_mac_enable" },
	{ 0x36092671, "mt792x_set_tsf" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x48ee7f28, "mt792x_init_acpi_sar_power" },
	{ 0xc9b53666, "mt792x_set_wakeup" },
	{ 0x31bb8ac8, "mt76_wcid_key_setup" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0x136711a4, "skb_queue_tail" },
	{ 0xb783af47, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x5cbe99e2, "mt76_rx" },
	{ 0xd33d9a3, "mt792x_load_firmware" },
	{ 0x9dba3d36, "mt76_connac_mcu_sched_scan_req" },
	{ 0xc9005998, "mt792x_get_et_stats" },
	{ 0xe34561d4, "mt76_connac2_txwi_free" },
	{ 0x5f2194f6, "__tracepoint_lp_event" },
	{ 0xaa77b5ff, "mt76_connac_mcu_uni_add_bss" },
	{ 0xe9907a25, "mt76_connac2_mac_add_txs_skb" },
	{ 0x800473f, "__cond_resched" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x7a1208f2, "wiphy_to_ieee80211_hw" },
	{ 0xbb3d1556, "of_get_child_by_name" },
	{ 0x579acfde, "debugfs_attr_read" },
	{ 0xa9267a35, "mt76_connac_mcu_hw_scan" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x55692e7d, "ieee80211_queue_delayed_work" },
	{ 0xcc876e05, "devm_kmemdup" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0xb6476d61, "skb_pull" },
	{ 0xa37a5b74, "mt76_register_device" },
	{ 0xb8c9ae33, "mt792x_get_stats" },
	{ 0x525360e5, "mt76_mcu_skb_send_and_get_msg" },
	{ 0x9295faf0, "simple_attr_release" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0x840687b2, "mt792x_mac_set_timeing" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xe105e450, "mt76_find_power_limits_node" },
	{ 0x9b8785e, "ieee80211_remain_on_channel_expired" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbfe0703a, "skb_push" },
	{ 0x17381c4c, "mt76_set_channel" },
	{ 0x6f2c2cc6, "seq_putc" },
	{ 0xbfbbbf9, "ieee80211_wake_queues" },
	{ 0xb8238587, "mt76_mcu_send_and_get_msg" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xf22cdd12, "ieee80211_beacon_get_template" },
	{ 0xe8072413, "mt792x_pm_stats" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xe3a4458e, "mt76_eeprom_override" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x7253b13d, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x885f6ba6, "__mt76_mcu_msg_alloc" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x26b2413e, "mt76_get_survey" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x443f0512, "devm_hwmon_device_register_with_groups" },
	{ 0xdcb764ad, "memset" },
	{ 0x5c35f2d3, "mt76_token_release" },
	{ 0x1517a61a, "mt792x_get_tsf" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xa86fbee8, "__pskb_pull_tail" },
	{ 0x5a7b5c38, "mt792x_pm_idle_timeout_set" },
	{ 0x3cf3e148, "mt792x_tx" },
	{ 0xc501909e, "mt792x_get_et_strings" },
	{ 0x70eed9eb, "mt76_sta_state" },
	{ 0x2ba82024, "ieee80211_ready_on_channel" },
	{ 0x9d044308, "ieee80211_stop_queues" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xce06599e, "devm_kasprintf" },
	{ 0xc432e5b4, "mt792x_remove_interface" },
	{ 0x32f1e81b, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x17f568e9, "mt76_rates" },
	{ 0xfaa8ae35, "mt792x_queues_read" },
	{ 0xc3af7e69, "mt76_connac_mcu_cancel_hw_scan" },
	{ 0x13107c3a, "debugfs_create_file" },
	{ 0x882ed2e2, "mt792x_queues_acq" },
	{ 0xb5cc5acc, "ieee80211_sched_scan_results" },
	{ 0x6157449c, "ieee80211_scan_completed" },
	{ 0xc466477d, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x334d5b19, "mt76_insert_ccmp_hdr" },
	{ 0x53a6c86, "mt76_connac_mcu_sta_cmd" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x14c5dd46, "param_ops_bool" },
	{ 0x615c11cf, "mt76_connac2_reverse_frag0_hdr_trans" },
	{ 0x8aa65693, "mt792x_tx_stats_show" },
	{ 0x74c343b4, "mt792x_acpi_get_mtcl_conf" },
	{ 0xa4c26431, "mt76_rx_aggr_start" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x899fbd06, "seq_printf" },
	{ 0xc3a0fb62, "mt792x_pm_idle_timeout_get" },
	{ 0x9c06d4d5, "mt792x_roc_timer" },
	{ 0x33f8870a, "mt76_connac_mcu_coredump_event" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x500a730c, "mt792x_mac_init_band" },
	{ 0xd22c2ce, "mt76_skb_adjust_pad" },
	{ 0x54ab5a99, "ieee80211_cqm_rssi_notify" },
	{ 0xa2cfc848, "mt792x_init_wiphy" },
	{ 0x5bb54d5d, "mt76_connac_sta_state_dp" },
	{ 0xf3ccbe22, "mt76_connac_mcu_set_suspend_iter" },
	{ 0xa5c872a7, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xb3d11248, "mt76_queues_read" },
	{ 0x4846c22d, "mt76_sta_pre_rcu_remove" },
	{ 0x8423c241, "mt76_register_debugfs_fops" },
	{ 0x62799904, "mt792x_reset" },
	{ 0x327a9822, "mt76_rx_signal" },
	{ 0x60d342cc, "mt76_connac2_mac_write_txwi" },
	{ 0x49fa39bc, "__mt76_set_tx_blocked" },
	{ 0x5a21024a, "mt76_connac_mcu_sta_ba" },
	{ 0xfda87fdb, "mt76_connac2_mac_decode_he_radiotap" },
	{ 0x2f266e04, "ieee80211_queue_work" },
	{ 0x8fe79b85, "mt792x_mac_reset_counters" },
	{ 0x708b295, "napi_consume_skb" },
	{ 0xbfa70823, "__mt76_poll" },
	{ 0xefd5ad9c, "mt76_rx_aggr_stop" },
	{ 0x3466fede, "single_open" },
	{ 0xcd55e8ca, "mt76_connac_mcu_add_key" },
	{ 0xade6faa8, "mt792x_unassign_vif_chanctx" },
	{ 0xf15245c9, "ieee80211_disconnect" },
	{ 0xe4ccb149, "mt792x_pm_power_save_work" },
	{ 0x7e57fe5f, "mt792x_assign_vif_chanctx" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "mt76-connac-lib,mac80211,mt792x-lib,mt76,cfg80211");


MODULE_INFO(srcversion, "430D1CB3D9AFAC89F493BB2");
