#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt792x_tx, "_gpl", "");
KSYMTAB_FUNC(mt792x_stop, "_gpl", "");
KSYMTAB_FUNC(mt792x_mac_link_bss_remove, "_gpl", "");
KSYMTAB_FUNC(mt792x_remove_interface, "_gpl", "");
KSYMTAB_FUNC(mt792x_conf_tx, "_gpl", "");
KSYMTAB_FUNC(mt792x_get_stats, "_gpl", "");
KSYMTAB_FUNC(mt792x_get_tsf, "_gpl", "");
KSYMTAB_FUNC(mt792x_set_tsf, "_gpl", "");
KSYMTAB_FUNC(mt792x_tx_worker, "_gpl", "");
KSYMTAB_FUNC(mt792x_roc_timer, "_gpl", "");
KSYMTAB_FUNC(mt792x_flush, "_gpl", "");
KSYMTAB_FUNC(mt792x_assign_vif_chanctx, "_gpl", "");
KSYMTAB_FUNC(mt792x_unassign_vif_chanctx, "_gpl", "");
KSYMTAB_FUNC(mt792x_set_wakeup, "_gpl", "");
KSYMTAB_FUNC(mt792x_get_et_strings, "_gpl", "");
KSYMTAB_FUNC(mt792x_get_et_sset_count, "_gpl", "");
KSYMTAB_FUNC(mt792x_get_et_stats, "_gpl", "");
KSYMTAB_FUNC(mt792x_sta_statistics, "_gpl", "");
KSYMTAB_FUNC(mt792x_set_coverage_class, "_gpl", "");
KSYMTAB_FUNC(mt792x_init_wiphy, "_gpl", "");
KSYMTAB_FUNC(mt792x_get_mac80211_ops, "_gpl", "");
KSYMTAB_FUNC(mt792x_init_wcid, "_gpl", "");
KSYMTAB_FUNC(mt792x_mcu_drv_pmctrl, "_gpl", "");
KSYMTAB_FUNC(mt792x_mcu_fw_pmctrl, "_gpl", "");
KSYMTAB_FUNC(__mt792xe_mcu_drv_pmctrl, "_gpl", "");
KSYMTAB_FUNC(mt792xe_mcu_drv_pmctrl, "_gpl", "");
KSYMTAB_FUNC(mt792xe_mcu_fw_pmctrl, "_gpl", "");
KSYMTAB_FUNC(mt792x_load_firmware, "_gpl", "");
KSYMTAB_FUNC(mt792x_mac_work, "_gpl", "");
KSYMTAB_FUNC(mt792x_mac_set_timeing, "_gpl", "");
KSYMTAB_FUNC(mt792x_mac_update_mib_stats, "_gpl", "");
KSYMTAB_FUNC(mt792x_rx_get_wcid, "_gpl", "");
KSYMTAB_FUNC(mt792x_mac_assoc_rssi, "_gpl", "");
KSYMTAB_FUNC(mt792x_mac_reset_counters, "_gpl", "");
KSYMTAB_FUNC(mt792x_update_channel, "_gpl", "");
KSYMTAB_FUNC(mt792x_reset, "_gpl", "");
KSYMTAB_FUNC(mt792x_mac_init_band, "_gpl", "");
KSYMTAB_FUNC(mt792x_pm_wake_work, "_gpl", "");
KSYMTAB_FUNC(mt792x_pm_power_save_work, "_gpl", "");
KSYMTAB_DATA(__tracepoint_lp_event, "_gpl", "");
KSYMTAB_FUNC(__traceiter_lp_event, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_lp_event, "_gpl", "");
KSYMTAB_FUNC(mt792x_tx_stats_show, "_gpl", "");
KSYMTAB_FUNC(mt792x_queues_acq, "_gpl", "");
KSYMTAB_FUNC(mt792x_queues_read, "_gpl", "");
KSYMTAB_FUNC(mt792x_pm_stats, "_gpl", "");
KSYMTAB_FUNC(mt792x_pm_idle_timeout_set, "_gpl", "");
KSYMTAB_FUNC(mt792x_pm_idle_timeout_get, "_gpl", "");
KSYMTAB_FUNC(mt792x_irq_handler, "_gpl", "");
KSYMTAB_FUNC(mt792x_irq_tasklet, "_gpl", "");
KSYMTAB_FUNC(mt792x_rx_poll_complete, "_gpl", "");
KSYMTAB_FUNC(mt792x_dma_enable, "_gpl", "");
KSYMTAB_FUNC(mt792x_wpdma_reset, "_gpl", "");
KSYMTAB_FUNC(mt792x_wpdma_reinit_cond, "_gpl", "");
KSYMTAB_FUNC(mt792x_dma_disable, "_gpl", "");
KSYMTAB_FUNC(mt792x_dma_cleanup, "_gpl", "");
KSYMTAB_FUNC(mt792x_poll_tx, "_gpl", "");
KSYMTAB_FUNC(mt792x_poll_rx, "_gpl", "");
KSYMTAB_FUNC(mt792x_wfsys_reset, "_gpl", "");
KSYMTAB_FUNC(mt792x_init_acpi_sar, "_gpl", "");
KSYMTAB_FUNC(mt792x_init_acpi_sar_power, "_gpl", "");
KSYMTAB_FUNC(mt792x_acpi_get_flags, "_gpl", "");
KSYMTAB_FUNC(mt792x_acpi_get_mtcl_conf, "_gpl", "");

SYMBOL_CRC(mt792x_tx, 0x3cf3e148, "_gpl");
SYMBOL_CRC(mt792x_stop, 0x78f07345, "_gpl");
SYMBOL_CRC(mt792x_mac_link_bss_remove, 0xe5808c72, "_gpl");
SYMBOL_CRC(mt792x_remove_interface, 0xc432e5b4, "_gpl");
SYMBOL_CRC(mt792x_conf_tx, 0xbef993e5, "_gpl");
SYMBOL_CRC(mt792x_get_stats, 0xb8c9ae33, "_gpl");
SYMBOL_CRC(mt792x_get_tsf, 0x1517a61a, "_gpl");
SYMBOL_CRC(mt792x_set_tsf, 0x36092671, "_gpl");
SYMBOL_CRC(mt792x_tx_worker, 0x13360c2e, "_gpl");
SYMBOL_CRC(mt792x_roc_timer, 0x9c06d4d5, "_gpl");
SYMBOL_CRC(mt792x_flush, 0x800d193b, "_gpl");
SYMBOL_CRC(mt792x_assign_vif_chanctx, 0x7e57fe5f, "_gpl");
SYMBOL_CRC(mt792x_unassign_vif_chanctx, 0xade6faa8, "_gpl");
SYMBOL_CRC(mt792x_set_wakeup, 0xc9b53666, "_gpl");
SYMBOL_CRC(mt792x_get_et_strings, 0xc501909e, "_gpl");
SYMBOL_CRC(mt792x_get_et_sset_count, 0x658f3984, "_gpl");
SYMBOL_CRC(mt792x_get_et_stats, 0xc9005998, "_gpl");
SYMBOL_CRC(mt792x_sta_statistics, 0xcb712abf, "_gpl");
SYMBOL_CRC(mt792x_set_coverage_class, 0x95827d35, "_gpl");
SYMBOL_CRC(mt792x_init_wiphy, 0xa2cfc848, "_gpl");
SYMBOL_CRC(mt792x_get_mac80211_ops, 0x34777c1a, "_gpl");
SYMBOL_CRC(mt792x_init_wcid, 0x55c2c6ca, "_gpl");
SYMBOL_CRC(mt792x_mcu_drv_pmctrl, 0xd6323d98, "_gpl");
SYMBOL_CRC(mt792x_mcu_fw_pmctrl, 0x9521981c, "_gpl");
SYMBOL_CRC(__mt792xe_mcu_drv_pmctrl, 0x75a91876, "_gpl");
SYMBOL_CRC(mt792xe_mcu_drv_pmctrl, 0x91b2fbc4, "_gpl");
SYMBOL_CRC(mt792xe_mcu_fw_pmctrl, 0xa728bbf2, "_gpl");
SYMBOL_CRC(mt792x_load_firmware, 0x0d33d9a3, "_gpl");
SYMBOL_CRC(mt792x_mac_work, 0xe731fec5, "_gpl");
SYMBOL_CRC(mt792x_mac_set_timeing, 0x840687b2, "_gpl");
SYMBOL_CRC(mt792x_mac_update_mib_stats, 0x0a3aa09f, "_gpl");
SYMBOL_CRC(mt792x_rx_get_wcid, 0xe8e863d4, "_gpl");
SYMBOL_CRC(mt792x_mac_assoc_rssi, 0xd4663c79, "_gpl");
SYMBOL_CRC(mt792x_mac_reset_counters, 0x8fe79b85, "_gpl");
SYMBOL_CRC(mt792x_update_channel, 0x0d8e847b, "_gpl");
SYMBOL_CRC(mt792x_reset, 0x62799904, "_gpl");
SYMBOL_CRC(mt792x_mac_init_band, 0x500a730c, "_gpl");
SYMBOL_CRC(mt792x_pm_wake_work, 0x0df73a34, "_gpl");
SYMBOL_CRC(mt792x_pm_power_save_work, 0xe4ccb149, "_gpl");
SYMBOL_CRC(__tracepoint_lp_event, 0x5f2194f6, "_gpl");
SYMBOL_CRC(__traceiter_lp_event, 0x38135db1, "_gpl");
SYMBOL_CRC(__SCK__tp_func_lp_event, 0xb9749f8d, "_gpl");
SYMBOL_CRC(mt792x_tx_stats_show, 0x8aa65693, "_gpl");
SYMBOL_CRC(mt792x_queues_acq, 0x882ed2e2, "_gpl");
SYMBOL_CRC(mt792x_queues_read, 0xfaa8ae35, "_gpl");
SYMBOL_CRC(mt792x_pm_stats, 0xe8072413, "_gpl");
SYMBOL_CRC(mt792x_pm_idle_timeout_set, 0x5a7b5c38, "_gpl");
SYMBOL_CRC(mt792x_pm_idle_timeout_get, 0xc3a0fb62, "_gpl");
SYMBOL_CRC(mt792x_irq_handler, 0xbd22e98c, "_gpl");
SYMBOL_CRC(mt792x_irq_tasklet, 0x8e471e29, "_gpl");
SYMBOL_CRC(mt792x_rx_poll_complete, 0x90ef9fe4, "_gpl");
SYMBOL_CRC(mt792x_dma_enable, 0x0336ce01, "_gpl");
SYMBOL_CRC(mt792x_wpdma_reset, 0x3f006739, "_gpl");
SYMBOL_CRC(mt792x_wpdma_reinit_cond, 0x551f6b61, "_gpl");
SYMBOL_CRC(mt792x_dma_disable, 0x398951f4, "_gpl");
SYMBOL_CRC(mt792x_dma_cleanup, 0x38c5f322, "_gpl");
SYMBOL_CRC(mt792x_poll_tx, 0x16987662, "_gpl");
SYMBOL_CRC(mt792x_poll_rx, 0xe32a74b7, "_gpl");
SYMBOL_CRC(mt792x_wfsys_reset, 0x27a9879e, "_gpl");
SYMBOL_CRC(mt792x_init_acpi_sar, 0x827a31e2, "_gpl");
SYMBOL_CRC(mt792x_init_acpi_sar_power, 0x48ee7f28, "_gpl");
SYMBOL_CRC(mt792x_acpi_get_flags, 0x1c52a151, "_gpl");
SYMBOL_CRC(mt792x_acpi_get_mtcl_conf, 0x74c343b4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbaedacc7, "device_set_wakeup_enable" },
	{ 0x411f7768, "mt76_dma_rx_poll" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb86e9579, "is_acpi_device_node" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x93b9a682, "trace_raw_output_prep" },
	{ 0x556be6e0, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x912bd40b, "mt76_connac_mcu_uni_add_dev" },
	{ 0x8dceb523, "request_firmware" },
	{ 0xcb6b138, "trace_event_printf" },
	{ 0xe7bc8968, "ieee80211_iterate_stations_atomic" },
	{ 0xc949209d, "mt76_connac_pm_wake" },
	{ 0x8ccc2e9b, "__traceiter_dev_irq" },
	{ 0x3f7c8b8f, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x39c7ab64, "mt76_has_tx_pending" },
	{ 0xeb296f65, "ieee80211_emulate_change_chanctx" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc4e40b90, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0x11a6c021, "mt76_dma_cleanup" },
	{ 0x6e084823, "mt76_connac_pm_queue_skb" },
	{ 0xb51e25fa, "mt76_tx_status_check" },
	{ 0x354b3d7c, "wake_up_process" },
	{ 0x200609de, "mt76_connac_free_pending_tx_skbs" },
	{ 0x197ebd16, "mt76_connac_power_save_sched" },
	{ 0xfb6dfa14, "trace_event_buffer_commit" },
	{ 0x53f8ced7, "page_pool_ethtool_stats_get_strings" },
	{ 0xdb5b677b, "napi_complete_done" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xbfb322d2, "mt76_tx" },
	{ 0x6f7d2f61, "__napi_schedule" },
	{ 0xa916b694, "strnlen" },
	{ 0x6a18c36f, "mt76_connac_mcu_set_mac_enable" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x23f1d7a6, "page_pool_ethtool_stats_get_count" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x800473f, "__cond_resched" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x55692e7d, "ieee80211_queue_delayed_work" },
	{ 0xcc876e05, "devm_kmemdup" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x4bb807c7, "perf_trace_run_bpf_submit" },
	{ 0x1f5d4469, "devm_kfree" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0xa226b8b2, "mt76_connac2_load_ram" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x6f2c2cc6, "seq_putc" },
	{ 0x2092327, "trace_event_reg" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x7e92311b, "mt76_update_survey" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xbfbbbf9, "ieee80211_wake_queues" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x908ca40c, "mt76_connac_wowlan_support" },
	{ 0x6553c966, "mt76_set_irq_mask" },
	{ 0x3dffe72b, "mt76_connac_pm_dequeue_skbs" },
	{ 0xdcb764ad, "memset" },
	{ 0xf853f470, "ieee80211_emulate_add_chanctx" },
	{ 0xd29d3445, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0xf6f1392f, "mt76_ethtool_page_pool_stats" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb608bb75, "__tracepoint_dev_irq" },
	{ 0xda2d7a21, "trace_event_buffer_reserve" },
	{ 0xc466477d, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xd83bfe09, "mt76_txq_schedule_all" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x8bb8aec8, "mt76_connac2_load_patch" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x5737dbe8, "seq_write" },
	{ 0x379fa6bc, "____mt76_poll_msec" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x899fbd06, "seq_printf" },
	{ 0x4df8f2cf, "mt76_wcid_cleanup" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x2f266e04, "ieee80211_queue_work" },
	{ 0xc25a42ab, "napi_schedule_prep" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xbd616535, "ieee80211_emulate_remove_chanctx" },
	{ 0xab9d88b8, "mt76_ethtool_worker" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "mt76,mt76-connac-lib,mac80211");


MODULE_INFO(srcversion, "65DFE86868F1823F479FBF1");
