#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rt2800_mcu_request, "_gpl", "");
KSYMTAB_FUNC(rt2800_wait_csr_ready, "_gpl", "");
KSYMTAB_FUNC(rt2800_wait_wpdma_ready, "_gpl", "");
KSYMTAB_FUNC(rt2800_disable_wpdma, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_txwi_rxwi_size, "_gpl", "");
KSYMTAB_FUNC(rt2800_check_firmware, "_gpl", "");
KSYMTAB_FUNC(rt2800_load_firmware, "_gpl", "");
KSYMTAB_FUNC(rt2800_write_tx_data, "_gpl", "");
KSYMTAB_FUNC(rt2800_process_rxwi, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone_entry, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone, "_gpl", "");
KSYMTAB_FUNC(rt2800_txstatus_timeout, "_gpl", "");
KSYMTAB_FUNC(rt2800_txstatus_pending, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone_nostatus, "_gpl", "");
KSYMTAB_FUNC(rt2800_watchdog, "_gpl", "");
KSYMTAB_FUNC(rt2800_write_beacon, "_gpl", "");
KSYMTAB_FUNC(rt2800_clear_beacon, "_gpl", "");
KSYMTAB_DATA(rt2800_rt2x00debug, "_gpl", "");
KSYMTAB_FUNC(rt2800_rfkill_poll, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_shared_key, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_pairwise_key, "_gpl", "");
KSYMTAB_FUNC(rt2800_sta_add, "_gpl", "");
KSYMTAB_FUNC(rt2800_sta_remove, "_gpl", "");
KSYMTAB_FUNC(rt2800_pre_reset_hw, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_filter, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_intf, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_erp, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_ant, "_gpl", "");
KSYMTAB_FUNC(rt2800_gain_calibration, "_gpl", "");
KSYMTAB_FUNC(rt2800_vco_calibration, "_gpl", "");
KSYMTAB_FUNC(rt2800_config, "_gpl", "");
KSYMTAB_FUNC(rt2800_link_stats, "_gpl", "");
KSYMTAB_FUNC(rt2800_reset_tuner, "_gpl", "");
KSYMTAB_FUNC(rt2800_link_tuner, "_gpl", "");
KSYMTAB_FUNC(rt2800_enable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2800_disable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2800_efuse_detect, "_gpl", "");
KSYMTAB_FUNC(rt2800_read_eeprom_efuse, "_gpl", "");
KSYMTAB_FUNC(rt2800_probe_hw, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_key_seq, "_gpl", "");
KSYMTAB_FUNC(rt2800_set_rts_threshold, "_gpl", "");
KSYMTAB_FUNC(rt2800_conf_tx, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_tsf, "_gpl", "");
KSYMTAB_FUNC(rt2800_ampdu_action, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_survey, "_gpl", "");

SYMBOL_CRC(rt2800_mcu_request, 0x4c273ef2, "_gpl");
SYMBOL_CRC(rt2800_wait_csr_ready, 0xfff7738e, "_gpl");
SYMBOL_CRC(rt2800_wait_wpdma_ready, 0x34db1366, "_gpl");
SYMBOL_CRC(rt2800_disable_wpdma, 0xfa09a84b, "_gpl");
SYMBOL_CRC(rt2800_get_txwi_rxwi_size, 0xc369b5e7, "_gpl");
SYMBOL_CRC(rt2800_check_firmware, 0xba273098, "_gpl");
SYMBOL_CRC(rt2800_load_firmware, 0x24078e08, "_gpl");
SYMBOL_CRC(rt2800_write_tx_data, 0xa6d69a94, "_gpl");
SYMBOL_CRC(rt2800_process_rxwi, 0xeaf477e5, "_gpl");
SYMBOL_CRC(rt2800_txdone_entry, 0x8abacb73, "_gpl");
SYMBOL_CRC(rt2800_txdone, 0xdb459967, "_gpl");
SYMBOL_CRC(rt2800_txstatus_timeout, 0x642a9722, "_gpl");
SYMBOL_CRC(rt2800_txstatus_pending, 0x0d18587b, "_gpl");
SYMBOL_CRC(rt2800_txdone_nostatus, 0x4085e91e, "_gpl");
SYMBOL_CRC(rt2800_watchdog, 0x98212237, "_gpl");
SYMBOL_CRC(rt2800_write_beacon, 0xdde4b802, "_gpl");
SYMBOL_CRC(rt2800_clear_beacon, 0x77a175d0, "_gpl");
SYMBOL_CRC(rt2800_rt2x00debug, 0x7691590f, "_gpl");
SYMBOL_CRC(rt2800_rfkill_poll, 0xc863af79, "_gpl");
SYMBOL_CRC(rt2800_config_shared_key, 0xdb52ea16, "_gpl");
SYMBOL_CRC(rt2800_config_pairwise_key, 0x63b394ec, "_gpl");
SYMBOL_CRC(rt2800_sta_add, 0xe11bc24b, "_gpl");
SYMBOL_CRC(rt2800_sta_remove, 0x0d5109c7, "_gpl");
SYMBOL_CRC(rt2800_pre_reset_hw, 0x052c3565, "_gpl");
SYMBOL_CRC(rt2800_config_filter, 0x0b5b348c, "_gpl");
SYMBOL_CRC(rt2800_config_intf, 0xab924d66, "_gpl");
SYMBOL_CRC(rt2800_config_erp, 0x4b2cddfb, "_gpl");
SYMBOL_CRC(rt2800_config_ant, 0xf9d1aaf2, "_gpl");
SYMBOL_CRC(rt2800_gain_calibration, 0xb445cd39, "_gpl");
SYMBOL_CRC(rt2800_vco_calibration, 0xa94f286e, "_gpl");
SYMBOL_CRC(rt2800_config, 0xae186350, "_gpl");
SYMBOL_CRC(rt2800_link_stats, 0x63cdd155, "_gpl");
SYMBOL_CRC(rt2800_reset_tuner, 0xc888d5df, "_gpl");
SYMBOL_CRC(rt2800_link_tuner, 0x517ba222, "_gpl");
SYMBOL_CRC(rt2800_enable_radio, 0xb41d5bc2, "_gpl");
SYMBOL_CRC(rt2800_disable_radio, 0xce2c8992, "_gpl");
SYMBOL_CRC(rt2800_efuse_detect, 0x6cf4dc5c, "_gpl");
SYMBOL_CRC(rt2800_read_eeprom_efuse, 0xab455111, "_gpl");
SYMBOL_CRC(rt2800_probe_hw, 0xbdd3e720, "_gpl");
SYMBOL_CRC(rt2800_get_key_seq, 0x12311482, "_gpl");
SYMBOL_CRC(rt2800_set_rts_threshold, 0xc53eaaec, "_gpl");
SYMBOL_CRC(rt2800_conf_tx, 0x9164b499, "_gpl");
SYMBOL_CRC(rt2800_get_tsf, 0x55907562, "_gpl");
SYMBOL_CRC(rt2800_ampdu_action, 0x62d61f80, "_gpl");
SYMBOL_CRC(rt2800_get_survey, 0x7e75b7f6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x52ecbc75, "crc_ccitt" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x56470118, "__warn_printk" },
	{ 0xdf65dfbd, "rt2x00lib_txdone_nomatch" },
	{ 0xf3ec0ad0, "rt2x00lib_txdone" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0x8cca7b2d, "rt2x00queue_get_entry" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0xdcb764ad, "memset" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xee85d80b, "rt2x00lib_get_bssidx" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0x89fdf6f9, "rt2x00mac_conf_tx" },
	{ 0xb783af47, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbfe0703a, "skb_push" },
	{ 0x38e92b15, "rt2x00debug_dump_frame" },
	{ 0xd7c7d5c, "dev_kfree_skb_any_reason" },
	{ 0xab90cd8a, "__skb_pad" },
	{ 0xa21f2856, "rt2x00lib_txdone_noinfo" },
	{ 0x1ecbd4ec, "ieee80211_restart_hw" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x37a0cba, "kfree" },
	{ 0xb6476d61, "skb_pull" },
	{ 0x30f4f93c, "rt2x00lib_set_mac_address" },
	{ 0xec4d9e3a, "clk_get_sys" },
	{ 0x2e1ca751, "clk_put" },
	{ 0x60b73b66, "param_ops_uint" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "rt2x00lib,mac80211");


MODULE_INFO(srcversion, "9E1A111AF9AF06F91AEF468");
