#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rt2800mmio_get_dma_done, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_get_txwi, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_write_tx_desc, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_fill_rxdone, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_pretbtt_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_tbtt_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_rxdone_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_autowake_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_txstatus_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_interrupt, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_toggle_irq, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_start_queue, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_kick_queue, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_flush_queue, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_stop_queue, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_queue_init, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_get_entry_state, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_clear_entry, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_init_queues, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_init_registers, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_enable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_probe_hw, "_gpl", "");

SYMBOL_CRC(rt2800mmio_get_dma_done, 0x2530e344, "_gpl");
SYMBOL_CRC(rt2800mmio_get_txwi, 0x17746986, "_gpl");
SYMBOL_CRC(rt2800mmio_write_tx_desc, 0x07732f7a, "_gpl");
SYMBOL_CRC(rt2800mmio_fill_rxdone, 0x70d7deb4, "_gpl");
SYMBOL_CRC(rt2800mmio_pretbtt_tasklet, 0x3d741c87, "_gpl");
SYMBOL_CRC(rt2800mmio_tbtt_tasklet, 0x5028bbb2, "_gpl");
SYMBOL_CRC(rt2800mmio_rxdone_tasklet, 0x32ac3645, "_gpl");
SYMBOL_CRC(rt2800mmio_autowake_tasklet, 0x97e3c029, "_gpl");
SYMBOL_CRC(rt2800mmio_txstatus_tasklet, 0x9f3c8921, "_gpl");
SYMBOL_CRC(rt2800mmio_interrupt, 0x5fa4db64, "_gpl");
SYMBOL_CRC(rt2800mmio_toggle_irq, 0x4afd4278, "_gpl");
SYMBOL_CRC(rt2800mmio_start_queue, 0xe51f2b72, "_gpl");
SYMBOL_CRC(rt2800mmio_kick_queue, 0xa2c4a376, "_gpl");
SYMBOL_CRC(rt2800mmio_flush_queue, 0xe459a153, "_gpl");
SYMBOL_CRC(rt2800mmio_stop_queue, 0x0c2ac21d, "_gpl");
SYMBOL_CRC(rt2800mmio_queue_init, 0xe631e57d, "_gpl");
SYMBOL_CRC(rt2800mmio_get_entry_state, 0xfb46385b, "_gpl");
SYMBOL_CRC(rt2800mmio_clear_entry, 0x523339cc, "_gpl");
SYMBOL_CRC(rt2800mmio_init_queues, 0xe2a50443, "_gpl");
SYMBOL_CRC(rt2800mmio_init_registers, 0x8bf57976, "_gpl");
SYMBOL_CRC(rt2800mmio_enable_radio, 0xcd0500ec, "_gpl");
SYMBOL_CRC(rt2800mmio_probe_hw, 0x2fba3112, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xeaf477e5, "rt2800_process_rxwi" },
	{ 0xdcb764ad, "memset" },
	{ 0xae186350, "rt2800_config" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8cca7b2d, "rt2x00queue_get_entry" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc369b5e7, "rt2800_get_txwi_rxwi_size" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0xfa09a84b, "rt2800_disable_wpdma" },
	{ 0x34db1366, "rt2800_wait_wpdma_ready" },
	{ 0xb41d5bc2, "rt2800_enable_radio" },
	{ 0x642a9722, "rt2800_txstatus_timeout" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xdb459967, "rt2800_txdone" },
	{ 0x4085e91e, "rt2800_txdone_nostatus" },
	{ 0xd18587b, "rt2800_txstatus_pending" },
	{ 0xbdd3e720, "rt2800_probe_hw" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xfe58cad4, "rt2x00lib_pretbtt" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x85a666fd, "rt2x00mmio_rxdone" },
	{ 0x3e3bad0a, "__tasklet_hi_schedule" },
	{ 0x1669ed1e, "rt2x00lib_beacondone" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "rt2800lib,rt2x00lib,rt2x00mmio");


MODULE_INFO(srcversion, "C1A4D577C93752B32ED7651");
