#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rt2x00usb_vendor_request, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_vendor_req_buff_lock, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_vendor_request_buff, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_regbusy_read, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_register_read_async, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_kick_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_flush_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_watchdog, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_disable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_clear_entry, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_initialize, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_uninitialize, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_probe, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_disconnect, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_suspend, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_resume, "_gpl", "");

SYMBOL_CRC(rt2x00usb_vendor_request, 0x91b1fb9c, "_gpl");
SYMBOL_CRC(rt2x00usb_vendor_req_buff_lock, 0xfcdccf64, "_gpl");
SYMBOL_CRC(rt2x00usb_vendor_request_buff, 0x87d225e5, "_gpl");
SYMBOL_CRC(rt2x00usb_regbusy_read, 0x5ef24266, "_gpl");
SYMBOL_CRC(rt2x00usb_register_read_async, 0xae2db237, "_gpl");
SYMBOL_CRC(rt2x00usb_kick_queue, 0x88b53a3f, "_gpl");
SYMBOL_CRC(rt2x00usb_flush_queue, 0xe3d4a2bb, "_gpl");
SYMBOL_CRC(rt2x00usb_watchdog, 0x7d8b0dc4, "_gpl");
SYMBOL_CRC(rt2x00usb_disable_radio, 0xce0fc368, "_gpl");
SYMBOL_CRC(rt2x00usb_clear_entry, 0xfa5bcc11, "_gpl");
SYMBOL_CRC(rt2x00usb_initialize, 0x9659160e, "_gpl");
SYMBOL_CRC(rt2x00usb_uninitialize, 0xa0a6550e, "_gpl");
SYMBOL_CRC(rt2x00usb_probe, 0xde7ab811, "_gpl");
SYMBOL_CRC(rt2x00usb_disconnect, 0xea9fe9ed, "_gpl");
SYMBOL_CRC(rt2x00usb_suspend, 0x52fa00f5, "_gpl");
SYMBOL_CRC(rt2x00usb_resume, 0x2a2c058e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x15ba50a6, "jiffies" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xd6cc6cc2, "usb_control_msg" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x4829a47e, "memcpy" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x37a0cba, "kfree" },
	{ 0x6254a8e5, "usb_anchor_urb" },
	{ 0xa359e790, "usb_submit_urb" },
	{ 0xe3eb2d61, "usb_unanchor_urb" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x9181493a, "usb_alloc_urb" },
	{ 0x1d3f22b7, "usb_free_urb" },
	{ 0x1c8ec6fd, "rt2x00lib_dmastart" },
	{ 0x70aa4c9a, "rt2x00lib_dmadone" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xab90cd8a, "__skb_pad" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4eaebcc1, "rt2x00queue_for_each_entry" },
	{ 0xfd8b9fb9, "usb_kill_urb" },
	{ 0x8cca7b2d, "rt2x00queue_get_entry" },
	{ 0x53cebeae, "rt2x00queue_stop_queue" },
	{ 0xa07ecbc6, "rt2x00queue_flush_queue" },
	{ 0xb7282d38, "rt2x00queue_start_queue" },
	{ 0xa21f2856, "rt2x00lib_txdone_noinfo" },
	{ 0xbdb000e4, "rt2x00lib_rxdone" },
	{ 0xf443d2cb, "rt2x00lib_suspend" },
	{ 0x2538d81b, "rt2x00lib_resume" },
	{ 0x962c8ae1, "usb_kill_anchored_urbs" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xde025dc1, "rt2x00lib_remove_dev" },
	{ 0xdb9f7425, "ieee80211_free_hw" },
	{ 0x836447e1, "usb_put_dev" },
	{ 0x5a18818f, "usb_get_dev" },
	{ 0xed065a16, "usb_reset_device" },
	{ 0x2935d794, "ieee80211_alloc_hw_nm" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0xdcb764ad, "memset" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x24ddebf4, "rt2x00lib_probe_dev" },
	{ 0x122c3a7e, "_printk" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "rt2x00lib,mac80211");


MODULE_INFO(srcversion, "67421242C6BCF3999A68E20");
