#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rtl_tid_to_ac, "_gpl", "");
KSYMTAB_FUNC(rtl_deinit_deferred_work, "_gpl", "");
KSYMTAB_FUNC(rtl_init_rfkill, "", "");
KSYMTAB_FUNC(rtl_deinit_rfkill, "_gpl", "");
KSYMTAB_FUNC(rtl_init_core, "_gpl", "");
KSYMTAB_FUNC(rtl_deinit_core, "_gpl", "");
KSYMTAB_FUNC(rtl_init_rx_config, "_gpl", "");
KSYMTAB_FUNC(rtl_mrate_idx_to_arfr_id, "", "");
KSYMTAB_FUNC(rtlwifi_rate_mapping, "", "");
KSYMTAB_FUNC(rtl_get_tcb_desc, "", "");
KSYMTAB_FUNC(rtl_tx_mgmt_proc, "_gpl", "");
KSYMTAB_FUNC(rtl_action_proc, "_gpl", "");
KSYMTAB_FUNC(rtl_is_special_data, "_gpl", "");
KSYMTAB_FUNC(rtl_tx_ackqueue, "_gpl", "");
KSYMTAB_FUNC(rtl_set_tx_report, "_gpl", "");
KSYMTAB_FUNC(rtl_tx_report_handler, "_gpl", "");
KSYMTAB_FUNC(rtl_get_hal_edca_param, "_gpl", "");
KSYMTAB_FUNC(rtl_rx_ampdu_apply, "", "");
KSYMTAB_FUNC(rtl_beacon_statistic, "_gpl", "");
KSYMTAB_FUNC(rtl_collect_scan_list, "", "");
KSYMTAB_FUNC(rtl_c2hcmd_enqueue, "", "");
KSYMTAB_FUNC(rtl_send_smps_action, "", "");
KSYMTAB_FUNC(rtl_phy_scan_operation_backup, "", "");
KSYMTAB_FUNC(rtl_recognize_peer, "_gpl", "");
KSYMTAB_DATA(rtl_global_var, "_gpl", "");
KSYMTAB_FUNC(rtl_cam_add_one_entry, "", "");
KSYMTAB_FUNC(rtl_cam_delete_one_entry, "", "");
KSYMTAB_FUNC(rtl_cam_reset_all_entry, "", "");
KSYMTAB_FUNC(rtl_cam_mark_invalid, "", "");
KSYMTAB_FUNC(rtl_cam_empty_entry, "", "");
KSYMTAB_FUNC(rtl_cam_get_free_entry, "", "");
KSYMTAB_FUNC(rtl_cam_del_entry, "", "");
KSYMTAB_DATA(channel5g, "", "");
KSYMTAB_DATA(channel5g_80m, "", "");
KSYMTAB_FUNC(rtl_addr_delay, "", "");
KSYMTAB_FUNC(rtl_rfreg_delay, "", "");
KSYMTAB_FUNC(rtl_bb_delay, "", "");
KSYMTAB_FUNC(rtl_fw_cb, "", "");
KSYMTAB_FUNC(rtl_wowlan_fw_cb, "", "");
KSYMTAB_FUNC(rtl_update_beacon_work_callback, "_gpl", "");
KSYMTAB_FUNC(rtl_hal_pwrseqcmdparsing, "", "");
KSYMTAB_FUNC(rtl_cmd_send_packet, "", "");
KSYMTAB_FUNC(rtl_init_sw_leds, "", "");
KSYMTAB_DATA(rtl_ops, "_gpl", "");
KSYMTAB_FUNC(rtl_btc_status_false, "_gpl", "");
KSYMTAB_FUNC(rtl_dm_diginit, "", "");
KSYMTAB_FUNC(efuse_read_1byte, "", "");
KSYMTAB_FUNC(read_efuse_byte, "_gpl", "");
KSYMTAB_FUNC(efuse_shadow_read, "", "");
KSYMTAB_FUNC(rtl_efuse_shadow_map_update, "", "");
KSYMTAB_FUNC(efuse_one_byte_read, "", "");
KSYMTAB_FUNC(efuse_power_switch, "", "");
KSYMTAB_FUNC(rtl_get_hwinfo, "_gpl", "");
KSYMTAB_FUNC(rtl_fw_block_write, "_gpl", "");
KSYMTAB_FUNC(rtl_fw_page_write, "_gpl", "");
KSYMTAB_FUNC(rtl_fill_dummy, "_gpl", "");
KSYMTAB_FUNC(rtl_efuse_ops_init, "_gpl", "");
KSYMTAB_FUNC(rtl_ps_enable_nic, "", "");
KSYMTAB_FUNC(rtl_ps_disable_nic, "", "");
KSYMTAB_FUNC(rtl_ips_nic_on, "_gpl", "");
KSYMTAB_FUNC(rtl_swlps_beacon, "_gpl", "");
KSYMTAB_FUNC(rtl_lps_change_work_callback, "_gpl", "");
KSYMTAB_FUNC(rtl_lps_enter, "_gpl", "");
KSYMTAB_FUNC(rtl_lps_leave, "_gpl", "");
KSYMTAB_FUNC(rtl_p2p_info, "_gpl", "");
KSYMTAB_FUNC(rtl_query_rxpwrpercentage, "", "");
KSYMTAB_FUNC(rtl_evm_db_to_percentage, "", "");
KSYMTAB_FUNC(rtl_signal_scale_mapping, "", "");
KSYMTAB_FUNC(rtl_process_phyinfo, "", "");

SYMBOL_CRC(rtl_tid_to_ac, 0x97e05663, "_gpl");
SYMBOL_CRC(rtl_deinit_deferred_work, 0x0a283d54, "_gpl");
SYMBOL_CRC(rtl_init_rfkill, 0x446f0ecd, "");
SYMBOL_CRC(rtl_deinit_rfkill, 0xe8692b0f, "_gpl");
SYMBOL_CRC(rtl_init_core, 0xffeac987, "_gpl");
SYMBOL_CRC(rtl_deinit_core, 0x32f1d2df, "_gpl");
SYMBOL_CRC(rtl_init_rx_config, 0xa72f63cb, "_gpl");
SYMBOL_CRC(rtl_mrate_idx_to_arfr_id, 0x415d6b64, "");
SYMBOL_CRC(rtlwifi_rate_mapping, 0x819b4c72, "");
SYMBOL_CRC(rtl_get_tcb_desc, 0x40f634b0, "");
SYMBOL_CRC(rtl_tx_mgmt_proc, 0xc91474f5, "_gpl");
SYMBOL_CRC(rtl_action_proc, 0xa7051331, "_gpl");
SYMBOL_CRC(rtl_is_special_data, 0x5755823f, "_gpl");
SYMBOL_CRC(rtl_tx_ackqueue, 0x63fd7d26, "_gpl");
SYMBOL_CRC(rtl_set_tx_report, 0x39296594, "_gpl");
SYMBOL_CRC(rtl_tx_report_handler, 0xea4b8667, "_gpl");
SYMBOL_CRC(rtl_get_hal_edca_param, 0xa5bdf0c8, "_gpl");
SYMBOL_CRC(rtl_rx_ampdu_apply, 0xfd54df28, "");
SYMBOL_CRC(rtl_beacon_statistic, 0x264db47b, "_gpl");
SYMBOL_CRC(rtl_collect_scan_list, 0x2ffeb164, "");
SYMBOL_CRC(rtl_c2hcmd_enqueue, 0xe4bcf4f2, "");
SYMBOL_CRC(rtl_send_smps_action, 0xd4bf775d, "");
SYMBOL_CRC(rtl_phy_scan_operation_backup, 0xc411fe97, "");
SYMBOL_CRC(rtl_recognize_peer, 0xbcc7ed3e, "_gpl");
SYMBOL_CRC(rtl_global_var, 0x4e94cd48, "_gpl");
SYMBOL_CRC(rtl_cam_add_one_entry, 0x11ef3f93, "");
SYMBOL_CRC(rtl_cam_delete_one_entry, 0x2b783ae1, "");
SYMBOL_CRC(rtl_cam_reset_all_entry, 0xb3c3112e, "");
SYMBOL_CRC(rtl_cam_mark_invalid, 0xe59970e9, "");
SYMBOL_CRC(rtl_cam_empty_entry, 0x16be72b4, "");
SYMBOL_CRC(rtl_cam_get_free_entry, 0x9d2ee412, "");
SYMBOL_CRC(rtl_cam_del_entry, 0x7efe8897, "");
SYMBOL_CRC(channel5g, 0x54824f58, "");
SYMBOL_CRC(channel5g_80m, 0x0b038e24, "");
SYMBOL_CRC(rtl_addr_delay, 0x1b945315, "");
SYMBOL_CRC(rtl_rfreg_delay, 0x64af658a, "");
SYMBOL_CRC(rtl_bb_delay, 0xdb43d02c, "");
SYMBOL_CRC(rtl_fw_cb, 0x8ea60059, "");
SYMBOL_CRC(rtl_wowlan_fw_cb, 0xebedfe5f, "");
SYMBOL_CRC(rtl_update_beacon_work_callback, 0x6db3ba37, "_gpl");
SYMBOL_CRC(rtl_hal_pwrseqcmdparsing, 0x0de54e86, "");
SYMBOL_CRC(rtl_cmd_send_packet, 0xea65d735, "");
SYMBOL_CRC(rtl_init_sw_leds, 0xf8867549, "");
SYMBOL_CRC(rtl_ops, 0x5693b210, "_gpl");
SYMBOL_CRC(rtl_btc_status_false, 0x2921a4d4, "_gpl");
SYMBOL_CRC(rtl_dm_diginit, 0x77427f76, "");
SYMBOL_CRC(efuse_read_1byte, 0x99162c0a, "");
SYMBOL_CRC(read_efuse_byte, 0xba95af67, "_gpl");
SYMBOL_CRC(efuse_shadow_read, 0x7840309c, "");
SYMBOL_CRC(rtl_efuse_shadow_map_update, 0xcb7e5a87, "");
SYMBOL_CRC(efuse_one_byte_read, 0x32b064bb, "");
SYMBOL_CRC(efuse_power_switch, 0x7d1c1eed, "");
SYMBOL_CRC(rtl_get_hwinfo, 0x3b7448c2, "_gpl");
SYMBOL_CRC(rtl_fw_block_write, 0x6dbd9ce4, "_gpl");
SYMBOL_CRC(rtl_fw_page_write, 0xe0b3d95c, "_gpl");
SYMBOL_CRC(rtl_fill_dummy, 0x2e5382f9, "_gpl");
SYMBOL_CRC(rtl_efuse_ops_init, 0xd2c2e958, "_gpl");
SYMBOL_CRC(rtl_ps_enable_nic, 0xd7267d89, "");
SYMBOL_CRC(rtl_ps_disable_nic, 0x65c84591, "");
SYMBOL_CRC(rtl_ips_nic_on, 0x9370a3b2, "_gpl");
SYMBOL_CRC(rtl_swlps_beacon, 0xad437bd0, "_gpl");
SYMBOL_CRC(rtl_lps_change_work_callback, 0x2d32cdfc, "_gpl");
SYMBOL_CRC(rtl_lps_enter, 0x3cb7899e, "_gpl");
SYMBOL_CRC(rtl_lps_leave, 0x832e27d5, "_gpl");
SYMBOL_CRC(rtl_p2p_info, 0x495be5aa, "_gpl");
SYMBOL_CRC(rtl_query_rxpwrpercentage, 0x30a956d7, "");
SYMBOL_CRC(rtl_evm_db_to_percentage, 0xed7c8cf2, "");
SYMBOL_CRC(rtl_signal_scale_mapping, 0x95af13ff, "");
SYMBOL_CRC(rtl_process_phyinfo, 0x8185c602, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbaedacc7, "device_set_wakeup_enable" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xbb8d5f22, "ieee80211_connection_loss" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc2af5a6, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x87ef83ff, "skb_dequeue" },
	{ 0x8dceb523, "request_firmware" },
	{ 0x2f0e65e1, "ieee80211_start_tx_ba_session" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xeb296f65, "ieee80211_emulate_change_chanctx" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x46fb0ede, "dev_kfree_skb_irq_reason" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x60bc609b, "ieee80211_rate_control_unregister" },
	{ 0xd13274b4, "ieee80211_get_hdrlen_from_skb" },
	{ 0x6269d570, "ieee80211_find_sta" },
	{ 0x8be56097, "ieee80211_handle_wake_tx_queue" },
	{ 0x122c3a7e, "_printk" },
	{ 0xdfc275f, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x4d3e2151, "cfg80211_put_bss" },
	{ 0x136711a4, "skb_queue_tail" },
	{ 0xb783af47, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x7a1208f2, "wiphy_to_ieee80211_hw" },
	{ 0x3939f8f0, "rfkill_pause_polling" },
	{ 0x9f66a4ce, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xf3c58dbc, "wiphy_apply_custom_regulatory" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xb1f70e92, "ieee80211_rate_control_register" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xdcb764ad, "memset" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0xf853f470, "ieee80211_emulate_add_chanctx" },
	{ 0xd29d3445, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x5409cff7, "__netdev_alloc_skb" },
	{ 0x6568ce44, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0xf13765e4, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x3a35edb, "wiphy_rfkill_start_polling" },
	{ 0x5b97cc1d, "freq_reg_info" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xe60f645f, "ieee80211_resume_disconnect" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xcce31ff9, "ieee80211_beacon_get_tim" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xd7c7d5c, "dev_kfree_skb_any_reason" },
	{ 0xbd616535, "ieee80211_emulate_remove_chanctx" },
	{ 0xeea20a19, "cfg80211_unlink_bss" },
	{ 0x664a493d, "__cfg80211_get_bss" },
	{ 0xf9a482f9, "msleep" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0xf0782b49, "ieee80211_rx_irqsafe" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211,rfkill");


MODULE_INFO(srcversion, "18DCC9152A408ED19D6E0CF");
