#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(rtw_pm_ops, "", "");
KSYMTAB_FUNC(rtw_pci_probe, "", "");
KSYMTAB_FUNC(rtw_pci_remove, "", "");
KSYMTAB_FUNC(rtw_pci_shutdown, "", "");

SYMBOL_CRC(rtw_pm_ops, 0x6c20918d, "");
SYMBOL_CRC(rtw_pci_probe, 0x34b3e7fc, "");
SYMBOL_CRC(rtw_pci_remove, 0xbb662280, "");
SYMBOL_CRC(rtw_pci_shutdown, 0xe9a68908, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5bb2e50e, "rtw_tx_report_enqueue" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xbd3d273c, "rtw_tx_queue_mapping" },
	{ 0xd853fe12, "pcie_capability_read_word" },
	{ 0x4c55545d, "devm_request_threaded_irq" },
	{ 0x8344b777, "pci_enable_device" },
	{ 0xc2af5a6, "skb_put" },
	{ 0x4679fb71, "consume_skb" },
	{ 0x41ba7aeb, "pci_iomap" },
	{ 0xedc724c0, "pci_alloc_irq_vectors" },
	{ 0xbdc26b3b, "netif_napi_add_weight" },
	{ 0x87ef83ff, "skb_dequeue" },
	{ 0xdb9f7425, "ieee80211_free_hw" },
	{ 0xa6613056, "dma_unmap_page_attrs" },
	{ 0x87b4d3f3, "pci_request_regions" },
	{ 0x4829a47e, "memcpy" },
	{ 0x1dc2d072, "rtw_tx_ac_to_hwq" },
	{ 0x46fb0ede, "dev_kfree_skb_irq_reason" },
	{ 0xcfd729a4, "pci_set_power_state" },
	{ 0x12e92ab7, "__netif_napi_del" },
	{ 0xd4d281cf, "ieee80211_wake_queue" },
	{ 0x34070452, "dev_driver_string" },
	{ 0xb4c63861, "dma_map_page_attrs" },
	{ 0xdb5b677b, "napi_complete_done" },
	{ 0xdfc275f, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xfe96fee4, "devm_free_irq" },
	{ 0x6f7d2f61, "__napi_schedule" },
	{ 0x136711a4, "skb_queue_tail" },
	{ 0x775525bc, "rtw_chip_info_setup" },
	{ 0xa2b5e6d0, "rtw_fw_c2h_cmd_isr" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x5ca10ce4, "__dma_sync_single_for_cpu" },
	{ 0x78042901, "rtw_unregister_hw" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0xb6476d61, "skb_pull" },
	{ 0x1e74a554, "rtw_tx_fill_tx_desc" },
	{ 0xbfe0703a, "skb_push" },
	{ 0x642cc440, "dma_alloc_attrs" },
	{ 0xad0c171b, "napi_enable" },
	{ 0x50b31af1, "rtw_core_init" },
	{ 0x2e9d1dca, "free_netdev" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x2935d794, "ieee80211_alloc_hw_nm" },
	{ 0x9663604d, "pci_iounmap" },
	{ 0x725c2677, "rtw_tx_write_data_rsvd_page_get" },
	{ 0xdcb764ad, "memset" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0xaff5b1dd, "pci_set_master" },
	{ 0x7bd7df1b, "ieee80211_stop_queue" },
	{ 0x5409cff7, "__netdev_alloc_skb" },
	{ 0x9e5a1e1e, "rtw_rx_stats" },
	{ 0xca944723, "pcie_capability_clear_and_set_word_unlocked" },
	{ 0x2195ca61, "rtw_register_hw" },
	{ 0xfcce6093, "alloc_netdev_dummy" },
	{ 0x404667b0, "dma_free_attrs" },
	{ 0x14c5dd46, "param_ops_bool" },
	{ 0x35beca42, "pci_release_regions" },
	{ 0x698b966, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xc4b210c0, "ieee80211_unregister_hw" },
	{ 0x56470118, "__warn_printk" },
	{ 0x279c1db2, "rtw_core_deinit" },
	{ 0x2820710c, "rtw_ops" },
	{ 0xebaddcc6, "pci_disable_device" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xc25a42ab, "napi_schedule_prep" },
	{ 0xdb763fe2, "napi_disable" },
	{ 0xd7c7d5c, "dev_kfree_skb_any_reason" },
	{ 0x574d200c, "rtw_power_mode_change" },
	{ 0x9f91b8b2, "rtw_tx_write_data_h2c_get" },
	{ 0x71e8d353, "pci_free_irq_vectors" },
	{ 0xf9a482f9, "msleep" },
	{ 0x10d1d1c1, "rtw_fw_c2h_cmd_rx_irqsafe" },
	{ 0xdcad7bca, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "rtw88_core,mac80211");


MODULE_INFO(srcversion, "60FE707A8EF59A6B892202D");
