#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7bf98d1, "wl1271_tx_min_rate_get" },
	{ 0x563b5176, "wl1271_cmd_send" },
	{ 0x3b82c1cf, "platform_driver_unregister" },
	{ 0xe587bc55, "wlcore_event_roc_complete" },
	{ 0x4d078b17, "wlcore_scan_sched_scan_ssid_list" },
	{ 0xd0f66293, "wlcore_translate_addr" },
	{ 0x6a73e372, "wlcore_boot_run_firmware" },
	{ 0xedce1c61, "wlcore_set_scan_chan_params" },
	{ 0xfd4faece, "wl1271_debugfs_update_stats" },
	{ 0x4829a47e, "memcpy" },
	{ 0x85498cd1, "wl1271_format_buffer" },
	{ 0xa333db76, "wlcore_tx_complete" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x67482ff2, "wlcore_free_hw" },
	{ 0x50a3c478, "wlcore_event_soft_gemini_sense" },
	{ 0xcb79f02b, "wlcore_scan_sched_scan_results" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x24e2f9e4, "wlcore_event_max_tx_failure" },
	{ 0x122c3a7e, "_printk" },
	{ 0xdb7d4278, "wlcore_remove" },
	{ 0x557af09a, "wlcore_disable_interrupts" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe404f8a1, "wlcore_event_channel_switch" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x55692e7d, "ieee80211_queue_delayed_work" },
	{ 0x2d938670, "simple_open" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x48fbf8c6, "wl1271_cmd_test" },
	{ 0x7447cf22, "wlcore_enable_interrupts" },
	{ 0x3c1148f5, "wlcore_set_partition" },
	{ 0x9a051aa4, "wl1271_acx_sleep_auth" },
	{ 0xb032d84d, "wlcore_boot_upload_firmware" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x3ac60d31, "wlcore_event_sched_scan_completed" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x3cf2cfe4, "wl12xx_acx_mem_cfg" },
	{ 0xdcb764ad, "memset" },
	{ 0x20217ac, "wl1271_cmd_data_path" },
	{ 0x43674595, "param_ops_charp" },
	{ 0x102566d9, "wl1271_cmd_configure" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xed826b94, "__platform_driver_register" },
	{ 0xa100c336, "wl1271_acx_set_ht_capabilities" },
	{ 0x13107c3a, "debugfs_create_file" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xd2aca7da, "wlcore_alloc_hw" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x1b61992, "wlcore_probe" },
	{ 0xb0ff8204, "wlcore_cmd_wait_for_event_or_timeout" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xe8511535, "wlcore_event_rssi_trigger" },
	{ 0xcd4f3000, "wlcore_calc_packet_alignment" },
	{ 0x56470118, "__warn_printk" },
	{ 0x73f80c36, "wl1271_acx_pm_config" },
	{ 0xef7a5ec0, "wlcore_event_ba_rx_constraint" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x39f96a62, "wlcore_event_inactive_sta" },
	{ 0x5b177db5, "wlcore_event_dummy_packet" },
	{ 0x8e32e595, "wlcore_event_beacon_loss" },
	{ 0xe820ea6a, "debugfs_create_dir" },
	{ 0xe7508f4f, "generic_file_llseek" },
	{ 0xc77ecda2, "wl1271_acx_init_mem_config" },
	{ 0x5f2da752, "wlcore_set_key" },
	{ 0x6d3b27e, "wl12xx_debug_level" },
	{ 0x157de5d, "wlcore_boot_upload_nvs" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x20344faa, "wl12xx_cmd_build_probe_req" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "wlcore,mac80211");

MODULE_ALIAS("platform:wl12xx");

MODULE_INFO(srcversion, "364EB5A6328106185E686BE");
