#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8dd36563, "nvme_remove_admin_tag_set" },
	{ 0x7950c0d2, "nvme_sync_io_queues" },
	{ 0xc528a49a, "queued_write_lock_slowpath" },
	{ 0x9e8cb747, "crypto_alloc_ahash" },
	{ 0x9204441d, "nvme_uninit_ctrl" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xe62f4ba2, "skb_copy_bits" },
	{ 0x10f8a2ac, "nvme_complete_rq" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x20546e41, "nvme_wait_freeze_timeout" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xf8be32b4, "ip_sock_set_tos" },
	{ 0xedb8efd2, "nvme_get_opcode_str" },
	{ 0x3eb0c2a8, "cpumask_next_wrap" },
	{ 0x612d95f5, "nvme_cancel_admin_tagset" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3e367bfa, "nvmf_free_options" },
	{ 0xd0ee28ce, "nvmf_subsystem_reset" },
	{ 0xeb471d0d, "iov_iter_single_seg_count" },
	{ 0x8008cdee, "nvme_stop_keep_alive" },
	{ 0xeac510e1, "blk_mq_complete_request_remote" },
	{ 0xe75df258, "iov_iter_advance" },
	{ 0x76b96d0a, "nvme_setup_cmd" },
	{ 0x96848186, "scnprintf" },
	{ 0xb08afa28, "nvme_start_freeze" },
	{ 0xedeb6024, "kernel_bind" },
	{ 0xacdee294, "nvme_start_ctrl" },
	{ 0xe1edd5b5, "nvme_get_admin_opcode_str" },
	{ 0xe4f03612, "sock_create" },
	{ 0x518604a6, "nvme_alloc_admin_tag_set" },
	{ 0x6eb5c874, "nvmf_connect_io_queue" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xe6aef439, "__tracepoint_sk_data_ready" },
	{ 0x64b62862, "nvme_wq" },
	{ 0x70f347d2, "nvmf_reg_read32" },
	{ 0x254c086b, "nvme_delete_ctrl" },
	{ 0xfae5604b, "kernel_recvmsg" },
	{ 0x25fc0838, "skb_copy_and_hash_datagram_iter" },
	{ 0xe619c3e3, "sock_alloc_file" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0x920712c0, "nvme_disable_ctrl" },
	{ 0x59a5b73a, "nvme_should_fail" },
	{ 0xbe14473c, "__dev_get_by_name" },
	{ 0xb7924a2e, "nvmf_set_io_queues" },
	{ 0x9d097c15, "sock_set_priority" },
	{ 0xc63dce24, "crypto_destroy_tfm" },
	{ 0xf4e7f51, "nvmf_get_address" },
	{ 0x122c3a7e, "_printk" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0x515d4214, "nvme_remove_io_tag_set" },
	{ 0x617c452b, "queued_read_lock_slowpath" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf0270f35, "nvme_mpath_start_request" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe41948aa, "nvmf_unregister_transport" },
	{ 0x8619869e, "put_device" },
	{ 0x791e5430, "nvme_change_ctrl_state" },
	{ 0x6a03b9d4, "nvme_cancel_tagset" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0xe03084a2, "nvme_init_ctrl" },
	{ 0xd58bbbcb, "nvme_delete_wq" },
	{ 0x8ac8bc35, "nvme_alloc_io_tag_set" },
	{ 0x29604158, "napi_busy_loop" },
	{ 0xd12436a0, "tcp_sock_set_syncnt" },
	{ 0xf9bcfab2, "nvme_fail_nonready_command" },
	{ 0xf9c0db76, "crypto_ahash_init" },
	{ 0x97b585fb, "fput" },
	{ 0xc5e704e, "__traceiter_sk_data_ready" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x7ee7ac5d, "init_net" },
	{ 0xa7b9633b, "nvme_get_fabrics_opcode_str" },
	{ 0x84157cf7, "kernel_getsockname" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdec25abe, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x581cf5e, "blk_sync_queue" },
	{ 0xf8873eaf, "nvmf_map_queues" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x77e2a235, "nvmf_reg_read64" },
	{ 0xe1a60205, "inet_pton_with_scope" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x388e169b, "sock_sendmsg" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x49224181, "nvme_reset_wq" },
	{ 0x9f8c5901, "lock_sock_nested" },
	{ 0xc30a735f, "nvmf_connect_admin_queue" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xffccddef, "nvmf_ip_options_match" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xe0a547c9, "skb_copy_datagram_iter" },
	{ 0x813cf212, "nvme_io_timeout" },
	{ 0xf09ac404, "nvme_enable_ctrl" },
	{ 0x4a7af29c, "nvme_unquiesce_admin_queue" },
	{ 0xb39b05f9, "sk_set_memalloc" },
	{ 0x3b055253, "kernel_connect" },
	{ 0xdcb764ad, "memset" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0xa89488c5, "iov_iter_bvec" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x1302900e, "crypto_ahash_digest" },
	{ 0xec3eab7c, "crypto_ahash_final" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x74c739a9, "nvme_unquiesce_io_queues" },
	{ 0xbf83e7f5, "blk_mq_update_nr_hw_queues" },
	{ 0x744e8377, "nvmf_reg_write32" },
	{ 0xea5e10bb, "blk_mq_complete_request" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x14c5dd46, "param_ops_bool" },
	{ 0xfaca5536, "nvmf_should_reconnect" },
	{ 0xbeb98dde, "nvme_complete_async_event" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x36489fe, "nvme_set_queue_count" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x365e86fe, "nvmf_register_transport" },
	{ 0xf141d73f, "blk_mq_start_request" },
	{ 0xcd45e58e, "nvme_quiesce_io_queues" },
	{ 0x697d9c0e, "nvme_unfreeze" },
	{ 0xfbf77ced, "nvme_stop_ctrl" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x9c3b51bc, "nvme_auth_stop" },
	{ 0x8824de7, "tcp_sock_set_nodelay" },
	{ 0x7141d3f7, "page_frag_cache_drain" },
	{ 0xa91c433f, "__page_frag_alloc_align" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x98cf60b3, "strlen" },
	{ 0xcb74520d, "param_ops_int" },
	{ 0x8b763f66, "crypto_ahash_update" },
	{ 0xed210050, "nvme_init_ctrl_finish" },
	{ 0x51632420, "kernel_sendmsg" },
	{ 0x1fda6784, "nvme_quiesce_admin_queue" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xcd75989a, "sock_setsockopt" },
	{ 0xcb6cb158, "__nvme_check_ready" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x231a085c, "release_sock" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xf5760521, "nvme_add_ctrl" },
	{ 0x2e500598, "sock_no_linger" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "nvme-core,nvme-fabrics");


MODULE_INFO(srcversion, "5327B939E3B38966B00EA92");
