#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc528a49a, "queued_write_lock_slowpath" },
	{ 0x9e8cb747, "crypto_alloc_ahash" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x75dbfcc9, "tls_alert_recv" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xf8be32b4, "ip_sock_set_tos" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe1fd3b33, "nvmet_req_complete" },
	{ 0xedeb6024, "kernel_bind" },
	{ 0xe4f03612, "sock_create" },
	{ 0x7cc1f066, "tls_handshake_cancel" },
	{ 0xff56e2d5, "tls_get_record_type" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xe6aef439, "__tracepoint_sk_data_ready" },
	{ 0x16e853e4, "kernel_accept" },
	{ 0xfae5604b, "kernel_recvmsg" },
	{ 0xe619c3e3, "sock_alloc_file" },
	{ 0x9d097c15, "sock_set_priority" },
	{ 0xc63dce24, "crypto_destroy_tfm" },
	{ 0xb1f310d, "nvmet_sq_destroy" },
	{ 0x122c3a7e, "_printk" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0x617c452b, "queued_read_lock_slowpath" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x5e934fc7, "sgl_alloc" },
	{ 0x181750ce, "nvmet_unregister_transport" },
	{ 0xf35ee1ac, "nvmet_req_init" },
	{ 0x97b585fb, "fput" },
	{ 0xc5e704e, "__traceiter_sk_data_ready" },
	{ 0x7ee7ac5d, "init_net" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xcb8972d, "kernel_getpeername" },
	{ 0x84157cf7, "kernel_getsockname" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdec25abe, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xcd2fc68c, "nvmet_register_transport" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xffb7c514, "ida_free" },
	{ 0xe1a60205, "inet_pton_with_scope" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x388e169b, "sock_sendmsg" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xce98b834, "sock_set_reuseaddr" },
	{ 0xdcb764ad, "memset" },
	{ 0xa89488c5, "iov_iter_bvec" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x1302900e, "crypto_ahash_digest" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf661f503, "kernel_listen" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x6bc1204b, "nvmet_sq_init" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xc81bbbfd, "sock_recvmsg" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x6c225138, "sock_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x8824de7, "tcp_sock_set_nodelay" },
	{ 0x7142a91e, "nvmet_ctrl_fatal_error" },
	{ 0xef99d9e1, "nvmet_req_uninit" },
	{ 0x7141d3f7, "page_frag_cache_drain" },
	{ 0xa91c433f, "__page_frag_alloc_align" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0xf71aded, "param_get_int" },
	{ 0xaa8f1b71, "inet_addr_is_any" },
	{ 0x51632420, "kernel_sendmsg" },
	{ 0x7f62eaa4, "sgl_free" },
	{ 0x3e0ef07a, "nvmet_wq" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x2e500598, "sock_no_linger" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "nvmet");


MODULE_INFO(srcversion, "A11B93E32645A87CD190D0A");
