#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x56470118, "__warn_printk" },
	{ 0xed826b94, "__platform_driver_register" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0x36d5dce6, "regulator_bulk_disable" },
	{ 0x97b677fe, "regulator_bulk_free" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x3b82c1cf, "platform_driver_unregister" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x6a9d36b9, "handle_edge_irq" },
	{ 0x6bdcfcb0, "irq_domain_set_info" },
	{ 0x1d8af63f, "irq_of_parse_and_map" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xdcb764ad, "memset" },
	{ 0x56795bce, "irq_domain_instantiate" },
	{ 0x8106324e, "pci_msi_create_irq_domain" },
	{ 0x65aae550, "irq_set_chained_handler_and_data" },
	{ 0xe84d372c, "irq_domain_remove" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0xda5e37ae, "irq_domain_get_irq_data" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc733a8f5, "generic_handle_domain_irq" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xdbcbd433, "of_property_read_string" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x5d2bc42a, "reset_control_rearm" },
	{ 0x6eb47f6d, "pci_walk_bus" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0x44ec3b53, "pci_stop_root_bus" },
	{ 0xb21e59ef, "pci_remove_root_bus" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe4b064f9, "pcie_link_speed" },
	{ 0xb1fc1782, "pci_speed_string" },
	{ 0x7ab5a2d3, "regulator_bulk_get" },
	{ 0x6d6b21f3, "regulator_bulk_enable" },
	{ 0x47db11a2, "of_property_read_variable_u64_array" },
	{ 0x5b36a3ec, "of_find_property" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0xb858ffe0, "devm_pci_alloc_host_bridge" },
	{ 0xc1e79586, "of_device_get_match_data" },
	{ 0x24600a27, "devm_platform_ioremap_resource" },
	{ 0x4b9181dd, "devm_clk_get_optional" },
	{ 0x555cc8f9, "of_pci_get_max_link_speed" },
	{ 0x7bfd68d, "__devm_reset_control_get" },
	{ 0x2691b191, "__of_parse_phandle_with_args" },
	{ 0x453c8403, "pci_msi_enabled" },
	{ 0x5a41fb1b, "pci_host_probe" },
	{ 0x122c3a7e, "_printk" },
	{ 0x5095e987, "pci_generic_config_read32" },
	{ 0xc6295fd0, "pci_generic_config_write32" },
	{ 0xb7093771, "pci_generic_config_read" },
	{ 0x9ef8b65c, "pci_generic_config_write" },
	{ 0xe7915853, "irq_chip_ack_parent" },
	{ 0xe80d97f2, "pci_msi_mask_irq" },
	{ 0x871b3f14, "pci_msi_unmask_irq" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("of:N*T*Cbrcm,bcm2711-pcie");
MODULE_ALIAS("of:N*T*Cbrcm,bcm2711-pcieC*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm4908-pcie");
MODULE_ALIAS("of:N*T*Cbrcm,bcm4908-pcieC*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm7211-pcie");
MODULE_ALIAS("of:N*T*Cbrcm,bcm7211-pcieC*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm7278-pcie");
MODULE_ALIAS("of:N*T*Cbrcm,bcm7278-pcieC*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm7216-pcie");
MODULE_ALIAS("of:N*T*Cbrcm,bcm7216-pcieC*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm7445-pcie");
MODULE_ALIAS("of:N*T*Cbrcm,bcm7445-pcieC*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm7435-pcie");
MODULE_ALIAS("of:N*T*Cbrcm,bcm7435-pcieC*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm7425-pcie");
MODULE_ALIAS("of:N*T*Cbrcm,bcm7425-pcieC*");

MODULE_INFO(srcversion, "4649B4E048527F166600BA2");
