#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xed826b94, "__platform_driver_register" },
	{ 0xd7531531, "gpiochip_remove" },
	{ 0xd4ca5261, "gpiochip_get_data" },
	{ 0x9e2d5405, "gpiochip_enable_irq" },
	{ 0x89b406b9, "irq_chip_unmask_parent" },
	{ 0xbb06fc3d, "irq_chip_mask_parent" },
	{ 0x60602b32, "gpiochip_disable_irq" },
	{ 0xdbe78433, "pinconf_generic_dt_node_to_map" },
	{ 0x3b82c1cf, "platform_driver_unregister" },
	{ 0x133e2f27, "regmap_read" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x534001b7, "pinctrl_dev_get_drvdata" },
	{ 0xcb824037, "regmap_write" },
	{ 0x122c3a7e, "_printk" },
	{ 0x899fbd06, "seq_printf" },
	{ 0x5737dbe8, "seq_write" },
	{ 0x6f2c2cc6, "seq_putc" },
	{ 0xf9ed9452, "of_property_read_variable_u32_array" },
	{ 0xe401d208, "device_get_match_data" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0x2933431d, "dev_get_regmap" },
	{ 0xdcb764ad, "memset" },
	{ 0xb5ee9a79, "gpiochip_generic_request" },
	{ 0xedae3351, "gpiochip_generic_free" },
	{ 0xbfbab8bb, "devm_pinctrl_register" },
	{ 0x4815d5a0, "of_irq_find_parent" },
	{ 0xd373ca31, "irq_find_matching_fwspec" },
	{ 0xe9d10d9d, "of_node_put" },
	{ 0xa00ba5e6, "handle_level_irq" },
	{ 0x9aaacae9, "__dev_fwnode" },
	{ 0xd5046119, "gpiochip_add_data_with_key" },
	{ 0x5b36a3ec, "of_find_property" },
	{ 0x312badd8, "gpiochip_add_pin_range" },
	{ 0xe7915853, "irq_chip_ack_parent" },
	{ 0x5091c653, "irq_chip_set_type_parent" },
	{ 0x3004935c, "irq_chip_set_wake_parent" },
	{ 0x5a238861, "gpiochip_irq_reqres" },
	{ 0x68934d14, "gpiochip_irq_relres" },
	{ 0x64a82a49, "pinctrl_utils_free_map" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("of:N*T*Cqcom,pm2250-gpio");
MODULE_ALIAS("of:N*T*Cqcom,pm2250-gpioC*");
MODULE_ALIAS("of:N*T*Cqcom,pm660-gpio");
MODULE_ALIAS("of:N*T*Cqcom,pm660-gpioC*");
MODULE_ALIAS("of:N*T*Cqcom,pm660l-gpio");
MODULE_ALIAS("of:N*T*Cqcom,pm660l-gpioC*");
MODULE_ALIAS("of:N*T*Cqcom,pm6125-gpio");
MODULE_ALIAS("of:N*T*Cqcom,pm6125-gpioC*");
MODULE_ALIAS("of:N*T*Cqcom,pm6150-gpio");
MODULE_ALIAS("of:N*T*Cqcom,pm6150-gpioC*");
MODULE_ALIAS("of:N*T*Cqcom,pm6150l-gpio");
MODULE_ALIAS("of:N*T*Cqcom,pm6150l-gpioC*");
MODULE_ALIAS("of:N*T*Cqcom,pm6350-gpio");
MODULE_ALIAS("of:N*T*Cqcom,pm6350-gpioC*");
MODULE_ALIAS("of:N*T*Cqcom,pm6450-gpio");
MODULE_ALIAS("of:N*T*Cqcom,pm6450-gpioC*");
MODULE_ALIAS("of:N*T*Cqcom,pm7250b-gpio");
MODULE_ALIAS("of:N*T*Cqcom,pm7250b-gpioC*");
MODULE_ALIAS("of:N*T*Cqcom,pm7325-gpio");
MODULE_ALIAS("of:N*T*Cqcom,pm7325-gpioC*");
MODULE_ALIAS("of:N*T*Cqcom,pm7550ba-gpio");
MODULE_ALIAS("of:N*T*Cqcom,pm7550ba-gpioC*");
MODULE_ALIAS("of:N*T*Cqcom,pm8005-gpio");
MODULE_ALIAS("of:N*T*Cqcom,pm8005-gpioC*");
MODULE_ALIAS("of:N*T*Cqcom,pm8019-gpio");
MODULE_ALIAS("of:N*T*Cqcom,pm8019-gpioC*");
MODULE_ALIAS("of:N*T*Cqcom,pm8150-gpio");
MODULE_ALIAS("of:N*T*Cqcom,pm8150-gpioC*");
MODULE_ALIAS("of:N*T*Cqcom,pmc8180-gpio");
MODULE_ALIAS("of:N*T*Cqcom,pmc8180-gpioC*");
MODULE_ALIAS("of:N*T*Cqcom,pm8150b-gpio");
MODULE_ALIAS("of:N*T*Cqcom,pm8150b-gpioC*");
MODULE_ALIAS("of:N*T*Cqcom,pm8150l-gpio");
MODULE_ALIAS("of:N*T*Cqcom,pm8150l-gpioC*");
MODULE_ALIAS("of:N*T*Cqcom,pmc8180c-gpio");
MODULE_ALIAS("of:N*T*Cqcom,pmc8180c-gpioC*");
MODULE_ALIAS("of:N*T*Cqcom,pm8226-gpio");
MODULE_ALIAS("of:N*T*Cqcom,pm8226-gpioC*");
MODULE_ALIAS("of:N*T*Cqcom,pm8350-gpio");
MODULE_ALIAS("of:N*T*Cqcom,pm8350-gpioC*");
MODULE_ALIAS("of:N*T*Cqcom,pm8350b-gpio");
MODULE_ALIAS("of:N*T*Cqcom,pm8350b-gpioC*");
MODULE_ALIAS("of:N*T*Cqcom,pm8350c-gpio");
MODULE_ALIAS("of:N*T*Cqcom,pm8350c-gpioC*");
MODULE_ALIAS("of:N*T*Cqcom,pm8450-gpio");
MODULE_ALIAS("of:N*T*Cqcom,pm8450-gpioC*");
MODULE_ALIAS("of:N*T*Cqcom,pm8550-gpio");
MODULE_ALIAS("of:N*T*Cqcom,pm8550-gpioC*");
MODULE_ALIAS("of:N*T*Cqcom,pm8550b-gpio");
MODULE_ALIAS("of:N*T*Cqcom,pm8550b-gpioC*");
MODULE_ALIAS("of:N*T*Cqcom,pm8550ve-gpio");
MODULE_ALIAS("of:N*T*Cqcom,pm8550ve-gpioC*");
MODULE_ALIAS("of:N*T*Cqcom,pm8550vs-gpio");
MODULE_ALIAS("of:N*T*Cqcom,pm8550vs-gpioC*");
MODULE_ALIAS("of:N*T*Cqcom,pm8916-gpio");
MODULE_ALIAS("of:N*T*Cqcom,pm8916-gpioC*");
MODULE_ALIAS("of:N*T*Cqcom,pm8941-gpio");
MODULE_ALIAS("of:N*T*Cqcom,pm8941-gpioC*");
MODULE_ALIAS("of:N*T*Cqcom,pm8950-gpio");
MODULE_ALIAS("of:N*T*Cqcom,pm8950-gpioC*");
MODULE_ALIAS("of:N*T*Cqcom,pm8953-gpio");
MODULE_ALIAS("of:N*T*Cqcom,pm8953-gpioC*");
MODULE_ALIAS("of:N*T*Cqcom,pm8994-gpio");
MODULE_ALIAS("of:N*T*Cqcom,pm8994-gpioC*");
MODULE_ALIAS("of:N*T*Cqcom,pm8998-gpio");
MODULE_ALIAS("of:N*T*Cqcom,pm8998-gpioC*");
MODULE_ALIAS("of:N*T*Cqcom,pma8084-gpio");
MODULE_ALIAS("of:N*T*Cqcom,pma8084-gpioC*");
MODULE_ALIAS("of:N*T*Cqcom,pmc8380-gpio");
MODULE_ALIAS("of:N*T*Cqcom,pmc8380-gpioC*");
MODULE_ALIAS("of:N*T*Cqcom,pmd8028-gpio");
MODULE_ALIAS("of:N*T*Cqcom,pmd8028-gpioC*");
MODULE_ALIAS("of:N*T*Cqcom,pmi632-gpio");
MODULE_ALIAS("of:N*T*Cqcom,pmi632-gpioC*");
MODULE_ALIAS("of:N*T*Cqcom,pmi8950-gpio");
MODULE_ALIAS("of:N*T*Cqcom,pmi8950-gpioC*");
MODULE_ALIAS("of:N*T*Cqcom,pmi8994-gpio");
MODULE_ALIAS("of:N*T*Cqcom,pmi8994-gpioC*");
MODULE_ALIAS("of:N*T*Cqcom,pmi8998-gpio");
MODULE_ALIAS("of:N*T*Cqcom,pmi8998-gpioC*");
MODULE_ALIAS("of:N*T*Cqcom,pmih0108-gpio");
MODULE_ALIAS("of:N*T*Cqcom,pmih0108-gpioC*");
MODULE_ALIAS("of:N*T*Cqcom,pmk8350-gpio");
MODULE_ALIAS("of:N*T*Cqcom,pmk8350-gpioC*");
MODULE_ALIAS("of:N*T*Cqcom,pmk8550-gpio");
MODULE_ALIAS("of:N*T*Cqcom,pmk8550-gpioC*");
MODULE_ALIAS("of:N*T*Cqcom,pmm8155au-gpio");
MODULE_ALIAS("of:N*T*Cqcom,pmm8155au-gpioC*");
MODULE_ALIAS("of:N*T*Cqcom,pmm8654au-gpio");
MODULE_ALIAS("of:N*T*Cqcom,pmm8654au-gpioC*");
MODULE_ALIAS("of:N*T*Cqcom,pmp8074-gpio");
MODULE_ALIAS("of:N*T*Cqcom,pmp8074-gpioC*");
MODULE_ALIAS("of:N*T*Cqcom,pmr735a-gpio");
MODULE_ALIAS("of:N*T*Cqcom,pmr735a-gpioC*");
MODULE_ALIAS("of:N*T*Cqcom,pmr735b-gpio");
MODULE_ALIAS("of:N*T*Cqcom,pmr735b-gpioC*");
MODULE_ALIAS("of:N*T*Cqcom,pmr735d-gpio");
MODULE_ALIAS("of:N*T*Cqcom,pmr735d-gpioC*");
MODULE_ALIAS("of:N*T*Cqcom,pms405-gpio");
MODULE_ALIAS("of:N*T*Cqcom,pms405-gpioC*");
MODULE_ALIAS("of:N*T*Cqcom,pmx55-gpio");
MODULE_ALIAS("of:N*T*Cqcom,pmx55-gpioC*");
MODULE_ALIAS("of:N*T*Cqcom,pmx65-gpio");
MODULE_ALIAS("of:N*T*Cqcom,pmx65-gpioC*");
MODULE_ALIAS("of:N*T*Cqcom,pmx75-gpio");
MODULE_ALIAS("of:N*T*Cqcom,pmx75-gpioC*");
MODULE_ALIAS("of:N*T*Cqcom,pmxr2230-gpio");
MODULE_ALIAS("of:N*T*Cqcom,pmxr2230-gpioC*");

MODULE_INFO(srcversion, "1EAF9A35CB01921A862556E");
