#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xed826b94, "__platform_driver_register" },
	{ 0x44e9e46a, "rdev_get_drvdata" },
	{ 0x133e2f27, "regmap_read" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xcb824037, "regmap_write" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc867d2cf, "regmap_bulk_read" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0xf05f3bb4, "regmap_bulk_write" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xdc6ea412, "regulator_enable_regmap" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3b82c1cf, "platform_driver_unregister" },
	{ 0xdcb764ad, "memset" },
	{ 0x2691b191, "__of_parse_phandle_with_args" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0x2933431d, "dev_get_regmap" },
	{ 0xe401d208, "device_get_match_data" },
	{ 0x5b36a3ec, "of_find_property" },
	{ 0x88c69e1e, "syscon_node_to_regmap" },
	{ 0xe9d10d9d, "of_node_put" },
	{ 0xbb3d1556, "of_get_child_by_name" },
	{ 0xb7702e57, "platform_get_irq_byname" },
	{ 0x4829a47e, "memcpy" },
	{ 0x1c16e444, "devm_regulator_register" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x6228c21f, "smp_call_function_single" },
	{ 0xf9ed9452, "of_property_read_variable_u32_array" },
	{ 0x4c55545d, "devm_request_threaded_irq" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfe1f1c42, "__devm_add_action" },
	{ 0x207bb5ea, "regmap_update_bits_base" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x679ef057, "regulator_disable_regmap" },
	{ 0x2bf866d2, "regulator_is_enabled_regmap" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("of:N*T*Cqcom,pm6125-regulators");
MODULE_ALIAS("of:N*T*Cqcom,pm6125-regulatorsC*");
MODULE_ALIAS("of:N*T*Cqcom,pm660-regulators");
MODULE_ALIAS("of:N*T*Cqcom,pm660-regulatorsC*");
MODULE_ALIAS("of:N*T*Cqcom,pm660l-regulators");
MODULE_ALIAS("of:N*T*Cqcom,pm660l-regulatorsC*");
MODULE_ALIAS("of:N*T*Cqcom,pm8004-regulators");
MODULE_ALIAS("of:N*T*Cqcom,pm8004-regulatorsC*");
MODULE_ALIAS("of:N*T*Cqcom,pm8005-regulators");
MODULE_ALIAS("of:N*T*Cqcom,pm8005-regulatorsC*");
MODULE_ALIAS("of:N*T*Cqcom,pm8019-regulators");
MODULE_ALIAS("of:N*T*Cqcom,pm8019-regulatorsC*");
MODULE_ALIAS("of:N*T*Cqcom,pm8226-regulators");
MODULE_ALIAS("of:N*T*Cqcom,pm8226-regulatorsC*");
MODULE_ALIAS("of:N*T*Cqcom,pm8841-regulators");
MODULE_ALIAS("of:N*T*Cqcom,pm8841-regulatorsC*");
MODULE_ALIAS("of:N*T*Cqcom,pm8909-regulators");
MODULE_ALIAS("of:N*T*Cqcom,pm8909-regulatorsC*");
MODULE_ALIAS("of:N*T*Cqcom,pm8916-regulators");
MODULE_ALIAS("of:N*T*Cqcom,pm8916-regulatorsC*");
MODULE_ALIAS("of:N*T*Cqcom,pm8937-regulators");
MODULE_ALIAS("of:N*T*Cqcom,pm8937-regulatorsC*");
MODULE_ALIAS("of:N*T*Cqcom,pm8941-regulators");
MODULE_ALIAS("of:N*T*Cqcom,pm8941-regulatorsC*");
MODULE_ALIAS("of:N*T*Cqcom,pm8950-regulators");
MODULE_ALIAS("of:N*T*Cqcom,pm8950-regulatorsC*");
MODULE_ALIAS("of:N*T*Cqcom,pm8994-regulators");
MODULE_ALIAS("of:N*T*Cqcom,pm8994-regulatorsC*");
MODULE_ALIAS("of:N*T*Cqcom,pma8084-regulators");
MODULE_ALIAS("of:N*T*Cqcom,pma8084-regulatorsC*");
MODULE_ALIAS("of:N*T*Cqcom,pmi8994-regulators");
MODULE_ALIAS("of:N*T*Cqcom,pmi8994-regulatorsC*");
MODULE_ALIAS("of:N*T*Cqcom,pmp8074-regulators");
MODULE_ALIAS("of:N*T*Cqcom,pmp8074-regulatorsC*");
MODULE_ALIAS("of:N*T*Cqcom,pms405-regulators");
MODULE_ALIAS("of:N*T*Cqcom,pms405-regulatorsC*");

MODULE_INFO(srcversion, "05715EAD1B83229FDC94972");
