#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x36398a22, "fcoe_ctlr_init" },
	{ 0x464b11b2, "fcoe_get_paged_crc_eof" },
	{ 0x17188e0a, "fcoe_link_speed_update" },
	{ 0xd4845a05, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x974655ec, "fc_attach_transport" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x759b0de9, "fcoe_ctlr_get_lesb" },
	{ 0xe62f4ba2, "skb_copy_bits" },
	{ 0x60b73b66, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xc2af5a6, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x4679fb71, "consume_skb" },
	{ 0xb2c95643, "fc_lport_init" },
	{ 0x9d5f5eb1, "dev_add_pack" },
	{ 0x21df8638, "fc_get_host_port_state" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xad9ce40d, "scsi_remove_host" },
	{ 0x4413fecd, "pci_dev_put" },
	{ 0xfed083a, "fc_eh_host_reset" },
	{ 0xda39481f, "fc_fabric_login" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xa935f8f5, "fc_exch_mgr_list_clone" },
	{ 0x96848186, "scnprintf" },
	{ 0x1fbd432b, "fc_remove_host" },
	{ 0xfac59fd3, "fc_vport_setlink" },
	{ 0xf62c387b, "set_user_nice" },
	{ 0xedc03953, "iounmap" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x416a76ee, "fc_exch_mgr_alloc" },
	{ 0x7c709594, "___pskb_trim" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x588bc07f, "fc_rport_logoff" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xd2a47e5f, "fcoe_check_wait_queue" },
	{ 0x40af428e, "fc_lport_config" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf4ababae, "fc_eh_timed_out" },
	{ 0xe2964344, "__wake_up" },
	{ 0x79a12b49, "fcoe_fcf_get_selected" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x3be686dc, "fc_disc_init" },
	{ 0x354b3d7c, "wake_up_process" },
	{ 0x203b613a, "fcoe_fc_crc" },
	{ 0xaf2db4db, "fc_block_scsi_eh" },
	{ 0x122c3a7e, "_printk" },
	{ 0x87494301, "fcoe_ctlr_destroy" },
	{ 0x3b66969a, "cnic_register_driver" },
	{ 0x1000e51, "schedule" },
	{ 0xfdaa062e, "fcoe_transport_attach" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x5dd4536d, "fcoe_ctlr_device_delete" },
	{ 0xaed01ca, "fcoe_ctlr_device_add" },
	{ 0x63e4909b, "fcoe_validate_vport_create" },
	{ 0x618911fc, "numa_node" },
	{ 0x1f9a9c72, "module_put" },
	{ 0x794c23d0, "fc_release_transport" },
	{ 0xbd4047ce, "__dev_remove_pack" },
	{ 0x800473f, "__cond_resched" },
	{ 0xff15f7bd, "flush_signals" },
	{ 0x462c5c15, "vlan_dev_real_dev" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xe843c2ee, "fc_lport_reset" },
	{ 0x5ab1102e, "fc_lport_logo_resp" },
	{ 0xe40b7e7e, "fc_get_host_speed" },
	{ 0x896d53de, "fc_vport_create" },
	{ 0xaaba074a, "scsi_host_put" },
	{ 0xea027de6, "fc_rport_terminate_io" },
	{ 0xf167cb7a, "fcoe_wwn_to_str" },
	{ 0x61c3b861, "__cpuhp_setup_state" },
	{ 0xb6476d61, "skb_pull" },
	{ 0x9e1d784b, "fc_elsct_send" },
	{ 0x7be2e5ab, "fc_frame_alloc_fill" },
	{ 0x24d273d1, "add_timer" },
	{ 0x37a7856d, "fc_fabric_logoff" },
	{ 0x9f66a4ce, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x636af174, "cnic_unregister_driver" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xa1bbbce3, "fc_set_rport_loss_tmo" },
	{ 0xbfe0703a, "skb_push" },
	{ 0x642cc440, "dma_alloc_attrs" },
	{ 0xb016852, "fc_get_host_stats" },
	{ 0x20c951fe, "fc_exch_recv" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xd5ac4777, "fc_block_rport" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x6bf34b41, "fc_set_mfs" },
	{ 0xbac58840, "fcoe_queue_timer" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4cdb9669, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x4d9ece9, "fcoe_ctlr_link_down" },
	{ 0xced5dd78, "fcoe_get_wwn" },
	{ 0x124565c, "_fc_frame_alloc" },
	{ 0x81fff5e3, "fc_slave_alloc" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x8c365fe, "fc_vport_id_lookup" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xbf472d0e, "fc_elsct_init" },
	{ 0xebcb39be, "fc_lport_destroy" },
	{ 0xdcb764ad, "memset" },
	{ 0x5bf0c115, "fc_exch_mgr_free" },
	{ 0x2ed5c65b, "fc_lport_flogi_resp" },
	{ 0xd257bce, "scsi_is_host_device" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x1e29ac17, "fc_disc_config" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xa86fbee8, "__pskb_pull_tail" },
	{ 0x48bf5c8e, "kthread_bind" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x31d75226, "kthread_create_on_node" },
	{ 0x3edf6355, "fcoe_clean_pending_queue" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa7a530f2, "fcoe_get_lesb" },
	{ 0x74592c8e, "libfc_vport_create" },
	{ 0xeacf0ae1, "__dev_queue_xmit" },
	{ 0x404667b0, "dma_free_attrs" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc3f30cc0, "fcoe_wwn_from_mac" },
	{ 0x11527dcd, "fcoe_ctlr_recv" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x8d3e0394, "pci_dev_get" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x590b4f78, "fcoe_ctlr_link_up" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x6b53f5f8, "skb_clone" },
	{ 0xc2b8d696, "scsi_is_fc_rport" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xa49aee4, "scsi_done" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x65070d00, "vlan_dev_vlan_id" },
	{ 0x5986a5d8, "dma_unmap_sg_attrs" },
	{ 0x888653ec, "scsi_add_host_with_dma" },
	{ 0x38ab6a97, "fc_lport_bsg_request" },
	{ 0x98cf60b3, "strlen" },
	{ 0xcb74520d, "param_ops_int" },
	{ 0x2151991b, "_dev_printk" },
	{ 0x2a27fc5c, "fcoe_transport_detach" },
	{ 0xa16167cd, "scsi_host_alloc" },
	{ 0x6398bc52, "fcoe_ctlr_els_send" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0x7742b904, "__cpuhp_remove_state" },
	{ 0xd40cfad9, "scsi_change_queue_depth" },
	{ 0xf9a482f9, "msleep" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0xe13eedff, "fc_exch_init" },
	{ 0x992d47c0, "dma_map_sg_attrs" },
	{ 0xa16c86df, "fcoe_start_io" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "libfcoe,scsi_transport_fc,libfc,cnic");


MODULE_INFO(srcversion, "0A5D6DE8A4DCA85262EECAC");
