#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc528a49a, "queued_write_lock_slowpath" },
	{ 0xb3eca644, "scsi_dma_map" },
	{ 0xde69c768, "iscsi_host_for_each_session" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xb16a81c, "iscsi_itt_to_task" },
	{ 0x60b73b66, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xebe89111, "iscsi_conn_setup" },
	{ 0x2c9bd9f7, "iscsi_session_recovery_timedout" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x41ba7aeb, "pci_iomap" },
	{ 0xa6257a2f, "complete" },
	{ 0x4413fecd, "pci_dev_put" },
	{ 0xf61a791f, "iscsi_put_endpoint" },
	{ 0x563054e7, "iscsi_target_alloc" },
	{ 0x8888ad10, "__iscsi_complete_pdu" },
	{ 0x1c7e1260, "iscsi_conn_bind" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xc0b4e26a, "iscsi_host_get_param" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xd86d9202, "iscsi_session_setup" },
	{ 0xf62c387b, "set_user_nice" },
	{ 0xedc03953, "iounmap" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x4829a47e, "memcpy" },
	{ 0x354e104, "scsi_dma_unmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x91926296, "iscsi_eh_abort" },
	{ 0x79e18eb0, "iscsi_create_endpoint" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xd8211876, "iscsi_eh_cmd_timed_out" },
	{ 0xe2964344, "__wake_up" },
	{ 0x70ef8e52, "iscsi_conn_failure" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x354b3d7c, "wake_up_process" },
	{ 0x122c3a7e, "_printk" },
	{ 0x931c5028, "iscsi_eh_device_reset" },
	{ 0x8b715b71, "iscsi_register_transport" },
	{ 0x3b66969a, "cnic_register_driver" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x617c452b, "queued_read_lock_slowpath" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x618911fc, "numa_node" },
	{ 0x75a6e15f, "iscsi_session_failure" },
	{ 0x9dc8f798, "iscsi_set_param" },
	{ 0x800473f, "__cond_resched" },
	{ 0xff15f7bd, "flush_signals" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x81533963, "sysfs_format_mac" },
	{ 0xaaba074a, "scsi_host_put" },
	{ 0x61c3b861, "__cpuhp_setup_state" },
	{ 0x24d273d1, "add_timer" },
	{ 0x9b0af670, "iscsi_destroy_endpoint" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x636af174, "cnic_unregister_driver" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf98b38d8, "blk_mq_rq_cpu" },
	{ 0x642cc440, "dma_alloc_attrs" },
	{ 0x51e5fded, "iscsi_conn_get_param" },
	{ 0x6d767e93, "iscsi_host_free" },
	{ 0xf2d43d7b, "iscsi_conn_teardown" },
	{ 0x3e1ce73f, "iscsi_session_get_param" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xfb4baabb, "iscsi_conn_send_pdu" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4cdb9669, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x52129062, "iscsi_conn_start" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x13e26b07, "iscsi_conn_unbind" },
	{ 0x9663604d, "pci_iounmap" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xdcb764ad, "memset" },
	{ 0xd257bce, "scsi_is_host_device" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x48bf5c8e, "kthread_bind" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf9f97ffe, "iscsi_lookup_endpoint" },
	{ 0x31d75226, "kthread_create_on_node" },
	{ 0xbab04bc9, "iscsi_host_alloc" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6a8a4dee, "iscsi_host_add" },
	{ 0x404667b0, "dma_free_attrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x273f471d, "iscsi_session_teardown" },
	{ 0x453cf955, "iscsi_unregister_transport" },
	{ 0xcd9ede55, "iscsi_eh_recover_target" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x8d3e0394, "pci_dev_get" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xbdf99768, "iscsi_conn_stop" },
	{ 0x593e0e0e, "iscsi_queuecommand" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x19736008, "__iscsi_put_task" },
	{ 0xcb74520d, "param_ops_int" },
	{ 0x2151991b, "_dev_printk" },
	{ 0x6de604ce, "iscsi_host_remove" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0x7742b904, "__cpuhp_remove_state" },
	{ 0xd40cfad9, "scsi_change_queue_depth" },
	{ 0xf9a482f9, "msleep" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x27eae53d, "iscsi_offload_mesg" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_iscsi,libiscsi,cnic");


MODULE_INFO(srcversion, "0AA3BD7D3E868AE7E861426");
