#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cxgbi_device_portmap_create, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_portmap_cleanup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_register, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_unregister, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_unregister_all, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_lldev, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_netdev, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_netdev_rcu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_hbas_remove, "_gpl", "");
KSYMTAB_FUNC(cxgbi_hbas_add, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_free_cpl_skbs, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_established, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_closed, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_fail_act_open, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_act_open_req_arp_failure, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_abort_rpl, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_peer_close, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_close_conn_rpl, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_wr_ack, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_select_mss, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_skb_entail, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_purge_wr_queue, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_check_wr_invariants, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ddp_set_one_ppod, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ddp_ppm_setup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_parse_pdu_itt, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_tx_open, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_pdu_ready, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_alloc_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_init_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_xmit_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_cleanup_task, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_conn_stats, "_gpl", "");
KSYMTAB_FUNC(cxgbi_set_conn_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_ep_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_create_conn, "_gpl", "");
KSYMTAB_FUNC(cxgbi_bind_conn, "_gpl", "");
KSYMTAB_FUNC(cxgbi_create_session, "_gpl", "");
KSYMTAB_FUNC(cxgbi_destroy_session, "_gpl", "");
KSYMTAB_FUNC(cxgbi_set_host_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_host_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_connect, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_poll, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_disconnect, "_gpl", "");
KSYMTAB_FUNC(cxgbi_iscsi_init, "_gpl", "");
KSYMTAB_FUNC(cxgbi_iscsi_cleanup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_attr_is_visible, "_gpl", "");

SYMBOL_CRC(cxgbi_device_portmap_create, 0x0226853a, "_gpl");
SYMBOL_CRC(cxgbi_device_portmap_cleanup, 0xf325fbbc, "_gpl");
SYMBOL_CRC(cxgbi_device_register, 0x62944864, "_gpl");
SYMBOL_CRC(cxgbi_device_unregister, 0x8d2b2924, "_gpl");
SYMBOL_CRC(cxgbi_device_unregister_all, 0x7fdb6004, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_lldev, 0xca993232, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_netdev, 0xd57faa07, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_netdev_rcu, 0x285d7939, "_gpl");
SYMBOL_CRC(cxgbi_hbas_remove, 0x2f9f4b95, "_gpl");
SYMBOL_CRC(cxgbi_hbas_add, 0x37255850, "_gpl");
SYMBOL_CRC(cxgbi_sock_free_cpl_skbs, 0x4bcbdd78, "_gpl");
SYMBOL_CRC(cxgbi_sock_established, 0x1ddcbd14, "_gpl");
SYMBOL_CRC(cxgbi_sock_closed, 0xca18d55c, "_gpl");
SYMBOL_CRC(cxgbi_sock_fail_act_open, 0x1b9d82aa, "_gpl");
SYMBOL_CRC(cxgbi_sock_act_open_req_arp_failure, 0xd4d9880b, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_abort_rpl, 0x767c0518, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_peer_close, 0x41821d91, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_close_conn_rpl, 0x06a0076b, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_wr_ack, 0x374869f4, "_gpl");
SYMBOL_CRC(cxgbi_sock_select_mss, 0xf82c92e3, "_gpl");
SYMBOL_CRC(cxgbi_sock_skb_entail, 0x29a88745, "_gpl");
SYMBOL_CRC(cxgbi_sock_purge_wr_queue, 0xfe28b9d2, "_gpl");
SYMBOL_CRC(cxgbi_sock_check_wr_invariants, 0xfcabfe26, "_gpl");
SYMBOL_CRC(cxgbi_ddp_set_one_ppod, 0x8319f739, "_gpl");
SYMBOL_CRC(cxgbi_ddp_ppm_setup, 0x86497eb6, "_gpl");
SYMBOL_CRC(cxgbi_parse_pdu_itt, 0xfdef709a, "_gpl");
SYMBOL_CRC(cxgbi_conn_tx_open, 0xd4c1459e, "_gpl");
SYMBOL_CRC(cxgbi_conn_pdu_ready, 0xbe7c9fdf, "_gpl");
SYMBOL_CRC(cxgbi_conn_alloc_pdu, 0xcc26fad5, "_gpl");
SYMBOL_CRC(cxgbi_conn_init_pdu, 0x03390f66, "_gpl");
SYMBOL_CRC(cxgbi_conn_xmit_pdu, 0xf8ff01f8, "_gpl");
SYMBOL_CRC(cxgbi_cleanup_task, 0x2432e1b3, "_gpl");
SYMBOL_CRC(cxgbi_get_conn_stats, 0x27cc0a63, "_gpl");
SYMBOL_CRC(cxgbi_set_conn_param, 0xde839073, "_gpl");
SYMBOL_CRC(cxgbi_get_ep_param, 0xb155dd51, "_gpl");
SYMBOL_CRC(cxgbi_create_conn, 0x2d27ce02, "_gpl");
SYMBOL_CRC(cxgbi_bind_conn, 0x56aa2673, "_gpl");
SYMBOL_CRC(cxgbi_create_session, 0x1a69f089, "_gpl");
SYMBOL_CRC(cxgbi_destroy_session, 0x63a6e091, "_gpl");
SYMBOL_CRC(cxgbi_set_host_param, 0x8860caed, "_gpl");
SYMBOL_CRC(cxgbi_get_host_param, 0x9a4b43bc, "_gpl");
SYMBOL_CRC(cxgbi_ep_connect, 0x07ff3044, "_gpl");
SYMBOL_CRC(cxgbi_ep_poll, 0x70126e6b, "_gpl");
SYMBOL_CRC(cxgbi_ep_disconnect, 0x8b68d07c, "_gpl");
SYMBOL_CRC(cxgbi_iscsi_init, 0x77aba601, "_gpl");
SYMBOL_CRC(cxgbi_iscsi_cleanup, 0xa61833ed, "_gpl");
SYMBOL_CRC(cxgbi_attr_is_visible, 0xef346615, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x122c3a7e, "_printk" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x462c5c15, "vlan_dev_real_dev" },
	{ 0x6de604ce, "iscsi_host_remove" },
	{ 0x4413fecd, "pci_dev_put" },
	{ 0x6d767e93, "iscsi_host_free" },
	{ 0x8d3e0394, "pci_dev_get" },
	{ 0x6a8a4dee, "iscsi_host_add" },
	{ 0xbab04bc9, "iscsi_host_alloc" },
	{ 0xaaba074a, "scsi_host_put" },
	{ 0x9f66a4ce, "sk_skb_reason_drop" },
	{ 0x60c42834, "cxgbi_ppm_init" },
	{ 0x6982d778, "iscsi_conn_queue_xmit" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xf94f72f7, "cxgbi_ppm_ppods_reserve" },
	{ 0x992d47c0, "dma_map_sg_attrs" },
	{ 0x716e1ad3, "cxgbi_ppm_make_ppod_hdr" },
	{ 0xf4feb54c, "cxgbi_ppm_ppod_release" },
	{ 0x5986a5d8, "dma_unmap_sg_attrs" },
	{ 0x4f73028d, "__kfree_skb" },
	{ 0xdcb764ad, "memset" },
	{ 0x3917f42e, "iscsi_tcp_cleanup_task" },
	{ 0x37a0cba, "kfree" },
	{ 0xfc2735f6, "iscsi_tcp_set_max_r2t" },
	{ 0x9dc8f798, "iscsi_set_param" },
	{ 0xeab9cbd5, "iscsi_conn_get_addr_param" },
	{ 0xc6bcb090, "iscsi_tcp_conn_setup" },
	{ 0xd86d9202, "iscsi_session_setup" },
	{ 0x6a868170, "iscsi_tcp_r2tpool_alloc" },
	{ 0x273f471d, "iscsi_session_teardown" },
	{ 0x2234f1d1, "iscsi_tcp_r2tpool_free" },
	{ 0x7c8dab34, "iscsi_host_set_param" },
	{ 0x1b6314fd, "in_aton" },
	{ 0x2151991b, "_dev_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x453cf955, "iscsi_unregister_transport" },
	{ 0x557d1823, "alloc_pages_noprof" },
	{ 0x5359e8dc, "__kvmalloc_node_noprof" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x70ef8e52, "iscsi_conn_failure" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x617c452b, "queued_read_lock_slowpath" },
	{ 0x8b715b71, "iscsi_register_transport" },
	{ 0x7ee7ac5d, "init_net" },
	{ 0x39ed8622, "ip6_route_output_flags" },
	{ 0x95463bb7, "__alloc_skb" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xf9f97ffe, "iscsi_lookup_endpoint" },
	{ 0x1c7e1260, "iscsi_conn_bind" },
	{ 0x93b76afe, "iscsi_tcp_hdr_recv_prep" },
	{ 0xf61a791f, "iscsi_put_endpoint" },
	{ 0xc528a49a, "queued_write_lock_slowpath" },
	{ 0xc449b9ee, "iscsi_tcp_recv_segment_is_hdr" },
	{ 0x915828c3, "iscsi_tcp_recv_skb" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xc2af5a6, "skb_put" },
	{ 0x4e671beb, "dump_page" },
	{ 0x4829a47e, "memcpy" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xedf92aba, "make_kuid" },
	{ 0xc6ae011, "ip_route_output_flow" },
	{ 0x8500f07e, "dst_release" },
	{ 0x426eff70, "neigh_destroy" },
	{ 0x37ab0778, "__ip_dev_find" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3874cf22, "iscsi_itt_to_ctask" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x81533963, "sysfs_format_mac" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xc0b4e26a, "iscsi_host_get_param" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xd3881976, "cxgbi_ppm_release" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xbb9c0973, "__put_devmap_managed_folio_refs" },
	{ 0xa873d5b5, "__folio_put" },
	{ 0x1f9a9c72, "module_put" },
	{ 0x13d57c7d, "ipv6_dev_get_saddr" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x9b0af670, "iscsi_destroy_endpoint" },
	{ 0x79e18eb0, "iscsi_create_endpoint" },
	{ 0x60b73b66, "param_ops_uint" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "libiscsi,libcxgb,libiscsi_tcp,scsi_transport_iscsi");


MODULE_INFO(srcversion, "181A7A8849EFD318708C8E5");
