#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hisi_sas_get_ata_protocol, "_gpl", "");
KSYMTAB_FUNC(hisi_sas_sata_done, "_gpl", "");
KSYMTAB_FUNC(hisi_sas_get_prog_phy_linkrate_mask, "_gpl", "");
KSYMTAB_FUNC(to_hisi_sas_port, "_gpl", "");
KSYMTAB_FUNC(hisi_sas_stop_phys, "_gpl", "");
KSYMTAB_FUNC(hisi_sas_slot_task_free, "_gpl", "");
KSYMTAB_FUNC(hisi_sas_sync_poll_cqs, "_gpl", "");
KSYMTAB_FUNC(hisi_sas_sync_cqs, "_gpl", "");
KSYMTAB_FUNC(hisi_sas_slave_alloc, "_gpl", "");
KSYMTAB_FUNC(hisi_sas_device_configure, "_gpl", "");
KSYMTAB_FUNC(hisi_sas_scan_start, "_gpl", "");
KSYMTAB_FUNC(hisi_sas_scan_finished, "_gpl", "");
KSYMTAB_FUNC(hisi_sas_notify_phy_event, "_gpl", "");
KSYMTAB_FUNC(hisi_sas_phy_oob_ready, "_gpl", "");
KSYMTAB_FUNC(hisi_sas_phy_enable, "_gpl", "");
KSYMTAB_FUNC(hisi_sas_release_tasks, "_gpl", "");
KSYMTAB_FUNC(hisi_sas_controller_reset_prepare, "_gpl", "");
KSYMTAB_FUNC(hisi_sas_controller_reset_done, "_gpl", "");
KSYMTAB_FUNC(hisi_sas_phy_down, "_gpl", "");
KSYMTAB_FUNC(hisi_sas_phy_bcast, "_gpl", "");
KSYMTAB_FUNC(hisi_sas_host_reset, "_gpl", "");
KSYMTAB_DATA(hisi_sas_stt, "_gpl", "");
KSYMTAB_FUNC(hisi_sas_init_mem, "_gpl", "");
KSYMTAB_FUNC(hisi_sas_alloc, "_gpl", "");
KSYMTAB_FUNC(hisi_sas_free, "_gpl", "");
KSYMTAB_FUNC(hisi_sas_rst_work_handler, "_gpl", "");
KSYMTAB_FUNC(hisi_sas_sync_rst_work_handler, "_gpl", "");
KSYMTAB_FUNC(hisi_sas_get_fw_info, "_gpl", "");
KSYMTAB_FUNC(hisi_sas_probe, "_gpl", "");
KSYMTAB_FUNC(hisi_sas_remove, "_gpl", "");
KSYMTAB_DATA(hisi_sas_debugfs_enable, "_gpl", "");
KSYMTAB_DATA(hisi_sas_debugfs_dump_count, "_gpl", "");
KSYMTAB_DATA(hisi_sas_debugfs_dir, "_gpl", "");

SYMBOL_CRC(hisi_sas_get_ata_protocol, 0xebfae55c, "_gpl");
SYMBOL_CRC(hisi_sas_sata_done, 0x7fdb8480, "_gpl");
SYMBOL_CRC(hisi_sas_get_prog_phy_linkrate_mask, 0x40ac648c, "_gpl");
SYMBOL_CRC(to_hisi_sas_port, 0xe31bc32c, "_gpl");
SYMBOL_CRC(hisi_sas_stop_phys, 0x53fcde44, "_gpl");
SYMBOL_CRC(hisi_sas_slot_task_free, 0xb010cc8a, "_gpl");
SYMBOL_CRC(hisi_sas_sync_poll_cqs, 0x873d8412, "_gpl");
SYMBOL_CRC(hisi_sas_sync_cqs, 0x1cf881d1, "_gpl");
SYMBOL_CRC(hisi_sas_slave_alloc, 0x44c21875, "_gpl");
SYMBOL_CRC(hisi_sas_device_configure, 0x9b2a4a24, "_gpl");
SYMBOL_CRC(hisi_sas_scan_start, 0x0c89fb1f, "_gpl");
SYMBOL_CRC(hisi_sas_scan_finished, 0x5f260483, "_gpl");
SYMBOL_CRC(hisi_sas_notify_phy_event, 0x6477a3ef, "_gpl");
SYMBOL_CRC(hisi_sas_phy_oob_ready, 0x75db56e7, "_gpl");
SYMBOL_CRC(hisi_sas_phy_enable, 0x3a5ba7ce, "_gpl");
SYMBOL_CRC(hisi_sas_release_tasks, 0x03d918d4, "_gpl");
SYMBOL_CRC(hisi_sas_controller_reset_prepare, 0x0c8f3fa3, "_gpl");
SYMBOL_CRC(hisi_sas_controller_reset_done, 0xd6aec376, "_gpl");
SYMBOL_CRC(hisi_sas_phy_down, 0x5efd868f, "_gpl");
SYMBOL_CRC(hisi_sas_phy_bcast, 0x30104224, "_gpl");
SYMBOL_CRC(hisi_sas_host_reset, 0x6b086962, "_gpl");
SYMBOL_CRC(hisi_sas_stt, 0x4fc22123, "_gpl");
SYMBOL_CRC(hisi_sas_init_mem, 0x005a9750, "_gpl");
SYMBOL_CRC(hisi_sas_alloc, 0xfd5e984a, "_gpl");
SYMBOL_CRC(hisi_sas_free, 0x28741fdc, "_gpl");
SYMBOL_CRC(hisi_sas_rst_work_handler, 0xb03aa9c5, "_gpl");
SYMBOL_CRC(hisi_sas_sync_rst_work_handler, 0xe330cb74, "_gpl");
SYMBOL_CRC(hisi_sas_get_fw_info, 0xe2da139f, "_gpl");
SYMBOL_CRC(hisi_sas_probe, 0xf2d3eacc, "_gpl");
SYMBOL_CRC(hisi_sas_remove, 0xec760462, "_gpl");
SYMBOL_CRC(hisi_sas_debugfs_enable, 0xe987d9aa, "_gpl");
SYMBOL_CRC(hisi_sas_debugfs_dump_count, 0xc3a41131, "_gpl");
SYMBOL_CRC(hisi_sas_debugfs_dir, 0x812bf345, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5986a5d8, "dma_unmap_sg_attrs" },
	{ 0xdcb764ad, "memset" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x83103eac, "sas_drain_work" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xee6c748d, "scsi_block_requests" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xbfad53f4, "sas_notify_port_event" },
	{ 0xe2e24440, "sas_notify_phy_event" },
	{ 0x61f81ab3, "__pm_runtime_idle" },
	{ 0x6626afca, "down" },
	{ 0xcf2a6966, "up" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x962f385c, "dmam_alloc_attrs" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0xf54bd49b, "lcm" },
	{ 0x17c3dbe8, "devm_bitmap_zalloc" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xf4e934af, "device_property_read_u8_array" },
	{ 0x403825b2, "syscon_regmap_lookup_by_phandle" },
	{ 0xd80f18f2, "device_property_read_u32_array" },
	{ 0xb488bd02, "devm_clk_get" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0x48ec9e5a, "sas_domain_attach_transport" },
	{ 0xe820ea6a, "debugfs_create_dir" },
	{ 0x122c3a7e, "_printk" },
	{ 0x41d8b275, "sas_query_task" },
	{ 0xf8fe6e7d, "sas_release_transport" },
	{ 0x495eed8e, "debugfs_remove" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0xf1821675, "sas_execute_internal_abort_dev" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0x2caa64e6, "ata_link_next" },
	{ 0x53036d28, "sas_execute_ata_cmd" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0x2596ff7b, "sas_device_configure" },
	{ 0x9209418f, "sas_change_queue_depth" },
	{ 0x71800bfb, "sas_unregister_ha" },
	{ 0x31727911, "sas_remove_host" },
	{ 0xaaba074a, "scsi_host_put" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xf9a482f9, "msleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x24d273d1, "add_timer" },
	{ 0xa16167cd, "scsi_host_alloc" },
	{ 0xb34e2c9a, "dma_set_mask" },
	{ 0xf0efe64b, "dma_set_coherent_mask" },
	{ 0x24600a27, "devm_platform_ioremap_resource" },
	{ 0x6e7902da, "platform_get_resource" },
	{ 0xbfc8b417, "devm_ioremap_resource" },
	{ 0x888653ec, "scsi_add_host_with_dma" },
	{ 0x414cd684, "sas_register_ha" },
	{ 0xba644add, "scsi_scan_host" },
	{ 0xad9ce40d, "scsi_remove_host" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xc51dd7c8, "blk_mq_unique_tag" },
	{ 0x992d47c0, "dma_map_sg_attrs" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xc8d43e12, "sas_get_local_phy" },
	{ 0xe901464b, "sas_phy_reset" },
	{ 0x8619869e, "put_device" },
	{ 0x106b944f, "sas_lu_reset" },
	{ 0x3bb691bd, "sas_abort_task_set" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x4415b70f, "sas_slave_alloc" },
	{ 0x231754af, "_dev_notice" },
	{ 0x80eec3ef, "sas_abort_task" },
	{ 0xbba8cb1b, "sas_execute_internal_abort_single" },
	{ 0xc2ca2df4, "scsi_unblock_requests" },
	{ 0xa6257a2f, "complete" },
	{ 0xd257bce, "scsi_is_host_device" },
	{ 0x1eebee7b, "smp_ata_check_ready_type" },
	{ 0x206ee34c, "ata_wait_after_reset" },
	{ 0x65cd4c79, "sas_find_attached_phy_id" },
	{ 0x307a2c79, "sas_phy_enable" },
	{ 0x60b73b66, "param_ops_uint" },
	{ 0x14c5dd46, "param_ops_bool" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "libsas,scsi_transport_sas");


MODULE_INFO(srcversion, "20CFAC8BB51A3C13A3F00E9");
