#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xed826b94, "__platform_driver_register" },
	{ 0xf2d3eacc, "hisi_sas_probe" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x11f75d2, "device_property_present" },
	{ 0xd80f18f2, "device_property_read_u32_array" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0x40ac648c, "hisi_sas_get_prog_phy_linkrate_mask" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3a5ba7ce, "hisi_sas_phy_enable" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x57e3d359, "devm_platform_get_irqs_affinity" },
	{ 0x4c55545d, "devm_request_threaded_irq" },
	{ 0xd40f97f4, "irq_get_irq_data" },
	{ 0x7fdb8480, "hisi_sas_sata_done" },
	{ 0x3b82c1cf, "platform_driver_unregister" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x4829a47e, "memcpy" },
	{ 0xe31bc32c, "to_hisi_sas_port" },
	{ 0xebfae55c, "hisi_sas_get_ata_protocol" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xdcb764ad, "memset" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xb010cc8a, "hisi_sas_slot_task_free" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0xd4e11af3, "sas_task_abort" },
	{ 0x85a23a3, "sas_ssp_task_response" },
	{ 0x5da8b8e, "sas_ata_device_link_abort" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb86e9579, "is_acpi_device_node" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xcb824037, "regmap_write" },
	{ 0x133e2f27, "regmap_read" },
	{ 0xd706cd02, "platform_get_irq" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x53fcde44, "hisi_sas_stop_phys" },
	{ 0x5a9750, "hisi_sas_init_mem" },
	{ 0x75db56e7, "hisi_sas_phy_oob_ready" },
	{ 0x6477a3ef, "hisi_sas_notify_phy_event" },
	{ 0x30104224, "hisi_sas_phy_bcast" },
	{ 0xa6257a2f, "complete" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x5efd868f, "hisi_sas_phy_down" },
	{ 0x24d273d1, "add_timer" },
	{ 0xec760462, "hisi_sas_remove" },
	{ 0xda4070a4, "sas_queuecommand" },
	{ 0x814435dc, "sas_ioctl" },
	{ 0xc8735098, "sas_eh_device_reset_handler" },
	{ 0x86d2de3c, "sas_eh_target_reset_handler" },
	{ 0x44c21875, "hisi_sas_slave_alloc" },
	{ 0x9b2a4a24, "hisi_sas_device_configure" },
	{ 0xecac0366, "sas_target_alloc" },
	{ 0x714dbd69, "sas_target_destroy" },
	{ 0x5f260483, "hisi_sas_scan_finished" },
	{ 0xc89fb1f, "hisi_sas_scan_start" },
	{ 0x9209418f, "sas_change_queue_depth" },
	{ 0x35d2b008, "ata_scsi_dma_need_drain" },
	{ 0x1a872513, "sas_bios_param" },
	{ 0x6b086962, "hisi_sas_host_reset" },
	{ 0xb15301d3, "sas_ata_sdev_attr_group" },
	{ 0x3ad6c7b8, "dev_attr_phy_event_threshold" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "hisi_sas_main,libsas");

MODULE_ALIAS("acpi*:HISI0162:*");
MODULE_ALIAS("of:N*T*Chisilicon,hip06-sas-v2");
MODULE_ALIAS("of:N*T*Chisilicon,hip06-sas-v2C*");
MODULE_ALIAS("of:N*T*Chisilicon,hip07-sas-v2");
MODULE_ALIAS("of:N*T*Chisilicon,hip07-sas-v2C*");

MODULE_INFO(srcversion, "7EEE90C9EFB0C429D1C5A51");
