#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x65a0007f, "sas_attach_transport" },
	{ 0x43ba1bed, "__pci_register_driver" },
	{ 0xf8fe6e7d, "sas_release_transport" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0xdcb764ad, "memset" },
	{ 0x404667b0, "dma_free_attrs" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xedc03953, "iounmap" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x72ea7b2d, "scsi_device_type" },
	{ 0x2151991b, "_dev_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0xc6cbbc89, "capable" },
	{ 0x9166fada, "strncpy" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xd40cfad9, "scsi_change_queue_depth" },
	{ 0xe1a350f8, "pci_unregister_driver" },
	{ 0xbfd79310, "pci_irq_vector" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x37a0cba, "kfree" },
	{ 0xe2964344, "__wake_up" },
	{ 0xa49aee4, "scsi_done" },
	{ 0x7561aa39, "scsi_print_command" },
	{ 0x4829a47e, "memcpy" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xd257bce, "scsi_is_host_device" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9a57036d, "pci_irq_get_affinity" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xc2e587d1, "reset_devices" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x295a77a9, "sas_phy_delete" },
	{ 0xfee9763, "sas_port_delete_phy" },
	{ 0x92bb169a, "sas_port_delete" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x71e8d353, "pci_free_irq_vectors" },
	{ 0xebaddcc6, "pci_disable_device" },
	{ 0x35beca42, "pci_release_regions" },
	{ 0xfbad3cf0, "scsi_normalize_sense" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x6a0fc013, "sas_port_alloc_num" },
	{ 0xdfafb7a8, "sas_port_add" },
	{ 0xf8fdfaaf, "sas_port_free" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xb3eca644, "scsi_dma_map" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xb4c63861, "dma_map_page_attrs" },
	{ 0x354e104, "scsi_dma_unmap" },
	{ 0x34070452, "dev_driver_string" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x1ea890ed, "sas_phy_alloc" },
	{ 0xdef0e4e0, "sas_phy_add" },
	{ 0x3d1bf000, "sas_phy_free" },
	{ 0xe2b39647, "sas_port_add_phy" },
	{ 0xf9a482f9, "msleep" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x8b6b4b48, "blk_queue_rq_timeout" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x5c26a53b, "wait_for_completion_io_timeout" },
	{ 0x392b1fea, "wait_for_completion_io" },
	{ 0xa6613056, "dma_unmap_page_attrs" },
	{ 0xc28127bd, "pci_ioremap_bar" },
	{ 0xf0efe64b, "dma_set_coherent_mask" },
	{ 0x642cc440, "dma_alloc_attrs" },
	{ 0x96848186, "scnprintf" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xd92e2a00, "scsi_add_device" },
	{ 0xe0882119, "sas_end_device_alloc" },
	{ 0xb9246233, "sas_rphy_add" },
	{ 0xba1c9820, "sas_rphy_free" },
	{ 0x59c7d651, "scsi_device_lookup" },
	{ 0x8b402be5, "scsi_remove_device" },
	{ 0xddae5130, "scsi_device_put" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xad9ce40d, "scsi_remove_host" },
	{ 0xaaba074a, "scsi_host_put" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xee6c748d, "scsi_block_requests" },
	{ 0xc2ca2df4, "scsi_unblock_requests" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x27756bc8, "scsi_sanitize_inquiry_string" },
	{ 0x5a921311, "strncmp" },
	{ 0x800473f, "__cond_resched" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1000e51, "schedule" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x75824b69, "scsi_host_get" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xa6257a2f, "complete" },
	{ 0xd399ce1a, "pci_read_config_word" },
	{ 0xffb5089c, "pci_save_state" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0xcfd729a4, "pci_set_power_state" },
	{ 0x4656f3ed, "pci_restore_state" },
	{ 0xf54d522d, "pci_write_config_word" },
	{ 0x8d8912d8, "pci_disable_link_state" },
	{ 0x8344b777, "pci_enable_device" },
	{ 0x87b4d3f3, "pci_request_regions" },
	{ 0xaff5b1dd, "pci_set_master" },
	{ 0xedc724c0, "pci_alloc_irq_vectors" },
	{ 0x2a303d4d, "check_signature" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0xa16167cd, "scsi_host_alloc" },
	{ 0xb34e2c9a, "dma_set_mask" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x122c3a7e, "_printk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x888653ec, "scsi_add_host_with_dma" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xba644add, "scsi_scan_host" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xcb74520d, "param_ops_int" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_sas");

MODULE_ALIAS("pci:v0000103Cd0000323Asv0000103Csd00003241bc*sc*i*");
MODULE_ALIAS("pci:v0000103Cd0000323Asv0000103Csd00003243bc*sc*i*");
MODULE_ALIAS("pci:v0000103Cd0000323Asv0000103Csd00003245bc*sc*i*");
MODULE_ALIAS("pci:v0000103Cd0000323Asv0000103Csd00003247bc*sc*i*");
MODULE_ALIAS("pci:v0000103Cd0000323Asv0000103Csd00003249bc*sc*i*");
MODULE_ALIAS("pci:v0000103Cd0000323Asv0000103Csd0000324Abc*sc*i*");
MODULE_ALIAS("pci:v0000103Cd0000323Asv0000103Csd0000324Bbc*sc*i*");
MODULE_ALIAS("pci:v0000103Cd0000323Asv0000103Csd00003233bc*sc*i*");
MODULE_ALIAS("pci:v0000103Cd0000323Bsv0000103Csd00003350bc*sc*i*");
MODULE_ALIAS("pci:v0000103Cd0000323Bsv0000103Csd00003351bc*sc*i*");
MODULE_ALIAS("pci:v0000103Cd0000323Bsv0000103Csd00003352bc*sc*i*");
MODULE_ALIAS("pci:v0000103Cd0000323Bsv0000103Csd00003353bc*sc*i*");
MODULE_ALIAS("pci:v0000103Cd0000323Bsv0000103Csd00003354bc*sc*i*");
MODULE_ALIAS("pci:v0000103Cd0000323Bsv0000103Csd00003355bc*sc*i*");
MODULE_ALIAS("pci:v0000103Cd0000323Bsv0000103Csd00003356bc*sc*i*");
MODULE_ALIAS("pci:v0000103Cd0000323Csv0000103Csd00001920bc*sc*i*");
MODULE_ALIAS("pci:v0000103Cd0000323Csv0000103Csd00001921bc*sc*i*");
MODULE_ALIAS("pci:v0000103Cd0000323Csv0000103Csd00001922bc*sc*i*");
MODULE_ALIAS("pci:v0000103Cd0000323Csv0000103Csd00001923bc*sc*i*");
MODULE_ALIAS("pci:v0000103Cd0000323Csv0000103Csd00001924bc*sc*i*");
MODULE_ALIAS("pci:v0000103Cd0000323Csv0000103Csd00001925bc*sc*i*");
MODULE_ALIAS("pci:v0000103Cd0000323Csv0000103Csd00001926bc*sc*i*");
MODULE_ALIAS("pci:v0000103Cd0000323Csv0000103Csd00001928bc*sc*i*");
MODULE_ALIAS("pci:v0000103Cd0000323Csv0000103Csd00001929bc*sc*i*");
MODULE_ALIAS("pci:v0000103Cd00003239sv0000103Csd000021BDbc*sc*i*");
MODULE_ALIAS("pci:v0000103Cd00003239sv0000103Csd000021BEbc*sc*i*");
MODULE_ALIAS("pci:v0000103Cd00003239sv0000103Csd000021BFbc*sc*i*");
MODULE_ALIAS("pci:v0000103Cd00003239sv0000103Csd000021C0bc*sc*i*");
MODULE_ALIAS("pci:v0000103Cd00003239sv0000103Csd000021C1bc*sc*i*");
MODULE_ALIAS("pci:v0000103Cd00003239sv0000103Csd000021C2bc*sc*i*");
MODULE_ALIAS("pci:v0000103Cd00003239sv0000103Csd000021C3bc*sc*i*");
MODULE_ALIAS("pci:v0000103Cd00003239sv0000103Csd000021C4bc*sc*i*");
MODULE_ALIAS("pci:v0000103Cd00003239sv0000103Csd000021C5bc*sc*i*");
MODULE_ALIAS("pci:v0000103Cd00003239sv0000103Csd000021C6bc*sc*i*");
MODULE_ALIAS("pci:v0000103Cd00003239sv0000103Csd000021C7bc*sc*i*");
MODULE_ALIAS("pci:v0000103Cd00003239sv0000103Csd000021C8bc*sc*i*");
MODULE_ALIAS("pci:v0000103Cd00003239sv0000103Csd000021C9bc*sc*i*");
MODULE_ALIAS("pci:v0000103Cd00003239sv0000103Csd000021CAbc*sc*i*");
MODULE_ALIAS("pci:v0000103Cd00003239sv0000103Csd000021CBbc*sc*i*");
MODULE_ALIAS("pci:v0000103Cd00003239sv0000103Csd000021CCbc*sc*i*");
MODULE_ALIAS("pci:v0000103Cd00003239sv0000103Csd000021CDbc*sc*i*");
MODULE_ALIAS("pci:v0000103Cd00003239sv0000103Csd000021CEbc*sc*i*");
MODULE_ALIAS("pci:v00009005d00000290sv00009005sd00000580bc*sc*i*");
MODULE_ALIAS("pci:v00009005d00000290sv00009005sd00000581bc*sc*i*");
MODULE_ALIAS("pci:v00009005d00000290sv00009005sd00000582bc*sc*i*");
MODULE_ALIAS("pci:v00009005d00000290sv00009005sd00000583bc*sc*i*");
MODULE_ALIAS("pci:v00009005d00000290sv00009005sd00000584bc*sc*i*");
MODULE_ALIAS("pci:v00009005d00000290sv00009005sd00000585bc*sc*i*");
MODULE_ALIAS("pci:v00001590d00000075sv00001590sd00000076bc*sc*i*");
MODULE_ALIAS("pci:v00001590d00000075sv00001590sd00000087bc*sc*i*");
MODULE_ALIAS("pci:v00001590d00000075sv00001590sd0000007Dbc*sc*i*");
MODULE_ALIAS("pci:v00001590d00000075sv00001590sd00000088bc*sc*i*");
MODULE_ALIAS("pci:v0000103Cd0000333Fsv0000103Csd0000333Fbc*sc*i*");
MODULE_ALIAS("pci:v0000103Cd*sv*sd*bc01sc04i*");
MODULE_ALIAS("pci:v00000E11d*sv*sd*bc01sc04i*");

MODULE_INFO(srcversion, "35530B011B96095AABFFD8F");
