#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb3eca644, "scsi_dma_map" },
	{ 0xae01aadf, "vmbus_driver_unregister" },
	{ 0x9b00a78a, "scsi_print_sense_hdr" },
	{ 0x974655ec, "fc_attach_transport" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x60b73b66, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x82f3f5e5, "fc_remote_port_add" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xad9ce40d, "scsi_remove_host" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x1fbd432b, "fc_remove_host" },
	{ 0x952fc03b, "__cpu_present_mask" },
	{ 0x9c7bd44a, "vmbus_sendpacket" },
	{ 0x2f79cd85, "hv_pkt_iter_first" },
	{ 0x4829a47e, "memcpy" },
	{ 0x354e104, "scsi_dma_unmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x21c51664, "__scsi_iterate_devices" },
	{ 0x54163263, "vmbus_close" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xeeaede1, "scsi_test_unit_ready" },
	{ 0x59c7d651, "scsi_device_lookup" },
	{ 0x1000e51, "schedule" },
	{ 0x79b2aaa3, "fc_remote_port_delete" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x75824b69, "scsi_host_get" },
	{ 0xd92e2a00, "scsi_add_device" },
	{ 0x618911fc, "numa_node" },
	{ 0x794c23d0, "fc_release_transport" },
	{ 0xddae5130, "scsi_device_put" },
	{ 0x800473f, "__cond_resched" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0xaaba074a, "scsi_host_put" },
	{ 0xecdce549, "vmbus_open" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xba644add, "scsi_scan_host" },
	{ 0x5a921311, "strncmp" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x108f0e3a, "scsi_rescan_device" },
	{ 0xdcb764ad, "memset" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0x6db77c65, "hv_pkt_iter_close" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc51dd7c8, "blk_mq_unique_tag" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf4da1908, "vmbus_set_sc_create_callback" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xff1922dd, "__vmbus_driver_register" },
	{ 0x6f7766ca, "cpu_all_bits" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa49aee4, "scsi_done" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x8b402be5, "scsi_remove_device" },
	{ 0x888653ec, "scsi_add_host_with_dma" },
	{ 0xcb74520d, "param_ops_int" },
	{ 0xfbad3cf0, "scsi_normalize_sense" },
	{ 0xa16167cd, "scsi_host_alloc" },
	{ 0xce2786ac, "__hv_pkt_iter_next" },
	{ 0x120c5d8b, "vmbus_sendpacket_mpb_desc" },
	{ 0xd40cfad9, "scsi_change_queue_depth" },
	{ 0x3abde4ed, "node_to_cpumask_map" },
	{ 0x8b6b4b48, "blk_queue_rq_timeout" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "hv_vmbus,scsi_transport_fc");

MODULE_ALIAS("vmbus:d96361baa104294db60572e2ffb1dc7f");
MODULE_ALIAS("vmbus:32264132cb86a2449b5c50d1417354f5");
MODULE_ALIAS("vmbus:4acc9b2f6900f34ab76b6fd0be528cda");

MODULE_INFO(srcversion, "DB1303F3713DEF3683DFB2A");
