#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(iscsi_conn_queue_xmit, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_queue_recv, "_gpl", "");
KSYMTAB_FUNC(iscsi_update_cmdsn, "_gpl", "");
KSYMTAB_FUNC(iscsi_prep_data_out_pdu, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_task, "_gpl", "");
KSYMTAB_FUNC(__iscsi_put_task, "_gpl", "");
KSYMTAB_FUNC(iscsi_put_task, "_gpl", "");
KSYMTAB_FUNC(iscsi_complete_scsi_task, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_send_pdu, "_gpl", "");
KSYMTAB_FUNC(iscsi_itt_to_task, "_gpl", "");
KSYMTAB_FUNC(__iscsi_complete_pdu, "_gpl", "");
KSYMTAB_FUNC(iscsi_complete_pdu, "_gpl", "");
KSYMTAB_FUNC(iscsi_verify_itt, "_gpl", "");
KSYMTAB_FUNC(iscsi_itt_to_ctask, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_failure, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_failure, "_gpl", "");
KSYMTAB_FUNC(iscsi_requeue_task, "_gpl", "");
KSYMTAB_FUNC(iscsi_queuecommand, "_gpl", "");
KSYMTAB_FUNC(iscsi_target_alloc, "_gpl", "");
KSYMTAB_FUNC(iscsi_suspend_queue, "_gpl", "");
KSYMTAB_FUNC(iscsi_suspend_tx, "_gpl", "");
KSYMTAB_FUNC(iscsi_suspend_rx, "_gpl", "");
KSYMTAB_FUNC(iscsi_eh_cmd_timed_out, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_unbind, "_gpl", "");
KSYMTAB_FUNC(iscsi_eh_abort, "_gpl", "");
KSYMTAB_FUNC(iscsi_eh_device_reset, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_recovery_timedout, "_gpl", "");
KSYMTAB_FUNC(iscsi_eh_session_reset, "_gpl", "");
KSYMTAB_FUNC(iscsi_eh_recover_target, "_gpl", "");
KSYMTAB_FUNC(iscsi_pool_init, "_gpl", "");
KSYMTAB_FUNC(iscsi_pool_free, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_get_max_scsi_cmds, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_add, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_alloc, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_remove, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_free, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_setup, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_remove, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_free, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_teardown, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_setup, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_teardown, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_start, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_stop, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_bind, "_gpl", "");
KSYMTAB_FUNC(iscsi_switch_str_param, "_gpl", "");
KSYMTAB_FUNC(iscsi_set_param, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_get_param, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_get_addr_param, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_get_param, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_get_param, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_set_param, "_gpl", "");

SYMBOL_CRC(iscsi_conn_queue_xmit, 0x6982d778, "_gpl");
SYMBOL_CRC(iscsi_conn_queue_recv, 0x33c7cd63, "_gpl");
SYMBOL_CRC(iscsi_update_cmdsn, 0x03edc7f2, "_gpl");
SYMBOL_CRC(iscsi_prep_data_out_pdu, 0x62e523a0, "_gpl");
SYMBOL_CRC(iscsi_get_task, 0x0e9532ac, "_gpl");
SYMBOL_CRC(__iscsi_put_task, 0x19736008, "_gpl");
SYMBOL_CRC(iscsi_put_task, 0x6c12b90f, "_gpl");
SYMBOL_CRC(iscsi_complete_scsi_task, 0x8e8c9640, "_gpl");
SYMBOL_CRC(iscsi_conn_send_pdu, 0xfb4baabb, "_gpl");
SYMBOL_CRC(iscsi_itt_to_task, 0x0b16a81c, "_gpl");
SYMBOL_CRC(__iscsi_complete_pdu, 0x8888ad10, "_gpl");
SYMBOL_CRC(iscsi_complete_pdu, 0x5178f591, "_gpl");
SYMBOL_CRC(iscsi_verify_itt, 0xe25ec0d2, "_gpl");
SYMBOL_CRC(iscsi_itt_to_ctask, 0x3874cf22, "_gpl");
SYMBOL_CRC(iscsi_session_failure, 0x75a6e15f, "_gpl");
SYMBOL_CRC(iscsi_conn_failure, 0x70ef8e52, "_gpl");
SYMBOL_CRC(iscsi_requeue_task, 0x4344d9e8, "_gpl");
SYMBOL_CRC(iscsi_queuecommand, 0x593e0e0e, "_gpl");
SYMBOL_CRC(iscsi_target_alloc, 0x563054e7, "_gpl");
SYMBOL_CRC(iscsi_suspend_queue, 0x80b58f82, "_gpl");
SYMBOL_CRC(iscsi_suspend_tx, 0xff63efae, "_gpl");
SYMBOL_CRC(iscsi_suspend_rx, 0x066b2a51, "_gpl");
SYMBOL_CRC(iscsi_eh_cmd_timed_out, 0xd8211876, "_gpl");
SYMBOL_CRC(iscsi_conn_unbind, 0x13e26b07, "_gpl");
SYMBOL_CRC(iscsi_eh_abort, 0x91926296, "_gpl");
SYMBOL_CRC(iscsi_eh_device_reset, 0x931c5028, "_gpl");
SYMBOL_CRC(iscsi_session_recovery_timedout, 0x2c9bd9f7, "_gpl");
SYMBOL_CRC(iscsi_eh_session_reset, 0x134895a8, "_gpl");
SYMBOL_CRC(iscsi_eh_recover_target, 0xcd9ede55, "_gpl");
SYMBOL_CRC(iscsi_pool_init, 0x3bef2f73, "_gpl");
SYMBOL_CRC(iscsi_pool_free, 0x8d303b1b, "_gpl");
SYMBOL_CRC(iscsi_host_get_max_scsi_cmds, 0x98d77b5e, "_gpl");
SYMBOL_CRC(iscsi_host_add, 0x6a8a4dee, "_gpl");
SYMBOL_CRC(iscsi_host_alloc, 0xbab04bc9, "_gpl");
SYMBOL_CRC(iscsi_host_remove, 0x6de604ce, "_gpl");
SYMBOL_CRC(iscsi_host_free, 0x6d767e93, "_gpl");
SYMBOL_CRC(iscsi_session_setup, 0xd86d9202, "_gpl");
SYMBOL_CRC(iscsi_session_remove, 0x6af234f1, "_gpl");
SYMBOL_CRC(iscsi_session_free, 0xddbbd0ce, "_gpl");
SYMBOL_CRC(iscsi_session_teardown, 0x273f471d, "_gpl");
SYMBOL_CRC(iscsi_conn_setup, 0xebe89111, "_gpl");
SYMBOL_CRC(iscsi_conn_teardown, 0xf2d43d7b, "_gpl");
SYMBOL_CRC(iscsi_conn_start, 0x52129062, "_gpl");
SYMBOL_CRC(iscsi_conn_stop, 0xbdf99768, "_gpl");
SYMBOL_CRC(iscsi_conn_bind, 0x1c7e1260, "_gpl");
SYMBOL_CRC(iscsi_switch_str_param, 0x12b2ad06, "_gpl");
SYMBOL_CRC(iscsi_set_param, 0x9dc8f798, "_gpl");
SYMBOL_CRC(iscsi_session_get_param, 0x3e1ce73f, "_gpl");
SYMBOL_CRC(iscsi_conn_get_addr_param, 0xeab9cbd5, "_gpl");
SYMBOL_CRC(iscsi_conn_get_param, 0x51e5fded, "_gpl");
SYMBOL_CRC(iscsi_host_get_param, 0xc0b4e26a, "_gpl");
SYMBOL_CRC(iscsi_host_set_param, 0x7c8dab34, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2151991b, "_dev_printk" },
	{ 0xad275204, "iscsi_dbg_trace" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0xa49aee4, "scsi_done" },
	{ 0xea3c8e4e, "scsilun_to_int" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x37a0cba, "kfree" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x122c3a7e, "_printk" },
	{ 0x888653ec, "scsi_add_host_with_dma" },
	{ 0xa16167cd, "scsi_host_alloc" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xaaba074a, "scsi_host_put" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x4829a47e, "memcpy" },
	{ 0xdcb764ad, "memset" },
	{ 0xc6264e7a, "__tracepoint_iscsi_dbg_session" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x94e24947, "__traceiter_iscsi_dbg_session" },
	{ 0xda09b986, "__tracepoint_iscsi_dbg_eh" },
	{ 0x42eb5ff, "__traceiter_iscsi_dbg_eh" },
	{ 0x363ef721, "__tracepoint_iscsi_dbg_conn" },
	{ 0x25a1432e, "__traceiter_iscsi_dbg_conn" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa89cf1e8, "scsi_build_sense" },
	{ 0x818416e1, "scsi_set_sense_information" },
	{ 0xeaa9dfa9, "iscsi_recv_pdu" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xa707b265, "iscsi_free_session" },
	{ 0x1f9a9c72, "module_put" },
	{ 0x5359e8dc, "__kvmalloc_node_noprof" },
	{ 0xbd462b55, "__kfifo_init" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xa5803ea6, "iscsi_conn_error_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x2ae0e73d, "iscsi_get_conn" },
	{ 0x70e97b35, "iscsi_put_conn" },
	{ 0x75824b69, "scsi_host_get" },
	{ 0x485877f0, "iscsi_remove_session" },
	{ 0xde69c768, "iscsi_host_for_each_session" },
	{ 0x800473f, "__cond_resched" },
	{ 0xad9ce40d, "scsi_remove_host" },
	{ 0xde001ce3, "iscsi_force_destroy_session" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1000e51, "schedule" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xff15f7bd, "flush_signals" },
	{ 0xbbd25aff, "iscsi_alloc_session" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd4845a05, "try_module_get" },
	{ 0x5de438b6, "iscsi_add_session" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x83c17278, "iscsi_alloc_conn" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x95f529f3, "iscsi_add_conn" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x949da64e, "iscsi_unblock_session" },
	{ 0x516f0eb4, "iscsi_remove_conn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xc3362a1c, "iscsi_block_session" },
	{ 0xf7370f56, "system_state" },
	{ 0x24d273d1, "add_timer" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x6022564e, "iscsi_session_chkready" },
	{ 0xcb74520d, "param_ops_int" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_iscsi");


MODULE_INFO(srcversion, "D2C8AD88B4623AE89808360");
