#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sas_register_ha, "_gpl", "");
KSYMTAB_FUNC(sas_unregister_ha, "_gpl", "");
KSYMTAB_FUNC(sas_phy_enable, "_gpl", "");
KSYMTAB_FUNC(sas_phy_reset, "_gpl", "");
KSYMTAB_FUNC(sas_prep_resume_ha, "", "");
KSYMTAB_FUNC(sas_resume_ha, "", "");
KSYMTAB_FUNC(sas_resume_ha_no_sync, "", "");
KSYMTAB_FUNC(sas_suspend_ha, "", "");
KSYMTAB_DATA(dev_attr_phy_event_threshold, "_gpl", "");
KSYMTAB_FUNC(sas_domain_attach_transport, "_gpl", "");
KSYMTAB_FUNC(sas_drain_work, "_gpl", "");
KSYMTAB_FUNC(sas_notify_port_event, "_gpl", "");
KSYMTAB_FUNC(sas_notify_phy_event, "_gpl", "");
KSYMTAB_FUNC(sas_find_attached_phy_id, "_gpl", "");
KSYMTAB_FUNC(sas_queuecommand, "_gpl", "");
KSYMTAB_FUNC(sas_get_local_phy, "_gpl", "");
KSYMTAB_FUNC(sas_eh_abort_handler, "_gpl", "");
KSYMTAB_FUNC(sas_eh_device_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_eh_target_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_ioctl, "_gpl", "");
KSYMTAB_FUNC(sas_target_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_device_configure, "_gpl", "");
KSYMTAB_FUNC(sas_change_queue_depth, "_gpl", "");
KSYMTAB_FUNC(sas_bios_param, "_gpl", "");
KSYMTAB_FUNC(sas_execute_internal_abort_single, "_gpl", "");
KSYMTAB_FUNC(sas_execute_internal_abort_dev, "_gpl", "");
KSYMTAB_FUNC(sas_abort_task_set, "_gpl", "");
KSYMTAB_FUNC(sas_clear_task_set, "_gpl", "");
KSYMTAB_FUNC(sas_lu_reset, "_gpl", "");
KSYMTAB_FUNC(sas_query_task, "_gpl", "");
KSYMTAB_FUNC(sas_abort_task, "_gpl", "");
KSYMTAB_FUNC(sas_task_abort, "_gpl", "");
KSYMTAB_FUNC(sas_slave_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_target_destroy, "_gpl", "");
KSYMTAB_FUNC(sas_request_addr, "_gpl", "");
KSYMTAB_FUNC(sas_ssp_task_response, "_gpl", "");
KSYMTAB_FUNC(smp_ata_check_ready_type, "_gpl", "");
KSYMTAB_FUNC(sas_ata_schedule_reset, "_gpl", "");
KSYMTAB_FUNC(sas_ata_device_link_abort, "_gpl", "");
KSYMTAB_FUNC(sas_execute_ata_cmd, "_gpl", "");
KSYMTAB_DATA(sas_ata_sdev_attr_group, "_gpl", "");
KSYMTAB_FUNC(try_test_sas_gpio_gp_bit, "", "");

SYMBOL_CRC(sas_register_ha, 0x414cd684, "_gpl");
SYMBOL_CRC(sas_unregister_ha, 0x71800bfb, "_gpl");
SYMBOL_CRC(sas_phy_enable, 0x307a2c79, "_gpl");
SYMBOL_CRC(sas_phy_reset, 0xe901464b, "_gpl");
SYMBOL_CRC(sas_prep_resume_ha, 0xf4a16941, "");
SYMBOL_CRC(sas_resume_ha, 0x28517af6, "");
SYMBOL_CRC(sas_resume_ha_no_sync, 0xecd37d84, "");
SYMBOL_CRC(sas_suspend_ha, 0x494b3cdd, "");
SYMBOL_CRC(dev_attr_phy_event_threshold, 0x3ad6c7b8, "_gpl");
SYMBOL_CRC(sas_domain_attach_transport, 0x48ec9e5a, "_gpl");
SYMBOL_CRC(sas_drain_work, 0x83103eac, "_gpl");
SYMBOL_CRC(sas_notify_port_event, 0xbfad53f4, "_gpl");
SYMBOL_CRC(sas_notify_phy_event, 0xe2e24440, "_gpl");
SYMBOL_CRC(sas_find_attached_phy_id, 0x65cd4c79, "_gpl");
SYMBOL_CRC(sas_queuecommand, 0xda4070a4, "_gpl");
SYMBOL_CRC(sas_get_local_phy, 0xc8d43e12, "_gpl");
SYMBOL_CRC(sas_eh_abort_handler, 0x6b46bb16, "_gpl");
SYMBOL_CRC(sas_eh_device_reset_handler, 0xc8735098, "_gpl");
SYMBOL_CRC(sas_eh_target_reset_handler, 0x86d2de3c, "_gpl");
SYMBOL_CRC(sas_ioctl, 0x814435dc, "_gpl");
SYMBOL_CRC(sas_target_alloc, 0xecac0366, "_gpl");
SYMBOL_CRC(sas_device_configure, 0x2596ff7b, "_gpl");
SYMBOL_CRC(sas_change_queue_depth, 0x9209418f, "_gpl");
SYMBOL_CRC(sas_bios_param, 0x1a872513, "_gpl");
SYMBOL_CRC(sas_execute_internal_abort_single, 0xbba8cb1b, "_gpl");
SYMBOL_CRC(sas_execute_internal_abort_dev, 0xf1821675, "_gpl");
SYMBOL_CRC(sas_abort_task_set, 0x3bb691bd, "_gpl");
SYMBOL_CRC(sas_clear_task_set, 0xad8dda3a, "_gpl");
SYMBOL_CRC(sas_lu_reset, 0x106b944f, "_gpl");
SYMBOL_CRC(sas_query_task, 0x41d8b275, "_gpl");
SYMBOL_CRC(sas_abort_task, 0x80eec3ef, "_gpl");
SYMBOL_CRC(sas_task_abort, 0xd4e11af3, "_gpl");
SYMBOL_CRC(sas_slave_alloc, 0x4415b70f, "_gpl");
SYMBOL_CRC(sas_target_destroy, 0x714dbd69, "_gpl");
SYMBOL_CRC(sas_request_addr, 0xa3bf0b7a, "_gpl");
SYMBOL_CRC(sas_ssp_task_response, 0x085a23a3, "_gpl");
SYMBOL_CRC(smp_ata_check_ready_type, 0x1eebee7b, "_gpl");
SYMBOL_CRC(sas_ata_schedule_reset, 0xdaf43e41, "_gpl");
SYMBOL_CRC(sas_ata_device_link_abort, 0x05da8b8e, "_gpl");
SYMBOL_CRC(sas_execute_ata_cmd, 0x53036d28, "_gpl");
SYMBOL_CRC(sas_ata_sdev_attr_group, 0xb15301d3, "_gpl");
SYMBOL_CRC(try_test_sas_gpio_gp_bit, 0x4a8e3d34, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x40f7b64c, "ata_qc_complete" },
	{ 0x688c97c7, "ata_sas_scsi_ioctl" },
	{ 0x30b8151f, "ata_tport_add" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x882e7c2c, "sas_rphy_remove" },
	{ 0xbdad0aa, "ata_sas_device_configure" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x923fc54a, "bsg_job_done" },
	{ 0xd03120b8, "ata_sas_queuecmd" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x35280d0e, "sas_rphy_unlink" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xd72c2c35, "scsi_schedule_eh" },
	{ 0x8dceb523, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0xf43405f6, "ata_ncq_prio_enabled" },
	{ 0x849a7018, "ata_host_init" },
	{ 0xe64b43cc, "sas_port_alloc" },
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0x4829a47e, "memcpy" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0x2c89d7f1, "scsi_eh_ready_devs" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xf399b2e9, "sas_port_get_phy" },
	{ 0xb0deefc0, "ata_sas_port_resume" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x26c90ea4, "scsi_eh_get_sense" },
	{ 0x3494ac55, "kmem_cache_create" },
	{ 0x67155184, "get_device" },
	{ 0x206ee34c, "ata_wait_after_reset" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x1ea890ed, "sas_phy_alloc" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x8619869e, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x5bcc0df7, "ata_dev_classify" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0x3d1bf000, "sas_phy_free" },
	{ 0xda086d6, "scsi_eh_finish_cmd" },
	{ 0xb1cb0762, "ata_noop_qc_prep" },
	{ 0x4027f20d, "ata_port_schedule_eh" },
	{ 0x800473f, "__cond_resched" },
	{ 0xfb8b9e3e, "ata_tport_delete" },
	{ 0xf811e69d, "scsi_eh_flush_done_q" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x24d273d1, "add_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdfafb7a8, "sas_port_add" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x8407b7b3, "sas_port_mark_backlink" },
	{ 0xbc037f7, "kmem_cache_free" },
	{ 0xb521bd1c, "ata_link_abort" },
	{ 0xfd5f4775, "ata_std_qc_defer" },
	{ 0xbdfb172, "ata_scsi_port_error_handler" },
	{ 0x6466d0a1, "ata_change_queue_depth" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x91f2732a, "ata_port_probe" },
	{ 0x7d51c894, "ata_std_error_handler" },
	{ 0x5d1221ca, "ata_port_free" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xe0882119, "sas_end_device_alloc" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xeebbce7b, "sas_read_port_mode_page" },
	{ 0x7eb4423e, "sas_expander_alloc" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xdcb764ad, "memset" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0x42c8bf8d, "sas_rphy_delete" },
	{ 0xd257bce, "scsi_is_host_device" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x65a0007f, "sas_attach_transport" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xd235061c, "kmem_cache_alloc_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x9fc0a607, "scsi_host_busy" },
	{ 0x92bb169a, "sas_port_delete" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8361921f, "ata_sas_port_suspend" },
	{ 0xb9246233, "sas_rphy_add" },
	{ 0x4f139bf4, "__pm_runtime_resume" },
	{ 0xfee9763, "sas_port_delete_phy" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xba1c9820, "sas_rphy_free" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe2b39647, "sas_port_add_phy" },
	{ 0xce0b7743, "ata_scsi_cmd_error_handler" },
	{ 0x133f5e09, "ata_ncq_prio_enable" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x10ddcc8c, "blk_mq_tagset_busy_iter" },
	{ 0xa49aee4, "scsi_done" },
	{ 0xc2ca2df4, "scsi_unblock_requests" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xdef0e4e0, "sas_phy_add" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0x5feef6e, "ata_host_put" },
	{ 0xf8fdfaaf, "sas_port_free" },
	{ 0x86d4ed01, "ata_std_sched_eh" },
	{ 0x54f59e76, "ata_port_alloc" },
	{ 0xee6c748d, "scsi_block_requests" },
	{ 0x743c3532, "blk_abort_request" },
	{ 0xec53d116, "ata_ncq_prio_supported" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0xe57e3f70, "sas_remove_children" },
	{ 0xd40cfad9, "scsi_change_queue_depth" },
	{ 0x61f81ab3, "__pm_runtime_idle" },
	{ 0x62a1bb74, "ata_port_wait_eh" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x309989e7, "kmem_cache_destroy" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_sas");


MODULE_INFO(srcversion, "D36CFE3B73203B6DD92451C");
