#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x36398a22, "fcoe_ctlr_init" },
	{ 0xd0db8ab1, "fc_rport_lookup" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x464b11b2, "fcoe_get_paged_crc_eof" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0x974655ec, "fc_attach_transport" },
	{ 0x907c5b4f, "pci_find_ext_capability" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xe62f4ba2, "skb_copy_bits" },
	{ 0x60b73b66, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xc2af5a6, "skb_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xb2c95643, "fc_lport_init" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x21df8638, "fc_get_host_port_state" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xad9ce40d, "scsi_remove_host" },
	{ 0x9d50ed7e, "fc_rport_destroy" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xda39481f, "fc_fabric_login" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xa935f8f5, "fc_exch_mgr_list_clone" },
	{ 0x96848186, "scnprintf" },
	{ 0x1fbd432b, "fc_remove_host" },
	{ 0x43ba1bed, "__pci_register_driver" },
	{ 0xfac59fd3, "fc_vport_setlink" },
	{ 0x46a28e7a, "sysfs_create_bin_file" },
	{ 0x416a76ee, "fc_exch_mgr_alloc" },
	{ 0x7c709594, "___pskb_trim" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x588bc07f, "fc_rport_logoff" },
	{ 0x5b66fa60, "seq_lseek" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x40af428e, "fc_lport_config" },
	{ 0x31edac11, "qed_get_fcoe_ops" },
	{ 0x3494ac55, "kmem_cache_create" },
	{ 0xe1a350f8, "pci_unregister_driver" },
	{ 0x3be686dc, "fc_disc_init" },
	{ 0xe29194d0, "fc_rport_login" },
	{ 0x203b613a, "fcoe_fc_crc" },
	{ 0x3bd4797b, "irq_set_affinity_notifier" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x122c3a7e, "_printk" },
	{ 0x87494301, "fcoe_ctlr_destroy" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x63e4909b, "fcoe_validate_vport_create" },
	{ 0xa916b694, "strnlen" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x794c23d0, "fc_release_transport" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xfeb343d1, "mempool_alloc_noprof" },
	{ 0xdd058624, "kobject_uevent_env" },
	{ 0xcea4261d, "__irq_apply_affinity_hint" },
	{ 0xe40b7e7e, "fc_get_host_speed" },
	{ 0xaaba074a, "scsi_host_put" },
	{ 0xf167cb7a, "fcoe_wwn_to_str" },
	{ 0x2d938670, "simple_open" },
	{ 0xb6476d61, "skb_pull" },
	{ 0x9e1d784b, "fc_elsct_send" },
	{ 0xacce839d, "cpu_bit_bitmap" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x7be2e5ab, "fc_frame_alloc_fill" },
	{ 0x37a7856d, "fc_fabric_logoff" },
	{ 0x9f66a4ce, "sk_skb_reason_drop" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xa1bbbce3, "fc_set_rport_loss_tmo" },
	{ 0xbfe0703a, "skb_push" },
	{ 0x642cc440, "dma_alloc_attrs" },
	{ 0x65e0d6d7, "memory_read_from_buffer" },
	{ 0x495eed8e, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0xb016852, "fc_get_host_stats" },
	{ 0x20c951fe, "fc_exch_recv" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xd5ac4777, "fc_block_rport" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x6bf34b41, "fc_set_mfs" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x4d9ece9, "fcoe_ctlr_link_down" },
	{ 0x124565c, "_fc_frame_alloc" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x8c365fe, "fc_vport_id_lookup" },
	{ 0xbf472d0e, "fc_elsct_init" },
	{ 0xebcb39be, "fc_lport_destroy" },
	{ 0xdcb764ad, "memset" },
	{ 0x5bf0c115, "fc_exch_mgr_free" },
	{ 0x2ed5c65b, "fc_lport_flogi_resp" },
	{ 0xd257bce, "scsi_is_host_device" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x1e29ac17, "fc_disc_config" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xa86fbee8, "__pskb_pull_tail" },
	{ 0x5409cff7, "__netdev_alloc_skb" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x32f1e81b, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x74592c8e, "libfc_vport_create" },
	{ 0x13107c3a, "debugfs_create_file" },
	{ 0x6da467cb, "pfn_is_map_memory" },
	{ 0x404667b0, "dma_free_attrs" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x999e8297, "vfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x2213aa1f, "mempool_create_node_noprof" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x14c5dd46, "param_ops_bool" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0xc3f30cc0, "fcoe_wwn_from_mac" },
	{ 0x11527dcd, "fcoe_ctlr_recv" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x5737dbe8, "seq_write" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x590b4f78, "fcoe_ctlr_link_up" },
	{ 0x899fbd06, "seq_printf" },
	{ 0x30b5455a, "fcoe_libfc_config" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc2b8d696, "scsi_is_fc_rport" },
	{ 0xa49aee4, "scsi_done" },
	{ 0xa5c872a7, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x5986a5d8, "dma_unmap_sg_attrs" },
	{ 0x888653ec, "scsi_add_host_with_dma" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x38ab6a97, "fc_lport_bsg_request" },
	{ 0xc57c18f5, "pci_read_config_byte" },
	{ 0xe80a5de6, "fc_rport_create" },
	{ 0xcb74520d, "param_ops_int" },
	{ 0x3466fede, "single_open" },
	{ 0xa16167cd, "scsi_host_alloc" },
	{ 0xe820ea6a, "debugfs_create_dir" },
	{ 0x6398bc52, "fcoe_ctlr_els_send" },
	{ 0x992e03d0, "qed_put_fcoe_ops" },
	{ 0xb2ae8f18, "sysfs_remove_bin_file" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xd40cfad9, "scsi_change_queue_depth" },
	{ 0xf9a482f9, "msleep" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0xe13eedff, "fc_exch_init" },
	{ 0x309989e7, "kmem_cache_destroy" },
	{ 0x992d47c0, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "libfcoe,libfc,scsi_transport_fc,qed");

MODULE_ALIAS("pci:v00001077d0000165Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008080sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "0CF0D978514D64EE595B83F");
