#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x331cf994, "iscsi_boot_destroy_kset" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xde69c768, "iscsi_host_for_each_session" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x60b73b66, "param_ops_uint" },
	{ 0xebe89111, "iscsi_conn_setup" },
	{ 0xc2af5a6, "skb_put" },
	{ 0x2c9bd9f7, "iscsi_session_recovery_timedout" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4413fecd, "pci_dev_put" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xf61a791f, "iscsi_put_endpoint" },
	{ 0x563054e7, "iscsi_target_alloc" },
	{ 0xc8819d68, "__uio_register_device" },
	{ 0x8888ad10, "__iscsi_complete_pdu" },
	{ 0x1c7e1260, "iscsi_conn_bind" },
	{ 0xc0b4e26a, "iscsi_host_get_param" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xd86d9202, "iscsi_session_setup" },
	{ 0x43ba1bed, "__pci_register_driver" },
	{ 0x48923759, "iscsi_boot_create_initiator" },
	{ 0xf62c387b, "set_user_nice" },
	{ 0x46a28e7a, "sysfs_create_bin_file" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x4829a47e, "memcpy" },
	{ 0x354e104, "scsi_dma_unmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x91926296, "iscsi_eh_abort" },
	{ 0x79e18eb0, "iscsi_create_endpoint" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x5b66fa60, "seq_lseek" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xd8211876, "iscsi_eh_cmd_timed_out" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x70ef8e52, "iscsi_conn_failure" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x4f264472, "qed_put_iscsi_ops" },
	{ 0xe1a350f8, "pci_unregister_driver" },
	{ 0xf4ee861a, "pskb_expand_head" },
	{ 0x354b3d7c, "wake_up_process" },
	{ 0x122c3a7e, "_printk" },
	{ 0x931c5028, "iscsi_eh_device_reset" },
	{ 0x8b715b71, "iscsi_register_transport" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x75824b69, "scsi_host_get" },
	{ 0x95463bb7, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0xc6cbbc89, "capable" },
	{ 0x9dc8f798, "iscsi_set_param" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x800473f, "__cond_resched" },
	{ 0x91decb91, "iscsi_boot_create_host_kset" },
	{ 0x64a53a63, "qed_get_iscsi_ops" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x9c7353eb, "uio_event_notify" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x81533963, "sysfs_format_mac" },
	{ 0xcea4261d, "__irq_apply_affinity_hint" },
	{ 0xaaba074a, "scsi_host_put" },
	{ 0x61c3b861, "__cpuhp_setup_state" },
	{ 0x2d938670, "simple_open" },
	{ 0xb6476d61, "skb_pull" },
	{ 0xacce839d, "cpu_bit_bitmap" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x9f66a4ce, "sk_skb_reason_drop" },
	{ 0x9b0af670, "iscsi_destroy_endpoint" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbfe0703a, "skb_push" },
	{ 0x642cc440, "dma_alloc_attrs" },
	{ 0x51e5fded, "iscsi_conn_get_param" },
	{ 0x495eed8e, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x6d767e93, "iscsi_host_free" },
	{ 0xf2d43d7b, "iscsi_conn_teardown" },
	{ 0x3e1ce73f, "iscsi_session_get_param" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xfb4baabb, "iscsi_conn_send_pdu" },
	{ 0xb2a2b1a, "iscsi_boot_create_ethernet" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4cdb9669, "kthread_stop" },
	{ 0x52129062, "iscsi_conn_start" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x13e26b07, "iscsi_conn_unbind" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xdcb764ad, "memset" },
	{ 0xd257bce, "scsi_is_host_device" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x48bf5c8e, "kthread_bind" },
	{ 0x3874cf22, "iscsi_itt_to_ctask" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf9f97ffe, "iscsi_lookup_endpoint" },
	{ 0x31d75226, "kthread_create_on_node" },
	{ 0x32f1e81b, "seq_read" },
	{ 0xbab04bc9, "iscsi_host_alloc" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x13107c3a, "debugfs_create_file" },
	{ 0x6a8a4dee, "iscsi_host_add" },
	{ 0x404667b0, "dma_free_attrs" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xea3c8e4e, "scsilun_to_int" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x273f471d, "iscsi_session_teardown" },
	{ 0x453cf955, "iscsi_unregister_transport" },
	{ 0xcd9ede55, "iscsi_eh_recover_target" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x8d3e0394, "pci_dev_get" },
	{ 0x5737dbe8, "seq_write" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x8573dcbb, "uio_unregister_device" },
	{ 0x899fbd06, "seq_printf" },
	{ 0xbdf99768, "iscsi_conn_stop" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x593e0e0e, "iscsi_queuecommand" },
	{ 0xa5c872a7, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x19736008, "__iscsi_put_task" },
	{ 0x98cf60b3, "strlen" },
	{ 0x2151991b, "_dev_printk" },
	{ 0x3466fede, "single_open" },
	{ 0xacb1bf41, "iscsi_boot_create_target" },
	{ 0x6de604ce, "iscsi_host_remove" },
	{ 0xe820ea6a, "debugfs_create_dir" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xb2ae8f18, "sysfs_remove_bin_file" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x7742b904, "__cpuhp_remove_state" },
	{ 0xd40cfad9, "scsi_change_queue_depth" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe0b98cd5, "iscsi_is_session_online" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x27eae53d, "iscsi_offload_mesg" },
	{ 0x992d47c0, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "iscsi_boot_sysfs,scsi_transport_iscsi,libiscsi,uio,qed");

MODULE_ALIAS("pci:v00001077d0000165Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008084sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "46977E4D46066A84180385D");
