#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(qlt_unreg_sess, "", "");
KSYMTAB_FUNC(qlt_stop_phase1, "", "");
KSYMTAB_FUNC(qlt_stop_phase2, "", "");
KSYMTAB_FUNC(qlt_free_mcmd, "", "");
KSYMTAB_FUNC(qlt_xmit_tm_rsp, "", "");
KSYMTAB_FUNC(qlt_xmit_response, "", "");
KSYMTAB_FUNC(qlt_rdy_to_xfer, "", "");
KSYMTAB_FUNC(qlt_abort_cmd, "", "");
KSYMTAB_FUNC(qlt_free_cmd, "", "");
KSYMTAB_FUNC(qlt_lport_register, "", "");
KSYMTAB_FUNC(qlt_lport_deregister, "", "");
KSYMTAB_FUNC(qlt_enable_vha, "", "");

SYMBOL_CRC(qlt_unreg_sess, 0x86bef58f, "");
SYMBOL_CRC(qlt_stop_phase1, 0xa9831855, "");
SYMBOL_CRC(qlt_stop_phase2, 0x2a44529f, "");
SYMBOL_CRC(qlt_free_mcmd, 0x2d0ce7a6, "");
SYMBOL_CRC(qlt_xmit_tm_rsp, 0x9aa87b61, "");
SYMBOL_CRC(qlt_xmit_response, 0x705f56f8, "");
SYMBOL_CRC(qlt_rdy_to_xfer, 0xcbf50a48, "");
SYMBOL_CRC(qlt_abort_cmd, 0xc4a07b85, "");
SYMBOL_CRC(qlt_free_cmd, 0x842755e6, "");
SYMBOL_CRC(qlt_lport_register, 0xa4cbe8c5, "");
SYMBOL_CRC(qlt_lport_deregister, 0x2999209b, "");
SYMBOL_CRC(qlt_enable_vha, 0x4bf0c7f3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc528a49a, "queued_write_lock_slowpath" },
	{ 0x5b63862, "param_ops_ullong" },
	{ 0xffb5089c, "pci_save_state" },
	{ 0xef92ef33, "btree_last" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xd853fe12, "pcie_capability_read_word" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x974655ec, "fc_attach_transport" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x8d039641, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa3a04602, "btree_geo64" },
	{ 0xbebaed22, "debugfs_attr_write" },
	{ 0x60b73b66, "param_ops_uint" },
	{ 0xb4ff356f, "dma_pool_create" },
	{ 0xdbaa67a4, "pci_request_selected_regions" },
	{ 0x64efd98d, "pci_release_selected_regions" },
	{ 0x8a9cf5a7, "nvme_fc_set_remoteport_devloss" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x8344b777, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0xdc6c9cfa, "pci_enable_device_mem" },
	{ 0x923fc54a, "bsg_job_done" },
	{ 0x50df94f5, "btree_insert" },
	{ 0xedc724c0, "pci_alloc_irq_vectors" },
	{ 0x82f3f5e5, "fc_remote_port_add" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x93b9a682, "trace_raw_output_prep" },
	{ 0xad9ce40d, "scsi_remove_host" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x556be6e0, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xa89cf1e8, "scsi_build_sense" },
	{ 0xa6613056, "dma_unmap_page_attrs" },
	{ 0x8dceb523, "request_firmware" },
	{ 0xcb6b138, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x1fbd432b, "fc_remove_host" },
	{ 0x43ba1bed, "__pci_register_driver" },
	{ 0xf62c387b, "set_user_nice" },
	{ 0x46a28e7a, "sysfs_create_bin_file" },
	{ 0xedc03953, "iounmap" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x87b4d3f3, "pci_request_regions" },
	{ 0x3f7c8b8f, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x354e104, "scsi_dma_unmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x5b66fa60, "seq_lseek" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xac0a73b, "pci_clear_mwi" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc4e40b90, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf4ababae, "fc_eh_timed_out" },
	{ 0xe2964344, "__wake_up" },
	{ 0xf3b95d79, "btree_remove" },
	{ 0xbfd79310, "pci_irq_vector" },
	{ 0x148653, "vsnprintf" },
	{ 0xadb8f970, "pci_try_set_mwi" },
	{ 0x3494ac55, "kmem_cache_create" },
	{ 0x67155184, "get_device" },
	{ 0xbb0e18a6, "nvme_fc_rcv_ls_req" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0x5d112304, "__memcpy_fromio" },
	{ 0xe1a350f8, "pci_unregister_driver" },
	{ 0x354b3d7c, "wake_up_process" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x34070452, "dev_driver_string" },
	{ 0xfb6dfa14, "trace_event_buffer_commit" },
	{ 0x52456d15, "trace_array_put" },
	{ 0x3dea7ab3, "pci_read_config_dword" },
	{ 0xb4c63861, "dma_map_page_attrs" },
	{ 0x3bd4797b, "irq_set_affinity_notifier" },
	{ 0xcd66c768, "blk_mq_pci_map_queues" },
	{ 0xaf2db4db, "fc_block_scsi_eh" },
	{ 0xf331236f, "btree_geo32" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x122c3a7e, "_printk" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x79b2aaa3, "fc_remote_port_delete" },
	{ 0x617c452b, "queued_read_lock_slowpath" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x75824b69, "scsi_host_get" },
	{ 0xa916b694, "strnlen" },
	{ 0x9fa4564a, "timer_shutdown" },
	{ 0x654cfd7f, "fc_host_post_event" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0xe64b6826, "pci_select_bars" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x794c23d0, "fc_release_transport" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x35193c2, "pci_set_mwi" },
	{ 0xede9a09a, "btree_lookup" },
	{ 0x800473f, "__cond_resched" },
	{ 0x323e342, "pci_find_capability" },
	{ 0x579acfde, "debugfs_attr_read" },
	{ 0xf7afb369, "btree_init" },
	{ 0xfeb343d1, "mempool_alloc_noprof" },
	{ 0xdd058624, "kobject_uevent_env" },
	{ 0x8737bb2f, "pci_clear_master" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x4bb807c7, "perf_trace_run_bpf_submit" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x896d53de, "fc_vport_create" },
	{ 0xaaba074a, "scsi_host_put" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x9295faf0, "simple_attr_release" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xfdc0adc2, "noop_llseek" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x8a51ee46, "fc_remote_port_rolechg" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbc037f7, "kmem_cache_free" },
	{ 0x642cc440, "dma_alloc_attrs" },
	{ 0xba644add, "scsi_scan_host" },
	{ 0xfca9dc99, "nvme_fc_unregister_remoteport" },
	{ 0x65e0d6d7, "memory_read_from_buffer" },
	{ 0x495eed8e, "debugfs_remove" },
	{ 0xd399ce1a, "pci_read_config_word" },
	{ 0x5a921311, "strncmp" },
	{ 0x6f2c2cc6, "seq_putc" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0x2092327, "trace_event_reg" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x4ee9086f, "fc_vport_terminate" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd5ac4777, "fc_block_rport" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x4cdb9669, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xf77555cd, "__memcpy_toio" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xcdf315c4, "trace_array_get_by_name" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x6eecfaf4, "sg_copy_buffer" },
	{ 0x4656f3ed, "pci_restore_state" },
	{ 0xdcb764ad, "memset" },
	{ 0x3227054d, "pci_alloc_irq_vectors_affinity" },
	{ 0xd257bce, "scsi_is_host_device" },
	{ 0xaff5b1dd, "pci_set_master" },
	{ 0x43674595, "param_ops_charp" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0xd235061c, "kmem_cache_alloc_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd7fee7ad, "dma_get_required_mask" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc51dd7c8, "blk_mq_unique_tag" },
	{ 0x3e4f8768, "vmalloc_array_noprof" },
	{ 0x9b1f9942, "device_show_string" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x31d75226, "kthread_create_on_node" },
	{ 0xf0efe64b, "dma_set_coherent_mask" },
	{ 0x32f1e81b, "seq_read" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x16074a60, "trace_array_set_clr_event" },
	{ 0x1ac5d3cb, "strcspn" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x375f8bbd, "fc_get_event_number" },
	{ 0x13107c3a, "debugfs_create_file" },
	{ 0x404667b0, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xfeca4e9c, "fc_host_fpin_rcv" },
	{ 0xda2d7a21, "trace_event_buffer_reserve" },
	{ 0xea3c8e4e, "scsilun_to_int" },
	{ 0x759bfe36, "btree_destroy" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x2213aa1f, "mempool_create_node_noprof" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe2b5f6a5, "scmd_printk" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x4f2593f0, "btree_update" },
	{ 0x698b966, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2fd31ec7, "pci_write_config_byte" },
	{ 0xfe1c9ea5, "sg_pcopy_from_buffer" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xacdd7225, "__register_chrdev" },
	{ 0x5737dbe8, "seq_write" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xfb5a2754, "fc_eh_should_retry_cmd" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0xe9c88568, "pcie_capability_read_dword" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x899fbd06, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x3884f8b8, "nvme_fc_unregister_localport" },
	{ 0xc2b8d696, "scsi_is_fc_rport" },
	{ 0xebaddcc6, "pci_disable_device" },
	{ 0xa49aee4, "scsi_done" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x890fa0fa, "btree_get_prev" },
	{ 0xa5c872a7, "single_release" },
	{ 0xc2ca2df4, "scsi_unblock_requests" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xe56101fe, "pcie_set_readrq" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0xb34e2c9a, "dma_set_mask" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0x2358330c, "pci_disable_rom" },
	{ 0x5986a5d8, "dma_unmap_sg_attrs" },
	{ 0x9a57036d, "pci_irq_get_affinity" },
	{ 0xee6c748d, "scsi_block_requests" },
	{ 0x888653ec, "scsi_add_host_with_dma" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xc57c18f5, "pci_read_config_byte" },
	{ 0x98cf60b3, "strlen" },
	{ 0xcb74520d, "param_ops_int" },
	{ 0xd12e564, "nvme_fc_register_remoteport" },
	{ 0x3466fede, "single_open" },
	{ 0xa16167cd, "scsi_host_alloc" },
	{ 0xe820ea6a, "debugfs_create_dir" },
	{ 0xf54d522d, "pci_write_config_word" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0xb2ae8f18, "sysfs_remove_bin_file" },
	{ 0x71e8d353, "pci_free_irq_vectors" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0xb719aab5, "nvme_fc_register_localport" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xd40cfad9, "scsi_change_queue_depth" },
	{ 0xf9a482f9, "msleep" },
	{ 0x3b52594b, "pcix_set_mmrbc" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0x309989e7, "kmem_cache_destroy" },
	{ 0x992d47c0, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_fc,nvme-fc");

MODULE_ALIAS("pci:v00001077d00002100sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002200sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002300sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002312sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002322sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00006312sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00006322sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002422sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002432sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008432sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00005422sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00005432sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002532sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002031sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008001sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008031sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d0000F001sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008044sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002071sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002271sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002261sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002061sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002081sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002281sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002089sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002289sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "F7176095C9FF8AF70CF7AD8");
