#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc528a49a, "queued_write_lock_slowpath" },
	{ 0xb3eca644, "scsi_dma_map" },
	{ 0x331cf994, "iscsi_boot_destroy_kset" },
	{ 0xffb5089c, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x84a005f1, "iscsi_get_router_state_name" },
	{ 0xd853fe12, "pcie_capability_read_word" },
	{ 0x6022564e, "iscsi_session_chkready" },
	{ 0xd4845a05, "try_module_get" },
	{ 0x1d7c5816, "iscsi_get_port_state_name" },
	{ 0xde69c768, "iscsi_host_for_each_session" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb16a81c, "iscsi_itt_to_task" },
	{ 0xb4ff356f, "dma_pool_create" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xebe89111, "iscsi_conn_setup" },
	{ 0x8344b777, "pci_enable_device" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x923fc54a, "bsg_job_done" },
	{ 0xedc724c0, "pci_alloc_irq_vectors" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa523e8a3, "iscsi_destroy_all_flashnode" },
	{ 0xe1f42c7c, "iscsi_get_port_speed_name" },
	{ 0xad9ce40d, "scsi_remove_host" },
	{ 0x4413fecd, "pci_dev_put" },
	{ 0xf61a791f, "iscsi_put_endpoint" },
	{ 0x1c7e1260, "iscsi_conn_bind" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xa6613056, "dma_unmap_page_attrs" },
	{ 0xd86d9202, "iscsi_session_setup" },
	{ 0x609bcd98, "in6_pton" },
	{ 0x43ba1bed, "__pci_register_driver" },
	{ 0x48923759, "iscsi_boot_create_initiator" },
	{ 0x46a28e7a, "sysfs_create_bin_file" },
	{ 0xedc03953, "iounmap" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x87b4d3f3, "pci_request_regions" },
	{ 0x4829a47e, "memcpy" },
	{ 0x354e104, "scsi_dma_unmap" },
	{ 0x8c8549ee, "iscsi_create_iface" },
	{ 0x37a0cba, "kfree" },
	{ 0x79e18eb0, "iscsi_create_endpoint" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x5d19f847, "iscsi_ping_comp_event" },
	{ 0xb6bc7862, "device_for_each_child" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xcef285b, "iscsi_create_flashnode_sess" },
	{ 0xbfd79310, "pci_irq_vector" },
	{ 0x74087c89, "iscsi_destroy_iface" },
	{ 0x3494ac55, "kmem_cache_create" },
	{ 0x5178f591, "iscsi_complete_pdu" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xe1a350f8, "pci_unregister_driver" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x34070452, "dev_driver_string" },
	{ 0xb4c63861, "dma_map_page_attrs" },
	{ 0x122c3a7e, "_printk" },
	{ 0xac5fcec0, "in4_pton" },
	{ 0x8b715b71, "iscsi_register_transport" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x617c452b, "queued_read_lock_slowpath" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x8619869e, "put_device" },
	{ 0x75824b69, "scsi_host_get" },
	{ 0xa916b694, "strnlen" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0x75a6e15f, "iscsi_session_failure" },
	{ 0x12b2ad06, "iscsi_switch_str_param" },
	{ 0x1f9a9c72, "module_put" },
	{ 0x9dc8f798, "iscsi_set_param" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x35193c2, "pci_set_mwi" },
	{ 0x699fe53e, "iscsi_get_discovery_parent_name" },
	{ 0x800473f, "__cond_resched" },
	{ 0x91decb91, "iscsi_boot_create_host_kset" },
	{ 0x67d41ebe, "iscsi_create_flashnode_conn" },
	{ 0xfeb343d1, "mempool_alloc_noprof" },
	{ 0xdd058624, "kobject_uevent_env" },
	{ 0x81533963, "sysfs_format_mac" },
	{ 0xaaba074a, "scsi_host_put" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x6687b05c, "iscsi_conn_login_event" },
	{ 0x9b0af670, "iscsi_destroy_endpoint" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x78381d09, "pci_get_domain_bus_and_slot" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x642cc440, "dma_alloc_attrs" },
	{ 0x65e0d6d7, "memory_read_from_buffer" },
	{ 0x51e5fded, "iscsi_conn_get_param" },
	{ 0xd399ce1a, "pci_read_config_word" },
	{ 0x5a921311, "strncmp" },
	{ 0xf7c2e88d, "iscsi_post_host_event" },
	{ 0x9bd58e9f, "iscsi_flashnode_bus_match" },
	{ 0x3e1ce73f, "iscsi_session_get_param" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xfb4baabb, "iscsi_conn_send_pdu" },
	{ 0xb2a2b1a, "iscsi_boot_create_ethernet" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x52129062, "iscsi_conn_start" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x13e26b07, "iscsi_conn_unbind" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xdcfc1b75, "iscsi_find_flashnode_conn" },
	{ 0x4656f3ed, "pci_restore_state" },
	{ 0xdcb764ad, "memset" },
	{ 0xd257bce, "scsi_is_host_device" },
	{ 0xaff5b1dd, "pci_set_master" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6a366ad3, "iscsi_block_scsi_eh" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x39ff799c, "iscsi_destroy_flashnode_sess" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf9f97ffe, "iscsi_lookup_endpoint" },
	{ 0xf0efe64b, "dma_set_coherent_mask" },
	{ 0xbab04bc9, "iscsi_host_alloc" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x36fb4919, "iscsi_find_flashnode_sess" },
	{ 0x404667b0, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x2213aa1f, "mempool_create_node_noprof" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x273f471d, "iscsi_session_teardown" },
	{ 0x35beca42, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xeab9cbd5, "iscsi_conn_get_addr_param" },
	{ 0x453cf955, "iscsi_unregister_transport" },
	{ 0x949da64e, "iscsi_unblock_session" },
	{ 0x62a1cb0e, "iscsi_is_session_dev" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbdf99768, "iscsi_conn_stop" },
	{ 0xebaddcc6, "pci_disable_device" },
	{ 0xa49aee4, "scsi_done" },
	{ 0xc2ca2df4, "scsi_unblock_requests" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0xb34e2c9a, "dma_set_mask" },
	{ 0xc3362a1c, "iscsi_block_session" },
	{ 0xee6c748d, "scsi_block_requests" },
	{ 0xbc071179, "iscsi_get_ipaddress_state_name" },
	{ 0x888653ec, "scsi_add_host_with_dma" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x98cf60b3, "strlen" },
	{ 0xcb74520d, "param_ops_int" },
	{ 0x2151991b, "_dev_printk" },
	{ 0xacb1bf41, "iscsi_boot_create_target" },
	{ 0xf54d522d, "pci_write_config_word" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0xb2ae8f18, "sysfs_remove_bin_file" },
	{ 0x71e8d353, "pci_free_irq_vectors" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0xd40cfad9, "scsi_change_queue_depth" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe0b98cd5, "iscsi_is_session_online" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x309989e7, "kmem_cache_destroy" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "iscsi_boot_sysfs,scsi_transport_iscsi,libiscsi");

MODULE_ALIAS("pci:v00001077d00004010sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00004022sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00004032sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008022sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008032sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008042sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "51E88CEB22A6FCE82CF6352");
