#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fc_get_event_number, "", "");
KSYMTAB_FUNC(fc_host_post_fc_event, "", "");
KSYMTAB_FUNC(fc_host_post_event, "", "");
KSYMTAB_FUNC(fc_host_post_vendor_event, "", "");
KSYMTAB_FUNC(fc_find_rport_by_wwpn, "", "");
KSYMTAB_FUNC(fc_host_fpin_rcv, "", "");
KSYMTAB_FUNC(scsi_is_fc_rport, "", "");
KSYMTAB_FUNC(fc_eh_timed_out, "", "");
KSYMTAB_FUNC(fc_attach_transport, "", "");
KSYMTAB_FUNC(fc_release_transport, "", "");
KSYMTAB_FUNC(fc_remove_host, "", "");
KSYMTAB_FUNC(fc_remote_port_add, "", "");
KSYMTAB_FUNC(fc_remote_port_delete, "", "");
KSYMTAB_FUNC(fc_remote_port_rolechg, "", "");
KSYMTAB_FUNC(fc_block_rport, "", "");
KSYMTAB_FUNC(fc_block_scsi_eh, "", "");
KSYMTAB_FUNC(fc_eh_should_retry_cmd, "_gpl", "");
KSYMTAB_FUNC(fc_vport_create, "", "");
KSYMTAB_FUNC(fc_vport_terminate, "", "");

SYMBOL_CRC(fc_get_event_number, 0x375f8bbd, "");
SYMBOL_CRC(fc_host_post_fc_event, 0xcbbb207f, "");
SYMBOL_CRC(fc_host_post_event, 0x654cfd7f, "");
SYMBOL_CRC(fc_host_post_vendor_event, 0x4f53a996, "");
SYMBOL_CRC(fc_find_rport_by_wwpn, 0x63f1f402, "");
SYMBOL_CRC(fc_host_fpin_rcv, 0xfeca4e9c, "");
SYMBOL_CRC(scsi_is_fc_rport, 0xc2b8d696, "");
SYMBOL_CRC(fc_eh_timed_out, 0xf4ababae, "");
SYMBOL_CRC(fc_attach_transport, 0x974655ec, "");
SYMBOL_CRC(fc_release_transport, 0x794c23d0, "");
SYMBOL_CRC(fc_remove_host, 0x1fbd432b, "");
SYMBOL_CRC(fc_remote_port_add, 0x82f3f5e5, "");
SYMBOL_CRC(fc_remote_port_delete, 0x79b2aaa3, "");
SYMBOL_CRC(fc_remote_port_rolechg, 0x8a51ee46, "");
SYMBOL_CRC(fc_block_rport, 0xd5ac4777, "");
SYMBOL_CRC(fc_block_scsi_eh, 0xaf2db4db, "");
SYMBOL_CRC(fc_eh_should_retry_cmd, 0xfb5a2754, "_gpl");
SYMBOL_CRC(fc_vport_create, 0x896d53de, "");
SYMBOL_CRC(fc_vport_terminate, 0x4ee9086f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x4829a47e, "memcpy" },
	{ 0x8619869e, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5a921311, "strncmp" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x122c3a7e, "_printk" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x89e25b9b, "transport_class_register" },
	{ 0xaf9edef8, "transport_class_unregister" },
	{ 0x760fe68b, "scsi_nl_sock" },
	{ 0x95463bb7, "__alloc_skb" },
	{ 0xb2a60d30, "__nlmsg_put" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0xdcb764ad, "memset" },
	{ 0x23718531, "netlink_broadcast_filtered" },
	{ 0x9f66a4ce, "sk_skb_reason_drop" },
	{ 0x83ec1939, "scsi_init_limits" },
	{ 0x6370cf68, "bsg_setup_queue" },
	{ 0x8b6b4b48, "blk_queue_rq_timeout" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0xd257bce, "scsi_is_host_device" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3b1a340d, "attribute_container_unregister" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x8dfbfef5, "scsi_scan_target" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x71d0b58c, "attribute_container_register" },
	{ 0x46d47805, "bsg_remove_queue" },
	{ 0x41863a3c, "scsi_target_unblock" },
	{ 0x2135c380, "scsi_remove_target" },
	{ 0xd626198e, "scsi_is_target_device" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xaaba074a, "scsi_host_put" },
	{ 0x5ef57105, "sysfs_remove_link" },
	{ 0xa6f1844f, "transport_remove_device" },
	{ 0x61401cd3, "device_del" },
	{ 0xc9d44e27, "transport_destroy_device" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x2151991b, "_dev_printk" },
	{ 0xdfe7f077, "scsi_block_targets" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4184a7ad, "scsi_flush_work" },
	{ 0x32aa150, "bsg_job_get" },
	{ 0x1f15463d, "blk_mq_end_request" },
	{ 0x37994df8, "bsg_job_put" },
	{ 0x923fc54a, "bsg_job_done" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xe8973f5a, "scsi_queue_work" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x75824b69, "scsi_host_get" },
	{ 0x3b9c57bf, "device_initialize" },
	{ 0x67155184, "get_device" },
	{ 0xdec5f1bf, "dev_set_name" },
	{ 0xcf094212, "transport_setup_device" },
	{ 0x61373533, "device_add" },
	{ 0x97c87214, "transport_add_device" },
	{ 0x73d2c346, "transport_configure_device" },
	{ 0xed35c0dc, "sysfs_create_link" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xec6a2ae5, "blk_mq_run_hw_queues" },
	{ 0x60b73b66, "param_ops_uint" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "FA828EC863B5DBC28D8B829");
