#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(__tracepoint_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_session, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_session, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_session, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_put_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_lookup_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_ipaddress_state_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_router_state_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_iface, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_iface, "_gpl", "");
KSYMTAB_FUNC(iscsi_flashnode_bus_match, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_flashnode_sess, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_flashnode_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_find_flashnode_sess, "_gpl", "");
KSYMTAB_FUNC(iscsi_find_flashnode_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_flashnode_sess, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_all_flashnode, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_chkready, "_gpl", "");
KSYMTAB_FUNC(iscsi_is_session_online, "_gpl", "");
KSYMTAB_FUNC(iscsi_is_session_dev, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_for_each_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_block_scsi_eh, "_gpl", "");
KSYMTAB_FUNC(iscsi_unblock_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_block_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_alloc_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_add_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_remove_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_force_destroy_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_free_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_alloc_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_add_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_remove_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_put_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_recv_pdu, "_gpl", "");
KSYMTAB_FUNC(iscsi_offload_mesg, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_error_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_login_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_post_host_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_ping_comp_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_discovery_parent_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_port_speed_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_port_state_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_register_transport, "_gpl", "");
KSYMTAB_FUNC(iscsi_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(iscsi_dbg_trace, "_gpl", "");

SYMBOL_CRC(__tracepoint_iscsi_dbg_conn, 0x363ef721, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_conn, 0x25a1432e, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_conn, 0x71b768b0, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_eh, 0xda09b986, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_eh, 0x042eb5ff, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_eh, 0xe4c79fa6, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_session, 0xc6264e7a, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_session, 0x94e24947, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_session, 0x584a31ab, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_tcp, 0xb32662a6, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_tcp, 0x37366cb1, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_tcp, 0x88768c48, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_sw_tcp, 0xa3ac06cf, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_sw_tcp, 0xdfc7baa1, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_sw_tcp, 0xab4674c8, "_gpl");
SYMBOL_CRC(iscsi_create_endpoint, 0x79e18eb0, "_gpl");
SYMBOL_CRC(iscsi_destroy_endpoint, 0x9b0af670, "_gpl");
SYMBOL_CRC(iscsi_put_endpoint, 0xf61a791f, "_gpl");
SYMBOL_CRC(iscsi_lookup_endpoint, 0xf9f97ffe, "_gpl");
SYMBOL_CRC(iscsi_get_ipaddress_state_name, 0xbc071179, "_gpl");
SYMBOL_CRC(iscsi_get_router_state_name, 0x84a005f1, "_gpl");
SYMBOL_CRC(iscsi_create_iface, 0x8c8549ee, "_gpl");
SYMBOL_CRC(iscsi_destroy_iface, 0x74087c89, "_gpl");
SYMBOL_CRC(iscsi_flashnode_bus_match, 0x9bd58e9f, "_gpl");
SYMBOL_CRC(iscsi_create_flashnode_sess, 0x0cef285b, "_gpl");
SYMBOL_CRC(iscsi_create_flashnode_conn, 0x67d41ebe, "_gpl");
SYMBOL_CRC(iscsi_find_flashnode_sess, 0x36fb4919, "_gpl");
SYMBOL_CRC(iscsi_find_flashnode_conn, 0xdcfc1b75, "_gpl");
SYMBOL_CRC(iscsi_destroy_flashnode_sess, 0x39ff799c, "_gpl");
SYMBOL_CRC(iscsi_destroy_all_flashnode, 0xa523e8a3, "_gpl");
SYMBOL_CRC(iscsi_session_chkready, 0x6022564e, "_gpl");
SYMBOL_CRC(iscsi_is_session_online, 0xe0b98cd5, "_gpl");
SYMBOL_CRC(iscsi_is_session_dev, 0x62a1cb0e, "_gpl");
SYMBOL_CRC(iscsi_host_for_each_session, 0xde69c768, "_gpl");
SYMBOL_CRC(iscsi_block_scsi_eh, 0x6a366ad3, "_gpl");
SYMBOL_CRC(iscsi_unblock_session, 0x949da64e, "_gpl");
SYMBOL_CRC(iscsi_block_session, 0xc3362a1c, "_gpl");
SYMBOL_CRC(iscsi_alloc_session, 0xbbd25aff, "_gpl");
SYMBOL_CRC(iscsi_add_session, 0x5de438b6, "_gpl");
SYMBOL_CRC(iscsi_create_session, 0x4d6078e1, "_gpl");
SYMBOL_CRC(iscsi_remove_session, 0x485877f0, "_gpl");
SYMBOL_CRC(iscsi_force_destroy_session, 0xde001ce3, "_gpl");
SYMBOL_CRC(iscsi_free_session, 0xa707b265, "_gpl");
SYMBOL_CRC(iscsi_alloc_conn, 0x83c17278, "_gpl");
SYMBOL_CRC(iscsi_add_conn, 0x95f529f3, "_gpl");
SYMBOL_CRC(iscsi_remove_conn, 0x516f0eb4, "_gpl");
SYMBOL_CRC(iscsi_put_conn, 0x70e97b35, "_gpl");
SYMBOL_CRC(iscsi_get_conn, 0x2ae0e73d, "_gpl");
SYMBOL_CRC(iscsi_recv_pdu, 0xeaa9dfa9, "_gpl");
SYMBOL_CRC(iscsi_offload_mesg, 0x27eae53d, "_gpl");
SYMBOL_CRC(iscsi_conn_error_event, 0xa5803ea6, "_gpl");
SYMBOL_CRC(iscsi_conn_login_event, 0x6687b05c, "_gpl");
SYMBOL_CRC(iscsi_post_host_event, 0xf7c2e88d, "_gpl");
SYMBOL_CRC(iscsi_ping_comp_event, 0x5d19f847, "_gpl");
SYMBOL_CRC(iscsi_session_event, 0x4105defe, "_gpl");
SYMBOL_CRC(iscsi_get_discovery_parent_name, 0x699fe53e, "_gpl");
SYMBOL_CRC(iscsi_get_port_speed_name, 0xe1f42c7c, "_gpl");
SYMBOL_CRC(iscsi_get_port_state_name, 0x1d7c5816, "_gpl");
SYMBOL_CRC(iscsi_register_transport, 0x8b715b71, "_gpl");
SYMBOL_CRC(iscsi_unregister_transport, 0x453cf955, "_gpl");
SYMBOL_CRC(iscsi_dbg_trace, 0xad275204, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x56470118, "__warn_printk" },
	{ 0x98cf60b3, "strlen" },
	{ 0x148653, "vsnprintf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x4829a47e, "memcpy" },
	{ 0x4bb807c7, "perf_trace_run_bpf_submit" },
	{ 0xda2d7a21, "trace_event_buffer_reserve" },
	{ 0xfb6dfa14, "trace_event_buffer_commit" },
	{ 0x556be6e0, "__trace_trigger_soft_disabled" },
	{ 0x93b9a682, "trace_raw_output_prep" },
	{ 0xcb6b138, "trace_event_printf" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xc4e40b90, "bpf_trace_run2" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x8619869e, "put_device" },
	{ 0x9838955f, "device_unregister" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xe5561d7c, "sysfs_remove_group" },
	{ 0x20978fb9, "idr_find" },
	{ 0x67155184, "get_device" },
	{ 0x2859ab, "device_find_child" },
	{ 0xb6bc7862, "device_for_each_child" },
	{ 0x122c3a7e, "_printk" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6cbbc89, "capable" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x2151991b, "_dev_printk" },
	{ 0xf7370f56, "system_state" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x230fb777, "netlink_kernel_release" },
	{ 0x2efa2c2b, "bus_unregister" },
	{ 0xaf9edef8, "transport_class_unregister" },
	{ 0x2e6fc05a, "class_unregister" },
	{ 0xaa3a3bb3, "class_register" },
	{ 0x89e25b9b, "transport_class_register" },
	{ 0xb9cb04c5, "bus_register" },
	{ 0x7ee7ac5d, "init_net" },
	{ 0x32cd246e, "__netlink_kernel_create" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x75824b69, "scsi_host_get" },
	{ 0x3b9c57bf, "device_initialize" },
	{ 0xdcb764ad, "memset" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x83ec1939, "scsi_init_limits" },
	{ 0x6370cf68, "bsg_setup_queue" },
	{ 0x95463bb7, "__alloc_skb" },
	{ 0xb2a60d30, "__nlmsg_put" },
	{ 0x23718531, "netlink_broadcast_filtered" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xd257bce, "scsi_is_host_device" },
	{ 0x46d47805, "bsg_remove_queue" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xaaba074a, "scsi_host_put" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x923fc54a, "bsg_job_done" },
	{ 0x9f66a4ce, "sk_skb_reason_drop" },
	{ 0x2de30e6e, "scsi_host_lookup" },
	{ 0x99eabdf8, "skb_trim" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xdec5f1bf, "dev_set_name" },
	{ 0x65ea0b6f, "device_register" },
	{ 0xa6f1844f, "transport_remove_device" },
	{ 0xc9d44e27, "transport_destroy_device" },
	{ 0x61401cd3, "device_del" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x41863a3c, "scsi_target_unblock" },
	{ 0x2edb012e, "sysfs_create_group" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xdfe7f077, "scsi_block_targets" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xf9a482f9, "msleep" },
	{ 0x3b1a340d, "attribute_container_unregister" },
	{ 0x61373533, "device_add" },
	{ 0xcf094212, "transport_setup_device" },
	{ 0x97c87214, "transport_add_device" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xffb7c514, "ida_free" },
	{ 0x2135c380, "scsi_remove_target" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x71d0b58c, "attribute_container_register" },
	{ 0x8dfbfef5, "scsi_scan_target" },
	{ 0xf8db677c, "netlink_capable" },
	{ 0xd4845a05, "try_module_get" },
	{ 0x1f9a9c72, "module_put" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x8172d5ff, "netlink_unicast" },
	{ 0xb6476d61, "skb_pull" },
	{ 0xcb74520d, "param_ops_int" },
	{ 0x2092327, "trace_event_reg" },
	{ 0x3f7c8b8f, "trace_event_raw_init" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "8D765E2BA32E89DB97677EE");
