#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ssb_bus_resume, "", "");
KSYMTAB_FUNC(ssb_bus_suspend, "", "");
KSYMTAB_FUNC(ssb_bus_unregister, "", "");
KSYMTAB_FUNC(ssb_bus_sdiobus_register, "", "");
KSYMTAB_FUNC(__ssb_driver_register, "", "");
KSYMTAB_FUNC(ssb_driver_unregister, "", "");
KSYMTAB_FUNC(ssb_set_devtypedata, "", "");
KSYMTAB_FUNC(ssb_clockspeed, "", "");
KSYMTAB_FUNC(ssb_device_is_enabled, "", "");
KSYMTAB_FUNC(ssb_device_enable, "", "");
KSYMTAB_FUNC(ssb_device_disable, "", "");
KSYMTAB_FUNC(ssb_dma_translation, "", "");
KSYMTAB_FUNC(ssb_bus_may_powerdown, "", "");
KSYMTAB_FUNC(ssb_bus_powerup, "", "");
KSYMTAB_FUNC(ssb_commit_settings, "", "");
KSYMTAB_FUNC(ssb_admatch_base, "", "");
KSYMTAB_FUNC(ssb_admatch_size, "", "");
KSYMTAB_FUNC(ssb_pcihost_register, "", "");
KSYMTAB_FUNC(ssb_chipco_gpio_control, "", "");
KSYMTAB_FUNC(ssb_pmu_set_ldo_voltage, "", "");
KSYMTAB_FUNC(ssb_pmu_set_ldo_paref, "", "");
KSYMTAB_FUNC(ssb_pmu_spuravoid_pllupdate, "_gpl", "");
KSYMTAB_FUNC(ssb_pcicore_dev_irqvecs_enable, "", "");

SYMBOL_CRC(ssb_bus_resume, 0xad33735a, "");
SYMBOL_CRC(ssb_bus_suspend, 0x9924dc8e, "");
SYMBOL_CRC(ssb_bus_unregister, 0xe6f95cf4, "");
SYMBOL_CRC(ssb_bus_sdiobus_register, 0x765b29b4, "");
SYMBOL_CRC(__ssb_driver_register, 0x16ea0bd7, "");
SYMBOL_CRC(ssb_driver_unregister, 0x8c91698e, "");
SYMBOL_CRC(ssb_set_devtypedata, 0x86df0bcc, "");
SYMBOL_CRC(ssb_clockspeed, 0xdfb9abfd, "");
SYMBOL_CRC(ssb_device_is_enabled, 0x439cd2a3, "");
SYMBOL_CRC(ssb_device_enable, 0x87c16d3b, "");
SYMBOL_CRC(ssb_device_disable, 0xb0a83f0f, "");
SYMBOL_CRC(ssb_dma_translation, 0x8dfabee7, "");
SYMBOL_CRC(ssb_bus_may_powerdown, 0x964fba0a, "");
SYMBOL_CRC(ssb_bus_powerup, 0x9c678b52, "");
SYMBOL_CRC(ssb_commit_settings, 0x9155afc4, "");
SYMBOL_CRC(ssb_admatch_base, 0xcb17f1cb, "");
SYMBOL_CRC(ssb_admatch_size, 0xdfc7c6ef, "");
SYMBOL_CRC(ssb_pcihost_register, 0xbd541c97, "");
SYMBOL_CRC(ssb_chipco_gpio_control, 0xbc2382b7, "");
SYMBOL_CRC(ssb_pmu_set_ldo_voltage, 0xbe816919, "");
SYMBOL_CRC(ssb_pmu_set_ldo_paref, 0x0144b3e8, "");
SYMBOL_CRC(ssb_pmu_spuravoid_pllupdate, 0xb0a84a32, "_gpl");
SYMBOL_CRC(ssb_pcicore_dev_irqvecs_enable, 0x665e0271, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xffb5089c, "pci_save_state" },
	{ 0x500b187c, "sdio_release_host" },
	{ 0xbaedacc7, "device_set_wakeup_enable" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x8344b777, "pci_enable_device" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xdec5f1bf, "dev_set_name" },
	{ 0x748930d1, "sdio_claim_host" },
	{ 0x41ba7aeb, "pci_iomap" },
	{ 0x69e9e57c, "sdio_readw" },
	{ 0x9838955f, "device_unregister" },
	{ 0xba342d3c, "pci_back_from_sleep" },
	{ 0x96848186, "scnprintf" },
	{ 0x43ba1bed, "__pci_register_driver" },
	{ 0x336005c, "pci_prepare_to_sleep" },
	{ 0xedc03953, "iounmap" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x87b4d3f3, "pci_request_regions" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf967995d, "sdio_writew" },
	{ 0x67155184, "get_device" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0xe1a350f8, "pci_unregister_driver" },
	{ 0x34070452, "dev_driver_string" },
	{ 0x3dea7ab3, "pci_read_config_dword" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x8619869e, "put_device" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0x800473f, "__cond_resched" },
	{ 0x9818813d, "device_create_file" },
	{ 0x26daab1c, "sdio_readsb" },
	{ 0xd4ca5261, "gpiochip_get_data" },
	{ 0x2efa2c2b, "bus_unregister" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd399ce1a, "pci_read_config_word" },
	{ 0x3826fdac, "sdio_readl" },
	{ 0x3ffe3b9b, "driver_unregister" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x9663604d, "pci_iounmap" },
	{ 0x11089ac7, "_ctype" },
	{ 0x65ea0b6f, "device_register" },
	{ 0x4656f3ed, "pci_restore_state" },
	{ 0xdcb764ad, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xbeb58047, "sdio_writel" },
	{ 0xaff5b1dd, "pci_set_master" },
	{ 0xd5046119, "gpiochip_add_data_with_key" },
	{ 0xb076ee58, "_dev_emerg" },
	{ 0xd7531531, "gpiochip_remove" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x35beca42, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xebaddcc6, "pci_disable_device" },
	{ 0x76d3e52, "sdio_writesb" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xf54d522d, "pci_write_config_word" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0x83cf91d, "driver_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xee4ade57, "pci_write_config_dword" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0xf80a3ec7, "device_remove_file" },
	{ 0xb9cb04c5, "bus_register" },
	{ 0xaed3c628, "sdio_readb" },
	{ 0xe1925cff, "sdio_writeb" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000014E4d00004301sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004306sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004307sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004311sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004312sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004315sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004318sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014A4d00004318sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004319sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004320sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004321sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004322sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004324sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004325sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004328sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004329sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000432Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000432Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004350sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004351sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "27B2C3E65936818D8F8C0C4");
