#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x37a0cba, "kfree" },
	{ 0x9c7353eb, "uio_event_notify" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xdcb764ad, "memset" },
	{ 0x5bd69b0c, "sg_miter_start" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x7c1c3168, "sg_miter_next" },
	{ 0x4829a47e, "memcpy" },
	{ 0x23a087a2, "sg_miter_stop" },
	{ 0xd277ba66, "flush_dcache_page" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf8a0bcbf, "passthrough_parse_cdb" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x7429e20c, "kstrtos8" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x2acd1a2c, "target_backend_unregister" },
	{ 0xf3ba733b, "genl_unregister_family" },
	{ 0x33749f05, "root_device_unregister" },
	{ 0x309989e7, "kmem_cache_destroy" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x3494ac55, "kmem_cache_create" },
	{ 0x3b5c26ef, "__root_device_register" },
	{ 0x6ad33698, "genl_register_family" },
	{ 0x3ae45d96, "passthrough_attrib_attrs" },
	{ 0xa59bcc04, "passthrough_pr_attrib_attrs" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xbf90538f, "transport_backend_register" },
	{ 0xd235061c, "kmem_cache_alloc_noprof" },
	{ 0xbc037f7, "kmem_cache_free" },
	{ 0x2d5d3d72, "vmalloc_to_page" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x800473f, "__cond_resched" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x14f9c25d, "__folio_lock" },
	{ 0x4e671beb, "dump_page" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x745a981, "xa_erase" },
	{ 0x5b505dc4, "unlock_page" },
	{ 0x581e9a37, "__free_pages" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x38fbed55, "__xas_next" },
	{ 0x5b3e282f, "xa_store" },
	{ 0x557d1823, "alloc_pages_noprof" },
	{ 0x85df9b6c, "strsep" },
	{ 0x44e9a829, "match_token" },
	{ 0xfba7ddd2, "match_u64" },
	{ 0x4e3567f7, "match_int" },
	{ 0x3539f11b, "match_strlcpy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xa6257a2f, "complete" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x1b30c729, "target_complete_cmd" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x95463bb7, "__alloc_skb" },
	{ 0x6fe3a147, "genlmsg_put" },
	{ 0x98cf60b3, "strlen" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0x9f66a4ce, "sk_skb_reason_drop" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xedabffb5, "genlmsg_multicast_allns" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x60714e08, "nla_put_64bit" },
	{ 0x999e8297, "vfree" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x8573dcbb, "uio_unregister_device" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0xc8819d68, "__uio_register_device" },
	{ 0x89a47702, "transport_copy_sense_to_cmd" },
	{ 0x44a079c4, "target_complete_cmd_with_length" },
	{ 0x334da4e, "scsi_command_size_tbl" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x209fb23, "xas_load" },
	{ 0x6fe604dd, "xas_store" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x18764fbc, "unmap_mapping_range" },
	{ 0x53fa4cb9, "sbc_get_device_type" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "uio,target_core_mod");


MODULE_INFO(srcversion, "84B494B82871470933099B6");
