#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ufshcd_dump_regs, "_gpl", "");
KSYMTAB_FUNC(ufshcd_enable_irq, "_gpl", "");
KSYMTAB_FUNC(ufshcd_disable_irq, "_gpl", "");
KSYMTAB_FUNC(ufshcd_delay_us, "_gpl", "");
KSYMTAB_FUNC(ufshcd_is_hba_active, "_gpl", "");
KSYMTAB_FUNC(ufshcd_opp_config_clks, "_gpl", "");
KSYMTAB_FUNC(ufshcd_hold, "_gpl", "");
KSYMTAB_FUNC(ufshcd_release, "_gpl", "");
KSYMTAB_FUNC(ufshcd_clkgate_delay_set, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dme_configure_adapt, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dme_set_attr, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dme_get_attr, "_gpl", "");
KSYMTAB_FUNC(ufshcd_uic_change_pwr_mode, "_gpl", "");
KSYMTAB_FUNC(ufshcd_link_recovery, "_gpl", "");
KSYMTAB_FUNC(ufshcd_uic_hibern8_enter, "_gpl", "");
KSYMTAB_FUNC(ufshcd_uic_hibern8_exit, "_gpl", "");
KSYMTAB_FUNC(ufshcd_auto_hibern8_update, "_gpl", "");
KSYMTAB_FUNC(ufshcd_config_pwr_mode, "_gpl", "");
KSYMTAB_FUNC(ufshcd_make_hba_operational, "_gpl", "");
KSYMTAB_FUNC(ufshcd_hba_stop, "_gpl", "");
KSYMTAB_FUNC(ufshcd_hba_enable, "_gpl", "");
KSYMTAB_FUNC(ufshcd_update_evt_hist, "_gpl", "");
KSYMTAB_FUNC(ufshcd_fixup_dev_quirks, "_gpl", "");
KSYMTAB_FUNC(ufshcd_get_vreg, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_suspend, "", "");
KSYMTAB_FUNC(ufshcd_system_resume, "", "");
KSYMTAB_FUNC(ufshcd_runtime_suspend, "", "");
KSYMTAB_FUNC(ufshcd_runtime_resume, "", "");
KSYMTAB_FUNC(ufshcd_remove, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_freeze, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_restore, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_thaw, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dealloc_host, "_gpl", "");
KSYMTAB_FUNC(ufshcd_alloc_host, "", "");
KSYMTAB_FUNC(ufshcd_init, "_gpl", "");
KSYMTAB_FUNC(ufshcd_resume_complete, "_gpl", "");
KSYMTAB_FUNC(__ufshcd_suspend_prepare, "_gpl", "");
KSYMTAB_FUNC(ufshcd_suspend_prepare, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_config_mac, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_queue_cfg_addr, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_read_cqis, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_write_cqis, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_poll_cqe_lock, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_make_queues_operational, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_enable_esi, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_enable, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_config_esi, "_gpl", "");

SYMBOL_CRC(ufshcd_dump_regs, 0x740c5b67, "_gpl");
SYMBOL_CRC(ufshcd_enable_irq, 0x06b4516d, "_gpl");
SYMBOL_CRC(ufshcd_disable_irq, 0xe191cd48, "_gpl");
SYMBOL_CRC(ufshcd_delay_us, 0x723b1abf, "_gpl");
SYMBOL_CRC(ufshcd_is_hba_active, 0x55fe0f76, "_gpl");
SYMBOL_CRC(ufshcd_opp_config_clks, 0x85ddddef, "_gpl");
SYMBOL_CRC(ufshcd_hold, 0x76c05c3e, "_gpl");
SYMBOL_CRC(ufshcd_release, 0x68deaaf4, "_gpl");
SYMBOL_CRC(ufshcd_clkgate_delay_set, 0x8fa35b14, "_gpl");
SYMBOL_CRC(ufshcd_dme_configure_adapt, 0xefc88e42, "_gpl");
SYMBOL_CRC(ufshcd_dme_set_attr, 0x757ae99a, "_gpl");
SYMBOL_CRC(ufshcd_dme_get_attr, 0xc8045801, "_gpl");
SYMBOL_CRC(ufshcd_uic_change_pwr_mode, 0xe38995d3, "_gpl");
SYMBOL_CRC(ufshcd_link_recovery, 0xe6426315, "_gpl");
SYMBOL_CRC(ufshcd_uic_hibern8_enter, 0x1e2220cc, "_gpl");
SYMBOL_CRC(ufshcd_uic_hibern8_exit, 0xb29214d9, "_gpl");
SYMBOL_CRC(ufshcd_auto_hibern8_update, 0xbeac0091, "_gpl");
SYMBOL_CRC(ufshcd_config_pwr_mode, 0xee3c3175, "_gpl");
SYMBOL_CRC(ufshcd_make_hba_operational, 0x1444297b, "_gpl");
SYMBOL_CRC(ufshcd_hba_stop, 0xb5df8690, "_gpl");
SYMBOL_CRC(ufshcd_hba_enable, 0x469bf2c8, "_gpl");
SYMBOL_CRC(ufshcd_update_evt_hist, 0xdef202ef, "_gpl");
SYMBOL_CRC(ufshcd_fixup_dev_quirks, 0x2e0a6638, "_gpl");
SYMBOL_CRC(ufshcd_get_vreg, 0x3320096a, "_gpl");
SYMBOL_CRC(ufshcd_system_suspend, 0xf016057f, "");
SYMBOL_CRC(ufshcd_system_resume, 0x436edc8e, "");
SYMBOL_CRC(ufshcd_runtime_suspend, 0x70036e59, "");
SYMBOL_CRC(ufshcd_runtime_resume, 0x3362311b, "");
SYMBOL_CRC(ufshcd_remove, 0xf9144477, "_gpl");
SYMBOL_CRC(ufshcd_system_freeze, 0x8785e95c, "_gpl");
SYMBOL_CRC(ufshcd_system_restore, 0xebf7aa56, "_gpl");
SYMBOL_CRC(ufshcd_system_thaw, 0x2f92e2bc, "_gpl");
SYMBOL_CRC(ufshcd_dealloc_host, 0xc479db43, "_gpl");
SYMBOL_CRC(ufshcd_alloc_host, 0x57accd5f, "");
SYMBOL_CRC(ufshcd_init, 0xd8d938c0, "_gpl");
SYMBOL_CRC(ufshcd_resume_complete, 0xe5bb2df6, "_gpl");
SYMBOL_CRC(__ufshcd_suspend_prepare, 0x64b42719, "_gpl");
SYMBOL_CRC(ufshcd_suspend_prepare, 0xf37f3426, "_gpl");
SYMBOL_CRC(ufshcd_mcq_config_mac, 0x3705637e, "_gpl");
SYMBOL_CRC(ufshcd_mcq_queue_cfg_addr, 0x28094122, "_gpl");
SYMBOL_CRC(ufshcd_mcq_read_cqis, 0x5ea393fd, "_gpl");
SYMBOL_CRC(ufshcd_mcq_write_cqis, 0xc693d2f7, "_gpl");
SYMBOL_CRC(ufshcd_mcq_poll_cqe_lock, 0x04f5a266, "_gpl");
SYMBOL_CRC(ufshcd_mcq_make_queues_operational, 0x97f9a309, "_gpl");
SYMBOL_CRC(ufshcd_mcq_enable_esi, 0x7ede75a0, "_gpl");
SYMBOL_CRC(ufshcd_mcq_enable, 0xfc8ef73a, "_gpl");
SYMBOL_CRC(ufshcd_mcq_config_esi, 0xf008af18, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x22ec5205, "cpu_latency_qos_remove_request" },
	{ 0xb3eca644, "scsi_dma_map" },
	{ 0x9b00a78a, "scsi_print_sense_hdr" },
	{ 0x3cc8f38f, "regulator_enable" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x8d039641, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4506c655, "bpf_trace_run4" },
	{ 0x4c55545d, "devm_request_threaded_irq" },
	{ 0xbebaed22, "debugfs_attr_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0xdc8a7b06, "scsi_autopm_put_device" },
	{ 0x610b3642, "scsi_device_get" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x962f385c, "dmam_alloc_attrs" },
	{ 0x93b9a682, "trace_raw_output_prep" },
	{ 0xad9ce40d, "scsi_remove_host" },
	{ 0x7e85034f, "bpf_trace_run6" },
	{ 0x74ccc61, "pm_runtime_set_autosuspend_delay" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x556be6e0, "__trace_trigger_soft_disabled" },
	{ 0x9788e05e, "blk_pm_runtime_init" },
	{ 0xcb6b138, "trace_event_printf" },
	{ 0xced4aff3, "scsi_report_bus_reset" },
	{ 0x1b023a57, "sysfs_remove_groups" },
	{ 0xa1b1593e, "pm_runtime_get_if_active" },
	{ 0xe3e79147, "dev_pm_opp_find_freq_floor_indexed" },
	{ 0xcf2a6966, "up" },
	{ 0xfbb3c71f, "devfreq_recommended_opp" },
	{ 0x1446282, "sysfs_create_groups" },
	{ 0x3f7c8b8f, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x354e104, "scsi_dma_unmap" },
	{ 0x28afbb08, "cpu_latency_qos_add_request" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x5b66fa60, "seq_lseek" },
	{ 0xdf0ca3f4, "cpu_latency_qos_request_active" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc4e40b90, "bpf_trace_run2" },
	{ 0x21c51664, "__scsi_iterate_devices" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x67155184, "get_device" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0x5e651d9f, "trace_print_hex_seq" },
	{ 0xb488bd02, "devm_clk_get" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x82929afa, "blk_mq_alloc_tag_set" },
	{ 0xe23acca9, "devfreq_add_device" },
	{ 0x34070452, "dev_driver_string" },
	{ 0xfb6dfa14, "trace_event_buffer_commit" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xd7094a04, "__pm_runtime_set_status" },
	{ 0xf5f370e0, "async_schedule_node" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x569133b7, "param_get_uint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x8619869e, "put_device" },
	{ 0xfaf1b2da, "blk_mq_unquiesce_tagset" },
	{ 0xac5bf6d, "dev_pm_opp_put" },
	{ 0xcdfbcb3d, "blk_mq_free_request" },
	{ 0xd80f18f2, "device_property_read_u32_array" },
	{ 0x65ad9c1d, "devm_regulator_get" },
	{ 0xb1acb0d6, "dev_pm_opp_get_freq_indexed" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0x43f81957, "clk_round_rate" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xddae5130, "scsi_device_put" },
	{ 0x800473f, "__cond_resched" },
	{ 0x9818813d, "device_create_file" },
	{ 0x8acb4fa0, "blk_mq_quiesce_tagset" },
	{ 0x579acfde, "debugfs_attr_read" },
	{ 0xf07c5457, "regulator_set_load" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x4bb807c7, "perf_trace_run_bpf_submit" },
	{ 0x57bc19d2, "down_write" },
	{ 0x1f5d4469, "devm_kfree" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0xdd10d958, "devfreq_remove_device" },
	{ 0xaaba074a, "scsi_host_put" },
	{ 0xce807a25, "up_write" },
	{ 0xd4034828, "system_freezable_wq" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x9295faf0, "simple_attr_release" },
	{ 0xf34bb33, "dev_pm_opp_add_dynamic" },
	{ 0x6626afca, "down" },
	{ 0x44494c12, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe5976b47, "dev_pm_opp_remove" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x37169f79, "cpu_latency_qos_update_request" },
	{ 0x8ad1f344, "sdev_prefix_printk" },
	{ 0xba644add, "scsi_scan_host" },
	{ 0x495eed8e, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x2092327, "trace_event_reg" },
	{ 0x697f35bb, "device_link_remove" },
	{ 0xc05276ba, "blk_mq_alloc_request" },
	{ 0x3ffe3b9b, "driver_unregister" },
	{ 0x75f9b1f0, "blk_mq_free_tag_set" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x7bf07bb3, "blk_put_queue" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x3d4d5204, "dev_pm_opp_set_opp" },
	{ 0x7bf6122c, "dmam_free_coherent" },
	{ 0xdcb764ad, "memset" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xa6c08ed0, "regulator_count_voltages" },
	{ 0xcc28451d, "blk_mq_wait_quiesce_done" },
	{ 0x4419dde5, "debugfs_create_u32" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x552a2ed0, "bpf_trace_run10" },
	{ 0x43b822d6, "scsi_device_quiesce" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x7279fdc3, "scsi_autopm_get_device" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf0efe64b, "dma_set_coherent_mask" },
	{ 0x7561aa39, "scsi_print_command" },
	{ 0x32f1e81b, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xa760ada8, "__scsi_register_driver" },
	{ 0x6e42fcb2, "pm_runtime_forbid" },
	{ 0x13107c3a, "debugfs_create_file" },
	{ 0x8aa332d5, "param_set_uint_minmax" },
	{ 0x4c37d89a, "blk_mq_freeze_queue" },
	{ 0x2454ddca, "pm_runtime_allow" },
	{ 0xda2d7a21, "trace_event_buffer_reserve" },
	{ 0x4f139bf4, "__pm_runtime_resume" },
	{ 0x251fda2, "devfreq_suspend_device" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xfb2f8a4, "mktime64" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x14c5dd46, "param_ops_bool" },
	{ 0xa24f2bf5, "blk_mq_destroy_queue" },
	{ 0x1b032f07, "scsi_execute_cmd" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xa6ef1a3a, "blk_mq_alloc_queue" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x899fbd06, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x7e159051, "blk_mq_unfreeze_queue" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x10ddcc8c, "blk_mq_tagset_busy_iter" },
	{ 0xa49aee4, "scsi_done" },
	{ 0xa5c872a7, "single_release" },
	{ 0xc2ca2df4, "scsi_unblock_requests" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xb34e2c9a, "dma_set_mask" },
	{ 0xb69945ed, "sbitmap_weight" },
	{ 0xc3293cf7, "regulator_disable" },
	{ 0x92f2a8c, "dev_err_probe" },
	{ 0x8b402be5, "scsi_remove_device" },
	{ 0xee6c748d, "scsi_block_requests" },
	{ 0x888653ec, "scsi_add_host_with_dma" },
	{ 0x98cf60b3, "strlen" },
	{ 0x3466fede, "single_open" },
	{ 0xa16167cd, "scsi_host_alloc" },
	{ 0xe6812eeb, "__scsi_add_device" },
	{ 0xa0708ce6, "devfreq_resume_device" },
	{ 0xe820ea6a, "debugfs_create_dir" },
	{ 0x87b397b4, "device_link_add" },
	{ 0x815588a6, "clk_enable" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xd40cfad9, "scsi_change_queue_depth" },
	{ 0x61f81ab3, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0xf80a3ec7, "device_remove_file" },
	{ 0x5c26a53b, "wait_for_completion_io_timeout" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "87F9E384FAB74B43BD2978F");
