#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xed826b94, "__platform_driver_register" },
	{ 0xdcb764ad, "memset" },
	{ 0x94389fcd, "of_get_property" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0x2691b191, "__of_parse_phandle_with_args" },
	{ 0x305ea78d, "of_find_device_by_node" },
	{ 0xe9d10d9d, "of_node_put" },
	{ 0x5b36a3ec, "of_find_property" },
	{ 0xba75c1ea, "of_usb_get_phy_mode" },
	{ 0xf9ed9452, "of_property_read_variable_u32_array" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x8619869e, "put_device" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3b82c1cf, "platform_driver_unregister" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xe4e0f59a, "ci_hdrc_remove_device" },
	{ 0xc3293cf7, "regulator_disable" },
	{ 0x4f139bf4, "__pm_runtime_resume" },
	{ 0x568d4681, "__pm_runtime_disable" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x22ec5205, "cpu_latency_qos_remove_request" },
	{ 0xfcf4beaf, "imx_usbmisc_suspend" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0xa3534211, "pinctrl_pm_select_sleep_state" },
	{ 0xeae0cd9f, "pinctrl_select_state" },
	{ 0x638cecc, "imx_usbmisc_charger_detection" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x36b08234, "imx_usbmisc_hsic_set_connect" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0xec4cf27f, "imx_usbmisc_resume" },
	{ 0x28afbb08, "cpu_latency_qos_add_request" },
	{ 0x24774d45, "pinctrl_pm_select_default_state" },
	{ 0xd7094a04, "__pm_runtime_set_status" },
	{ 0xf693587e, "pm_runtime_enable" },
	{ 0xc1e79586, "of_device_get_match_data" },
	{ 0xbc0d9667, "pinctrl_lookup_state" },
	{ 0xb488bd02, "devm_clk_get" },
	{ 0x34e68cd3, "devm_pinctrl_get" },
	{ 0x97462990, "devm_regulator_get_optional" },
	{ 0x3cc8f38f, "regulator_enable" },
	{ 0x35218a26, "devm_usb_get_phy_by_phandle" },
	{ 0x6d5a834, "of_device_is_compatible" },
	{ 0xd9f89f8d, "imx_usbmisc_init" },
	{ 0xc47c533f, "ci_hdrc_add_device" },
	{ 0x557d96a7, "ci_hdrc_query_available_role" },
	{ 0x331f8e91, "imx_usbmisc_init_post" },
	{ 0xb2a00e3, "device_set_wakeup_capable" },
	{ 0x4b9181dd, "devm_clk_get_optional" },
	{ 0x92f2a8c, "dev_err_probe" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "ci_hdrc,usbmisc_imx");

MODULE_ALIAS("of:N*T*Cfsl,imx23-usb");
MODULE_ALIAS("of:N*T*Cfsl,imx23-usbC*");
MODULE_ALIAS("of:N*T*Cfsl,imx28-usb");
MODULE_ALIAS("of:N*T*Cfsl,imx28-usbC*");
MODULE_ALIAS("of:N*T*Cfsl,imx27-usb");
MODULE_ALIAS("of:N*T*Cfsl,imx27-usbC*");
MODULE_ALIAS("of:N*T*Cfsl,imx6q-usb");
MODULE_ALIAS("of:N*T*Cfsl,imx6q-usbC*");
MODULE_ALIAS("of:N*T*Cfsl,imx6sl-usb");
MODULE_ALIAS("of:N*T*Cfsl,imx6sl-usbC*");
MODULE_ALIAS("of:N*T*Cfsl,imx6sx-usb");
MODULE_ALIAS("of:N*T*Cfsl,imx6sx-usbC*");
MODULE_ALIAS("of:N*T*Cfsl,imx6ul-usb");
MODULE_ALIAS("of:N*T*Cfsl,imx6ul-usbC*");
MODULE_ALIAS("of:N*T*Cfsl,imx7d-usb");
MODULE_ALIAS("of:N*T*Cfsl,imx7d-usbC*");
MODULE_ALIAS("of:N*T*Cfsl,imx7ulp-usb");
MODULE_ALIAS("of:N*T*Cfsl,imx7ulp-usbC*");
MODULE_ALIAS("of:N*T*Cfsl,imx8ulp-usb");
MODULE_ALIAS("of:N*T*Cfsl,imx8ulp-usbC*");

MODULE_INFO(srcversion, "DF16FE233FC35B3F5D7E591");
