#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(musb_get_mode, "_gpl", "");
KSYMTAB_DATA(musb_readb, "_gpl", "");
KSYMTAB_DATA(musb_writeb, "_gpl", "");
KSYMTAB_DATA(musb_clearb, "_gpl", "");
KSYMTAB_DATA(musb_readw, "_gpl", "");
KSYMTAB_DATA(musb_writew, "_gpl", "");
KSYMTAB_DATA(musb_clearw, "_gpl", "");
KSYMTAB_FUNC(musb_readl, "_gpl", "");
KSYMTAB_FUNC(musb_writel, "_gpl", "");
KSYMTAB_DATA(musb_dma_controller_create, "", "");
KSYMTAB_DATA(musb_dma_controller_destroy, "", "");
KSYMTAB_FUNC(musb_set_host, "_gpl", "");
KSYMTAB_FUNC(musb_set_peripheral, "_gpl", "");
KSYMTAB_FUNC(musb_interrupt, "_gpl", "");
KSYMTAB_FUNC(musb_dma_completion, "_gpl", "");
KSYMTAB_FUNC(musb_mailbox, "_gpl", "");
KSYMTAB_FUNC(musb_queue_resume_work, "_gpl", "");
KSYMTAB_FUNC(musb_root_disconnect, "_gpl", "");

SYMBOL_CRC(musb_get_mode, 0x2b6e502a, "_gpl");
SYMBOL_CRC(musb_readb, 0x2734197f, "_gpl");
SYMBOL_CRC(musb_writeb, 0x0b4a8834, "_gpl");
SYMBOL_CRC(musb_clearb, 0xe59efb0e, "_gpl");
SYMBOL_CRC(musb_readw, 0x719a5e41, "_gpl");
SYMBOL_CRC(musb_writew, 0xade3e56c, "_gpl");
SYMBOL_CRC(musb_clearw, 0x669594ad, "_gpl");
SYMBOL_CRC(musb_readl, 0xf0f95e51, "_gpl");
SYMBOL_CRC(musb_writel, 0x6af8c6dc, "_gpl");
SYMBOL_CRC(musb_dma_controller_create, 0x5373046e, "");
SYMBOL_CRC(musb_dma_controller_destroy, 0x39599748, "");
SYMBOL_CRC(musb_set_host, 0x5be5583f, "_gpl");
SYMBOL_CRC(musb_set_peripheral, 0xa799212c, "_gpl");
SYMBOL_CRC(musb_interrupt, 0x0f9a6f18, "_gpl");
SYMBOL_CRC(musb_dma_completion, 0x13e0f3f2, "_gpl");
SYMBOL_CRC(musb_mailbox, 0x09492220, "_gpl");
SYMBOL_CRC(musb_queue_resume_work, 0x99609a97, "_gpl");
SYMBOL_CRC(musb_root_disconnect, 0x083f7cdd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1514a3b, "free_irq" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x24600a27, "devm_platform_ioremap_resource" },
	{ 0xb2a00e3, "device_set_wakeup_capable" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x4506c655, "bpf_trace_run4" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0x5ad8e390, "usb_hcd_resume_root_hub" },
	{ 0xb0d29050, "usb_hcd_unlink_urb_from_ep" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x3b82c1cf, "platform_driver_unregister" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x7665356a, "param_ops_ushort" },
	{ 0x93b9a682, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x74ccc61, "pm_runtime_set_autosuspend_delay" },
	{ 0x556be6e0, "__trace_trigger_soft_disabled" },
	{ 0xcb6b138, "trace_event_printf" },
	{ 0x3f7c8b8f, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x5b66fa60, "seq_lseek" },
	{ 0x2f0d9053, "usb_otg_state_string" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc4e40b90, "bpf_trace_run2" },
	{ 0x148653, "vsnprintf" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0x7c6301a6, "usb_get_dr_mode" },
	{ 0x34070452, "dev_driver_string" },
	{ 0xfb6dfa14, "trace_event_buffer_commit" },
	{ 0xaafc7140, "sysfs_notify" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe70a0560, "usb_hcd_map_urb_for_dma" },
	{ 0xb7702e57, "platform_get_irq_byname" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xf693587e, "pm_runtime_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0xdf4f7e69, "usb_hcd_check_unlink_urb" },
	{ 0xf09add98, "device_wakeup_disable" },
	{ 0x800473f, "__cond_resched" },
	{ 0x7c1c3168, "sg_miter_next" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x4bb807c7, "perf_trace_run_bpf_submit" },
	{ 0x1f5d4469, "devm_kfree" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0xbba5bd2b, "device_wakeup_enable" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x495eed8e, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x23a087a2, "sg_miter_stop" },
	{ 0x2092327, "trace_event_reg" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x5bd69b0c, "sg_miter_start" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xdc0f8a86, "bpf_trace_run1" },
	{ 0xd2698f91, "usb_hcd_link_urb_to_ep" },
	{ 0xdcb764ad, "memset" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x464eb9bd, "usb_put_hcd" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xed826b94, "__platform_driver_register" },
	{ 0x2da8d207, "bpf_trace_run3" },
	{ 0x32f1e81b, "seq_read" },
	{ 0xc8d6d367, "phy_set_mode_ext" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x13107c3a, "debugfs_create_file" },
	{ 0xda2d7a21, "trace_event_buffer_reserve" },
	{ 0x4f139bf4, "__pm_runtime_resume" },
	{ 0x4cc7d507, "usb_hcd_giveback_urb" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x14c5dd46, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6b49a0c, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x899fbd06, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xa298485c, "usb_hcd_poll_rh_status" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x6a90f381, "usb_create_hcd" },
	{ 0xa5c872a7, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x92f2a8c, "dev_err_probe" },
	{ 0x827d8a32, "__pm_runtime_suspend" },
	{ 0xb9e5c367, "usb_debug_root" },
	{ 0x98cf60b3, "strlen" },
	{ 0x91930acb, "__pm_runtime_use_autosuspend" },
	{ 0x1ac1fc2, "usb_remove_hcd" },
	{ 0x2151991b, "_dev_printk" },
	{ 0x3466fede, "single_open" },
	{ 0xa46d4204, "usb_hcd_unmap_urb_for_dma" },
	{ 0x568d4681, "__pm_runtime_disable" },
	{ 0xe820ea6a, "debugfs_create_dir" },
	{ 0x97a1e99f, "usb_add_hcd" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x61f81ab3, "__pm_runtime_idle" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A23126E09F650A0BCA804DC");
