#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tcpm_pd_transmit_complete, "_gpl", "");
KSYMTAB_FUNC(tcpm_pd_receive, "_gpl", "");
KSYMTAB_FUNC(tcpm_cc_change, "_gpl", "");
KSYMTAB_FUNC(tcpm_vbus_change, "_gpl", "");
KSYMTAB_FUNC(tcpm_pd_hard_reset, "_gpl", "");
KSYMTAB_FUNC(tcpm_sink_frs, "_gpl", "");
KSYMTAB_FUNC(tcpm_sourcing_vbus, "_gpl", "");
KSYMTAB_FUNC(tcpm_port_clean, "_gpl", "");
KSYMTAB_FUNC(tcpm_port_is_toggling, "_gpl", "");
KSYMTAB_FUNC(tcpm_port_error_recovery, "_gpl", "");
KSYMTAB_FUNC(tcpm_tcpc_reset, "_gpl", "");
KSYMTAB_FUNC(tcpm_register_port, "_gpl", "");
KSYMTAB_FUNC(tcpm_unregister_port, "_gpl", "");

SYMBOL_CRC(tcpm_pd_transmit_complete, 0x3b84657b, "_gpl");
SYMBOL_CRC(tcpm_pd_receive, 0x402a76b1, "_gpl");
SYMBOL_CRC(tcpm_cc_change, 0xc37b9769, "_gpl");
SYMBOL_CRC(tcpm_vbus_change, 0xceb50012, "_gpl");
SYMBOL_CRC(tcpm_pd_hard_reset, 0x9e0bd753, "_gpl");
SYMBOL_CRC(tcpm_sink_frs, 0x10ec6d2d, "_gpl");
SYMBOL_CRC(tcpm_sourcing_vbus, 0xeb779665, "_gpl");
SYMBOL_CRC(tcpm_port_clean, 0xd680581d, "_gpl");
SYMBOL_CRC(tcpm_port_is_toggling, 0xda86a83d, "_gpl");
SYMBOL_CRC(tcpm_port_error_recovery, 0x8512bd2a, "_gpl");
SYMBOL_CRC(tcpm_tcpc_reset, 0xea220941, "_gpl");
SYMBOL_CRC(tcpm_register_port, 0x4284ff9f, "_gpl");
SYMBOL_CRC(tcpm_unregister_port, 0x76eeda4b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcec49581, "typec_unregister_altmode" },
	{ 0xdcb764ad, "memset" },
	{ 0x7f916cee, "typec_get_drvdata" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc244071, "typec_register_partner" },
	{ 0xc6f40de9, "typec_partner_set_usb_power_delivery" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xb9e5c367, "usb_debug_root" },
	{ 0xe820ea6a, "debugfs_create_dir" },
	{ 0x13107c3a, "debugfs_create_file" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3466fede, "single_open" },
	{ 0x899fbd06, "seq_printf" },
	{ 0x98cf60b3, "strlen" },
	{ 0x9aaacae9, "__dev_fwnode" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0x906f42f3, "devm_power_supply_register" },
	{ 0xc93f02f5, "usb_power_delivery_unregister_capabilities" },
	{ 0x1f5d4469, "devm_kfree" },
	{ 0x1369ac49, "usb_power_delivery_unregister" },
	{ 0xa2c4d1b8, "kthread_queue_work" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x148653, "vsnprintf" },
	{ 0x96848186, "scnprintf" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x4829a47e, "memcpy" },
	{ 0x81a518b8, "usb_power_delivery_register_capabilities" },
	{ 0x56470118, "__warn_printk" },
	{ 0x19321ae0, "usb_power_delivery_register" },
	{ 0xb054cd4d, "power_supply_get_drvdata" },
	{ 0x39d99ae4, "typec_register_cable" },
	{ 0xf9b355a, "typec_cable_set_identity" },
	{ 0x99152753, "typec_cable_set_svdm_version" },
	{ 0x672f4550, "typec_register_plug" },
	{ 0x22566be7, "fw_devlink_purge_absent_suppliers" },
	{ 0x860c3273, "typec_get_fw_cap" },
	{ 0x442dd3bb, "fwnode_property_present" },
	{ 0xc1a43873, "fwnode_get_named_child_node" },
	{ 0x22c73a0b, "fwnode_get_next_child_node" },
	{ 0xf3f34fd5, "fwnode_property_read_u32_array" },
	{ 0x98b4ec72, "fwnode_property_read_string" },
	{ 0xf1234a8b, "typec_find_pwr_opmode" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0xe7b254df, "typec_get_cable_svdm_version" },
	{ 0x5a4e4b33, "typec_get_negotiated_svdm_version" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xa6257a2f, "complete" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xee257410, "typec_partner_register_altmode" },
	{ 0x8ad200f3, "typec_set_orientation" },
	{ 0xd5474690, "usb_role_switch_set_role" },
	{ 0x7f70764e, "typec_set_mode" },
	{ 0xeee9f1b3, "typec_set_data_role" },
	{ 0xf7173714, "typec_set_pwr_role" },
	{ 0xdbb9142a, "typec_set_vconn_role" },
	{ 0x2e03e018, "power_supply_changed" },
	{ 0x26db444e, "typec_unregister_plug" },
	{ 0xff3ef56a, "typec_unregister_cable" },
	{ 0x8ae699dc, "typec_unregister_partner" },
	{ 0xbb44b8bf, "kthread_destroy_worker" },
	{ 0xc3d1b261, "typec_unregister_port" },
	{ 0xc9fd634a, "usb_role_switch_put" },
	{ 0x37a0cba, "kfree" },
	{ 0x495eed8e, "debugfs_remove" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x80744d15, "typec_port_set_usb_power_delivery" },
	{ 0xc517d4e6, "typec_match_altmode" },
	{ 0xc66d1aa2, "typec_altmode_update_active" },
	{ 0xec0a49e7, "typec_partner_set_identity" },
	{ 0xd62471fc, "typec_cable_is_active" },
	{ 0xf6eacb35, "typec_partner_set_svdm_version" },
	{ 0x9d4953ea, "typec_plug_set_num_altmodes" },
	{ 0xda0fc2ca, "typec_plug_register_altmode" },
	{ 0xe679efde, "typec_altmode_vdm" },
	{ 0xcbe8f973, "typec_altmode_attention" },
	{ 0x7512ec92, "typec_altmode_notify" },
	{ 0x1d83b99d, "typec_cable_altmode_vdm" },
	{ 0x212c88de, "kthread_create_worker" },
	{ 0x3f780e90, "sched_set_fifo" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x8885e7e0, "usb_role_switch_get" },
	{ 0x5e58de86, "fwnode_usb_role_switch_get" },
	{ 0xf038b93b, "typec_register_port" },
	{ 0x19d94424, "typec_port_register_altmodes" },
	{ 0xc7ab67ac, "typec_port_register_cable_ops" },
	{ 0x62eb8095, "typec_set_pwr_opmode" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x5b66fa60, "seq_lseek" },
	{ 0x32f1e81b, "seq_read" },
	{ 0xa5c872a7, "single_release" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "typec");


MODULE_INFO(srcversion, "CB546FCEE36CEF179D5F668");
