#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc528a49a, "queued_write_lock_slowpath" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xea44a38b, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd277ba66, "flush_dcache_page" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xa1e755a7, "_copy_to_iter" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x9b839c0b, "unpin_user_pages_dirty_lock" },
	{ 0x438d8df2, "iova_cache_get" },
	{ 0x20978fb9, "idr_find" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xdec5f1bf, "dev_set_name" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4e671beb, "dump_page" },
	{ 0x9838955f, "device_unregister" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xc4da97d8, "__mmap_lock_do_trace_acquire_returned" },
	{ 0xc7061ef3, "iova_cache_put" },
	{ 0xad73cca6, "_vdpa_register_device" },
	{ 0x1a4d9418, "kobject_init" },
	{ 0x7cbd924, "unpin_user_pages" },
	{ 0x90576ec4, "vmemdup_user" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x515824d8, "alloc_cpumask_var_node" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xcf2ea86b, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0xe2964344, "__wake_up" },
	{ 0x2b02565, "__module_get" },
	{ 0x8306f6dd, "__vdpa_alloc_device" },
	{ 0xd469bccc, "__tracepoint_mmap_lock_released" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x1a98643d, "pin_user_pages" },
	{ 0x36ac17ab, "alloc_iova_fast" },
	{ 0xfb6cf276, "vdpa_mgmtdev_unregister" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x617c452b, "queued_read_lock_slowpath" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x8619869e, "put_device" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x581e9a37, "__free_pages" },
	{ 0xc6cbbc89, "capable" },
	{ 0x1f9a9c72, "module_put" },
	{ 0x8f0b781d, "iova_domain_init_rcaches" },
	{ 0x54b50667, "compat_ptr_ioctl" },
	{ 0x800473f, "__cond_resched" },
	{ 0xc5f88650, "cdev_add" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x311c6da4, "put_iova_domain" },
	{ 0x97b585fb, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0x17e1c98a, "kobject_add" },
	{ 0xce807a25, "up_write" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x69e872f9, "vhost_iotlb_itree_first" },
	{ 0x8e7d5be0, "device_create" },
	{ 0xfdc0adc2, "noop_llseek" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe4bbc1dd, "kimage_voffset" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0x83be64b9, "vhost_iotlb_itree_next" },
	{ 0xf9deb0db, "vhost_iotlb_map_free" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x2e6fc05a, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbb9c0973, "__put_devmap_managed_folio_refs" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x65ea0b6f, "device_register" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x956a86e8, "_vdpa_unregister_device" },
	{ 0x896c3e8, "alloc_pages_exact_noprof" },
	{ 0xdcb764ad, "memset" },
	{ 0x2c4f2e35, "__vmalloc_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xd667103, "__mmdrop" },
	{ 0xbdc8c686, "free_cpumask_var" },
	{ 0xf0efe64b, "dma_set_coherent_mask" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xe77bf1d3, "__mmap_lock_do_trace_start_locking" },
	{ 0x1e1fb89, "vdpa_mgmtdev_register" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd337f7ba, "device_create_with_groups" },
	{ 0x999e8297, "vfree" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x4043757f, "init_iova_domain" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa24517eb, "vhost_iotlb_free" },
	{ 0x385c7481, "__tracepoint_mmap_lock_start_locking" },
	{ 0xa873d5b5, "__folio_put" },
	{ 0xb35e7976, "device_destroy" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7ff1ef81, "__mmap_lock_do_trace_released" },
	{ 0x885512a2, "vhost_iotlb_add_range_ctx" },
	{ 0x8f31deba, "receive_fd" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xfff625ed, "_copy_from_iter" },
	{ 0xb97220ff, "bitmap_parse" },
	{ 0xeb44339a, "free_pages_exact" },
	{ 0x557d1823, "alloc_pages_noprof" },
	{ 0xd138c08a, "free_iova_fast" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xb34e2c9a, "dma_set_mask" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xc577832d, "vhost_iotlb_alloc" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0x53b954a2, "up_read" },
	{ 0xaa3a3bb3, "class_register" },
	{ 0x858a550d, "cdev_init" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0xfbdecde3, "cdev_del" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x677d981d, "kobject_put" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "vdpa,vhost_iotlb");


MODULE_INFO(srcversion, "C0531185C6F0E252B562E6C");
