#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xea44a38b, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7fada381, "vfio_pci_core_enable" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb00eb881, "mlx5_db_free" },
	{ 0x6fdc0689, "mlx5_core_destroy_mkey" },
	{ 0xd8589a48, "vfio_pci_core_write" },
	{ 0x438c028c, "mlx5_vf_get_core_dev" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5ba03dbf, "vfio_iommufd_physical_unbind" },
	{ 0x29937111, "mlx5_core_alloc_pd" },
	{ 0x5a05194, "vfio_iommufd_physical_bind" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xa6613056, "dma_unmap_page_attrs" },
	{ 0x31a3177c, "vfio_pci_core_mmap" },
	{ 0x6837bd2d, "vfio_pci_core_init_dev" },
	{ 0x43ba1bed, "__pci_register_driver" },
	{ 0x188ea02, "mlx5_core_create_mkey" },
	{ 0x5d95ac8b, "sg_alloc_append_table_from_pages" },
	{ 0x37a0cba, "kfree" },
	{ 0x6297d34c, "mlx5_cmd_out_err" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0xe1a350f8, "pci_unregister_driver" },
	{ 0xb4c63861, "dma_map_page_attrs" },
	{ 0x302877e, "mlx5_cmd_exec" },
	{ 0x7ff618ad, "mlx5_core_dealloc_pd" },
	{ 0xa5e847c9, "mlx5_sriov_blocking_notifier_register" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1194b361, "vfio_pci_core_register_device" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x8619869e, "put_device" },
	{ 0x7d2ed4c3, "iova_bitmap_set" },
	{ 0x605d5bfa, "cache_line_size" },
	{ 0x618911fc, "numa_node" },
	{ 0x13326ef, "mlx5_eq_notifier_register" },
	{ 0x892f4c59, "vfio_pci_core_unregister_device" },
	{ 0x581e9a37, "__free_pages" },
	{ 0x54b50667, "compat_ptr_ioctl" },
	{ 0x800473f, "__cond_resched" },
	{ 0xb48df5af, "pci_iov_vf_id" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xda87acfa, "vfio_pci_core_request" },
	{ 0xf9a97682, "mlx5_core_create_cq" },
	{ 0x97b585fb, "fput" },
	{ 0x5648fbba, "mlx5_is_roce_on" },
	{ 0xe03714fc, "vfio_iommufd_physical_detach_ioas" },
	{ 0x5213169a, "vfio_pci_core_release_dev" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0x6e2aa0f0, "vfio_combine_iova_ranges" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7ef4bddc, "__sg_page_iter_next" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb4017741, "mlx5_cmd_init_async_ctx" },
	{ 0x6f8706be, "mlx5_put_uars_page" },
	{ 0xe4a10218, "mlx5_get_uars_page" },
	{ 0xf07b07f6, "sg_free_append_table" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x85d76fc8, "alloc_pages_bulk_noprof" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xe25f294, "vfio_pci_core_read" },
	{ 0xe0876457, "vfio_iommufd_physical_attach_ioas" },
	{ 0x87dfbb6d, "mlx5_frag_buf_free" },
	{ 0x7007a09b, "vfio_pci_core_ioctl" },
	{ 0xdcb764ad, "memset" },
	{ 0x3312177d, "mlx5_cmd_exec_cb" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0xbcfe6a82, "mlx5_vport_get_other_func_cap" },
	{ 0xc87e0a7e, "vfio_mig_get_next_state" },
	{ 0xcd0d4d23, "dma_map_sgtable" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xfef514d1, "mlx5_vf_put_core_dev" },
	{ 0x8121a838, "vfio_pci_core_aer_err_detected" },
	{ 0x9db8ccf5, "mlx5_eq_notifier_unregister" },
	{ 0xb86b2802, "mlx5_comp_eqn_get" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x89e1838d, "mlx5_frag_buf_alloc_node" },
	{ 0x562dc30, "__sg_page_iter_start" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x4bc457c9, "vfio_pci_core_ioctl_feature" },
	{ 0x51d96502, "stream_open" },
	{ 0x6220ef99, "vfio_pci_core_close_device" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x2399c9e3, "mlx5_db_alloc_node" },
	{ 0x5986a5d8, "dma_unmap_sg_attrs" },
	{ 0x386fecbf, "mlx5_comp_vectors_max" },
	{ 0x866f71b6, "mlx5_core_destroy_cq" },
	{ 0xad2f7ecf, "mlx5_sriov_blocking_notifier_unregister" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xdc93bd7a, "vfio_pci_core_finish_enable" },
	{ 0x922f35cb, "mlx5_cmd_cleanup_async_ctx" },
	{ 0x5359e8dc, "__kvmalloc_node_noprof" },
	{ 0x1a851366, "vfio_pci_core_match" },
	{ 0x65e45f17, "_vfio_alloc_device" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0xe3ad3046, "__sg_page_iter_dma_next" },
	{ 0x72460c4, "mlx5_fill_page_frag_array" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "vfio-pci-core,mlx5_core");

MODULE_ALIAS("vfio_pci:v000015B3d0000101Esv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "F17FA14466B176AEB0A2A83");
