#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vfio_pci_core_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_disable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_close_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_finish_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_register_dev_region, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioctl, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioctl_feature, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_read, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_write, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_mmap, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_request, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_match, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_init_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_release_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_register_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_unregister_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_aer_err_detected, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_sriov_configure, "_gpl", "");
KSYMTAB_DATA(vfio_pci_core_err_handlers, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_set_params, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_iowrite8, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_iowrite16, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_iowrite32, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_iowrite64, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioread8, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioread16, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioread32, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioread64, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_do_io_rw, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_setup_barmap, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_range_intersect_range, "_gpl", "");

SYMBOL_CRC(vfio_pci_core_enable, 0x7fada381, "_gpl");
SYMBOL_CRC(vfio_pci_core_disable, 0xade67dad, "_gpl");
SYMBOL_CRC(vfio_pci_core_close_device, 0x6220ef99, "_gpl");
SYMBOL_CRC(vfio_pci_core_finish_enable, 0xdc93bd7a, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_dev_region, 0x0640b510, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl, 0x7007a09b, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl_feature, 0x4bc457c9, "_gpl");
SYMBOL_CRC(vfio_pci_core_read, 0x0e25f294, "_gpl");
SYMBOL_CRC(vfio_pci_core_write, 0xd8589a48, "_gpl");
SYMBOL_CRC(vfio_pci_core_mmap, 0x31a3177c, "_gpl");
SYMBOL_CRC(vfio_pci_core_request, 0xda87acfa, "_gpl");
SYMBOL_CRC(vfio_pci_core_match, 0x1a851366, "_gpl");
SYMBOL_CRC(vfio_pci_core_init_dev, 0x6837bd2d, "_gpl");
SYMBOL_CRC(vfio_pci_core_release_dev, 0x5213169a, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_device, 0x1194b361, "_gpl");
SYMBOL_CRC(vfio_pci_core_unregister_device, 0x892f4c59, "_gpl");
SYMBOL_CRC(vfio_pci_core_aer_err_detected, 0x8121a838, "_gpl");
SYMBOL_CRC(vfio_pci_core_sriov_configure, 0xa6a1c96a, "_gpl");
SYMBOL_CRC(vfio_pci_core_err_handlers, 0xb7d0a8a2, "_gpl");
SYMBOL_CRC(vfio_pci_core_set_params, 0x4cf699b8, "_gpl");
SYMBOL_CRC(vfio_pci_core_iowrite8, 0xb9b24bf1, "_gpl");
SYMBOL_CRC(vfio_pci_core_iowrite16, 0xe6669734, "_gpl");
SYMBOL_CRC(vfio_pci_core_iowrite32, 0x46035aeb, "_gpl");
SYMBOL_CRC(vfio_pci_core_iowrite64, 0xf075ec85, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioread8, 0x35958704, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioread16, 0x8c17f5f3, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioread32, 0x6f62324b, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioread64, 0xb61ed4ad, "_gpl");
SYMBOL_CRC(vfio_pci_core_do_io_rw, 0x630acb24, "_gpl");
SYMBOL_CRC(vfio_pci_core_setup_barmap, 0xeb0dcc04, "_gpl");
SYMBOL_CRC(vfio_pci_core_range_intersect_range, 0xe850ca1f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xffb5089c, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13110126, "request_resource" },
	{ 0x4ae2f637, "vmf_insert_pfn" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x501adb05, "pci_read_vpd" },
	{ 0xe12c3d9e, "bus_unregister_notifier" },
	{ 0xdbaa67a4, "pci_request_selected_regions" },
	{ 0x64efd98d, "pci_release_selected_regions" },
	{ 0x85257bab, "pci_user_write_config_byte" },
	{ 0x8344b777, "pci_enable_device" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xcd6d5187, "pci_bus_max_busnr" },
	{ 0x49c2f2c4, "pci_check_and_mask_intx" },
	{ 0x41ba7aeb, "pci_iomap" },
	{ 0x19567d06, "vfio_info_cap_shift" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xedc724c0, "pci_alloc_irq_vectors" },
	{ 0xadc044b7, "vfio_set_irqs_validate_and_prepare" },
	{ 0x1215aabc, "pci_enable_atomic_ops_to_root" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x4413fecd, "pci_dev_put" },
	{ 0xcb6b166a, "iommu_group_get" },
	{ 0xa5009356, "vfio_virqfd_disable" },
	{ 0xc1a91da8, "vfio_iommufd_get_dev_id" },
	{ 0xc36d5e18, "fget" },
	{ 0xa8eea8b1, "pci_num_vf" },
	{ 0x4829a47e, "memcpy" },
	{ 0x18764fbc, "unmap_mapping_range" },
	{ 0x3c418b8f, "pci_user_read_config_dword" },
	{ 0x37a0cba, "kfree" },
	{ 0x311cfd30, "pci_user_read_config_word" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x8ce0ba04, "pci_probe_reset_bus" },
	{ 0x40b2d1ff, "pci_probe_reset_slot" },
	{ 0xcfd729a4, "pci_set_power_state" },
	{ 0xbfd79310, "pci_irq_vector" },
	{ 0xb786bf75, "pci_write_msi_msg" },
	{ 0x89485687, "iommu_group_put" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x3dea7ab3, "pci_read_config_dword" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x4c8d9de8, "pci_intx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x4558e0d, "pci_user_write_config_word" },
	{ 0xe989ff0e, "vfio_iommufd_device_ictx" },
	{ 0x3959c19b, "bus_register_notifier" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0xb4000bfd, "vfio_file_is_group" },
	{ 0x800473f, "__cond_resched" },
	{ 0x289d2ff, "pci_msix_can_alloc_dyn" },
	{ 0x5bce65c6, "vfio_file_has_dev" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x8737bb2f, "pci_clear_master" },
	{ 0x466aa100, "__pci_reset_function_locked" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0x69e683de, "uuid_gen" },
	{ 0x97b585fb, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x418873cc, "irq_bypass_register_producer" },
	{ 0x8578142c, "pci_write_vpd" },
	{ 0xca898c69, "vfio_virqfd_enable" },
	{ 0x26bb5a7, "vga_client_register" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd399ce1a, "pci_read_config_word" },
	{ 0x5a921311, "strncmp" },
	{ 0xf308580a, "aperture_remove_conflicting_pci_devices" },
	{ 0xe59ebc2a, "vfio_unregister_group_dev" },
	{ 0x8fffd97b, "pci_map_rom" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x68d4e74b, "pci_store_saved_state" },
	{ 0x13640660, "get_cached_msi_msg" },
	{ 0x9663604d, "pci_iounmap" },
	{ 0x4656f3ed, "pci_restore_state" },
	{ 0xdcb764ad, "memset" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0x94204a10, "pcie_get_mps" },
	{ 0xe9ca0d63, "pci_dev_trylock" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0x668b19a1, "down_read" },
	{ 0x6c28be5a, "vfio_info_add_capability" },
	{ 0x1f89bce8, "pci_dev_driver" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0x8c774014, "vfio_find_device_in_devset" },
	{ 0xf6e772c3, "irq_bypass_unregister_producer" },
	{ 0x231754af, "_dev_notice" },
	{ 0x6e42fcb2, "pm_runtime_forbid" },
	{ 0x2454ddca, "pm_runtime_allow" },
	{ 0x8644a4ba, "pci_reset_bus" },
	{ 0x4f139bf4, "__pm_runtime_resume" },
	{ 0x171d062, "vfio_register_group_dev" },
	{ 0x8705a0c4, "vfio_assign_device_set" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x373a05a2, "pci_user_read_config_byte" },
	{ 0x9cf88837, "pci_try_reset_function" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x7ef518cc, "pci_get_class" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x252168f, "pci_user_write_config_dword" },
	{ 0xe9c88568, "pcie_capability_read_dword" },
	{ 0x7eb55496, "pci_load_and_free_saved_state" },
	{ 0xf9b662f8, "pci_disable_sriov" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x48ee7465, "vfio_device_set_open_count" },
	{ 0xebaddcc6, "pci_disable_device" },
	{ 0xbaa4cc1b, "pci_match_id" },
	{ 0x599401d5, "pci_check_and_unmask_intx" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xe56101fe, "pcie_set_readrq" },
	{ 0x6eb47f6d, "pci_walk_bus" },
	{ 0xd3be9856, "pci_msix_alloc_irq_at" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x502163b5, "pci_unmap_rom" },
	{ 0xc57c18f5, "pci_read_config_byte" },
	{ 0xc5e74216, "release_resource" },
	{ 0x98cf60b3, "strlen" },
	{ 0xda58c17a, "vga_set_legacy_decoding" },
	{ 0xd0031808, "pci_dev_unlock" },
	{ 0xf54d522d, "pci_write_config_word" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0x71e8d353, "pci_free_irq_vectors" },
	{ 0x9e95fede, "pci_enable_sriov" },
	{ 0x53b954a2, "up_read" },
	{ 0x61f81ab3, "__pm_runtime_idle" },
	{ 0xcc8a36de, "vfio_virqfd_flush_thread" },
	{ 0x83012dcb, "pci_bus_type" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "DEF36634042A04835349FAE");
