#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vhost_work_init, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_init, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_start, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_stop, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_work_queue, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_flush, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_has_work, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_queue, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_is_setup, "_gpl", "");
KSYMTAB_FUNC(vhost_exceeds_weight, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_init, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_check_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_has_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_worker_ioctl, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_set_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_reset_owner_prepare, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_reset_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_stop, "_gpl", "");
KSYMTAB_FUNC(vhost_clear_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_cleanup, "_gpl", "");
KSYMTAB_FUNC(vhost_chr_write_iter, "", "");
KSYMTAB_FUNC(vhost_chr_poll, "", "");
KSYMTAB_FUNC(vhost_chr_read_iter, "_gpl", "");
KSYMTAB_FUNC(vq_meta_prefetch, "_gpl", "");
KSYMTAB_FUNC(vhost_log_access_ok, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_access_ok, "_gpl", "");
KSYMTAB_FUNC(vhost_vring_ioctl, "_gpl", "");
KSYMTAB_FUNC(vhost_init_device_iotlb, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_ioctl, "_gpl", "");
KSYMTAB_FUNC(vhost_log_write, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_init_access, "_gpl", "");
KSYMTAB_FUNC(vhost_get_vq_desc, "_gpl", "");
KSYMTAB_FUNC(vhost_discard_vq_desc, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used_n, "_gpl", "");
KSYMTAB_FUNC(vhost_signal, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used_and_signal, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used_and_signal_n, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_avail_empty, "_gpl", "");
KSYMTAB_FUNC(vhost_enable_notify, "_gpl", "");
KSYMTAB_FUNC(vhost_disable_notify, "_gpl", "");
KSYMTAB_FUNC(vhost_new_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_enqueue_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_dequeue_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_set_backend_features, "_gpl", "");

SYMBOL_CRC(vhost_work_init, 0xa909cfc5, "_gpl");
SYMBOL_CRC(vhost_poll_init, 0x97023d3f, "_gpl");
SYMBOL_CRC(vhost_poll_start, 0x19665f9e, "_gpl");
SYMBOL_CRC(vhost_poll_stop, 0x91fcd107, "_gpl");
SYMBOL_CRC(vhost_vq_work_queue, 0xd69bd576, "_gpl");
SYMBOL_CRC(vhost_dev_flush, 0xb0f6568d, "_gpl");
SYMBOL_CRC(vhost_vq_has_work, 0x045f715d, "_gpl");
SYMBOL_CRC(vhost_poll_queue, 0xc44b9981, "_gpl");
SYMBOL_CRC(vhost_vq_is_setup, 0x80496ba4, "_gpl");
SYMBOL_CRC(vhost_exceeds_weight, 0x81905a64, "_gpl");
SYMBOL_CRC(vhost_dev_init, 0x6691313b, "_gpl");
SYMBOL_CRC(vhost_dev_check_owner, 0x95a6b582, "_gpl");
SYMBOL_CRC(vhost_dev_has_owner, 0xdc66c1d3, "_gpl");
SYMBOL_CRC(vhost_worker_ioctl, 0x82ce4dd1, "_gpl");
SYMBOL_CRC(vhost_dev_set_owner, 0x8007898f, "_gpl");
SYMBOL_CRC(vhost_dev_reset_owner_prepare, 0xfd2b3e45, "_gpl");
SYMBOL_CRC(vhost_dev_reset_owner, 0x77a23fcc, "_gpl");
SYMBOL_CRC(vhost_dev_stop, 0xcfe433b5, "_gpl");
SYMBOL_CRC(vhost_clear_msg, 0x1ca09713, "_gpl");
SYMBOL_CRC(vhost_dev_cleanup, 0x59cdc768, "_gpl");
SYMBOL_CRC(vhost_chr_write_iter, 0xfacbd828, "");
SYMBOL_CRC(vhost_chr_poll, 0x0d58b9af, "");
SYMBOL_CRC(vhost_chr_read_iter, 0x97305e41, "_gpl");
SYMBOL_CRC(vq_meta_prefetch, 0xe32c61f4, "_gpl");
SYMBOL_CRC(vhost_log_access_ok, 0xb88a15ed, "_gpl");
SYMBOL_CRC(vhost_vq_access_ok, 0xa781e88d, "_gpl");
SYMBOL_CRC(vhost_vring_ioctl, 0xc8cbd2ff, "_gpl");
SYMBOL_CRC(vhost_init_device_iotlb, 0x23b6f743, "_gpl");
SYMBOL_CRC(vhost_dev_ioctl, 0x636ef9ee, "_gpl");
SYMBOL_CRC(vhost_log_write, 0xdc72ad90, "_gpl");
SYMBOL_CRC(vhost_vq_init_access, 0x9f1b6612, "_gpl");
SYMBOL_CRC(vhost_get_vq_desc, 0x88ff65ad, "_gpl");
SYMBOL_CRC(vhost_discard_vq_desc, 0xca2baed4, "_gpl");
SYMBOL_CRC(vhost_add_used, 0xd9f1211d, "_gpl");
SYMBOL_CRC(vhost_add_used_n, 0xe6b020f7, "_gpl");
SYMBOL_CRC(vhost_signal, 0xb0f3e565, "_gpl");
SYMBOL_CRC(vhost_add_used_and_signal, 0x36d3e70c, "_gpl");
SYMBOL_CRC(vhost_add_used_and_signal_n, 0x4db80d1c, "_gpl");
SYMBOL_CRC(vhost_vq_avail_empty, 0xc02b1519, "_gpl");
SYMBOL_CRC(vhost_enable_notify, 0xace202be, "_gpl");
SYMBOL_CRC(vhost_disable_notify, 0xb76ea123, "_gpl");
SYMBOL_CRC(vhost_new_msg, 0x6d06faaf, "_gpl");
SYMBOL_CRC(vhost_enqueue_msg, 0xca7d35b3, "_gpl");
SYMBOL_CRC(vhost_dequeue_msg, 0xf0a4c133, "_gpl");
SYMBOL_CRC(vhost_set_backend_features, 0x609104db, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x5b30e25c, "vhost_task_wake" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa6257a2f, "complete" },
	{ 0xdcb764ad, "memset" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x745a981, "xa_erase" },
	{ 0x4471a51d, "vhost_task_stop" },
	{ 0x37a0cba, "kfree" },
	{ 0xeb327e1b, "mmput" },
	{ 0xd667103, "__mmdrop" },
	{ 0xc577832d, "vhost_iotlb_alloc" },
	{ 0xa24517eb, "vhost_iotlb_free" },
	{ 0xd890478b, "pin_user_pages_fast" },
	{ 0x9b839c0b, "unpin_user_pages_dirty_lock" },
	{ 0xddb1cd7, "llist_reverse_order" },
	{ 0x800473f, "__cond_resched" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xe2964344, "__wake_up" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x1000e51, "schedule" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xa1e755a7, "_copy_to_iter" },
	{ 0x69e872f9, "vhost_iotlb_itree_first" },
	{ 0x47c6dbd0, "iov_iter_init" },
	{ 0xfff625ed, "_copy_from_iter" },
	{ 0xc87ff6e5, "iov_iter_revert" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x97b585fb, "fput" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc58007de, "vhost_task_create" },
	{ 0x8f00f6d1, "vhost_task_start" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xc1e1e69e, "get_task_mm" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x5359e8dc, "__kvmalloc_node_noprof" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x38ff875f, "vhost_iotlb_add_range" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x6bec0e66, "vhost_iotlb_del_range" },
	{ 0xe75df258, "iov_iter_advance" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0xef6295a8, "eventfd_fget" },
	{ 0xcb74520d, "param_ops_int" },
	{ 0x7665356a, "param_ops_ushort" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "vhost_iotlb");


MODULE_INFO(srcversion, "EEA0F6DBC2C7DD4874C288A");
