#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd9f1211d, "vhost_add_used" },
	{ 0xd915b310, "virtio_transport_purge_skbs" },
	{ 0x81d6307a, "virtio_transport_notify_recv_init" },
	{ 0x23b6f743, "vhost_init_device_iotlb" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x3e271ee, "virtio_transport_release" },
	{ 0xa1e755a7, "_copy_to_iter" },
	{ 0x58f09138, "misc_deregister" },
	{ 0x90aa8549, "vsock_find_cid" },
	{ 0xc8cbd2ff, "vhost_vring_ioctl" },
	{ 0xc2af5a6, "skb_put" },
	{ 0x3bf3a161, "vsock_for_each_connected_socket" },
	{ 0xb0f6568d, "vhost_dev_flush" },
	{ 0x4679fb71, "consume_skb" },
	{ 0x5306815f, "virtio_transport_connect" },
	{ 0xa258e11d, "virtio_transport_notify_set_rcvlowat" },
	{ 0xf75226b, "virtio_transport_stream_has_data" },
	{ 0xa781e88d, "vhost_vq_access_ok" },
	{ 0xcfe433b5, "vhost_dev_stop" },
	{ 0x6691313b, "vhost_dev_init" },
	{ 0xc2130a0f, "virtio_transport_stream_rcvhiwat" },
	{ 0x37a0cba, "kfree" },
	{ 0x47c6dbd0, "iov_iter_init" },
	{ 0xe08cbd4a, "virtio_transport_dgram_bind" },
	{ 0x55126b81, "sk_error_report" },
	{ 0xd8fc5c98, "virtio_transport_notify_recv_pre_block" },
	{ 0x9f1b6612, "vhost_vq_init_access" },
	{ 0xa909cfc5, "vhost_work_init" },
	{ 0xd5632936, "virtio_transport_dgram_enqueue" },
	{ 0xd69bd576, "vhost_vq_work_queue" },
	{ 0xed665279, "virtio_transport_shutdown" },
	{ 0x81905a64, "vhost_exceeds_weight" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xfe8d834b, "virtio_transport_notify_send_post_enqueue" },
	{ 0xe6b010b, "virtio_transport_dgram_dequeue" },
	{ 0xc44b9981, "vhost_poll_queue" },
	{ 0x95463bb7, "__alloc_skb" },
	{ 0x3a81e69, "virtio_transport_stream_allow" },
	{ 0x54b50667, "compat_ptr_ioctl" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xd3dc3b13, "virtio_transport_notify_send_init" },
	{ 0x9f66a4ce, "sk_skb_reason_drop" },
	{ 0xfacbd828, "vhost_chr_write_iter" },
	{ 0xfdc0adc2, "noop_llseek" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xb6a6cbd2, "virtio_transport_notify_send_pre_enqueue" },
	{ 0x26eb139c, "virtio_transport_seqpacket_dequeue" },
	{ 0x88ff65ad, "vhost_get_vq_desc" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3dbcf5d3, "virtio_transport_seqpacket_enqueue" },
	{ 0xb252ba97, "virtio_transport_seqpacket_has_data" },
	{ 0xfaeb3ee8, "virtio_transport_notify_recv_pre_dequeue" },
	{ 0x3d14de03, "virtio_transport_stream_enqueue" },
	{ 0x97305e41, "vhost_chr_read_iter" },
	{ 0xa5ccc41a, "virtio_transport_stream_dequeue" },
	{ 0x3181881e, "vsock_core_unregister" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe0a547c9, "skb_copy_datagram_iter" },
	{ 0x42eb6e52, "vsock_core_register" },
	{ 0xdcb764ad, "memset" },
	{ 0x636ef9ee, "vhost_dev_ioctl" },
	{ 0xb0f3e565, "vhost_signal" },
	{ 0xedd818fe, "misc_register" },
	{ 0xb76ea123, "vhost_disable_notify" },
	{ 0x5c28de46, "virtio_transport_notify_poll_out" },
	{ 0x2c05d3b1, "virtio_transport_notify_recv_post_dequeue" },
	{ 0xbabd30f5, "virtio_transport_dgram_allow" },
	{ 0x609104db, "vhost_set_backend_features" },
	{ 0xace202be, "vhost_enable_notify" },
	{ 0x14dcd514, "virtio_transport_deliver_tap_pkt" },
	{ 0xb88a15ed, "vhost_log_access_ok" },
	{ 0x130485db, "virtio_transport_read_skb" },
	{ 0x59cdc768, "vhost_dev_cleanup" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xe9e80d4d, "virtio_transport_stream_is_active" },
	{ 0x72cf4099, "virtio_transport_do_socket_init" },
	{ 0xd58b9af, "vhost_chr_poll" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xd60fad71, "virtio_transport_notify_poll_in" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xfff625ed, "_copy_from_iter" },
	{ 0x98fa8d3f, "virtio_transport_stream_has_space" },
	{ 0x736ea290, "virtio_transport_notify_send_pre_block" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xe32c61f4, "vq_meta_prefetch" },
	{ 0x95a6b582, "vhost_dev_check_owner" },
	{ 0xb2ad8aeb, "virtio_transport_notify_buffer_size" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0xb627ba6d, "virtio_transport_destruct" },
	{ 0x5359e8dc, "__kvmalloc_node_noprof" },
	{ 0xe26f3a4f, "virtio_transport_recv_pkt" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "vhost,vmw_vsock_virtio_transport_common,vsock");


MODULE_INFO(srcversion, "41B47C0A8AA3FEB1E802D21");
