#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(w1_add_master_device, "", "");
KSYMTAB_FUNC(w1_remove_master_device, "", "");
KSYMTAB_FUNC(w1_register_family, "", "");
KSYMTAB_FUNC(w1_unregister_family, "", "");
KSYMTAB_FUNC(w1_touch_bit, "_gpl", "");
KSYMTAB_FUNC(w1_write_8, "_gpl", "");
KSYMTAB_FUNC(w1_triplet, "_gpl", "");
KSYMTAB_FUNC(w1_read_8, "_gpl", "");
KSYMTAB_FUNC(w1_write_block, "_gpl", "");
KSYMTAB_FUNC(w1_touch_block, "_gpl", "");
KSYMTAB_FUNC(w1_read_block, "_gpl", "");
KSYMTAB_FUNC(w1_reset_bus, "_gpl", "");
KSYMTAB_FUNC(w1_calc_crc8, "_gpl", "");
KSYMTAB_FUNC(w1_reset_select_slave, "_gpl", "");
KSYMTAB_FUNC(w1_reset_resume_command, "_gpl", "");
KSYMTAB_FUNC(w1_next_pullup, "_gpl", "");

SYMBOL_CRC(w1_add_master_device, 0xe6c49b59, "");
SYMBOL_CRC(w1_remove_master_device, 0x0d25c01f, "");
SYMBOL_CRC(w1_register_family, 0xb201fc39, "");
SYMBOL_CRC(w1_unregister_family, 0x86faf8bd, "");
SYMBOL_CRC(w1_touch_bit, 0x0f37416b, "_gpl");
SYMBOL_CRC(w1_write_8, 0x7088e4db, "_gpl");
SYMBOL_CRC(w1_triplet, 0x2deaec08, "_gpl");
SYMBOL_CRC(w1_read_8, 0xb90a6ac9, "_gpl");
SYMBOL_CRC(w1_write_block, 0xbcbd9f76, "_gpl");
SYMBOL_CRC(w1_touch_block, 0x3a5106d1, "_gpl");
SYMBOL_CRC(w1_read_block, 0xade7370c, "_gpl");
SYMBOL_CRC(w1_reset_bus, 0x90ef093e, "_gpl");
SYMBOL_CRC(w1_calc_crc8, 0x63757e92, "_gpl");
SYMBOL_CRC(w1_reset_select_slave, 0x89d7ebbf, "_gpl");
SYMBOL_CRC(w1_reset_resume_command, 0x22e84ef5, "_gpl");
SYMBOL_CRC(w1_next_pullup, 0x0561f266, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xe9d10d9d, "of_node_put" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xdec5f1bf, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9838955f, "device_unregister" },
	{ 0x1b023a57, "sysfs_remove_groups" },
	{ 0x1446282, "sysfs_create_groups" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x354b3d7c, "wake_up_process" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x4ed39b21, "cn_netlink_send_mult" },
	{ 0x8619869e, "put_device" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0xff15f7bd, "flush_signals" },
	{ 0xe8bc40c5, "cn_netlink_send" },
	{ 0x2efa2c2b, "bus_unregister" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xf136cf72, "hwmon_device_register_with_info" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3ffe3b9b, "driver_unregister" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x2edb012e, "sysfs_create_group" },
	{ 0x4cdb9669, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x65ea0b6f, "device_register" },
	{ 0xdcb764ad, "memset" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0x7483e13, "cn_del_callback" },
	{ 0x31d75226, "kthread_create_on_node" },
	{ 0xe5561d7c, "sysfs_remove_group" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xbed38642, "kobject_uevent" },
	{ 0x6321f225, "hwmon_device_unregister" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xcb74520d, "param_ops_int" },
	{ 0x30d27d32, "of_find_matching_node_and_match" },
	{ 0x83cf91d, "driver_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0x7b05ea56, "cn_add_callback" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xb9cb04c5, "bus_register" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "356F96E0613B339AC1472F9");
