#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x96ddcdc4, "posix_test_lock" },
	{ 0x803ddbb6, "__posix_acl_create" },
	{ 0xb1b4db6, "inode_init_owner" },
	{ 0x859ac43a, "filemap_fdatawrite" },
	{ 0x72e7e5f4, "generic_fillattr" },
	{ 0x72aed708, "p9_client_getattr_dotl" },
	{ 0x460dcc59, "p9_client_wstat" },
	{ 0x735cb660, "setattr_prepare" },
	{ 0x24afe09c, "p9_client_open" },
	{ 0xcf8c8ae0, "iget_locked" },
	{ 0xaf38aa4f, "clear_nlink" },
	{ 0x1a9cb731, "p9_client_rename" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x67c45018, "d_instantiate" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x372e8e8a, "clear_inode" },
	{ 0xb4cc6412, "__fscache_acquire_volume" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x6cc1a8c, "__fscache_resize_cookie" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x2074f95d, "filemap_map_pages" },
	{ 0xc36ab649, "netfs_unpin_writeback" },
	{ 0x6b33d294, "netfs_file_read_iter" },
	{ 0xafb6a8f5, "init_special_inode" },
	{ 0x50559c2, "unregister_filesystem" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xff6c27cd, "simple_statfs" },
	{ 0xd19d4bf4, "d_make_root" },
	{ 0xeafc141f, "__posix_acl_chmod" },
	{ 0x931e06ca, "invalidate_mapping_pages" },
	{ 0x6d031dc5, "__fscache_unuse_cookie" },
	{ 0x9080b887, "netfs_unbuffered_write_iter" },
	{ 0x651b00a9, "always_delete_dentry" },
	{ 0xd2b41ed9, "p9_client_remove" },
	{ 0xec130f3b, "d_splice_alias" },
	{ 0x845dcf46, "ihold" },
	{ 0xfc6e907c, "p9_client_renameat" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x47a49e12, "finish_open" },
	{ 0xd0741cad, "iput" },
	{ 0x3502ae24, "generic_file_readonly_mmap" },
	{ 0x16bb54c6, "netfs_writepages" },
	{ 0x78d205c5, "iter_file_splice_write" },
	{ 0x4445e5e5, "p9_client_fcreate" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xc142b194, "p9_is_proto_dotu" },
	{ 0xfcd85aeb, "__fscache_relinquish_cookie" },
	{ 0xa59501be, "register_filesystem" },
	{ 0x3494ac55, "kmem_cache_create" },
	{ 0x1689f945, "p9_client_disconnect" },
	{ 0xf90d6e36, "netfs_readahead" },
	{ 0x7cb1a24, "p9_client_attach" },
	{ 0xaaf5534e, "simple_inode_init_ts" },
	{ 0x55711508, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xb22f0710, "netfs_invalidate_folio" },
	{ 0xd384c683, "p9stat_free" },
	{ 0xf9e8a4c3, "unlock_new_inode" },
	{ 0x122c3a7e, "_printk" },
	{ 0xcf54b722, "posix_acl_from_xattr" },
	{ 0x1000e51, "schedule" },
	{ 0x172cf038, "netfs_clear_inode_writeback" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xeddcdc45, "p9_client_create" },
	{ 0xef60fd5e, "posix_acl_valid" },
	{ 0xedf92aba, "make_kuid" },
	{ 0x3280e341, "truncate_inode_pages_final" },
	{ 0x88fcd16f, "fs_kobj" },
	{ 0xc271b981, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0x6545a5ca, "simple_nosetlease" },
	{ 0x68608e4b, "netfs_page_mkwrite" },
	{ 0xb0f9301, "xattr_full_name" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x979afabd, "inode_init_once" },
	{ 0x7f68872b, "file_write_and_wait_range" },
	{ 0x55132eff, "p9_client_setattr" },
	{ 0x9d3a46b7, "copy_splice_read" },
	{ 0x800473f, "__cond_resched" },
	{ 0x7f719e7f, "__fscache_relinquish_volume" },
	{ 0xc660a47, "p9_client_xattrwalk" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xebe24691, "netfs_file_write_iter" },
	{ 0x8ad4f7ee, "filemap_fdatawrite_wbc" },
	{ 0x4e3567f7, "match_int" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x98aec55f, "set_cached_acl" },
	{ 0xf6c520dd, "p9_client_destroy" },
	{ 0x68369501, "p9_client_unlinkat" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x27a8b519, "setattr_copy" },
	{ 0x9dde2676, "get_cached_acl" },
	{ 0x7e294c9a, "set_nlink" },
	{ 0xc3bc7dc7, "kmem_cache_alloc_lru_noprof" },
	{ 0xbc037f7, "kmem_cache_free" },
	{ 0x1e5eacad, "p9_client_mkdir_dotl" },
	{ 0xe0d56fbb, "d_move" },
	{ 0xbc85609c, "netfs_release_folio" },
	{ 0x162026fe, "p9_client_xattrcreate" },
	{ 0x56d7525d, "iov_iter_kvec" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x83ad50aa, "sget" },
	{ 0xd84e56a9, "p9_client_create_dotl" },
	{ 0x38923c52, "p9_client_lock_dotl" },
	{ 0x2edb012e, "sysfs_create_group" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x38abebab, "finish_no_open" },
	{ 0xaee76c9c, "p9_client_write" },
	{ 0xc1a175f4, "p9_client_walk" },
	{ 0x3c1f9e38, "do_trace_9p_fid_put" },
	{ 0x8b006d02, "netfs_dirty_folio" },
	{ 0xdcb764ad, "memset" },
	{ 0xd8429d12, "p9_show_client_options" },
	{ 0x90f5f875, "netfs_write_subrequest_terminated" },
	{ 0x6e036a3d, "p9_client_read" },
	{ 0xfe02b27d, "inode_owner_or_capable" },
	{ 0x57edcafb, "p9_client_fsync" },
	{ 0x95bd8f96, "p9dirent_read" },
	{ 0x150a2a58, "p9_client_symlink" },
	{ 0x437be782, "make_kgid" },
	{ 0xfcdc0fc1, "from_kgid_munged" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x446f57ea, "kobject_create_and_add" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe97b7e07, "truncate_setsize" },
	{ 0x818f0548, "p9_client_readlink" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x1e0019fc, "p9_is_proto_dotl" },
	{ 0xe5561d7c, "sysfs_remove_group" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x44ba4bf4, "noop_direct_IO" },
	{ 0xa0c43f13, "p9_client_clunk" },
	{ 0x3d901e47, "super_setup_bdi" },
	{ 0x41ce9823, "p9stat_read" },
	{ 0x68ab7e68, "netfs_read_folio" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc9fae843, "generic_read_dir" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3e2e222, "p9_client_statfs" },
	{ 0x4bbb3e25, "init_user_ns" },
	{ 0xda698bc9, "p9_client_link" },
	{ 0x2d9f9fea, "inc_nlink" },
	{ 0x5737dbe8, "seq_write" },
	{ 0x44e9a829, "match_token" },
	{ 0xcf60e9a3, "p9_client_stat" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x899fbd06, "seq_printf" },
	{ 0x8db941b8, "dput" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0x99f59030, "deactivate_locked_super" },
	{ 0xee437897, "__tracepoint_9p_fid_ref" },
	{ 0xe586dbb1, "posix_acl_update_mode" },
	{ 0xacf4d843, "match_strdup" },
	{ 0x8c3c3aa9, "generic_file_open" },
	{ 0x8cb339d9, "is_bad_inode" },
	{ 0xebbcc931, "p9_client_begin_disconnect" },
	{ 0x6eb1adad, "__fscache_use_cookie" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x1a4ac4b7, "p9_client_getlock_dotl" },
	{ 0xb8e66a5e, "netfs_unbuffered_read_iter" },
	{ 0x8f052bf7, "filemap_splice_read" },
	{ 0x7b6adaff, "posix_acl_to_xattr" },
	{ 0xb8b043f2, "kfree_link" },
	{ 0xe5602a5e, "kill_anon_super" },
	{ 0xb71a1e0b, "from_kuid_munged" },
	{ 0x91451e17, "filemap_write_and_wait_range" },
	{ 0x61047602, "do_trace_9p_fid_get" },
	{ 0xfd00063c, "p9_client_readdir" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x98cf60b3, "strlen" },
	{ 0x69f015c0, "netfs_subreq_terminated" },
	{ 0x9cb1abbe, "__remove_inode_hash" },
	{ 0xb74f87f0, "filemap_fault" },
	{ 0xc188c736, "__mark_inode_dirty" },
	{ 0xe7508f4f, "generic_file_llseek" },
	{ 0x53b954a2, "up_read" },
	{ 0x274685e0, "p9_client_mknod_dotl" },
	{ 0x80eafb97, "set_anon_super" },
	{ 0x3a78bef4, "drop_nlink" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x4832e577, "iget_failed" },
	{ 0x309989e7, "kmem_cache_destroy" },
	{ 0x9bb9d235, "__fscache_acquire_cookie" },
	{ 0x677d981d, "kobject_put" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "9pnet,netfs");


MODULE_INFO(srcversion, "17F81C70756F6FD9DA357EB");
