#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2e95bb01, "ceph_con_keepalive" },
	{ 0x1683e03a, "super_setup_bdi_name" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x484f6edf, "ktime_get_coarse_real_ts64" },
	{ 0x555135ee, "folio_invalidate" },
	{ 0xfd079fb, "ceph_auth_get_authorizer" },
	{ 0x9bc6b539, "ceph_find_or_create_string" },
	{ 0xe914e41e, "strcpy" },
	{ 0x859ac43a, "filemap_fdatawrite" },
	{ 0x45e8b450, "mnt_idmap_get" },
	{ 0x72e7e5f4, "generic_fillattr" },
	{ 0x926317fe, "vfs_fsync_range" },
	{ 0x735cb660, "setattr_prepare" },
	{ 0xa7917075, "ceph_print_client_options" },
	{ 0xd182b51e, "simple_attr_write" },
	{ 0xcd65e49, "file_check_and_advance_wb_err" },
	{ 0x9bb520a6, "ceph_msg_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x1a1d06d4, "filemap_get_folios_tag" },
	{ 0xd277ba66, "flush_dcache_page" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xdfc091f9, "ceph_entity_type_name" },
	{ 0x67c45018, "d_instantiate" },
	{ 0xa1e755a7, "_copy_to_iter" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x8d039641, "simple_attr_open" },
	{ 0x9ca95932, "ceph_create_snap_context" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x372e8e8a, "clear_inode" },
	{ 0x215d68ce, "ceph_create_client" },
	{ 0xb4cc6412, "__fscache_acquire_volume" },
	{ 0x827915b2, "vfs_inode_has_locks" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x9079c45c, "osd_req_op_extent_osd_data" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0xe0311e1, "discard_new_inode" },
	{ 0xcdc39c9e, "security_ismaclabel" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x4ba278d2, "fs_param_is_string" },
	{ 0x393a64ae, "__folio_batch_release" },
	{ 0x750f789f, "folio_unlock" },
	{ 0x6cc1a8c, "__fscache_resize_cookie" },
	{ 0xa84565ed, "fscrypt_ioctl_remove_key_all_users" },
	{ 0x5978966d, "fscrypt_parse_test_dummy_encryption" },
	{ 0xece9efe9, "inode_insert5" },
	{ 0x3dde1762, "ceph_monc_want_map" },
	{ 0x502ddde, "new_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc36ab649, "netfs_unpin_writeback" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4e671beb, "dump_page" },
	{ 0xe6d7fa18, "ceph_con_open" },
	{ 0x29d9e012, "forget_all_cached_acls" },
	{ 0xafb6a8f5, "init_special_inode" },
	{ 0x50559c2, "unregister_filesystem" },
	{ 0x5d599594, "__fscrypt_prepare_setattr" },
	{ 0xf5fabc35, "param_get_bool" },
	{ 0xe76e7226, "ceph_pagelist_alloc" },
	{ 0x35190c94, "debugfs_create_symlink" },
	{ 0xca9360b5, "rb_next" },
	{ 0x1290edba, "ceph_osdc_put_request" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xd14a5993, "generic_error_remove_folio" },
	{ 0xf8bba40f, "inode_set_flags" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xad703657, "ceph_auth_destroy_authorizer" },
	{ 0xe75df258, "iov_iter_advance" },
	{ 0x176f140f, "fscrypt_ioctl_get_key_status" },
	{ 0xd19d4bf4, "d_make_root" },
	{ 0xf45827d, "d_same_name" },
	{ 0xb5a3a60a, "fscrypt_decrypt_block_inplace" },
	{ 0x241671c, "read_cache_folio" },
	{ 0x931e06ca, "invalidate_mapping_pages" },
	{ 0x816c581a, "sync_filesystem" },
	{ 0x6d031dc5, "__fscache_unuse_cookie" },
	{ 0x86fca7e4, "ceph_put_snap_context" },
	{ 0x86e130ce, "ceph_parse_param" },
	{ 0x3c170e2a, "ceph_client_gid" },
	{ 0xd07f543, "get_anon_bdev" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0x3f7e7abb, "sget_fc" },
	{ 0xec130f3b, "d_splice_alias" },
	{ 0x70b2106c, "iov_iter_get_pages2" },
	{ 0xa151e15d, "current_time" },
	{ 0x3d1afae5, "osd_req_op_extent_update" },
	{ 0x4829a47e, "memcpy" },
	{ 0x7c679517, "from_vfsuid" },
	{ 0x845dcf46, "ihold" },
	{ 0x59dc447e, "d_find_any_alias" },
	{ 0xdfd85c8a, "inode_dio_wait" },
	{ 0xbef1f933, "generic_permission" },
	{ 0x7cf4248b, "truncate_pagecache_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x1de29a74, "invalidate_inode_pages2_range" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xaaccdec5, "posix_lock_file" },
	{ 0x47a49e12, "finish_open" },
	{ 0xd0741cad, "iput" },
	{ 0x5b66fa60, "seq_lseek" },
	{ 0x55626a62, "fs_param_is_enum" },
	{ 0xce656cfe, "fs_param_is_s32" },
	{ 0x41b1d68b, "wrap_directory_iterator" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x8ae484ab, "logfc" },
	{ 0xb9bb3324, "ceph_monc_blocklist_add" },
	{ 0xd35a6d31, "mempool_kmalloc" },
	{ 0xf6b12221, "fscrypt_show_test_dummy_encryption" },
	{ 0x78d205c5, "iter_file_splice_write" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xec9e214, "d_lookup" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x148653, "vsnprintf" },
	{ 0xfcd85aeb, "__fscache_relinquish_cookie" },
	{ 0xdcecec42, "filemap_alloc_folio_noprof" },
	{ 0x1de3fa46, "ceph_msg_new" },
	{ 0xa59501be, "register_filesystem" },
	{ 0x3494ac55, "kmem_cache_create" },
	{ 0x1a2a518a, "ceph_auth_invalidate_authorizer" },
	{ 0xd808d242, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x6a2cd817, "fscrypt_ioctl_get_policy_ex" },
	{ 0xe1c626e1, "ceph_monc_got_map" },
	{ 0x78034aa5, "osd_req_op_extent_dup_last" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x19af5748, "ceph_osdc_alloc_messages" },
	{ 0xa593d0bf, "clear_page_dirty_for_io" },
	{ 0x7ccb421c, "ceph_msg_data_add_pagelist" },
	{ 0xf90d6e36, "netfs_readahead" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0x42602eb7, "simple_get_link" },
	{ 0xb54676fa, "ceph_msg_type_name" },
	{ 0x1c0840c7, "shrink_dcache_parent" },
	{ 0xb15b2d, "__put_cred" },
	{ 0xcf9106a0, "d_prune_aliases" },
	{ 0x84b53623, "ceph_reset_client_addr" },
	{ 0x9de29cf6, "splice_file_range" },
	{ 0xb678366f, "int_sqrt" },
	{ 0x6a037cf1, "mempool_kfree" },
	{ 0x987d3968, "ceph_alloc_options" },
	{ 0x55711508, "locks_lock_inode_wait" },
	{ 0xa263892b, "fscrypt_fname_free_buffer" },
	{ 0xeb0e3322, "fs_param_is_u32" },
	{ 0x774f8fa8, "inode_newsize_ok" },
	{ 0xb22f0710, "netfs_invalidate_folio" },
	{ 0xef660452, "d_drop" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0xb86ee27d, "ceph_msg_new2" },
	{ 0xf9e8a4c3, "unlock_new_inode" },
	{ 0x122c3a7e, "_printk" },
	{ 0x61f7ad92, "ceph_release_page_vector" },
	{ 0xcf54b722, "posix_acl_from_xattr" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x80e5f86f, "fscrypt_fname_alloc_buffer" },
	{ 0xa64fd249, "ceph_check_fsid" },
	{ 0x50603ce3, "ceph_decode_entity_addrvec" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xefce3c3b, "ceph_pagelist_reserve" },
	{ 0x3c8f6269, "__ceph_alloc_sparse_ext_map" },
	{ 0xefce991c, "ceph_pagelist_append" },
	{ 0x2123b3d0, "ceph_auth_verify_authorizer_reply" },
	{ 0xedf92aba, "make_kuid" },
	{ 0x3280e341, "truncate_inode_pages_final" },
	{ 0xcc5ba663, "d_alloc" },
	{ 0x64dacef, "__filemap_set_wb_err" },
	{ 0xa916b694, "strnlen" },
	{ 0x25ef22c4, "fscrypt_file_open" },
	{ 0x686a1e05, "generic_perform_write" },
	{ 0x6545a5ca, "simple_nosetlease" },
	{ 0x581e9a37, "__free_pages" },
	{ 0x9f984513, "strrchr" },
	{ 0x6e3b4a93, "folio_mark_dirty" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x1378aba3, "ceph_pg_pool_name_by_id" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x33621aa, "ceph_osdc_wait_request" },
	{ 0x979afabd, "inode_init_once" },
	{ 0xf718b03b, "folio_wait_private_2" },
	{ 0x7f68872b, "file_write_and_wait_range" },
	{ 0xd5c15aca, "ceph_osdc_new_request" },
	{ 0x54b50667, "compat_ptr_ioctl" },
	{ 0x938ad1b3, "fscrypt_dummy_policies_equal" },
	{ 0x9d3a46b7, "copy_splice_read" },
	{ 0x800473f, "__cond_resched" },
	{ 0xbd2f79ae, "ceph_oloc_copy" },
	{ 0x7f719e7f, "__fscache_relinquish_volume" },
	{ 0x2f24c40c, "ilookup5" },
	{ 0xd0ac59c7, "seq_escape_mem" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0xfeb343d1, "mempool_alloc_noprof" },
	{ 0x17994d0d, "osd_req_op_copy_from_init" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xb4bc9766, "posix_acl_create" },
	{ 0x69d0911d, "release_pages" },
	{ 0x57bc19d2, "down_write" },
	{ 0x1ebce4ce, "fscrypt_ioctl_get_nonce" },
	{ 0xce807a25, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0xab476fb1, "generic_file_read_iter" },
	{ 0x5b505dc4, "unlock_page" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x98aec55f, "set_cached_acl" },
	{ 0x9295faf0, "simple_attr_release" },
	{ 0xfc8be890, "ceph_auth_handle_svc_reply_more" },
	{ 0xca5b0307, "netfs_write_begin" },
	{ 0x2087719e, "ceph_oid_copy" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0x86b357ea, "truncate_pagecache" },
	{ 0x16a6e568, "init_uts_ns" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0x92b7b4ce, "ceph_pg_pool_flags" },
	{ 0xebbb2ee9, "wait_on_page_writeback" },
	{ 0xeee4b172, "mnt_idmap_put" },
	{ 0xb4e615, "posix_acl_equiv_mode" },
	{ 0xa88a00a7, "__fscrypt_prepare_rename" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x141bdb24, "fscrypt_encrypt_block_inplace" },
	{ 0x9fefa3cb, "ceph_calc_file_object_mapping" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xcd6288b3, "file_update_time" },
	{ 0x6811bbb9, "fscrypt_ioctl_set_policy" },
	{ 0x7e294c9a, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd4eb7735, "ceph_decode_entity_addr" },
	{ 0xc3bc7dc7, "kmem_cache_alloc_lru_noprof" },
	{ 0xbc037f7, "kmem_cache_free" },
	{ 0x495eed8e, "debugfs_remove" },
	{ 0x17c17611, "ceph_pg_to_acting_primary" },
	{ 0x5a921311, "strncmp" },
	{ 0x9576cf25, "ceph_auth_add_authorizer_challenge" },
	{ 0xe0d56fbb, "d_move" },
	{ 0xbc85609c, "netfs_release_folio" },
	{ 0x6f2c2cc6, "seq_putc" },
	{ 0x7e3b99ab, "from_kgid" },
	{ 0x6661cf9d, "ceph_con_send" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x3e6260ef, "fscrypt_ioctl_remove_key" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xb5f3a533, "__fscrypt_encrypt_symlink" },
	{ 0x52a8017, "ceph_osdc_abort_requests" },
	{ 0x337d808e, "ceph_zero_page_vector_range" },
	{ 0x5b7d1b48, "param_set_bool" },
	{ 0x56d7525d, "iov_iter_kvec" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x174d71c0, "file_remove_privs" },
	{ 0x7164c93f, "__fscrypt_prepare_link" },
	{ 0xa726b988, "ceph_osdc_start_request" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xa36d4495, "from_vfsgid" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x42db14d4, "ceph_compare_options" },
	{ 0x6d89f485, "d_obtain_alias" },
	{ 0x6a370508, "file_modified" },
	{ 0x4f6560b, "posix_acl_chmod" },
	{ 0x2ca0deaf, "copy_page_to_iter" },
	{ 0xbb9c0973, "__put_devmap_managed_folio_refs" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x3f558d62, "ceph_parse_mon_ips" },
	{ 0xf710543c, "ceph_client_addr" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x37f65dbd, "ceph_msg_dump" },
	{ 0x9fbba67f, "ceph_buffer_new" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x25168e86, "fscrypt_put_encryption_info" },
	{ 0x20463df4, "wait_for_completion_killable" },
	{ 0xc47d78eb, "fscrypt_fname_encrypted_size" },
	{ 0x38abebab, "finish_no_open" },
	{ 0x84e54e9e, "d_obtain_root" },
	{ 0x8b006d02, "netfs_dirty_folio" },
	{ 0xbd5fca53, "fscrypt_d_revalidate" },
	{ 0x8ebf2b37, "osd_req_op_extent_init" },
	{ 0xc819d87d, "ceph_put_page_vector" },
	{ 0x9d2ce248, "from_kuid" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xa3821d93, "ceph_osdc_alloc_request" },
	{ 0x4996bd29, "fscache_n_updates" },
	{ 0x15c9a0bb, "osd_req_op_init" },
	{ 0x4affd6c2, "ceph_parse_fsid" },
	{ 0xdcb764ad, "memset" },
	{ 0xb9cb873, "ceph_osdc_update_epoch_barrier" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xbe3879aa, "ceph_get_snap_context" },
	{ 0x3402d252, "osd_req_op_extent_osd_iter" },
	{ 0xa89488c5, "iov_iter_bvec" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xd235061c, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0xe34a59f2, "ceph_object_locator_to_pg" },
	{ 0x437be782, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x515fd0cb, "__ceph_auth_get_authorizer" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xcd223639, "d_delete" },
	{ 0x3f423e68, "fscrypt_prepare_lookup_partial" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x8d4d5427, "simple_attr_read" },
	{ 0x3be158cd, "end_page_writeback" },
	{ 0xff4727a, "fscrypt_fname_encrypt" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0x2a983d26, "ceph_pagelist_release" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xdb8602f8, "osd_req_op_extent_osd_data_pages" },
	{ 0x5c1683ac, "__fscache_write_to_cache" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5dff7b7a, "iov_iter_get_pages_alloc2" },
	{ 0x64d9a8af, "ceph_osdc_sync" },
	{ 0x456d74d5, "set_page_dirty" },
	{ 0x3c224c47, "copy_page_from_iter" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x745a981, "xa_erase" },
	{ 0xb7d079, "ceph_destroy_client" },
	{ 0x32f1e81b, "seq_read" },
	{ 0xed43969d, "fscrypt_free_bounce_page" },
	{ 0xf1dd09dc, "redirty_page_for_writepage" },
	{ 0x44ba4bf4, "noop_direct_IO" },
	{ 0x43673e54, "__fscrypt_prepare_readdir" },
	{ 0x13107c3a, "debugfs_create_file" },
	{ 0x705109d4, "igrab" },
	{ 0x68ab7e68, "netfs_read_folio" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x9f1f80a8, "__ceph_open_session" },
	{ 0x5cdbcfce, "set_page_writeback" },
	{ 0x6fe0c9, "d_add" },
	{ 0xe6fa06a2, "rename_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x2213aa1f, "mempool_create_node_noprof" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x3096be16, "names_cachep" },
	{ 0x14c5dd46, "param_ops_bool" },
	{ 0x53126ecc, "__percpu_counter_sum" },
	{ 0x4bbb3e25, "init_user_ns" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x726bc3c7, "wait_for_completion_killable_timeout" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x800b41a4, "fscrypt_ioctl_add_key" },
	{ 0x7b5ee855, "d_find_alias" },
	{ 0xd290f2f, "invalidate_inode_pages2" },
	{ 0xc310b981, "strnstr" },
	{ 0x61e809a7, "fscrypt_fname_disk_to_usr" },
	{ 0x92244def, "inode_set_ctime_current" },
	{ 0x2d00380a, "bdi_dev_name" },
	{ 0x5737dbe8, "seq_write" },
	{ 0xa873d5b5, "__folio_put" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0xd71e2947, "ceph_alloc_page_vector" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe39b2ea5, "sha256" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x104d50d8, "fscrypt_ioctl_get_policy" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xc950ee2f, "set_anon_super_fc" },
	{ 0x56470118, "__warn_printk" },
	{ 0x899fbd06, "seq_printf" },
	{ 0xd90f88aa, "ceph_monc_do_statfs" },
	{ 0x8db941b8, "dput" },
	{ 0xa2a1383a, "ceph_monc_validate_auth" },
	{ 0xecc1c781, "iov_iter_zero" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7a18e391, "generic_delete_inode" },
	{ 0x99f59030, "deactivate_locked_super" },
	{ 0x902a1384, "__percpu_down_read" },
	{ 0xa0ccc307, "ceph_auth_handle_svc_reply_done" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x417a9131, "ceph_oloc_destroy" },
	{ 0xe7fc7cbd, "set_page_dirty_lock" },
	{ 0x5f30387e, "tag_pages_for_writeback" },
	{ 0xfe08336d, "__fscache_invalidate" },
	{ 0xe586dbb1, "posix_acl_update_mode" },
	{ 0x6d7f7962, "ceph_auth_handle_bad_authorizer" },
	{ 0x7776272b, "ceph_monc_renew_subs" },
	{ 0x2b207fb, "truncate_inode_pages_range" },
	{ 0x18888d00, "downgrade_write" },
	{ 0xee120c03, "ceph_release_string" },
	{ 0x14f9c25d, "__folio_lock" },
	{ 0x3ee3404d, "pagecache_get_page" },
	{ 0x131592cc, "ceph_msg_put" },
	{ 0x71e2f1f3, "osd_req_op_extent_osd_data_bvecs" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x57baf885, "ceph_str_hash" },
	{ 0x6eb1adad, "__fscache_use_cookie" },
	{ 0x15ad86aa, "rcuwait_wake_up" },
	{ 0xa5c872a7, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xfca6dd64, "fscrypt_prepare_symlink" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0x8ebb7413, "iov_iter_xarray" },
	{ 0x879bc954, "__fs_parse" },
	{ 0x8f052bf7, "filemap_splice_read" },
	{ 0x7b6adaff, "posix_acl_to_xattr" },
	{ 0x6a7a38a0, "ceph_pr_addr" },
	{ 0xb72c162e, "ceph_buffer_release" },
	{ 0xc89ed713, "dget_parent" },
	{ 0xe5602a5e, "kill_anon_super" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xe45ca89f, "iget5_locked" },
	{ 0x47709e42, "free_anon_bdev" },
	{ 0x91451e17, "filemap_write_and_wait_range" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x98cf60b3, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x412d71ba, "osd_req_op_raw_data_in_pages" },
	{ 0x92ba8cf4, "fscrypt_prepare_new_inode" },
	{ 0x69f015c0, "netfs_subreq_terminated" },
	{ 0xff92374c, "ceph_con_init" },
	{ 0xd07c84df, "generic_write_checks" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xb25104fd, "fscrypt_encrypt_pagecache_blocks" },
	{ 0xa612b47, "fscrypt_get_symlink" },
	{ 0x3466fede, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0xb74f87f0, "filemap_fault" },
	{ 0x25630f05, "d_invalidate" },
	{ 0xe820ea6a, "debugfs_create_dir" },
	{ 0xc188c736, "__mark_inode_dirty" },
	{ 0xe7508f4f, "generic_file_llseek" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xd4d736db, "ceph_destroy_options" },
	{ 0xff87cd18, "lockref_get_not_dead" },
	{ 0x5359e8dc, "__kvmalloc_node_noprof" },
	{ 0x53b954a2, "up_read" },
	{ 0xe55b7295, "ceph_osdc_clear_abort_err" },
	{ 0xb4c7e417, "iov_iter_npages" },
	{ 0x3a78bef4, "drop_nlink" },
	{ 0x6dc09cc, "fscrypt_free_inode" },
	{ 0xde616797, "fscrypt_has_permitted_context" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x44ca182a, "fscrypt_symlink_getattr" },
	{ 0xdf6ef4a1, "ceph_oid_printf" },
	{ 0x309989e7, "kmem_cache_destroy" },
	{ 0x9bb9d235, "__fscache_acquire_cookie" },
	{ 0xc3fea153, "ceph_con_close" },
	{ 0xafb8a407, "ceph_msgr_flush" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6a5fa363, "sigprocmask" },
	{ 0x75b38a59, "forget_cached_acl" },
	{ 0xdbe284a3, "osd_req_op_xattr_init" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0xccdcd69, "fscrypt_context_for_new_inode" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "libceph,netfs");


MODULE_INFO(srcversion, "73019187BEB42350F0B064B");
