#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x60ae5965, "crypto_skcipher_encrypt" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x72e7e5f4, "generic_fillattr" },
	{ 0x735cb660, "setattr_prepare" },
	{ 0xaf38aa4f, "clear_nlink" },
	{ 0x799579f1, "vfs_fileattr_get" },
	{ 0xd277ba66, "flush_dcache_page" },
	{ 0x67c45018, "d_instantiate" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x372e8e8a, "clear_inode" },
	{ 0x912ed7f8, "notify_change" },
	{ 0x60b73b66, "param_ops_uint" },
	{ 0x3839e080, "grab_cache_page_write_begin" },
	{ 0x30d1515c, "vfs_getattr" },
	{ 0x3aa35ee6, "vfs_rename" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x96f66507, "crypto_shash_tfm_digest" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x4e671beb, "dump_page" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xafb6a8f5, "init_special_inode" },
	{ 0x50559c2, "unregister_filesystem" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xca36ce77, "iterate_dir" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xd19d4bf4, "d_make_root" },
	{ 0xec130f3b, "d_splice_alias" },
	{ 0x49c3d0db, "param_ops_long" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe4603c46, "read_cache_page" },
	{ 0xd0741cad, "iput" },
	{ 0x5a24354d, "__vfs_getxattr" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0x28e9c8e4, "generic_file_write_iter" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x4ce4dee3, "crypto_skcipher_setkey" },
	{ 0xde95272f, "fsstack_copy_attr_all" },
	{ 0xa59501be, "register_filesystem" },
	{ 0x3494ac55, "kmem_cache_create" },
	{ 0x20821cd7, "vfs_unlink" },
	{ 0xcd8cec81, "path_put" },
	{ 0x354b3d7c, "wake_up_process" },
	{ 0xc0b5c68c, "vfs_mkdir" },
	{ 0xc63dce24, "crypto_destroy_tfm" },
	{ 0xbfe222, "__vfs_removexattr" },
	{ 0x774f8fa8, "inode_newsize_ok" },
	{ 0xef660452, "d_drop" },
	{ 0xf9e8a4c3, "unlock_new_inode" },
	{ 0x122c3a7e, "_printk" },
	{ 0x3874463, "block_invalidate_folio" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9d56069b, "crypto_skcipher_decrypt" },
	{ 0x3280e341, "truncate_inode_pages_final" },
	{ 0x88fcd16f, "fs_kobj" },
	{ 0x759734a9, "key_type_encrypted" },
	{ 0xc271b981, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0x581e9a37, "__free_pages" },
	{ 0xcfc9deaf, "atomic_dec_and_mutex_lock" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x979afabd, "inode_init_once" },
	{ 0x7f68872b, "file_write_and_wait_range" },
	{ 0x800473f, "__cond_resched" },
	{ 0xe410af2, "key_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa6db7522, "vfs_get_link" },
	{ 0x97b585fb, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0xce807a25, "up_write" },
	{ 0xab476fb1, "generic_file_read_iter" },
	{ 0x5b505dc4, "unlock_page" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7e294c9a, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc3bc7dc7, "kmem_cache_alloc_lru_noprof" },
	{ 0x286d7ee9, "lock_rename" },
	{ 0xbc037f7, "kmem_cache_free" },
	{ 0x715a5ed0, "vprintk" },
	{ 0xa53ed5d8, "__vfs_setxattr_locked" },
	{ 0x5a921311, "strncmp" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x1dad1987, "crypto_shash_digest" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x5df638b8, "__vfs_setxattr" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x83ad50aa, "sget" },
	{ 0x2edb012e, "sysfs_create_group" },
	{ 0xbb9c0973, "__put_devmap_managed_folio_refs" },
	{ 0x4cdb9669, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xc6c062dc, "block_dirty_folio" },
	{ 0x9d2ce248, "from_kuid" },
	{ 0xdcb764ad, "memset" },
	{ 0x7fe19395, "kern_path" },
	{ 0x46dd1a2a, "vfs_set_acl" },
	{ 0x6959b0d4, "kernel_read" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xd235061c, "kmem_cache_alloc_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xf50baf6f, "key_validate" },
	{ 0x4f82a633, "unlock_rename" },
	{ 0xe42e2904, "vfs_rmdir" },
	{ 0x446f57ea, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe97b7e07, "truncate_setsize" },
	{ 0x31d75226, "kthread_create_on_node" },
	{ 0xe5561d7c, "sysfs_remove_group" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x4b2dff0b, "vfs_symlink" },
	{ 0x3d901e47, "super_setup_bdi" },
	{ 0x705109d4, "igrab" },
	{ 0xc9fae843, "generic_read_dir" },
	{ 0x484cce2d, "d_instantiate_new" },
	{ 0x6fe0c9, "d_add" },
	{ 0x9b9349da, "vfs_fsync" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0x961adddc, "vfs_mknod" },
	{ 0x4bbb3e25, "init_user_ns" },
	{ 0x2a5a048f, "dentry_open" },
	{ 0x614905ec, "request_key_tag" },
	{ 0x44e9a829, "match_token" },
	{ 0xa873d5b5, "__folio_put" },
	{ 0x947c7cb, "vfs_fileattr_set" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x899fbd06, "seq_printf" },
	{ 0x8db941b8, "dput" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0x99f59030, "deactivate_locked_super" },
	{ 0x7354a5d9, "touch_atime" },
	{ 0xec41b36, "lookup_one_len_unlocked" },
	{ 0x64871631, "vfs_llseek" },
	{ 0x557d1823, "alloc_pages_noprof" },
	{ 0x14f9c25d, "__folio_lock" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x8f052bf7, "filemap_splice_read" },
	{ 0xac65a6e0, "vfs_link" },
	{ 0xb8b043f2, "kfree_link" },
	{ 0x74e6f63d, "key_type_user" },
	{ 0xe5602a5e, "kill_anon_super" },
	{ 0xff33e7b1, "vfs_getattr_nosec" },
	{ 0xe45ca89f, "iget5_locked" },
	{ 0x91451e17, "filemap_write_and_wait_range" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x9907bbea, "bmap" },
	{ 0x98cf60b3, "strlen" },
	{ 0xcb74520d, "param_ops_int" },
	{ 0xe14d2d46, "inode_permission" },
	{ 0x38ba594f, "mntget" },
	{ 0x2227c4aa, "crypto_alloc_shash" },
	{ 0xc188c736, "__mark_inode_dirty" },
	{ 0xe7508f4f, "generic_file_llseek" },
	{ 0xec805f, "make_bad_inode" },
	{ 0x2ae477ab, "vfs_get_acl" },
	{ 0x80eafb97, "set_anon_super" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x99936d3d, "fsstack_copy_inode_size" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x4832e577, "iget_failed" },
	{ 0xc5cf16aa, "kernel_write" },
	{ 0x309989e7, "kmem_cache_destroy" },
	{ 0x677d981d, "kobject_put" },
	{ 0xc9229a1d, "vfs_create" },
	{ 0x3de05488, "crypto_alloc_skcipher" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "DC5D2DE0CBE88F1A37081B4");
