#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x735cb660, "setattr_prepare" },
	{ 0xcf8c8ae0, "iget_locked" },
	{ 0xaf38aa4f, "clear_nlink" },
	{ 0xd277ba66, "flush_dcache_page" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x67c45018, "d_instantiate" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x372e8e8a, "clear_inode" },
	{ 0x9665138a, "mtd_read_oob" },
	{ 0x3839e080, "grab_cache_page_write_begin" },
	{ 0x6e385b92, "generic_fh_to_dentry" },
	{ 0xdf2c2742, "rb_last" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x750f789f, "folio_unlock" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x502ddde, "new_inode" },
	{ 0x4e96d427, "mtd_writev" },
	{ 0xa6257a2f, "complete" },
	{ 0x4e671beb, "dump_page" },
	{ 0x84919a1, "get_tree_mtd" },
	{ 0xafb6a8f5, "init_special_inode" },
	{ 0x58ed4538, "mtd_kmalloc_up_to" },
	{ 0x50559c2, "unregister_filesystem" },
	{ 0xca9360b5, "rb_next" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xc890c008, "zlib_deflateEnd" },
	{ 0xd19d4bf4, "d_make_root" },
	{ 0xf62c387b, "set_user_nice" },
	{ 0x816c581a, "sync_filesystem" },
	{ 0xec130f3b, "d_splice_alias" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x4829a47e, "memcpy" },
	{ 0x845dcf46, "ihold" },
	{ 0x37a0cba, "kfree" },
	{ 0xe4603c46, "read_cache_page" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xd0741cad, "iput" },
	{ 0x6008689f, "kthread_complete_and_exit" },
	{ 0x55626a62, "fs_param_is_enum" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xb34fb52, "mtd_unpoint" },
	{ 0x3502ae24, "generic_file_readonly_mmap" },
	{ 0x8ae484ab, "logfc" },
	{ 0x78d205c5, "iter_file_splice_write" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0x28e9c8e4, "generic_file_write_iter" },
	{ 0xf2c43f3f, "zlib_deflate" },
	{ 0x35a88f28, "zlib_inflateInit2" },
	{ 0xa59501be, "register_filesystem" },
	{ 0x3494ac55, "kmem_cache_create" },
	{ 0x41814cb8, "dirty_writeback_interval" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0x42602eb7, "simple_get_link" },
	{ 0x354b3d7c, "wake_up_process" },
	{ 0xaaf5534e, "simple_inode_init_ts" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0xeb0e3322, "fs_param_is_u32" },
	{ 0xd73653c4, "freezer_active" },
	{ 0xf9e8a4c3, "unlock_new_inode" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xe34a662e, "kill_mtd_super" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe9f7149c, "zlib_deflate_workspacesize" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xf82ec573, "rb_prev" },
	{ 0xedf92aba, "make_kuid" },
	{ 0x3280e341, "truncate_inode_pages_final" },
	{ 0x64dacef, "__filemap_set_wb_err" },
	{ 0xa916b694, "strnlen" },
	{ 0xf321ef79, "ilookup" },
	{ 0xc6cbbc89, "capable" },
	{ 0x979afabd, "inode_init_once" },
	{ 0x7f68872b, "file_write_and_wait_range" },
	{ 0x800473f, "__cond_resched" },
	{ 0x581f98da, "zlib_inflate" },
	{ 0x13333dbe, "mtd_block_markbad" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xab476fb1, "generic_file_read_iter" },
	{ 0x5b505dc4, "unlock_page" },
	{ 0x5a0b73d0, "zlib_deflateInit2" },
	{ 0x6c007efa, "insert_inode_locked" },
	{ 0xa8cd5a6a, "mtd_write_oob" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x7e294c9a, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc3bc7dc7, "kmem_cache_alloc_lru_noprof" },
	{ 0xbc037f7, "kmem_cache_free" },
	{ 0x5a921311, "strncmp" },
	{ 0xce5ac24f, "zlib_inflate_workspacesize" },
	{ 0x7e3b99ab, "from_kgid" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x6d89f485, "d_obtain_alias" },
	{ 0xc8fec477, "mtd_read" },
	{ 0x4f6560b, "posix_acl_chmod" },
	{ 0xbb9c0973, "__put_devmap_managed_folio_refs" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x4ddb75e9, "freezing_slow_path" },
	{ 0x9d2ce248, "from_kuid" },
	{ 0xdcb764ad, "memset" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xd235061c, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x437be782, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x19bbd54c, "mtd_erase" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe97b7e07, "truncate_setsize" },
	{ 0x7fe32873, "rb_replace_node" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x31d75226, "kthread_create_on_node" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x9ddfa866, "mtd_write" },
	{ 0x84fced0e, "generic_encode_ino32_fh" },
	{ 0x999e8297, "vfree" },
	{ 0xc9fae843, "generic_read_dir" },
	{ 0x484cce2d, "d_instantiate_new" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x4bbb3e25, "init_user_ns" },
	{ 0x2d9f9fea, "inc_nlink" },
	{ 0xa873d5b5, "__folio_put" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x899fbd06, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x8c3c3aa9, "generic_file_open" },
	{ 0x8cb339d9, "is_bad_inode" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0xce5e23ab, "generic_fh_to_parent" },
	{ 0xcdf5f16b, "send_sig" },
	{ 0x879bc954, "__fs_parse" },
	{ 0x8f052bf7, "filemap_splice_read" },
	{ 0x5469406a, "d_parent_ino" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x98cf60b3, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x25630f05, "d_invalidate" },
	{ 0x9dd0fba1, "dequeue_signal" },
	{ 0xe7508f4f, "generic_file_llseek" },
	{ 0xec805f, "make_bad_inode" },
	{ 0xe90dd142, "mtd_block_isbad" },
	{ 0x53b954a2, "up_read" },
	{ 0x107e5878, "zlib_inflateEnd" },
	{ 0x1dbd1f03, "mtd_point" },
	{ 0x3a78bef4, "drop_nlink" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x4832e577, "iget_failed" },
	{ 0x309989e7, "kmem_cache_destroy" },
	{ 0x6a5fa363, "sigprocmask" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "mtd");


MODULE_INFO(srcversion, "EEDAF75B87EBEF4D92D252F");
