#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(netfs_readahead, "", "");
KSYMTAB_FUNC(netfs_read_folio, "", "");
KSYMTAB_FUNC(netfs_write_begin, "", "");
KSYMTAB_FUNC(netfs_buffered_read_iter, "", "");
KSYMTAB_FUNC(netfs_file_read_iter, "", "");
KSYMTAB_FUNC(netfs_perform_write, "", "");
KSYMTAB_FUNC(netfs_buffered_write_iter_locked, "", "");
KSYMTAB_FUNC(netfs_file_write_iter, "", "");
KSYMTAB_FUNC(netfs_page_mkwrite, "", "");
KSYMTAB_FUNC(netfs_unbuffered_read_iter_locked, "", "");
KSYMTAB_FUNC(netfs_unbuffered_read_iter, "", "");
KSYMTAB_FUNC(netfs_unbuffered_write_iter_locked, "", "");
KSYMTAB_FUNC(netfs_unbuffered_write_iter, "", "");
KSYMTAB_FUNC(netfs_subreq_terminated, "", "");
KSYMTAB_FUNC(netfs_extract_user_iter, "_gpl", "");
KSYMTAB_FUNC(netfs_limit_iter, "", "");
KSYMTAB_FUNC(netfs_start_io_read, "", "");
KSYMTAB_FUNC(netfs_end_io_read, "", "");
KSYMTAB_FUNC(netfs_start_io_write, "", "");
KSYMTAB_FUNC(netfs_end_io_write, "", "");
KSYMTAB_FUNC(netfs_start_io_direct, "", "");
KSYMTAB_FUNC(netfs_end_io_direct, "", "");
KSYMTAB_DATA(__tracepoint_netfs_sreq, "", "");
KSYMTAB_FUNC(__traceiter_netfs_sreq, "", "");
KSYMTAB_DATA(__SCK__tp_func_netfs_sreq, "", "");
KSYMTAB_FUNC(netfs_dirty_folio, "", "");
KSYMTAB_FUNC(netfs_unpin_writeback, "", "");
KSYMTAB_FUNC(netfs_clear_inode_writeback, "", "");
KSYMTAB_FUNC(netfs_invalidate_folio, "", "");
KSYMTAB_FUNC(netfs_release_folio, "", "");
KSYMTAB_FUNC(netfs_write_subrequest_terminated, "", "");
KSYMTAB_FUNC(netfs_prepare_write_failed, "", "");
KSYMTAB_FUNC(netfs_writepages, "", "");
KSYMTAB_FUNC(netfs_stats_show, "", "");
KSYMTAB_DATA(fscache_addremove_sem, "", "");
KSYMTAB_DATA(fscache_clearance_waiters, "", "");
KSYMTAB_FUNC(fscache_acquire_cache, "", "");
KSYMTAB_FUNC(fscache_relinquish_cache, "", "");
KSYMTAB_FUNC(fscache_add_cache, "", "");
KSYMTAB_FUNC(fscache_io_error, "", "");
KSYMTAB_FUNC(fscache_withdraw_cache, "", "");
KSYMTAB_FUNC(fscache_end_cookie_access, "", "");
KSYMTAB_FUNC(fscache_cookie_lookup_negative, "", "");
KSYMTAB_FUNC(fscache_resume_after_invalidation, "", "");
KSYMTAB_FUNC(fscache_caching_failed, "", "");
KSYMTAB_FUNC(__fscache_acquire_cookie, "", "");
KSYMTAB_FUNC(__fscache_use_cookie, "", "");
KSYMTAB_FUNC(__fscache_unuse_cookie, "", "");
KSYMTAB_FUNC(fscache_withdraw_cookie, "", "");
KSYMTAB_FUNC(__fscache_relinquish_cookie, "", "");
KSYMTAB_FUNC(fscache_put_cookie, "", "");
KSYMTAB_FUNC(fscache_get_cookie, "", "");
KSYMTAB_FUNC(__fscache_invalidate, "", "");
KSYMTAB_FUNC(fscache_wait_for_operation, "", "");
KSYMTAB_FUNC(__fscache_begin_read_operation, "", "");
KSYMTAB_FUNC(__fscache_begin_write_operation, "", "");
KSYMTAB_FUNC(__fscache_clear_page_bits, "", "");
KSYMTAB_FUNC(__fscache_write_to_cache, "", "");
KSYMTAB_FUNC(__fscache_resize_cookie, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access_cache, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access_cache, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access_cache, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access_volume, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access_volume, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access_volume, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access, "", "");
KSYMTAB_DATA(fscache_wq, "", "");
KSYMTAB_FUNC(fscache_try_get_volume, "", "");
KSYMTAB_FUNC(fscache_end_volume_access, "", "");
KSYMTAB_FUNC(__fscache_acquire_volume, "", "");
KSYMTAB_FUNC(fscache_put_volume, "", "");
KSYMTAB_FUNC(__fscache_relinquish_volume, "", "");
KSYMTAB_FUNC(fscache_withdraw_volume, "", "");
KSYMTAB_DATA(fscache_n_updates, "", "");
KSYMTAB_DATA(fscache_n_read, "", "");
KSYMTAB_DATA(fscache_n_write, "", "");
KSYMTAB_DATA(fscache_n_no_write_space, "", "");
KSYMTAB_DATA(fscache_n_no_create_space, "", "");
KSYMTAB_DATA(fscache_n_culled, "", "");
KSYMTAB_DATA(fscache_n_dio_misfit, "", "");

SYMBOL_CRC(netfs_readahead, 0xf90d6e36, "");
SYMBOL_CRC(netfs_read_folio, 0x68ab7e68, "");
SYMBOL_CRC(netfs_write_begin, 0xca5b0307, "");
SYMBOL_CRC(netfs_buffered_read_iter, 0xe2f18242, "");
SYMBOL_CRC(netfs_file_read_iter, 0x6b33d294, "");
SYMBOL_CRC(netfs_perform_write, 0xcd9ec630, "");
SYMBOL_CRC(netfs_buffered_write_iter_locked, 0x5a6e81fe, "");
SYMBOL_CRC(netfs_file_write_iter, 0xebe24691, "");
SYMBOL_CRC(netfs_page_mkwrite, 0x68608e4b, "");
SYMBOL_CRC(netfs_unbuffered_read_iter_locked, 0x9a44afb6, "");
SYMBOL_CRC(netfs_unbuffered_read_iter, 0xb8e66a5e, "");
SYMBOL_CRC(netfs_unbuffered_write_iter_locked, 0x995354af, "");
SYMBOL_CRC(netfs_unbuffered_write_iter, 0x9080b887, "");
SYMBOL_CRC(netfs_subreq_terminated, 0x69f015c0, "");
SYMBOL_CRC(netfs_extract_user_iter, 0x84d292af, "_gpl");
SYMBOL_CRC(netfs_limit_iter, 0x481c6bb1, "");
SYMBOL_CRC(netfs_start_io_read, 0x68f022a1, "");
SYMBOL_CRC(netfs_end_io_read, 0xa1892d29, "");
SYMBOL_CRC(netfs_start_io_write, 0x65d3cd17, "");
SYMBOL_CRC(netfs_end_io_write, 0x8679bf0a, "");
SYMBOL_CRC(netfs_start_io_direct, 0xdb7b0404, "");
SYMBOL_CRC(netfs_end_io_direct, 0xb89ec2af, "");
SYMBOL_CRC(__tracepoint_netfs_sreq, 0xd244949f, "");
SYMBOL_CRC(__traceiter_netfs_sreq, 0x44697f57, "");
SYMBOL_CRC(__SCK__tp_func_netfs_sreq, 0x895d0b7f, "");
SYMBOL_CRC(netfs_dirty_folio, 0x8b006d02, "");
SYMBOL_CRC(netfs_unpin_writeback, 0xc36ab649, "");
SYMBOL_CRC(netfs_clear_inode_writeback, 0x172cf038, "");
SYMBOL_CRC(netfs_invalidate_folio, 0xb22f0710, "");
SYMBOL_CRC(netfs_release_folio, 0xbc85609c, "");
SYMBOL_CRC(netfs_write_subrequest_terminated, 0x90f5f875, "");
SYMBOL_CRC(netfs_prepare_write_failed, 0xbcb9675d, "");
SYMBOL_CRC(netfs_writepages, 0x16bb54c6, "");
SYMBOL_CRC(netfs_stats_show, 0x4412adab, "");
SYMBOL_CRC(fscache_addremove_sem, 0x557a775f, "");
SYMBOL_CRC(fscache_clearance_waiters, 0x8c2d6da7, "");
SYMBOL_CRC(fscache_acquire_cache, 0xbb3a31bb, "");
SYMBOL_CRC(fscache_relinquish_cache, 0x0cc65fe6, "");
SYMBOL_CRC(fscache_add_cache, 0x939c450c, "");
SYMBOL_CRC(fscache_io_error, 0x28e60bdb, "");
SYMBOL_CRC(fscache_withdraw_cache, 0xf1ea9f96, "");
SYMBOL_CRC(fscache_end_cookie_access, 0x5490560f, "");
SYMBOL_CRC(fscache_cookie_lookup_negative, 0x4a4e2520, "");
SYMBOL_CRC(fscache_resume_after_invalidation, 0x34e203d0, "");
SYMBOL_CRC(fscache_caching_failed, 0x9e14de38, "");
SYMBOL_CRC(__fscache_acquire_cookie, 0x9bb9d235, "");
SYMBOL_CRC(__fscache_use_cookie, 0x6eb1adad, "");
SYMBOL_CRC(__fscache_unuse_cookie, 0x6d031dc5, "");
SYMBOL_CRC(fscache_withdraw_cookie, 0xd2b26c0c, "");
SYMBOL_CRC(__fscache_relinquish_cookie, 0xfcd85aeb, "");
SYMBOL_CRC(fscache_put_cookie, 0x49067296, "");
SYMBOL_CRC(fscache_get_cookie, 0x69d8c0f6, "");
SYMBOL_CRC(__fscache_invalidate, 0xfe08336d, "");
SYMBOL_CRC(fscache_wait_for_operation, 0x5335171c, "");
SYMBOL_CRC(__fscache_begin_read_operation, 0xe4fb1542, "");
SYMBOL_CRC(__fscache_begin_write_operation, 0x28e59795, "");
SYMBOL_CRC(__fscache_clear_page_bits, 0x7a7d2e2c, "");
SYMBOL_CRC(__fscache_write_to_cache, 0x5c1683ac, "");
SYMBOL_CRC(__fscache_resize_cookie, 0x06cc1a8c, "");
SYMBOL_CRC(__tracepoint_fscache_access_cache, 0x2b389369, "");
SYMBOL_CRC(__traceiter_fscache_access_cache, 0xae6040a5, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access_cache, 0x4bd084ba, "");
SYMBOL_CRC(__tracepoint_fscache_access_volume, 0x71fb0e58, "");
SYMBOL_CRC(__traceiter_fscache_access_volume, 0x234a140d, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access_volume, 0x6e416521, "");
SYMBOL_CRC(__tracepoint_fscache_access, 0x77e19a42, "");
SYMBOL_CRC(__traceiter_fscache_access, 0xdcb87498, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access, 0x306805d3, "");
SYMBOL_CRC(fscache_wq, 0xbca46908, "");
SYMBOL_CRC(fscache_try_get_volume, 0x7047cddf, "");
SYMBOL_CRC(fscache_end_volume_access, 0x993db1b2, "");
SYMBOL_CRC(__fscache_acquire_volume, 0xb4cc6412, "");
SYMBOL_CRC(fscache_put_volume, 0x21924115, "");
SYMBOL_CRC(__fscache_relinquish_volume, 0x7f719e7f, "");
SYMBOL_CRC(fscache_withdraw_volume, 0xc8fa6e30, "");
SYMBOL_CRC(fscache_n_updates, 0x4996bd29, "");
SYMBOL_CRC(fscache_n_read, 0x9ffefcb2, "");
SYMBOL_CRC(fscache_n_write, 0x1a0d09e7, "");
SYMBOL_CRC(fscache_n_no_write_space, 0xcce11a60, "");
SYMBOL_CRC(fscache_n_no_create_space, 0x4404d2aa, "");
SYMBOL_CRC(fscache_n_culled, 0x90d447f3, "");
SYMBOL_CRC(fscache_n_dio_misfit, 0x2acb5e19, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc528a49a, "queued_write_lock_slowpath" },
	{ 0x926317fe, "vfs_fsync_range" },
	{ 0xd277ba66, "flush_dcache_page" },
	{ 0xa5592005, "wbc_detach_inode" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4506c655, "bpf_trace_run4" },
	{ 0xde999017, "kiocb_write_and_wait" },
	{ 0x60b73b66, "param_ops_uint" },
	{ 0xae59dee5, "filemap_range_has_page" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x750f789f, "folio_unlock" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4e671beb, "dump_page" },
	{ 0x93b9a682, "trace_raw_output_prep" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0x556be6e0, "__trace_trigger_soft_disabled" },
	{ 0x862b321e, "filemap_fdatawrite_range" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xe75df258, "iov_iter_advance" },
	{ 0xcb6b138, "trace_event_printf" },
	{ 0x23967b1, "xas_find" },
	{ 0x5abb0588, "folio_redirty_for_writepage" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x3f7c8b8f, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x18764fbc, "unmap_mapping_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x1de29a74, "invalidate_inode_pages2_range" },
	{ 0xb43b82f8, "wbc_attach_and_unlock_inode" },
	{ 0xc4e40b90, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x38a505c9, "remove_proc_subtree" },
	{ 0xf3cfded1, "flush_dcache_folio" },
	{ 0x3494ac55, "kmem_cache_create" },
	{ 0xd808d242, "folio_clear_dirty_for_io" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0xfb6dfa14, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x617c452b, "queued_read_lock_slowpath" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x64dacef, "__filemap_set_wb_err" },
	{ 0xbb4993b1, "__filemap_get_folio" },
	{ 0x63c26817, "filemap_invalidate_inode" },
	{ 0x6e3b4a93, "folio_mark_dirty" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x180bdc16, "iov_iter_extract_pages" },
	{ 0x3dbeb99f, "copy_page_from_iter_atomic" },
	{ 0xd64183a9, "__folio_swap_cache_index" },
	{ 0xf718b03b, "folio_wait_private_2" },
	{ 0x800473f, "__cond_resched" },
	{ 0xad9901ae, "bit_waitqueue" },
	{ 0x5b8d4bdb, "kmem_cache_size" },
	{ 0xfeb343d1, "mempool_alloc_noprof" },
	{ 0x73a1500d, "readahead_expand" },
	{ 0x5156983c, "__inode_attach_wb" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x636bb838, "__folio_lock_killable" },
	{ 0x4bb807c7, "perf_trace_run_bpf_submit" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x4071b517, "out_of_line_wait_on_bit_timeout" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x44494c12, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x209fb23, "xas_load" },
	{ 0xcd6288b3, "file_update_time" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbc037f7, "kmem_cache_free" },
	{ 0x6f2c2cc6, "seq_putc" },
	{ 0x2092327, "trace_event_reg" },
	{ 0x174d71c0, "file_remove_privs" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xb78f2b2d, "__folio_start_writeback" },
	{ 0xdc0f8a86, "bpf_trace_run1" },
	{ 0xcf8a00e7, "folio_end_writeback" },
	{ 0xba4f6721, "folio_alloc_noprof" },
	{ 0xb61d6fc2, "down_read_interruptible" },
	{ 0xe4757a66, "proc_mkdir" },
	{ 0xdcb764ad, "memset" },
	{ 0xa89488c5, "iov_iter_bvec" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xba613732, "unpin_user_page" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0xd235061c, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x515c015, "folio_end_private_2" },
	{ 0x5ac5a2b0, "writeback_iter" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x456d74d5, "set_page_dirty" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x2da8d207, "bpf_trace_run3" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44bae227, "bit_wait_timeout" },
	{ 0xda2d7a21, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x364850b1, "down_write_killable" },
	{ 0x4b42c7e4, "filemap_fdatawait_range" },
	{ 0xca431c05, "wake_bit_function" },
	{ 0x5737dbe8, "seq_write" },
	{ 0xa873d5b5, "__folio_put" },
	{ 0xe225b8f6, "remove_proc_entry" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x899fbd06, "seq_printf" },
	{ 0xecc1c781, "iov_iter_zero" },
	{ 0x7354a5d9, "touch_atime" },
	{ 0xdc5007cd, "filemap_read" },
	{ 0x902a1384, "__percpu_down_read" },
	{ 0x6d5bf529, "balance_dirty_pages_ratelimited_flags" },
	{ 0x18888d00, "downgrade_write" },
	{ 0x984949c3, "filemap_dirty_folio" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x15ad86aa, "rcuwait_wake_up" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0x8ebb7413, "iov_iter_xarray" },
	{ 0x9ef52c28, "proc_create_single_data" },
	{ 0x91451e17, "filemap_write_and_wait_range" },
	{ 0x3f4e41db, "folio_wait_writeback_killable" },
	{ 0xf2d95916, "mempool_init_noprof" },
	{ 0x98cf60b3, "strlen" },
	{ 0x8ab9f010, "proc_symlink" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xd07c84df, "generic_write_checks" },
	{ 0xc87ff6e5, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x618c9a06, "proc_create_seq_private" },
	{ 0x92f8a232, "folio_wait_private_2_killable" },
	{ 0x5359e8dc, "__kvmalloc_node_noprof" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xb4c7e417, "iov_iter_npages" },
	{ 0xbbadf633, "fault_in_iov_iter_readable" },
	{ 0xf9a482f9, "msleep" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x38e46431, "mempool_exit" },
	{ 0x309989e7, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5AC6356C958C28F4764D8D9");
