#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x13776549, "__tracepoint_bl_pr_key_unreg" },
	{ 0xc76f40df, "pnfs_register_layoutdriver" },
	{ 0xdc4109fc, "bdev_file_open_by_path" },
	{ 0xd4845a05, "try_module_get" },
	{ 0x9d2acd6f, "__traceiter_bl_pr_key_unreg_err" },
	{ 0x58eb30a1, "pnfs_ld_read_done" },
	{ 0xd277ba66, "flush_dcache_page" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xed30eb5e, "blk_start_plug" },
	{ 0xb2cf00f5, "pnfs_set_lo_fail" },
	{ 0xad267627, "nfs4_init_deviceid_node" },
	{ 0x65b8fb6e, "nfs_pageio_reset_read_mds" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x2d5d3d72, "vmalloc_to_page" },
	{ 0xeefe15e4, "__traceiter_bl_pr_key_reg" },
	{ 0xd2b59529, "xdr_inline_decode" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4e671beb, "dump_page" },
	{ 0xb51a3724, "rpc_pipefs_notifier_unregister" },
	{ 0xca9360b5, "rb_next" },
	{ 0x470ca828, "pnfs_generic_pg_init_read" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x57a7d02c, "pnfs_generic_pg_writepages" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xcccfa99c, "page_cache_next_miss" },
	{ 0xe2964344, "__wake_up" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0x12490fe3, "pnfs_generic_pg_readpages" },
	{ 0xbca2a65f, "rpc_put_sb_net" },
	{ 0x8f0d0005, "register_pernet_subsys" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf82ec573, "rb_prev" },
	{ 0xf108cd02, "rpc_destroy_pipe_data" },
	{ 0x581e9a37, "__free_pages" },
	{ 0x387e1639, "rpc_pipefs_notifier_register" },
	{ 0x8ea9edee, "blk_finish_plug" },
	{ 0xdefd9595, "submit_bio" },
	{ 0xc8a77437, "rpc_pipe_generic_upcall" },
	{ 0x1f9a9c72, "module_put" },
	{ 0x15c4928, "__traceiter_bl_pr_key_unreg" },
	{ 0xd43cb3a, "bio_put" },
	{ 0xe07923f5, "nfs4_put_deviceid_node" },
	{ 0x97b585fb, "fput" },
	{ 0xb5e6d1b5, "rpc_d_lookup_sb" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x50d285c0, "nfs_pageio_reset_write_mds" },
	{ 0x39d8a50e, "__tracepoint_bl_pr_key_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xfb30ba8d, "nfs4_find_get_deviceid" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xef377c83, "bio_add_page" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xbb9c0973, "__put_devmap_managed_folio_refs" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xf7649b7e, "bdev_file_open_by_dev" },
	{ 0xe7e13a1f, "unregister_pernet_subsys" },
	{ 0x4aa3b832, "rpc_queue_upcall" },
	{ 0x77de303e, "xdr_init_decode_pages" },
	{ 0xdcb764ad, "memset" },
	{ 0x3894a42a, "pnfs_generic_sync" },
	{ 0x2c4f2e35, "__vmalloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xec7b3f70, "pnfs_generic_pg_cleanup" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x57283457, "rpc_get_sb_net" },
	{ 0xece784c2, "rb_first" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xd3ad1ec3, "pnfs_generic_pg_test" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xea40716, "__tracepoint_bl_pr_key_reg_err" },
	{ 0x39d62c1d, "rpc_mkpipe_dentry" },
	{ 0xb79060d2, "rpc_mkpipe_data" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x260e40d, "nfs4_mark_deviceid_unavailable" },
	{ 0xa873d5b5, "__folio_put" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xc3a2be67, "nfs_net_id" },
	{ 0x57e37e3c, "nfs4_delete_deviceid" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8db941b8, "dput" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x41f4d580, "pnfs_error_mark_layout_for_return" },
	{ 0x45a5dfbc, "pnfs_ld_write_done" },
	{ 0x557d1823, "alloc_pages_noprof" },
	{ 0x70c059bb, "rpc_unlink" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xdbb89eb5, "file_bdev" },
	{ 0x11ec3c0, "nfs_dreq_bytes_left" },
	{ 0x6bec9822, "__tracepoint_bl_pr_key_unreg_err" },
	{ 0xd97e0d07, "bio_alloc_bioset" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0xe275ddc4, "fs_bio_set" },
	{ 0x764fa72d, "__traceiter_bl_pr_key_reg_err" },
	{ 0x5a60b154, "pnfs_generic_pg_init_write" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x7027bc19, "pnfs_unregister_layoutdriver" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "nfsv4,nfs,sunrpc");


MODULE_INFO(srcversion, "33427E7E1664DF71F75A95A");
