#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x697870ab, "__traceiter_pnfs_mds_fallback_read_done" },
	{ 0xc76f40df, "pnfs_register_layoutdriver" },
	{ 0x4134f6fc, "pnfs_generic_ds_cinfo_release_lseg" },
	{ 0x6b567d26, "nfs4_mark_deviceid_available" },
	{ 0x22054c48, "nfs_writeback_update_inode" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x60b73b66, "param_ops_uint" },
	{ 0xd381e90, "__tracepoint_pnfs_mds_fallback_pg_init_write" },
	{ 0xad267627, "nfs4_init_deviceid_node" },
	{ 0xbd06bd1, "__tracepoint_pnfs_mds_fallback_write_pagelist" },
	{ 0x65b8fb6e, "nfs_pageio_reset_read_mds" },
	{ 0xc2db49a2, "xdr_write_pages" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xd6ed3dec, "pnfs_generic_ds_cinfo_destroy" },
	{ 0x7665356a, "param_ops_ushort" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd47333c2, "__tracepoint_nfs4_pnfs_write" },
	{ 0xd2b59529, "xdr_inline_decode" },
	{ 0x5eeb1188, "rpc_count_iostats_metrics" },
	{ 0x4e671beb, "dump_page" },
	{ 0xfe40e139, "__traceiter_nfs4_pnfs_commit_ds" },
	{ 0xbc773afc, "rpc_wake_up" },
	{ 0x89272455, "pnfs_write_done_resend_to_mds" },
	{ 0x802046c5, "__tracepoint_nfs4_pnfs_read" },
	{ 0x2f1e21ba, "__tracepoint_ff_layout_write_error" },
	{ 0xfef97f5e, "pnfs_free_commit_array" },
	{ 0x5e635d42, "__traceiter_ff_layout_read_error" },
	{ 0x4829a47e, "memcpy" },
	{ 0x9f80f4b, "pnfs_generic_pg_check_layout" },
	{ 0x37a0cba, "kfree" },
	{ 0xff922e2b, "pnfs_generic_prepare_to_resend_writes" },
	{ 0x57a7d02c, "pnfs_generic_pg_writepages" },
	{ 0xcdf8e461, "rpc_restart_call_prepare" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xc6924bac, "__traceiter_nfs4_pnfs_write" },
	{ 0x2174b794, "__tracepoint_ff_layout_commit_error" },
	{ 0xf62022e9, "pnfs_read_done_resend_to_mds" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0xa1270c1f, "pnfs_add_commit_array" },
	{ 0x12490fe3, "pnfs_generic_pg_readpages" },
	{ 0xf999267e, "pnfs_generic_commit_release" },
	{ 0x1a5dde31, "rpc_clnt_disconnect" },
	{ 0xb15b2d, "__put_cred" },
	{ 0x4fc0a3e, "rpc_cancel_tasks" },
	{ 0x6085edbd, "nfs_map_string_to_numeric" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8f417f5, "nfs4_test_deviceid_unavailable" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xedf92aba, "make_kuid" },
	{ 0xabd83c34, "__traceiter_ff_layout_commit_error" },
	{ 0x555bb1db, "__tracepoint_pnfs_mds_fallback_read_pagelist" },
	{ 0xa916b694, "strnlen" },
	{ 0x581e9a37, "__free_pages" },
	{ 0x69d3558d, "pnfs_generic_rw_release" },
	{ 0x20286656, "pnfs_generic_scan_commit_lists" },
	{ 0xc8c8d76b, "init_task" },
	{ 0x3817f792, "pnfs_set_layoutcommit" },
	{ 0xeee681ed, "__traceiter_nfs4_pnfs_read" },
	{ 0xed15fb41, "nfs4_print_deviceid" },
	{ 0x4b216e60, "pnfs_report_layoutstat" },
	{ 0xe07923f5, "nfs4_put_deviceid_node" },
	{ 0x337bbeb2, "pnfs_put_lseg" },
	{ 0x697556c1, "pnfs_layoutcommit_inode" },
	{ 0x5e16717e, "nfs4_pnfs_ds_add" },
	{ 0x65a7f72, "__traceiter_pnfs_mds_fallback_write_done" },
	{ 0x6eda024e, "pnfs_destroy_layout" },
	{ 0x9ed068cb, "pnfs_layout_mark_request_commit" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x50d285c0, "nfs_pageio_reset_write_mds" },
	{ 0xa5d4fa71, "rpc_max_payload" },
	{ 0x3cd384d2, "nfs4_find_or_create_ds_client" },
	{ 0xefe50b35, "__traceiter_ff_layout_write_error" },
	{ 0x7e3b99ab, "from_kgid" },
	{ 0xfb30ba8d, "nfs4_find_get_deviceid" },
	{ 0xf51ebf9a, "pnfs_read_resend_pnfs" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xed726924, "__traceiter_pnfs_mds_fallback_pg_get_mirror_count" },
	{ 0xbb9c0973, "__put_devmap_managed_folio_refs" },
	{ 0x4997d14e, "__traceiter_pnfs_mds_fallback_read_pagelist" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x4fc80a10, "rpc_call_start" },
	{ 0xdd342fa8, "__tracepoint_pnfs_mds_fallback_read_done" },
	{ 0x9d2ce248, "from_kuid" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x18b41178, "__tracepoint_ff_layout_read_error" },
	{ 0x77de303e, "xdr_init_decode_pages" },
	{ 0xdcb764ad, "memset" },
	{ 0xf8e270b2, "pnfs_generic_layout_insert_lseg" },
	{ 0x3fae3c30, "rpc_delay" },
	{ 0x6dd6c80b, "pnfs_generic_write_commit_done" },
	{ 0xec7b3f70, "pnfs_generic_pg_cleanup" },
	{ 0x7c934642, "rpc_exit" },
	{ 0x437be782, "make_kgid" },
	{ 0xfe270841, "pnfs_update_layout" },
	{ 0xd3ad1ec3, "pnfs_generic_pg_test" },
	{ 0x41f949a9, "xdr_reserve_space" },
	{ 0xb6e43d57, "nfs4_sequence_done" },
	{ 0xe2af0d3d, "pnfs_generic_recover_commit_reqs" },
	{ 0xfb235a1c, "pnfs_generic_commit_pagelist" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x63285a89, "__traceiter_pnfs_mds_fallback_write_pagelist" },
	{ 0xff5501ee, "nfs_initiate_pgio" },
	{ 0x388e72c, "nfs4_decode_mp_ds_addr" },
	{ 0x2da1276, "__tracepoint_nfs4_pnfs_commit_ds" },
	{ 0x260e40d, "nfs4_mark_deviceid_unavailable" },
	{ 0x4bbb3e25, "init_user_ns" },
	{ 0xa873d5b5, "__folio_put" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x57e37e3c, "nfs4_delete_deviceid" },
	{ 0x56470118, "__warn_printk" },
	{ 0x54bef45, "layoutstats_timer" },
	{ 0x6e637af7, "__tracepoint_pnfs_mds_fallback_write_done" },
	{ 0x3551c475, "nfs4_pnfs_ds_put" },
	{ 0x41f4d580, "pnfs_error_mark_layout_for_return" },
	{ 0x6880cb9e, "nfs_initiate_commit" },
	{ 0x557d1823, "alloc_pages_noprof" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x1d57c82c, "__tracepoint_pnfs_mds_fallback_pg_init_read" },
	{ 0xb0f64064, "prepare_kernel_cred" },
	{ 0x4669fe44, "nfs4_setup_sequence" },
	{ 0xbf34c94b, "nfs42_proc_layouterror" },
	{ 0x98cf60b3, "strlen" },
	{ 0x25d28b8b, "pnfs_generic_clear_request_commit" },
	{ 0x8be24f50, "__tracepoint_pnfs_mds_fallback_pg_get_mirror_count" },
	{ 0xe85c89a5, "__traceiter_pnfs_mds_fallback_pg_init_read" },
	{ 0x416afb17, "nfs4_pnfs_ds_connect" },
	{ 0x2011908d, "xdr_init_encode" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x982ec483, "__traceiter_pnfs_mds_fallback_pg_init_write" },
	{ 0xf9a482f9, "msleep" },
	{ 0x3b914db, "pnfs_alloc_commit_array" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0xe00d5676, "pnfs_nfs_generic_sync" },
	{ 0xf5be451b, "nfs4_schedule_session_recovery" },
	{ 0x7027bc19, "pnfs_unregister_layoutdriver" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "nfsv4,nfs,sunrpc");


MODULE_INFO(srcversion, "5222146C453B191DBC77526");
