#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc528a49a, "queued_write_lock_slowpath" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x2ce4d61e, "truncate_inode_pages" },
	{ 0x484f6edf, "ktime_get_coarse_real_ts64" },
	{ 0xe4ca3146, "bh_uptodate_or_lock" },
	{ 0x803ddbb6, "__posix_acl_create" },
	{ 0xb1b4db6, "inode_init_owner" },
	{ 0x859ac43a, "filemap_fdatawrite" },
	{ 0x72e7e5f4, "generic_fillattr" },
	{ 0x735cb660, "setattr_prepare" },
	{ 0xaf38aa4f, "clear_nlink" },
	{ 0xf8216fd9, "jbd2_complete_transaction" },
	{ 0x27b040e3, "filemap_flush" },
	{ 0xd277ba66, "flush_dcache_page" },
	{ 0xd5282a96, "__dquot_transfer" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x67c45018, "d_instantiate" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x8d039641, "simple_attr_open" },
	{ 0xe5675de8, "make_vfsgid" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x372e8e8a, "clear_inode" },
	{ 0x4506c655, "bpf_trace_run4" },
	{ 0xb09c4bad, "dquot_commit_info" },
	{ 0xc3805cd1, "fs_ftype_to_dtype" },
	{ 0xbebaed22, "debugfs_attr_write" },
	{ 0xc60b2b25, "dquot_disable" },
	{ 0xdf2c2742, "rb_last" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xb5f871dc, "dquot_free_inode" },
	{ 0x750f789f, "folio_unlock" },
	{ 0x791eb305, "jbd2_journal_grab_journal_head" },
	{ 0xb7e68e77, "mode_strip_sgid" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x502ddde, "new_inode" },
	{ 0x7ce18c9f, "from_kqid" },
	{ 0x1ae07687, "user_path_create" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xcb2c42b0, "jbd2_journal_stop" },
	{ 0x4e671beb, "dump_page" },
	{ 0x93b9a682, "trace_raw_output_prep" },
	{ 0x29d9e012, "forget_all_cached_acls" },
	{ 0xafb6a8f5, "init_special_inode" },
	{ 0x50559c2, "unregister_filesystem" },
	{ 0x9b00a9a9, "jbd2_journal_inode_ranged_write" },
	{ 0x7e85034f, "bpf_trace_run6" },
	{ 0x4ad0453d, "jbd2_journal_restart" },
	{ 0xb38e6c7e, "mark_buffer_dirty" },
	{ 0xca9360b5, "rb_next" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xd14a5993, "generic_error_remove_folio" },
	{ 0xb17c7914, "__find_get_block" },
	{ 0x556be6e0, "__trace_trigger_soft_disabled" },
	{ 0x862b321e, "filemap_fdatawrite_range" },
	{ 0xcf846f2c, "jbd2_journal_set_triggers" },
	{ 0xdb4d0fc1, "__block_write_begin" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xea1b2a2d, "inode_query_iversion" },
	{ 0x8c45392f, "__blockdev_direct_IO" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xd3b4fdbb, "nop_posix_acl_access" },
	{ 0x59b49198, "jbd2_journal_load" },
	{ 0xd7b73e50, "nop_posix_acl_default" },
	{ 0xd19d4bf4, "d_make_root" },
	{ 0xcb6b138, "trace_event_printf" },
	{ 0xeafc141f, "__posix_acl_chmod" },
	{ 0x96848186, "scnprintf" },
	{ 0xf25cb1b4, "jbd2_journal_set_features" },
	{ 0xc662d045, "sb_set_blocksize" },
	{ 0x816c581a, "sync_filesystem" },
	{ 0xcafdd707, "ocfs2_dlm_lock_status" },
	{ 0x8776b353, "end_buffer_read_sync" },
	{ 0x2110b866, "fsnotify" },
	{ 0xec130f3b, "d_splice_alias" },
	{ 0x355c3a6e, "jbd2_journal_unlock_updates" },
	{ 0xa151e15d, "current_time" },
	{ 0x3f7c8b8f, "trace_event_raw_init" },
	{ 0x8c69bc0d, "fiemap_prep" },
	{ 0x4829a47e, "memcpy" },
	{ 0x18764fbc, "unmap_mapping_range" },
	{ 0x845dcf46, "ihold" },
	{ 0x53450287, "page_get_link" },
	{ 0xdfd85c8a, "inode_dio_wait" },
	{ 0xbef1f933, "generic_permission" },
	{ 0x37a0cba, "kfree" },
	{ 0xd0741cad, "iput" },
	{ 0x4d78017d, "kset_unregister" },
	{ 0x84264ced, "fs_umode_to_ftype" },
	{ 0x5b66fa60, "seq_lseek" },
	{ 0x41b1d68b, "wrap_directory_iterator" },
	{ 0x6ba8ec24, "jbd2_journal_clear_features" },
	{ 0x8d55bb8a, "qid_eq" },
	{ 0xbbc4ef97, "ocfs2_stack_supports_plocks" },
	{ 0x78d205c5, "iter_file_splice_write" },
	{ 0xc4e40b90, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x3f08e10b, "jbd2_journal_finish_inode_data_buffers" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0xe2964344, "__wake_up" },
	{ 0xa59501be, "register_filesystem" },
	{ 0x2bb6099e, "dq_data_lock" },
	{ 0x3494ac55, "kmem_cache_create" },
	{ 0x981ae878, "bpf_trace_run8" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x37e1f2e7, "dquot_drop" },
	{ 0xcd8cec81, "path_put" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0xccd9d8b7, "submit_bh" },
	{ 0x25db737f, "vfs_setpos" },
	{ 0x1c0840c7, "shrink_dcache_parent" },
	{ 0xb3fbb76c, "user_path_at" },
	{ 0xb005128f, "make_vfsuid" },
	{ 0xc9fae756, "ocfs2_cluster_connect" },
	{ 0x354b3d7c, "wake_up_process" },
	{ 0xfb6dfa14, "trace_event_buffer_commit" },
	{ 0x73553a0a, "dquot_scan_active" },
	{ 0x13fb5712, "qtree_entry_unused" },
	{ 0x55711508, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x774f8fa8, "inode_newsize_ok" },
	{ 0x897b46cc, "lock_two_nondirectories" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0xd4e6875d, "kill_block_super" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0xc5fb2669, "mnt_want_write_file" },
	{ 0xf9e8a4c3, "unlock_new_inode" },
	{ 0x122c3a7e, "_printk" },
	{ 0x605790dc, "fiemap_fill_next_extent" },
	{ 0x3874463, "block_invalidate_folio" },
	{ 0x3a39fede, "make_kprojid" },
	{ 0x8b038d7e, "jbd2_journal_init_jbd_inode" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x53cafa6c, "jbd2_journal_get_write_access" },
	{ 0x1000e51, "schedule" },
	{ 0x617c452b, "queued_read_lock_slowpath" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xedf92aba, "make_kuid" },
	{ 0x62564c16, "try_to_free_buffers" },
	{ 0xe3fb7190, "create_empty_buffers" },
	{ 0x3280e341, "truncate_inode_pages_final" },
	{ 0x3cdfbd17, "sync_blockdev" },
	{ 0x3d14f797, "wait_for_stable_page" },
	{ 0xa916b694, "strnlen" },
	{ 0x5ad027e9, "sync_mapping_buffers" },
	{ 0x15855bc9, "dquot_initialize" },
	{ 0xeb6d5d5a, "locks_init_lock" },
	{ 0xd806a273, "ocfs2_dlm_dump_lksb" },
	{ 0xd344e4ee, "ocfs2_stack_glue_set_max_proto_version" },
	{ 0xbfb525e, "setattr_should_drop_suidgid" },
	{ 0x6a0c3847, "__mlog_printk" },
	{ 0x4e1fac52, "block_commit_write" },
	{ 0x7e6f149, "bdev_getblk" },
	{ 0xc6cbbc89, "capable" },
	{ 0x158596be, "mnt_drop_write_file" },
	{ 0xa726931, "ocfs2_cluster_this_node" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x979afabd, "inode_init_once" },
	{ 0x7f68872b, "file_write_and_wait_range" },
	{ 0xe0cfd2c0, "qtree_write_dquot" },
	{ 0x800473f, "__cond_resched" },
	{ 0xaf969565, "ocfs2_dlm_lock" },
	{ 0xb6907a2b, "mark_page_accessed" },
	{ 0x579acfde, "debugfs_attr_read" },
	{ 0xd0ac59c7, "seq_escape_mem" },
	{ 0x2f24c40c, "ilookup5" },
	{ 0x1475f64b, "ocfs2_dlm_lvb_valid" },
	{ 0xa2a83cb3, "jbd2_journal_clear_err" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x2c48f401, "__brelse" },
	{ 0x809178d9, "inode_nohighmem" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x4bb807c7, "perf_trace_run_bpf_submit" },
	{ 0x2bf1c706, "jbd2_journal_init_inode" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x3c3d7cc4, "jbd2_journal_abort" },
	{ 0xab476fb1, "generic_file_read_iter" },
	{ 0x136a48c0, "inode_maybe_inc_iversion" },
	{ 0x5b505dc4, "unlock_page" },
	{ 0x8ad4f7ee, "filemap_fdatawrite_wbc" },
	{ 0x4e3567f7, "match_int" },
	{ 0x834115a1, "qtree_release_dquot" },
	{ 0x98aec55f, "set_cached_acl" },
	{ 0x9295faf0, "simple_attr_release" },
	{ 0xf9c1a1db, "unlock_two_nondirectories" },
	{ 0xc5196999, "ocfs2_dlm_unlock" },
	{ 0x311a033b, "dquot_resume" },
	{ 0x44494c12, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x27a8b519, "setattr_copy" },
	{ 0x694ec07c, "jbd2_journal_release_jbd_inode" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xb41f8c04, "__wait_on_buffer" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7e294c9a, "set_nlink" },
	{ 0xc3bc7dc7, "kmem_cache_alloc_lru_noprof" },
	{ 0xbc037f7, "kmem_cache_free" },
	{ 0x495eed8e, "debugfs_remove" },
	{ 0x9b496b21, "posix_acl_alloc" },
	{ 0x5a921311, "strncmp" },
	{ 0x184347a8, "security_inode_init_security" },
	{ 0xe0d56fbb, "d_move" },
	{ 0x6f2c2cc6, "seq_putc" },
	{ 0x7e3b99ab, "from_kgid" },
	{ 0xb5700128, "qtree_read_dquot" },
	{ 0xbc2986c0, "__bh_read" },
	{ 0x2092327, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x336c279, "jbd2_journal_start_commit" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xb7a8c8f6, "blkdev_issue_zeroout" },
	{ 0x83cc886f, "mpage_writepages" },
	{ 0xdee48a2c, "jbd2_journal_ack_err" },
	{ 0xf1e046cc, "panic" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x560f680, "ocfs2_plock" },
	{ 0x12730c7e, "kobject_init_and_add" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x96da08c7, "write_inode_now" },
	{ 0x7cec58bf, "jbd2_trans_will_send_data_barrier" },
	{ 0x413a3fb, "jbd2_journal_extend" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x6b53bbb8, "__audit_inode_child" },
	{ 0x6d89f485, "d_obtain_alias" },
	{ 0xbb9c0973, "__put_devmap_managed_folio_refs" },
	{ 0x4cdb9669, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x52402867, "__seq_open_private" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xdba257d4, "ocfs2_kset" },
	{ 0xc6c062dc, "block_dirty_folio" },
	{ 0x87a4d2fc, "dquot_alloc_inode" },
	{ 0xdc0f8a86, "bpf_trace_run1" },
	{ 0x1dc6e4cc, "bpf_trace_run9" },
	{ 0xc30d53cd, "jbd2_journal_dirty_metadata" },
	{ 0x9d2ce248, "from_kuid" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xdcb764ad, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x8936417b, "generic_remap_file_range_prep" },
	{ 0xb444b67d, "__insert_inode_hash" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x250f391e, "buffer_migrate_folio" },
	{ 0x4419dde5, "debugfs_create_u32" },
	{ 0xd235061c, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x7cc4a5d, "printk_timed_ratelimit" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe13083e4, "register_quota_format" },
	{ 0x437be782, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x976901f9, "jbd2_journal_wipe" },
	{ 0xcd223639, "d_delete" },
	{ 0x18b2b87e, "jbd2_journal_start" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0xf2007480, "unregister_quota_format" },
	{ 0x31d75226, "kthread_create_on_node" },
	{ 0xbd0e616d, "block_read_full_folio" },
	{ 0xa095e02e, "generic_check_addressable" },
	{ 0x2da8d207, "bpf_trace_run3" },
	{ 0x32f1e81b, "seq_read" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x73ecd3fa, "jbd2_journal_destroy" },
	{ 0xe6b4318f, "__dquot_alloc_space" },
	{ 0xf80d1851, "unlock_buffer" },
	{ 0x13107c3a, "debugfs_create_file" },
	{ 0x705109d4, "igrab" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc9fae843, "generic_read_dir" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x72584bb2, "kobject_del" },
	{ 0xda2d7a21, "trace_event_buffer_reserve" },
	{ 0xe0dc0934, "__dquot_free_space" },
	{ 0x85df9b6c, "strsep" },
	{ 0xd78984a8, "mount_bdev" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x32f77ad4, "mpage_readahead" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x4b42c7e4, "filemap_fdatawait_range" },
	{ 0x76f40744, "ocfs2_dlm_lvb" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xdb0c2a7, "jbd2_journal_check_used_features" },
	{ 0x6d6fec1f, "ktime_mono_to_any" },
	{ 0x4bbb3e25, "init_user_ns" },
	{ 0x92244def, "inode_set_ctime_current" },
	{ 0x2d9f9fea, "inc_nlink" },
	{ 0x44e9a829, "match_token" },
	{ 0xa873d5b5, "__folio_put" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x899fbd06, "seq_printf" },
	{ 0x8db941b8, "dput" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x902a1384, "__percpu_down_read" },
	{ 0x75a81995, "jbd2_journal_force_commit" },
	{ 0xd36a68a, "__lock_buffer" },
	{ 0x6b6ebcef, "jbd2_journal_get_undo_access" },
	{ 0x59094424, "qtree_get_next_id" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x471f4ea5, "jbd2_log_wait_commit" },
	{ 0xe586dbb1, "posix_acl_update_mode" },
	{ 0x2b207fb, "truncate_inode_pages_range" },
	{ 0x14f9c25d, "__folio_lock" },
	{ 0x3ee3404d, "pagecache_get_page" },
	{ 0xe69b7f5d, "blkdev_issue_flush" },
	{ 0x8cb339d9, "is_bad_inode" },
	{ 0x15ad86aa, "rcuwait_wake_up" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xc04183fb, "block_is_partially_uptodate" },
	{ 0x231a5184, "jbd2_journal_put_journal_head" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x8f052bf7, "filemap_splice_read" },
	{ 0xb2e5e917, "done_path_create" },
	{ 0xe12c5f79, "seq_release_private" },
	{ 0xb69a9ac6, "end_buffer_write_sync" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0xe45ca89f, "iget5_locked" },
	{ 0xb78c122a, "__generic_file_write_iter" },
	{ 0xe1516076, "jbd2_journal_lock_updates" },
	{ 0x91451e17, "filemap_write_and_wait_range" },
	{ 0x9507547f, "ocfs2_cluster_disconnect" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x98cf60b3, "strlen" },
	{ 0x37119ca5, "bpf_trace_run7" },
	{ 0x731ab66f, "clean_bdev_aliases" },
	{ 0xdcae8596, "jbd2_journal_errno" },
	{ 0xd07c84df, "generic_write_checks" },
	{ 0xd4a8f2b2, "dqget" },
	{ 0xe14d2d46, "inode_permission" },
	{ 0x27a25038, "dqput" },
	{ 0x4d3af7fa, "ocfs2_cluster_hangup" },
	{ 0x18b79219, "dquot_quotactl_sysfile_ops" },
	{ 0xb74f87f0, "filemap_fault" },
	{ 0xe820ea6a, "debugfs_create_dir" },
	{ 0xc188c736, "__mark_inode_dirty" },
	{ 0xe7508f4f, "generic_file_llseek" },
	{ 0xec805f, "make_bad_inode" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x672d619a, "jbd2_journal_begin_ordered_truncate" },
	{ 0x53b954a2, "up_read" },
	{ 0x820a7a21, "dquot_load_quota_inode" },
	{ 0x5f9d8bb7, "put_pid" },
	{ 0x3a78bef4, "drop_nlink" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x181dd590, "jbd2_journal_flush" },
	{ 0x3fe2ccbe, "memweight" },
	{ 0x6f16b3a4, "kobject_get" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x309989e7, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x22666776, "kset_create_and_add" },
	{ 0x23289d8d, "blkdev_issue_discard" },
	{ 0x677d981d, "kobject_put" },
	{ 0x6a5fa363, "sigprocmask" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "ocfs2_stackglue,ocfs2_nodemanager");


MODULE_INFO(srcversion, "6E97C11CB425EADA46932FB");
