#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1683e03a, "super_setup_bdi_name" },
	{ 0x484f6edf, "ktime_get_coarse_real_ts64" },
	{ 0xa010d55c, "crypto_comp_decompress" },
	{ 0xb1b4db6, "inode_init_owner" },
	{ 0x72e7e5f4, "generic_fillattr" },
	{ 0x735cb660, "setattr_prepare" },
	{ 0x8c13b844, "filemap_migrate_folio" },
	{ 0xcf8c8ae0, "iget_locked" },
	{ 0xfce0789c, "shrinker_alloc" },
	{ 0xd46f8943, "generic_set_sb_d_ops" },
	{ 0xaf38aa4f, "clear_nlink" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd277ba66, "flush_dcache_page" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x67c45018, "d_instantiate" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x372e8e8a, "clear_inode" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x6f5d83d7, "crypto_alloc_base" },
	{ 0xe4d5aa95, "empty_aops" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x750f789f, "folio_unlock" },
	{ 0xa84565ed, "fscrypt_ioctl_remove_key_all_users" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x502ddde, "new_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x2074f95d, "filemap_map_pages" },
	{ 0x4e671beb, "dump_page" },
	{ 0xafb6a8f5, "init_special_inode" },
	{ 0x50559c2, "unregister_filesystem" },
	{ 0x5d599594, "__fscrypt_prepare_setattr" },
	{ 0xbb5a8e73, "__fscrypt_prepare_lookup" },
	{ 0xca9360b5, "rb_next" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x176f140f, "fscrypt_ioctl_get_key_status" },
	{ 0xd19d4bf4, "d_make_root" },
	{ 0xb5a3a60a, "fscrypt_decrypt_block_inplace" },
	{ 0x816c581a, "sync_filesystem" },
	{ 0xa8aa9a13, "ubi_is_mapped" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0x5abb0588, "folio_redirty_for_writepage" },
	{ 0xec130f3b, "d_splice_alias" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xa151e15d, "current_time" },
	{ 0x4829a47e, "memcpy" },
	{ 0x845dcf46, "ihold" },
	{ 0x37a0cba, "kfree" },
	{ 0x47a49e12, "finish_open" },
	{ 0xd0741cad, "iput" },
	{ 0x4d78017d, "kset_unregister" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x78d205c5, "iter_file_splice_write" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x42801d20, "ubi_sync" },
	{ 0xf3cfded1, "flush_dcache_folio" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0xe2964344, "__wake_up" },
	{ 0x28e9c8e4, "generic_file_write_iter" },
	{ 0x7960c63, "ubi_open_volume_path" },
	{ 0xa59501be, "register_filesystem" },
	{ 0xc57b5f2a, "d_tmpfile" },
	{ 0x3494ac55, "kmem_cache_create" },
	{ 0x41814cb8, "dirty_writeback_interval" },
	{ 0xd808d242, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x6a2cd817, "fscrypt_ioctl_get_policy_ex" },
	{ 0x2e8718cd, "crypto_comp_compress" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3aa9480a, "ubi_get_volume_info" },
	{ 0x354b3d7c, "wake_up_process" },
	{ 0xf4f67952, "shrinker_free" },
	{ 0x16e6bcfd, "fscrypt_setup_filename" },
	{ 0xc63dce24, "crypto_destroy_tfm" },
	{ 0xaaf5534e, "simple_inode_init_ts" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0xa263892b, "fscrypt_fname_free_buffer" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0xf9e8a4c3, "unlock_new_inode" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x80e5f86f, "fscrypt_fname_alloc_buffer" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x9aa1adda, "fscrypt_set_context" },
	{ 0xedf92aba, "make_kuid" },
	{ 0x3280e341, "truncate_inode_pages_final" },
	{ 0x88fcd16f, "fs_kobj" },
	{ 0x64dacef, "__filemap_set_wb_err" },
	{ 0xc271b981, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0x25ef22c4, "fscrypt_file_open" },
	{ 0xa7ff7035, "shrinker_register" },
	{ 0xbb4993b1, "__filemap_get_folio" },
	{ 0xf321ef79, "ilookup" },
	{ 0xb0f9301, "xattr_full_name" },
	{ 0xc6cbbc89, "capable" },
	{ 0x7fd2c24c, "ubi_close_volume" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x979afabd, "inode_init_once" },
	{ 0x7f68872b, "file_write_and_wait_range" },
	{ 0x800473f, "__cond_resched" },
	{ 0x239e4807, "ubi_leb_unmap" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x57bc19d2, "down_write" },
	{ 0x1ebce4ce, "fscrypt_ioctl_get_nonce" },
	{ 0xce807a25, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0xab476fb1, "generic_file_read_iter" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x2773c485, "__wake_up_locked" },
	{ 0xdd461d71, "ubi_leb_read" },
	{ 0xa681fe88, "generate_random_uuid" },
	{ 0xa88a00a7, "__fscrypt_prepare_rename" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x141bdb24, "fscrypt_encrypt_block_inplace" },
	{ 0x66011ab6, "ubi_get_device_info" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xd367224, "write_cache_pages" },
	{ 0x6811bbb9, "fscrypt_ioctl_set_policy" },
	{ 0x7e294c9a, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc3bc7dc7, "kmem_cache_alloc_lru_noprof" },
	{ 0xbc037f7, "kmem_cache_free" },
	{ 0x495eed8e, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x184347a8, "security_inode_init_security" },
	{ 0xbd6841d4, "crc16" },
	{ 0x7e3b99ab, "from_kgid" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x3e6260ef, "fscrypt_ioctl_remove_key" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xb5f3a533, "__fscrypt_encrypt_symlink" },
	{ 0x7164c93f, "__fscrypt_prepare_link" },
	{ 0xe618010c, "ubi_leb_write" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x12730c7e, "kobject_init_and_add" },
	{ 0x83ad50aa, "sget" },
	{ 0x247e60d7, "ubi_leb_change" },
	{ 0x96da08c7, "write_inode_now" },
	{ 0x4a006a4f, "folio_wait_stable" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x4cdb9669, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x25168e86, "fscrypt_put_encryption_info" },
	{ 0x4ddb75e9, "freezing_slow_path" },
	{ 0x11089ac7, "_ctype" },
	{ 0xb78f2b2d, "__folio_start_writeback" },
	{ 0x6c9e3bd6, "ubi_open_volume_nm" },
	{ 0xcf8a00e7, "folio_end_writeback" },
	{ 0xbd5fca53, "fscrypt_d_revalidate" },
	{ 0x9d2ce248, "from_kuid" },
	{ 0x7e141181, "ubi_leb_map" },
	{ 0xdcb764ad, "memset" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0x2c4f2e35, "__vmalloc_noprof" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xb444b67d, "__insert_inode_hash" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x437be782, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x1acc84ff, "fscrypt_drop_inode" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0xe97b7e07, "truncate_setsize" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x29600a67, "nonseekable_open" },
	{ 0x31d75226, "kthread_create_on_node" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x43673e54, "__fscrypt_prepare_readdir" },
	{ 0x13107c3a, "debugfs_create_file" },
	{ 0x2cf2b923, "param_set_int" },
	{ 0x999e8297, "vfree" },
	{ 0xc9fae843, "generic_read_dir" },
	{ 0x72584bb2, "kobject_del" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x4bbb3e25, "init_user_ns" },
	{ 0xc8a71c9e, "simple_rename_timestamp" },
	{ 0x800b41a4, "fscrypt_ioctl_add_key" },
	{ 0xe091c977, "list_sort" },
	{ 0x61e809a7, "fscrypt_fname_disk_to_usr" },
	{ 0x92244def, "inode_set_ctime_current" },
	{ 0x2d9f9fea, "inc_nlink" },
	{ 0x5737dbe8, "seq_write" },
	{ 0x44e9a829, "match_token" },
	{ 0xa873d5b5, "__folio_put" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0x9c4fee7, "kobject_set_name" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x104d50d8, "fscrypt_ioctl_get_policy" },
	{ 0x56470118, "__warn_printk" },
	{ 0x899fbd06, "seq_printf" },
	{ 0xa9df77d5, "ubi_open_volume" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0x99f59030, "deactivate_locked_super" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xacf4d843, "match_strdup" },
	{ 0x14f9c25d, "__folio_lock" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0x984949c3, "filemap_dirty_folio" },
	{ 0x8cb339d9, "is_bad_inode" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xfca6dd64, "fscrypt_prepare_symlink" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0x8f052bf7, "filemap_splice_read" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0xe5602a5e, "kill_anon_super" },
	{ 0xcc043552, "writeback_inodes_sb_nr" },
	{ 0x5469406a, "d_parent_ino" },
	{ 0x3c96fa2f, "hrtimer_active" },
	{ 0x574602d3, "kset_register" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x98cf60b3, "strlen" },
	{ 0x92976b68, "generic_update_time" },
	{ 0x92ba8cf4, "fscrypt_prepare_new_inode" },
	{ 0xf71aded, "param_get_int" },
	{ 0xa612b47, "fscrypt_get_symlink" },
	{ 0xb74f87f0, "filemap_fault" },
	{ 0xe820ea6a, "debugfs_create_dir" },
	{ 0xc188c736, "__mark_inode_dirty" },
	{ 0xe7508f4f, "generic_file_llseek" },
	{ 0xec805f, "make_bad_inode" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x53b954a2, "up_read" },
	{ 0x80eafb97, "set_anon_super" },
	{ 0x3a78bef4, "drop_nlink" },
	{ 0x6dc09cc, "fscrypt_free_inode" },
	{ 0xde616797, "fscrypt_has_permitted_context" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x4832e577, "iget_failed" },
	{ 0x9858f364, "get_random_u8" },
	{ 0x44ca182a, "fscrypt_symlink_getattr" },
	{ 0x309989e7, "kmem_cache_destroy" },
	{ 0x677d981d, "kobject_put" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "ubi");


MODULE_INFO(srcversion, "88B28F568ECB99F4F034BE4");
