#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc528a49a, "queued_write_lock_slowpath" },
	{ 0xe4ca3146, "bh_uptodate_or_lock" },
	{ 0xb1b4db6, "inode_init_owner" },
	{ 0x859ac43a, "filemap_fdatawrite" },
	{ 0x72e7e5f4, "generic_fillattr" },
	{ 0x926317fe, "vfs_fsync_range" },
	{ 0x735cb660, "setattr_prepare" },
	{ 0xf812cff6, "memscan" },
	{ 0xcf8c8ae0, "iget_locked" },
	{ 0xaf38aa4f, "clear_nlink" },
	{ 0xd01896b3, "generic_block_bmap" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x67c45018, "d_instantiate" },
	{ 0x372e8e8a, "clear_inode" },
	{ 0x8d73278e, "hex_asc_upper" },
	{ 0xe0311e1, "discard_new_inode" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x4ba278d2, "fs_param_is_string" },
	{ 0x750f789f, "folio_unlock" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x502ddde, "new_inode" },
	{ 0x2074f95d, "filemap_map_pages" },
	{ 0x4e671beb, "dump_page" },
	{ 0xafb6a8f5, "init_special_inode" },
	{ 0x50559c2, "unregister_filesystem" },
	{ 0x2875a315, "utf32_to_utf8" },
	{ 0xb38e6c7e, "mark_buffer_dirty" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x8b618d08, "overflowuid" },
	{ 0xdb4d0fc1, "__block_write_begin" },
	{ 0xea1b2a2d, "inode_query_iversion" },
	{ 0x8c45392f, "__blockdev_direct_IO" },
	{ 0xd19d4bf4, "d_make_root" },
	{ 0xc662d045, "sb_set_blocksize" },
	{ 0xbbe8476c, "block_truncate_page" },
	{ 0x241671c, "read_cache_folio" },
	{ 0x816c581a, "sync_filesystem" },
	{ 0xec130f3b, "d_splice_alias" },
	{ 0x4829a47e, "memcpy" },
	{ 0x845dcf46, "ihold" },
	{ 0x53450287, "page_get_link" },
	{ 0x37a0cba, "kfree" },
	{ 0x6232a349, "generic_file_fsync" },
	{ 0x47a49e12, "finish_open" },
	{ 0xd0741cad, "iput" },
	{ 0x8ae484ab, "logfc" },
	{ 0x78d205c5, "iter_file_splice_write" },
	{ 0xf3cfded1, "flush_dcache_folio" },
	{ 0xa59501be, "register_filesystem" },
	{ 0xc57b5f2a, "d_tmpfile" },
	{ 0x3494ac55, "kmem_cache_create" },
	{ 0xaaf5534e, "simple_inode_init_ts" },
	{ 0xeb0e3322, "fs_param_is_u32" },
	{ 0xd4e6875d, "kill_block_super" },
	{ 0xf9e8a4c3, "unlock_new_inode" },
	{ 0x122c3a7e, "_printk" },
	{ 0x3874463, "block_invalidate_folio" },
	{ 0x26e4b42c, "generic_write_end" },
	{ 0x617c452b, "queued_read_lock_slowpath" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x352f8e30, "load_nls" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xedf92aba, "make_kuid" },
	{ 0x3280e341, "truncate_inode_pages_final" },
	{ 0xbdf178ea, "inode_sub_bytes" },
	{ 0xa916b694, "strnlen" },
	{ 0xbb4993b1, "__filemap_get_folio" },
	{ 0x7171121c, "overflowgid" },
	{ 0x6e3b4a93, "folio_mark_dirty" },
	{ 0x1de4163f, "invalidate_inode_buffers" },
	{ 0x4e1fac52, "block_commit_write" },
	{ 0x7e6f149, "bdev_getblk" },
	{ 0xc6cbbc89, "capable" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x979afabd, "inode_init_once" },
	{ 0x8b57e66f, "cdrom_get_last_written" },
	{ 0x94bf03ca, "utf8_to_utf32" },
	{ 0x800473f, "__cond_resched" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0x2c48f401, "__brelse" },
	{ 0x809178d9, "inode_nohighmem" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xab476fb1, "generic_file_read_iter" },
	{ 0x136a48c0, "inode_maybe_inc_iversion" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x86b357ea, "truncate_pagecache" },
	{ 0xd466ca3b, "sync_dirty_buffer" },
	{ 0x6c007efa, "insert_inode_locked" },
	{ 0x2f5338ab, "__bh_read_batch" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x27a8b519, "setattr_copy" },
	{ 0xd367224, "write_cache_pages" },
	{ 0xcd6288b3, "file_update_time" },
	{ 0x7e294c9a, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc3bc7dc7, "kmem_cache_alloc_lru_noprof" },
	{ 0xbc037f7, "kmem_cache_free" },
	{ 0x5a921311, "strncmp" },
	{ 0x7e3b99ab, "from_kgid" },
	{ 0xbc2986c0, "__bh_read" },
	{ 0x143fd6f4, "cdrom_multisession" },
	{ 0x83cc886f, "mpage_writepages" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x4a006a4f, "folio_wait_stable" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x6d89f485, "d_obtain_alias" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xfe0558a9, "__bread_gfp" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x2b2094f2, "folio_end_read" },
	{ 0xc6c062dc, "block_dirty_folio" },
	{ 0xf810fa70, "inode_add_bytes" },
	{ 0xd4188b12, "mpage_read_folio" },
	{ 0x9d2ce248, "from_kuid" },
	{ 0xdcb764ad, "memset" },
	{ 0x250f391e, "buffer_migrate_folio" },
	{ 0x437be782, "make_kgid" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xe97b7e07, "truncate_setsize" },
	{ 0xf80d1851, "unlock_buffer" },
	{ 0xc9fae843, "generic_read_dir" },
	{ 0x484cce2d, "d_instantiate_new" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x32f77ad4, "mpage_readahead" },
	{ 0xfb2f8a4, "mktime64" },
	{ 0x4bbb3e25, "init_user_ns" },
	{ 0x92244def, "inode_set_ctime_current" },
	{ 0x2d9f9fea, "inc_nlink" },
	{ 0x5737dbe8, "seq_write" },
	{ 0xa873d5b5, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x38a8754b, "get_tree_bdev" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x899fbd06, "seq_printf" },
	{ 0x7354a5d9, "touch_atime" },
	{ 0x902a1384, "__percpu_down_read" },
	{ 0xd36a68a, "__lock_buffer" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0x8c3c3aa9, "generic_file_open" },
	{ 0x14f9c25d, "__folio_lock" },
	{ 0x8cb339d9, "is_bad_inode" },
	{ 0x15ad86aa, "rcuwait_wake_up" },
	{ 0x65f73d39, "block_write_begin" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x879bc954, "__fs_parse" },
	{ 0x8f052bf7, "filemap_splice_read" },
	{ 0xafc08054, "dotdot_name" },
	{ 0x5469406a, "d_parent_ino" },
	{ 0xb78c122a, "__generic_file_write_iter" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x98cf60b3, "strlen" },
	{ 0x9a34a2b, "crc_itu_t" },
	{ 0xd07c84df, "generic_write_checks" },
	{ 0xe14d2d46, "inode_permission" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xb74f87f0, "filemap_fault" },
	{ 0xc188c736, "__mark_inode_dirty" },
	{ 0xe7508f4f, "generic_file_llseek" },
	{ 0xec805f, "make_bad_inode" },
	{ 0x5359e8dc, "__kvmalloc_node_noprof" },
	{ 0x1cb9f9d6, "unload_nls" },
	{ 0x53b954a2, "up_read" },
	{ 0xfceadf05, "mark_buffer_dirty_inode" },
	{ 0x3a78bef4, "drop_nlink" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x4832e577, "iget_failed" },
	{ 0x309989e7, "kmem_cache_destroy" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "crc-itu-t");


MODULE_INFO(srcversion, "9725534A7D8D90A91908D77");
