#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(register_atm_ioctl, "", "");
KSYMTAB_FUNC(deregister_atm_ioctl, "", "");
KSYMTAB_DATA(vcc_hash, "", "");
KSYMTAB_DATA(vcc_sklist_lock, "", "");
KSYMTAB_FUNC(vcc_insert_socket, "", "");
KSYMTAB_FUNC(vcc_release_async, "", "");
KSYMTAB_FUNC(vcc_process_recv_queue, "", "");
KSYMTAB_FUNC(atm_dev_signal_change, "", "");
KSYMTAB_FUNC(atm_dev_release_vccs, "", "");
KSYMTAB_FUNC(register_atmdevice_notifier, "_gpl", "");
KSYMTAB_FUNC(unregister_atmdevice_notifier, "_gpl", "");
KSYMTAB_FUNC(atm_charge, "", "");
KSYMTAB_FUNC(atm_alloc_charge, "", "");
KSYMTAB_FUNC(atm_pcr_goal, "", "");
KSYMTAB_FUNC(sonet_copy_stats, "", "");
KSYMTAB_FUNC(sonet_subtract_stats, "", "");
KSYMTAB_FUNC(atm_init_aal5, "", "");
KSYMTAB_FUNC(atm_dev_lookup, "", "");
KSYMTAB_FUNC(atm_dev_register, "", "");
KSYMTAB_FUNC(atm_dev_deregister, "", "");
KSYMTAB_DATA(atm_proc_root, "", "");

SYMBOL_CRC(register_atm_ioctl, 0x5749487b, "");
SYMBOL_CRC(deregister_atm_ioctl, 0x1541050a, "");
SYMBOL_CRC(vcc_hash, 0x2cc2d52d, "");
SYMBOL_CRC(vcc_sklist_lock, 0x44c6e633, "");
SYMBOL_CRC(vcc_insert_socket, 0x171d988d, "");
SYMBOL_CRC(vcc_release_async, 0x0376d5e9, "");
SYMBOL_CRC(vcc_process_recv_queue, 0xa4402cd8, "");
SYMBOL_CRC(atm_dev_signal_change, 0xe7dfc066, "");
SYMBOL_CRC(atm_dev_release_vccs, 0xdf9963d1, "");
SYMBOL_CRC(register_atmdevice_notifier, 0xb09faf79, "_gpl");
SYMBOL_CRC(unregister_atmdevice_notifier, 0xcfb6a3da, "_gpl");
SYMBOL_CRC(atm_charge, 0x1e35b544, "");
SYMBOL_CRC(atm_alloc_charge, 0xee6586d0, "");
SYMBOL_CRC(atm_pcr_goal, 0xf49bc67a, "");
SYMBOL_CRC(sonet_copy_stats, 0xaa024146, "");
SYMBOL_CRC(sonet_subtract_stats, 0x9feaf287, "");
SYMBOL_CRC(atm_init_aal5, 0x0f9bd9ce, "");
SYMBOL_CRC(atm_dev_lookup, 0x785731b2, "");
SYMBOL_CRC(atm_dev_register, 0x590b1ec4, "");
SYMBOL_CRC(atm_dev_deregister, 0x7d8db836, "");
SYMBOL_CRC(atm_proc_root, 0x4443d399, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc528a49a, "queued_write_lock_slowpath" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x3d2cec5a, "skb_free_datagram" },
	{ 0xd4845a05, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xc2af5a6, "skb_put" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xdec5f1bf, "dev_set_name" },
	{ 0x4679fb71, "consume_skb" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0x87ef83ff, "skb_dequeue" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x96848186, "scnprintf" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x19a164ae, "proc_create_data" },
	{ 0x38a505c9, "remove_proc_subtree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x5195dcc3, "skb_queue_purge_reason" },
	{ 0x122c3a7e, "_printk" },
	{ 0xaa0a7ae4, "proto_unregister" },
	{ 0x1000e51, "schedule" },
	{ 0x61ae025a, "sock_register" },
	{ 0x617c452b, "queued_read_lock_slowpath" },
	{ 0xb1f0c798, "__sock_recv_cmsgs" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b9997fb, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x8619869e, "put_device" },
	{ 0x95463bb7, "__alloc_skb" },
	{ 0xc3233feb, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x136711a4, "skb_queue_tail" },
	{ 0x1f9a9c72, "module_put" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x9818813d, "device_create_file" },
	{ 0x7ee7ac5d, "init_net" },
	{ 0x9f66a4ce, "sk_skb_reason_drop" },
	{ 0xfdc0adc2, "noop_llseek" },
	{ 0xcafe0b48, "sk_free" },
	{ 0x5546cf01, "sock_wake_async" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xa7809109, "sock_no_accept" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xee13dea4, "sock_no_listen" },
	{ 0x6f2c2cc6, "seq_putc" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x2e6fc05a, "class_unregister" },
	{ 0x9f8c5901, "lock_sock_nested" },
	{ 0xe0a547c9, "skb_copy_datagram_iter" },
	{ 0x2b97e4b, "sk_alloc" },
	{ 0x65ea0b6f, "device_register" },
	{ 0x61401cd3, "device_del" },
	{ 0x4ff44c15, "sock_no_socketpair" },
	{ 0xdcb764ad, "memset" },
	{ 0xd3752c27, "atomic_notifier_call_chain" },
	{ 0x2050db7d, "sock_no_mmap" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x7181db30, "atomic_notifier_chain_unregister" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x2ff91db0, "skb_recv_datagram" },
	{ 0x5737dbe8, "seq_write" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe225b8f6, "remove_proc_entry" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x899fbd06, "seq_printf" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xfff625ed, "_copy_from_iter" },
	{ 0xbbce46d1, "sock_gettstamp" },
	{ 0x788500b5, "_proc_mkdir" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xcdf5f16b, "send_sig" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x17b54fce, "__seq_puts" },
	{ 0x98cf60b3, "strlen" },
	{ 0xd7c7d5c, "dev_kfree_skb_any_reason" },
	{ 0xc87ff6e5, "iov_iter_revert" },
	{ 0x618c9a06, "proc_create_seq_private" },
	{ 0xaa3a3bb3, "class_register" },
	{ 0x3451afe6, "sock_init_data" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0xf80a3ec7, "device_remove_file" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x231a085c, "release_sock" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2B146EF15E7BB381AD1AAC1");
