#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ebt_register_template, "", "");
KSYMTAB_FUNC(ebt_unregister_template, "", "");
KSYMTAB_FUNC(ebt_unregister_table_pre_exit, "", "");
KSYMTAB_FUNC(ebt_register_table, "", "");
KSYMTAB_FUNC(ebt_unregister_table, "", "");
KSYMTAB_FUNC(ebt_do_table, "", "");

SYMBOL_CRC(ebt_register_template, 0x5ab1a620, "");
SYMBOL_CRC(ebt_unregister_template, 0x1c2250cc, "");
SYMBOL_CRC(ebt_unregister_table_pre_exit, 0xae91f913, "");
SYMBOL_CRC(ebt_register_table, 0x482c1e63, "");
SYMBOL_CRC(ebt_unregister_table, 0xf5e45159, "");
SYMBOL_CRC(ebt_do_table, 0xa3396f71, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x4829a47e, "memcpy" },
	{ 0xc7fae024, "xt_compat_calc_jump" },
	{ 0x4a50f7ef, "xt_find_match" },
	{ 0x1f9a9c72, "module_put" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xb0045154, "xt_check_match" },
	{ 0xba3a370, "xt_request_find_target" },
	{ 0x21a9cb6b, "xt_check_target" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xd60aca78, "nf_unregister_net_hooks" },
	{ 0x70fc32bd, "xt_register_target" },
	{ 0xe51de65a, "nf_register_sockopt" },
	{ 0x8f0d0005, "register_pernet_subsys" },
	{ 0xb63ad9d8, "nf_unregister_sockopt" },
	{ 0xc6318c0d, "xt_unregister_target" },
	{ 0x9c9f7302, "xt_compat_match_offset" },
	{ 0x4f3df362, "xt_compat_target_offset" },
	{ 0x823edea5, "xt_compat_add_offset" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe7e13a1f, "unregister_pernet_subsys" },
	{ 0xdcb764ad, "memset" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xab42a75d, "xt_request_find_match" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x50873741, "xt_compat_init_offsets" },
	{ 0x37a0cba, "kfree" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xb44e18ea, "audit_enabled" },
	{ 0x999e8297, "vfree" },
	{ 0x5afc722e, "__audit_log_nfcfg" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x56470118, "__warn_printk" },
	{ 0x617c452b, "queued_read_lock_slowpath" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xd4845a05, "try_module_get" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc528a49a, "queued_write_lock_slowpath" },
	{ 0x618911fc, "numa_node" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x838eb641, "vmalloc_node_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6a8b6574, "nf_register_net_hooks" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x122c3a7e, "_printk" },
	{ 0x2c4f2e35, "__vmalloc_noprof" },
	{ 0xa7c94f1d, "xt_compat_lock" },
	{ 0x4e27719, "xt_compat_flush_offsets" },
	{ 0xd1e246a2, "xt_compat_unlock" },
	{ 0x1d3b79dd, "ns_capable" },
	{ 0x7bce4603, "xt_data_to_user" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "D1D48DD83FAC7DEE093F608");
