#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(libceph_compatible, "", "");
KSYMTAB_FUNC(ceph_msg_type_name, "", "");
KSYMTAB_FUNC(ceph_check_fsid, "", "");
KSYMTAB_FUNC(ceph_compare_options, "", "");
KSYMTAB_FUNC(ceph_parse_fsid, "", "");
KSYMTAB_FUNC(ceph_alloc_options, "", "");
KSYMTAB_FUNC(ceph_destroy_options, "", "");
KSYMTAB_FUNC(ceph_parse_mon_ips, "", "");
KSYMTAB_FUNC(ceph_parse_param, "", "");
KSYMTAB_FUNC(ceph_print_client_options, "", "");
KSYMTAB_FUNC(ceph_client_addr, "", "");
KSYMTAB_FUNC(ceph_client_gid, "", "");
KSYMTAB_FUNC(ceph_create_client, "", "");
KSYMTAB_FUNC(ceph_destroy_client, "", "");
KSYMTAB_FUNC(ceph_reset_client_addr, "", "");
KSYMTAB_FUNC(__ceph_open_session, "", "");
KSYMTAB_FUNC(ceph_open_session, "", "");
KSYMTAB_FUNC(ceph_wait_for_latest_osdmap, "", "");
KSYMTAB_FUNC(ceph_pr_addr, "", "");
KSYMTAB_FUNC(ceph_msgr_flush, "", "");
KSYMTAB_FUNC(ceph_con_close, "", "");
KSYMTAB_FUNC(ceph_con_open, "", "");
KSYMTAB_FUNC(ceph_con_init, "", "");
KSYMTAB_FUNC(ceph_addr_is_blank, "", "");
KSYMTAB_FUNC(ceph_con_send, "", "");
KSYMTAB_FUNC(ceph_con_keepalive, "", "");
KSYMTAB_FUNC(ceph_msg_data_add_pages, "", "");
KSYMTAB_FUNC(ceph_msg_data_add_pagelist, "", "");
KSYMTAB_FUNC(ceph_msg_data_add_bio, "", "");
KSYMTAB_FUNC(ceph_msg_data_add_bvecs, "", "");
KSYMTAB_FUNC(ceph_msg_new2, "", "");
KSYMTAB_FUNC(ceph_msg_new, "", "");
KSYMTAB_FUNC(ceph_msg_get, "", "");
KSYMTAB_FUNC(ceph_msg_put, "", "");
KSYMTAB_FUNC(ceph_msg_dump, "", "");
KSYMTAB_FUNC(ceph_buffer_new, "", "");
KSYMTAB_FUNC(ceph_buffer_release, "", "");
KSYMTAB_FUNC(ceph_pagelist_alloc, "", "");
KSYMTAB_FUNC(ceph_pagelist_release, "", "");
KSYMTAB_FUNC(ceph_pagelist_append, "", "");
KSYMTAB_FUNC(ceph_pagelist_reserve, "", "");
KSYMTAB_FUNC(ceph_pagelist_free_reserve, "", "");
KSYMTAB_FUNC(ceph_pagelist_set_cursor, "", "");
KSYMTAB_FUNC(ceph_pagelist_truncate, "", "");
KSYMTAB_FUNC(ceph_monc_want_map, "", "");
KSYMTAB_FUNC(ceph_monc_got_map, "", "");
KSYMTAB_FUNC(ceph_monc_renew_subs, "", "");
KSYMTAB_FUNC(ceph_monc_wait_osdmap, "", "");
KSYMTAB_FUNC(ceph_monc_open_session, "", "");
KSYMTAB_FUNC(ceph_monc_do_statfs, "", "");
KSYMTAB_FUNC(ceph_monc_get_version, "", "");
KSYMTAB_FUNC(ceph_monc_get_version_async, "", "");
KSYMTAB_FUNC(ceph_monc_blocklist_add, "", "");
KSYMTAB_FUNC(ceph_monc_init, "", "");
KSYMTAB_FUNC(ceph_monc_stop, "", "");
KSYMTAB_FUNC(ceph_monc_validate_auth, "", "");
KSYMTAB_FUNC(ceph_decode_entity_addr, "", "");
KSYMTAB_FUNC(ceph_decode_entity_addrvec, "", "");
KSYMTAB_FUNC(ceph_cls_lock, "", "");
KSYMTAB_FUNC(ceph_cls_unlock, "", "");
KSYMTAB_FUNC(ceph_cls_break_lock, "", "");
KSYMTAB_FUNC(ceph_cls_set_cookie, "", "");
KSYMTAB_FUNC(ceph_free_lockers, "", "");
KSYMTAB_FUNC(ceph_cls_lock_info, "", "");
KSYMTAB_FUNC(ceph_cls_assert_locked, "", "");
KSYMTAB_FUNC(osd_req_op_extent_osd_data, "", "");
KSYMTAB_FUNC(osd_req_op_raw_data_in_pages, "", "");
KSYMTAB_FUNC(osd_req_op_extent_osd_data_pages, "", "");
KSYMTAB_FUNC(osd_req_op_extent_osd_data_pagelist, "", "");
KSYMTAB_FUNC(osd_req_op_extent_osd_data_bio, "", "");
KSYMTAB_FUNC(osd_req_op_extent_osd_data_bvecs, "", "");
KSYMTAB_FUNC(osd_req_op_extent_osd_data_bvec_pos, "", "");
KSYMTAB_FUNC(osd_req_op_extent_osd_iter, "", "");
KSYMTAB_FUNC(osd_req_op_cls_request_data_pagelist, "", "");
KSYMTAB_FUNC(osd_req_op_cls_request_data_pages, "", "");
KSYMTAB_FUNC(osd_req_op_cls_request_data_bvecs, "", "");
KSYMTAB_FUNC(osd_req_op_cls_response_data_pages, "", "");
KSYMTAB_FUNC(ceph_osdc_get_request, "", "");
KSYMTAB_FUNC(ceph_osdc_put_request, "", "");
KSYMTAB_FUNC(ceph_osdc_alloc_request, "", "");
KSYMTAB_FUNC(ceph_osdc_alloc_messages, "", "");
KSYMTAB_FUNC(osd_req_op_init, "", "");
KSYMTAB_FUNC(osd_req_op_extent_init, "", "");
KSYMTAB_FUNC(osd_req_op_extent_update, "", "");
KSYMTAB_FUNC(osd_req_op_extent_dup_last, "", "");
KSYMTAB_FUNC(osd_req_op_cls_init, "", "");
KSYMTAB_FUNC(osd_req_op_xattr_init, "", "");
KSYMTAB_FUNC(osd_req_op_alloc_hint_init, "", "");
KSYMTAB_FUNC(ceph_osdc_new_request, "", "");
KSYMTAB_FUNC(__ceph_alloc_sparse_ext_map, "", "");
KSYMTAB_FUNC(ceph_osdc_abort_requests, "", "");
KSYMTAB_FUNC(ceph_osdc_clear_abort_err, "", "");
KSYMTAB_FUNC(ceph_osdc_update_epoch_barrier, "", "");
KSYMTAB_FUNC(ceph_osdc_start_request, "", "");
KSYMTAB_FUNC(ceph_osdc_cancel_request, "", "");
KSYMTAB_FUNC(ceph_osdc_wait_request, "", "");
KSYMTAB_FUNC(ceph_osdc_sync, "", "");
KSYMTAB_FUNC(ceph_osdc_watch, "", "");
KSYMTAB_FUNC(ceph_osdc_unwatch, "", "");
KSYMTAB_FUNC(ceph_osdc_notify_ack, "", "");
KSYMTAB_FUNC(ceph_osdc_notify, "", "");
KSYMTAB_FUNC(ceph_osdc_list_watchers, "", "");
KSYMTAB_FUNC(ceph_osdc_flush_notifies, "", "");
KSYMTAB_FUNC(ceph_osdc_maybe_request_map, "", "");
KSYMTAB_FUNC(ceph_osdc_call, "", "");
KSYMTAB_FUNC(osd_req_op_copy_from_init, "", "");
KSYMTAB_FUNC(ceph_pg_pool_name_by_id, "", "");
KSYMTAB_FUNC(ceph_pg_poolid_by_name, "", "");
KSYMTAB_FUNC(ceph_pg_pool_flags, "", "");
KSYMTAB_FUNC(ceph_oloc_copy, "", "");
KSYMTAB_FUNC(ceph_oloc_destroy, "", "");
KSYMTAB_FUNC(ceph_oid_copy, "", "");
KSYMTAB_FUNC(ceph_oid_printf, "", "");
KSYMTAB_FUNC(ceph_oid_aprintf, "", "");
KSYMTAB_FUNC(ceph_oid_destroy, "", "");
KSYMTAB_FUNC(ceph_object_locator_to_pg, "", "");
KSYMTAB_FUNC(ceph_pg_to_acting_primary, "", "");
KSYMTAB_FUNC(ceph_calc_file_object_mapping, "", "");
KSYMTAB_FUNC(ceph_file_to_extents, "", "");
KSYMTAB_FUNC(ceph_iterate_extents, "", "");
KSYMTAB_FUNC(ceph_extent_to_file, "", "");
KSYMTAB_FUNC(ceph_get_num_objects, "", "");
KSYMTAB_FUNC(ceph_auth_is_authenticated, "", "");
KSYMTAB_FUNC(__ceph_auth_get_authorizer, "", "");
KSYMTAB_FUNC(ceph_auth_destroy_authorizer, "", "");
KSYMTAB_FUNC(ceph_auth_add_authorizer_challenge, "", "");
KSYMTAB_FUNC(ceph_auth_verify_authorizer_reply, "", "");
KSYMTAB_FUNC(ceph_auth_invalidate_authorizer, "", "");
KSYMTAB_FUNC(ceph_auth_get_authorizer, "", "");
KSYMTAB_FUNC(ceph_auth_handle_svc_reply_more, "", "");
KSYMTAB_FUNC(ceph_auth_handle_svc_reply_done, "", "");
KSYMTAB_FUNC(ceph_auth_handle_bad_authorizer, "", "");
KSYMTAB_FUNC(ceph_entity_type_name, "", "");
KSYMTAB_FUNC(ceph_str_hash, "", "");
KSYMTAB_FUNC(ceph_str_hash_name, "", "");
KSYMTAB_FUNC(ceph_put_page_vector, "", "");
KSYMTAB_FUNC(ceph_release_page_vector, "", "");
KSYMTAB_FUNC(ceph_alloc_page_vector, "", "");
KSYMTAB_FUNC(ceph_copy_user_to_page_vector, "", "");
KSYMTAB_FUNC(ceph_copy_to_page_vector, "", "");
KSYMTAB_FUNC(ceph_copy_from_page_vector, "", "");
KSYMTAB_FUNC(ceph_zero_page_vector_range, "", "");
KSYMTAB_FUNC(ceph_create_snap_context, "", "");
KSYMTAB_FUNC(ceph_get_snap_context, "", "");
KSYMTAB_FUNC(ceph_put_snap_context, "", "");
KSYMTAB_FUNC(ceph_find_or_create_string, "", "");
KSYMTAB_FUNC(ceph_release_string, "", "");

SYMBOL_CRC(libceph_compatible, 0x466b85b8, "");
SYMBOL_CRC(ceph_msg_type_name, 0xb54676fa, "");
SYMBOL_CRC(ceph_check_fsid, 0xa64fd249, "");
SYMBOL_CRC(ceph_compare_options, 0x42db14d4, "");
SYMBOL_CRC(ceph_parse_fsid, 0x4affd6c2, "");
SYMBOL_CRC(ceph_alloc_options, 0x987d3968, "");
SYMBOL_CRC(ceph_destroy_options, 0xd4d736db, "");
SYMBOL_CRC(ceph_parse_mon_ips, 0x3f558d62, "");
SYMBOL_CRC(ceph_parse_param, 0x86e130ce, "");
SYMBOL_CRC(ceph_print_client_options, 0xa7917075, "");
SYMBOL_CRC(ceph_client_addr, 0xf710543c, "");
SYMBOL_CRC(ceph_client_gid, 0x3c170e2a, "");
SYMBOL_CRC(ceph_create_client, 0x215d68ce, "");
SYMBOL_CRC(ceph_destroy_client, 0x00b7d079, "");
SYMBOL_CRC(ceph_reset_client_addr, 0x84b53623, "");
SYMBOL_CRC(__ceph_open_session, 0x9f1f80a8, "");
SYMBOL_CRC(ceph_open_session, 0x244c379b, "");
SYMBOL_CRC(ceph_wait_for_latest_osdmap, 0x33939780, "");
SYMBOL_CRC(ceph_pr_addr, 0x6a7a38a0, "");
SYMBOL_CRC(ceph_msgr_flush, 0xafb8a407, "");
SYMBOL_CRC(ceph_con_close, 0xc3fea153, "");
SYMBOL_CRC(ceph_con_open, 0xe6d7fa18, "");
SYMBOL_CRC(ceph_con_init, 0xff92374c, "");
SYMBOL_CRC(ceph_addr_is_blank, 0xf254297e, "");
SYMBOL_CRC(ceph_con_send, 0x6661cf9d, "");
SYMBOL_CRC(ceph_con_keepalive, 0x2e95bb01, "");
SYMBOL_CRC(ceph_msg_data_add_pages, 0x9316f439, "");
SYMBOL_CRC(ceph_msg_data_add_pagelist, 0x7ccb421c, "");
SYMBOL_CRC(ceph_msg_data_add_bio, 0xfdc6ec92, "");
SYMBOL_CRC(ceph_msg_data_add_bvecs, 0x232c5e2a, "");
SYMBOL_CRC(ceph_msg_new2, 0xb86ee27d, "");
SYMBOL_CRC(ceph_msg_new, 0x1de3fa46, "");
SYMBOL_CRC(ceph_msg_get, 0x9bb520a6, "");
SYMBOL_CRC(ceph_msg_put, 0x131592cc, "");
SYMBOL_CRC(ceph_msg_dump, 0x37f65dbd, "");
SYMBOL_CRC(ceph_buffer_new, 0x9fbba67f, "");
SYMBOL_CRC(ceph_buffer_release, 0xb72c162e, "");
SYMBOL_CRC(ceph_pagelist_alloc, 0xe76e7226, "");
SYMBOL_CRC(ceph_pagelist_release, 0x2a983d26, "");
SYMBOL_CRC(ceph_pagelist_append, 0xefce991c, "");
SYMBOL_CRC(ceph_pagelist_reserve, 0xefce3c3b, "");
SYMBOL_CRC(ceph_pagelist_free_reserve, 0x165b1948, "");
SYMBOL_CRC(ceph_pagelist_set_cursor, 0xf03fe862, "");
SYMBOL_CRC(ceph_pagelist_truncate, 0xc366bfa1, "");
SYMBOL_CRC(ceph_monc_want_map, 0x3dde1762, "");
SYMBOL_CRC(ceph_monc_got_map, 0xe1c626e1, "");
SYMBOL_CRC(ceph_monc_renew_subs, 0x7776272b, "");
SYMBOL_CRC(ceph_monc_wait_osdmap, 0xbd313b95, "");
SYMBOL_CRC(ceph_monc_open_session, 0x48b6e414, "");
SYMBOL_CRC(ceph_monc_do_statfs, 0xd90f88aa, "");
SYMBOL_CRC(ceph_monc_get_version, 0x5c0c9afe, "");
SYMBOL_CRC(ceph_monc_get_version_async, 0x07251d7e, "");
SYMBOL_CRC(ceph_monc_blocklist_add, 0xb9bb3324, "");
SYMBOL_CRC(ceph_monc_init, 0x8ab43258, "");
SYMBOL_CRC(ceph_monc_stop, 0xf6c17cb3, "");
SYMBOL_CRC(ceph_monc_validate_auth, 0xa2a1383a, "");
SYMBOL_CRC(ceph_decode_entity_addr, 0xd4eb7735, "");
SYMBOL_CRC(ceph_decode_entity_addrvec, 0x50603ce3, "");
SYMBOL_CRC(ceph_cls_lock, 0x59640a2a, "");
SYMBOL_CRC(ceph_cls_unlock, 0x1140e456, "");
SYMBOL_CRC(ceph_cls_break_lock, 0x5d0eaa4e, "");
SYMBOL_CRC(ceph_cls_set_cookie, 0x11dbbd46, "");
SYMBOL_CRC(ceph_free_lockers, 0xa698f998, "");
SYMBOL_CRC(ceph_cls_lock_info, 0xf0b63aea, "");
SYMBOL_CRC(ceph_cls_assert_locked, 0xfb6f065f, "");
SYMBOL_CRC(osd_req_op_extent_osd_data, 0x9079c45c, "");
SYMBOL_CRC(osd_req_op_raw_data_in_pages, 0x412d71ba, "");
SYMBOL_CRC(osd_req_op_extent_osd_data_pages, 0xdb8602f8, "");
SYMBOL_CRC(osd_req_op_extent_osd_data_pagelist, 0xff03d096, "");
SYMBOL_CRC(osd_req_op_extent_osd_data_bio, 0xb438f6d8, "");
SYMBOL_CRC(osd_req_op_extent_osd_data_bvecs, 0x71e2f1f3, "");
SYMBOL_CRC(osd_req_op_extent_osd_data_bvec_pos, 0x28abc583, "");
SYMBOL_CRC(osd_req_op_extent_osd_iter, 0x3402d252, "");
SYMBOL_CRC(osd_req_op_cls_request_data_pagelist, 0x7a4110e4, "");
SYMBOL_CRC(osd_req_op_cls_request_data_pages, 0x1aaeba1c, "");
SYMBOL_CRC(osd_req_op_cls_request_data_bvecs, 0x75bfbaba, "");
SYMBOL_CRC(osd_req_op_cls_response_data_pages, 0xc61cc311, "");
SYMBOL_CRC(ceph_osdc_get_request, 0x6987b3ad, "");
SYMBOL_CRC(ceph_osdc_put_request, 0x1290edba, "");
SYMBOL_CRC(ceph_osdc_alloc_request, 0xa3821d93, "");
SYMBOL_CRC(ceph_osdc_alloc_messages, 0x19af5748, "");
SYMBOL_CRC(osd_req_op_init, 0x15c9a0bb, "");
SYMBOL_CRC(osd_req_op_extent_init, 0x8ebf2b37, "");
SYMBOL_CRC(osd_req_op_extent_update, 0x3d1afae5, "");
SYMBOL_CRC(osd_req_op_extent_dup_last, 0x78034aa5, "");
SYMBOL_CRC(osd_req_op_cls_init, 0x8eac5fd6, "");
SYMBOL_CRC(osd_req_op_xattr_init, 0xdbe284a3, "");
SYMBOL_CRC(osd_req_op_alloc_hint_init, 0xfc78d723, "");
SYMBOL_CRC(ceph_osdc_new_request, 0xd5c15aca, "");
SYMBOL_CRC(__ceph_alloc_sparse_ext_map, 0x3c8f6269, "");
SYMBOL_CRC(ceph_osdc_abort_requests, 0x052a8017, "");
SYMBOL_CRC(ceph_osdc_clear_abort_err, 0xe55b7295, "");
SYMBOL_CRC(ceph_osdc_update_epoch_barrier, 0x0b9cb873, "");
SYMBOL_CRC(ceph_osdc_start_request, 0xa726b988, "");
SYMBOL_CRC(ceph_osdc_cancel_request, 0xc85bdaad, "");
SYMBOL_CRC(ceph_osdc_wait_request, 0x033621aa, "");
SYMBOL_CRC(ceph_osdc_sync, 0x64d9a8af, "");
SYMBOL_CRC(ceph_osdc_watch, 0xc221db82, "");
SYMBOL_CRC(ceph_osdc_unwatch, 0x1cd0e155, "");
SYMBOL_CRC(ceph_osdc_notify_ack, 0x9d9031a5, "");
SYMBOL_CRC(ceph_osdc_notify, 0x58ac736d, "");
SYMBOL_CRC(ceph_osdc_list_watchers, 0x7f5248da, "");
SYMBOL_CRC(ceph_osdc_flush_notifies, 0xb8f16f2a, "");
SYMBOL_CRC(ceph_osdc_maybe_request_map, 0x6e6e1411, "");
SYMBOL_CRC(ceph_osdc_call, 0x5182e6e2, "");
SYMBOL_CRC(osd_req_op_copy_from_init, 0x17994d0d, "");
SYMBOL_CRC(ceph_pg_pool_name_by_id, 0x1378aba3, "");
SYMBOL_CRC(ceph_pg_poolid_by_name, 0x04cad6f0, "");
SYMBOL_CRC(ceph_pg_pool_flags, 0x92b7b4ce, "");
SYMBOL_CRC(ceph_oloc_copy, 0xbd2f79ae, "");
SYMBOL_CRC(ceph_oloc_destroy, 0x417a9131, "");
SYMBOL_CRC(ceph_oid_copy, 0x2087719e, "");
SYMBOL_CRC(ceph_oid_printf, 0xdf6ef4a1, "");
SYMBOL_CRC(ceph_oid_aprintf, 0x5aeeee62, "");
SYMBOL_CRC(ceph_oid_destroy, 0x2101cbc9, "");
SYMBOL_CRC(ceph_object_locator_to_pg, 0xe34a59f2, "");
SYMBOL_CRC(ceph_pg_to_acting_primary, 0x17c17611, "");
SYMBOL_CRC(ceph_calc_file_object_mapping, 0x9fefa3cb, "");
SYMBOL_CRC(ceph_file_to_extents, 0x38f2d94e, "");
SYMBOL_CRC(ceph_iterate_extents, 0xeef6cfa3, "");
SYMBOL_CRC(ceph_extent_to_file, 0xca80437b, "");
SYMBOL_CRC(ceph_get_num_objects, 0x3c8d7111, "");
SYMBOL_CRC(ceph_auth_is_authenticated, 0x37415904, "");
SYMBOL_CRC(__ceph_auth_get_authorizer, 0x515fd0cb, "");
SYMBOL_CRC(ceph_auth_destroy_authorizer, 0xad703657, "");
SYMBOL_CRC(ceph_auth_add_authorizer_challenge, 0x9576cf25, "");
SYMBOL_CRC(ceph_auth_verify_authorizer_reply, 0x2123b3d0, "");
SYMBOL_CRC(ceph_auth_invalidate_authorizer, 0x1a2a518a, "");
SYMBOL_CRC(ceph_auth_get_authorizer, 0x0fd079fb, "");
SYMBOL_CRC(ceph_auth_handle_svc_reply_more, 0xfc8be890, "");
SYMBOL_CRC(ceph_auth_handle_svc_reply_done, 0xa0ccc307, "");
SYMBOL_CRC(ceph_auth_handle_bad_authorizer, 0x6d7f7962, "");
SYMBOL_CRC(ceph_entity_type_name, 0xdfc091f9, "");
SYMBOL_CRC(ceph_str_hash, 0x57baf885, "");
SYMBOL_CRC(ceph_str_hash_name, 0x63758856, "");
SYMBOL_CRC(ceph_put_page_vector, 0xc819d87d, "");
SYMBOL_CRC(ceph_release_page_vector, 0x61f7ad92, "");
SYMBOL_CRC(ceph_alloc_page_vector, 0xd71e2947, "");
SYMBOL_CRC(ceph_copy_user_to_page_vector, 0xcd4f2d4d, "");
SYMBOL_CRC(ceph_copy_to_page_vector, 0x34ecae72, "");
SYMBOL_CRC(ceph_copy_from_page_vector, 0x7daead52, "");
SYMBOL_CRC(ceph_zero_page_vector_range, 0x337d808e, "");
SYMBOL_CRC(ceph_create_snap_context, 0x9ca95932, "");
SYMBOL_CRC(ceph_get_snap_context, 0xbe3879aa, "");
SYMBOL_CRC(ceph_put_snap_context, 0x86fca7e4, "");
SYMBOL_CRC(ceph_find_or_create_string, 0x9bc6b539, "");
SYMBOL_CRC(ceph_release_string, 0xee120c03, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x60ae5965, "crypto_skcipher_encrypt" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd277ba66, "flush_dcache_page" },
	{ 0xe4122ad8, "tcp_sock_set_cork" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x78b887ed, "vsprintf" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x4ba278d2, "fs_param_is_string" },
	{ 0x2d5d3d72, "vmalloc_to_page" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4e671beb, "dump_page" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xca9360b5, "rb_next" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xe75df258, "iov_iter_advance" },
	{ 0x609bcd98, "in6_pton" },
	{ 0x4662b892, "unregister_key_type" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x70b2106c, "iov_iter_get_pages2" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x5b66fa60, "seq_lseek" },
	{ 0x55626a62, "fs_param_is_enum" },
	{ 0x8ae484ab, "logfc" },
	{ 0x7237aa40, "crypto_alloc_aead" },
	{ 0xe6aef439, "__tracepoint_sk_data_ready" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xbf829c5, "crypto_aead_setauthsize" },
	{ 0xab469c39, "crypto_aead_decrypt" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4ce4dee3, "crypto_skcipher_setkey" },
	{ 0x148653, "vsnprintf" },
	{ 0xdcecec42, "filemap_alloc_folio_noprof" },
	{ 0x3494ac55, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0xbcf7629a, "register_key_type" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0xc63dce24, "crypto_destroy_tfm" },
	{ 0xeb0e3322, "fs_param_is_u32" },
	{ 0x5a956b5b, "empty_zero_page" },
	{ 0x122c3a7e, "_printk" },
	{ 0xac5fcec0, "in4_pton" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x9d56069b, "crypto_skcipher_decrypt" },
	{ 0x581e9a37, "__free_pages" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0x800473f, "__cond_resched" },
	{ 0x7924ad6f, "dns_query" },
	{ 0xd0ac59c7, "seq_escape_mem" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0xfeb343d1, "mempool_alloc_noprof" },
	{ 0xe410af2, "key_put" },
	{ 0x7432b9d2, "crypto_aead_setkey" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x57bc19d2, "down_write" },
	{ 0xc5e704e, "__traceiter_sk_data_ready" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0xce807a25, "up_write" },
	{ 0xaa3d5f21, "crypto_shash_setkey" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0xa07a37f0, "memchr" },
	{ 0xb78cf7ea, "crypto_aead_encrypt" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe4bbc1dd, "kimage_voffset" },
	{ 0xbc037f7, "kmem_cache_free" },
	{ 0x495eed8e, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x6f2c2cc6, "seq_putc" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x56d7525d, "iov_iter_kvec" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x388e169b, "sock_sendmsg" },
	{ 0xb75a5d88, "crypto_shash_update" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbb9c0973, "__put_devmap_managed_folio_refs" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x20463df4, "wait_for_completion_killable" },
	{ 0x11089ac7, "_ctype" },
	{ 0xae1e51fc, "sg_alloc_table_from_pages_segment" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x3b055253, "kernel_connect" },
	{ 0xdcb764ad, "memset" },
	{ 0xa89488c5, "iov_iter_bvec" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0xd235061c, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x622e0e0f, "crypto_alloc_sync_skcipher" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x32f1e81b, "seq_read" },
	{ 0xcd8e1166, "__put_net" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0x13107c3a, "debugfs_create_file" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x4ecd0998, "crypto_shash_final" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x2213aa1f, "mempool_create_node_noprof" },
	{ 0x33550692, "sock_create_kern" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x726bc3c7, "wait_for_completion_killable_timeout" },
	{ 0x614905ec, "request_key_tag" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xed641fe3, "generic_key_instantiate" },
	{ 0x5737dbe8, "seq_write" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0xa873d5b5, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x899fbd06, "seq_printf" },
	{ 0xc81bbbfd, "sock_recvmsg" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xe7fc7cbd, "set_page_dirty_lock" },
	{ 0x6c225138, "sock_release" },
	{ 0x908e61a8, "iov_iter_discard" },
	{ 0x18888d00, "downgrade_write" },
	{ 0x557d1823, "alloc_pages_noprof" },
	{ 0xa5c872a7, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x8824de7, "tcp_sock_set_nodelay" },
	{ 0x879bc954, "__fs_parse" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x98cf60b3, "strlen" },
	{ 0x742578a5, "wait_for_random_bytes" },
	{ 0xc87ff6e5, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x3466fede, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0x2227c4aa, "crypto_alloc_shash" },
	{ 0xe820ea6a, "debugfs_create_dir" },
	{ 0x51632420, "kernel_sendmsg" },
	{ 0x5359e8dc, "__kvmalloc_node_noprof" },
	{ 0x53b954a2, "up_read" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x309989e7, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x188ea314, "jiffies_to_timespec64" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "dns_resolver");


MODULE_INFO(srcversion, "BA6301EB7FEFB8E3AB6FFF8");
