#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wpan_phy_find, "", "");
KSYMTAB_FUNC(wpan_phy_for_each, "", "");
KSYMTAB_FUNC(wpan_phy_new, "", "");
KSYMTAB_FUNC(wpan_phy_register, "", "");
KSYMTAB_FUNC(wpan_phy_unregister, "", "");
KSYMTAB_FUNC(wpan_phy_free, "", "");
KSYMTAB_FUNC(ieee802154_hdr_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_mac_cmd_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_beacon_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_pull, "_gpl", "");
KSYMTAB_FUNC(ieee802154_mac_cmd_pl_pull, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek_addrs, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek, "_gpl", "");
KSYMTAB_FUNC(ieee802154_max_payload, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_event, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_started, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_done, "_gpl", "");
KSYMTAB_FUNC(nl802154_beaconing_done, "_gpl", "");
KSYMTAB_FUNC(cfg802154_device_is_parent, "_gpl", "");
KSYMTAB_FUNC(cfg802154_device_is_child, "_gpl", "");
KSYMTAB_FUNC(cfg802154_get_free_short_addr, "_gpl", "");
KSYMTAB_FUNC(cfg802154_set_max_associations, "_gpl", "");

SYMBOL_CRC(wpan_phy_find, 0x9670ec59, "");
SYMBOL_CRC(wpan_phy_for_each, 0x1d67ebf2, "");
SYMBOL_CRC(wpan_phy_new, 0x937d2e36, "");
SYMBOL_CRC(wpan_phy_register, 0x0c89785a, "");
SYMBOL_CRC(wpan_phy_unregister, 0x3262440e, "");
SYMBOL_CRC(wpan_phy_free, 0x439ca2b2, "");
SYMBOL_CRC(ieee802154_hdr_push, 0x41b0ced0, "_gpl");
SYMBOL_CRC(ieee802154_mac_cmd_push, 0x8d2dd23e, "_gpl");
SYMBOL_CRC(ieee802154_beacon_push, 0x72049d1d, "_gpl");
SYMBOL_CRC(ieee802154_hdr_pull, 0x11deda4e, "_gpl");
SYMBOL_CRC(ieee802154_mac_cmd_pl_pull, 0x4879b1b0, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek_addrs, 0x63bd3cdc, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek, 0x8429aa8c, "_gpl");
SYMBOL_CRC(ieee802154_max_payload, 0x87e2553b, "_gpl");
SYMBOL_CRC(nl802154_scan_event, 0xc51285a3, "_gpl");
SYMBOL_CRC(nl802154_scan_started, 0x5c00b500, "_gpl");
SYMBOL_CRC(nl802154_scan_done, 0x586adb2c, "_gpl");
SYMBOL_CRC(nl802154_beaconing_done, 0x00705e40, "_gpl");
SYMBOL_CRC(cfg802154_device_is_parent, 0x84aa3e43, "_gpl");
SYMBOL_CRC(cfg802154_device_is_child, 0x8a0d015b, "_gpl");
SYMBOL_CRC(cfg802154_get_free_short_addr, 0x58fc1489, "_gpl");
SYMBOL_CRC(cfg802154_set_max_associations, 0x176ff8ce, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x4506c655, "bpf_trace_run4" },
	{ 0xc2af5a6, "skb_put" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xdec5f1bf, "dev_set_name" },
	{ 0x719cbf1, "trace_output_call" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x93b9a682, "trace_raw_output_prep" },
	{ 0x60714e08, "nla_put_64bit" },
	{ 0x556be6e0, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xcb6b138, "trace_event_printf" },
	{ 0x3b9c57bf, "device_initialize" },
	{ 0x6fe3a147, "genlmsg_put" },
	{ 0x3f7c8b8f, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc4e40b90, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x67155184, "get_device" },
	{ 0x23718531, "netlink_broadcast_filtered" },
	{ 0xadfbd24f, "device_rename" },
	{ 0xfb6dfa14, "trace_event_buffer_commit" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x8619869e, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x95463bb7, "__alloc_skb" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x800473f, "__cond_resched" },
	{ 0x6d4e9a76, "class_for_each_device" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xa247b83b, "__dev_get_by_index" },
	{ 0x4bb807c7, "perf_trace_run_bpf_submit" },
	{ 0x7ee7ac5d, "init_net" },
	{ 0xb6476d61, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x61373533, "device_add" },
	{ 0x9f66a4ce, "sk_skb_reason_drop" },
	{ 0x8172d5ff, "netlink_unicast" },
	{ 0xea03c881, "dev_get_by_index" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbfe0703a, "skb_push" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0x2092327, "trace_event_reg" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x2e6fc05a, "class_unregister" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x59f2589b, "unregister_pernet_device" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xdc0f8a86, "bpf_trace_run1" },
	{ 0x61401cd3, "device_del" },
	{ 0x3bc887c0, "dev_set_mac_address" },
	{ 0xdcb764ad, "memset" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xa86fbee8, "__pskb_pull_tail" },
	{ 0x99eabdf8, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x2da8d207, "bpf_trace_run3" },
	{ 0xcd8e1166, "__put_net" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd3b3f26a, "get_net_ns_by_pid" },
	{ 0xda2d7a21, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd806e3a, "device_match_name" },
	{ 0xe900068a, "dev_get_by_name" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf3ba733b, "genl_unregister_family" },
	{ 0x98cf60b3, "strlen" },
	{ 0x6ad33698, "genl_register_family" },
	{ 0x2b55b7f9, "__dev_change_net_namespace" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x311e6281, "register_pernet_device" },
	{ 0x95b08404, "get_net_ns_by_fd" },
	{ 0xaa3a3bb3, "class_register" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0xda4e1eea, "class_find_device" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6C5A5A248D67C6B2F1CD34F");
