#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fou_encap_hlen, "", "");
KSYMTAB_FUNC(gue_encap_hlen, "", "");
KSYMTAB_FUNC(__fou_build_header, "", "");
KSYMTAB_FUNC(__gue_build_header, "", "");

SYMBOL_CRC(fou_encap_hlen, 0x1757d1a4, "");
SYMBOL_CRC(gue_encap_hlen, 0xf13914b3, "");
SYMBOL_CRC(__fou_build_header, 0xf3eb81fe, "");
SYMBOL_CRC(__gue_build_header, 0x793c8913, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd888499, "__skb_checksum_complete" },
	{ 0x8c5bfba1, "ip_tunnel_encap_add_ops" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x52e1ca5, "udp_sock_create4" },
	{ 0x6fe3a147, "genlmsg_put" },
	{ 0x919e172c, "udp_set_csum" },
	{ 0x37a0cba, "kfree" },
	{ 0x496ca329, "inet_offloads" },
	{ 0x147e6fb1, "inet_protos" },
	{ 0xe586169f, "iptunnel_handle_offloads" },
	{ 0xac3201b0, "udp_flow_hashrnd" },
	{ 0xf4ee861a, "pskb_expand_head" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x95463bb7, "__alloc_skb" },
	{ 0x52b549a, "__skb_get_hash_net" },
	{ 0x9f66a4ce, "sk_skb_reason_drop" },
	{ 0x8172d5ff, "netlink_unicast" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbfe0703a, "skb_push" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x59f2589b, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xa1583aad, "ip_tunnel_encap_del_ops" },
	{ 0xdcb764ad, "memset" },
	{ 0xc9972ac8, "udp_tunnel_sock_release" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xa86fbee8, "__pskb_pull_tail" },
	{ 0x32ae9a78, "register_btf_kfunc_id_set" },
	{ 0xa6e60717, "setup_udp_tunnel_sock" },
	{ 0x51d6b22d, "udp_sock_create6" },
	{ 0x99eabdf8, "skb_trim" },
	{ 0x3a2c704a, "inet6_offloads" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xf3ba733b, "genl_unregister_family" },
	{ 0x6ad33698, "genl_register_family" },
	{ 0x311e6281, "register_pernet_device" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "ip_tunnel,udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "FA681621000C1259BBE8990");
