#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip_tunnel_lookup, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_md_udp_encap, "", "");
KSYMTAB_FUNC(ip_tunnel_rcv, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_encap_add_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_del_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip_md_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_ctl, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_from_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_to_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_siocdevprivate, "_gpl", "");
KSYMTAB_FUNC(__ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_dellink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_get_link_net, "", "");
KSYMTAB_FUNC(ip_tunnel_get_iflink, "", "");
KSYMTAB_FUNC(ip_tunnel_init_net, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_delete_nets, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_newlink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_changelink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_init, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_uninit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_setup, "_gpl", "");

SYMBOL_CRC(ip_tunnel_lookup, 0x9103ffff, "_gpl");
SYMBOL_CRC(ip_tunnel_md_udp_encap, 0x9bb50f9b, "");
SYMBOL_CRC(ip_tunnel_rcv, 0x04852f6d, "_gpl");
SYMBOL_CRC(ip_tunnel_encap_add_ops, 0x8c5bfba1, "");
SYMBOL_CRC(ip_tunnel_encap_del_ops, 0xa1583aad, "");
SYMBOL_CRC(ip_tunnel_encap_setup, 0x07be1818, "_gpl");
SYMBOL_CRC(ip_md_tunnel_xmit, 0x82714051, "_gpl");
SYMBOL_CRC(ip_tunnel_xmit, 0x0b5f52d6, "_gpl");
SYMBOL_CRC(ip_tunnel_ctl, 0xa928bab5, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_from_user, 0x7f835b87, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_to_user, 0xfca8744d, "_gpl");
SYMBOL_CRC(ip_tunnel_siocdevprivate, 0x1ab6868d, "_gpl");
SYMBOL_CRC(__ip_tunnel_change_mtu, 0x5e0fd3dc, "_gpl");
SYMBOL_CRC(ip_tunnel_change_mtu, 0x6425d14a, "_gpl");
SYMBOL_CRC(ip_tunnel_dellink, 0xdda68e79, "_gpl");
SYMBOL_CRC(ip_tunnel_get_link_net, 0x4b7965f9, "");
SYMBOL_CRC(ip_tunnel_get_iflink, 0x520f2cfb, "");
SYMBOL_CRC(ip_tunnel_init_net, 0xa6d63380, "_gpl");
SYMBOL_CRC(ip_tunnel_delete_nets, 0x449e66de, "_gpl");
SYMBOL_CRC(ip_tunnel_newlink, 0xe1ee3313, "_gpl");
SYMBOL_CRC(ip_tunnel_changelink, 0xaa140c56, "_gpl");
SYMBOL_CRC(ip_tunnel_init, 0x437a918c, "_gpl");
SYMBOL_CRC(ip_tunnel_uninit, 0x64621e2d, "_gpl");
SYMBOL_CRC(ip_tunnel_setup, 0x93348327, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xdc7d92c0, "iptun_encaps" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x51a62b6d, "icmpv6_ndo_send" },
	{ 0x350bc9af, "icmp_ndo_send" },
	{ 0x98cf60b3, "strlen" },
	{ 0x4829a47e, "memcpy" },
	{ 0xa916b694, "strnlen" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xca0eee00, "alloc_netdev_mqs" },
	{ 0xec0e8314, "register_netdevice" },
	{ 0x2e9d1dca, "free_netdev" },
	{ 0x56470118, "__warn_printk" },
	{ 0x77a07d84, "unregister_netdevice_queue" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x9137c6a, "gro_cells_init" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xdcb764ad, "memset" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xe62f4ba2, "skb_copy_bits" },
	{ 0x8500f07e, "dst_release" },
	{ 0x9f66a4ce, "sk_skb_reason_drop" },
	{ 0x568a342c, "skb_scrub_packet" },
	{ 0xd1ab323f, "gro_cells_receive" },
	{ 0xa86fbee8, "__pskb_pull_tail" },
	{ 0xffceeeb5, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x122c3a7e, "_printk" },
	{ 0xc6ae011, "ip_route_output_flow" },
	{ 0xa247b83b, "__dev_get_by_index" },
	{ 0xc71add3d, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x8fe7fc51, "dev_addr_mod" },
	{ 0x66f61d0f, "netdev_state_change" },
	{ 0x1d3b79dd, "ns_capable" },
	{ 0x859f2f5a, "dev_set_mtu" },
	{ 0x7ee7ac5d, "init_net" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xd2993b21, "dst_cache_get_ip4" },
	{ 0x41702720, "dst_cache_set_ip4" },
	{ 0x94405283, "iptunnel_xmit" },
	{ 0x52b549a, "__skb_get_hash_net" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xf4ee861a, "pskb_expand_head" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x426eff70, "neigh_destroy" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6F4440B10885E34EDF21BEE");
