#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xad50ffb0, "ip_tunnel_header_ops" },
	{ 0x122c3a7e, "_printk" },
	{ 0x311e6281, "register_pernet_device" },
	{ 0x503c63f, "xfrm4_tunnel_register" },
	{ 0xeb16b253, "rtnl_link_register" },
	{ 0x59f2589b, "unregister_pernet_device" },
	{ 0x6c1a1f21, "xfrm4_tunnel_deregister" },
	{ 0x77a07d84, "unregister_netdevice_queue" },
	{ 0xdcb764ad, "memset" },
	{ 0x9fe62620, "ip_tunnel_netlink_parms" },
	{ 0x4829a47e, "memcpy" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x66f61d0f, "netdev_state_change" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x837cc043, "ip6_err_gen_icmpv6_unreach" },
	{ 0x6461e8d1, "ipv4_update_pmtu" },
	{ 0x939459eb, "ipv4_redirect" },
	{ 0x8241aab5, "rtnl_link_unregister" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0x1d3b79dd, "ns_capable" },
	{ 0xe586169f, "iptunnel_handle_offloads" },
	{ 0xb5f52d6, "ip_tunnel_xmit" },
	{ 0x9f66a4ce, "sk_skb_reason_drop" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0x7ee7ac5d, "init_net" },
	{ 0xca0eee00, "alloc_netdev_mqs" },
	{ 0x1ca4f351, "register_netdev" },
	{ 0xa916b694, "strnlen" },
	{ 0x2e9d1dca, "free_netdev" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x8fe7fc51, "dev_addr_mod" },
	{ 0xec0e8314, "register_netdevice" },
	{ 0xbb2780a, "__iptunnel_pull_header" },
	{ 0x4852f6d, "ip_tunnel_rcv" },
	{ 0xe11c859b, "__xfrm_policy_check" },
	{ 0xa247b83b, "__dev_get_by_index" },
	{ 0xedf92aba, "make_kuid" },
	{ 0xc6ae011, "ip_route_output_flow" },
	{ 0x8500f07e, "dst_release" },
	{ 0xe62f4ba2, "skb_copy_bits" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x588cbd59, "ipv6_chk_custom_prefix" },
	{ 0x5af3d319, "ipv6_chk_prefix" },
	{ 0x51335c0e, "netif_rx" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xd2993b21, "dst_cache_get_ip4" },
	{ 0x198be0db, "skb_realloc_headroom" },
	{ 0x6ff4a491, "skb_set_owner_w" },
	{ 0x4679fb71, "consume_skb" },
	{ 0xdc7d92c0, "iptun_encaps" },
	{ 0x94405283, "iptunnel_xmit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x51a62b6d, "icmpv6_ndo_send" },
	{ 0x41702720, "dst_cache_set_ip4" },
	{ 0x426eff70, "neigh_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa86fbee8, "__pskb_pull_tail" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x3e903560, "ip_tunnel_netlink_encap_parms" },
	{ 0x7be1818, "ip_tunnel_encap_setup" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xc6cbbc89, "capable" },
	{ 0x1ab6868d, "ip_tunnel_siocdevprivate" },
	{ 0x7f835b87, "ip_tunnel_parm_from_user" },
	{ 0x520f2cfb, "ip_tunnel_get_iflink" },
	{ 0x4b7965f9, "ip_tunnel_get_link_net" },
	{ 0x14c5dd46, "param_ops_bool" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "tunnel4,ip_tunnel");


MODULE_INFO(srcversion, "4BE376813773624B29EEEFD");
