#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(l2tp_sk_to_tunnel, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_inc_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_dec_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_inc_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_dec_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get_nth, "_gpl", "");
KSYMTAB_FUNC(l2tp_v3_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_v2_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_nth, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_by_ifname, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_recv_common, "_gpl", "");
KSYMTAB_FUNC(l2tp_udp_encap_recv, "_gpl", "");
KSYMTAB_FUNC(l2tp_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_create, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_set_header_len, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_create, "_gpl", "");

SYMBOL_CRC(l2tp_sk_to_tunnel, 0xc17800b8, "_gpl");
SYMBOL_CRC(l2tp_tunnel_inc_refcount, 0xcdc7d846, "_gpl");
SYMBOL_CRC(l2tp_tunnel_dec_refcount, 0xfd7f39a3, "_gpl");
SYMBOL_CRC(l2tp_session_inc_refcount, 0xf431830d, "_gpl");
SYMBOL_CRC(l2tp_session_dec_refcount, 0xef582d90, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get, 0x0c15ee17, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_nth, 0xa6e39b08, "_gpl");
SYMBOL_CRC(l2tp_v3_session_get, 0xb1e0bf64, "_gpl");
SYMBOL_CRC(l2tp_v2_session_get, 0xc483ea37, "_gpl");
SYMBOL_CRC(l2tp_session_get, 0x4f4e6089, "_gpl");
SYMBOL_CRC(l2tp_session_get_nth, 0xdfdb92ee, "_gpl");
SYMBOL_CRC(l2tp_session_get_by_ifname, 0xda97cfdc, "_gpl");
SYMBOL_CRC(l2tp_session_register, 0xddef456e, "_gpl");
SYMBOL_CRC(l2tp_recv_common, 0xb4bb0e17, "_gpl");
SYMBOL_CRC(l2tp_udp_encap_recv, 0x978480fb, "_gpl");
SYMBOL_CRC(l2tp_xmit_skb, 0x74d30ffc, "_gpl");
SYMBOL_CRC(l2tp_tunnel_create, 0xbe078ce4, "_gpl");
SYMBOL_CRC(l2tp_tunnel_register, 0xb3f181be, "_gpl");
SYMBOL_CRC(l2tp_tunnel_delete, 0x3488fa94, "_gpl");
SYMBOL_CRC(l2tp_session_delete, 0x44074d55, "_gpl");
SYMBOL_CRC(l2tp_session_set_header_len, 0x6b37f582, "_gpl");
SYMBOL_CRC(l2tp_session_create, 0xa7a257f1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x4bb807c7, "perf_trace_run_bpf_submit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xda2d7a21, "trace_event_buffer_reserve" },
	{ 0xfb6dfa14, "trace_event_buffer_commit" },
	{ 0x556be6e0, "__trace_trigger_soft_disabled" },
	{ 0x93b9a682, "trace_raw_output_prep" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0xcb6b138, "trace_event_printf" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xdc0f8a86, "bpf_trace_run1" },
	{ 0xc4e40b90, "bpf_trace_run2" },
	{ 0x55126b81, "sk_error_report" },
	{ 0x25cc444c, "ip_icmp_error" },
	{ 0xa5aa3059, "ipv6_icmp_error" },
	{ 0x311e6281, "register_pernet_device" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x122c3a7e, "_printk" },
	{ 0x59f2589b, "unregister_pernet_device" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x33550692, "sock_create_kern" },
	{ 0xedeb6024, "kernel_bind" },
	{ 0x3b055253, "kernel_connect" },
	{ 0x51d6b22d, "udp_sock_create6" },
	{ 0xdec25abe, "kernel_sock_shutdown" },
	{ 0x6c225138, "sock_release" },
	{ 0x52e1ca5, "udp_sock_create4" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc528a49a, "queued_write_lock_slowpath" },
	{ 0x4829a47e, "memcpy" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xcc1b882a, "idr_get_next_ul" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x20978fb9, "idr_find" },
	{ 0x9f66a4ce, "sk_skb_reason_drop" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x136711a4, "skb_queue_tail" },
	{ 0x919e172c, "udp_set_csum" },
	{ 0x3d418880, "ip_queue_xmit" },
	{ 0xf4ee861a, "pskb_expand_head" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xde38987f, "udp6_set_csum" },
	{ 0xaa88ee96, "inet6_csk_xmit" },
	{ 0x8500f07e, "dst_release" },
	{ 0xcafe0b48, "sk_free" },
	{ 0x37a0cba, "kfree" },
	{ 0x7b82b9a1, "idr_replace" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x87ef83ff, "skb_dequeue" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xa86fbee8, "__pskb_pull_tail" },
	{ 0xd9916c3a, "idr_alloc_u32" },
	{ 0x129146c9, "sockfd_lookup" },
	{ 0x9f8c5901, "lock_sock_nested" },
	{ 0x231a085c, "release_sock" },
	{ 0x97b585fb, "fput" },
	{ 0xdcb764ad, "memset" },
	{ 0xa6e60717, "setup_udp_tunnel_sock" },
	{ 0x2092327, "trace_event_reg" },
	{ 0x3f7c8b8f, "trace_event_raw_init" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "ip6_udp_tunnel,udp_tunnel");


MODULE_INFO(srcversion, "3B933BEA124EA36CF28A4ED");
