#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_conntrack_locks, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_expect_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_hash, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_htable_size, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_max, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_tuplepr, "_gpl", "");
KSYMTAB_FUNC(nf_ct_invert_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_id, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_free, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy, "", "");
KSYMTAB_FUNC(nf_ct_delete, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_hash_check_insert, "_gpl", "");
KSYMTAB_FUNC(nf_ct_acct_add, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_tuple_taken, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_free, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_in, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_refresh_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_kill_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_tuple_to_nlattr, "_gpl", "");
KSYMTAB_DATA(nf_ct_port_nla_policy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_to_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_tuple_size, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_cleanup_net, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_alloc_hashtable, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_timeout, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_status, "_gpl", "");
KSYMTAB_FUNC(nf_ct_change_status_common, "_gpl", "");
KSYMTAB_FUNC(print_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_count, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hsize, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hash, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unlink_expect_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expect, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_expect_find, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expectations, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unexpect_related, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_related_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_net, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hash, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hsize, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_helper_find, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_ext_add, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_try_assign_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_name, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_symbol, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_log, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_init, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_find, "_gpl", "");
KSYMTAB_FUNC(nf_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ext_add, "", "");
KSYMTAB_FUNC(__nf_ct_ext_find, "", "");
KSYMTAB_FUNC(nf_ct_seqadj_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tcp_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_adjust, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_offset, "_gpl", "");
KSYMTAB_DATA(nf_ct_timeout_hook, "_gpl", "");
KSYMTAB_FUNC(nf_ct_untimeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_set_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_conn_pernet_ecache, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_eventmask_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_deliver_cached_events, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_register_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_unregister_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ecache_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_replace, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_get, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_add_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_skb_network_trim, "_gpl", "");
KSYMTAB_FUNC(nf_ct_handle_fragments, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_add, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_destroy, "_gpl", "");

SYMBOL_CRC(nf_conntrack_locks, 0xaf0847f0, "_gpl");
SYMBOL_CRC(nf_conntrack_expect_lock, 0x9adb7399, "_gpl");
SYMBOL_CRC(nf_conntrack_hash, 0x28eff409, "_gpl");
SYMBOL_CRC(nf_conntrack_lock, 0xdba7326b, "_gpl");
SYMBOL_CRC(nf_conntrack_htable_size, 0x8ffe7e89, "_gpl");
SYMBOL_CRC(nf_conntrack_max, 0xf38bcdf3, "_gpl");
SYMBOL_CRC(nf_ct_get_tuplepr, 0xd075186c, "_gpl");
SYMBOL_CRC(nf_ct_invert_tuple, 0x0460ec0f, "_gpl");
SYMBOL_CRC(nf_ct_get_id, 0xc4877766, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_alloc, 0xa74ef924, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_free, 0x3a86a030, "_gpl");
SYMBOL_CRC(nf_ct_destroy, 0x3b08a8f0, "");
SYMBOL_CRC(nf_ct_delete, 0x0b42d342, "_gpl");
SYMBOL_CRC(nf_conntrack_find_get, 0xd2da4ddf, "_gpl");
SYMBOL_CRC(nf_conntrack_hash_check_insert, 0x9a3510f3, "_gpl");
SYMBOL_CRC(nf_ct_acct_add, 0x9f2877a6, "_gpl");
SYMBOL_CRC(__nf_conntrack_confirm, 0xce0d0503, "_gpl");
SYMBOL_CRC(nf_conntrack_tuple_taken, 0xe5d813d4, "_gpl");
SYMBOL_CRC(nf_conntrack_alloc, 0x7215000b, "_gpl");
SYMBOL_CRC(nf_conntrack_free, 0x60580bbb, "_gpl");
SYMBOL_CRC(nf_conntrack_in, 0xc44e27ef, "_gpl");
SYMBOL_CRC(__nf_ct_refresh_acct, 0xe95a34fe, "_gpl");
SYMBOL_CRC(nf_ct_kill_acct, 0x1aaff313, "_gpl");
SYMBOL_CRC(nf_ct_port_tuple_to_nlattr, 0x5f4797fc, "_gpl");
SYMBOL_CRC(nf_ct_port_nla_policy, 0xeb0ab313, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_to_tuple, 0x752f0aa2, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_tuple_size, 0xd505c3e0, "_gpl");
SYMBOL_CRC(nf_ct_iterate_cleanup_net, 0x68ed681b, "_gpl");
SYMBOL_CRC(nf_ct_iterate_destroy, 0xa1fdc6c6, "_gpl");
SYMBOL_CRC(nf_ct_alloc_hashtable, 0x289c3714, "_gpl");
SYMBOL_CRC(__nf_ct_change_timeout, 0xf7cc60c4, "_gpl");
SYMBOL_CRC(__nf_ct_change_status, 0xc0b9683b, "_gpl");
SYMBOL_CRC(nf_ct_change_status_common, 0xbedd64a2, "_gpl");
SYMBOL_CRC(print_tuple, 0x5121a7ed, "_gpl");
SYMBOL_CRC(nf_conntrack_count, 0x4678435e, "_gpl");
SYMBOL_CRC(nf_ct_expect_hsize, 0xc18ac88d, "_gpl");
SYMBOL_CRC(nf_ct_expect_hash, 0xec8beba6, "_gpl");
SYMBOL_CRC(nf_ct_unlink_expect_report, 0xde325827, "_gpl");
SYMBOL_CRC(nf_ct_remove_expect, 0xdccf999b, "_gpl");
SYMBOL_CRC(__nf_ct_expect_find, 0xc2853d50, "_gpl");
SYMBOL_CRC(nf_ct_expect_find_get, 0xb23e37b2, "_gpl");
SYMBOL_CRC(nf_ct_remove_expectations, 0xef0f9fc2, "_gpl");
SYMBOL_CRC(nf_ct_unexpect_related, 0x08718993, "_gpl");
SYMBOL_CRC(nf_ct_expect_alloc, 0xce01ab51, "_gpl");
SYMBOL_CRC(nf_ct_expect_init, 0xc990b771, "_gpl");
SYMBOL_CRC(nf_ct_expect_put, 0x691eb4a1, "_gpl");
SYMBOL_CRC(nf_ct_expect_related_report, 0xd6c2ea6f, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_destroy, 0x4d9b82af, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_net, 0x39b91f74, "_gpl");
SYMBOL_CRC(nf_ct_helper_hash, 0x693c3961, "_gpl");
SYMBOL_CRC(nf_ct_helper_hsize, 0xc40f284c, "_gpl");
SYMBOL_CRC(__nf_conntrack_helper_find, 0x2f6bac72, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_try_module_get, 0xaab42074, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_put, 0x76bbbea2, "_gpl");
SYMBOL_CRC(nf_nat_helper_try_module_get, 0x0bc00f80, "_gpl");
SYMBOL_CRC(nf_nat_helper_put, 0x24b01038, "_gpl");
SYMBOL_CRC(nf_ct_helper_ext_add, 0x9c4ed2d8, "_gpl");
SYMBOL_CRC(__nf_ct_try_assign_helper, 0x624215b0, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_register, 0x5665f0f1, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_unregister, 0xa6140251, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_name, 0xa7535350, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_symbol, 0x582183c4, "_gpl");
SYMBOL_CRC(nf_ct_helper_log, 0x91b1835c, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_register, 0x73264012, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_unregister, 0x360b4824, "_gpl");
SYMBOL_CRC(nf_ct_helper_init, 0xafb967ae, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_register, 0x8ed7faa4, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_unregister, 0x460a7934, "_gpl");
SYMBOL_CRC(nf_nat_helper_register, 0x60b2ecce, "_gpl");
SYMBOL_CRC(nf_nat_helper_unregister, 0x8b73d59e, "_gpl");
SYMBOL_CRC(nf_l4proto_log_invalid, 0xffd77051, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_log_invalid, 0xb9609ef0, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_find, 0x9be8e9cf, "_gpl");
SYMBOL_CRC(nf_confirm, 0x824b4a31, "_gpl");
SYMBOL_CRC(nf_ct_netns_get, 0xea862feb, "_gpl");
SYMBOL_CRC(nf_ct_netns_put, 0xa22e5e8c, "_gpl");
SYMBOL_CRC(nf_ct_bridge_register, 0xd1219627, "_gpl");
SYMBOL_CRC(nf_ct_bridge_unregister, 0x204bcab5, "_gpl");
SYMBOL_CRC(nf_ct_ext_add, 0xe278ea3d, "");
SYMBOL_CRC(__nf_ct_ext_find, 0x89d99ee1, "");
SYMBOL_CRC(nf_ct_seqadj_init, 0xa1bd7b5c, "_gpl");
SYMBOL_CRC(nf_ct_seqadj_set, 0x25f07f56, "_gpl");
SYMBOL_CRC(nf_ct_tcp_seqadj_set, 0xa5869c8b, "_gpl");
SYMBOL_CRC(nf_ct_seq_adjust, 0x8052a561, "_gpl");
SYMBOL_CRC(nf_ct_seq_offset, 0x24c3e4a8, "_gpl");
SYMBOL_CRC(nf_ct_timeout_hook, 0x59449986, "_gpl");
SYMBOL_CRC(nf_ct_untimeout, 0xa5fb2e23, "_gpl");
SYMBOL_CRC(nf_ct_set_timeout, 0xabf83a3a, "_gpl");
SYMBOL_CRC(nf_ct_destroy_timeout, 0x70fb8c05, "_gpl");
SYMBOL_CRC(nf_conn_pernet_ecache, 0xd387d935, "_gpl");
SYMBOL_CRC(nf_conntrack_eventmask_report, 0x1d34d907, "_gpl");
SYMBOL_CRC(nf_ct_deliver_cached_events, 0x8a3ed4ad, "_gpl");
SYMBOL_CRC(nf_conntrack_register_notifier, 0x7ccbf1d8, "_gpl");
SYMBOL_CRC(nf_conntrack_unregister_notifier, 0x1215e62c, "_gpl");
SYMBOL_CRC(nf_ct_ecache_ext_add, 0x6e4b1f35, "_gpl");
SYMBOL_CRC(nf_connlabels_replace, 0x02942d85, "_gpl");
SYMBOL_CRC(nf_connlabels_get, 0xb7af5441, "_gpl");
SYMBOL_CRC(nf_connlabels_put, 0x40b4ba7c, "_gpl");
SYMBOL_CRC(nf_ct_helper, 0xa9553f05, "_gpl");
SYMBOL_CRC(nf_ct_add_helper, 0x594e634b, "_gpl");
SYMBOL_CRC(nf_ct_skb_network_trim, 0x73092974, "_gpl");
SYMBOL_CRC(nf_ct_handle_fragments, 0x4e5c20c8, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_add, 0xf3cf6a9f, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_destroy, 0x5f8425bb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbab1bfca, "__do_once_done" },
	{ 0xd4845a05, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x8cb55f98, "nf_defrag_ipv4_disable" },
	{ 0xa6cf9fde, "nf_ip6_checksum" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x917a760d, "proc_dou8vec_minmax" },
	{ 0xe62f4ba2, "skb_copy_bits" },
	{ 0x60b73b66, "param_ops_uint" },
	{ 0xac4038d6, "proc_dointvec_jiffies" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe51de65a, "nf_register_sockopt" },
	{ 0x60714e08, "nla_put_64bit" },
	{ 0x14c7f30a, "nfct_btf_struct_access" },
	{ 0xcaa1ae3, "param_set_uint" },
	{ 0x3181980c, "nf_defrag_ipv4_enable" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xf159110f, "nf_ct_frag6_gather" },
	{ 0xd0673a86, "get_net_ns_by_id" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x3494ac55, "kmem_cache_create" },
	{ 0x9a419753, "nf_ct_hook" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x9de7ff27, "proc_create_net_data" },
	{ 0x751d2e97, "bpf_log" },
	{ 0x8f0d0005, "register_pernet_subsys" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x356f0d90, "register_net_sysctl_sz" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xb63ad9d8, "nf_unregister_sockopt" },
	{ 0x569133b7, "param_get_uint" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xedf92aba, "make_kuid" },
	{ 0x707673e6, "nf_defrag_ipv6_disable" },
	{ 0xcb2f7df5, "ipv6_skip_exthdr" },
	{ 0x6a8b6574, "nf_register_net_hooks" },
	{ 0xa916b694, "strnlen" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0x1f9a9c72, "module_put" },
	{ 0x800473f, "__cond_resched" },
	{ 0x940a7371, "nf_checksum" },
	{ 0x7ee7ac5d, "init_net" },
	{ 0xfd5e6864, "nf_ip6_check_hbh_len" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x24d273d1, "add_timer" },
	{ 0x9f66a4ce, "sk_skb_reason_drop" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbc037f7, "kmem_cache_free" },
	{ 0x6f2c2cc6, "seq_putc" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0xe03c5d32, "nf_checksum_partial" },
	{ 0x53fb6bb8, "skb_ensure_writable" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xd60aca78, "nf_unregister_net_hooks" },
	{ 0x9f8c5901, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xe7e13a1f, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xdcb764ad, "memset" },
	{ 0x6c0290dd, "ip_defrag" },
	{ 0x19f33626, "nf_ctnetlink_has_listener" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xd235061c, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xcc23710f, "nf_log_packet" },
	{ 0x437be782, "make_kgid" },
	{ 0xdfe393b1, "nf_ip_checksum" },
	{ 0x32ae9a78, "register_btf_kfunc_id_set" },
	{ 0xe4262c6, "__siphash_unaligned" },
	{ 0xa041a619, "nf_conn_btf_access_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x254ad00e, "nla_policy_len" },
	{ 0xcd8e1166, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0xe17678a, "siphash_4u64" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x20fe9f84, "__skb_checksum" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x7f7e032f, "proc_set_user" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x14c5dd46, "param_ops_bool" },
	{ 0xb169a3f, "inet_proto_csum_replace4" },
	{ 0x5737dbe8, "seq_write" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe225b8f6, "remove_proc_entry" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x899fbd06, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x581fc7a7, "nf_defrag_ipv6_enable" },
	{ 0xecfea88, "btf_type_by_id" },
	{ 0xf943375f, "proc_dointvec" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x12d58f56, "nf_nat_hook" },
	{ 0xf44a904a, "net_ns_barrier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x5ac8c04c, "unregister_net_sysctl_table" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x869d3a94, "nf_queue_nf_hook_drop" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x86f6b99d, "synchronize_rcu_expedited" },
	{ 0x5359e8dc, "__kvmalloc_node_noprof" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xa6fcfb8, "pskb_trim_rcsum_slow" },
	{ 0x53b954a2, "up_read" },
	{ 0xe1a8d7c9, "net_rwsem" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x309989e7, "kmem_cache_destroy" },
	{ 0x231a085c, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "nf_defrag_ipv4,nf_defrag_ipv6");


MODULE_INFO(srcversion, "C3EB11D2F910CD4744B9EB6");
