#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__ovs_vport_ops_register, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_alloc, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_free, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_link, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_tunnel_destroy, "_gpl", "");

SYMBOL_CRC(__ovs_vport_ops_register, 0x78869771, "_gpl");
SYMBOL_CRC(ovs_vport_ops_unregister, 0xeb090a3d, "_gpl");
SYMBOL_CRC(ovs_vport_alloc, 0xe8c2d2d3, "_gpl");
SYMBOL_CRC(ovs_vport_free, 0xfa60fa5c, "_gpl");
SYMBOL_CRC(ovs_netdev_link, 0x29364774, "_gpl");
SYMBOL_CRC(ovs_netdev_tunnel_destroy, 0x6a3b991b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe278ea3d, "nf_ct_ext_add" },
	{ 0xd7acf0ee, "nsh_pop" },
	{ 0xd2da4ddf, "nf_conntrack_find_get" },
	{ 0xabf83a3a, "nf_ct_set_timeout" },
	{ 0x209375fe, "dev_get_stats" },
	{ 0xb0568cb7, "__nla_put" },
	{ 0xd4845a05, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xf6d69f78, "dev_fill_metadata_dst" },
	{ 0x4506c655, "bpf_trace_run4" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0xe62f4ba2, "skb_copy_bits" },
	{ 0x4e5c20c8, "nf_ct_handle_fragments" },
	{ 0xadb19534, "eth_mac_addr" },
	{ 0xc2af5a6, "skb_put" },
	{ 0x68a7bc6a, "genl_notify" },
	{ 0xd3bc1ac3, "nsh_push" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x4679fb71, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x7bd9265a, "nf_ct_nat" },
	{ 0xf3e970bf, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x75da8edd, "skb_eth_pop" },
	{ 0x93b9a682, "trace_raw_output_prep" },
	{ 0x9d4d49f6, "skb_gso_validate_mac_len" },
	{ 0x60714e08, "nla_put_64bit" },
	{ 0x624215b0, "__nf_ct_try_assign_helper" },
	{ 0x86dd708d, "tc_skb_ext_tc_enable" },
	{ 0xa9553f05, "nf_ct_helper" },
	{ 0x556be6e0, "__trace_trigger_soft_disabled" },
	{ 0x593f3f58, "__skb_ext_del" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0xcb6b138, "trace_event_printf" },
	{ 0x5baeead7, "rtnl_delete_link" },
	{ 0xeb16b253, "rtnl_link_register" },
	{ 0x40b4ba7c, "nf_connlabels_put" },
	{ 0x6fe3a147, "genlmsg_put" },
	{ 0x7c709594, "___pskb_trim" },
	{ 0x3f7c8b8f, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x5d5a87b9, "psample_sample_packet" },
	{ 0x37a0cba, "kfree" },
	{ 0x7e5f59fe, "dev_set_promiscuity" },
	{ 0x70fb8c05, "nf_ct_destroy_timeout" },
	{ 0x594e634b, "nf_ct_add_helper" },
	{ 0x76bbbea2, "nf_conntrack_helper_put" },
	{ 0x265e7d54, "netlink_set_err" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x73092974, "nf_ct_skb_network_trim" },
	{ 0x77a07d84, "unregister_netdevice_queue" },
	{ 0x3494ac55, "kmem_cache_create" },
	{ 0xdc82e11, "skb_pull_rcsum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xb7b7fa6e, "node_states" },
	{ 0x9d58bf, "ether_setup" },
	{ 0x23718531, "netlink_broadcast_filtered" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xf4ee861a, "pskb_expand_head" },
	{ 0x886884cf, "skb_csum_hwoffload_help" },
	{ 0xfb6dfa14, "trace_event_buffer_commit" },
	{ 0x8fe7fc51, "dev_addr_mod" },
	{ 0x2942d85, "nf_connlabels_replace" },
	{ 0xffceeeb5, "eth_type_trans" },
	{ 0xca0eee00, "alloc_netdev_mqs" },
	{ 0x2d86ebff, "nla_put_nohdr" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xb7af5441, "nf_connlabels_get" },
	{ 0xff2d565c, "drop_reasons_unregister_subsys" },
	{ 0xd8fd808d, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x2c74e93b, "skb_eth_push" },
	{ 0x444d0643, "nf_conncount_count" },
	{ 0xa916b694, "strnlen" },
	{ 0x95463bb7, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x10f153bd, "skb_mpls_pop" },
	{ 0x862b1a79, "skb_vlan_pop" },
	{ 0x8e6187a7, "dst_init" },
	{ 0x1f9a9c72, "module_put" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x4ea5d10, "ksize" },
	{ 0x52b549a, "__skb_get_hash_net" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x8241aab5, "rtnl_link_unregister" },
	{ 0x4bb807c7, "perf_trace_run_bpf_submit" },
	{ 0x7ee7ac5d, "init_net" },
	{ 0xb7c0f443, "sort" },
	{ 0x6474338, "ipv6_stub" },
	{ 0xfae238de, "skb_mpls_update_lse" },
	{ 0xb6476d61, "skb_pull" },
	{ 0xf789443e, "__skb_get_hash_symmetric_net" },
	{ 0xa07a37f0, "memchr" },
	{ 0x9f66a4ce, "sk_skb_reason_drop" },
	{ 0x8172d5ff, "netlink_unicast" },
	{ 0x44494c12, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xfffcb06b, "dev_get_by_index_rcu" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbfe0703a, "skb_push" },
	{ 0xbc037f7, "kmem_cache_free" },
	{ 0x682ff282, "netdev_upper_dev_unlink" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0x2092327, "trace_event_reg" },
	{ 0x53fb6bb8, "skb_ensure_writable" },
	{ 0x2e9d1dca, "free_netdev" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x7b70c901, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xa965ca81, "reciprocal_value" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x59f2589b, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfb7b1730, "ethtool_op_get_link" },
	{ 0xce0d0503, "__nf_conntrack_confirm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xdcb764ad, "memset" },
	{ 0x24b01038, "nf_nat_helper_put" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xd235061c, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xa86fbee8, "__pskb_pull_tail" },
	{ 0xb42d342, "nf_ct_delete" },
	{ 0x35327542, "nf_conncount_init" },
	{ 0x91bd4a9d, "skb_vlan_push" },
	{ 0x51335c0e, "netif_rx" },
	{ 0x5409cff7, "__netdev_alloc_skb" },
	{ 0x97b91a76, "netdev_master_upper_dev_link" },
	{ 0x979aac17, "skb_zerocopy_headlen" },
	{ 0x78cc75d2, "drop_reasons_register_subsys" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xe980a7e6, "inet_proto_csum_replace16" },
	{ 0x99eabdf8, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x568a342c, "skb_scrub_packet" },
	{ 0x8a3ed4ad, "nf_ct_deliver_cached_events" },
	{ 0x2cbf4ff6, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x1c091d8a, "skb_tx_error" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xeacf0ae1, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0xda2d7a21, "trace_event_buffer_reserve" },
	{ 0x20fe9f84, "__skb_checksum" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb169a3f, "inet_proto_csum_replace4" },
	{ 0x1f99aa32, "nf_conncount_destroy" },
	{ 0x6cd3bb6a, "skb_zerocopy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x75351a76, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xe900068a, "dev_get_by_name" },
	{ 0x6b53f5f8, "skb_clone" },
	{ 0xd1fba8ff, "metadata_dst_alloc" },
	{ 0x8500f07e, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x8b49b4da, "peernet2id_alloc" },
	{ 0xd075186c, "nf_ct_get_tuplepr" },
	{ 0xf04e9898, "netdev_rx_handler_register" },
	{ 0xa1ac100f, "ip_do_fragment" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xf3ba733b, "genl_unregister_family" },
	{ 0x6744e52b, "dev_disable_lro" },
	{ 0x32c83826, "kmem_cache_alloc_node_noprof" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x98cf60b3, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0xd7c7d5c, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x6ad33698, "genl_register_family" },
	{ 0x3a86a030, "nf_ct_tmpl_free" },
	{ 0xcb4ba199, "netlink_has_listeners" },
	{ 0xcc392eea, "kmalloc_size_roundup" },
	{ 0x5359e8dc, "__kvmalloc_node_noprof" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xba9c2f08, "__skb_gso_segment" },
	{ 0x53b954a2, "up_read" },
	{ 0xd9377edd, "skb_mpls_push" },
	{ 0x311e6281, "register_pernet_device" },
	{ 0xc44e27ef, "nf_conntrack_in" },
	{ 0xe1a8d7c9, "net_rwsem" },
	{ 0x7dc5ffa7, "tc_skb_ext_tc_disable" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x309989e7, "kmem_cache_destroy" },
	{ 0x584c6976, "__skb_vlan_pop" },
	{ 0xa74ef924, "nf_ct_tmpl_alloc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xec0e8314, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nsh,nf_nat,psample,nf_conncount");


MODULE_INFO(srcversion, "E33A50B587626FB5841DCCF");
