#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rfkill_get_led_trigger_name, "", "");
KSYMTAB_FUNC(rfkill_set_led_trigger_name, "", "");
KSYMTAB_FUNC(rfkill_set_hw_state_reason, "", "");
KSYMTAB_FUNC(rfkill_set_sw_state, "", "");
KSYMTAB_FUNC(rfkill_init_sw_state, "", "");
KSYMTAB_FUNC(rfkill_set_states, "", "");
KSYMTAB_FUNC(rfkill_find_type, "", "");
KSYMTAB_FUNC(rfkill_pause_polling, "", "");
KSYMTAB_FUNC(rfkill_resume_polling, "", "");
KSYMTAB_FUNC(rfkill_blocked, "", "");
KSYMTAB_FUNC(rfkill_soft_blocked, "", "");
KSYMTAB_FUNC(rfkill_alloc, "", "");
KSYMTAB_FUNC(rfkill_register, "", "");
KSYMTAB_FUNC(rfkill_unregister, "", "");
KSYMTAB_FUNC(rfkill_destroy, "", "");

SYMBOL_CRC(rfkill_get_led_trigger_name, 0xaa6f23ad, "");
SYMBOL_CRC(rfkill_set_led_trigger_name, 0x9cab34a6, "");
SYMBOL_CRC(rfkill_set_hw_state_reason, 0x0cdce87c, "");
SYMBOL_CRC(rfkill_set_sw_state, 0x8a490c90, "");
SYMBOL_CRC(rfkill_init_sw_state, 0xaad6d92f, "");
SYMBOL_CRC(rfkill_set_states, 0x85b5e625, "");
SYMBOL_CRC(rfkill_find_type, 0x50b73ce2, "");
SYMBOL_CRC(rfkill_pause_polling, 0x3939f8f0, "");
SYMBOL_CRC(rfkill_resume_polling, 0xc781bd9f, "");
SYMBOL_CRC(rfkill_blocked, 0xc0763484, "");
SYMBOL_CRC(rfkill_soft_blocked, 0xd24108d4, "");
SYMBOL_CRC(rfkill_alloc, 0x61d7bdce, "");
SYMBOL_CRC(rfkill_register, 0xff282521, "");
SYMBOL_CRC(rfkill_unregister, 0x083eb21c, "");
SYMBOL_CRC(rfkill_destroy, 0xdb68bbad, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x58f09138, "misc_deregister" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x60b73b66, "param_ops_uint" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xdec5f1bf, "dev_set_name" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x3b9c57bf, "device_initialize" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xd471404, "input_register_handle" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x8619869e, "put_device" },
	{ 0xc6cbbc89, "capable" },
	{ 0x54b50667, "compat_ptr_ioctl" },
	{ 0x800473f, "__cond_resched" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x61373533, "device_add" },
	{ 0x93b770c4, "input_open_device" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x2e6fc05a, "class_unregister" },
	{ 0x45004aac, "led_trigger_unregister" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x1afa3ff6, "input_close_device" },
	{ 0x61401cd3, "device_del" },
	{ 0x30017809, "input_unregister_handler" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xedd818fe, "misc_register" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xdb080834, "input_register_handler" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xa9c827aa, "led_trigger_register" },
	{ 0xcbcfa4cc, "input_unregister_handle" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xbed38642, "kobject_uevent" },
	{ 0x51d96502, "stream_open" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xd1e4f409, "led_trigger_event" },
	{ 0x98cf60b3, "strlen" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xaa3a3bb3, "class_register" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1F86150D100C7B042FB33EC");
