#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xf5b70a69, "tcf_idrinfo_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xf3c47176, "tcf_action_update_stats" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xdcb764ad, "memset" },
	{ 0x97f4c239, "nf_flow_table_free" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x1f9a9c72, "module_put" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x28839c12, "rhashtable_init_noprof" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xf0023970, "tcf_register_action" },
	{ 0x22d60537, "tcf_frag_xmit_count" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x9f84be2a, "tcf_unregister_action" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x2cbf4ff6, "ipv6_find_hdr" },
	{ 0x4e5c20c8, "nf_ct_handle_fragments" },
	{ 0xa86fbee8, "__pskb_pull_tail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x60714e08, "nla_put_64bit" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xa916b694, "strnlen" },
	{ 0x99eabdf8, "skb_trim" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xb1edc128, "flow_offload_alloc" },
	{ 0x265d675, "flow_offload_add" },
	{ 0xe81b467e, "flow_offload_free" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x6fb49676, "queue_rcu_work" },
	{ 0x76bbbea2, "nf_conntrack_helper_put" },
	{ 0x40b4ba7c, "nf_connlabels_put" },
	{ 0x24b01038, "nf_nat_helper_put" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xb7af5441, "nf_connlabels_get" },
	{ 0xa74ef924, "nf_ct_tmpl_alloc" },
	{ 0x594e634b, "nf_ct_add_helper" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x844c9dfa, "flow_offload_lookup" },
	{ 0x7ee7ac5d, "init_net" },
	{ 0xda5aa6f2, "flow_offload_refresh" },
	{ 0x9ebbcc5a, "flow_offload_teardown" },
	{ 0x9f2877a6, "nf_ct_acct_add" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x504146c1, "nf_flow_table_init" },
	{ 0x2b02565, "__module_get" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x972a5f26, "tcf_idr_check_alloc" },
	{ 0x6f10193b, "tcf_action_check_ctrlact" },
	{ 0x720470b6, "tcf_chain_put_by_act" },
	{ 0x3018b720, "tcf_idr_release" },
	{ 0x4b82830d, "tcf_idr_create_from_flags" },
	{ 0xafa7f655, "tcf_idr_cleanup" },
	{ 0x8edbba0c, "tcf_action_set_ctrlact" },
	{ 0xdc82e11, "skb_pull_rcsum" },
	{ 0x73092974, "nf_ct_skb_network_trim" },
	{ 0xc44e27ef, "nf_conntrack_in" },
	{ 0x624215b0, "__nf_ct_try_assign_helper" },
	{ 0xe278ea3d, "nf_ct_ext_add" },
	{ 0xe62f4ba2, "skb_copy_bits" },
	{ 0xbfe0703a, "skb_push" },
	{ 0x8a3ed4ad, "nf_ct_deliver_cached_events" },
	{ 0x7bd9265a, "nf_ct_nat" },
	{ 0xa9553f05, "nf_ct_helper" },
	{ 0x2942d85, "nf_connlabels_replace" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb42d342, "nf_ct_delete" },
	{ 0xce0d0503, "__nf_conntrack_confirm" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "nf_flow_table,nf_conntrack,nf_nat");


MODULE_INFO(srcversion, "25D796255FCC08751087FB7");
