#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(g_token_size, "_gpl", "");
KSYMTAB_FUNC(g_make_token_header, "_gpl", "");
KSYMTAB_FUNC(g_verify_token_header, "_gpl", "");
KSYMTAB_FUNC(gss_mech_register, "_gpl", "");
KSYMTAB_FUNC(gss_mech_unregister, "_gpl", "");
KSYMTAB_FUNC(gss_mech_get, "", "");
KSYMTAB_FUNC(gss_pseudoflavor_to_service, "", "");
KSYMTAB_FUNC(gss_mech_put, "", "");
KSYMTAB_FUNC(svcauth_gss_flavor, "_gpl", "");
KSYMTAB_FUNC(svcauth_gss_register_pseudoflavor, "_gpl", "");

SYMBOL_CRC(g_token_size, 0x482ac5a4, "_gpl");
SYMBOL_CRC(g_make_token_header, 0x38d3dce5, "_gpl");
SYMBOL_CRC(g_verify_token_header, 0xd7673035, "_gpl");
SYMBOL_CRC(gss_mech_register, 0x442ffba3, "_gpl");
SYMBOL_CRC(gss_mech_unregister, 0xcfdd7818, "_gpl");
SYMBOL_CRC(gss_mech_get, 0x2f2bab94, "");
SYMBOL_CRC(gss_pseudoflavor_to_service, 0x9b1f5f49, "");
SYMBOL_CRC(gss_mech_put, 0xa9412ec5, "");
SYMBOL_CRC(svcauth_gss_flavor, 0xe03966bd, "_gpl");
SYMBOL_CRC(svcauth_gss_register_pseudoflavor, 0xb001b9fd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfa159ccb, "rpc_put_task" },
	{ 0xef464c28, "getboottime64" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xd4845a05, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb3103e94, "rpc_find_or_alloc_pipe_dir_object" },
	{ 0x9f71e6a6, "xdr_buf_from_iov" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x4506c655, "bpf_trace_run4" },
	{ 0xc79b6a6a, "xdr_stream_decode_opaque_auth" },
	{ 0x60b73b66, "param_ops_uint" },
	{ 0xc2db49a2, "xdr_write_pages" },
	{ 0x63e5b64d, "rpc_shutdown_client" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x9eec077d, "auth_domain_find" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd2b59529, "xdr_inline_decode" },
	{ 0xc17f949d, "cache_create_net" },
	{ 0x4e671beb, "dump_page" },
	{ 0x8b62983e, "rpcauth_destroy_credcache" },
	{ 0x93b9a682, "trace_raw_output_prep" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x7e85034f, "bpf_trace_run6" },
	{ 0x52368915, "rpc_net_ns" },
	{ 0xcebd8db6, "read_bytes_from_xdr_buf" },
	{ 0x556be6e0, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xbc773afc, "rpc_wake_up" },
	{ 0xcb6b138, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x8a225f18, "sunrpc_cache_lookup_rcu" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x3f7c8b8f, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfc201b66, "sprint_oid" },
	{ 0x4e8f6ca7, "sunrpc_net_id" },
	{ 0x19a164ae, "proc_create_data" },
	{ 0xbbcec0b7, "groups_alloc" },
	{ 0xc4e40b90, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x2ffb967f, "xdr_truncate_decode" },
	{ 0xe55cca41, "rpcauth_unregister" },
	{ 0xe2964344, "__wake_up" },
	{ 0x1808c2ac, "__xdr_commit_encode" },
	{ 0x2b02565, "__module_get" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x13b78542, "rpc_sleep_on" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xb15b2d, "__put_cred" },
	{ 0x8f0d0005, "register_pernet_subsys" },
	{ 0xfb6dfa14, "trace_event_buffer_commit" },
	{ 0xbb17b94d, "cache_purge" },
	{ 0x122c3a7e, "_printk" },
	{ 0x81a107ae, "rpc_release_client" },
	{ 0xf8e32536, "auth_domain_lookup" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xd6df622e, "rpc_wake_up_status" },
	{ 0x4dac77f0, "xdr_encode_netobj" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x726c7ca5, "svc_auth_register" },
	{ 0x7128b1b5, "xdr_stream_encode_opaque_auth" },
	{ 0xedf92aba, "make_kuid" },
	{ 0xa916b694, "strnlen" },
	{ 0xf108cd02, "rpc_destroy_pipe_data" },
	{ 0x581e9a37, "__free_pages" },
	{ 0xc8a77437, "rpc_pipe_generic_upcall" },
	{ 0x1f9a9c72, "module_put" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x800473f, "__cond_resched" },
	{ 0x45e918ed, "cache_unregister_net" },
	{ 0x6bd52db1, "sunrpc_cache_unhash" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x4bb807c7, "perf_trace_run_bpf_submit" },
	{ 0x544261f2, "rpcauth_lookup_credcache" },
	{ 0xc8e96dea, "qword_addhex" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xe97f4ce5, "qword_get" },
	{ 0x3db56083, "rpcauth_init_credcache" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4a39566d, "sunrpc_cache_pipe_upcall_timeout" },
	{ 0xfb12fcd9, "xdr_init_decode" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x2092327, "trace_event_reg" },
	{ 0x960e294, "rpc_call_null" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbb9c0973, "__put_devmap_managed_folio_refs" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x8b1f8639, "rpc_sleep_on_timeout" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x1b0ba04c, "rpc_create" },
	{ 0xdc0f8a86, "bpf_trace_run1" },
	{ 0xa5cf1691, "rpc_call_sync" },
	{ 0x9d2ce248, "from_kuid" },
	{ 0xe7e13a1f, "unregister_pernet_subsys" },
	{ 0x4aa3b832, "rpc_queue_upcall" },
	{ 0x7e13ef3f, "xdr_encode_word" },
	{ 0xdcb764ad, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xe5b10318, "cache_check" },
	{ 0x31a89d59, "rpc_debug" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x32aa9924, "svcauth_unix_set_client" },
	{ 0xa0775ff5, "xdr_buf_subsegment" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0x437be782, "make_kgid" },
	{ 0x804e2cd5, "rpc_remove_pipe_dir_object" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x41f949a9, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x29600a67, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x2da8d207, "bpf_trace_run3" },
	{ 0xcd8e1166, "__put_net" },
	{ 0x39d62c1d, "rpc_mkpipe_dentry" },
	{ 0xb79060d2, "rpc_mkpipe_data" },
	{ 0xe296b239, "gssd_running" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xda2d7a21, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x5f4a905c, "groups_free" },
	{ 0x4de9845e, "cache_register_net" },
	{ 0x4bbb3e25, "init_user_ns" },
	{ 0xbf2efb1, "xdr_inline_pages" },
	{ 0xa873d5b5, "__folio_put" },
	{ 0xe225b8f6, "remove_proc_entry" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5a45ba31, "svc_auth_unregister" },
	{ 0x101529e2, "rpc_init_wait_queue" },
	{ 0xef96b6bd, "put_rpccred" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x557d1823, "alloc_pages_noprof" },
	{ 0x70c059bb, "rpc_unlink" },
	{ 0x9ca28d9e, "rpcauth_wrap_req_encode" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf1307bf8, "groups_sort" },
	{ 0xb71a1e0b, "from_kuid_munged" },
	{ 0x680028cc, "rpcauth_init_cred" },
	{ 0x64fa43a, "xdr_decode_word" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xa31951a3, "cache_destroy_net" },
	{ 0x98cf60b3, "strlen" },
	{ 0x65e2de75, "rpc_init_pipe_dir_object" },
	{ 0x349cba85, "strchr" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x8d7143eb, "xdr_stream_pos" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x609202f9, "rpc_task_gfp_mask" },
	{ 0x56d342ca, "sunrpc_cache_update" },
	{ 0xe728656d, "xdr_truncate_encode" },
	{ 0x5b2a5b3, "rpc_destroy_wait_queue" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2cce75c8, "auth_domain_put" },
	{ 0x7cc62090, "rpcauth_unwrap_resp_decode" },
	{ 0x306ce03d, "rpcauth_register" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "sunrpc");


MODULE_INFO(srcversion, "491579F52FA966E8CCC38A8");
