#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tipc_nl_sk_walk, "", "");
KSYMTAB_FUNC(tipc_dump_start, "", "");
KSYMTAB_FUNC(tipc_dump_done, "", "");
KSYMTAB_FUNC(tipc_sk_fill_sock_diag, "", "");

SYMBOL_CRC(tipc_nl_sk_walk, 0xea614e7e, "");
SYMBOL_CRC(tipc_dump_start, 0xa6044be4, "");
SYMBOL_CRC(tipc_dump_done, 0xc851b7b4, "");
SYMBOL_CRC(tipc_sk_fill_sock_diag, 0x5d8dd85d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc528a49a, "queued_write_lock_slowpath" },
	{ 0x397fd9ec, "netlink_net_capable" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0xe0e5ad5, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4506c655, "bpf_trace_run4" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xb2a60d30, "__nlmsg_put" },
	{ 0x20978fb9, "idr_find" },
	{ 0xc2af5a6, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5c171c7c, "ip6_dst_hoplimit" },
	{ 0x719cbf1, "trace_output_call" },
	{ 0x4679fb71, "consume_skb" },
	{ 0x9d5f5eb1, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x93b9a682, "trace_raw_output_prep" },
	{ 0x60714e08, "nla_put_64bit" },
	{ 0x52e1ca5, "udp_sock_create4" },
	{ 0x951a2773, "crypto_has_alg" },
	{ 0xca9360b5, "rb_next" },
	{ 0x556be6e0, "__trace_trigger_soft_disabled" },
	{ 0xcb6b138, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x37ab0778, "__ip_dev_find" },
	{ 0x41702720, "dst_cache_set_ip4" },
	{ 0x17b09a89, "udp_tunnel6_xmit_skb" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x6fe3a147, "genlmsg_put" },
	{ 0x7c709594, "___pskb_trim" },
	{ 0x3f7c8b8f, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x7237aa40, "crypto_alloc_aead" },
	{ 0xe6aef439, "__tracepoint_sk_data_ready" },
	{ 0x3ac8793, "netdev_warn" },
	{ 0xbf829c5, "crypto_aead_setauthsize" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xab469c39, "crypto_aead_decrypt" },
	{ 0x16e853e4, "kernel_accept" },
	{ 0x2b02565, "__module_get" },
	{ 0xc6ae011, "ip_route_output_flow" },
	{ 0xe5ce1a56, "rhashtable_walk_enter" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xb925d423, "__pskb_copy_fclone" },
	{ 0xf4ee861a, "pskb_expand_head" },
	{ 0x8f0d0005, "register_pernet_subsys" },
	{ 0x9469c86e, "put_cmsg" },
	{ 0x5195dcc3, "skb_queue_purge_reason" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xfb6dfa14, "trace_event_buffer_commit" },
	{ 0x356f0d90, "register_net_sysctl_sz" },
	{ 0xc63dce24, "crypto_destroy_tfm" },
	{ 0xffceeeb5, "eth_type_trans" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xaa0a7ae4, "proto_unregister" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x61ae025a, "sock_register" },
	{ 0x26505f1e, "ipv6_dev_find" },
	{ 0x617c452b, "queued_read_lock_slowpath" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xa916b694, "strnlen" },
	{ 0x95463bb7, "__alloc_skb" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x7a9a6283, "sk_reset_timer" },
	{ 0x9f984513, "strrchr" },
	{ 0xadb9a832, "skb_try_coalesce" },
	{ 0xc3233feb, "proto_register" },
	{ 0xfae4eec, "skb_copy_expand" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0x136711a4, "skb_queue_tail" },
	{ 0x1f9a9c72, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x800473f, "__cond_resched" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x7432b9d2, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xa247b83b, "__dev_get_by_index" },
	{ 0x4bb807c7, "perf_trace_run_bpf_submit" },
	{ 0xc5e704e, "__traceiter_sk_data_ready" },
	{ 0x7ee7ac5d, "init_net" },
	{ 0x6474338, "ipv6_stub" },
	{ 0xb6476d61, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xa07a37f0, "memchr" },
	{ 0xb78cf7ea, "crypto_aead_encrypt" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x9f66a4ce, "sk_skb_reason_drop" },
	{ 0x8172d5ff, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xcc59f66, "dev_remove_pack" },
	{ 0xcafe0b48, "sk_free" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdec25abe, "kernel_sock_shutdown" },
	{ 0xa7809109, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0xbfe0703a, "skb_push" },
	{ 0xd27ef5b5, "dst_cache_get" },
	{ 0xee13dea4, "sock_no_listen" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0x896c49d8, "proc_doulongvec_minmax" },
	{ 0x2092327, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x56d7525d, "iov_iter_kvec" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xbec2d34e, "ip_mc_join_group" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9a5dce5c, "rhashtable_walk_start_check" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x59f2589b, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9f8c5901, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe0a547c9, "skb_copy_datagram_iter" },
	{ 0x9cd7551a, "rhashtable_walk_stop" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x2b97e4b, "sk_alloc" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xe7e13a1f, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xdcb764ad, "memset" },
	{ 0xf7c87621, "kfree_skb_partial" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xc9972ac8, "udp_tunnel_sock_release" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6ff607b6, "crypto_get_default_rng" },
	{ 0x2050db7d, "sock_no_mmap" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0xa86fbee8, "__pskb_pull_tail" },
	{ 0x51335c0e, "netif_rx" },
	{ 0xece784c2, "rb_first" },
	{ 0x668402aa, "crypto_put_default_rng" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0xa6e60717, "setup_udp_tunnel_sock" },
	{ 0x51d6b22d, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x99eabdf8, "skb_trim" },
	{ 0x8ce14d8, "skb_cow_data" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2da8d207, "bpf_trace_run3" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xfff066b2, "sock_rfree" },
	{ 0x794bead9, "sock_i_ino" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xf661f503, "kernel_listen" },
	{ 0xeacf0ae1, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x28839c12, "rhashtable_init_noprof" },
	{ 0xda2d7a21, "trace_event_buffer_reserve" },
	{ 0x540914de, "dev_nit_active" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x33550692, "sock_create_kern" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x3b240a6b, "dst_cache_set_ip6" },
	{ 0x66d64928, "pskb_put" },
	{ 0xe091c977, "list_sort" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x18486a4e, "udp_tunnel_xmit_skb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xc81bbbfd, "sock_recvmsg" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x4d611cf3, "skb_copy" },
	{ 0x6b53f5f8, "skb_clone" },
	{ 0xe900068a, "dev_get_by_name" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xfff625ed, "_copy_from_iter" },
	{ 0x6c225138, "sock_release" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0x54651f9b, "rhashtable_walk_next" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x2ddf2ff1, "crypto_default_rng" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x3106b86f, "sk_stop_timer" },
	{ 0x5ac8c04c, "unregister_net_sysctl_table" },
	{ 0xf3ba733b, "genl_unregister_family" },
	{ 0xb71a1e0b, "from_kuid_munged" },
	{ 0x98cf60b3, "strlen" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xc87ff6e5, "iov_iter_revert" },
	{ 0x349cba85, "strchr" },
	{ 0x6ad33698, "genl_register_family" },
	{ 0x51632420, "kernel_sendmsg" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xa96a58df, "skb_to_sgvec" },
	{ 0xf188a662, "rhashtable_walk_exit" },
	{ 0x311e6281, "register_pernet_device" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x3451afe6, "sock_init_data" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x231a085c, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x3eca0c01, "proc_dointvec_minmax" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "C1E85D9E60D449D54DB1C8E");
