#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(virtio_transport_deliver_tap_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_inc_tx_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_get_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_put_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_space, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_do_socket_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_buffer_size, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_in, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_out, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_post_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_post_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_rcvhiwat, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_is_active, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_bind, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_connect, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_shutdown, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_destruct, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_release, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_recv_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_purge_skbs, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_read_skb, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_set_rcvlowat, "_gpl", "");

SYMBOL_CRC(virtio_transport_deliver_tap_pkt, 0x14dcd514, "_gpl");
SYMBOL_CRC(virtio_transport_inc_tx_pkt, 0x0ab05b47, "_gpl");
SYMBOL_CRC(virtio_transport_get_credit, 0x8b59a58f, "_gpl");
SYMBOL_CRC(virtio_transport_put_credit, 0x3646da31, "_gpl");
SYMBOL_CRC(virtio_transport_stream_dequeue, 0xa5ccc41a, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_dequeue, 0x26eb139c, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_enqueue, 0x3dbcf5d3, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_dequeue, 0x0e6b010b, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_data, 0x0f75226b, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_has_data, 0xb252ba97, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_space, 0x98fa8d3f, "_gpl");
SYMBOL_CRC(virtio_transport_do_socket_init, 0x72cf4099, "_gpl");
SYMBOL_CRC(virtio_transport_notify_buffer_size, 0xb2ad8aeb, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_in, 0xd60fad71, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_out, 0x5c28de46, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_init, 0x81d6307a, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_block, 0xd8fc5c98, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_dequeue, 0xfaeb3ee8, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_post_dequeue, 0x2c05d3b1, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_init, 0xd3dc3b13, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_block, 0x736ea290, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_enqueue, 0xb6a6cbd2, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_post_enqueue, 0xfe8d834b, "_gpl");
SYMBOL_CRC(virtio_transport_stream_rcvhiwat, 0xc2130a0f, "_gpl");
SYMBOL_CRC(virtio_transport_stream_is_active, 0xe9e80d4d, "_gpl");
SYMBOL_CRC(virtio_transport_stream_allow, 0x03a81e69, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_bind, 0xe08cbd4a, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_allow, 0xbabd30f5, "_gpl");
SYMBOL_CRC(virtio_transport_connect, 0x5306815f, "_gpl");
SYMBOL_CRC(virtio_transport_shutdown, 0xed665279, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_enqueue, 0xd5632936, "_gpl");
SYMBOL_CRC(virtio_transport_stream_enqueue, 0x3d14de03, "_gpl");
SYMBOL_CRC(virtio_transport_destruct, 0xb627ba6d, "_gpl");
SYMBOL_CRC(virtio_transport_release, 0x03e271ee, "_gpl");
SYMBOL_CRC(virtio_transport_recv_pkt, 0xe26f3a4f, "_gpl");
SYMBOL_CRC(virtio_transport_purge_skbs, 0xd915b310, "_gpl");
SYMBOL_CRC(virtio_transport_read_skb, 0x130485db, "_gpl");
SYMBOL_CRC(virtio_transport_notify_set_rcvlowat, 0xa258e11d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4cd20c7f, "vsock_enqueue_accept" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xe8304e49, "vsock_insert_connected" },
	{ 0xc2af5a6, "skb_put" },
	{ 0x4679fb71, "consume_skb" },
	{ 0x93b9a682, "trace_raw_output_prep" },
	{ 0x556be6e0, "__trace_trigger_soft_disabled" },
	{ 0xca441ea6, "vsock_remove_sock" },
	{ 0xcb6b138, "trace_event_printf" },
	{ 0x12a2e56, "vsock_deliver_tap" },
	{ 0x3f7c8b8f, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x55126b81, "sk_error_report" },
	{ 0xfb6dfa14, "trace_event_buffer_commit" },
	{ 0xf14cb946, "vsock_find_bound_socket" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x3d4b0fca, "vsock_addr_init" },
	{ 0x95463bb7, "__alloc_skb" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x4bb807c7, "perf_trace_run_bpf_submit" },
	{ 0x9f66a4ce, "sk_skb_reason_drop" },
	{ 0xcafe0b48, "sk_free" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x2092327, "trace_event_reg" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x56c53b74, "__skb_recv_datagram" },
	{ 0x9f8c5901, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x57ed3c17, "vsock_stream_has_data" },
	{ 0xe0a547c9, "skb_copy_datagram_iter" },
	{ 0x1dc6e4cc, "bpf_trace_run9" },
	{ 0xd59f2f29, "vsock_find_connected_socket" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x1ca93263, "sock_efree" },
	{ 0x552a2ed0, "bpf_trace_run10" },
	{ 0xdbd7214c, "vsock_core_get_transport" },
	{ 0x70fea934, "__zerocopy_sg_from_iter" },
	{ 0xbf5c5bb7, "vsock_stream_has_space" },
	{ 0x6ff4a491, "skb_set_owner_w" },
	{ 0xda2d7a21, "trace_event_buffer_reserve" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xfff625ed, "_copy_from_iter" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x1518624c, "msg_zerocopy_realloc" },
	{ 0xcf444296, "vsock_create_connected" },
	{ 0x2db5e12e, "vsock_assign_transport" },
	{ 0xc87ff6e5, "iov_iter_revert" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xb4c7e417, "iov_iter_npages" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x231a085c, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x22877d1d, "vsock_data_ready" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "vsock");


MODULE_INFO(srcversion, "403DABB7F60250AC06AC582");
