#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_vx_check_reg_bit, "", "");
KSYMTAB_FUNC(snd_vx_load_boot_image, "", "");
KSYMTAB_FUNC(snd_vx_threaded_irq_handler, "", "");
KSYMTAB_FUNC(snd_vx_irq_handler, "", "");
KSYMTAB_FUNC(snd_vx_dsp_boot, "", "");
KSYMTAB_FUNC(snd_vx_dsp_load, "", "");
KSYMTAB_FUNC(snd_vx_suspend, "", "");
KSYMTAB_FUNC(snd_vx_resume, "", "");
KSYMTAB_FUNC(snd_vx_create, "", "");
KSYMTAB_FUNC(snd_vx_setup_firmware, "", "");
KSYMTAB_FUNC(snd_vx_free_firmware, "", "");

SYMBOL_CRC(snd_vx_check_reg_bit, 0x27957593, "");
SYMBOL_CRC(snd_vx_load_boot_image, 0xa15b0fbd, "");
SYMBOL_CRC(snd_vx_threaded_irq_handler, 0x226138b0, "");
SYMBOL_CRC(snd_vx_irq_handler, 0xf1f04d23, "");
SYMBOL_CRC(snd_vx_dsp_boot, 0x7c7d55a2, "");
SYMBOL_CRC(snd_vx_dsp_load, 0x52fd7665, "");
SYMBOL_CRC(snd_vx_suspend, 0x6916a431, "");
SYMBOL_CRC(snd_vx_resume, 0xe9553211, "");
SYMBOL_CRC(snd_vx_create, 0xb6fd4153, "");
SYMBOL_CRC(snd_vx_setup_firmware, 0xc1229fb3, "");
SYMBOL_CRC(snd_vx_free_firmware, 0x17a5ad41, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xdcf37d5e, "snd_ctl_add" },
	{ 0x4e942b5b, "snd_pcm_new" },
	{ 0x36f128e0, "snd_card_register" },
	{ 0x8dceb523, "request_firmware" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf6da36ae, "snd_card_rw_proc_new" },
	{ 0x68a24153, "snd_pcm_format_physical_width" },
	{ 0x3796bdcc, "snd_pcm_format_little_endian" },
	{ 0xe2964344, "__wake_up" },
	{ 0x9b9291bc, "snd_ctl_new1" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4da76e58, "__devres_alloc_node" },
	{ 0xac65028b, "snd_ctl_boolean_stereo_info" },
	{ 0x639931b7, "snd_pcm_set_ops" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x317ae39d, "snd_pcm_set_managed_buffer_all" },
	{ 0xdcb764ad, "memset" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x899fbd06, "seq_printf" },
	{ 0xff76a031, "snd_pcm_period_elapsed" },
	{ 0xa32aaf5f, "snd_pcm_hw_constraint_step" },
	{ 0x98cf60b3, "strlen" },
	{ 0xf9a482f9, "msleep" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-pcm");


MODULE_INFO(srcversion, "6114A225541791D3BFCBEDD");
