#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8913bac4, "snd_hda_shutup_pins" },
	{ 0xd2a3ba7f, "snd_hda_get_connections" },
	{ 0x997f38df, "snd_hda_gen_build_controls" },
	{ 0x29a4aeae, "snd_hda_mixer_amp_volume_info" },
	{ 0xd3957543, "snd_hdac_regmap_read_raw" },
	{ 0xe6b658a0, "snd_hda_gen_spec_init" },
	{ 0x53eaeccf, "snd_hda_mixer_amp_switch_info" },
	{ 0x9f10fced, "hda_codec_driver_unregister" },
	{ 0x20e3ef9b, "snd_hda_codec_get_pincfg" },
	{ 0x8491cff2, "snd_hdac_codec_write" },
	{ 0xb7dbb262, "snd_hda_mixer_amp_switch_get_beep" },
	{ 0xc0397da9, "snd_hda_gen_add_kctl" },
	{ 0xf8d4b667, "snd_hda_mixer_amp_switch_put_beep" },
	{ 0x55c5a3c9, "_snd_hdac_read_parm" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xf2e3b490, "snd_hda_get_bool_hint" },
	{ 0x8878a5ab, "snd_ctl_boolean_mono_info" },
	{ 0x259e9ef1, "snd_hda_override_amp_caps" },
	{ 0xd0faa907, "__hda_codec_driver_register" },
	{ 0x461b92b4, "snd_hda_parse_pin_defcfg" },
	{ 0x1d423e51, "snd_hda_gen_init" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xb95b40c6, "snd_hda_mixer_amp_switch_get" },
	{ 0x3784e206, "snd_hda_codec_set_name" },
	{ 0xc31502a7, "snd_hda_mixer_amp_volume_get" },
	{ 0xdcb764ad, "memset" },
	{ 0xe0d9b324, "snd_hda_mixer_amp_switch_put" },
	{ 0x8eecdad3, "snd_hda_codec_set_pincfg" },
	{ 0xf23c6440, "snd_hda_jack_unsol_event" },
	{ 0x6696835, "snd_hda_override_conn_list" },
	{ 0x7a619e30, "snd_hda_check_amp_list_power" },
	{ 0x791c6fbd, "snd_hda_gen_build_pcms" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xd9a4a642, "snd_hda_mixer_amp_tlv" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x393411a7, "snd_hda_pick_fixup" },
	{ 0xaaa391b4, "snd_hda_apply_fixup" },
	{ 0x12497253, "snd_hda_add_verbs" },
	{ 0xb065cae2, "snd_hda_gen_parse_auto_config" },
	{ 0xb12fe70, "snd_hda_enum_helper_info" },
	{ 0xb44632d, "snd_hdac_codec_read" },
	{ 0x9a97f145, "snd_hda_mixer_amp_volume_put" },
	{ 0x90d50aee, "snd_hda_gen_free" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe88ccff4, "snd_hdac_regmap_sync" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-codec,snd-hda-codec-generic,snd-hda-core,snd");

MODULE_ALIAS("hdaudio:v11061708r*a01*");
MODULE_ALIAS("hdaudio:v11061709r*a01*");
MODULE_ALIAS("hdaudio:v1106170Ar*a01*");
MODULE_ALIAS("hdaudio:v1106170Br*a01*");
MODULE_ALIAS("hdaudio:v1106E710r*a01*");
MODULE_ALIAS("hdaudio:v1106E711r*a01*");
MODULE_ALIAS("hdaudio:v1106E712r*a01*");
MODULE_ALIAS("hdaudio:v1106E713r*a01*");
MODULE_ALIAS("hdaudio:v1106E714r*a01*");
MODULE_ALIAS("hdaudio:v1106E715r*a01*");
MODULE_ALIAS("hdaudio:v1106E716r*a01*");
MODULE_ALIAS("hdaudio:v1106E717r*a01*");
MODULE_ALIAS("hdaudio:v1106E720r*a01*");
MODULE_ALIAS("hdaudio:v1106E721r*a01*");
MODULE_ALIAS("hdaudio:v1106E722r*a01*");
MODULE_ALIAS("hdaudio:v1106E723r*a01*");
MODULE_ALIAS("hdaudio:v1106E724r*a01*");
MODULE_ALIAS("hdaudio:v1106E725r*a01*");
MODULE_ALIAS("hdaudio:v1106E726r*a01*");
MODULE_ALIAS("hdaudio:v1106E727r*a01*");
MODULE_ALIAS("hdaudio:v11060397r*a01*");
MODULE_ALIAS("hdaudio:v11061397r*a01*");
MODULE_ALIAS("hdaudio:v11062397r*a01*");
MODULE_ALIAS("hdaudio:v11063397r*a01*");
MODULE_ALIAS("hdaudio:v11064397r*a01*");
MODULE_ALIAS("hdaudio:v11065397r*a01*");
MODULE_ALIAS("hdaudio:v11066397r*a01*");
MODULE_ALIAS("hdaudio:v11067397r*a01*");
MODULE_ALIAS("hdaudio:v11060398r*a01*");
MODULE_ALIAS("hdaudio:v11061398r*a01*");
MODULE_ALIAS("hdaudio:v11062398r*a01*");
MODULE_ALIAS("hdaudio:v11063398r*a01*");
MODULE_ALIAS("hdaudio:v11064398r*a01*");
MODULE_ALIAS("hdaudio:v11065398r*a01*");
MODULE_ALIAS("hdaudio:v11066398r*a01*");
MODULE_ALIAS("hdaudio:v11067398r*a01*");
MODULE_ALIAS("hdaudio:v11060428r*a01*");
MODULE_ALIAS("hdaudio:v11064428r*a01*");
MODULE_ALIAS("hdaudio:v11060441r*a01*");
MODULE_ALIAS("hdaudio:v11064441r*a01*");
MODULE_ALIAS("hdaudio:v11060433r*a01*");
MODULE_ALIAS("hdaudio:v1106A721r*a01*");
MODULE_ALIAS("hdaudio:v11060438r*a01*");
MODULE_ALIAS("hdaudio:v11064438r*a01*");
MODULE_ALIAS("hdaudio:v11060448r*a01*");
MODULE_ALIAS("hdaudio:v11060440r*a01*");
MODULE_ALIAS("hdaudio:v11060446r*a01*");
MODULE_ALIAS("hdaudio:v11068446r*a01*");
MODULE_ALIAS("hdaudio:v11064760r*a01*");
MODULE_ALIAS("hdaudio:v11064761r*a01*");
MODULE_ALIAS("hdaudio:v11064762r*a01*");

MODULE_INFO(srcversion, "4531DAA94EF3F4F4141591D");
