#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_hda_codec_set_name, "_gpl", "");
KSYMTAB_FUNC(__hda_codec_driver_register, "_gpl", "");
KSYMTAB_FUNC(hda_codec_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(snd_hda_codec_configure, "_gpl", "");
KSYMTAB_FUNC(snd_hda_sequence_write, "_gpl", "");
KSYMTAB_FUNC(snd_hda_get_conn_list, "_gpl", "");
KSYMTAB_FUNC(snd_hda_get_connections, "_gpl", "");
KSYMTAB_FUNC(snd_hda_override_conn_list, "_gpl", "");
KSYMTAB_FUNC(snd_hda_get_conn_index, "_gpl", "");
KSYMTAB_FUNC(snd_hda_get_num_devices, "_gpl", "");
KSYMTAB_FUNC(snd_hda_get_dev_select, "_gpl", "");
KSYMTAB_FUNC(snd_hda_set_dev_select, "_gpl", "");
KSYMTAB_FUNC(snd_hda_codec_set_pincfg, "_gpl", "");
KSYMTAB_FUNC(snd_hda_codec_get_pincfg, "_gpl", "");
KSYMTAB_FUNC(snd_hda_codec_set_pin_target, "_gpl", "");
KSYMTAB_FUNC(snd_hda_codec_get_pin_target, "_gpl", "");
KSYMTAB_FUNC(snd_hda_shutup_pins, "_gpl", "");
KSYMTAB_FUNC(snd_hda_codec_pcm_put, "_gpl", "");
KSYMTAB_FUNC(snd_hda_codec_pcm_new, "_gpl", "");
KSYMTAB_FUNC(snd_hda_codec_cleanup_for_unbind, "_gpl", "");
KSYMTAB_FUNC(snd_hda_codec_register, "_gpl", "");
KSYMTAB_FUNC(snd_hda_codec_unregister, "_gpl", "");
KSYMTAB_FUNC(snd_hda_codec_device_init, "_gpl", "");
KSYMTAB_FUNC(snd_hda_codec_new, "_gpl", "");
KSYMTAB_FUNC(snd_hda_codec_device_new, "_gpl", "");
KSYMTAB_FUNC(snd_hda_codec_update_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_hda_codec_setup_stream, "_gpl", "");
KSYMTAB_FUNC(__snd_hda_codec_cleanup_stream, "_gpl", "");
KSYMTAB_FUNC(query_amp_caps, "_gpl", "");
KSYMTAB_FUNC(snd_hda_check_amp_caps, "_gpl", "");
KSYMTAB_FUNC(snd_hda_override_amp_caps, "_gpl", "");
KSYMTAB_FUNC(snd_hda_codec_amp_update, "_gpl", "");
KSYMTAB_FUNC(snd_hda_codec_amp_stereo, "_gpl", "");
KSYMTAB_FUNC(snd_hda_codec_amp_init, "_gpl", "");
KSYMTAB_FUNC(snd_hda_codec_amp_init_stereo, "_gpl", "");
KSYMTAB_FUNC(snd_hda_mixer_amp_volume_info, "_gpl", "");
KSYMTAB_FUNC(snd_hda_mixer_amp_volume_get, "_gpl", "");
KSYMTAB_FUNC(snd_hda_mixer_amp_volume_put, "_gpl", "");
KSYMTAB_FUNC(snd_hda_mixer_amp_tlv, "_gpl", "");
KSYMTAB_FUNC(snd_hda_set_vmaster_tlv, "_gpl", "");
KSYMTAB_FUNC(snd_hda_find_mixer_ctl, "_gpl", "");
KSYMTAB_FUNC(snd_hda_ctl_add, "_gpl", "");
KSYMTAB_FUNC(snd_hda_add_nid, "_gpl", "");
KSYMTAB_FUNC(snd_hda_lock_devices, "_gpl", "");
KSYMTAB_FUNC(snd_hda_unlock_devices, "_gpl", "");
KSYMTAB_FUNC(__snd_hda_add_vmaster, "_gpl", "");
KSYMTAB_FUNC(snd_hda_add_vmaster_hook, "_gpl", "");
KSYMTAB_FUNC(snd_hda_sync_vmaster_hook, "_gpl", "");
KSYMTAB_FUNC(snd_hda_mixer_amp_switch_info, "_gpl", "");
KSYMTAB_FUNC(snd_hda_mixer_amp_switch_get, "_gpl", "");
KSYMTAB_FUNC(snd_hda_mixer_amp_switch_put, "_gpl", "");
KSYMTAB_FUNC(snd_hda_create_dig_out_ctls, "_gpl", "");
KSYMTAB_FUNC(snd_hda_spdif_out_of_nid, "_gpl", "");
KSYMTAB_FUNC(snd_hda_spdif_ctls_unassign, "_gpl", "");
KSYMTAB_FUNC(snd_hda_spdif_ctls_assign, "_gpl", "");
KSYMTAB_FUNC(snd_hda_create_spdif_share_sw, "_gpl", "");
KSYMTAB_FUNC(snd_hda_create_spdif_in_ctls, "_gpl", "");
KSYMTAB_FUNC(snd_hda_codec_set_power_to_all, "_gpl", "");
KSYMTAB_FUNC(snd_hda_codec_eapd_power_filter, "_gpl", "");
KSYMTAB_DATA(snd_pcm_2_1_chmaps, "_gpl", "");
KSYMTAB_FUNC(snd_hda_codec_build_controls, "_gpl", "");
KSYMTAB_FUNC(snd_hda_codec_prepare, "_gpl", "");
KSYMTAB_FUNC(snd_hda_codec_cleanup, "_gpl", "");
KSYMTAB_FUNC(snd_hda_codec_parse_pcms, "_gpl", "");
KSYMTAB_FUNC(snd_hda_add_new_ctls, "_gpl", "");
KSYMTAB_FUNC(snd_hda_codec_set_power_save, "_gpl", "");
KSYMTAB_FUNC(snd_hda_set_power_save, "_gpl", "");
KSYMTAB_FUNC(snd_hda_check_amp_list_power, "_gpl", "");
KSYMTAB_FUNC(snd_hda_input_mux_info, "_gpl", "");
KSYMTAB_FUNC(snd_hda_input_mux_put, "_gpl", "");
KSYMTAB_FUNC(snd_hda_enum_helper_info, "_gpl", "");
KSYMTAB_FUNC(snd_hda_multi_out_dig_open, "_gpl", "");
KSYMTAB_FUNC(snd_hda_multi_out_dig_prepare, "_gpl", "");
KSYMTAB_FUNC(snd_hda_multi_out_dig_cleanup, "_gpl", "");
KSYMTAB_FUNC(snd_hda_multi_out_dig_close, "_gpl", "");
KSYMTAB_FUNC(snd_hda_multi_out_analog_open, "_gpl", "");
KSYMTAB_FUNC(snd_hda_multi_out_analog_prepare, "_gpl", "");
KSYMTAB_FUNC(snd_hda_multi_out_analog_cleanup, "_gpl", "");
KSYMTAB_FUNC(snd_hda_get_default_vref, "_gpl", "");
KSYMTAB_FUNC(snd_hda_correct_pin_ctl, "_gpl", "");
KSYMTAB_FUNC(_snd_hda_set_pin_ctl, "_gpl", "");
KSYMTAB_FUNC(snd_hda_add_imux_item, "_gpl", "");
KSYMTAB_FUNC(snd_print_pcm_bits, "_gpl", "");
KSYMTAB_FUNC(is_jack_detectable, "_gpl", "");
KSYMTAB_FUNC(snd_hda_jack_tbl_get_mst, "_gpl", "");
KSYMTAB_FUNC(snd_hda_jack_tbl_get_from_tag, "_gpl", "");
KSYMTAB_FUNC(snd_hda_jack_set_dirty_all, "_gpl", "");
KSYMTAB_FUNC(snd_hda_jack_pin_sense, "_gpl", "");
KSYMTAB_FUNC(snd_hda_jack_detect_state_mst, "_gpl", "");
KSYMTAB_FUNC(snd_hda_jack_detect_enable_callback_mst, "_gpl", "");
KSYMTAB_FUNC(snd_hda_jack_detect_enable, "_gpl", "");
KSYMTAB_FUNC(snd_hda_jack_set_gating_jack, "_gpl", "");
KSYMTAB_FUNC(snd_hda_jack_bind_keymap, "_gpl", "");
KSYMTAB_FUNC(snd_hda_jack_set_button_state, "_gpl", "");
KSYMTAB_FUNC(snd_hda_jack_report_sync, "_gpl", "");
KSYMTAB_FUNC(snd_hda_jack_add_kctl_mst, "_gpl", "");
KSYMTAB_FUNC(snd_hda_jack_add_kctls, "_gpl", "");
KSYMTAB_FUNC(snd_hda_jack_unsol_event, "_gpl", "");
KSYMTAB_FUNC(snd_hda_jack_poll_all, "_gpl", "");
KSYMTAB_FUNC(snd_hda_parse_pin_defcfg, "_gpl", "");
KSYMTAB_FUNC(snd_hda_get_input_pin_attr, "_gpl", "");
KSYMTAB_FUNC(hda_get_autocfg_input_label, "_gpl", "");
KSYMTAB_FUNC(snd_hda_get_pin_label, "_gpl", "");
KSYMTAB_FUNC(snd_hda_add_verbs, "_gpl", "");
KSYMTAB_FUNC(snd_hda_apply_verbs, "_gpl", "");
KSYMTAB_FUNC(snd_hda_apply_pincfgs, "_gpl", "");
KSYMTAB_FUNC(__snd_hda_apply_fixup, "_gpl", "");
KSYMTAB_FUNC(snd_hda_apply_fixup, "_gpl", "");
KSYMTAB_FUNC(snd_hda_pick_pin_fixup, "_gpl", "");
KSYMTAB_FUNC(snd_hda_pick_fixup, "_gpl", "");
KSYMTAB_FUNC(snd_hda_get_hint, "_gpl", "");
KSYMTAB_FUNC(snd_hda_get_bool_hint, "_gpl", "");
KSYMTAB_FUNC(snd_hda_get_int_hint, "_gpl", "");
KSYMTAB_FUNC(snd_hda_load_patch, "_gpl", "");
KSYMTAB_FUNC(azx_get_pos_lpib, "_gpl", "");
KSYMTAB_FUNC(azx_get_pos_posbuf, "_gpl", "");
KSYMTAB_FUNC(azx_get_position, "_gpl", "");
KSYMTAB_FUNC(snd_hda_codec_load_dsp_prepare, "_gpl", "");
KSYMTAB_FUNC(snd_hda_codec_load_dsp_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_hda_codec_load_dsp_cleanup, "_gpl", "");
KSYMTAB_FUNC(azx_init_chip, "_gpl", "");
KSYMTAB_FUNC(azx_stop_all_streams, "_gpl", "");
KSYMTAB_FUNC(azx_stop_chip, "_gpl", "");
KSYMTAB_FUNC(azx_interrupt, "_gpl", "");
KSYMTAB_FUNC(azx_bus_init, "_gpl", "");
KSYMTAB_FUNC(azx_probe_codecs, "_gpl", "");
KSYMTAB_FUNC(azx_codec_configure, "_gpl", "");
KSYMTAB_FUNC(azx_init_streams, "_gpl", "");
KSYMTAB_FUNC(azx_free_streams, "_gpl", "");
KSYMTAB_FUNC(snd_hda_enable_beep_device, "_gpl", "");
KSYMTAB_FUNC(snd_hda_attach_beep_device, "_gpl", "");
KSYMTAB_FUNC(snd_hda_detach_beep_device, "_gpl", "");
KSYMTAB_FUNC(snd_hda_mixer_amp_switch_get_beep, "_gpl", "");
KSYMTAB_FUNC(snd_hda_mixer_amp_switch_put_beep, "_gpl", "");

SYMBOL_CRC(snd_hda_codec_set_name, 0x3784e206, "_gpl");
SYMBOL_CRC(__hda_codec_driver_register, 0xd0faa907, "_gpl");
SYMBOL_CRC(hda_codec_driver_unregister, 0x9f10fced, "_gpl");
SYMBOL_CRC(snd_hda_codec_configure, 0x0944be5e, "_gpl");
SYMBOL_CRC(snd_hda_sequence_write, 0x8124df4f, "_gpl");
SYMBOL_CRC(snd_hda_get_conn_list, 0x6d6853db, "_gpl");
SYMBOL_CRC(snd_hda_get_connections, 0xd2a3ba7f, "_gpl");
SYMBOL_CRC(snd_hda_override_conn_list, 0x06696835, "_gpl");
SYMBOL_CRC(snd_hda_get_conn_index, 0x17cf38e4, "_gpl");
SYMBOL_CRC(snd_hda_get_num_devices, 0x95529f12, "_gpl");
SYMBOL_CRC(snd_hda_get_dev_select, 0xcb2b1f3f, "_gpl");
SYMBOL_CRC(snd_hda_set_dev_select, 0x4f9e0a51, "_gpl");
SYMBOL_CRC(snd_hda_codec_set_pincfg, 0x8eecdad3, "_gpl");
SYMBOL_CRC(snd_hda_codec_get_pincfg, 0x20e3ef9b, "_gpl");
SYMBOL_CRC(snd_hda_codec_set_pin_target, 0x93347913, "_gpl");
SYMBOL_CRC(snd_hda_codec_get_pin_target, 0xc09406b3, "_gpl");
SYMBOL_CRC(snd_hda_shutup_pins, 0x8913bac4, "_gpl");
SYMBOL_CRC(snd_hda_codec_pcm_put, 0xf92ef921, "_gpl");
SYMBOL_CRC(snd_hda_codec_pcm_new, 0x3d59d22b, "_gpl");
SYMBOL_CRC(snd_hda_codec_cleanup_for_unbind, 0xd453daf5, "_gpl");
SYMBOL_CRC(snd_hda_codec_register, 0xba15f125, "_gpl");
SYMBOL_CRC(snd_hda_codec_unregister, 0xb6c7c82a, "_gpl");
SYMBOL_CRC(snd_hda_codec_device_init, 0x2b2a0177, "_gpl");
SYMBOL_CRC(snd_hda_codec_new, 0x39fc055d, "_gpl");
SYMBOL_CRC(snd_hda_codec_device_new, 0x8a07075b, "_gpl");
SYMBOL_CRC(snd_hda_codec_update_widgets, 0x0e783b41, "_gpl");
SYMBOL_CRC(snd_hda_codec_setup_stream, 0xf70be382, "_gpl");
SYMBOL_CRC(__snd_hda_codec_cleanup_stream, 0x0b23ecd7, "_gpl");
SYMBOL_CRC(query_amp_caps, 0x76b13bc0, "_gpl");
SYMBOL_CRC(snd_hda_check_amp_caps, 0x91e33c95, "_gpl");
SYMBOL_CRC(snd_hda_override_amp_caps, 0x259e9ef1, "_gpl");
SYMBOL_CRC(snd_hda_codec_amp_update, 0xa4e94edf, "_gpl");
SYMBOL_CRC(snd_hda_codec_amp_stereo, 0x3aafd7a0, "_gpl");
SYMBOL_CRC(snd_hda_codec_amp_init, 0x7f1a1698, "_gpl");
SYMBOL_CRC(snd_hda_codec_amp_init_stereo, 0xf4377b79, "_gpl");
SYMBOL_CRC(snd_hda_mixer_amp_volume_info, 0x29a4aeae, "_gpl");
SYMBOL_CRC(snd_hda_mixer_amp_volume_get, 0xc31502a7, "_gpl");
SYMBOL_CRC(snd_hda_mixer_amp_volume_put, 0x9a97f145, "_gpl");
SYMBOL_CRC(snd_hda_mixer_amp_tlv, 0xd9a4a642, "_gpl");
SYMBOL_CRC(snd_hda_set_vmaster_tlv, 0x28562a61, "_gpl");
SYMBOL_CRC(snd_hda_find_mixer_ctl, 0xcd028b62, "_gpl");
SYMBOL_CRC(snd_hda_ctl_add, 0xd1a7646a, "_gpl");
SYMBOL_CRC(snd_hda_add_nid, 0x18ab8fed, "_gpl");
SYMBOL_CRC(snd_hda_lock_devices, 0x3904fab1, "_gpl");
SYMBOL_CRC(snd_hda_unlock_devices, 0xcfb0cec1, "_gpl");
SYMBOL_CRC(__snd_hda_add_vmaster, 0x6785bf81, "_gpl");
SYMBOL_CRC(snd_hda_add_vmaster_hook, 0xa6e72241, "_gpl");
SYMBOL_CRC(snd_hda_sync_vmaster_hook, 0xb0fefca6, "_gpl");
SYMBOL_CRC(snd_hda_mixer_amp_switch_info, 0x53eaeccf, "_gpl");
SYMBOL_CRC(snd_hda_mixer_amp_switch_get, 0xb95b40c6, "_gpl");
SYMBOL_CRC(snd_hda_mixer_amp_switch_put, 0xe0d9b324, "_gpl");
SYMBOL_CRC(snd_hda_create_dig_out_ctls, 0x9866fac3, "_gpl");
SYMBOL_CRC(snd_hda_spdif_out_of_nid, 0x43db0cb7, "_gpl");
SYMBOL_CRC(snd_hda_spdif_ctls_unassign, 0x343441e8, "_gpl");
SYMBOL_CRC(snd_hda_spdif_ctls_assign, 0x09a9d0a0, "_gpl");
SYMBOL_CRC(snd_hda_create_spdif_share_sw, 0xa89fe704, "_gpl");
SYMBOL_CRC(snd_hda_create_spdif_in_ctls, 0x8275a8c3, "_gpl");
SYMBOL_CRC(snd_hda_codec_set_power_to_all, 0xfc4054b1, "_gpl");
SYMBOL_CRC(snd_hda_codec_eapd_power_filter, 0x2047aea9, "_gpl");
SYMBOL_CRC(snd_pcm_2_1_chmaps, 0xe118de5d, "_gpl");
SYMBOL_CRC(snd_hda_codec_build_controls, 0x50c70d17, "_gpl");
SYMBOL_CRC(snd_hda_codec_prepare, 0xb9e02dec, "_gpl");
SYMBOL_CRC(snd_hda_codec_cleanup, 0x81333a6d, "_gpl");
SYMBOL_CRC(snd_hda_codec_parse_pcms, 0x0d867683, "_gpl");
SYMBOL_CRC(snd_hda_add_new_ctls, 0x2c2ab25d, "_gpl");
SYMBOL_CRC(snd_hda_codec_set_power_save, 0x30037183, "_gpl");
SYMBOL_CRC(snd_hda_set_power_save, 0xc4992369, "_gpl");
SYMBOL_CRC(snd_hda_check_amp_list_power, 0x7a619e30, "_gpl");
SYMBOL_CRC(snd_hda_input_mux_info, 0xf8dc35ac, "_gpl");
SYMBOL_CRC(snd_hda_input_mux_put, 0x86599d6f, "_gpl");
SYMBOL_CRC(snd_hda_enum_helper_info, 0x0b12fe70, "_gpl");
SYMBOL_CRC(snd_hda_multi_out_dig_open, 0xe44cdd67, "_gpl");
SYMBOL_CRC(snd_hda_multi_out_dig_prepare, 0xe2c7f0b7, "_gpl");
SYMBOL_CRC(snd_hda_multi_out_dig_cleanup, 0x2124442c, "_gpl");
SYMBOL_CRC(snd_hda_multi_out_dig_close, 0xc3df6cd5, "_gpl");
SYMBOL_CRC(snd_hda_multi_out_analog_open, 0x109d33bd, "_gpl");
SYMBOL_CRC(snd_hda_multi_out_analog_prepare, 0x17705732, "_gpl");
SYMBOL_CRC(snd_hda_multi_out_analog_cleanup, 0xb736c66e, "_gpl");
SYMBOL_CRC(snd_hda_get_default_vref, 0x630f2112, "_gpl");
SYMBOL_CRC(snd_hda_correct_pin_ctl, 0xc29538e3, "_gpl");
SYMBOL_CRC(_snd_hda_set_pin_ctl, 0x104838e0, "_gpl");
SYMBOL_CRC(snd_hda_add_imux_item, 0x7911ef7a, "_gpl");
SYMBOL_CRC(snd_print_pcm_bits, 0xeda3a721, "_gpl");
SYMBOL_CRC(is_jack_detectable, 0x26c98cc2, "_gpl");
SYMBOL_CRC(snd_hda_jack_tbl_get_mst, 0x1391e1e1, "_gpl");
SYMBOL_CRC(snd_hda_jack_tbl_get_from_tag, 0x2c6a658b, "_gpl");
SYMBOL_CRC(snd_hda_jack_set_dirty_all, 0x5374533b, "_gpl");
SYMBOL_CRC(snd_hda_jack_pin_sense, 0xba505a70, "_gpl");
SYMBOL_CRC(snd_hda_jack_detect_state_mst, 0x6411855d, "_gpl");
SYMBOL_CRC(snd_hda_jack_detect_enable_callback_mst, 0x80d93e4f, "_gpl");
SYMBOL_CRC(snd_hda_jack_detect_enable, 0x684d9aad, "_gpl");
SYMBOL_CRC(snd_hda_jack_set_gating_jack, 0x3e0ee13d, "_gpl");
SYMBOL_CRC(snd_hda_jack_bind_keymap, 0x74718551, "_gpl");
SYMBOL_CRC(snd_hda_jack_set_button_state, 0x17389e9e, "_gpl");
SYMBOL_CRC(snd_hda_jack_report_sync, 0x5277377a, "_gpl");
SYMBOL_CRC(snd_hda_jack_add_kctl_mst, 0x52813b0c, "_gpl");
SYMBOL_CRC(snd_hda_jack_add_kctls, 0x8f8fc271, "_gpl");
SYMBOL_CRC(snd_hda_jack_unsol_event, 0xf23c6440, "_gpl");
SYMBOL_CRC(snd_hda_jack_poll_all, 0xdcca930f, "_gpl");
SYMBOL_CRC(snd_hda_parse_pin_defcfg, 0x461b92b4, "_gpl");
SYMBOL_CRC(snd_hda_get_input_pin_attr, 0x0676f5ac, "_gpl");
SYMBOL_CRC(hda_get_autocfg_input_label, 0xe52d92b8, "_gpl");
SYMBOL_CRC(snd_hda_get_pin_label, 0xb03665b0, "_gpl");
SYMBOL_CRC(snd_hda_add_verbs, 0x12497253, "_gpl");
SYMBOL_CRC(snd_hda_apply_verbs, 0xe43b57b0, "_gpl");
SYMBOL_CRC(snd_hda_apply_pincfgs, 0x45ce9e33, "_gpl");
SYMBOL_CRC(__snd_hda_apply_fixup, 0x6f3d2e23, "_gpl");
SYMBOL_CRC(snd_hda_apply_fixup, 0xaaa391b4, "_gpl");
SYMBOL_CRC(snd_hda_pick_pin_fixup, 0x0b55880a, "_gpl");
SYMBOL_CRC(snd_hda_pick_fixup, 0x393411a7, "_gpl");
SYMBOL_CRC(snd_hda_get_hint, 0xfab2a935, "_gpl");
SYMBOL_CRC(snd_hda_get_bool_hint, 0xf2e3b490, "_gpl");
SYMBOL_CRC(snd_hda_get_int_hint, 0x5d77f343, "_gpl");
SYMBOL_CRC(snd_hda_load_patch, 0xdb88dd29, "_gpl");
SYMBOL_CRC(azx_get_pos_lpib, 0x5c4fad46, "_gpl");
SYMBOL_CRC(azx_get_pos_posbuf, 0x162111fc, "_gpl");
SYMBOL_CRC(azx_get_position, 0x7a5b751e, "_gpl");
SYMBOL_CRC(snd_hda_codec_load_dsp_prepare, 0x10269168, "_gpl");
SYMBOL_CRC(snd_hda_codec_load_dsp_trigger, 0x9986cd98, "_gpl");
SYMBOL_CRC(snd_hda_codec_load_dsp_cleanup, 0xad273474, "_gpl");
SYMBOL_CRC(azx_init_chip, 0xc8083d54, "_gpl");
SYMBOL_CRC(azx_stop_all_streams, 0xc0a8d13f, "_gpl");
SYMBOL_CRC(azx_stop_chip, 0xa4012732, "_gpl");
SYMBOL_CRC(azx_interrupt, 0x38ce402b, "_gpl");
SYMBOL_CRC(azx_bus_init, 0xda3fec76, "_gpl");
SYMBOL_CRC(azx_probe_codecs, 0x160773d0, "_gpl");
SYMBOL_CRC(azx_codec_configure, 0x4c96cd06, "_gpl");
SYMBOL_CRC(azx_init_streams, 0x57fab7de, "_gpl");
SYMBOL_CRC(azx_free_streams, 0xb3d0df19, "_gpl");
SYMBOL_CRC(snd_hda_enable_beep_device, 0x587873cd, "_gpl");
SYMBOL_CRC(snd_hda_attach_beep_device, 0x38692b45, "_gpl");
SYMBOL_CRC(snd_hda_detach_beep_device, 0x01561a83, "_gpl");
SYMBOL_CRC(snd_hda_mixer_amp_switch_get_beep, 0xb7dbb262, "_gpl");
SYMBOL_CRC(snd_hda_mixer_amp_switch_put_beep, 0xf8d4b667, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6f23486d, "input_allocate_device" },
	{ 0xc6ead236, "snd_hdac_stream_release" },
	{ 0xe6c6bff9, "snd_hdac_get_connections" },
	{ 0x3c85dbe9, "snd_hdac_power_up_pm" },
	{ 0xd4845a05, "try_module_get" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x4506c655, "bpf_trace_run4" },
	{ 0x78b887ed, "vsprintf" },
	{ 0x2f32846c, "snd_hdac_bus_send_cmd" },
	{ 0xbbdd3e30, "snd_pcm_hw_limit_rates" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x217379f0, "snd_hdac_sync_power_state" },
	{ 0x579a979f, "snd_ctl_apply_vmaster_followers" },
	{ 0xdcf37d5e, "snd_ctl_add" },
	{ 0x3a129ed5, "snd_hdac_is_supported_format" },
	{ 0xd3957543, "snd_hdac_regmap_read_raw" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x64835176, "snd_hdac_bus_get_response" },
	{ 0x4e942b5b, "snd_pcm_new" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x2df41366, "snd_jack_report" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x93b9a682, "trace_raw_output_prep" },
	{ 0xa53d5732, "snd_hdac_bus_update_rirb" },
	{ 0xff5f1561, "snd_hdac_power_down" },
	{ 0x1b49d0b8, "snd_pcm_add_chmap_ctls" },
	{ 0x36f128e0, "snd_card_register" },
	{ 0x74ccc61, "pm_runtime_set_autosuspend_delay" },
	{ 0x556be6e0, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x8491cff2, "snd_hdac_codec_write" },
	{ 0xcb6b138, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x4c670fa2, "snd_hdac_regmap_init" },
	{ 0x4b90a2ac, "snd_pcm_hw_constraint_minmax" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0xaf2aa4f7, "get_device_system_crosststamp" },
	{ 0x9be18dcc, "snd_hdac_codec_modalias" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0xf783bf4d, "snd_hdac_bus_stop_chip" },
	{ 0x3f7c8b8f, "trace_event_raw_init" },
	{ 0xb88825d, "input_unregister_device" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf9f41b3f, "snd_hdac_query_supported_pcm" },
	{ 0xf6da36ae, "snd_card_rw_proc_new" },
	{ 0x2232b6fa, "snd_ctl_add_vmaster_hook" },
	{ 0x822dfce7, "regcache_mark_dirty" },
	{ 0xc4e40b90, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4592d481, "snd_hdac_refresh_widgets" },
	{ 0x7acaa766, "snd_ctl_sync_vmaster" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0xcd8a7d34, "snd_ctl_remove" },
	{ 0x176a7e3d, "snd_ctl_find_id" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xc5a648e7, "snd_hdac_stream_timecounter_init" },
	{ 0xfb6dfa14, "trace_event_buffer_commit" },
	{ 0xd5bb24ad, "input_free_device" },
	{ 0x73076315, "snd_pci_quirk_lookup_id" },
	{ 0x9b9291bc, "snd_ctl_new1" },
	{ 0x60c5787b, "snd_hdac_dsp_prepare" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x3198fdb5, "device_reprobe" },
	{ 0x1000e51, "schedule" },
	{ 0x55c5a3c9, "_snd_hdac_read_parm" },
	{ 0x44a18989, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x8619869e, "put_device" },
	{ 0xf693587e, "pm_runtime_enable" },
	{ 0x4e1b99f, "snd_pcm_std_chmaps" },
	{ 0xd5959e4e, "snd_hdac_bus_exec_verb_unlocked" },
	{ 0x2c542845, "snd_hdac_override_parm" },
	{ 0xdc78b949, "snd_component_add" },
	{ 0xa916b694, "strnlen" },
	{ 0xb4bddf10, "snd_hdac_device_register" },
	{ 0x1a4fee9d, "snd_hdac_regmap_update_raw" },
	{ 0x64386c69, "snd_ctl_make_virtual_master" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0xdf059ce8, "snd_hdac_bus_init_chip" },
	{ 0xc6cbbc89, "capable" },
	{ 0xdb0ad9ad, "snd_hdac_stream_stop" },
	{ 0x1f9a9c72, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x800473f, "__cond_resched" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0x14027c86, "snd_hdac_stream_cleanup" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0xf17e0356, "snd_hdac_bus_init" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8878a5ab, "snd_ctl_boolean_mono_info" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xd0754241, "snd_hdac_read_parm_uncached" },
	{ 0x4bb807c7, "perf_trace_run_bpf_submit" },
	{ 0x45b482d7, "snd_ctl_rename_id" },
	{ 0x5c1d06, "snd_hdac_stream_init" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0xb7c0f443, "sort" },
	{ 0x8acf1e30, "snd_hdac_device_unregister" },
	{ 0x7346379f, "snd_hdac_device_init" },
	{ 0x587b0954, "kvasprintf" },
	{ 0x26cb0bc4, "snd_hdac_stream_assign" },
	{ 0x4e7f4f61, "snd_jack_new" },
	{ 0x334f44dd, "snd_hwdep_new" },
	{ 0x35378dc2, "snd_hdac_read" },
	{ 0x1cf8a00b, "snd_hdac_stream_setup_periods" },
	{ 0xdc32de08, "device_attach" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x6241cafa, "snd_hdac_power_down_pm" },
	{ 0x5a921311, "strncmp" },
	{ 0xaed6f814, "snd_hdac_device_set_chip_name" },
	{ 0x2092327, "trace_event_reg" },
	{ 0x3ffe3b9b, "driver_unregister" },
	{ 0x801a1394, "snd_hdac_codec_link_down" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x639931b7, "snd_pcm_set_ops" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x3b7984fd, "snd_hdac_bus_stop_cmd_io" },
	{ 0x63033c45, "snd_hdac_stream_sync" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xf0609fa9, "_snd_ctl_add_follower" },
	{ 0x11089ac7, "_ctype" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x13cee25a, "snd_hdac_regmap_write_raw" },
	{ 0xe09e0a7f, "snd_device_new" },
	{ 0x317ae39d, "snd_pcm_set_managed_buffer_all" },
	{ 0xdcb764ad, "memset" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0x7de23d0d, "snd_hdac_display_power" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x245229b8, "snd_hdac_regmap_exit" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xfbf8f23, "snd_hdac_check_power_state" },
	{ 0x48e1de6b, "snd_jack_set_key" },
	{ 0xe2a0dd99, "snd_pcm_suspend_all" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xdfb2511b, "snd_hdac_stream_format_bits" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xde18b1f5, "snd_hda_bus_type" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x63c7b56b, "snd_pcm_hw_constraint_integer" },
	{ 0x2da8d207, "bpf_trace_run3" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6e42fcb2, "pm_runtime_forbid" },
	{ 0x2e18ee10, "snd_hdac_device_exit" },
	{ 0x2454ddca, "pm_runtime_allow" },
	{ 0xda2d7a21, "trace_event_buffer_reserve" },
	{ 0x4f139bf4, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xdfcc992c, "current_work" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x346315b, "snd_hdac_stream_setup" },
	{ 0x9a06fb05, "snd_hdac_stream_set_params" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x51d43a0b, "snd_hdac_get_sub_nodes" },
	{ 0x31a23b12, "snd_device_disconnect" },
	{ 0x84798075, "snd_hdac_bus_handle_stream_irq" },
	{ 0x3a707c93, "pm_runtime_force_resume" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x851f4e14, "snd_pci_quirk_lookup" },
	{ 0x899fbd06, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xf5ec88b9, "snd_hdac_regmap_update_raw_once" },
	{ 0xbe7dd7dc, "snd_array_new" },
	{ 0xbfc95c33, "snd_hdac_spdif_stream_format" },
	{ 0x57cb5bd2, "snd_hdac_stream_sync_trigger" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xe3798bfa, "snd_device_free" },
	{ 0x55d0a191, "snd_hdac_stream_reset" },
	{ 0xff76a031, "snd_pcm_period_elapsed" },
	{ 0xa32aaf5f, "snd_pcm_hw_constraint_step" },
	{ 0x9a8e1877, "snd_array_free" },
	{ 0x67e43354, "device_release_driver" },
	{ 0x72eb6a72, "snd_hdac_dsp_trigger" },
	{ 0x98cf60b3, "strlen" },
	{ 0x91930acb, "__pm_runtime_use_autosuspend" },
	{ 0xb44632d, "snd_hdac_codec_read" },
	{ 0xcb74520d, "param_ops_int" },
	{ 0x349cba85, "strchr" },
	{ 0x568d4681, "__pm_runtime_disable" },
	{ 0x73d51b81, "snd_hdac_dsp_cleanup" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xb3b109ef, "pm_runtime_force_suspend" },
	{ 0x83cf91d, "driver_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x57a994cd, "snd_hdac_stop_streams" },
	{ 0xcda4d783, "snd_hdac_codec_link_up" },
	{ 0xf9a482f9, "msleep" },
	{ 0x7224d138, "snd_hdac_stream_start" },
	{ 0xe88ccff4, "snd_hdac_regmap_sync" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xee36e24d, "snd_hdac_power_up" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-core,snd-pcm,snd,snd-hwdep");


MODULE_INFO(srcversion, "1FE934044B5BA736D367DD7");
