#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6ce22f76, "snd_soc_dapm_put_enum_double" },
	{ 0x11f75d2, "device_property_present" },
	{ 0x10e448ad, "regcache_cache_only" },
	{ 0x3920dbe0, "regcache_sync" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xcb824037, "regmap_write" },
	{ 0x4c55545d, "devm_request_threaded_irq" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2809067, "snd_soc_jack_report" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x74ccc61, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x6d627a58, "gpiod_set_value_cansleep" },
	{ 0x1b023a57, "sysfs_remove_groups" },
	{ 0x1446282, "sysfs_create_groups" },
	{ 0x4829a47e, "memcpy" },
	{ 0x86a427a6, "snd_soc_put_enum_double" },
	{ 0x822dfce7, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe807266f, "devm_gpiod_get_optional" },
	{ 0x69ae1d3c, "snd_soc_card_jack_new" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xd7094a04, "__pm_runtime_set_status" },
	{ 0xa86ec35d, "devm_snd_soc_register_component" },
	{ 0x8e15990a, "__devm_regmap_init_i2c" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf693587e, "pm_runtime_enable" },
	{ 0x36d5dce6, "regulator_bulk_disable" },
	{ 0xd80f18f2, "device_property_read_u32_array" },
	{ 0x6a60129c, "snd_soc_get_enum_double" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0xc2c5802, "work_busy" },
	{ 0x800473f, "__cond_resched" },
	{ 0xa733da49, "i2c_register_driver" },
	{ 0x13cb1c59, "snd_soc_info_volsw" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd587a76, "snd_pcm_hw_constraint_list" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xf23e5191, "snd_soc_info_enum_double" },
	{ 0x6d6b21f3, "regulator_bulk_enable" },
	{ 0x31565f22, "devm_regulator_bulk_get" },
	{ 0xb6555db, "snd_soc_get_volsw" },
	{ 0x133e2f27, "regmap_read" },
	{ 0x8ea6c79a, "snd_soc_put_volsw" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xc867d2cf, "regmap_bulk_read" },
	{ 0x56470118, "__warn_printk" },
	{ 0x207bb5ea, "regmap_update_bits_base" },
	{ 0x43bbcd06, "regmap_multi_reg_write" },
	{ 0x7e24f673, "device_property_read_u16_array" },
	{ 0x1641a478, "i2c_del_driver" },
	{ 0xc91b1e4, "snd_soc_dapm_get_enum_double" },
	{ 0x91930acb, "__pm_runtime_use_autosuspend" },
	{ 0x568d4681, "__pm_runtime_disable" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0x9aaacae9, "__dev_fwnode" },
	{ 0xf80a3ec7, "device_remove_file" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-pcm");

MODULE_ALIAS("acpi*:CSC4399:*");
MODULE_ALIAS("i2c:cs43130");
MODULE_ALIAS("i2c:cs4399");
MODULE_ALIAS("i2c:cs43131");
MODULE_ALIAS("i2c:cs43198");
MODULE_ALIAS("of:N*T*Ccirrus,cs43130");
MODULE_ALIAS("of:N*T*Ccirrus,cs43130C*");
MODULE_ALIAS("of:N*T*Ccirrus,cs4399");
MODULE_ALIAS("of:N*T*Ccirrus,cs4399C*");
MODULE_ALIAS("of:N*T*Ccirrus,cs43131");
MODULE_ALIAS("of:N*T*Ccirrus,cs43131C*");
MODULE_ALIAS("of:N*T*Ccirrus,cs43198");
MODULE_ALIAS("of:N*T*Ccirrus,cs43198C*");

MODULE_INFO(srcversion, "117D08CA2975C3875CCAFD9");
