#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(audio_graph_parse_of, "_gpl", "");

SYMBOL_CRC(audio_graph_parse_of, 0x6590d83b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x38dc063f, "of_graph_get_remote_endpoint" },
	{ 0x322fef20, "simple_util_set_dailink_name" },
	{ 0xee049a8b, "snd_soc_of_parse_tdm_slot" },
	{ 0xcaf2fbe0, "simple_util_canonicalize_platform" },
	{ 0xa0c800c8, "simple_util_is_convert_required" },
	{ 0x5c3e2d2b, "simple_util_startup" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0xe9d10d9d, "of_node_put" },
	{ 0xf9ed9452, "of_property_read_variable_u32_array" },
	{ 0x3b82c1cf, "platform_driver_unregister" },
	{ 0xd3cf0e2c, "simple_util_parse_convert" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc29ad811, "simple_util_parse_widgets" },
	{ 0x83df277b, "simple_util_parse_daifmt" },
	{ 0x6d627a58, "gpiod_set_value_cansleep" },
	{ 0x87ef8720, "graph_util_parse_trigger_order" },
	{ 0x37a0cba, "kfree" },
	{ 0xbf2de6e3, "of_get_parent" },
	{ 0x2966d9d8, "of_phandle_iterator_next" },
	{ 0xe807266f, "devm_gpiod_get_optional" },
	{ 0x65eac336, "snd_soc_of_parse_node_prefix" },
	{ 0x258461f1, "simple_util_init_priv" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0x55fe7ada, "simple_util_hw_params" },
	{ 0xe533a845, "of_get_next_child" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x58220562, "snd_soc_dai_link_set_capabilities" },
	{ 0x3f3cdaee, "graph_util_parse_link_direction" },
	{ 0x2eeffe68, "simple_util_clean_reference" },
	{ 0x130b7717, "simple_util_be_hw_params_fixup" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0xaaa9cac0, "simple_util_parse_clk" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xbb3ad763, "simple_util_parse_routing" },
	{ 0x59da7e45, "graph_util_card_probe" },
	{ 0xd500d6d9, "simple_util_canonicalize_cpu" },
	{ 0xb50e4a65, "snd_soc_find_dai_with_mutex" },
	{ 0xdcb764ad, "memset" },
	{ 0x729a6961, "simple_util_parse_card_name" },
	{ 0x281eeb4b, "simple_util_shutdown" },
	{ 0x3d87ecef, "of_graph_get_port_parent" },
	{ 0xed826b94, "__platform_driver_register" },
	{ 0x9861f87f, "simple_util_remove" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x6fcf2a7d, "graph_util_parse_dai" },
	{ 0xada8f36, "snd_soc_pm_ops" },
	{ 0xe647c55, "of_node_name_eq" },
	{ 0x92f2a8c, "dev_err_probe" },
	{ 0x691c9849, "of_phandle_iterator_init" },
	{ 0xc1e79586, "of_device_get_match_data" },
	{ 0xf07a8744, "devm_snd_soc_register_card" },
	{ 0xb40ab029, "simple_util_dai_init" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-simple-card-utils,snd-soc-core");

MODULE_ALIAS("of:N*T*Caudio-graph-card");
MODULE_ALIAS("of:N*T*Caudio-graph-cardC*");
MODULE_ALIAS("of:N*T*Caudio-graph-scu-card");
MODULE_ALIAS("of:N*T*Caudio-graph-scu-cardC*");

MODULE_INFO(srcversion, "248A95BA24872ED8C5D788E");
