#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(null_dailink_component, "_gpl", "");
KSYMTAB_DATA(snd_soc_debugfs_root, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_name_get, "_gpl", "");
KSYMTAB_FUNC(snd_soc_rtdcom_lookup, "_gpl", "");
KSYMTAB_FUNC(snd_soc_lookup_component_nolocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_lookup_component, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_pcm_runtime, "_gpl", "");
KSYMTAB_FUNC(snd_soc_close_delayed_work, "_gpl", "");
KSYMTAB_FUNC(snd_soc_suspend, "_gpl", "");
KSYMTAB_FUNC(snd_soc_resume, "_gpl", "");
KSYMTAB_FUNC(snd_soc_copy_dai_args, "_gpl", "");
KSYMTAB_FUNC(snd_soc_find_dai, "_gpl", "");
KSYMTAB_FUNC(snd_soc_find_dai_with_mutex, "_gpl", "");
KSYMTAB_FUNC(snd_soc_remove_pcm_runtime, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_pcm_runtimes, "_gpl", "");
KSYMTAB_FUNC(snd_soc_runtime_set_dai_fmt, "_gpl", "");
KSYMTAB_FUNC(snd_soc_set_dmi_name, "_gpl", "");
KSYMTAB_FUNC(snd_soc_poweroff, "_gpl", "");
KSYMTAB_DATA(snd_soc_pm_ops, "_gpl", "");
KSYMTAB_FUNC(snd_soc_cnew, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_component_controls, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_card_controls, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_dai_controls, "_gpl", "");
KSYMTAB_FUNC(snd_soc_register_card, "_gpl", "");
KSYMTAB_FUNC(snd_soc_unregister_card, "_gpl", "");
KSYMTAB_FUNC(snd_soc_unregister_dai, "_gpl", "");
KSYMTAB_FUNC(snd_soc_register_dai, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_initialize, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_component, "_gpl", "");
KSYMTAB_FUNC(snd_soc_register_component, "_gpl", "");
KSYMTAB_FUNC(snd_soc_unregister_component_by_driver, "_gpl", "");
KSYMTAB_FUNC(snd_soc_unregister_component, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_card_name, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_audio_simple_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_pin_switches, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_slot_mask, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_tdm_slot, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dlc_use_cpu_as_platform, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_node_prefix, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_audio_routing, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_aux_devs, "_gpl", "");
KSYMTAB_FUNC(snd_soc_daifmt_clock_provider_flipped, "_gpl", "");
KSYMTAB_FUNC(snd_soc_daifmt_clock_provider_from_bitmap, "_gpl", "");
KSYMTAB_FUNC(snd_soc_daifmt_parse_format, "_gpl", "");
KSYMTAB_FUNC(snd_soc_daifmt_parse_clock_provider_raw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_stream_cpu, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_dai_id, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_dlc, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_dlc, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_dai_name, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_dai_name, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_dai_via_args, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_put_dai_link_codecs, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_dai_link_codecs, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_put_dai_link_cpus, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_dai_link_cpus, "_gpl", "");
KSYMTAB_FUNC(dapm_mark_endpoints_dirty, "_gpl", "");
KSYMTAB_FUNC(dapm_kcontrol_get_value, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_kcontrol_widget, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_kcontrol_dapm, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_force_bias_level, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_dai_get_connected_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_dai_free_widgets, "_gpl", "");
KSYMTAB_FUNC(dapm_regulator_event, "_gpl", "");
KSYMTAB_FUNC(dapm_pinctrl_event, "_gpl", "");
KSYMTAB_FUNC(dapm_clock_event, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_mux_update_power, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_mixer_update_power, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_free_widget, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_sync_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_sync, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_update_dai, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_widget_name_cmp, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_add_routes, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_del_routes, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_weak_routes, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_new_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_get_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_put_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_get_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_put_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_info_pin_switch, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_get_pin_switch, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_put_pin_switch, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_new_control, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_new_controls, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_new_dai_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_stream_stop, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_enable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_enable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_force_enable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_force_enable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_disable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_disable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_nc_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_nc_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_get_pin_status, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_ignore_suspend, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_free, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_init, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_report, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_add_zones, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_get_type, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_add_pins, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_notifier_register, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_notifier_unregister, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_add_gpios, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_add_gpiods, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_free_gpios, "_gpl", "");
KSYMTAB_FUNC(snd_soc_calc_frame_size, "_gpl", "");
KSYMTAB_FUNC(snd_soc_params_to_frame_size, "_gpl", "");
KSYMTAB_FUNC(snd_soc_calc_bclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_params_to_bclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_tdm_params_to_bclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_is_dummy, "_gpl", "");
KSYMTAB_DATA(snd_soc_dummy_dlc, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_sysclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_clkdiv, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_pll, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_bclk_ratio, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_fmt, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_tdm_slot, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_channel_map, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_get_channel_map, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_tristate, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_digital_mute, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_link_set_capabilities, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_action, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_active, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_startup, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_shutdown, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_set_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_get_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_ack, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_pointer, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_set_metadata, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_get_metadata, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_set_sysclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_set_pll, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_enable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_enable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_disable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_disable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_nc_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_nc_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_get_pin_status, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_force_enable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_force_enable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_get_kcontrol, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_get_kcontrol_locked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_notify_control, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_set_jack, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_get_jack_type, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_init_regmap, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_exit_regmap, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_open, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_free, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_set_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_get_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_get_caps, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_get_codec_caps, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_ack, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_pointer, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_copy, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_set_metadata, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_get_metadata, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_read, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_write, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_update_bits, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_update_bits_async, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_read_field, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_write_field, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_async_complete, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_test_bits, "_gpl", "");
KSYMTAB_FUNC(snd_soc_runtime_action, "_gpl", "");
KSYMTAB_FUNC(snd_soc_set_runtime_hwparams, "_gpl", "");
KSYMTAB_FUNC(snd_soc_runtime_calc_hw, "_gpl", "");
KSYMTAB_FUNC(widget_in_list, "_gpl", "");
KSYMTAB_FUNC(dpcm_end_walk_at_be, "_gpl", "");
KSYMTAB_FUNC(dpcm_be_dai_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dpcm_runtime_update, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dpcm_fe_can_update, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dpcm_be_can_update, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dpcm_get_substream, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dpcm_can_be_free_stop, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dpcm_can_be_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dpcm_can_be_prepared, "_gpl", "");
KSYMTAB_FUNC(devm_snd_soc_register_dai, "_gpl", "");
KSYMTAB_FUNC(devm_snd_soc_register_component, "_gpl", "");
KSYMTAB_FUNC(devm_snd_soc_register_card, "_gpl", "");
KSYMTAB_FUNC(devm_snd_dmaengine_pcm_register, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_volsw_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_volsw_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_volsw_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_volsw_range, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_volsw_range, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_volsw_range, "_gpl", "");
KSYMTAB_FUNC(snd_soc_limit_volume, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_info, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_get, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_put, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_info_ext, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_tlv_callback, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_xr_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_xr_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_xr_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_strobe, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_strobe, "_gpl", "");
KSYMTAB_FUNC(snd_soc_link_compr_startup, "_gpl", "");
KSYMTAB_FUNC(snd_soc_link_compr_shutdown, "_gpl", "");
KSYMTAB_FUNC(snd_soc_link_compr_set_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_get_kcontrol_locked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_get_kcontrol, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_jack_new, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_jack_new_pins, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_add_dai_link, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_remove_dai_link, "_gpl", "");
KSYMTAB_FUNC(snd_dmaengine_pcm_prepare_slave_config, "_gpl", "");
KSYMTAB_FUNC(snd_dmaengine_pcm_register, "_gpl", "");
KSYMTAB_FUNC(snd_dmaengine_pcm_unregister, "_gpl", "");
KSYMTAB_FUNC(snd_soc_alloc_ac97_component, "", "");
KSYMTAB_FUNC(snd_soc_new_ac97_component, "_gpl", "");
KSYMTAB_FUNC(snd_soc_free_ac97_component, "_gpl", "");
KSYMTAB_DATA(soc_ac97_ops, "_gpl", "");
KSYMTAB_FUNC(snd_soc_set_ac97_ops, "_gpl", "");
KSYMTAB_FUNC(snd_soc_set_ac97_ops_of_reset, "_gpl", "");

SYMBOL_CRC(null_dailink_component, 0xa177362c, "_gpl");
SYMBOL_CRC(snd_soc_debugfs_root, 0x4e9a8c39, "_gpl");
SYMBOL_CRC(snd_soc_dai_name_get, 0xa51a68b6, "_gpl");
SYMBOL_CRC(snd_soc_rtdcom_lookup, 0x58886620, "_gpl");
SYMBOL_CRC(snd_soc_lookup_component_nolocked, 0x4ed0e11d, "_gpl");
SYMBOL_CRC(snd_soc_lookup_component, 0x76b82de5, "_gpl");
SYMBOL_CRC(snd_soc_get_pcm_runtime, 0xfb7a40e2, "_gpl");
SYMBOL_CRC(snd_soc_close_delayed_work, 0x0ec331d0, "_gpl");
SYMBOL_CRC(snd_soc_suspend, 0x6cdc1ff6, "_gpl");
SYMBOL_CRC(snd_soc_resume, 0x9c920ebc, "_gpl");
SYMBOL_CRC(snd_soc_copy_dai_args, 0x23cb19c1, "_gpl");
SYMBOL_CRC(snd_soc_find_dai, 0x3e264819, "_gpl");
SYMBOL_CRC(snd_soc_find_dai_with_mutex, 0xb50e4a65, "_gpl");
SYMBOL_CRC(snd_soc_remove_pcm_runtime, 0x603648cf, "_gpl");
SYMBOL_CRC(snd_soc_add_pcm_runtimes, 0xda24fb54, "_gpl");
SYMBOL_CRC(snd_soc_runtime_set_dai_fmt, 0x54a26b20, "_gpl");
SYMBOL_CRC(snd_soc_set_dmi_name, 0xa5806e3c, "_gpl");
SYMBOL_CRC(snd_soc_poweroff, 0x24b659ed, "_gpl");
SYMBOL_CRC(snd_soc_pm_ops, 0x0ada8f36, "_gpl");
SYMBOL_CRC(snd_soc_cnew, 0x414af671, "_gpl");
SYMBOL_CRC(snd_soc_add_component_controls, 0xb6d04bc5, "_gpl");
SYMBOL_CRC(snd_soc_add_card_controls, 0x4caec0b5, "_gpl");
SYMBOL_CRC(snd_soc_add_dai_controls, 0xf0e5a6d4, "_gpl");
SYMBOL_CRC(snd_soc_register_card, 0xbd47888e, "_gpl");
SYMBOL_CRC(snd_soc_unregister_card, 0xc1aaf652, "_gpl");
SYMBOL_CRC(snd_soc_unregister_dai, 0xf9f5757a, "_gpl");
SYMBOL_CRC(snd_soc_register_dai, 0x55609831, "_gpl");
SYMBOL_CRC(snd_soc_component_initialize, 0xc6b64b45, "_gpl");
SYMBOL_CRC(snd_soc_add_component, 0x172390c0, "_gpl");
SYMBOL_CRC(snd_soc_register_component, 0x18477e79, "_gpl");
SYMBOL_CRC(snd_soc_unregister_component_by_driver, 0x3afcb54b, "_gpl");
SYMBOL_CRC(snd_soc_unregister_component, 0xb84dbd69, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_card_name, 0xa469aa57, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_audio_simple_widgets, 0xe7424acf, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_pin_switches, 0x2e9e74bf, "_gpl");
SYMBOL_CRC(snd_soc_of_get_slot_mask, 0x0bdc486c, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_tdm_slot, 0xee049a8b, "_gpl");
SYMBOL_CRC(snd_soc_dlc_use_cpu_as_platform, 0x653adabd, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_node_prefix, 0x65eac336, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_audio_routing, 0x4205a33b, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_aux_devs, 0xb00a4730, "_gpl");
SYMBOL_CRC(snd_soc_daifmt_clock_provider_flipped, 0xc317a15e, "_gpl");
SYMBOL_CRC(snd_soc_daifmt_clock_provider_from_bitmap, 0xf9622dd1, "_gpl");
SYMBOL_CRC(snd_soc_daifmt_parse_format, 0xbbb6912d, "_gpl");
SYMBOL_CRC(snd_soc_daifmt_parse_clock_provider_raw, 0x076878e7, "_gpl");
SYMBOL_CRC(snd_soc_get_stream_cpu, 0xe148eb5e, "_gpl");
SYMBOL_CRC(snd_soc_get_dai_id, 0x6057c7cf, "_gpl");
SYMBOL_CRC(snd_soc_get_dlc, 0xfed131d1, "_gpl");
SYMBOL_CRC(snd_soc_of_get_dlc, 0xf7e01962, "_gpl");
SYMBOL_CRC(snd_soc_get_dai_name, 0x76a2cafe, "_gpl");
SYMBOL_CRC(snd_soc_of_get_dai_name, 0x8fa16b4a, "_gpl");
SYMBOL_CRC(snd_soc_get_dai_via_args, 0x5fe77ea6, "_gpl");
SYMBOL_CRC(snd_soc_of_put_dai_link_codecs, 0x035e5596, "_gpl");
SYMBOL_CRC(snd_soc_of_get_dai_link_codecs, 0xaa2271e5, "_gpl");
SYMBOL_CRC(snd_soc_of_put_dai_link_cpus, 0x2d1d2c1b, "_gpl");
SYMBOL_CRC(snd_soc_of_get_dai_link_cpus, 0x3d67c4cd, "_gpl");
SYMBOL_CRC(dapm_mark_endpoints_dirty, 0x80de88ca, "_gpl");
SYMBOL_CRC(dapm_kcontrol_get_value, 0x584eef7d, "_gpl");
SYMBOL_CRC(snd_soc_dapm_kcontrol_widget, 0xcac82a65, "_gpl");
SYMBOL_CRC(snd_soc_dapm_kcontrol_dapm, 0xe47c3211, "_gpl");
SYMBOL_CRC(snd_soc_dapm_force_bias_level, 0xaab427bf, "_gpl");
SYMBOL_CRC(snd_soc_dapm_dai_get_connected_widgets, 0x56466d01, "_gpl");
SYMBOL_CRC(snd_soc_dapm_dai_free_widgets, 0x9145c232, "_gpl");
SYMBOL_CRC(dapm_regulator_event, 0x49bdc385, "_gpl");
SYMBOL_CRC(dapm_pinctrl_event, 0x34dfe3d7, "_gpl");
SYMBOL_CRC(dapm_clock_event, 0x31f5d6dd, "_gpl");
SYMBOL_CRC(snd_soc_dapm_mux_update_power, 0xf4c34b59, "_gpl");
SYMBOL_CRC(snd_soc_dapm_mixer_update_power, 0xf5afb9f2, "_gpl");
SYMBOL_CRC(snd_soc_dapm_free_widget, 0x4fa8cda3, "_gpl");
SYMBOL_CRC(snd_soc_dapm_sync_unlocked, 0x31f1f78e, "_gpl");
SYMBOL_CRC(snd_soc_dapm_sync, 0xfb13c398, "_gpl");
SYMBOL_CRC(snd_soc_dapm_update_dai, 0xfc0e2407, "_gpl");
SYMBOL_CRC(snd_soc_dapm_widget_name_cmp, 0x7567d2ab, "_gpl");
SYMBOL_CRC(snd_soc_dapm_add_routes, 0x39316389, "_gpl");
SYMBOL_CRC(snd_soc_dapm_del_routes, 0x4eb2b7fb, "_gpl");
SYMBOL_CRC(snd_soc_dapm_weak_routes, 0x00ed6e8a, "_gpl");
SYMBOL_CRC(snd_soc_dapm_new_widgets, 0x6770906c, "_gpl");
SYMBOL_CRC(snd_soc_dapm_get_volsw, 0xbe9e250e, "_gpl");
SYMBOL_CRC(snd_soc_dapm_put_volsw, 0xcdea1532, "_gpl");
SYMBOL_CRC(snd_soc_dapm_get_enum_double, 0x0c91b1e4, "_gpl");
SYMBOL_CRC(snd_soc_dapm_put_enum_double, 0x6ce22f76, "_gpl");
SYMBOL_CRC(snd_soc_dapm_info_pin_switch, 0x55759351, "_gpl");
SYMBOL_CRC(snd_soc_dapm_get_pin_switch, 0x38aa2659, "_gpl");
SYMBOL_CRC(snd_soc_dapm_put_pin_switch, 0xfbba61c6, "_gpl");
SYMBOL_CRC(snd_soc_dapm_new_control, 0x6c725137, "_gpl");
SYMBOL_CRC(snd_soc_dapm_new_controls, 0xc6feeaa4, "_gpl");
SYMBOL_CRC(snd_soc_dapm_new_dai_widgets, 0x61997ea8, "_gpl");
SYMBOL_CRC(snd_soc_dapm_stream_stop, 0x10be2079, "_gpl");
SYMBOL_CRC(snd_soc_dapm_enable_pin_unlocked, 0xd9768ae0, "_gpl");
SYMBOL_CRC(snd_soc_dapm_enable_pin, 0xeb8b352e, "_gpl");
SYMBOL_CRC(snd_soc_dapm_force_enable_pin_unlocked, 0x16b867a5, "_gpl");
SYMBOL_CRC(snd_soc_dapm_force_enable_pin, 0xead50ef6, "_gpl");
SYMBOL_CRC(snd_soc_dapm_disable_pin_unlocked, 0xe63df03e, "_gpl");
SYMBOL_CRC(snd_soc_dapm_disable_pin, 0x81c24d49, "_gpl");
SYMBOL_CRC(snd_soc_dapm_nc_pin_unlocked, 0x8bda20b4, "_gpl");
SYMBOL_CRC(snd_soc_dapm_nc_pin, 0xe9e8edd2, "_gpl");
SYMBOL_CRC(snd_soc_dapm_get_pin_status, 0x37879f73, "_gpl");
SYMBOL_CRC(snd_soc_dapm_ignore_suspend, 0x293d8a10, "_gpl");
SYMBOL_CRC(snd_soc_dapm_free, 0xc61bc3af, "_gpl");
SYMBOL_CRC(snd_soc_dapm_init, 0xd0c61e38, "_gpl");
SYMBOL_CRC(snd_soc_jack_report, 0xb2809067, "_gpl");
SYMBOL_CRC(snd_soc_jack_add_zones, 0x4d71e907, "_gpl");
SYMBOL_CRC(snd_soc_jack_get_type, 0x765cda98, "_gpl");
SYMBOL_CRC(snd_soc_jack_add_pins, 0x816f2639, "_gpl");
SYMBOL_CRC(snd_soc_jack_notifier_register, 0x2b86527f, "_gpl");
SYMBOL_CRC(snd_soc_jack_notifier_unregister, 0x61228afd, "_gpl");
SYMBOL_CRC(snd_soc_jack_add_gpios, 0xad07eb38, "_gpl");
SYMBOL_CRC(snd_soc_jack_add_gpiods, 0x31fb1a23, "_gpl");
SYMBOL_CRC(snd_soc_jack_free_gpios, 0x7d625671, "_gpl");
SYMBOL_CRC(snd_soc_calc_frame_size, 0x2541a979, "_gpl");
SYMBOL_CRC(snd_soc_params_to_frame_size, 0xee9124b3, "_gpl");
SYMBOL_CRC(snd_soc_calc_bclk, 0x7e606130, "_gpl");
SYMBOL_CRC(snd_soc_params_to_bclk, 0x2acda8a0, "_gpl");
SYMBOL_CRC(snd_soc_tdm_params_to_bclk, 0x6c456e7b, "_gpl");
SYMBOL_CRC(snd_soc_dai_is_dummy, 0x9767df18, "_gpl");
SYMBOL_CRC(snd_soc_dummy_dlc, 0xe9df9a52, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_sysclk, 0xf290ecbc, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_clkdiv, 0x8efd7d04, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_pll, 0x633ed020, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_bclk_ratio, 0xd17ccf5a, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_fmt, 0x21a6b3d2, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_tdm_slot, 0xbd27b8c6, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_channel_map, 0x0307d7ab, "_gpl");
SYMBOL_CRC(snd_soc_dai_get_channel_map, 0x55962cb3, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_tristate, 0xdd59475f, "_gpl");
SYMBOL_CRC(snd_soc_dai_digital_mute, 0x3b7bc0f5, "_gpl");
SYMBOL_CRC(snd_soc_dai_link_set_capabilities, 0x58220562, "_gpl");
SYMBOL_CRC(snd_soc_dai_action, 0x3381461c, "_gpl");
SYMBOL_CRC(snd_soc_dai_active, 0xa5933f4d, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_startup, 0x46d26199, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_shutdown, 0x042c6698, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_trigger, 0x90a066ef, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_set_params, 0xa2a7ebfa, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_get_params, 0x0807da4c, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_ack, 0xa87cbe4c, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_pointer, 0x62f5df05, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_set_metadata, 0x2c4c01b0, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_get_metadata, 0x37fa2dd2, "_gpl");
SYMBOL_CRC(snd_soc_component_set_sysclk, 0xcde44e61, "_gpl");
SYMBOL_CRC(snd_soc_component_set_pll, 0x1172728d, "_gpl");
SYMBOL_CRC(snd_soc_component_enable_pin, 0x9c999bf8, "_gpl");
SYMBOL_CRC(snd_soc_component_enable_pin_unlocked, 0xce9a4cc6, "_gpl");
SYMBOL_CRC(snd_soc_component_disable_pin, 0x24ef52f4, "_gpl");
SYMBOL_CRC(snd_soc_component_disable_pin_unlocked, 0x346697c7, "_gpl");
SYMBOL_CRC(snd_soc_component_nc_pin, 0xa33ea62a, "_gpl");
SYMBOL_CRC(snd_soc_component_nc_pin_unlocked, 0x9d833b4d, "_gpl");
SYMBOL_CRC(snd_soc_component_get_pin_status, 0xeeef6ded, "_gpl");
SYMBOL_CRC(snd_soc_component_force_enable_pin, 0x0b64f984, "_gpl");
SYMBOL_CRC(snd_soc_component_force_enable_pin_unlocked, 0x4f09a623, "_gpl");
SYMBOL_CRC(snd_soc_component_get_kcontrol, 0xd6b3bb8a, "_gpl");
SYMBOL_CRC(snd_soc_component_get_kcontrol_locked, 0x8bc46868, "_gpl");
SYMBOL_CRC(snd_soc_component_notify_control, 0x252f9148, "_gpl");
SYMBOL_CRC(snd_soc_component_set_jack, 0xcd1e62df, "_gpl");
SYMBOL_CRC(snd_soc_component_get_jack_type, 0x3f52f742, "_gpl");
SYMBOL_CRC(snd_soc_component_init_regmap, 0x4f7b1571, "_gpl");
SYMBOL_CRC(snd_soc_component_exit_regmap, 0xd19eee2b, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_open, 0x9888b778, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_free, 0xe0c3fc20, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_trigger, 0x14a75478, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_set_params, 0xdf90d1d6, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_get_params, 0x028983e2, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_get_caps, 0xbb9dfb2f, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_get_codec_caps, 0x72773ca6, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_ack, 0xa6211970, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_pointer, 0x6ffd443e, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_copy, 0x60b792d2, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_set_metadata, 0xeb78d594, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_get_metadata, 0x5438df5a, "_gpl");
SYMBOL_CRC(snd_soc_component_read, 0x355dac6c, "_gpl");
SYMBOL_CRC(snd_soc_component_write, 0x0f5db959, "_gpl");
SYMBOL_CRC(snd_soc_component_update_bits, 0x5ad94d69, "_gpl");
SYMBOL_CRC(snd_soc_component_update_bits_async, 0x913cda4d, "_gpl");
SYMBOL_CRC(snd_soc_component_read_field, 0x2f9e4e6d, "_gpl");
SYMBOL_CRC(snd_soc_component_write_field, 0x25a26b25, "_gpl");
SYMBOL_CRC(snd_soc_component_async_complete, 0xe6a9490d, "_gpl");
SYMBOL_CRC(snd_soc_component_test_bits, 0x0e945a1a, "_gpl");
SYMBOL_CRC(snd_soc_runtime_action, 0x93e18b56, "_gpl");
SYMBOL_CRC(snd_soc_set_runtime_hwparams, 0xf7d171c1, "_gpl");
SYMBOL_CRC(snd_soc_runtime_calc_hw, 0xd65a613d, "_gpl");
SYMBOL_CRC(widget_in_list, 0x6921e9ca, "_gpl");
SYMBOL_CRC(dpcm_end_walk_at_be, 0x2b133611, "_gpl");
SYMBOL_CRC(dpcm_be_dai_trigger, 0xedc8e79c, "_gpl");
SYMBOL_CRC(snd_soc_dpcm_runtime_update, 0x4a25ac70, "_gpl");
SYMBOL_CRC(snd_soc_dpcm_fe_can_update, 0x793a4aee, "_gpl");
SYMBOL_CRC(snd_soc_dpcm_be_can_update, 0x8466a43d, "_gpl");
SYMBOL_CRC(snd_soc_dpcm_get_substream, 0x32dc7c10, "_gpl");
SYMBOL_CRC(snd_soc_dpcm_can_be_free_stop, 0x9d069d80, "_gpl");
SYMBOL_CRC(snd_soc_dpcm_can_be_params, 0x948a91d9, "_gpl");
SYMBOL_CRC(snd_soc_dpcm_can_be_prepared, 0x8b70ba54, "_gpl");
SYMBOL_CRC(devm_snd_soc_register_dai, 0x591f319f, "_gpl");
SYMBOL_CRC(devm_snd_soc_register_component, 0xa86ec35d, "_gpl");
SYMBOL_CRC(devm_snd_soc_register_card, 0xf07a8744, "_gpl");
SYMBOL_CRC(devm_snd_dmaengine_pcm_register, 0xbcbd49f6, "_gpl");
SYMBOL_CRC(snd_soc_info_enum_double, 0xf23e5191, "_gpl");
SYMBOL_CRC(snd_soc_get_enum_double, 0x6a60129c, "_gpl");
SYMBOL_CRC(snd_soc_put_enum_double, 0x86a427a6, "_gpl");
SYMBOL_CRC(snd_soc_info_volsw, 0x13cb1c59, "_gpl");
SYMBOL_CRC(snd_soc_info_volsw_sx, 0x2c704db6, "_gpl");
SYMBOL_CRC(snd_soc_get_volsw, 0x0b6555db, "_gpl");
SYMBOL_CRC(snd_soc_put_volsw, 0x8ea6c79a, "_gpl");
SYMBOL_CRC(snd_soc_get_volsw_sx, 0x86a70996, "_gpl");
SYMBOL_CRC(snd_soc_put_volsw_sx, 0xb6e59576, "_gpl");
SYMBOL_CRC(snd_soc_info_volsw_range, 0xb1753774, "_gpl");
SYMBOL_CRC(snd_soc_put_volsw_range, 0x56877a37, "_gpl");
SYMBOL_CRC(snd_soc_get_volsw_range, 0xba434f0d, "_gpl");
SYMBOL_CRC(snd_soc_limit_volume, 0x94270353, "_gpl");
SYMBOL_CRC(snd_soc_bytes_info, 0x5042c722, "_gpl");
SYMBOL_CRC(snd_soc_bytes_get, 0xe4462b68, "_gpl");
SYMBOL_CRC(snd_soc_bytes_put, 0x7449ac51, "_gpl");
SYMBOL_CRC(snd_soc_bytes_info_ext, 0xd86fc48b, "_gpl");
SYMBOL_CRC(snd_soc_bytes_tlv_callback, 0xccf5fc5e, "_gpl");
SYMBOL_CRC(snd_soc_info_xr_sx, 0xc28ab840, "_gpl");
SYMBOL_CRC(snd_soc_get_xr_sx, 0x6fdfbcbf, "_gpl");
SYMBOL_CRC(snd_soc_put_xr_sx, 0xea1c2efe, "_gpl");
SYMBOL_CRC(snd_soc_get_strobe, 0x2f205c2f, "_gpl");
SYMBOL_CRC(snd_soc_put_strobe, 0x2e7eeebb, "_gpl");
SYMBOL_CRC(snd_soc_link_compr_startup, 0x7f660981, "_gpl");
SYMBOL_CRC(snd_soc_link_compr_shutdown, 0x4758a1b5, "_gpl");
SYMBOL_CRC(snd_soc_link_compr_set_params, 0x904f3b7d, "_gpl");
SYMBOL_CRC(snd_soc_card_get_kcontrol_locked, 0x31f2466b, "_gpl");
SYMBOL_CRC(snd_soc_card_get_kcontrol, 0xc27df232, "_gpl");
SYMBOL_CRC(snd_soc_card_jack_new, 0x69ae1d3c, "_gpl");
SYMBOL_CRC(snd_soc_card_jack_new_pins, 0x79118c6c, "_gpl");
SYMBOL_CRC(snd_soc_card_add_dai_link, 0x7532c027, "_gpl");
SYMBOL_CRC(snd_soc_card_remove_dai_link, 0x51fe4df4, "_gpl");
SYMBOL_CRC(snd_dmaengine_pcm_prepare_slave_config, 0xce4d808e, "_gpl");
SYMBOL_CRC(snd_dmaengine_pcm_register, 0x8b102c31, "_gpl");
SYMBOL_CRC(snd_dmaengine_pcm_unregister, 0x8555e4a1, "_gpl");
SYMBOL_CRC(snd_soc_alloc_ac97_component, 0x0c63d36d, "");
SYMBOL_CRC(snd_soc_new_ac97_component, 0x1ac16489, "_gpl");
SYMBOL_CRC(snd_soc_free_ac97_component, 0x307eba69, "_gpl");
SYMBOL_CRC(soc_ac97_ops, 0x672119b0, "_gpl");
SYMBOL_CRC(snd_soc_set_ac97_ops, 0xb7079a30, "_gpl");
SYMBOL_CRC(snd_soc_set_ac97_ops_of_reset, 0x3a3b309d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0xaa3ffb39, "gpiod_get_value_cansleep" },
	{ 0x3cc8f38f, "regulator_enable" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xd4845a05, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xab8bc1a2, "snd_pcm_rate_mask_intersect" },
	{ 0xa1e755a7, "_copy_to_iter" },
	{ 0x942ddb80, "gpiod_put" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xcb824037, "regmap_write" },
	{ 0x60b73b66, "param_ops_uint" },
	{ 0x453d1707, "devm_kmalloc" },
	{ 0xe9d10d9d, "of_node_put" },
	{ 0xf9ed9452, "of_property_read_variable_u32_array" },
	{ 0xbbdd3e30, "snd_pcm_hw_limit_rates" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xdec5f1bf, "dev_set_name" },
	{ 0x36c886ca, "regmap_get_val_bytes" },
	{ 0x3b82c1cf, "platform_driver_unregister" },
	{ 0xdcf37d5e, "snd_ctl_add" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x8e5ae84a, "snd_dmaengine_pcm_sync_stop" },
	{ 0x4e942b5b, "snd_pcm_new" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x2df41366, "snd_jack_report" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x93b9a682, "trace_raw_output_prep" },
	{ 0x281d3f1, "regmap_raw_read" },
	{ 0x36f128e0, "snd_card_register" },
	{ 0x9838955f, "device_unregister" },
	{ 0xc17968c4, "snd_card_free" },
	{ 0x556be6e0, "__trace_trigger_soft_disabled" },
	{ 0xcb6b138, "trace_event_printf" },
	{ 0x89351b36, "devres_destroy" },
	{ 0x96848186, "scnprintf" },
	{ 0xd3608070, "gpiod_get_index" },
	{ 0x94348cde, "snd_dmaengine_pcm_trigger" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0x3b9c57bf, "device_initialize" },
	{ 0x4b90a2ac, "snd_pcm_hw_constraint_minmax" },
	{ 0x3f7c8b8f, "trace_event_raw_init" },
	{ 0xb65dd6be, "gpiod_to_irq" },
	{ 0x2e60fdee, "gpiod_export" },
	{ 0x4829a47e, "memcpy" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0xb86c8ce6, "snd_ctl_find_id_locked" },
	{ 0x1ece6e0, "dma_release_channel" },
	{ 0x5b66fa60, "seq_lseek" },
	{ 0x68a24153, "snd_pcm_format_physical_width" },
	{ 0x822dfce7, "regcache_mark_dirty" },
	{ 0xc4e40b90, "bpf_trace_run2" },
	{ 0xe2964344, "__wake_up" },
	{ 0x148653, "vsnprintf" },
	{ 0x1237db57, "regulator_disable_deferred" },
	{ 0x2d457a3a, "__dynamic_dev_dbg" },
	{ 0xc67ee13b, "snd_ctl_free_one" },
	{ 0x176a7e3d, "snd_ctl_find_id" },
	{ 0xb488bd02, "devm_clk_get" },
	{ 0xd1e9d3a, "devres_add" },
	{ 0x455a13, "snd_pcm_new_internal" },
	{ 0x94389fcd, "of_get_property" },
	{ 0x907d14d, "blocking_notifier_chain_register" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x2131f4e5, "snd_dmaengine_pcm_refine_runtime_hwparams" },
	{ 0xf9a3ac58, "snd_dmaengine_pcm_get_chan" },
	{ 0x24774d45, "pinctrl_pm_select_default_state" },
	{ 0xfb6dfa14, "trace_event_buffer_commit" },
	{ 0xc7aa78a8, "snd_ac97_reset" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x9b9291bc, "snd_ctl_new1" },
	{ 0x122c3a7e, "_printk" },
	{ 0x12245993, "snd_pcm_stream_unlock_irq" },
	{ 0xda5b42df, "pm_wakeup_dev_event" },
	{ 0x823eae06, "blocking_notifier_call_chain" },
	{ 0xc281052d, "devm_kstrdup" },
	{ 0x107b202b, "snd_pcm_stream_lock_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x200efd8, "debugfs_lookup_and_remove" },
	{ 0x8619869e, "put_device" },
	{ 0x112159b6, "gpiod_unexport" },
	{ 0xdc78b949, "snd_component_add" },
	{ 0xa916b694, "strnlen" },
	{ 0x65ad9c1d, "devm_regulator_get" },
	{ 0xce8a1742, "snd_dmaengine_pcm_close" },
	{ 0xb57ebeac, "dma_get_slave_caps" },
	{ 0xf7ea0dd9, "_dev_info" },
	{ 0x1f9a9c72, "module_put" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0xe4496e51, "snd_card_new" },
	{ 0x72d68168, "snd_card_disconnect_sync" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xd4ca5261, "gpiochip_get_data" },
	{ 0xcc876e05, "devm_kmemdup" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x5139dae5, "snd_dmaengine_pcm_request_channel" },
	{ 0x4bb807c7, "perf_trace_run_bpf_submit" },
	{ 0x1f5d4469, "devm_kfree" },
	{ 0x7e84c3ea, "_dev_err" },
	{ 0xa3534211, "pinctrl_pm_select_sleep_state" },
	{ 0x2d938670, "simple_open" },
	{ 0x61373533, "device_add" },
	{ 0x2691b191, "__of_parse_phandle_with_args" },
	{ 0xf0bc869e, "snd_pcm_lib_ioctl" },
	{ 0x9738463f, "gpiod_direction_output_raw" },
	{ 0x955ba9f0, "platform_device_unregister" },
	{ 0xdbdb0e8b, "request_any_context_irq" },
	{ 0xdc02eb39, "dmi_available" },
	{ 0x4e7f4f61, "snd_jack_new" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xf93890a8, "snd_pcm_stream_unlock_irqrestore" },
	{ 0xa2967f8c, "snd_jack_add_new_kctl" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x2933431d, "dev_get_regmap" },
	{ 0x495eed8e, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0x4da76e58, "__devres_alloc_node" },
	{ 0x2092327, "trace_event_reg" },
	{ 0xe21e132a, "ac97_bus_type" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0xd2dda7f9, "snd_ctl_notify" },
	{ 0xdbcbd433, "of_property_read_string" },
	{ 0xd4651f50, "devm_gpiod_get_index" },
	{ 0x5675503d, "regulator_allow_bypass" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x5b36a3ec, "of_find_property" },
	{ 0x639931b7, "snd_pcm_set_ops" },
	{ 0x166cbea1, "regmap_async_complete" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x472a5ee2, "snd_pcm_set_managed_buffer" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x5b4d7a35, "_snd_pcm_stream_lock_irqsave_nested" },
	{ 0x11089ac7, "_ctype" },
	{ 0x65ea0b6f, "device_register" },
	{ 0xdc0f8a86, "bpf_trace_run1" },
	{ 0x61401cd3, "device_del" },
	{ 0x551dfe26, "default_llseek" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xdcb764ad, "memset" },
	{ 0x10e1aaf7, "_dev_warn" },
	{ 0x4419dde5, "debugfs_create_u32" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xfbb5cb7c, "snd_dmaengine_pcm_open" },
	{ 0xea90e634, "regmap_parse_val" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2a0dd99, "snd_pcm_suspend_all" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x2e67993, "snd_dmaengine_pcm_pointer" },
	{ 0xd5046119, "gpiochip_add_data_with_key" },
	{ 0x3d87ecef, "of_graph_get_port_parent" },
	{ 0xed826b94, "__platform_driver_register" },
	{ 0x977e2d86, "dma_request_chan" },
	{ 0xce06599e, "devm_kasprintf" },
	{ 0xbc0d9667, "pinctrl_lookup_state" },
	{ 0x2da8d207, "bpf_trace_run3" },
	{ 0x32f1e81b, "seq_read" },
	{ 0xd7531531, "gpiochip_remove" },
	{ 0x13107c3a, "debugfs_create_file" },
	{ 0x4ece3615, "blocking_notifier_chain_unregister" },
	{ 0x6068e7c5, "snd_hwparams_to_dma_slave_config" },
	{ 0x362dcefc, "platform_device_register_full" },
	{ 0x133e2f27, "regmap_read" },
	{ 0xda2d7a21, "trace_event_buffer_reserve" },
	{ 0x4f139bf4, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x33b7c466, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x899fbd06, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x34e68cd3, "devm_pinctrl_get" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0xfff625ed, "_copy_from_iter" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xeae0cd9f, "pinctrl_select_state" },
	{ 0x4ff4157, "snd_power_wait" },
	{ 0x8d0a8a1a, "snd_pcm_hw_constraint_msbits" },
	{ 0xa5c872a7, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x222af7f9, "of_count_phandle_with_args" },
	{ 0x207bb5ea, "regmap_update_bits_base" },
	{ 0x92f2a8c, "dev_err_probe" },
	{ 0xd1040e24, "snd_dmaengine_pcm_set_config_from_dai_data" },
	{ 0x8398d399, "device_add_groups" },
	{ 0x827d8a32, "__pm_runtime_suspend" },
	{ 0xb645273f, "regmap_exit" },
	{ 0x81188c30, "match_string" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x7d3b0a03, "regmap_raw_write" },
	{ 0x98cf60b3, "strlen" },
	{ 0xcb74520d, "param_ops_int" },
	{ 0x3466fede, "single_open" },
	{ 0x2b1787f9, "gpiod_set_consumer_name" },
	{ 0xa286a234, "snd_pcm_format_name" },
	{ 0xe820ea6a, "debugfs_create_dir" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x815588a6, "clk_enable" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xd02a45e8, "of_property_read_string_helper" },
	{ 0x61f81ab3, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xdc75e120, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x34513765, "snd_dmaengine_pcm_pointer_no_residue" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xa87b8e19, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm,snd,snd-pcm-dmaengine,ac97_bus");


MODULE_INFO(srcversion, "9765532A759CFC55BBAD696");
